// Main Vue App
const VueApp = new Vue({
    el: '#main_content',
    data: {
        notifications_count: app_preferences["notifications_count"],
        app_url: app_preferences["dashboard_url"],
        notifications: [],
        chat_alerts: app_preferences["chat_alerts"],
        alert_sounds: document.head.querySelector('meta[name="alert-sounds"]').content,
        receiver_id: document.head.querySelector('meta[name="default-receiver-id"]').content,
        pusher_status: document.head.querySelector('meta[name="pusher-status"]').content,
        noNotifications: document.head.querySelector('meta[name="noNotifications"]').content,
    },
    mounted() {
        this.fetchNotices();
    },
    created() {
        if (this.pusher_status == "1") {
            Echo.private('ChatMessage').listen('ChatSentEvent', (e) => {
                //console.log(e.message);
                if (e.message.receiver_id == app_preferences["user"] && e.message.sender_id != this.receiver_id) {
                    this.chat_alerts++;
                    // alert sound
                    if (this.alert_sounds == '1') {
                        document.getElementById('alert_sound').play();
                    }

                    //listen for read status
                    Echo.private('ChatMessageRead.' + e.message.id).listen('ChatReadEvent', (e) => {
                        this.chat_alerts--;
                        if (this.chat_alerts < 1) {
                            this.chat_alerts = "";
                        }
                    });
                }
            });
        } else {
            this.interval = setInterval(() => this.fetchNotices(), document.head.querySelector('meta[name="refresh-alerts-every"]').content);
        }

    },
    updated() {
        //
    },
    methods: {
        fetchNotices() {
            axios.get(app_preferences['dashboard_url'] + '/notices').then(response => {
                var old_alerts = this.chat_alerts;
                var old_notifications_count = this.notifications_count;
                this.chat_alerts = response.data.chats;
                this.notifications_count = response.data.notifications_count;
                this.notifications = response.data.notifications;

                if (this.chat_alerts > old_alerts || this.notifications_count > old_notifications_count) {
                    // alert sound
                    if (this.alert_sounds == '1') {
                        document.getElementById('alert_sound').play();
                    }
                }
            });
        },
    }
});
