$(function () {
    "use strict";

    // Full Dark mode
    $(".btn-darkmode").on('click', function () {
        $('body').addClass('dark-mode');
        return false;
    });
    $(".btn-lightmode").on('click', function () {
        $('body').removeClass('dark-mode');
        return false;
    });
    $('a.settingbar').on('click', function () {
        $('.user_div').removeClass('open');
    });

    // Dark Sidebar
    $(".setting_switch .btn-sidebar").on('change', function () {
        if (this.checked) {
            theme_update('sidebar', '1');
        } else {
            theme_update('sidebar', '0');
        }
    });
    // Top bar sticky
    $(".setting_switch .btn-fixnavbar").on('change', function () {
        if (this.checked) {
            theme_update('navbar', '1');
        } else {
            theme_update('navbar', '0');
        }
    });
    // Top header dark
    $(".setting_switch .btn-pageheader").on('change', function () {
        if (this.checked) {
            theme_update('header', '1');
        } else {
            theme_update('header', '0');
        }
    });
    // Top header dark
    $(".sidebar  .menu_option").on('click', function () {
        if ($(this).attr("data-stat") == '1') {
            theme_update('menu', '0');
            $(this).attr("data-stat", '0');
        } else {
            theme_update('menu', '1');
            $(this).attr("data-stat", '1');
        }
    });
    // Top header dark
    $(".setting_switch  .btn-preloader").on('click', function () {
        if (this.checked) {
            theme_update('preload', '1');
        } else {
            theme_update('preload', '0');
        }
    });
    // alert sounds
    $(".setting_switch  .btn-alertSounds").on('click', function () {
        if (this.checked) {
            theme_update('sounds', '1');
            try {
                VueApp.alert_sounds = 1;
                chatApp.alert_sounds = 1;
            } catch (error) {

            }
        } else {
            theme_update('sounds', '0');
            try {
                VueApp.alert_sounds = 0;
                chatApp.alert_sounds = 0;
            } catch (error) {

            }
        }
    });

    // summernote editor
    $('.summernote').summernote({
        height: 200,
        lang: (app_preferences["lang"] == "ar") ? "ar-AR" : "en-EN"
    });
});


function theme_update(stat, action) {
    var xhr = $.ajax({
        type: "POST",
        url: app_preferences["dashboard_url"] + "/theme-update",
        data: {
            "_token": $('meta[name="csrf-token"]').attr('content'),
            "stat": stat,
            "action": action,
        },
        success: function (msg) {
            //
        }
    });
    //console.log(xhr);
    return false;
}

function flash_notify(message, type = 'info', icon = '', title = '', place = 'top', dir = 'left', delay = 3000) {
    $.notify({
        // options
        icon: icon,
        title: title,
        message: message
    }, {
        // settings
        type: type,
        delay: delay,
        placement: {
            from: place,
            align: dir
        },
        offset: 5,
    });
}

function openWindow(url, title, fullscreen = false) {
    if (fullscreen) {
        return window.open(url, title, 'fullscreen=yes,status=no,scrollbars=auto');
    } else {
        var left = (screen.width - 900) / 2;
        var top = (screen.height - 500) / 2;
        return window.open(url, title, 'width=900,height=500,left=' + left + ',top=' + top + ',screenX=' + left + ',screenY=' + top + ',status=no,scrollbars=auto');
    }
}

function copyTextToClipboard(text) {
    var textArea = document.createElement("textarea");
    // Place in top-left corner of screen regardless of scroll position.
    textArea.style.position = 'fixed';
    textArea.style.top = 0;
    textArea.style.left = 0;

    // Ensure it has a small width and height. Setting to 1px / 1em
    // doesn't work as this gives a negative w/h on some browsers.
    textArea.style.width = '2em';
    textArea.style.height = '2em';

    // We don't need padding, reducing the size if it does flash render.
    textArea.style.padding = 0;

    // Clean up any borders.
    textArea.style.border = 'none';
    textArea.style.outline = 'none';
    textArea.style.boxShadow = 'none';

    // Avoid flash of white box if rendered for any reason.
    textArea.style.background = 'transparent';


    textArea.value = text;

    document.body.appendChild(textArea);
    textArea.focus();
    textArea.select();

    try {
        var successful = document.execCommand('copy');
    } catch (err) {
    }
    document.body.removeChild(textArea);
}

function copyElementText(element) {
    var text_to_copy = $(element).text();
    copyTextToClipboard(text_to_copy);
    $(element).fadeOut(300, function () {
        $(element).fadeIn(300, function () {
        });
    });
}

function ajax_post_form(container_div, btn_text = '', btn_icon = '', success_msg = '', success_close_text = '', is_modal = false, table_to_refresh = '', log = false, refresh_page_on_finish = false, reset_form = false, success_callback = function () {
}) {
    $("#" + container_div + '_form').submit(function (evt) {
        evt.preventDefault();
        $("#" + container_div + '_submit').html(" &nbsp; <div class=\"loader loader-inline loader-inline-dark\"></div> " + btn_text + "  &nbsp; ");
        $("#" + container_div + '_submit').prop('disabled', true);
        var formData = new FormData(this);
        var xhr = $.ajax({
            type: "POST",
            url: $(this).attr('action'),
            data: formData,
            cache: false,
            contentType: false,
            processData: false,
            success: function (result) {
                $("#" + container_div + '_errors').find("ul").html('');
                $("#" + container_div + '_submit').html(" &nbsp; <i class=\"" + btn_icon + "\"></i> " + btn_text + " &nbsp; ");
                $("#" + container_div + '_submit').prop('disabled', false);
                if (result.stat == 'success') {
                    $("#" + container_div + '_errors').hide();
                    if (reset_form) {
                        document.getElementById(container_div + "_form").reset();
                    }
                    if (table_to_refresh != '') {
                        $(table_to_refresh).DataTable().ajax.reload();
                    }
                    swal({
                        title: "<span class='text-success'>" + success_msg + "</span>",
                        html: true,
                        type: "success",
                        confirmButtonText: success_close_text,
                        confirmButtonColor: "#acacac",
                        timer: 5000,
                    }, function () {
                        if (refresh_page_on_finish) {
                            location.reload();
                        }
                        swal.close();
                    });
                    if (is_modal) {
                        $('#' + container_div).modal('hide');
                    }
                    success_callback();
                } else {
                    $("#" + container_div + '_errors').css('display', 'block');
                    $.each(result.error, function (key, value) {
                        $("#" + container_div + '_errors').find("ul").append('<li>' + value + '</li>');
                    });
                }
            }
        });
        if (log) {
            console.log(xhr);
        }
    });
}

function ajax_delete_row(delete_url, confirm_msg = '', confirm_btn_txt = '', cancel_btn_txt = '', success_msg = '', failed_msg = '', close_btn_txt = '', table_to_refresh = '', log = false, refresh_page_on_finish = false, success_callback = function () {
}) {
    swal({
        title: confirm_msg,
        type: "error",
        showCancelButton: true,
        closeOnConfirm: false,
        animation: "slide-from-top",
        confirmButtonText: confirm_btn_txt,
        cancelButtonText: cancel_btn_txt,
        showLoaderOnConfirm: true,
        confirmButtonColor: "#F27474",
    }, function () {
        var xhr = $.ajax({
            type: "GET",
            url: delete_url,
            success: function (result) {
                var obj_result = jQuery.parseJSON(result);
                if (obj_result.stat == 'success') {
                    swal({
                        title: "<span class='text-success'>" + success_msg + "</span>",
                        html: true,
                        type: "success",
                        confirmButtonText: close_btn_txt,
                        confirmButtonColor: "#acacac",
                        timer: 5000,
                    }, function () {
                        if (refresh_page_on_finish) {
                            location.reload();
                        }
                        swal.close();
                    });
                    success_callback();
                } else {
                    swal({
                        title: "<span class='text-danger'>" + failed_msg + "</span>",
                        html: true,
                        type: "error",
                        confirmButtonText: close_btn_txt,
                        confirmButtonColor: "#acacac",
                    });
                }
                if (table_to_refresh != '') {
                    $(table_to_refresh).DataTable().ajax.reload();
                }
                return true;
            }
        });
        if (log) {
            console.log(xhr);
        }
        return false;
    });
}


function ajax_delete_row(delete_url, confirm_msg = '', confirm_btn_txt = '', cancel_btn_txt = '', success_msg = '', failed_msg = '', close_btn_txt = '', table_to_refresh = '', log = false, refresh_page_on_finish = false, success_callback = function () {
}, info = false) {
    swal({
        title: confirm_msg,
        type: info ? "info" : "error",
        showCancelButton: true,
        closeOnConfirm: false,
        animation: "slide-from-top",
        confirmButtonText: confirm_btn_txt,
        cancelButtonText: cancel_btn_txt,
        showLoaderOnConfirm: true,
        confirmButtonColor: info ? "#45b8da" : "#F27474",
    }, function () {
        var xhr = $.ajax({
            type: "GET",
            url: delete_url,
            success: function (result) {
                var obj_result = jQuery.parseJSON(result);
                if (obj_result.stat == 'success') {
                    swal({
                        title: "<span class='text-success'>" + success_msg + "</span>",
                        html: true,
                        type: "success",
                        confirmButtonText: close_btn_txt,
                        confirmButtonColor: "#acacac",
                        timer: 5000,
                    }, function () {
                        if (refresh_page_on_finish) {
                            location.reload();
                        }
                        swal.close();
                    });
                    success_callback();
                } else {
                    swal({
                        title: "<span class='text-danger'>" + failed_msg + "</span>",
                        html: true,
                        type: "error",
                        confirmButtonText: close_btn_txt,
                        confirmButtonColor: "#acacac",
                    });
                }
                if (table_to_refresh != '') {
                    $(table_to_refresh).DataTable().ajax.reload();
                }
                return true;
            }
        });
        if (log) {
            console.log(xhr);
        }
        return false;
    });
}

function comments_load(container, cat, cat_id, _create = true, _delete = true, log = false, success_callback = function () {
}) {

    $(container).html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">" + app_preferences['loading_text'] + "</small></div>");

    var xhr = $.ajax({
        type: "POST",
        url: app_preferences['dashboard_url'] + "/comments",
        data: {
            "_token": $('meta[name="csrf-token"]').attr('content'),
            "cat": cat,
            "cat_id": cat_id,
            "role_create": _create,
            "role_delete": _delete,
        },
        success: function (result) {
            $(container).html(result);
            success_callback();
        }
    });
    if (log) {
        console.log(xhr);
    }
    return false;
}


function events_load(container, cat, cat_id, _create = true, _edit = true, _delete = true, _calendar_height = 500, _default_view = "month", _month_view = true, _day_view = true, _week_view = true, _list_view = true, log = false, success_callback = function () {
}) {

    $(container).html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">" + app_preferences['loading_text'] + "</small></div>");

    var xhr = $.ajax({
        type: "POST",
        url: app_preferences['dashboard_url'] + "/events/load",
        data: {
            "_token": $('meta[name="csrf-token"]').attr('content'),
            "cat": cat,
            "cat_id": cat_id,
            "role_create": _create,
            "role_edit": _edit,
            "default_view": _default_view,
            "month_view": _month_view,
            "day_view": _day_view,
            "week_view": _week_view,
            "list_view": _list_view,
            "calendar_height": _calendar_height,
        },
        success: function (result) {
            $(container).html(result);
            success_callback();
        }
    });
    if (log) {
        console.log(xhr);
    }
    return false;
}

function attachments_load(container, cat, cat_id, folder_id, _multiple = true, _create = true, _download, _edit = true, _delete = true, log = false, success_callback = function () {
}) {
    $(container).html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">" + app_preferences['loading_text'] + "</small></div>");
    var xhr = $.ajax({
        type: "POST",
        url: app_preferences['dashboard_url'] + "/attachments/load",
        data: {
            "_token": $('meta[name="csrf-token"]').attr('content'),
            "cat": cat,
            "cat_id": cat_id,
            "role_create": _create,
            "role_download": _download,
            "role_edit": _edit,
            "role_delete": _delete,
            "role_multiple": _multiple,
            "folder_id": folder_id,
        },
        success: function (result) {
            $(container).html(result);
            if (_multiple == "1") {
                var form = document.createElement('form');
                form.classList.add('dropzone');
                form.method = 'post';
                form.action = app_preferences['dashboard_url'] + "/attachments/upload",
                    $(container).prepend(form);
                new Dropzone(form, {
                    timeout: 500000,
                    acceptedFiles: app_preferences['attachments_types'],
                    dictDefaultMessage: "<div  class='pt-3'><i class='fe fe-upload-cloud fa-2x'></i><h6 class='mt-2'>" + app_preferences['attachments_drag_text'] + "</h6></div>",
                    init: function () {
                        this.on("sending", function (file, xhr, formData) {
                            formData.append("cat", cat);
                            formData.append("cat_id", cat_id);
                            formData.append("folder_id", folder_id);
                            formData.append("_token", $('meta[name="csrf-token"]').attr('content'));
                        });
                        this.on("complete", function (file) {
                            if (this.getUploadingFiles().length === 0 && this.getQueuedFiles().length === 0) {
                                attachments_load(container, cat, cat_id, folder_id, true, _create, _download, _edit, _delete, log);
                            }
                        });
                    },
                    success: function (file, response) {
                        //console.log(response);
                        $(".dz-success-mark").css("opacity", 1);
                    },
                    error: function (file, response) {
                        //console.log(response);
                        $(".dz-success-mark").css("opacity", 1);
                        $(".dz-error-mark").css("opacity", 1);
                    }
                });
            }

            success_callback();
        }
    });
    if (log) {
        console.log(xhr);
    }
    return false;
}


function share_load(container, cat, cat_id, _create = true, _delete = true, _title = '', _url = '', log = false, success_callback = function () {
}) {

    $(container).html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">" + app_preferences['loading_text'] + "</small></div>");

    var xhr = $.ajax({
        type: "POST",
        url: app_preferences['dashboard_url'] + "/share",
        data: {
            "_token": $('meta[name="csrf-token"]').attr('content'),
            "cat": cat,
            "cat_id": cat_id,
            "role_create": _create,
            "role_delete": _delete,
            "title": _title,
            "url": _url,
        },
        success: function (result) {
            $(container).html(result);
            success_callback();
        }
    });
    if (log) {
        console.log(xhr);
    }
    return false;
}


function alerts_load(container, cat, cat_id, cat_title, _create = true, _edit = true, _delete = true, log = false, success_callback = function () {
}) {

    $(container).html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">" + app_preferences['loading_text'] + "</small></div>");

    var xhr = $.ajax({
        type: "POST",
        url: app_preferences['dashboard_url'] + "/alerts",
        data: {
            "_token": $('meta[name="csrf-token"]').attr('content'),
            "cat": cat,
            "cat_id": cat_id,
            "cat_title": cat_title,
            "role_create": _create,
            "role_edit": _edit,
            "role_delete": _delete,
        },
        success: function (result) {
            $(container).html(result);
            success_callback();
        }
    });
    if (log) {
        console.log(xhr);
    }
    return false;
}

function SMSCount(textArea) {
    var english = /[^\x00-\x7F]+/;
    var len = 70;
    if (!english.test(textArea.value)) {
        len = 140;
    }
    document.getElementById('charNum').innerHTML = textArea.value.length;
    document.getElementById('charMsg').innerHTML = Math.ceil(textArea.value.length / len)
}

var is_son_register = 0;
var is_son_father = "";

function TreeRegister() {
    is_son_register = 0;
    is_son_father = "";
    $("#persons_create").modal('show');
    $("#persons_create_submit").prop('disabled', true);
    $("#persons_create_footer").hide();
    $.get(app_preferences['dashboard_url'] + "/persons/create", function (data) {
        $('#persons_create').find('.modal-body').html(data);
        $("#persons_create_submit").prop('disabled', false);
    });
}


$(function () {
    "use strict";

    $("#quick-menu-familyTreeAdd").on('click', function () {
        TreeRegister();
    });
    $("#main-menu-familyTreeAdd").on('click', function () {
        TreeRegister();
    });
    $(".PeopleRegister").on('click', function () {
        TreeRegister();
    });

    $("#persons_create").on("hidden.bs.modal", function () {
        $("#persons_create_footer").hide();
        var tmp_loader = "<div class=\"text-center p-4\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">" + app_preferences['loading_text'] + "</small></div>";
        $('#persons_create').find('.modal-body').html(tmp_loader);
        if (is_son_register === 1 && is_son_father != "") {
            $('#person_sons_data').html(tmp_loader);
            $.get(app_preferences['dashboard_url'] + "/persons/load/sons/" + is_son_father, function (data) {
                $('#person_sons_data').html(data);
            });
        }
    });

    // submit registration
    let register_current_step = 0;
    let register_current_person = "";
    $("#persons_create_form").submit(function (evt) {
        evt.preventDefault();
        $("#persons_create_submit").html(" &nbsp; <div class=\"loader loader-inline loader-inline-dark\"></div>&nbsp;" + app_preferences['continue_text'] + "  &nbsp; ");
        $("#persons_create_submit").prop('disabled', true);
        var formData = new FormData(this);
        var submit_url = app_preferences['dashboard_url'] + "/persons/store";
        if (register_current_step == 2 && register_current_person != "") {
            submit_url = app_preferences['dashboard_url'] + "/persons/update/contacts";
        }
        var xhr = $.ajax({
            type: "POST",
            url: submit_url,
            data: formData,
            cache: false,
            contentType: false,
            processData: false,
            success: function (result) {
                $("#persons_create_errors").find("ul").html('');
                if (result.stat == 'success') {
                    $("#persons_create_errors").hide();
                    if (register_current_step == 2 && register_current_person != "") {
                        register_current_step = 3;
                        $.get(app_preferences['dashboard_url'] + "/persons/options/" + result.id, function (data) {
                            $('#persons_create').find('.modal-body').html(data);
                            $("#persons_create_submit").prop('disabled', false);
                            $("#persons_create_submit").html(" &nbsp; <i class=\"fe fe-save\"></i> " + app_preferences['continue_text'] + " &nbsp; ");
                            $("#persons_create_submit").prop('disabled', false);
                            $("#persons_create_footer").hide();
                        });
                    } else {
                        register_current_step = 2;
                        register_current_person = result.id;
                        $.get(app_preferences['dashboard_url'] + "/persons/contact/" + result.id, function (data) {
                            $('#persons_create').find('.modal-body').html(data);
                            $("#persons_create_submit").prop('disabled', false);
                            $("#persons_create_submit").html(" &nbsp; <i class=\"fe fe-save\"></i> " + app_preferences['continue_text'] + " &nbsp; ");
                            $("#persons_create_submit").prop('disabled', false);
                            $("#persons_create_cancel").hide();
                        });
                    }
                } else {
                    $("#persons_create_submit").html(" &nbsp; <i class=\"fe fe-save\"></i> " + app_preferences['continue_text'] + " &nbsp; ");
                    $("#persons_create_submit").prop('disabled', false);
                    $("#persons_create_errors").css('display', 'block');
                    $.each(result.error, function (key, value) {
                        $("#persons_create_errors").find("ul").append('<li>' + value + '</li>');
                    });
                }
            }
        });
        //console.log(xhr);
    });

    // allow numbers with . only
    $('.money').on('input', function () {
        this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');
    });

    //currencies exchange
    $("._currencies_rate_btn").on('click', function () {
        $("#_currencies_rate_converter").modal('show');
    });
    $("#_currencies_rate_form").submit(function (evt) {
        evt.preventDefault();
        if ($("#_currencies_rate_amount").val() != "") {

            var _btn_old_html = $("#_currencies_rate_btn").html();
            $("#_currencies_rate_btn").html(" &nbsp; <div class=\"loader loader-inline loader-inline-dark\"></div> &nbsp;  &nbsp; ");
            $("#_currencies_rate_btn").prop('disabled', true);

            var formData = new FormData(this);
            var xhr = $.ajax({
                type: "POST",
                url: app_preferences["dashboard_url"] + "/currencies-exchange",
                data: formData,
                cache: false,
                contentType: false,
                processData: false,
                success: function (result) {
                    $("#_currencies_rate_btn").html(_btn_old_html);
                    $("#_currencies_rate_btn").prop('disabled', false);
                    $("#_currencies_rates").html(result);
                }
            });
        }
    });
});

