<?php

namespace App\Helpers;

class Cats
{
    static function CategoriesTypes()
    {
        return [

            // categories of attachments
            "1" => [
                "title" => trans('backLang.fileCategories'),
                "type" => 0,
                "multi-levels" => false,
                "colors" => false,
                "history" => [
                    "module" => 1,
                    "cat" => 105,
                    "window" => 1050,
                ]
            ],

            // categories of events
            "2" => [
                "title" => trans('backLang.eventCategories'),
                "type" => 0,
                "multi-levels" => false,
                "colors" => true,
                "history" => [
                    "module" => 1,
                    "cat" => 105,
                    "window" => 1051,
                ]
            ],


            // categories of revenues
            "8" => [
                "title" => trans('backLang.revenuesCats'),
                "type" => 1,
                "multi-levels" => false,
                "colors" => false,
                "history" => [
                    "module" => 6,
                    "cat" => 600,
                    "window" => 6002,
                ]
            ],
            // categories of expenses : 9
            "9" => [
                "title" => trans('backLang.expensesCats'),
                "type" => 1,
                "multi-levels" => false,
                "colors" => false,
                "history" => [
                    "module" => 6,
                    "cat" => 600,
                    "window" => 6003,
                ]
            ],
            // categories of Payment Methods : 10
            "10" => [
                "title" => trans('backLang.payMethods'),
                "type" => 1,
                "multi-levels" => false,
                "colors" => false,
                "history" => [
                    "module" => 6,
                    "cat" => 600,
                    "window" => 6006,
                ]
            ],
            // categories of Payment Methods : 11
            "11" => [
                "title" => trans('backLang.costPositions'),
                "type" => 1,
                "multi-levels" => false,
                "colors" => false,
                "history" => [
                    "module" => 6,
                    "cat" => 600,
                    "window" => 6007,
                ]
            ],

            // categories of loans
            "12" => [
                "title" => trans('backLang.loansCategories'),
                "type" => 0,
                "multi-levels" => false,
                "colors" => false,
                "history" => [
                    "module" => 1,
                    "cat" => 105,
                    "window" => 1057,
                ]
            ],

        ];
    }

    static function CommentTypes()
    {
        return [

            // comments on user profile
            "0" => [
                "title" => trans('backLang.commentsOnUsers'),
                "history" => [
                    "module" => 1,
                    "cat" => 103,
                    "window" => 1030,
                ]
            ],

            // comments on attach file
            "1" => [
                "title" => trans('backLang.commentsOnAttachments'),
                "history" => [
                    "module" => 3,
                    "cat" => 301,
                    "window" => 0,
                ]
            ],

            // comments on calendar event
            "2" => [
                "title" => trans('backLang.commentsOnCalendar'),
                "history" => [
                    "module" => 2,
                    "cat" => 201,
                    "window" => 0,
                ]
            ],


            // comments on loans
            "4" => [
                "title" => trans('backLang.loans'),
                "history" => [
                    "module" => 7,
                    "cat" => 704,
                    "window" => 0,
                ]
            ],

        ];
    }

    static function ShareTypes()
    {
        return [

            // share attach file/folder
            "1" => [
                "title" => trans('backLang.fileArchive'),
                "history" => [
                    "module" => 3,
                    "cat" => 302,
                    "window" => 0,
                ]
            ],

            // share calendar events
            "2" => [
                "title" => trans('backLang.calendar'),
                "history" => [
                    "module" => 2,
                    "cat" => 203,
                    "window" => 0,
                ]
            ]
        ];
    }

    static function AttachmentTypes()
    {
        return [

            // User Profile Attachments
            "0" => [
                "title" => trans('backLang.usersAttachments'),
                "hidden" => 0,
                "role" => "archive_type_0",
                "history" => [
                    "module" => 1,
                    "cat" => 103,
                    "window" => 1033,
                ]
            ],

            // Calendar Event Attachments
            "1" => [
                "title" => trans('backLang.calendarAttachments'),
                "hidden" => 0,
                "role" => "archive_type_1",
                "history" => [
                    "module" => 2,
                    "cat" => 202,
                    "window" => 0,
                ]
            ],

            // Chat Attachments
            "2" => [
                "title" => trans('backLang.chatAttachments'),
                "hidden" => 0,
                "role" => "archive_type_2",
                "history" => [
                    "module" => 4,
                    "cat" => 401,
                    "window" => 0,
                ]
            ],

            // Loans
            "4" => [
                "title" => trans('backLang.loansAttachments'),
                "hidden" => 0,
                "role" => "archive_type_4",
                "history" => [
                    "module" => 7,
                    "cat" => 703,
                    "window" => 0,
                ]
            ],

        ];
    }

    static function AlertsTypes()
    {
        return [

            // Calendar Alerts
            "1" => [
                "title" => trans('backLang.calendar'),
                "module_url" => "/events/view/",  // used as link of alert details like: http://www.website.com/events/view/1234567
                "history" => [
                    "module" => 2,
                    "cat" => 204,
                    "window" => 0,
                ]
            ],

            // Attachments Alerts
            "2" => [
                "title" => trans('backLang.fileArchive'),
                "module_url" => "/attachments/view/",
                "history" => [
                    "module" => 3,
                    "cat" => 303,
                    "window" => 0,
                ]
            ],


            // Loans
            "4" => [
                "title" => trans('backLang.loan'),
                "module_url" => "/loans/view/",
                "history" => [
                    "module" => 7,
                    "cat" => 705,
                    "window" => 0,
                ]
            ],
        ];
    }

    static function AdditionalGeneralSettings()
    {
        return [
            "default_id_type",
            "default_gender_type",
            "default_martial_type",
            "default_nationality",
            "default_country",
            "default_0_end_date_type",
            "default_0_birth_date_type",
            "default_0_dead_date_type",
            "default_1_end_date_type",
            "default_1_birth_date_type",
            "default_1_dead_date_type",
            "default_2_end_date_type",
            "default_2_birth_date_type",
            "default_2_dead_date_type",
            "independent_age",
            "customer_login_status",
            "customer_login_username",
            "customer_login_password",
        ];
    }

    static function TextPages()
    {
        return [

        ];
    }
}

?>
