<?php

namespace App\Helpers;

class Columns
{
    static function Persons()
    {
        $Columns = [
            "id" => trans("backLang.accountId"),
            "id_number" => trans("backLang.idNumber"),
            "id_type" => trans("backLang.identityType"),
            "id_end_date" => trans("backLang.idExpireDate"),
            "name_first" => trans("backLang.firstName"),
            "name_second" => trans("backLang.secondName"),
            "name_third" => trans("backLang.thirdName"),
            "name_fourth" => trans("backLang.fourthName"),
            "name_full" => trans("backLang.fullName"),
            "mother_name" => trans("backLang.motherName"),
            "tribe_id" => trans("backLang.tribe"),
            "birth_date" => trans("backLang.birthDate"),
            "gender" => trans("backLang.gender"),
            "married" => trans("backLang.marital"),
            "dead" => trans("backLang.constraintStatus"),
            "nationality_id" => trans("backLang.nationality"),
            "work_place_id" => trans("backLang.workPlace"),
            "telephone_full" => trans("backLang.tel"),
            "phone_full" => trans("backLang.phone"),
            "email" => trans("backLang.email"),
            "login_username" => trans("backLang.username"),
            "address_country_id" => trans("backLang.country"),
            "address_stat_id" => trans("backLang.city"),
            "address_build_no" => trans("backLang.buildingNo"),
            "address_street" => trans("backLang.street"),
            "address_neighborhood" => trans("backLang.neighborhood"),
            "address_post_no" => trans("backLang.postBox"),
            "address_other_no" => trans("backLang.additionalNumber"),
            "created_at" => trans("backLang.createdAt"),
            "created_by" => trans("backLang.createdBy"),
            "independent" => trans("backLang.independence"),
            "status" => trans("backLang.accountStatus"),
            "reject_reason" => trans("backLang.rejectionReasons"),
        ];
        $display_columns = $print_columns = $export_columns = [
            "id_number",
            "name_full",
            "gender",
            "married",
            "status",
            "independent",
            "created_at",
        ];

        if (Helper::Preferences("columns_sorting") != "") {
            try {
                $columns_sorting = json_decode(Helper::Preferences("columns_sorting"));
                $ColumnsSelected = @$columns_sorting->{"persons"};
                if (!empty($ColumnsSelected)) {
                    $display_columns = @$ColumnsSelected->{"display"};
                    $print_columns = @$ColumnsSelected->{"print"};
                    $export_columns = @$ColumnsSelected->{"export"};
                }
            } catch (\Exception $e) {

            }
        }

        // filter depending on roles
        $Columns = Columns::roles_filter($Columns, true);
        $display_columns = Columns::roles_filter($display_columns);
        $print_columns = Columns::roles_filter($print_columns);
        $export_columns = Columns::roles_filter($export_columns);
        // end of filter depending on roles


        return [
            "all" => $Columns,
            "display" => $display_columns,
            "print" => $print_columns,
            "export" => $export_columns,
        ];
    }

    static function roles_filter($array, $is_all = false)
    {
        $unset_array = [];
        if (!Roles::Check("account_view_contacts")) {
            array_push(
                $unset_array,
                "telephone_full",
                "phone_full",
                "email",
                "address_country_id",
                "address_stat_id",
                "address_build_no",
                "address_street",
                "address_neighborhood",
                "address_post_no",
                "address_other_no"
            );
        }
        if (!Roles::Check("account_view_login")) {
            array_push(
                $unset_array,
                "login_username",
                "login_password"
            );
        }

        foreach ($array as $key => $col) {
            $col_to_check = $col;
            if ($is_all) {
                $col_to_check = $key;
            }
            if (in_array($col_to_check, $unset_array)) {
                unset($array[$key]);
            }

        }
        return $array;
    }

}

