<?php

// This class file to define all general functions

namespace App\Helpers;

use App;
use App\Models\country;
use App\Models\Page;
use App\Models\Preference;
use App\Models\Attachment;
use App\Models\Category;
use App\Models\Currency;
use App\Models\User;
use GeniusTS\HijriDate\Translations\Arabic;
use GeniusTS\HijriDate\Translations\English;
use Auth;
use URL;
use Cookie;
use Redirect;

class Helper
{
    static function SMS_Send($phone, $message)
    {
        $sms_status = Helper::Preferences("sms_status");
        $sms_user = Helper::Preferences("sms_username");
        $sms_password = Helper::Preferences("sms_password");
        $sender_name = Helper::Preferences("sms_sender");
        $message = preg_replace("/\r|\n/", "", $message);
        if ($sms_status && $sms_user != "" && $sms_password != "" && $phone != "" && $message != "") {
            try {
                // Sending SMS URL
                $url = "http://www.fekra-sms.com/sendsms.php?user=$sms_user&password=$sms_password&numbers=$phone&sender=$sender_name&message=$message&lang=ar";

                $header = array("Accept: application/json");
                $url = str_replace(" ", '%20', $url);
                $ch = curl_init();
                curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
                curl_setopt($ch, CURLOPT_ENCODING, "gzip");
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
                curl_setopt($ch, CURLOPT_URL, $url);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.0.3705; .NET CLR 1.1.4322)');
                $retValue = curl_exec($ch);
                $response = json_decode($retValue);
                return $sending_message = intval($retValue);


            } catch (Exception $e) {

            }
        }
        return false;
    }

    static function SMS_Balance()
    {
        $sms_user = Helper::Preferences("sms_username");
        $sms_password = Helper::Preferences("sms_password");
        if ($sms_user != "" && $sms_password != "") {
            try {
                // SMS Balance URL
                $url = "http://www.fekra-sms.com/sendsms.php?user=$sms_user&password=$sms_password&action=get";

                $header = array("Accept: application/json");
                $url = str_replace(" ", '%20', $url);
                $ch = curl_init();
                curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
                curl_setopt($ch, CURLOPT_ENCODING, "gzip");
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
                curl_setopt($ch, CURLOPT_URL, $url);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.0.3705; .NET CLR 1.1.4322)');
                $retValue = curl_exec($ch);
                $response = json_decode($retValue);
                return $sending_balance = intval($retValue);

            } catch (Exception $e) {

            }
        }
    }

    static function CheckMailStatus()
    {
        if (Helper::Preferences('mail_driver') == "smtp" && Helper::Preferences('mail_host') != "" && Helper::Preferences('mail_port') != "" && Helper::Preferences('mail_username') != "" && Helper::Preferences('mail_password') != "") {
            return true;
        }
        if (Helper::Preferences('mail_driver') != "smtp" && Helper::Preferences('mail_host') == "") {
            return true;
        }
        return false;
    }

    static function CheckSMSStatus()
    {
        if (Helper::Preferences('sms_status') != "" && Helper::Preferences('sms_username') != "" && Helper::Preferences('sms_password') != "") {
            return true;
        }
        return false;
    }

    static function CheckOneSignalStatus()
    {
        if (Helper::Preferences('one_signal_status') && Helper::Preferences('one_signal_app_id') != "" && Helper::Preferences('one_signal_api_key') != "") {
            return true;
        }
        return false;
    }

    static function CheckPusherStatus()
    {
        if (Helper::Preferences('pusher_status') && Helper::Preferences('pusher_app_id') != "" && Helper::Preferences('pusher_app_key') != "" && Helper::Preferences('pusher_app_secret') != "") {
            return true;
        }
        return false;
    }

    static function CountriesList()
    {
        return $Countries = country::orderBy("title_" . trans("backLang.code"), "asc")->get();
    }

    static function Country($id)
    {
        return country::find($id);
    }

    static function thousandsFormat($num)
    {

        if ($num > 1000) {

            $x = round($num);
            $x_number_format = number_format($x);
            $x_array = explode(',', $x_number_format);
            $x_parts = array('k', 'm', 'b', 't');
            $x_count_parts = count($x_array) - 1;
            $x_display = $x;
            $x_display = $x_array[0] . ((int)$x_array[1][0] !== 0 ? '.' . $x_array[1][0] : '');
            $x_display .= $x_parts[$x_count_parts - 1];

            return $x_display;
        }

        return $num;
    }

    static function cdn($asset = "")
    {
        $cdn_status = Helper::Preferences("cdn_status");
        $cdn_url = Helper::Preferences("cdn_url");
        if ($cdn_status && $cdn_url != "") {
            return rtrim($cdn_url, "/") . "/" . ltrim($asset, "/");
        } else {
            return URL::to($asset);
        }
    }

    static function HjTOM($date, $withTime = 0)
    {
        $dateFormat = "Y-m-d";
        // Hijri to Gregorian
        if (trans('backLang.boxCode') == "ar") {
            \GeniusTS\HijriDate\Date::setTranslation(new Arabic);
        } else {
            \GeniusTS\HijriDate\Date::setTranslation(new English);
        }
        $NEW_date = \GeniusTS\HijriDate\Hijri::convertToGregorian(date("d", strtotime($date)), date("m", strtotime($date)), date("Y", strtotime($date)), env('HIJRI_ADJUSTMENT', '0'));
        $dformat = str_replace("Y", "o", $dateFormat);
        $dformat = str_replace("M", "F", $dateFormat);
        if ($withTime) {
            $NEW_date = $NEW_date->format($dformat);
            $date = $NEW_date . " " . date("H:i:s", strtotime($date));
        } else {
            $date = $NEW_date->format($dformat);
        }
        return $date;
    }

    static function DatePrepare($date, $withTime = 0, $v = 0)
    {
        if ($date == "" || $date == "0000-00-00") {
            return "";
        }
        $dateType = Helper::Preferences("date_type");
        $dateFormat = "Y-m-d";

        if ($v && $dateType) {
            // prepare date to editing
            if (trans('backLang.boxCode') == "ar") {
                \GeniusTS\HijriDate\Date::setTranslation(new Arabic);
            } else {
                \GeniusTS\HijriDate\Date::setTranslation(new English);
            }
            $date = \GeniusTS\HijriDate\Hijri::convertToHijri(date("Y-m-d h:i a", strtotime($date)));
            $dformat = str_replace("Y", "o", $dateFormat);
            $dformat = str_replace("M", "F", $dateFormat);
            if ($withTime) {
                $date = $date->format($dformat . " h:i a");
            } else {
                $date = $date->format($dformat);
            }
        } else if ($dateType) {
            // Hijri to Gregorian
            if (trans('backLang.boxCode') == "ar") {
                \GeniusTS\HijriDate\Date::setTranslation(new Arabic);
            } else {
                \GeniusTS\HijriDate\Date::setTranslation(new English);
            }
            $NEW_date = \GeniusTS\HijriDate\Hijri::convertToGregorian(date("d", strtotime($date)), date("m", strtotime($date)), date("Y", strtotime($date)), env('HIJRI_ADJUSTMENT', '0'));
            $dformat = str_replace("Y", "o", $dateFormat);
            $dformat = str_replace("M", "F", $dateFormat);
            if ($withTime) {
                $NEW_date = $NEW_date->format($dformat);
                $date = $NEW_date . " " . date("H:i:s", strtotime($date));
            } else {
                $date = $NEW_date->format($dformat);
            }
        }
        return $date;
    }

    static function Preferences($var)
    {
        $Preference = Preference::find(1);

        if ($Preference->more_settings != "") {
            try {
                $more_settings = json_decode($Preference->more_settings);
            } catch (\Exception $e) {
                $more_settings = [];
            }
        }

        foreach (Cats::AdditionalGeneralSettings() as $AdditionalGeneralSetting) {
            if ($var == $AdditionalGeneralSetting) {
                if (@$more_settings->$var == null) {
                    return "";
                }
                return @$more_settings->$var;
            }
        }


        $accounting_settings = [];
        if ($Preference->accounting_settings != "") {
            try {
                $accounting_settings = json_decode($Preference->accounting_settings);
            } catch (\Exception $e) {
                $accounting_settings = [];
            }
        }
        foreach ($accounting_settings as $key => $accounting_setting) {
            if ($var == $key) {
                if ($accounting_setting == null) {
                    return "";
                }
                return $accounting_setting;
            }
        }

        // - some default accounting settings
        if ($var == "decimal_round") {
            return 2;
        }
        if ($var == "decimal_symbol") {
            return ".";
        }
        if ($var == "thousand_symbol") {
            return ",";
        }
        // - some default accounting settings

        return @$Preference->$var;
    }

    static function DateView($date, $withTime = 0, $dateType = "", $dateFormat = "")
    {
        if ($date == "" || $date == "0000-00-00") {
            return "";
        }

        if ($dateType == "" && $dateType != "0") {
            $dateType = Helper::Preferences("date_type");
        }
        if ($dateFormat == "") {
            $dateFormat = Helper::Preferences("date_format");
        }
        if ($dateType) {
            if (trans('backLang.boxCode') == "ar") {
                \GeniusTS\HijriDate\Date::setTranslation(new Arabic);
            } else {
                \GeniusTS\HijriDate\Date::setTranslation(new English);
            }
            $date = \GeniusTS\HijriDate\Hijri::convertToHijri(date("Y-m-d h:i A", strtotime($date)));
            $dformat = str_replace("Y", "o", $dateFormat);
            $dformat = str_replace("M", "F", $dateFormat);
            if ($withTime) {
                $date = $date->format($dformat . " h:i A");
            } else {
                $date = $date->format($dformat);
            }
        } else {
            if ($dateFormat == "d M Y" || $dateFormat == "Y M d") {
                $d = date('d', strtotime($date));
                $m = trans('backLang.month_names.' . round(date('m', strtotime($date))));
                $y = date('Y', strtotime($date));
                if ($withTime) {
                    $date = date($dateFormat . " h:i A", strtotime($date));
                    if ($dateFormat == "d M Y") {
                        $date = $d . " " . $m . " " . $y . " " . date("h:i A", strtotime($date));
                    } else {
                        $date = $y . " " . $m . " " . $d . " " . date("h:i A", strtotime($date));
                    }
                    $date = "<span dir=ltr>" . $date . "</span>";
                } else {
                    if ($dateFormat == "d M Y") {
                        $date = $d . " " . $m . " " . $y;
                    } else {
                        $date = $y . " " . $m . " " . $d;
                    }
                }
            } else {
                if ($withTime) {
                    $date = date($dateFormat . " h:i A", strtotime($date));
                    $date = "<span dir=ltr>" . $date . "</span>";
                } else {
                    $date = date($dateFormat, strtotime($date));
                }
            }
        }
        return $date;
    }

    static function usernameById($id)
    {
        $User = User::find($id);
        if (!empty($User)) {
            return $User->name;
        }
    }

    static function users($stat = 'all')
    {
        if ($stat == "active") {
            return User::where('status', true)->get();
        }
        if ($stat == "blocked") {
            return User::where('status', false)->get();
        }
        return User::all();
    }

    static function getBrowser()
    {
        // check if IE 8 - 11+
        preg_match('/Trident\/(.*)/', $_SERVER['HTTP_USER_AGENT'], $matches);
        if ($matches) {
            $version = intval($matches[1]) + 4;     // Trident 4 for IE8, 5 for IE9, etc
            return 'Internet Explorer ' . ($version < 11 ? $version : $version);
        }

        preg_match('/MSIE (.*)/', $_SERVER['HTTP_USER_AGENT'], $matches);
        if ($matches) {
            return 'Internet Explorer ' . intval($matches[1]);
        }

        // check if Firefox, Opera, Chrome, Safari
        foreach (array('Firefox', 'OPR', 'Chrome', 'Safari') as $browser) {
            preg_match('/' . $browser . '/', $_SERVER['HTTP_USER_AGENT'], $matches);
            if ($matches) {
                return str_replace('OPR', 'Opera',
                    $browser);   // we don't care about the version, because this is a modern browser that updates itself unlike IE
            }
        }
    }

    static function getOS()
    {

        $user_agent = $_SERVER['HTTP_USER_AGENT'];

        $os_platform = "unknown";

        $os_array = array(
            '/windows nt 10/i' => 'Windows 10',
            '/windows nt 6.3/i' => 'Windows 8.1',
            '/windows nt 6.2/i' => 'Windows 8',
            '/windows nt 6.1/i' => 'Windows 7',
            '/windows nt 6.0/i' => 'Windows Vista',
            '/windows nt 5.2/i' => 'Windows Server 2003/XP x64',
            '/windows nt 5.1/i' => 'Windows XP',
            '/windows xp/i' => 'Windows XP',
            '/windows nt 5.0/i' => 'Windows 2000',
            '/windows me/i' => 'Windows ME',
            '/win98/i' => 'Windows 98',
            '/win95/i' => 'Windows 95',
            '/win16/i' => 'Windows 3.11',
            '/macintosh|mac os x/i' => 'Mac OS X',
            '/mac_powerpc/i' => 'Mac OS 9',
            '/linux/i' => 'Linux',
            '/ubuntu/i' => 'Ubuntu',
            '/iphone/i' => 'iPhone',
            '/ipod/i' => 'iPod',
            '/ipad/i' => 'iPad',
            '/android/i' => 'Android',
            '/blackberry/i' => 'BlackBerry',
            '/webos/i' => 'Mobile'
        );

        foreach ($os_array as $regex => $value) {

            if (preg_match($regex, $user_agent)) {
                $os_platform = $value;
            }

        }

        return $os_platform;

    }

    static function Get_youtube_video_id($url)
    {
        if (preg_match('/youtu\.be/i', $url) || preg_match('/youtube\.com\/watch/i', $url)) {
            $pattern = '/^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#\&\?]*).*/';
            preg_match($pattern, $url, $matches);
            if (count($matches) && strlen($matches[7]) == 11) {
                return $matches[7];
            }
        }

        return '';
    }

    static function Get_vimeo_video_id($url)
    {
        if (preg_match('/vimeo\.com/i', $url)) {
            $pattern = '/\/\/(www\.)?vimeo.com\/(\d+)($|\/)/';
            preg_match($pattern, $url, $matches);
            if (count($matches)) {
                return $matches[2];
            }
        }

        return '';
    }

    static function SocialShare($social, $title)
    {
        $shareLink = "";
        $URL = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";

        switch ($social) {
            case "facebook":
                $shareLink = "https://www.facebook.com/sharer/sharer.php?u=" . urlencode($URL);
                break;
            case "twitter":
                $shareLink = "https://twitter.com/intent/tweet?text=$title&url=" . urlencode($URL);
                break;
            case "google":
                $shareLink = "https://plus.google.com/share?url=" . urlencode($URL);
                break;
            case "linkedin":
                $shareLink = "http://www.linkedin.com/shareArticle?mini=true&url=" . urlencode($URL) . "&title=$title";
                break;
            case "tumblr":
                $shareLink = "http://www.tumblr.com/share/link?url=" . urlencode($URL);
                break;
        }

        return $shareLink;
    }

    static function IsPhoto($ext)
    {
        if (($ext == 'png' or $ext == 'jpg' or $ext == 'jpeg' or $ext == 'gif')) {
            return true;
        }
        return false;
    }

    static function GetIconFromExt($ext, $size = 20)
    {
        $ext = strtolower($ext);
        $icon = "<i class=\"fa fa-file-text-o\" style='font-size: " . $size . "px" . "'></i>";
        if ($ext == "pdf") {
            $icon = "<i class=\"fa fa-file-pdf-o\" style='color: red;font-size: " . $size . "px'></i>";
        }
        if (($ext == 'png' or $ext == 'jpg' or $ext == 'jpeg' or $ext == 'gif')) {
            $icon = "<i class=\"fa fa-photo\" style='color: grey;font-size: " . $size . "px'></i>";
        }
        if ($ext == "xls" or $ext == 'xlsx') {
            $icon = "<i class=\"fa fa-file-excel-o\" style='color: green;font-size: " . $size . "px'></i>";
        }
        if ($ext == "ppt" or $ext == 'pptx' or $ext == 'pptm') {
            $icon = "<i class=\"fa fa-file-powerpoint-o\" style='color: #1066E7;font-size: " . $size . "px'></i>";
        }
        if ($ext == "doc" or $ext == 'docx') {
            $icon = "<i class=\"fa fa-file-word-o\" style='color: #0EA8DD;font-size: " . $size . "px'></i>";
        }
        if ($ext == "zip" or $ext == 'rar') {
            $icon = "<i class=\"fa fa-file-zip-o\" style='color: #C8841D;font-size: " . $size . "px'></i>";
        }
        if ($ext == "txt" or $ext == 'rtf') {
            $icon = "<i class=\"fa fa-file-text-o\" style='color: #7573AA;font-size: " . $size . "px'></i>";
        }
        if ($ext == "mp3" or $ext == 'wav') {
            $icon = "<i class=\"fa fa-file-audio-o\" style='color: #8EA657;font-size: " . $size . "px'></i>";
        }
        if ($ext == "mp4" or $ext == 'avi') {
            $icon = "<i class=\"fa fa-file-video-o\" style='color: #D30789;font-size: " . $size . "px'></i>";
        }
        return $icon;

    }

    static function getFileSize($file, $digits = 2)
    {
        if ($file != "") {
            $filePath = $file;
            if (!realpath($filePath)) {
                $filePath = $_SERVER["DOCUMENT_ROOT"] . $filePath;
            }
            $fileSize = filesize($filePath);
            $sizes = array("TB", "GB", "MB", "KB", "B");
            $total = count($sizes);
            while ($total-- && $fileSize > 1024) {
                $fileSize /= 1024;
            }
            return round($fileSize, $digits) . " " . $sizes[$total];
        }
        return false;
    }

    static function formatFileSize($fileSize, $digits = 2)
    {
        $sizes = array("TB", "GB", "MB", "KB", "B");
        $total = count($sizes);
        while ($total-- && $fileSize > 1024) {
            $fileSize /= 1024;
        }
        return round($fileSize, $digits) . " " . $sizes[$total];
    }

    static function allowedFilesExt()
    {
        $allowed_files = "";
        $allowed_files_arr = explode(",", str_replace(" ", "", Helper::Preferences("allowed_ext")));
        foreach ($allowed_files_arr as $allowed_file) {
            $allowed_files = '"' . $allowed_file . '",' . $allowed_files;
        }
        $allowed_files = substr($allowed_files, 0, -1);

        return $allowed_files;
    }

    static function allowedFilesTypes()
    {
        $allowed_files = "";
        $allowed_files_arr = explode(",", str_replace(" ", "", Helper::Preferences("allowed_types")));
        foreach ($allowed_files_arr as $allowed_file) {
            $allowed_files = '"' . $allowed_file . '",' . $allowed_files;
        }
        $allowed_files = substr($allowed_files, 0, -1);

        return $allowed_files;
    }

    static function FileSystem()
    {
        $file_system = "";

        if (Helper::Preferences("ftp_status") == 2 && Helper::Preferences("dropbox_access_token")) {
            $file_system = "dropbox";
        }
        if (Helper::Preferences("ftp_status") == 1 && Helper::Preferences("ftp_host") && Helper::Preferences("ftp_username") && Helper::Preferences("ftp_password")) {
            $file_system = "ftp";
        }

        return $file_system;
    }

    static function detectDevice()
    {
        $userAgent = $_SERVER["HTTP_USER_AGENT"];
        $deviceName = "";
        $devicesTypes = array(
            "computer" => array("msie 10", "msie 9", "msie 8", "windows.*firefox", "windows.*chrome", "x11.*chrome", "x11.*firefox", "macintosh.*chrome", "macintosh.*firefox", "opera", "macintosh"),
            "tablet" => array("tablet", "android", "ipad", "tablet.*firefox"),
            "mobile" => array("mobile ", "android.*mobile", "iphone", "ipod", "opera mobi", "opera mini"),
            "bot" => array("googlebot", "mediapartners-google", "adsbot-google", "duckduckbot", "msnbot", "bingbot", "ask", "facebook", "yahoo", "addthis")
        );
        foreach ($devicesTypes as $deviceType => $devices) {
            foreach ($devices as $device) {
                if (preg_match("/" . $device . "/i", $userAgent)) {
                    $deviceName = $deviceType;
                }
            }
        }
        return $deviceName;
    }

    static function detectLang()
    {
        $lang = "";
        if (Cookie::get('lang') != "") {
            $lang = Cookie::get('lang');
        }
        if ($lang != "ar" && $lang != "en") {
            $lang = DeviceTrust::env('DEFAULT_LANGUAGE');
        }
        App::setLocale($lang);
    }

    static function confirmPassword($redirect_route_name)
    {
        $pass = \Session::get('app_pass_confirm');
        if ($pass != "true") {
            return Redirect::to(route("AppPassConfirmBox", ["RedirectRouteName" => $redirect_route_name]))->send();
        }
    }

    static function changeEnv($data = array())
    {
        if (count($data) > 0) {

            // Read .env-file
            $env = file_get_contents(base_path() . '/.env');

            // Split string on every " " and write into array
            $env = preg_split('/\s+/', $env);;

            // Loop through given data
            foreach ((array)$data as $key => $value) {

                // Loop through .env-data
                foreach ($env as $env_key => $env_value) {

                    // Turn the value into an array and stop after the first split
                    // So it's not possible to split e.g. the App-Key by accident
                    $entry = explode("=", $env_value, 2);

                    // Check, if new key fits the actual .env-key
                    if ($entry[0] == $key) {
                        // If yes, overwrite it with the new one
                        $env[$env_key] = $key . "=" . $value;
                    } else {
                        // If not, keep the old one
                        $env[$env_key] = $env_value;
                    }
                }
            }

            // Turn the array back to an String
            $env = implode("\n", $env);

            // And overwrite the .env with the new data
            file_put_contents(base_path() . '/.env', $env);

            return true;
        } else {
            return false;
        }
    }

    static function FolderTree($id)
    {
        $Tree = [];
        $Folder = Attachment::find($id);
        if (!empty($Folder)) {
            $father_id = $Folder->folder_id;
            $Tree[] = [
                "id" => $Folder->id,
                "title" => $Folder->title
            ];
            while ($father_id > 0) {
                $Folder = Attachment::find($father_id);
                $father_id = $Folder->folder_id;
                $Tree[] = [
                    "id" => $Folder->id,
                    "title" => $Folder->title
                ];
            }
        }
        return $Tree;
    }

    static function FolderSubItems($id)
    {
        $Tree = [];
        $Folder = Attachment::find($id);
        if (!empty($Folder)) {
            function AddToTree($Item_id, array &$Tree)
            {
                $SubItems = Attachment::where("folder_id", $Item_id)->get();
                foreach ($SubItems as $Item) {
                    $Tree[] = [
                        "id" => $Item->id,
                        "title" => $Item->title,
                        "folder" => $Item->folder
                    ];
                    AddToTree($Item->id, $Tree);
                }
            }

            AddToTree($Folder->id, $Tree);
        }
        return $Tree;
    }

    static function Categories($cat)
    {
        return Category::where('cat', $cat)->where('status', true)->orderby("order", "asc")->get();
    }

    static function Category($id)
    {
        $Category = Category::find($id);
        if (!empty($Category)) {
            $bg_color = "";
            $font_color = "";
            if ($Category->bg_color) {
                $bg_color = "background: " . $Category->bg_color . " !important;";
            }
            if ($Category->font_color) {
                $font_color = "color: " . $Category->font_color . " !important;";
            }
            return "<span class=\"tag tag-light text-muted\" style='" . $bg_color . $font_color . "'>" . $Category->{"title_" . trans("backLang.code")} . "</span>";
        }
        return "-";
    }

    static function Page($id)
    {
        return Page::where("status", 1)->find($id);
    }

    static function PrintHeaderAndFooter()
    {
        $Preference = Preference::find(1);
        if (!empty($Preference)) {
            $Data = [
                "date" => (Helper::DateView(date("Y-m-d", $_SERVER['REQUEST_TIME']), 0)),
                "date_time" => (Helper::DateView(date("Y-m-d", $_SERVER['REQUEST_TIME']), 1)),
                "username" => Auth::user()->name,
                "organization_ar" => $Preference->app_title_ar,
                "organization_en" => $Preference->app_title_en,
                "logo_ar" => ($Preference->app_logo_ar != "") ? "<img src=\"" . asset('uploads/preferences/' . $Preference->app_logo_ar) . "\" style=\"max-height:100px\">" : "",
                "logo_en" => ($Preference->app_logo_en != "") ? "<img src=\"" . asset('uploads/preferences/' . $Preference->app_logo_en) . "\" style=\"max-height:100px\">" : "",
            ];
            $print_header = $Preference->ParseColumn($Preference->{"print_header_" . trans("backLang.code")}, $Data);
            $print_footer = $Preference->ParseColumn($Preference->{"print_footer_" . trans("backLang.code")}, $Data);
            return [
                "header" => $print_header,
                "footer" => $print_footer,
            ];
        }
        return [
            "header" => "",
            "footer" => "",
        ];
    }

    static function createItemArray($items, $id, $father = 0)
    {
        $result = array();
        foreach ($items as $item) {
            if ($item->father_id == $father) {
                $stat = [];
                if ($id == $item->id) {
                    $stat = [
                        'selected' => true
                    ];
                }
                $newItem = array();
                $newItem['id'] = $item->id;
                $newItem['code'] = @$item->code;
                $newItem['new_code'] = @$item->new_code;
                $newItem['text_ar'] = $item->title_ar;
                $newItem['text_en'] = $item->title_en;
                $newItem['children'] = Helper::itemWithChildren($item, $items, $id);
                $newItem['state'] = $stat;
                array_push($result, $newItem);
            }
        }
        return $result;
    }

    static function itemWithChildren($item, $items, $id)
    {
        $result = array();
        $children = Helper::childrenOf($item, $items);
        foreach ($children as $child) {
            $stat = [];
            if ($id == $item->id) {
                $stat = [
                    'selected' => true
                ];
            }
            $newItem = array();
            $newItem['id'] = $child->id;
            $newItem['code'] = @$child->code;
            $newItem['new_code'] = @$child->new_code;
            $newItem['text_ar'] = $child->title_ar;
            $newItem['text_en'] = $child->title_en;
            $newItem['father_id'] = $child->father_id;
            $newItem['children'] = Helper::itemWithChildren($child, $items, $id);
            $newItem['state'] = $stat;
            array_push($result, $newItem);
        }
        return $result;
    }

    static function childrenOf($item, $items)
    {
        $result = array();
        foreach ($items as $i) {
            if ($i->father_id == $item->id) {
                $result[] = $i;
            }
        }
        return $result;
    }

    static function CurrencyTransfer($amount, $from, $to)
    {
        if ($from == $to || $amount == 0) {
            return $amount;
        }
        $Currency_From = Currency::find($from);
        $Currency_To = Currency::find($to);
        if (!empty($Currency_From) && !empty($Currency_To)) {
            if ($Currency_From->rate != 0) {
                return round($amount / $Currency_From->rate, 2);
            }
        }
        return $amount;
    }

    static function CurrenciesList()
    {

        return Currency::where("status", true)->orderby("order")->get();
    }

}
