<?php

namespace App\Helpers;

use App\Models\Activity;
use Auth;

class History
{
    static function Modules()
    {
        return [
            //... Settings
            "1" => [
                "title" => trans('backLang.settings'),
                "cats" => [
                    "101" => [
                        "title" => trans('backLang.generalSettings'),
                        "windows" => [],
                    ],
                    "102" => [
                        "title" => trans('backLang.roles'),
                        "windows" => [],
                    ],
                    "103" => [
                        "title" => trans('backLang.users'),
                        "windows" => [
                            "1030" => trans('backLang.comments'),
                            "1031" => trans('backLang.messages'),
                            "1032" => trans('backLang.notifications'),
                            "1033" => trans('backLang.attachments'),
                        ],
                    ],
                    "104" => [
                        "title" => trans('backLang.cybersecurity'),
                        "windows" => [
                            "1040" => trans('backLang.systemSecuritySettings'),
                            "1041" => trans('backLang.acceptAuthorized'),
                            "1042" => trans('backLang.IPBlocker'),
                        ],
                    ],
                    "105" => [
                        "title" => trans('backLang.categories'),
                        "windows" => [
                            "1050" => trans('backLang.fileCategories'),
                            "1051" => trans('backLang.eventCategories'),
                            "1052" => trans('backLang.tribes'),
                            "1053" => trans('backLang.countriesAndCities'),
                            "1054" => trans('backLang.work_places'),
                            "1055" => trans('backLang.rejectionReasons'),
                            "1056" => trans('backLang.corporateDirectory'),
                            "1057" => trans('backLang.loansCategories'),
                            "1058" => trans('backLang.helpRequestsCategories'),
                        ],
                    ],
                    "112" => [
                        "title" => trans('backLang.textPages'),
                        "windows" => [],
                    ],
                    "106" => [
                        "title" => trans('backLang.ftpSettings'),
                        "windows" => [],
                    ],
                    "107" => [
                        "title" => trans('backLang.notificationSettings'),
                        "windows" => [],
                    ],
                    "108" => [
                        "title" => trans('backLang.notificationTemplates'),
                        "windows" => [
                            "1080" => trans('backLang.emailTemplates'),
                            "1081" => trans('backLang.smsTemplates'),
                            "1082" => trans('backLang.onesignalTemplates'),
                        ],
                    ],
                    "113" => [
                        "title" => trans('backLang.printSettings'),
                        "windows" => [],
                    ],
                    "109" => [
                        "title" => trans('backLang.languageAndDateSettings'),
                        "windows" => [],
                    ],
                    "110" => [
                        "title" => trans('backLang.cronJobs'),
                        "windows" => [
                            "1100" => trans('backLang.autoDeleteSettings'),
                        ],
                    ],
                    "111" => [
                        "title" => trans('backLang.backupSettings'),
                        "windows" => [],
                    ],
                ],
            ],
            //... Calendar
            "2" => [
                "title" => trans('backLang.calendar'),
                "cats" => [
                    "201" => [
                        "title" => trans('backLang.comments'),
                        "windows" => [],
                    ],
                    "202" => [
                        "title" => trans('backLang.attachments'),
                        "windows" => [],
                    ],
                    "203" => [
                        "title" => trans('backLang.shares'),
                        "windows" => [],
                    ],
                    "204" => [
                        "title" => trans('backLang.alerts'),
                        "windows" => [],
                    ],
                ],
            ],
            //... File Archive
            "3" => [
                "title" => trans('backLang.fileArchive'),
                "cats" => [
                    "301" => [
                        "title" => trans('backLang.comments'),
                        "windows" => [],
                    ],
                    "302" => [
                        "title" => trans('backLang.shares'),
                        "windows" => [],
                    ],
                    "303" => [
                        "title" => trans('backLang.alerts'),
                        "windows" => [],
                    ],
                ],
            ],
            //... Chat
            "4" => [
                "title" => trans('backLang.chat'),
                "cats" => [
                    "401" => [
                        "title" => trans('backLang.attachments'),
                        "windows" => [],
                    ],
                ],
            ],
            //... Family Tree
            "5" => [
                "title" => trans('backLang.familyTree'),
                "cats" => [
                    "500" => [
                        "title" => trans('backLang.accountDetails'),
                        "windows" => [],
                    ],
                    "506" => [
                        "title" => trans('backLang.contactInfo'),
                        "windows" => [],
                    ],
                    "509" => [
                        "title" => trans('backLang.loginInfo'),
                        "windows" => [],
                    ],
                    "507" => [
                        "title" => trans('backLang.paterFamily'),
                        "windows" => [],
                    ],
                    "508" => [
                        "title" => trans('backLang.connectWife'),
                        "windows" => [],
                    ],
                    "5010" => [
                        "title" => trans('backLang.loans'),
                        "windows" => [],
                    ],
                    "5011" => [
                        "title" => trans('backLang.finance'),
                        "windows" => [],
                    ],
                    "501" => [
                        "title" => trans('backLang.comments'),
                        "windows" => [],
                    ],
                    "502" => [
                        "title" => trans('backLang.messages'),
                        "windows" => [],
                    ],
                    "503" => [
                        "title" => trans('backLang.notifications'),
                        "windows" => [],
                    ],
                    "504" => [
                        "title" => trans('backLang.attachments'),
                        "windows" => [],
                    ],
                    "505" => [
                        "title" => trans('backLang.alerts'),
                        "windows" => [],
                    ],
                ],
            ],
            //... Accountant
            "6" => [
                "title" => trans('backLang.accountant'),
                "cats" => [
                    "600" => [
                        "title" => trans('backLang.accountantSettings'),
                        "windows" => [
                            "6000" => trans('backLang.generalSettings'),
                            "6001" => trans('backLang.bankAccountsTree'),
                            "6002" => trans('backLang.revenuesCats'),
                            "6003" => trans('backLang.expensesCats'),
                            "6004" => trans('backLang.currencies'),
                            "6005" => trans('backLang.accountingPeriods'),
                            "6006" => trans('backLang.payMethods'),
                            "6007" => trans('backLang.costPositions'),
                        ],
                    ],
                    "601" => [
                        "title" => trans('backLang.accountantTree'),
                        "windows" => [],
                    ],
                    "602" => [
                        "title" => trans('backLang.revenues'),
                        "windows" => [],
                    ],
                    "603" => [
                        "title" => trans('backLang.expenses'),
                        "windows" => [],
                    ],
                    "604" => [
                        "title" => trans('backLang.dailyEntries'),
                        "windows" => [],
                    ],
                    "605" => [
                        "title" => trans('backLang.openingBalances'),
                        "windows" => [],
                    ],
                    "606" => [
                        "title" => trans('backLang.reconciliation'),
                        "windows" => [],
                    ],
                    "607" => [
                        "title" => trans('backLang.postingToLedger'),
                        "windows" => [],
                    ],
                    "608" => [
                        "title" => trans('backLang.fundAccount'),
                        "windows" => [],
                    ],
                    "609" => [
                        "title" => trans('backLang.bankAccount'),
                        "windows" => [],
                    ],
                ],
            ],
            //... Loans
            "7" => [
                "title" => trans('backLang.loans'),
                "cats" => [
                    "701" => [
                        "title" => trans('backLang.loans'),
                        "windows" => [],
                    ],
                    "702" => [
                        "title" => trans('backLang.instalments'),
                        "windows" => [],
                    ],
                    "703" => [
                        "title" => trans('backLang.attachments'),
                        "windows" => [],
                    ],
                    "704" => [
                        "title" => trans('backLang.comments'),
                        "windows" => [],
                    ],
                    "705" => [
                        "title" => trans('backLang.alerts'),
                        "windows" => [],
                    ],
                ],
            ],
            //... Circulars
            "8" => [
                "title" => trans('backLang.circulars'),
                "cats" => [],
            ],
            //... fears
            "9" => [
                "title" => trans('backLang.helpRequests'),
                "cats" => [
                    "901" => [
                        "title" => trans('backLang.helpRequests'),
                        "windows" => [],
                    ],
                    "902" => [
                        "title" => trans('backLang.attachments'),
                        "windows" => [],
                    ],
                    "903" => [
                        "title" => trans('backLang.comments'),
                        "windows" => [],
                    ],
                ],
            ],
            //...
        ];
    }

    static function Operations()
    {
        return [
            "1" => [
                "title" => trans('backLang.view'),
                "icon" => "fe fe-eye",
            ],
            "2" => [
                "title" => trans('backLang.add'),
                "icon" => "fe fe-plus-circle text-success",
            ],
            "3" => [
                "title" => trans('backLang.edit'),
                "icon" => "fe fe-edit text-info",
            ],
            "4" => [
                "title" => trans('backLang.delete'),
                "icon" => "fe fe-trash text-danger",
            ],
            "5" => [
                "title" => trans('backLang.print'),
                "icon" => "fe fe-printer text-warning",
            ],
            "6" => [
                "title" => trans('backLang.send'),
                "icon" => "fe fe-send text-success",
            ],
            "7" => [
                "title" => trans('backLang.download'),
                "icon" => "fe fe-download",
            ],
            "8" => [
                "title" => trans('backLang.block'),
                "icon" => "fe fe-delete text-danger",
            ],
            "9" => [
                "title" => trans('backLang.active'),
                "icon" => "fe fe-check-circle",
            ],
            "10" => [
                "title" => trans('backLang.export'),
                "icon" => "fe fe-arrow-down-circle",
            ],
            "11" => [
                "title" => trans('backLang.import'),
                "icon" => "fe fe-arrow-up-circle",
            ],
            "12" => [
                "title" => trans('backLang.backup'),
                "icon" => "fe fe-database",
            ],
            "13" => [
                "title" => trans('backLang.restore'),
                "icon" => "fe fe-clock",
            ],
            "14" => [
                "title" => trans('backLang.acceptAuthorize'),
                "icon" => "fe fe-clock",
            ],
            "15" => [
                "title" => trans('backLang.commentType'),
                "icon" => "fa fa-comment-o",
            ],
            "16" => [
                "title" => trans('backLang.share'),
                "icon" => "fe fe-share",
            ],
            "17" => [
                "title" => trans('backLang.postDo'),
                "icon" => "fe fe-corner-up-left",
            ],
            "18" => [
                "title" => trans('backLang.postCancel'),
                "icon" => "fe fe-rotate-cw",
            ],
            "19" => [
                "title" => trans('backLang.balanceTransfer'),
                "icon" => "fe fe-shuffle",
            ],
        ];

    }

    static function Log($module = 0, $cat = 0, $window = 0, $record_id = 0, $operation = 0, $title = "")
    {
        try{
            $Activity = new Activity;
            $Activity->module = $module;
            $Activity->cat = $cat;
            $Activity->window = $window;
            $Activity->record_id = $record_id;
            $Activity->operation = $operation;
            $Activity->title = $title;
            $Activity->created_ip = \Request::ip();
            $Activity->created_by = @Auth::user()->id;
            $Activity->save();
        }catch (\Exception $e){

        }
    }

}
