<?php

namespace App\Helpers;

use Auth;
use Redirect;

class Roles
{
    static function List()
    {
        return [
            [
                "group_title" => trans('backLang.activeApps'),
                "group_col" => 4,
                "group_check" => false,
                "group_role" => "role_apps",
                "group_roles" => [
                    [
                        "role" => "role_reports",
                        "title" => trans('backLang.reports'),
                    ],
                    [
                        "role" => "role_calendar",
                        "title" => trans('backLang.calendar'),
                    ],
                    [
                        "role" => "role_archive",
                        "title" => trans('backLang.fileArchive'),
                    ],
                    [
                        "role" => "role_search_engine",
                        "title" => trans('backLang.searchEngine'),
                    ],
                    [
                        "role" => "role_chat",
                        "title" => trans('backLang.chat'),
                    ],
                ],
            ],
            [
                "group_title" => trans('backLang.settings'),
                "group_col" => 6,
                "group_check" => true,
                "group_role" => "app_preferences",
                "group_roles" => [
                    [
                        "role" => "app_preferences_general",
                        "title" => trans('backLang.generalSettings'),
                    ],
                    [
                        "role" => "app_preferences_roles",
                        "title" => trans('backLang.roles'),
                    ],
                    [
                        "role" => "app_preferences_users",
                        "title" => trans('backLang.users'),
                    ],
                    [
                        "role" => "app_preferences_security",
                        "title" => trans('backLang.cybersecurity'),
                    ],
                    [
                        "role" => "app_preferences_categories",
                        "title" => trans('backLang.categories'),
                    ],
                    [
                        "role" => "app_text_pages",
                        "title" => trans('backLang.textPages'),
                    ],
                    [
                        "role" => "app_preferences_ftp",
                        "title" => trans('backLang.ftpSettings'),
                    ],
                    [
                        "role" => "app_preferences_notifications",
                        "title" => trans('backLang.notificationSettings'),
                    ],
                    [
                        "role" => "app_preferences_templates",
                        "title" => trans('backLang.notificationTemplates'),
                    ],
                    [
                        "role" => "app_preferences_print",
                        "title" => trans('backLang.printSettings'),
                    ],
                    [
                        "role" => "app_preferences_language",
                        "title" => trans('backLang.languageAndDateSettings'),
                    ],
                    [
                        "role" => "app_preferences_backup",
                        "title" => trans('backLang.DBBackup'),
                    ],
                    [
                        "role" => "app_preferences_cron",
                        "title" => trans('backLang.cronJobs'),
                    ],
                ],
            ],
            [
                "group_title" => trans('backLang.users') . " / " . trans('backLang.profile'),
                "group_col" => 6,
                "group_check" => false,
                "group_role" => "role_profile",
                "group_roles" => [
                    [
                        "role" => "profile_update",
                        "title" => trans('backLang.profileUpdate'),
                    ],
                    [
                        "role" => "profile_hidden_messages",
                        "title" => trans('backLang.viewHiddenMessages'),
                    ],
                    [
                        "role" => "profile_send_email",
                        "title" => trans('backLang.newEmailMessage'),
                    ],
                    [
                        "role" => "profile_send_notification",
                        "title" => trans('backLang.sendNotification'),
                    ],
                    [
                        "role" => "profile_send_sms",
                        "title" => trans('backLang.newSMSMessage'),
                    ],
                    [
                        "role" => "profile_send_browser",
                        "title" => trans('backLang.newBrowserMessage'),
                    ],
                    [
                        "role" => "profile_tab_comments",
                        "title" => trans('backLang.viewCommentsTab'),
                    ],
                    [
                        "role" => "profile_tab_events",
                        "title" => trans('backLang.viewEventsTab'),
                    ],
                    [
                        "role" => "profile_tab_notifications",
                        "title" => trans('backLang.viewNotificationsTab'),
                    ],
                    [
                        "role" => "profile_tab_files",
                        "title" => trans('backLang.viewAttachmentsTab'),
                    ],
                    [
                        "role" => "profile_tab_messages",
                        "title" => trans('backLang.viewMessagesTab'),
                    ],
                    [
                        "role" => "profile_tab_activities",
                        "title" => trans('backLang.viewActivitiesTab'),
                    ],
                    [
                        "role" => "profile_comments_create",
                        "title" => trans('backLang.addCommentsRole'),
                    ],
                    [
                        "role" => "profile_comments_delete",
                        "title" => trans('backLang.deleteCommentsRole'),
                    ],
                    [
                        "role" => "delete_users_comments",
                        "title" => trans('backLang.deleteOtherUsersComments'),
                    ],
                    [
                        "role" => "comment_on_files",
                        "title" => trans('backLang.commentOnFiles'),
                    ],
                ],
            ],
            [
                "group_title" => trans('backLang.fileArchive'),
                "group_col" => 6,
                "group_check" => false,
                "group_role" => "role_archive",
                "group_roles" => [
                    [
                        "role" => "archive_files_upload",
                        "title" => trans('backLang.uploadAttachmentRole'),
                    ],
                    [
                        "role" => "archive_files_download",
                        "title" => trans('backLang.downloadAttachmentRole'),
                    ],
                    [
                        "role" => "archive_files_edit",
                        "title" => trans('backLang.editAttachmentRole'),
                    ],
                    [
                        "role" => "archive_files_delete",
                        "title" => trans('backLang.deleteAttachmentRole'),
                    ],
                    [
                        "role" => "archive_multi_upload",
                        "title" => trans('backLang.multiUploadRole'),
                    ],
                    [
                        "role" => "archive_file_share",
                        "title" => trans('backLang.shareFilesWithOthers'),
                    ],
                    [
                        "role" => "archive_file_alerts",
                        "title" => trans('backLang.addingAlertsOnFilesAbility'),
                    ],
                    [
                        "role" => "archive_type_0",
                        "title" => trans('backLang.usersAttachments'),
                    ],
                    [
                        "role" => "archive_type_1",
                        "title" => trans('backLang.calendarAttachments'),
                    ],
                    [
                        "role" => "archive_type_2",
                        "title" => trans('backLang.chatAttachments'),
                    ],
                    [
                        "role" => "archive_type_3",
                        "title" => trans('backLang.familyTree'),
                    ],
                    [
                        "role" => "archive_type_4",
                        "title" => trans('backLang.loansAttachments'),
                    ],
                    [
                        "role" => "archive_type_5",
                        "title" => trans('backLang.helpRequestsAttachments'),
                    ],
                ],
            ],
            [
                "group_title" => trans('backLang.calendar'),
                "group_col" => 6,
                "group_check" => false,
                "group_role" => "role_calendar",
                "group_roles" => [
                    [
                        "role" => "calendar_add",
                        "title" => trans('backLang.calendarCreate'),
                    ],
                    [
                        "role" => "calendar_edit",
                        "title" => trans('backLang.calendarEdit'),
                    ],
                    [
                        "role" => "calendar_delete",
                        "title" => trans('backLang.calendarDelete'),
                    ],
                    [
                        "role" => "calendar_share",
                        "title" => trans('backLang.calendarShare'),
                    ],
                    [
                        "role" => "calendar_alerts",
                        "title" => trans('backLang.calendarAlertsTab'),
                    ],
                    [
                        "role" => "calendar_attachments",
                        "title" => trans('backLang.calendarAttachmentsTab'),
                    ],
                    [
                        "role" => "calendar_comments",
                        "title" => trans('backLang.calendarCommentsTab'),
                    ],
                ],
            ],

            [
                "group_title" => trans('backLang.accountant'),
                "group_col" => 6,
                "group_check" => true,
                "group_role" => "role_accountant",
                "group_roles" => [
                    [
                        "role" => "app_preferences_accounting",
                        "title" => trans('backLang.accountantSettings'),
                    ],
                    [
                        "role" => "accountant_tree",
                        "title" => trans('backLang.accountantTree'),
                    ],
                    [
                        "role" => "accountant_revenues",
                        "title" => trans('backLang.revenues'),
                    ],
                    [
                        "role" => "accountant_expenses",
                        "title" => trans('backLang.expenses'),
                    ],
                    [
                        "role" => "accountant_fund",
                        "title" => trans('backLang.fundAccount'),
                    ],
                    [
                        "role" => "accountant_bank",
                        "title" => trans('backLang.bankAccount'),
                    ],
                    [
                        "role" => "accountant_journals",
                        "title" => trans('backLang.dailyEntries'),
                    ],
                    [
                        "role" => "accountant_post_entries",
                        "title" => trans('backLang.postingToLedger'),
                    ],
                    [
                        "role" => "accountant_reconciliation",
                        "title" => trans('backLang.reconciliation'),
                    ],
                    [
                        "role" => "accountant_opening_balances",
                        "title" => trans('backLang.openingBalances'),
                    ],
                    [
                        "role" => "accountant_add",
                        "title" => trans('backLang.addPermission'),
                    ],
                    [
                        "role" => "accountant_edit",
                        "title" => trans('backLang.editPermission'),
                    ],
                    [
                        "role" => "accountant_delete",
                        "title" => trans('backLang.deletePermission'),
                    ],
                    [
                        "role" => "accountant_import",
                        "title" => trans('backLang.abilityToImport'),
                    ],
                    [
                        "role" => "accountant_export",
                        "title" => trans('backLang.abilityToExport'),
                    ],
                    [
                        "role" => "accountant_print",
                        "title" => trans('backLang.abilityToPrint'),
                    ],
                    [
                        "role" => "accountant_post",
                        "title" => trans('backLang.abilityToPostEntries'),
                    ],
                    [
                        "role" => "accountant_unpost",
                        "title" => trans('backLang.abilityToCancelPostEntries'),
                    ],
                    [
                        "role" => "accountant_period_close",
                        "title" => trans('backLang.accountantPeriodClose'),
                    ],
                ],
            ],

            [
                "group_title" => trans('backLang.loans'),
                "group_col" => 6,
                "group_check" => true,
                "group_role" => "role_loans",
                "group_roles" => [
                    [
                        "role" => "loans_add",
                        "title" => trans('backLang.registerAndAdding'),
                    ],
                    [
                        "role" => "loans_edit",
                        "title" => trans('backLang.loansAddAbility'),
                    ],
                    [
                        "role" => "loans_delete",
                        "title" => trans('backLang.loansDeleteAbility'),
                    ],
                    [
                        "role" => "loan_print",
                        "title" => trans('backLang.loansPrintFile'),
                    ],
                    [
                        "role" => "loans_print",
                        "title" => trans('backLang.loansPrintAbility'),
                    ],
                    [
                        "role" => "loans_export",
                        "title" => trans('backLang.loansExportAbility'),
                    ],
                    [
                        "role" => "loan_approve",
                        "title" => trans('backLang.loansAutoApprove'),
                    ],
                    [
                        "role" => "loan_status_edit",
                        "title" => trans('backLang.changeLoanStatus'),
                    ],
                    [
                        "role" => "loans_receipt",
                        "title" => trans('backLang.loanReceiptAbility'),
                    ],
                    [
                        "role" => "loan_tab_comments",
                        "title" => trans('backLang.viewCommentsTab'),
                    ],
                    [
                        "role" => "loan_tab_alerts",
                        "title" => trans('backLang.addingAlertsAbility'),
                    ],
                    [
                        "role" => "loan_tab_files",
                        "title" => trans('backLang.viewAttachmentsTab'),
                    ],
                    [
                        "role" => "loan_tab_installments",
                        "title" => trans('backLang.viewInstallmentsTab'),
                    ],
                    [
                        "role" => "loan_comments_create",
                        "title" => trans('backLang.addCommentsRole'),
                    ],
                    [
                        "role" => "loan_comments_delete",
                        "title" => trans('backLang.deleteCommentsRole'),
                    ],
                    [
                        "role" => "loans_files_upload",
                        "title" => trans('backLang.uploadAttachmentRole'),
                    ],
                    [
                        "role" => "loans_files_download",
                        "title" => trans('backLang.downloadAttachmentRole'),
                    ],
                    [
                        "role" => "loans_files_edit",
                        "title" => trans('backLang.editAttachmentRole'),
                    ],
                    [
                        "role" => "loans_files_delete",
                        "title" => trans('backLang.deleteAttachmentRole'),
                    ],
                    [
                        "role" => "loans_multi_upload",
                        "title" => trans('backLang.multiUploadRole'),
                    ],
                ],
            ],
            [
                "group_title" => trans('backLang.financialReports'),
                "group_col" => 6,
                "group_check" => true,
                "group_role" => "role_accountant_reports",
                "group_roles" => [
                    [
                        "role" => "accountant_report_1",
                        "title" => trans('backLang.cashReceipts'),
                    ],
                    [
                        "role" => "accountant_report_2",
                        "title" => trans('backLang.payReceipts'),
                    ],
                    [
                        "role" => "accountant_report_3",
                        "title" => trans('backLang.revenuesAndExpenses'),
                    ],
                    [
                        "role" => "accountant_report_4",
                        "title" => trans('backLang.statementReport'),
                    ],
                    [
                        "role" => "accountant_report_12",
                        "title" => trans('backLang.entriesReport'),
                    ],
                    [
                        "role" => "accountant_report_5",
                        "title" => trans('backLang.masterReport'),
                    ],

                    [
                        "role" => "accountant_report_10",
                        "title" => trans('backLang.fundsAndBanksReport'),
                    ],
                    [
                        "role" => "accountant_report_11",
                        "title" => trans('backLang.costPositionsReport'),
                    ],
                    [
                        "role" => "accountant_report_8",
                        "title" => trans('backLang.IncomeReport'),
                    ],
                    [
                        "role" => "accountant_report_9",
                        "title" => trans('backLang.cashFlowReport'),
                    ],

                    [
                        "role" => "accountant_report_6",
                        "title" => trans('backLang.trialBalance'),
                    ],
                    [
                        "role" => "accountant_report_13",
                        "title" => trans('backLang.incomeListReport'),
                    ],
                    [
                        "role" => "accountant_report_7",
                        "title" => trans('backLang.financialCenter'),
                    ],
                    [
                        "role" => "accountant_report_14",
                        "title" => trans('backLang.balanceSheetReport'),
                    ],
                    [
                        "role" => "accountant_report_15",
                        "title" => trans('backLang.installmentsReport'),
                    ],
                ],
            ],

            [
                "group_title" => trans('backLang.otherRoles'),
                "group_col" => 6,
                "group_check" => false,
                "group_role" => "role_other",
                "group_roles" => [
                    [
                        "role" => "sort_columns",
                        "title" => trans('backLang.abilityToSorColumns'),
                    ],
                ],
            ],
        ];
    }

    static function Check($var, $redirectIfNoPermission = false)
    {
        $return = false;
        $Roles = @Auth::user()->roles;
        if (!empty($Roles)) {
            switch ($var) {
                case $var === "view" || $var === "add" || $var === "edit" || $var === "delete" :
                    $return = $Roles->$var;
                    break;
                default:
                    if ($Roles->roles != "") {
                        try {
                            $Role_list = json_decode($Roles->roles);
                            $return = $Role_list->$var;
                        } catch (\Exception $e) {

                        }
                    }
            }
        }
        if (!$return && $redirectIfNoPermission) {
            return redirect()->route('adminHome')->send();
        }
        return $return;
    }
}

?>
