<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use App;
use Cookie;
use Session;
use DeviceTrust;
use Helper;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        Helper::detectLang();
        $this->middleware('guest')->except('logout');
    }

    protected function authenticated(Request $request, $user)
    {
        // save log session
        $log_session = time() . rand(1111, 9999);
        Cookie::queue("user_log_session", $log_session, 144000);
        $user->log_session = $log_session;
        $user->login_count++;
        $user->welcome_box_status = false;
        $user->save();


        Session::forget('app_pass_confirm');

        return redirect()->route('adminHome');
    }

    protected function credentials(Request $request)
    {
        if (is_numeric($request->get('email'))) {
            $n_phone = $request->get('email');
            if ($n_phone != "") {
                $phone_fc = mb_substr($n_phone, 0, 1, 'utf-8');
                if ($phone_fc == "0") {
                    $n_phone = mb_substr($n_phone, 1);
                }
                $phone_fc = mb_substr($n_phone, 0, 1, 'utf-8');
                if ($phone_fc == "0") {
                    $n_phone = mb_substr($n_phone, 1);
                }
                $phone_fc = mb_substr($n_phone, 0, 1, 'utf-8');
                if ($phone_fc == "+") {
                    $n_phone = mb_substr($n_phone, 1);
                }
            }

            return ['phone_full' => $n_phone, 'password' => $request->get('password'), 'status' => 1];
        }
        return array_merge($request->only($this->username(), 'password'), ['status' => 1]);
    }
}
