<?php

namespace App\Http\Controllers\Preferences;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Cookie;
use Illuminate\Support\Facades\Input;
use DeviceTrust;
use Auth;
use Redirect;


class LanguageController extends Controller
{
    //
    public function index()
    {
        $lang = Input::get('locale');
        if ($lang != "ar" && $lang != "en") {
            $lang = DeviceTrust::env('DEFAULT_LANGUAGE');
        }

        if (!\Session::has('locale')) {
            \Session::put('locale', $lang);
        } else {
            \Session::put('locale', $lang);
        }
        Cookie::queue("lang", $lang, 144000);

        return redirect()->back();

    }

    public function change($lang)
    {
        if ($lang != "ar" && $lang != "en") {
            $lang = DeviceTrust::env('DEFAULT_LANGUAGE');
        }
        \Session::put('locale', $lang);
        Cookie::queue("lang", $lang, 144000);

        //return redirect()->route("Home");
        return redirect()->back();

    }
}
