<?php

namespace App\Http\Middleware;

use Closure;
use App\Models\Setting;
use Auth;
use Helper;

class IpMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
            if (Helper::Preferences("block_ips") != "") {

                $ips_array = explode(PHP_EOL, Helper::Preferences("block_ips"));


                // check ips
                $ip_blocked = false;
                if (count($ips_array) > 0) {
                    foreach ($ips_array as $aip) {
                        if (strncmp($aip, $_SERVER['REMOTE_ADDR'], 7) === 0) {
                            $ip_blocked = true;
                        }
                    }
                }
                if ($ip_blocked) {
                    exit;
                }
            }

        return $next($request);
    }
}
