<?php

namespace App\Imports;

use App\Models\Currency;
use App\Helpers\History;
use App\Models\Journal;
use App\Models\Ledger;
use App\Models\Period;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Auth;
use Helper;

class LedgersImport implements ToCollection
{
    /**
     * @param Collection $rows
     */
    public function collection(Collection $rows)
    {
        try {
            $i = 0;
            foreach ($rows as $row) {
                if ($i > 1) {
                    $Ledger = Ledger::where("code", trim($row[1]))->first();
                    if (empty($Ledger)) {
                        $father_id = 0;
                        $group_id = trim($row[1]);
                        $father_code = substr(trim($row[1]), 0, -1);
                        $Father = Ledger::where("code", $father_code)->first();
                        if (empty($Father)) {
                            $father_code = substr(trim($row[1]), 0, -2);
                            $Father = Ledger::where("code", $father_code)->first();
                        }
                        if (empty($Father)) {
                            $father_code = substr(trim($row[1]), 0, -3);
                            $Father = Ledger::where("code", $father_code)->first();
                        }
                        if (empty($Father)) {
                            $father_code = substr(trim($row[1]), 0, -4);
                            $Father = Ledger::where("code", $father_code)->first();
                        }
                        if (empty($Father)) {
                            $father_code = substr(trim($row[1]), 0, -5);
                            $Father = Ledger::where("code", $father_code)->first();
                        }
                        if (!empty($Father)) {
                            $father_id = $Father->id;
                            $group_id = $Father->group_id;
                        }
                        $Ledger = new Ledger;
                        $Ledger->code = trim($row[1]);
                        $Ledger->father_id = $father_id;
                        $Ledger->title_ar = trim($row[2]);
                        $Ledger->title_en = trim($row[3]);
                        $Ledger->group_id = $group_id;
                        $Ledger->type = $this->ParseType($row[4]);
                        $Ledger->group = $this->ParseGroup($row[0]);
                        $Ledger->status = true;
                        $Ledger->created_ip = \Request::ip();
                        $Ledger->created_by = Auth::user()->id;
                        $Ledger->save();

                        // Log to history
                        History::Log(
                            $module = 6,
                            $cat = 600,
                            $window = 0,
                            $record_id = $Ledger->id,
                            $operation = 2,
                            $title = $Ledger->title_ar . "<br>" . $Ledger->title_en
                        );

                        if (trim($row[5]) > 0 || trim($row[6]) > 0) {
                            $CurrentPeriod = Period::find(Helper::Preferences("default_period"));
                            $currency_id = 0;
                            $Currency = Currency::where("code", trim($row[7]))->first();
                            if (!empty($Currency)) {
                                $currency_id = $Currency->id;
                            }

                            if (@$CurrentPeriod->status && $currency_id > 0) {
                                $Journal = new Journal;
                                $Journal->type = 1;
                                $Journal->period_id = Helper::Preferences("default_period");
                                $Journal->receipt_id = 0;
                                $Journal->ledger_id = $Ledger->id;
                                $Journal->center_id = 0;
                                $Journal->date = date('Y-m-d');
                                $Journal->date_type = 0;
                                if (trim($row[5]) > 0) {
                                    $Journal->credit = trim($row[5]);
                                    $Journal->cost_credit = Helper::CurrencyTransfer(trim($row[5]), $currency_id, Helper::Preferences("default_currency"));
                                }
                                if (trim($row[6]) > 0) {
                                    $Journal->dept = trim($row[6]);
                                    $Journal->cost_dept = Helper::CurrencyTransfer(trim($row[6]), $currency_id, Helper::Preferences("default_currency"));
                                }
                                $Journal->currency_id = $currency_id;

                                $Journal->details = trim($row[8]);
                                $Journal->posted = true;
                                $Journal->created_by = Auth::user()->id;
                                $Journal->save();

                                // Log to history
                                History::Log(
                                    $module = 6,
                                    $cat = 605,
                                    $window = 0,
                                    $record_id = $Journal->id,
                                    $operation = 2,
                                    $title = (($Journal->dept > 0) ? $Journal->dept : $Journal->credit) . " " . @$Journal->currency->symbol . "<br>" . @$Journal->ledger->code . " - " . @$Journal->ledger->{"title_" . trans("backLang.code")} . " : " . substr($Journal->details, 0, 150)
                                );
                            }
                        }

                    }
                }
                $i++;
            }
        } catch (\Exception $e) {

        }
    }

    public function ParseType($type_text)
    {
        switch (trim($type_text)) {
            case "دائن":
                $type = 2;
                break;
            case "مدين":
                $type = 1;
                break;
            case "غير محدد":
                $type = 0;
                break;
            default:
                $type = 0;
        }
        return $type;
    }

    public function ParseGroup($group_text)
    {
        switch (trim($group_text)) {
            case "مجموعة":
                $group = 1;
                break;
            default:
                $group = 0;
        }
        return $group;
    }
}
