<?php

namespace App\Jobs;

use App\Message;
use Helper;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use OneSignal;

class SendSMS implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $details;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($details)
    {
        $this->details = $details;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        if (Helper::CheckSMSStatus()) {
            $send_sms = Helper::SMS_Send($this->details['phone'], $this->details['message']);
            $Message = Message::find($this->details['message_id']);
            if (!empty($Message)) {
                $Message->status = ($send_sms) ? 1 : 2;
                $Message->save();
            }
        }
    }
}
