<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;
use GeoIP;
use uniqid;
use Helper;


class AuthorizeDevice extends Mailable
{
    use Queueable, SerializesModels;
    /**
     * @var mixed
     */
    protected $authorize;

    /**
     * Create a new message instance.
     *
     * @param $authorize
     * @return void
     */
    public function __construct($authorize)
    {
        $this->authorize = $authorize;
    }

    /**
     * @return mixed
     */
    public function setBrowser()
    {
        $this->authorize->browser = Helper::getBrowser();
        return $this;
    }

    /**
     * @return mixed
     */
    public function setToken()
    {
        $this->authorize->token = uniqid() . time();
        return $this;
    }

    /**
     * @return mixed
     */
    public function setLocation()
    {
        $visitor_ip = $_SERVER['REMOTE_ADDR'];
        try {
            $loc = GeoIP($visitor_ip);
            $location = $loc['country'].", ".$loc['city'];
        }catch (\Exception $e){
            $location = "unknown";
        }
        $this->authorize->location = $location;

        $Device_type = Helper::detectDevice();
        $this->authorize->device_type = $Device_type;
        $this->authorize->device_name =  @gethostbyaddr($_SERVER['REMOTE_ADDR']);

        return $this;
    }

    /**
     * @return mixed
     */
    public function setPlatform()
    {
        $this->authorize->os = Helper::getOS();
        return $this;
    }

    public function saveAuthorize()
    {
        $this->authorize->save();
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $this->setBrowser()
            ->setToken()
            ->setLocation()
            ->setPlatform()
            ->saveAuthorize();
        return $this
            ->view('auth.authorize_mail')
            ->with(['authorize' => $this->authorize]);
    }
}

