<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class SendMailable extends Mailable
{
    use Queueable, SerializesModels;

    protected $details;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($details)
    {
        $this->details = $details;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $body = $this->details['body'];
        return $this->from($this->details['from_email'], $this->details['from_name'])
            ->to($this->details['to_email'], $this->details['to_name'])
            ->subject($this->details['subject'])
            ->markdown("back.preferences.templates.emails.temp",compact("body"));
    }
}
