<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Chat extends Model
{
    protected $fillable = ['message','sender_id','receiver_del'];


    public function sender()
    {
        return $this->belongsTo('App\Models\User', 'sender_id');
    }

    public function receiver()
    {
        return $this->belongsTo('App\Models\User', 'receiver_id');
    }

    public function attachments()
    {
        return $this->hasMany('App\Models\Attachment', 'cat_id')->where("cat",2);
    }
}
