<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Event extends Model
{
    public function user()
    {
        return $this->belongsTo('App\Models\User', 'created_by');
    }

    public function attachments()
    {
        return $this->hasMany('App\Models\Attachment', 'cat_id')->where("cat",1);
    }

    public function shares()
    {
        return $this->hasMany('App\Models\Share', 'cat_id')->where("cat",2);
    }

    public function comments()
    {
        return $this->hasMany('App\Models\Comment', 'cat_id')->where("cat",2);
    }

    public function alerts()
    {
        return $this->hasMany('App\Models\Alert', 'cat_id')->where("cat",1);
    }
}
