<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Loan extends Model
{
    public function user()
    {
        return $this->belongsTo('App\Models\User', 'created_by');
    }

    public function approvedBy()
    {
        return $this->belongsTo('App\Models\User', 'approved_by');
    }

    public function attachments()
    {
        return $this->hasMany('App\Models\Attachment', 'cat_id')->where("cat",4);
    }

    public function installments()
    {
        return $this->hasMany('App\Models\Installment', 'loan_id');
    }

    public function alerts()
    {
        return $this->hasMany('App\Models\Alert', 'cat_id')->where("cat",3);
    }

    public function comments()
    {
        return $this->hasMany('App\Models\Comment', 'cat_id')->where("cat",4);
    }
    public function receipt()
    {
        return $this->belongsTo('App\Models\Receipt', 'receipt_id');
    }

    public function period()
    {
        return $this->belongsTo('App\Models\Period', 'period_id');
    }
}
