<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use App\Helpers\Encryptable;

class Preference extends Model
{
    use Encryptable;

    protected $encryptable = [
        'mail_username',
        'mail_password',
        'nocaptcha_secret',
        'nocaptcha_sitekey',
        'sms_username',
        'sms_password',
        'ftp_host',
        'ftp_username',
        'ftp_password',
        'dropbox_app_secret',
        'dropbox_access_token',
        'one_signal_api_key',
        'pusher_app_key',
        'pusher_app_secret',
    ];

    public function ParseColumn($column, $data)
    {
        $parsed = preg_replace_callback('/{(.*?)}/', function ($matches) use ($data) {
            list($shortCode, $index) = $matches;
            if (isset($data[$index])) {
                return $data[$index];
            }
        }, $column);

        return $parsed;
    }
}
