<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Receipt extends Model
{
    public function currency()
    {
        return $this->belongsTo('App\Models\Currency', 'currency_id');
    }

    public function user()
    {
        return $this->belongsTo('App\Models\User', 'created_by');
    }

    public function ledger()
    {
        return $this->belongsTo('App\Models\Ledger', 'ledger_id');
    }

    public function period()
    {
        return $this->belongsTo('App\Models\Period', 'period_id');
    }

    public function center()
    {
        return $this->belongsTo('App\Models\Category', 'center_id');
    }

    public function bank()
    {
        return $this->belongsTo('App\Models\Bank', 'bank_id');
    }

    public function journals()
    {
        return $this->hasMany('App\Models\Journal', 'receipt_id');
    }


    public function category()
    {
        return $this->belongsTo('App\Models\Category', 'cat_id');
    }
}
