<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Template extends Model
{
    public function ParseContent($data)
    {
        $parsed = preg_replace_callback('/{(.*?)}/', function ($matches) use ($data) {
            list($shortCode, $index) = $matches;

            if (isset($data[$index])) {
                return $data[$index];
            }

        }, $this->content);

        return $parsed;
    }

    public function ParseEmailContent($data)
    {
        $parsed = preg_replace_callback('/{(.*?)}/', function ($matches) use ($data) {
            list($shortCode, $index) = $matches;

            if (isset($data[$index])) {
                return $data[$index];
            }

        }, $this->content);

        $parsed_title = preg_replace_callback('/{(.*?)}/', function ($matches) use ($data) {
            list($shortCode, $index) = $matches;

            if (isset($data[$index])) {
                return $data[$index];
            }

        }, $this->subject);

        $formate_template = "
    <html xmlns=\"http://www.w3.org/1999/xhtml\" dir='rtl'><head>
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
	<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">
	<title>" . $parsed_title . "</title>
	<style type=\"text/css\">
	" . $this->css . "
	</style>
    </head>
    <body>
    " . $parsed . "
    </body></html>
        ";

        return $formate_template;
    }

    public function ParseSubject($data)
    {
        $parsed = preg_replace_callback('/{(.*?)}/', function ($matches) use ($data) {
            list($shortCode, $index) = $matches;

            if (isset($data[$index])) {
                return $data[$index];
            }

        }, $this->subject);

        return $parsed;
    }

    public function ParseURL($data)
    {
        $parsed = preg_replace_callback('/{(.*?)}/', function ($matches) use ($data) {
            list($shortCode, $index) = $matches;

            if (isset($data[$index])) {
                return $data[$index];
            }

        }, $this->url);

        return $parsed;
    }

}
