<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name');
            $table->string('job')->nullable();
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');

            $table->string('photo')->nullable();
            $table->integer('role_id')->nullable();
            $table->tinyInteger('status')->default("0");
            $table->tinyInteger('email_status')->nullable();
            $table->tinyInteger('phone_status')->nullable();
            $table->integer('country_id')->nullable();
            $table->string('phone_code')->nullable();
            $table->string('phone')->nullable();
            $table->string('phone_full', 15)->unique();
            $table->string('provider', 20)->nullable();
            $table->string('provider_id')->nullable();
            $table->string('access_token')->nullable();
            $table->tinyInteger('type')->nullable();
            $table->tinyInteger('online')->default("0");

            $table->string('email_token')->nullable();
            $table->string('phone_token')->nullable();
            $table->tinyInteger('phone_verify')->default("0");
            $table->tinyInteger('email_verify')->default("0");
            $table->tinyInteger('read_status')->default("0");
            $table->tinyInteger('alert_sounds')->default("1");
            $table->tinyInteger('welcome_box')->default("1");
            $table->tinyInteger('welcome_box_status')->default("0");
            $table->tinyInteger('alert_refresh_time')->default("10");
            $table->dateTime('last_logged_in_at')->nullable();
            $table->string('last_logged_in_ip')->nullable();
            $table->dateTime('last_logged_out_at')->nullable();
            $table->integer('login_count')->nullable();
            $table->integer('created_by')->nullable();
            $table->string('created_ip')->nullable();
            $table->integer('updated_by')->nullable();
            $table->string('updated_ip')->nullable();
            $table->tinyInteger('deleted')->default("0");
            $table->integer('deleted_by')->nullable();
            $table->dateTime('deleted_at')->nullable();
            $table->string('deleted_ip')->nullable();
            $table->integer('restored_by')->nullable();
            $table->dateTime('restored_at')->nullable();
            $table->string('restored_ip')->nullable();
            $table->string('log_session')->nullable();
            $table->tinyInteger('theme_style')->default("0");
            $table->tinyInteger('theme_sidebar')->default("1");
            $table->tinyInteger('theme_navbar')->default("0");
            $table->tinyInteger('theme_header')->default("0");
            $table->tinyInteger('theme_menu')->default("0");
            $table->tinyInteger('theme_preload')->default("1");

            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
