<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePreferencesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('preferences', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->tinyInteger('ar_box_status')->default("0");
            $table->tinyInteger('en_box_status')->default("0");
            $table->tinyInteger('languages_ar_status')->default("0");
            $table->tinyInteger('languages_en_status')->default("0");
            $table->string('languages_by_default')->nullable();

            $table->string('mail_driver')->nullable();
            $table->string('mail_host')->nullable();
            $table->string('mail_port')->nullable();
            $table->text('mail_username')->nullable();
            $table->text('mail_password')->nullable();
            $table->string('mail_encryption')->nullable();
            $table->string('mail_from_address')->nullable();
            $table->string('mail_from_name')->nullable();
            $table->string('mail_test')->nullable();
            $table->tinyInteger('mail_queue')->nullable();

            $table->tinyInteger('nocaptcha_status')->default("0");
            $table->text('nocaptcha_secret')->nullable();
            $table->text('nocaptcha_sitekey')->nullable();

            $table->tinyInteger('google_tags_status')->default("0");
            $table->string('google_tags_id')->nullable();
            $table->string('google_analytics_code')->nullable();

            $table->tinyInteger('cdn_status')->nullable();
            $table->string('cdn_url')->nullable();

            $table->tinyInteger('login_phone_status')->default("0");
            $table->tinyInteger('login_email_status')->default("0");

            $table->string('timezone')->nullable();

            $table->tinyInteger('sms_status')->nullable();
            $table->text('sms_username')->nullable();
            $table->text('sms_password')->nullable();
            $table->string('sms_sender')->nullable();
            $table->tinyInteger('sms_queue')->nullable();

            $table->tinyInteger('ftp_status')->nullable();
            $table->text('ftp_host')->nullable();
            $table->text('ftp_username')->nullable();
            $table->text('ftp_password')->nullable();
            $table->string('ftp_port')->nullable();
            $table->string('ftp_root')->nullable();
            $table->tinyInteger('ftp_passive')->nullable();
            $table->tinyInteger('ftp_ssl')->nullable();
            $table->integer('ftp_timeout')->nullable();

            $table->text('dropbox_app_secret')->nullable();
            $table->text('dropbox_access_token')->nullable();

            $table->string('mysql_path')->nullable();
            $table->string('mysqldump_path')->nullable();
            $table->string('backup_type')->nullable();
            $table->tinyInteger('backup_ftp')->nullable();

            $table->tinyInteger('one_signal_status')->default("0");
            $table->string('one_signal_app_id')->nullable();
            $table->text('one_signal_api_key')->nullable();
            $table->string('one_signal_auth_key')->nullable();
            $table->tinyInteger('one_signal_queue')->nullable();

            $table->tinyInteger('pusher_status')->default("0");
            $table->string('pusher_app_id')->nullable();
            $table->text('pusher_app_key')->nullable();
            $table->text('pusher_app_secret')->nullable();
            $table->string('pusher_cluster')->nullable();

            $table->string('app_title_ar')->nullable();
            $table->string('app_title_en')->nullable();
            $table->string('app_logo_ar')->nullable();
            $table->string('app_logo_en')->nullable();
            $table->string('app_manager_name')->nullable();
            $table->string('app_manager_job')->nullable();
            $table->tinyInteger('reports_load')->default("0");

            $table->text('allowed_ext')->nullable();
            $table->text('allowed_types')->nullable();
            $table->integer('allowed_size')->nullable();

            $table->tinyInteger('date_type')->default("0");
            $table->string('date_format')->nullable();
            $table->integer('hijri_adjustment')->default("0");

            $table->tinyInteger('session_status')->default("0");
            $table->integer('session_period')->default("10");
            $table->integer('session_timer')->default("1");
            $table->integer('multi_login')->default("0");
            $table->integer('device_auth')->default("0");

            $table->text('notification_cases')->nullable();
            $table->text('cron_settings')->nullable();
            $table->text('block_ips')->nullable();
            $table->longText('more_settings')->nullable();
            $table->longText('accounting_settings')->nullable();
            $table->longText('columns_sorting')->nullable();
            $table->longText('print_header_ar')->nullable();
            $table->longText('print_header_en')->nullable();
            $table->longText('print_footer_ar')->nullable();
            $table->longText('print_footer_en')->nullable();

            $table->dateTime('currency_updated_at')->nullable();
            $table->string('system_version')->nullable();

            $table->integer('created_by')->unsigned()->nullable();
            $table->integer('updated_by')->unsigned()->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('preferences');
    }
}
