<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTemplatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('templates', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('cat')->default("0");
            $table->integer('stat')->default("0");
            $table->string('subject')->nullable();
            $table->text('url')->nullable();
            $table->longText('content')->nullable();
            $table->longText('css')->nullable();
            $table->tinyInteger('status')->default("0");
            $table->integer('updated_by')->unsigned()->nullable();
            $table->string('updated_ip')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('templates');
    }
}
