<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('categories', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('cat')->default("0");
            $table->integer('order')->default("0");
            $table->integer('father_id')->default("0");
            $table->string('title_ar')->nullable();
            $table->string('title_en')->nullable();
            $table->string('bg_color')->nullable();
            $table->string('font_color')->nullable();
            $table->tinyInteger('status')->default("0");

            $table->integer('ledger_id')->default("0");
            $table->date('start')->nullable();
            $table->date('end')->nullable();

            $table->string('created_ip')->nullable();
            $table->string('updated_ip')->nullable();
            $table->integer('created_by')->unsigned()->nullable();
            $table->integer('updated_by')->unsigned()->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('categories');
    }
}
