<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAttachmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('attachments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->tinyInteger('folder')->default("0");
            $table->integer('folder_id')->default("0");
            $table->string('file',50)->nullable();
            $table->string('ext',10)->nullable();
            $table->string('title')->nullable();
            $table->text('details')->nullable();
            $table->string('size')->nullable();
            $table->tinyInteger('remote')->default("0");
            $table->integer('cat')->nullable();
            $table->integer('cat_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->tinyInteger('status')->default("0");
            $table->tinyInteger('hidden')->default("0");
            $table->tinyInteger('share')->default("0");
            $table->string('created_ip')->nullable();
            $table->string('updated_ip')->nullable();
            $table->integer('created_by')->unsigned()->nullable();
            $table->integer('updated_by')->unsigned()->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('attachments');
    }
}
