<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEventsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('events', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('title')->nullable();
            $table->longText('details')->nullable();
            $table->string('photo')->nullable();
            $table->dateTime('start_date')->nullable();
            $table->dateTime('end_date')->nullable();
            $table->tinyInteger('all_day')->default("0");
            $table->integer('cat')->nullable();
            $table->integer('cat_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->dateTime('alert_at')->nullable();
            $table->tinyInteger('notify_app')->default("1");
            $table->tinyInteger('notify_mail')->default("0");
            $table->tinyInteger('notify_sms')->default("0");
            $table->tinyInteger('notify_browser')->default("0");
            $table->tinyInteger('sent')->default("0");
            $table->tinyInteger('status')->default("0");
            $table->tinyInteger('hidden')->default("0");
            $table->string('created_ip')->nullable();
            $table->string('updated_ip')->nullable();
            $table->integer('created_by')->unsigned()->nullable();
            $table->integer('updated_by')->unsigned()->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('events');
    }
}
