<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateNoticesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('notices', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('type')->default("0");
            $table->string('icon')->nullable();
            $table->string('title_ar')->nullable();
            $table->text('details_ar')->nullable();
            $table->string('title_en')->nullable();
            $table->text('details_en')->nullable();
            $table->text('url')->nullable();
            $table->tinyInteger('status')->default("0");
            $table->integer('cat')->nullable();
            $table->integer('cat_id')->nullable();
            $table->integer('to_user_id')->nullable();
            $table->integer('to_customer_id')->nullable();
            $table->string('created_ip')->nullable();
            $table->string('updated_ip')->nullable();
            $table->integer('created_by')->unsigned()->nullable();
            $table->integer('updated_by')->unsigned()->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('notices');
    }
}
