<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlertsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('alerts', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('cat')->nullable();
            $table->integer('cat_id')->nullable();
            $table->dateTime('alert_date');
            $table->string('title')->nullable();
            $table->tinyInteger('system')->default("0");
            $table->tinyInteger('mail')->default("0");
            $table->tinyInteger('sms')->default("0");
            $table->tinyInteger('browser')->default("0");
            $table->tinyInteger('status')->default("0");
            $table->dateTime('sent_date')->nullable();
            $table->string('created_ip')->nullable();
            $table->string('updated_ip')->nullable();
            $table->integer('created_by')->unsigned()->nullable();
            $table->integer('updated_by')->unsigned()->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('alerts');
    }
}
