<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateReceiptsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('receipts', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('code')->nullable();
            $table->tinyInteger('type')->default("0");

            $table->date('date')->nullable();
            $table->tinyInteger('date_type')->default("0")->nullable();
            $table->integer('period_id')->default("0");

            $table->tinyInteger('amount_type')->default("0");
            $table->float('amount',16,5)->nullable();
            $table->integer('currency_id')->default("0")->nullable();
            $table->float('cost',16,5)->nullable();

            $table->string('details')->nullable();
            $table->string('name')->nullable();
            $table->integer('cat_id')->default("0")->nullable();
            $table->integer('person_id')->default("0")->nullable();

            $table->string('file',50)->nullable();
            $table->string('ext',10)->nullable();
            $table->tinyInteger('remote')->default("0");

            $table->tinyInteger('repeated')->default("0");
            $table->integer('repeated_days')->default("0")->nullable();
            $table->date('repeated_end')->nullable();

            $table->integer('ledger_id')->default("0")->nullable();
            $table->integer('bank_id')->default("0")->nullable();
            $table->integer('method_id')->default("0")->nullable();
            $table->integer('center_id')->default("0")->nullable();

            $table->tinyInteger('bank_charges')->default("0");
            $table->float('bank_charges_amount',16,5)->nullable();
            $table->string('bank_charges_details')->nullable();

            $table->tinyInteger('posted')->default("0");
            $table->string('created_ip')->nullable();
            $table->string('updated_ip')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('receipts');
    }
}
