<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateJournalsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('journals', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->tinyInteger('type')->default("0");

            $table->integer('period_id')->default("0")->nullable();
            $table->integer('receipt_id')->default("0")->nullable();
            $table->integer('ledger_id')->default("0")->nullable();
            $table->integer('bank_id')->default("0")->nullable();
            $table->integer('center_id')->default("0")->nullable();

            $table->date('date')->nullable();
            $table->tinyInteger('date_type')->default("0")->nullable();

            $table->float('dept',16,5)->nullable();
            $table->float('credit',16,5)->nullable();
            $table->integer('currency_id')->default("0")->nullable();
            $table->float('cost_dept',16,5)->nullable();
            $table->float('cost_credit',16,5)->nullable();
            $table->string('details')->nullable();

            $table->tinyInteger('posted')->default("0");

            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('journals');
    }
}
