<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLoansTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('loans', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('cat_id')->nullable();
            $table->integer('period_id')->default("0");

            $table->integer('person_id')->nullable();
            $table->string('id_number')->nullable();
            $table->tinyInteger('id_type')->default("0");
            $table->tinyInteger('id_date_type')->default("0");
            $table->date('id_end_date')->nullable();
            $table->string('name')->nullable();
            $table->string('phone', 15)->nullable();
            $table->string('email')->nullable();

            $table->date('date')->nullable();
            $table->tinyInteger('date_type')->default("0")->nullable();

            $table->float('amount',16,5)->nullable();
            $table->float('total',16,5)->nullable();
            $table->integer('instalments_count')->nullable();
            $table->float('instalments_amount',16,5)->nullable();
            $table->float('instalments_last',16,5)->nullable();
            $table->date('instalments_date')->nullable();

            $table->string('guarantor_name')->nullable();
            $table->string('guarantor_phone', 15)->nullable();
            $table->string('guarantor_id_number')->nullable();
            $table->tinyInteger('guarantor_id_type')->default("0");
            $table->tinyInteger('guarantor_id_date_type')->default("0");
            $table->date('guarantor_id_end_date')->nullable();
            $table->string('guarantor_work_place')->nullable();
            $table->string('guarantor_work_phone')->nullable();

            $table->string('witness_1_name')->nullable();
            $table->string('witness_1_phone', 15)->nullable();
            $table->string('witness_1_id_number')->nullable();
            $table->tinyInteger('witness_1_id_type')->default("0");
            $table->tinyInteger('witness_1_id_date_type')->default("0");
            $table->date('witness_1_id_end_date')->nullable();

            $table->string('witness_2_name')->nullable();
            $table->string('witness_2_phone', 15)->nullable();
            $table->string('witness_2_id_number')->nullable();
            $table->tinyInteger('witness_2_id_type')->default("0");
            $table->tinyInteger('witness_2_id_date_type')->default("0");
            $table->date('witness_2_id_end_date')->nullable();

            $table->integer('pay_method')->nullable();
            $table->text('notes')->nullable();
            $table->integer('receipt_id')->default("0")->nullable();

            $table->tinyInteger('status')->default("0");
            $table->integer('approved_by')->nullable();
            $table->dateTime('approved_at')->nullable();
            $table->string('approved_ip', 15)->nullable();
            $table->string('reject_reason')->nullable();

            $table->string('created_ip')->nullable();
            $table->string('updated_ip')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('loans');
    }
}
