<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInstallmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('installments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('loan_id')->default("0")->nullable();
            $table->integer('person_id')->nullable();
            $table->integer('receipt_id')->default("0")->nullable();
            $table->integer('period_id')->default("0");

            $table->float('amount',16,5)->nullable();
            $table->date('date')->nullable();
            $table->tinyInteger('date_type')->default("0")->nullable();
            $table->integer('pay_method')->nullable();
            $table->string('notes')->nullable();

            $table->tinyInteger('paid_status')->nullable();
            $table->dateTime('paid_at')->nullable();
            $table->integer('paid_by')->nullable();

            $table->string('created_ip')->nullable();
            $table->string('updated_ip')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('installments');
    }
}
