<?php

namespace Database\Seeders;
use Illuminate\Database\Seeder;
use App\Models\Role;

class RolesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // enable all roles
        foreach (\Roles::List() as $AppRoleGroup) {
            if ($AppRoleGroup['group_check']) {
                $roles[$AppRoleGroup['group_role']] = 1;
            }
            foreach ($AppRoleGroup['group_roles'] as $AppRole) {
                $roles[$AppRole['role']] = 1;
            }
        }
        $roles_string = json_encode($roles);

        $Role = new Role();
        $Role->name = "Webmaster";
        $Role->view = false;
        $Role->add = true;
        $Role->edit = true;
        $Role->delete = true;
        $Role->status = true;
        $Role->roles = $roles_string;
        $Role->created_by = 1;
        $Role->created_at = date('Y-m-d H:i:s', $_SERVER['REQUEST_TIME']);
        $Role->save();
    }
}
