@extends('back.layouts.authentication')
@section('title', trans("backLang.authorizeNewDevice"))

@section('content')
    <div class="card">
        <div class="text-center mb-2">
            <?php
            $app_title_var = "app_title_" . trans('backLang.boxCode');
            $app_title_var2 = "app_title_" . trans('backLang.boxCodeOther');
            if (Helper::Preferences($app_title_var) != "") {
                $site_title = Helper::Preferences($app_title_var);
            } else {
                $site_title = Helper::Preferences($app_title_var2);
            }
            ?>
            @if( Helper::Preferences("app_logo_" . trans('backLang.boxCode')) !="")
                <img
                    src="{{ asset('uploads/preferences/'.Helper::Preferences("app_logo_" . trans('backLang.boxCode'))) }}"
                    class="w-25" alt="{{ $site_title }}">
            @else

                <img src="{{ asset('back/images/logo.png') }}"
                     class="w-25" alt="{{ $site_title }}">
            @endif
        </div>
        <div class="card-body">
            <div class="card-title text-center"><h5>{{ trans("backLang.authorizeNewDevice") }}</h5></div>
            @if(Helper::Preferences("device_auth")==2)
                <div class="text-center text-muted mb-4">{!! trans("backLang.authorizeNewDeviceMessage2") !!}</div>
            @endif
            @if(Helper::Preferences("device_auth")==1)
                <div class="text-center text-muted mb-4">{!! trans("backLang.authorizeNewDeviceMessage") !!}</div>
                <div class="authorize__resend">
                    <form action="{{ route('authorize.resend') }}" method="POST">
                        {{ csrf_field() }}
                        <button type="submit"
                                class="btn btn-primary btn-block">{!! trans('backLang.resendEmail') !!}</button>
                    </form>
                </div>
            @endif

            <div class="text-center text-muted mt-2">
                <a href="" class="btn btn-light w-100">
                    {!! trans("backLang.clickHereAfterAuthorize") !!}
                </a>
            </div>
        </div>
    </div>
@stop
