@extends('back.layouts.authentication')
@section('title', trans("backLang.signIn"))

@section('content')
    <div class="card">
        <div class="text-center mb-2">
            <?php
            $app_title_var = "app_title_" . trans('backLang.boxCode');
            $app_title_var2 = "app_title_" . trans('backLang.boxCodeOther');
            if (Helper::Preferences($app_title_var) != "") {
                $site_title = Helper::Preferences($app_title_var);
            } else {
                $site_title = Helper::Preferences($app_title_var2);
            }
            ?>
            @if( Helper::Preferences("app_logo_" . trans('backLang.boxCode')) !="")
                <img
                    src="{{ asset('uploads/preferences/'.Helper::Preferences("app_logo_" . trans('backLang.boxCode'))) }}"
                    class="w-25" alt="{{ $site_title }}">
            @else

                <img src="{{ asset('back/images/logo.png') }}"
                     class="w-25" alt="{{ $site_title }}">
            @endif
        </div>
        <div class="card-body">
            <form method="POST" action="{{ route('login') }}">
                @csrf
                <div class="card-title text-center">{{ trans("backLang.signedInToControl") }}</div>
                <div class="form-group">
                    <label class="form-label">{{ trans("backLang.connectEmail") }}</label>
                    <input id="email" type="email" class="form-control" name="email" value="{{ old('email') }}" required
                           autocomplete="email" autofocus>
                </div>
                <div class="form-group">
                    <label class="form-label">{{ trans("backLang.connectPassword") }} <a
                            href="{{ route('password.request') }}"
                            class="float-right small">{{ trans("backLang.forgotPassword") }}</a></label>
                    <input id="password" type="password" class="form-control" name="password" required
                           autocomplete="current-password">
                </div>
                <div class="form-group">
                    <label class="custom-control custom-checkbox">
                        <input type="checkbox" name="remember" id="remember"
                               class="custom-control-input" {{ old('remember') ? 'checked' : '' }}/>
                        <span class="custom-control-label">{{ trans("backLang.keepMeSignedIn") }}</span>
                    </label>
                </div>
                @error('email')
                <div class="card-alert alert alert-danger mb-0">
                    <button type="button" class="close" data-dismiss="alert"></button>
                    <i class="fe fe-alert-triangle mr-2" aria-hidden="true"></i> {{ $message }}
                </div>
                @enderror
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-block">
                        {{ trans("backLang.signIn") }}
                    </button>
                </div>
            </form>
        </div>
    </div>
@stop
