@extends('back.layouts.authentication')
@section('title', trans("backLang.forgotPassword"))


@section('content')
    <div class="card">
        <div class="text-center mb-2">
            <?php
            $app_title_var = "app_title_" . trans('backLang.boxCode');
            $app_title_var2 = "app_title_" . trans('backLang.boxCodeOther');
            if (Helper::Preferences($app_title_var) != "") {
                $site_title = Helper::Preferences($app_title_var);
            } else {
                $site_title = Helper::Preferences($app_title_var2);
            }
            ?>
            @if( Helper::Preferences("app_logo_" . trans('backLang.boxCode')) !="")
                <img
                    src="{{ asset('uploads/preferences/'.Helper::Preferences("app_logo_" . trans('backLang.boxCode'))) }}"
                    class="w-25" alt="{{ $site_title }}">
            @else

                <img src="{{ asset('back/images/logo.png') }}"
                     class="w-25" alt="{{ $site_title }}">
            @endif
        </div>
        <div class="card-body">
            <div class="card-title text-center">{{ trans("backLang.forgotPassword") }}</div>
            @if (session('status'))
                <div class="alert alert-success" role="alert">
                    {{ session('status') }}
                </div>
            @endif
            <p class="text-muted">{{ trans("backLang.enterYourEmail") }}</p>
            <form method="POST" action="{{ route('password.email') }}">
                @csrf
                <div class="form-group">
                    <label class="form-label" for="exampleInputEmail1">{{ trans("backLang.yourEmail") }}</label>
                    <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>

                    @error('email')
                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                    @enderror
                </div>
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-block">
                        {{ trans("backLang.sendPasswordResetLink") }}
                    </button>
                </div>
            </form>
        </div>
        <div class="text-center text-muted">
            {{ trans("backLang.returnTo") }} <a href="{{ route('login') }}">{{ trans("backLang.signIn") }}</a>
        </div>
    </div>
@stop
