@extends('back.layouts.authentication')
@section('title', 'Register')

@section('content')
    <script>
        window.location.href = '{{url("/login")}}';
    </script>
    <div class="card">
        <div class="text-center mb-5">
            <?php
            $app_title_var = "app_title_" . trans('backLang.boxCode');
            $app_title_var2 = "app_title_" . trans('backLang.boxCodeOther');
            if (Helper::Preferences($app_title_var) != "") {
                $site_title = Helper::Preferences($app_title_var);
            } else {
                $site_title = Helper::Preferences($app_title_var2);
            }
            ?>
            @if( Helper::Preferences("app_logo_" . trans('backLang.boxCode')) !="")
                <img
                    src="{{ asset('uploads/preferences/'.Helper::Preferences("app_logo_" . trans('backLang.boxCode'))) }}"
                    class="w-25" alt="{{ $site_title }}">
            @else

                <img src="{{ asset('back/images/logo.png') }}"
                     class="w-25" alt="{{ $site_title }}">
            @endif
        </div>
        <div class="card-body">
            <div class="card-title">Create new account</div>
            <form method="POST" action="{{ route('register') }}">
                @csrf
                <div class="form-group">
                    <label class="form-label">{{ __('Name') }}</label>
                    <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name"
                           value="{{ old('name') }}" required autocomplete="name" autofocus>
                    @error('name')
                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                    @enderror
                </div>
                <div class="form-group">
                    <label class="form-label">{{ __('E-Mail Address') }}</label>
                    <input id="email" type="email" class="form-control @error('email') is-invalid @enderror"
                           name="email" value="{{ old('email') }}" required autocomplete="email">
                    @error('email')
                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                    @enderror
                </div>
                <div class="form-group">
                    <label class="form-label">{{ __('Password') }}</label>
                    <input id="password" type="password" class="form-control @error('password') is-invalid @enderror"
                           name="password" required autocomplete="new-password">

                    @error('password')
                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                    @enderror
                </div>
                <div class="form-group">
                    <label class="form-label">{{ __('Confirm Password') }}</label>
                    <input id="password-confirm" type="password" class="form-control" name="password_confirmation"
                           required autocomplete="new-password">
                </div>
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-block">{{ __('Register') }}</button>
                </div>
            </form>
        </div>
        <div class="text-center text-muted">
            Already have account? <a href="{{ route('login') }}">Sign in</a>
        </div>
    </div>
@stop
