@extends('back.layouts.master')
<?php
$page_title = trans('backLang.openingBalances');
$add_title = trans('backLang.addOpeningBalance');
$edit_title = trans('backLang.editOpeningBalance');
$entry_title = trans('backLang.startBalance');
$entries_title = trans('backLang.openingBalances');
$page_link = route("AppOpeningBalances");
if (@$stat == "reconciliation") {
    $page_title = trans('backLang.reconciliation');
    $add_title = trans('backLang.addReconciliation');
    $edit_title = trans('backLang.editReconciliation');
    $entry_title = trans('backLang.reconciliationEntry');
    $entries_title = trans('backLang.reconciliationEntries');
    $page_link = route("AppReconciliation");
}
?>
@section('title', $add_title)
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid" id="create_balance">
            {{Form::open(['route'=>['AppBalancesStore'],'method'=>'POST','id'=>'create_balance_form'])}}
            <div class="alert alert-danger displaynone" id="create_balance_errors">
                <ul></ul>
            </div>
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title"><i class='icon-wallet'></i> {!! trans('backLang.accountant') !!} <i
                            class='fe fe-chevron-{{ trans("backLang.right") }}'></i> <a
                            href="{{ $page_link }}"> {!! $page_title !!}</a> <i
                            class='fe fe-chevron-{{ trans("backLang.right") }}'></i>
                        <span> {!! $add_title !!}</span>
                    </h3>
                    <div class="card-options">
                        <a href="{{ $page_link }}"><i
                                class="fe fe-x"></i></a>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans('backLang.date') }}</label>
                                {!! Form::text('date',(Helper::Preferences("date_type"))?Helper::DateView(date('Y-m-d'),0,1,'Y/m/d'):date('Y/m/d'), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'receipt_date','autocomplete'=>'off','tabindex'=>'0')) !!}
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans('backLang.currency') }}</label>
                                <select name="currency" tabindex="1"
                                        class="form-control custom-select">
                                    <option value="">{{ trans('backLang.currency') }}</option>
                                    @foreach($Currencies as $CurrencyItem)
                                        <option
                                            {!! (Helper::Preferences("default_currency")==$CurrencyItem->id)?"selected='selected'":"" !!}
                                            value="{{ $CurrencyItem->id }}">{{ $CurrencyItem->symbol }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        @if(count(Helper::Categories(11)) >0)
                            <div class="col-sm-5">
                                <div class="form-group">
                                    <label class="form-label">{{ trans('backLang.costPosition') }}</label>
                                    <select name="center_id" tabindex="2"
                                            class="form-control list-items">
                                        <option value="">{{ trans('backLang.noCat') }}</option>
                                        @foreach(Helper::Categories(11) as $CatItem)
                                            @if(($CatItem->start==null && $CatItem->end==null) || ($CatItem->start <= date('Y-m-d') && $CatItem->end >= date('Y-m-d')))
                                                <option
                                                    value="{{ $CatItem->id }}"
                                                    data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}
                                                </option>
                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
            @include('back.accounting.ledgers.select')
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">{{ $entries_title }}</h3>
                    <div class="card-options">
                        <a href="javascript:void(0)" data-toggle="tooltip" id="add_row_btn" tabindex="3"
                           data-original-title="{{ trans("backLang.add") }}"><i
                                class="fe fe-plus"></i></a>
                    </div>
                </div>
                <div class="card-body">
                    <div>
                        <table class="table table-hover table-bordered mb-0" id="journals_table">
                            <thead>
                            <tr>
                                <th width="30%">{{ trans('backLang.ledger') }}</th>
                                <th width="12%" class="text-center bg-light">{{ trans('backLang.debtor') }}</th>
                                <th width="12%" class="text-center bg-light">{{ trans('backLang.creditor') }}</th>
                                <th class="text-center">{{ trans('backLang.desc') }}</th>
                                <th class="text-center">{{ trans('backLang.options') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr class="row_1">
                                <td>
                                    <input type="hidden" name="rows_id" value="1">
                                    <div class="form-group m-0">
                                        <div class="row gutters-xs">
                                            <div class="col">
                                                <select name="ledger_1" tabindex="4"
                                                        class="form-control list-items list-items-1"
                                                        required>
                                                    <option
                                                        value="">{{ trans('backLang.selectLedgerCat') }}</option>
                                                    {!! printAsSelectOptions($ledgers_array,NULL,0,0) !!}
                                                </select>
                                            </div>
                                            <span class="col-auto"><button
                                                    class="btn btn-light" onclick="ledgers_load(1)"
                                                    type="button"><i
                                                        class="fe fe-search"></i></button></span>
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center bg-light">
                                    {!! Form::text('debtor_1',"", array('placeholder' => '','class' => 'form-control text-center debtor money','tabindex'=>'5')) !!}
                                </td>
                                <td class="text-center bg-light">
                                    {!! Form::text('creditor_1',"", array('placeholder' => '','class' => 'form-control text-center creditor money','tabindex'=>'6')) !!}
                                </td>
                                <td class="text-center">
                                    {!! Form::textarea('details_1',$entry_title, array('class' => 'form-control','required'=>'','rows'=>'1','tabindex'=>'7')) !!}
                                </td>
                                <td class="text-center">-</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <input type="hidden" name="rows_count" id="rows_count" value="1">
            <input type="hidden" name="rows_max" id="rows_max" value="1">
            <input type="hidden" name="stat" value="{{ @$stat }}">
            <button type="submit" id="create_balance_submit"
                    class="btn btn-primary">  {{ trans('backLang.add') }} {{ $entries_title }}</button>
            {{Form::close()}}
        </div>
    </div>

    <div id="ledgers_list" class="displaynone">
        {!! printAsSelectOptions($ledgers_array,NULL,0,0) !!}
    </div>
@endsection

@section("popup")
    <div class="modal fade" id="ledger_selector" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-link mb-2"></i> {{ trans("backLang.accountantTree") }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0 pb-3">
                    <div class="form-fields">
                        <div class="text-center p-3">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section("page-script")
    <script type="text/javascript">

        var leaders_loaded = false;
        var selectize_options = {
            searchField: 'search-text',
            render: {
                option: function (data, escape) {
                    return '<div>' +
                        '<span class="title">' + escape(data.text) + '</span>' +
                        '</div>';
                },
                item: function (data, escape) {
                    return '<div>' +
                        escape(data.text) +
                        '</div>';
                }
            }
        };

        $(document).ready(function () {
            @if(Helper::Preferences("date_type"))
            $("#receipt_date").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            @else
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            @endif

            $('.list-items').selectize(selectize_options);

            var dropify_settings = {
                messages: {
                    'default': '{{ trans("backLang.dragAndDropFileHere") }}',
                    'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
                    'remove': '{{ trans("backLang.delete") }}',
                    'error': '{{ trans("backLang.errorSomethingWrong") }}',
                }
            };
            var drEvent = $('#attach_file').dropify(dropify_settings);


            // store receipt
            ajax_post_form("create_balance", '{{ trans("backLang.add") }}', 'fe fe-save', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', false, "", false, false, false, function (data) {
                window.setTimeout(function () {
                    location.href = '{{ $page_link }}';
                }, 2000);
            });

            $("#add_row_btn").on('click', function () {
                add_row();
            });
        });
        var rows_count = 1;
        var rows_max = 1;
        var tabindex = 7;

        function delete_row() {
            rows_count--;
            $("#rows_count").val(rows_count);
            tabindex = tabindex - 4;
        }

        function add_row() {
            rows_count++;
            $("#rows_count").val(rows_count);
            rows_max++;
            $("#rows_max").val(rows_max);

            $("#journals_table").find('tbody').append("<tr class=\"account row_" + rows_count + "\">" +
                "<td><input type=\"hidden\" name=\"rows_id\" value=\"" + rows_count + "\"><div class=\"row gutters-xs\"><div class=\"col\"><select name=\"ledger_" + rows_count + "\" class=\"form-control list-items list-items-" + rows_count + "\" required  tabindex=\"" + (tabindex++) + "\"><option value=\"\">{{ trans('backLang.selectLedgerCat') }}</option>" + $("#ledgers_list").html() + "</select></div><span class=\"col-auto\"><button class=\"btn btn-light\" onclick=\"ledgers_load(" + rows_count + ")\" type=\"button\"><i class=\"fe fe-search\"></i></button></span></div></td>" +
                "<td class=\"text-center bg-light\"><input placeholder=\"\" name=\"debtor_" + rows_count + "\" type=\"text\" value=\"\" class=\"form-control text-center debtor money\" tabindex=\"" + (tabindex++) + "\"></td>" +
                "<td class=\"text-center bg-light\"><input placeholder=\"\" name=\"creditor_" + rows_count + "\" type=\"text\" value=\"\" class=\"form-control text-center creditor money\" tabindex=\"" + (tabindex++) + "\"></td>" +
                "<td class=\"text-center\"><textarea required=\"\" rows=\"1\" name=\"details_" + rows_count + "\" cols=\"50\" class=\"form-control\" tabindex=\"" + (tabindex++) + "\">{{ $entry_title }}</textarea></td>" +
                "<td class=\"text-center\"><button type=\"button\" class=\"btn btn-light\" onclick=\"javascript:$(this).parent().parent().remove();delete_row()\"> <i class=\"fe fe-trash\"></i></button></td>" +
                "</tr>"
            );
            $('.list-items-' + rows_count).selectize(selectize_options);
            $('.money').on('input', function () {
                this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');
            });
        }

        function ledgers_load(row) {
            current_row = row;
            $('#ledger_selector').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            $('#ledger_selector').modal('show');
            $.get("{{ route("AppJournalLedgers") }}", function (data) {
                $('#ledger_selector').find('.modal-body .form-fields').html(data);
            });
            leaders_loaded = true;
        }

        function ledger_select(id) {
            $('#ledger_selector').modal('hide');
            $("#journals_table").find('.row_' + current_row + ' .list-items-' + current_row).data('selectize').setValue(id);
        }
    </script>
@endsection
