@extends('back.layouts.print')
<?php
$page_title = trans('backLang.openingBalances');
$add_title = trans('backLang.addOpeningBalance');
$edit_title = trans('backLang.editOpeningBalance');
$add_link = route("AppBalancesCreate");
if ($request->search_type == 2) {
    $page_title = trans('backLang.reconciliation');
    $add_title = trans('backLang.addReconciliation');
    $edit_title = trans('backLang.editReconciliation');
    $add_link = route("AppReconciliationCreate");
}
?>
@section('title', $page_title)
@section("content")
    <style>
        @media print {
            @page {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1>{!! $page_title !!}</h1>

                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if($request->search_word !="")
                    <label>{{ trans('backLang.searchFor') }}</label>
                    <strong>{!! $request->search_word !!}</strong>
                @endif
                @if($request->search_posted !="")
                    <label>{{ trans('backLang.recordStatus') }}</label>
                    <strong>{!! ($request->search_posted)?trans('backLang.posted'):trans('backLang.notPosted') !!}</strong>
                @endif
                @if(!empty($Ledger))
                    <label>{{ trans('backLang.ledger') }}</label>
                    <strong>{{ $Ledger->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if(!empty($Currency))
                    <label>{{ trans('backLang.currency') }}</label>
                    <strong>{{ $Currency->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if($request->search_start !="")
                    <label>{{ trans('backLang.fromDate') }}</label>
                    <strong>{!! $request->search_start !!}</strong>
                @endif
                @if($request->search_end !="")
                    <label>{{ trans('backLang.toDate') }}</label>
                    <strong>{!! $request->search_end !!}</strong>
                @endif
                @if($request->search_center_id !="")
                    <label>{{ trans('backLang.costPosition') }}</label>
                    <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
                @endif
                @if($request->search_user !="")
                    <label>{{ trans('backLang.user') }}</label>
                    <strong>{!! Helper::usernameById($request->search_user) !!}</strong>
                @endif
            </caption>
            <thead>
            <th>{{ trans('backLang.date') }}</th>
            <th>{{ trans('backLang.ledgerCode') }}</th>
            <th>{{ trans('backLang.ledger') }}</th>
            <th>{{ trans('backLang.debtor') }}</th>
            <th>{{ trans('backLang.creditor') }}</th>
            <th>{{ trans('backLang.desc') }}</th>
            <th>{{ trans('backLang.recordStatus') }}</th>
            @if(count(Helper::Categories(11)) >0)
                <th>{{ trans('backLang.costPosition') }}</th>
            @endif
            <th>{{ trans('backLang.createdBy') }}</th>
            </thead>
            <tbody>
            @if(count($Journals) >0)
                @foreach($Journals as $Journal)
                    <tr>
                        <td>{{ date(Helper::Preferences("date_format"), strtotime($Journal->date)) . " " . ((@$Journal->date_type) ? trans("backLang.H") : trans("backLang.M")) }}</td>
                        <td>{{ @$Journal->ledger->code }}</td>
                        <td>{{ @$Journal->ledger->{"title_".trans("backLang.code")} }}</td>
                        <td class="bg-grey">{{ ($Journal->dept >0)?number_format($Journal->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                        <td class="bg-grey">{{ ($Journal->credit >0)?number_format($Journal->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                        <td>{{ $Journal->details }}</td>

                        <td>{!!  (($Journal->posted) ? trans("backLang.posted")  :  trans("backLang.notPosted")) . "</div>" !!}</td>
                        @if(count(Helper::Categories(11)) >0)
                            <td>{!! Helper::Category($Journal->center_id) !!}</td>
                        @endif
                        <td>{{ $Journal->user->name }}</td>

                    </tr>
                @endforeach
            @else
                <tr>
                    <td colspan="9">
                        <small>{{ trans("backLang.noData") }}</small>
                    </td>
                </tr>
            @endif
            </tbody>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
