@extends('back.layouts.print')
@section('title', trans('backLang.dailyEntry'))
@section("content")
    <style>
        @media print {
            @page {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1>{!! ($Journal->type==2)?trans('backLang.reconciliationEntry'):trans('backLang.startBalance') !!}</h1>
            </caption>
            <thead>
            <th>{{ trans('backLang.date') }}</th>
            <th>{{ trans('backLang.ledgerCode') }}</th>
            <th>{{ trans('backLang.ledger') }}</th>
            <th>{{ trans('backLang.debtor') }}</th>
            <th>{{ trans('backLang.creditor') }}</th>
            <th>{{ trans('backLang.desc') }}</th>
            <th>{{ trans('backLang.recordStatus') }}</th>
            @if(count(Helper::Categories(11)) >0)
                <th>{{ trans('backLang.costPosition') }}</th>
            @endif
            <th>{{ trans('backLang.createdBy') }}</th>
            </thead>
            <tbody>
            <tr>
                <td>{{ date(Helper::Preferences("date_format"), strtotime($Journal->date)) . " " . ((@$Journal->date_type) ? trans("backLang.H") : trans("backLang.M")) }}</td>
                <td>{{ @$Journal->ledger->code }}</td>
                <td>{{ @$Journal->ledger->{"title_".trans("backLang.code")} }}</td>
                <td class="bg-grey">{{ ($Journal->dept >0)?number_format($Journal->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                <td class="bg-grey">{{ ($Journal->credit >0)?number_format($Journal->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                <td>{{ $Journal->details }}</td>

                <td>{!!  (($Journal->posted) ? trans("backLang.posted")  :  trans("backLang.notPosted")) . "</div>" !!}</td>
                @if(count(Helper::Categories(11)) >0)
                    <td>{!! Helper::Category($Journal->center_id) !!}</td>
                @endif
                <td>{{ $Journal->user->name }}</td>
            </tr>
            </tbody>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
