@extends('back.layouts.master')
<?php
$page_title = trans('backLang.fundAccount');
$page_link = route("AppSafeBalance");
if (@$stat == "bank") {
    $page_title = trans('backLang.bankAccount');
    $page_link = route("AppBankBalance");
}
?>
@section('title', $page_title)
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">

            <div class="card card-collapsed" id="search_card">
                <div class="card-header">
                    <h3 class="card-title"><i class='icon-wallet'></i> {!! trans('backLang.accountant') !!} <i
                            class='fe fe-chevron-{{ trans("backLang.right") }}'></i><span> {!! $page_title !!}</span>
                    </h3>
                    <div class="card-options">
                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><span
                                class="icon-magnifier" data-toggle="tooltip" id="search_card_icon"
                                title="{{ trans('backLang.search') }}"></span></a>
                    </div>
                </div>
                <div class="card-body">
                    @include('back.accounting.bank.search')
                </div>
            </div>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            @if (Roles::Check("add"))
                                @if (Roles::Check("accountant_add"))
                                    <a href="{{ route("AppReceipts",["stat"=>"revenues","create"=>"create"]) }}"
                                       class="btn btn-info"><i
                                            class="fe fe-plus mb-2"></i> {{ trans('backLang.addCashReceipt') }}</a>
                                    &nbsp;
                                    <a href="{{ route("AppReceipts",["stat"=>"expenses","create"=>"create"]) }}"
                                       class="btn btn-primary"><i
                                            class="fe fe-plus mb-2"></i> {{ trans('backLang.addPayReceipt') }}</a>
                                    &nbsp;
                                    <button class="btn btn-secondary" data-toggle="modal"
                                            data-target="#create_transfer"><i
                                            class="fe fe-shuffle mb-2"></i> {{ trans('backLang.balanceTransfer') }}
                                    </button>
                                @endif
                            @endif
                            <div class="card-options">
                                @if (Roles::Check("accountant_print"))
                                    <a href="javascript:void(0)" data-toggle="tooltip"
                                       id="_print_btn"
                                       data-original-title="{{ trans("backLang.print") }}">
                                        <i
                                            class="icon-printer"></i>
                                    </a>
                                @endif
                                @if (Roles::Check("accountant_export"))
                                    <a href="javascript:void(0)" data-toggle="tooltip"
                                       id="_export_btn"
                                       data-original-title="{{ trans("backLang.export") }}">
                                        <i
                                            class="icon-cloud-download"></i>
                                    </a>
                                @endif
                            </div>
                        </div>
                        <div class="card-body">

                            <div class="card bg-light border">
                                <div class="card-body m-0 p-0">
                                    <div class="row text-center">
                                        <div class="col-lg-4 col-sm-12 border-right p-3">
                                            <label class="mb-1 font-12">{{ trans('backLang.debtor') }}
                                                ( {{ trans('backLang.toIt') }} )</label>
                                            <h4 class="font-20 font-weight-bold  m-0" id="balance_dept">
                                                <div class="loader loader-inline loader-inline-dark"></div>
                                            </h4>
                                        </div>
                                        <div class="col-lg-4 col-sm-12 border-right p-3">
                                            <label class="mb-1 font-12">{{ trans('backLang.creditor') }}
                                                ( {{ trans('backLang.fromIt') }} )</label>
                                            <h4 class="font-20 font-weight-bold m-0" id="balance_credit">
                                                <div class="loader loader-inline loader-inline-dark"></div>
                                            </h4>
                                        </div>
                                        <div class="col-lg-4 col-sm-12 p-3">
                                            <label class="mb-1 font-12">{{ trans('backLang.balance') }}</label>
                                            <h4 class="font-20 font-weight-bold m-0" id="balance_total">
                                                <div class="loader loader-inline loader-inline-dark"></div>
                                            </h4>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="table-responsive table-nowrap mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="receipts_table">
                                    <thead>
                                    <th>{{ trans('backLang.recordId') }}</th>
                                    <th>{{ trans('backLang.date') }}</th>
                                    <th>{{ trans('backLang.debtor') }}</th>
                                    <th>{{ trans('backLang.creditor') }}</th>
                                    <th>{{ trans('backLang.desc') }}</th>
                                    <th class="text-center">{{ trans('backLang.options') }}</th>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section("popup")
    @include('back.accounting.bank.transfer')
    @if (Roles::Check("edit"))
        @if (Roles::Check("accountant_edit"))
            <div class="modal fade" id="edit_receipt" tabindex="-1" role="dialog" aria-hidden="true">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        {{Form::open(['route'=>['AppReceiptsUpdate'],'method'=>'POST','id'=>'edit_receipt_form', 'files' => true])}}
                        <div class="modal-header">
                            <h5 class="modal-title"><i
                                    class="icon-pencil mb-2"></i> <span id="edit_box_title"></span></h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body pa-0">
                            <div class="alert alert-danger displaynone  m-0" id="edit_receipt_errors">
                                <ul></ul>
                            </div>
                            <div class="form-fields">
                                <div class="text-center">
                                    <div class="loader" style="display: inline-block"></div>
                                    <div>
                                        <small class="text-muted">{{ trans("backLang.loading") }}</small>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-light" data-dismiss="modal"><i
                                    class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                            </button>
                            <button type="submit" id="edit_receipt_submit" class="btn btn-primary">
                                &nbsp; <i
                                    class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                            </button>
                        </div>
                        {{Form::close()}}
                    </div>
                </div>
            </div>
        @endif
    @endif
@endsection
@section("page-script")
    <script type="text/javascript">
        var table_name = "#receipts_table";
        var table_paginate = "{{ DeviceTrust::settings('BACKEND_PAGINATION') }}";
        $(document).ready(function () {
            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('AppBankBalanceList') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.search_word = $("#search_word").val();
                        data.search_currency = $("#search_currency").val();
                        data.search_user = $("#search_user").val();
                        data.search_start = $("#search_start").val();
                        data.search_end = $("#search_end").val();
                        data.search_type = $("#search_type").val();
                        data.search_center_id = $("#search_center_id").val();
                        data.search_fund = $("#search_fund").val();
                        data.search_pay_method = $("#search_pay_method").val();
                        data.search_cat = $("#search_cat").val();
                        data.search_period = $("#search_period").val();
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                    if (this.api().page.info().recordsTotal > 0) {
                        $("#balance_dept").html(dataTable.ajax.json().balance.dept + ' {{ @$DefaultCurrency->symbol }} ');
                        $("#balance_credit").html(dataTable.ajax.json().balance.credit + ' {{ @$DefaultCurrency->symbol }} ');
                        $("#balance_total").html(dataTable.ajax.json().balance.total + ' {{ @$DefaultCurrency->symbol }} ');
                        if (dataTable.ajax.json().balance.total > 0) {
                            $("#balance_total").removeClass("text-danger");
                            $("#balance_total").addClass("text-success");
                        } else {
                            $("#balance_total").removeClass("text-success");
                            $("#balance_total").addClass("text-danger");
                        }
                    } else {
                        $("#balance_dept").html('-');
                        $("#balance_credit").html('-');
                        $("#balance_total").html('-');
                    }

                    $('[data-toggle="tooltip"]').tooltip();
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {"data": "id"},
                    {"data": "date"},
                    {"data": "dept"},
                    {"data": "credit"},
                    {"data": "details"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[1, "desc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';

            $("#receipts_search_form").submit(function (evt) {
                if ($("#search_submit_stat").val() == "") {
                    evt.preventDefault();
                    $(table_name).DataTable().ajax.reload();
                }
            });

            $('#search_card_icon').click(function () {
                $("#search_card").toggleClass("bg-light");
            });

            @if (Roles::Check("accountant_export"))
            $("#_export_btn").on('click', function () {
                $("#search_submit_stat").val("export");
                $("#receipts_search_form").attr('action', '{{ route("AppBankBalanceExport") }}');
                $("#receipts_search_form").attr('target', '_blank');
                $("#receipts_search_form").submit();
                $("#receipts_search_form").attr('action', '{{ $page_link }}');
                $("#search_submit_stat").val("");
                $("#receipts_search_form").attr('target', '');
            });
            @endif
            @if (Roles::Check("accountant_print"))
            $("#_print_btn").on('click', function () {
                $("#search_submit_stat").val("print");
                $("#receipts_search_form").attr('action', '{{ route("AppBankBalancePrint") }}');
                $("#receipts_search_form").attr('target', '_blank');
                $("#receipts_search_form").submit();
                $("#receipts_search_form").attr('action', '{{ $page_link }}');
                $("#search_submit_stat").val("");
                $("#receipts_search_form").attr('target', '');
            });
            @endif

            @if(Helper::Preferences("date_type"))
            $("#search_start").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#search_end").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#receipt_date").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            @else
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            @endif


            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });

            $('.custom-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                }
            });

            var dropify_settings = {
                messages: {
                    'default': '{{ trans("backLang.dragAndDropFileHere") }}',
                    'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
                    'remove': '{{ trans("backLang.delete") }}',
                    'error': '{{ trans("backLang.errorSomethingWrong") }}',
                }
            };
            $('#attach_file').dropify(dropify_settings);

            // store transfer
            ajax_post_form("create_transfer", '{{ trans("backLang.add") }}', 'fe fe-save', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', true, table_name, true, false, true, function (data) {
                $('.dropify-clear').click();
            });

            // update receipt
            ajax_post_form("edit_receipt", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, table_name, false, false, false);


            $("#charges_status").on('change', function () {
                $("#charges_div").toggleClass("displaynone");
            });
            $("#fund1_select").on('change', function () {
                bank_charge();
                get_balance($(this).val(), "from_fund_balance");
            });
            $("#fund2_select").on('change', function () {
                bank_charge();
                get_balance($(this).val(), "to_fund_balance");
            });
        });

        function bank_charge() {
            if ($("#fund1_select").find('option:selected').attr('data-bank') == "1" || $("#fund2_select").find('option:selected').attr('data-bank') == "1") {
                $("#charges_status_div").show();
            } else {
                $("#charges_status_div").hide();
                $("#charges_status").prop("checked", false);
                $("#charges_div").removeClass("displaynone");
                $("#charges_div").addClass("displaynone");
            }
        }

        function get_balance(id, div) {
            if (id > 0) {
                $('#' + div).parent().show();
                $('#' + div).html("<div class=\"loader loader-inline loader-inline-dark\"></div>");
                $.get("{{ route("AppBankBalanceCheck") }}/" + id, function (data) {
                    $('#' + div).html(data);
                });
            }
        }

        function edit_row(rid, type) {
            if (type == '1') {
                $("#edit_box_title").html("{{ trans("backLang.editCashReceipt") }}");
            } else {
                $("#edit_box_title").html("{{ trans("backLang.editPayReceipt") }}");
            }
            $("#edit_receipt_submit").prop('disabled', true);
            $.get("{{ route("AppReceiptsEdit") }}/" + rid, function (data) {
                $('#edit_receipt').find('.modal-body .form-fields').html(data);
                $("#edit_receipt_submit").prop('disabled', false);
            });
            $('#edit_receipt').modal('show');
        }

        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppReceiptsDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', table_name, false);
        }

        function delete_journal(rid) {
            ajax_delete_row("<?php echo route("AppBalancesDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', table_name, false);
        }
    </script>
@endsection
