@extends('back.layouts.print')
<?php
$page_title = trans('backLang.fundAccount');
$page_link = route("AppSafeBalance");
if ($request->search_type == 1) {
    $page_title = trans('backLang.bankAccount');
    $page_link = route("AppBankBalance");
}
?>
@section('title', $page_title)
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1>{!! $page_title !!}</h1>

                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if($request->search_word !="")
                    <label>{{ trans('backLang.searchFor') }}</label>
                    <strong>{!! $request->search_word !!}</strong>
                @endif

                @if(!empty($Fund))
                    <label>{{ trans('backLang.box') }}</label>
                    <strong>{{ $Fund->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if(!empty($Currency))
                    <label>{{ trans('backLang.currency') }}</label>
                    <strong>{{ $Currency->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if($request->search_start !="")
                    <label>{{ trans('backLang.fromDate') }}</label>
                    <strong>{!! $request->search_start !!}</strong>
                @endif
                @if($request->search_end !="")
                    <label>{{ trans('backLang.toDate') }}</label>
                    <strong>{!! $request->search_end !!}</strong>
                @endif
                @if($request->search_cat !="")
                    <label>{{ trans('backLang.ledgerCat') }}</label>
                    <strong>{!! Helper::Category($request->search_cat) !!}</strong>
                @endif
                @if($request->search_center_id !="")
                    <label>{{ trans('backLang.costPosition') }}</label>
                    <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
                @endif
                @if($request->search_user !="")
                    <label>{{ trans('backLang.user') }}</label>
                    <strong>{!! Helper::usernameById($request->search_user) !!}</strong>
                @endif
            </caption>
            <thead>
            <th>#</th>
            <th>{{ trans('backLang.date') }}</th>
            <th>{{ trans('backLang.debtor') }}</th>
            <th>{{ trans('backLang.creditor') }}</th>
            <th>{{ trans('backLang.desc') }}</th>
            <th>{{ trans('backLang.createdBy') }}</th>
            </thead>
            <tbody>
            @if(count($Journals) >0)
                @foreach($Journals as $Journal)
                    <tr>
                        <td>{{ (!empty($Journal->receipt))?@$Journal->receipt->id:@$Journal->id }}</td>
                        <td>{{ date(Helper::Preferences("date_format"), strtotime($Journal->date)) . " " . ((@$Journal->date_type) ? trans("backLang.H") : trans("backLang.M")) }}</td>
                        <td class="bg-grey">{{ ($Journal->dept >0)?number_format($Journal->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                        <td class="bg-grey">{{ ($Journal->credit >0)?number_format($Journal->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                        <td>{{ $Journal->details }}</td>
                        <td>{{ $Journal->user->name }}</td>
                    </tr>
                @endforeach
            @else
                <tr>
                    <td colspan="9">
                        <small>{{ trans("backLang.noData") }}</small>
                    </td>
                </tr>
            @endif
            </tbody>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
