@if (Roles::Check("add"))
    @if (Roles::Check("accountant_add"))
        <div class="modal fade" id="create_transfer" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    {{Form::open(['route'=>['AppBankBalanceTransfer'],'method'=>'POST','id'=>'create_transfer_form', 'files' => true])}}
                    <div class="modal-header">
                        <h5 class="modal-title"><i
                                class="fe fe-shuffle mb-2"></i> {{ trans('backLang.balanceTransfer') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body pa-0">
                        <div class="alert alert-danger displaynone m-0" id="create_transfer_errors">
                            <ul></ul>
                        </div>
                        <div class="p-3 bg-light border-bottom">
                            <div class="row clearfix">
                                <div class="col-sm-1">
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group  text-center">
                                        <label
                                            class="form-label">{{ trans('backLang.withdrawFrom') }}</label>
                                        <select name="from_fund" id="fund1_select"
                                                class="form-control custom-select" required>
                                            <option value="">{{ trans('backLang.selectFundOrBank') }}</option>
                                            <optgroup label="{{ trans("backLang.financialFunds") }}">
                                                @foreach($Funds as $FundItem)
                                                    @if($FundItem->type)
                                                        <option  data-bank="0"
                                                            value="{{ $FundItem->id }}">{{ $FundItem->{"title_".trans("backLang.code")} }}</option>
                                                    @endif
                                                @endforeach
                                            </optgroup>
                                            <optgroup label="{{ trans("backLang.bankAccountsTree") }}">
                                                @foreach($Funds as $FundItem)
                                                    @if(!$FundItem->type)
                                                        <option  data-bank="1"
                                                            value="{{ $FundItem->id }}">{{ $FundItem->{"title_".trans("backLang.code")} }}
                                                            [ {{ $FundItem->code }} ] [ {{ @$FundItem->currency->code }}
                                                            ]
                                                        </option>
                                                    @endif
                                                @endforeach
                                            </optgroup>
                                        </select>
                                        <div class="mt-2 font-weight-bold displaynone p-2 bg-white border rounded">{{ trans("backLang.balance") }}: <span id="from_fund_balance"></span> {{ @$DefaultCurrency->symbol }}</div>
                                    </div>
                                </div>

                                <div class="col-sm-2 text-center xs-hide">
                                    <i class="fa fa-long-arrow-{{ trans("backLang.right") }} mt-4 fa-3x"></i>
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group  text-center">
                                        <label
                                            class="form-label">{{ trans('backLang.depositIn') }}</label>
                                        <select name="to_fund"  id="fund2_select"
                                                class="form-control custom-select" required>
                                            <option value="">{{ trans('backLang.selectFundOrBank') }}</option>
                                            <optgroup label="{{ trans("backLang.financialFunds") }}">
                                                @foreach($Funds as $FundItem)
                                                    @if($FundItem->type)
                                                        <option  data-bank="0"
                                                            value="{{ $FundItem->id }}">{{ $FundItem->{"title_".trans("backLang.code")} }}</option>
                                                    @endif
                                                @endforeach
                                            </optgroup>
                                            <optgroup label="{{ trans("backLang.bankAccountsTree") }}">
                                                @foreach($Funds as $FundItem)
                                                    @if(!$FundItem->type)
                                                        <option  data-bank="1"
                                                            value="{{ $FundItem->id }}">{{ $FundItem->{"title_".trans("backLang.code")} }}
                                                            [ {{ $FundItem->code }} ] [ {{ @$FundItem->currency->code }}
                                                            ]
                                                        </option>
                                                    @endif
                                                @endforeach
                                            </optgroup>
                                        </select>
                                        <div class="mt-2 font-weight-bold displaynone p-2 bg-white border rounded">{{ trans("backLang.balance") }}: <span id="to_fund_balance"></span> {{ @$DefaultCurrency->symbol }}</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="p-3">
                            <div class="row clearfix">
                                <div class="col-sm-7">
                                    <div class="row clearfix">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label">{{ trans('backLang.amount') }}</label>
                                                <div class="input-group">
                                                    {!! Form::text('amount',"", array('placeholder' => '','class' => 'form-control money','required' => '','autocomplete'=>'off')) !!}
                                                    <span class="input-group-append">
                                        <select name="currency" class="form-control custom-select" required>
                                             @foreach($Currencies as $CurrencyItem)
                                                <option
                                                    value="{{ $CurrencyItem->id }}" {!! (Helper::Preferences("default_currency")==$CurrencyItem->id)?"selected='selected'":"" !!}>{{ $CurrencyItem->symbol }}</option>
                                            @endforeach
                                        </select>
                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{{ trans('backLang.date') }}</label>
                                                {!! Form::text('date',(Helper::Preferences("date_type"))?Helper::DateView(date('Y-m-d'),0,1,'Y/m/d'):date('Y/m/d'), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'receipt_date','autocomplete'=>'off')) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label
                                            class="form-label">{{ trans('backLang.desc') }}</label>
                                        {!! Form::textarea('details','', array('placeholder' => '','class' => 'form-control','required'=>'','rows'=>'2')) !!}
                                    </div>
                                </div>
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>{!!  trans('backLang.attachFile') !!}</label>
                                        <input type="file" name="file" id="attach_file" data-height="115"
                                               data-allowed-file-extensions="{{ str_replace(","," ",Helper::Preferences("allowed_ext")) }}">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="p-3 border-top displaynone" id="charges_status_div">
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <label class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" name="charges_status" id="charges_status"
                                               value="1">
                                        <span
                                            class="custom-control-label">{{ trans('backLang.bankChargesRegister') }}</span>
                                    </label>
                                </div>
                            </div>
                            <div class="row clearfix mt-2 displaynone" id="charges_div">
                                <div class="col-sm-3">
                                    <div>
                                        {!! Form::text('charges_amount',"", array('placeholder' => trans('backLang.amount'),'class' => 'form-control money','autocomplete'=>'off')) !!}
                                    </div>
                                </div>
                                <div class="col-sm-9">
                                    {!! Form::text('charges_details',trans('backLang.bankCharges'), array('placeholder' => trans('backLang.desc'),'class' => 'form-control money','autocomplete'=>'off')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-dismiss="modal"><i
                                class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                        </button>
                        <button type="submit" id="create_transfer_submit" class="btn btn-primary">
                            &nbsp; <i
                                class="fe fe-save"></i> {!!  trans('backLang.add') !!} &nbsp;
                        </button>
                    </div>
                    {{Form::close()}}
                </div>
            </div>
        </div>
    @endif
@endif
