<html>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>{{ trans('backLang.printChecks') }}</title>
    <link rel="icon" href="{{ asset('back/images/favicon.ico') }}" type="image/x-icon"> <!-- Favicon-->

    <link rel="stylesheet" href="{{ asset('back/custom/checks/css/style.css') }}">
    <script src="{{ asset('back/custom/checks/js/tafgeet.js') }}"></script>
    <script src="{{ asset('back/custom/checks/js/vue.js') }}"></script>
    <script src="{{ asset('back/custom/checks/js/move.js') }}"></script>
</head>

<body>
<div id="app">
    <div id="check_frame">
        <div id="check" :style="{ backgroundImage: 'url(' + styleBG.image + ')' }">
            <div id="check_date" :style="styleObject">@{{ date }}</div>
            <div id="check_place" :style="styleObject">@{{ place }}</div>
            <div id="check_amount" :style="styleObject">@{{ amountAfterFormat }}</div>
            <div id="check_to" :style="styleObject">@{{ name }}</div>
            <div id="check_amount_text" :style="styleObject">@{{ amount_text }}</div>
            <div id="check_reason" :style="styleObject">@{{ reason }}</div>
            <div id="check_reason2" :style="styleObject">@{{ reason2 }}</div>
        </div>
    </div>
    <div id="details">

        <div class="head">{{ trans('backLang.printChecks') }}</div>
        <div class="body">
            <div class="input-block">
                <label for="input-date">قوالب الشيكات :</label>
                <br>
                <select class="input-element" v-model="currentPositionsId"
                        @change="updatePositions(currentPositionsId)">
                    <option value="0">الأهلي NCB</option>
                    <option value="1">بنك الرياض Riyad Bank</option>
                </select>
            </div>
            <div class="input-block">
                <label for="input-date">التاريخ :</label>
                <br>
                <input type="text" dir="ltr" class="input-element" id="input-date" v-model="date"/>
            </div>

            <div class="input-block">
                <label for="input-place">المدينة :</label>
                <br>
                <input type="text" class="input-element" id="input-place" v-model="place"/>
            </div>

            <div class="input-block">
                <label for="input-name"> الإسم / لأمر :</label>
                <br>
                <input type="text" class="input-element" id="input-name" v-model="name"/>
            </div>
            <div class="input-block">
                <label for="input-amount">قيمة الشيك :</label>
                <br>
                <input type="text" class="input-element" id="input-amount"
                       onkeyup="updateAmount(toEN(this.value),vm.currency)" v-model="amount"/>
            </div>
            <div class="input-block">
                <label for="input-currency">العملة :</label>
                <br>
                <select class="input-element" id="input-currency" v-model="currency"
                        onchange="updateAmount(vm.amount,this.value)">
                    <option value="EGP"> جنية مصري</option>
                    <option value="USD"> دولار أمريكي</option>
                    <option value="EUR">يورو</option>
                    <option value="SAR"> ريال سعودي</option>
                    <option value="KWD"> دينار كويتي</option>
                    <option value="AED"> درهم أماراتي</option>
                    <option value="QAR"> ريال قطري</option>
                </select>
            </div>

            <div class="input-block">
                <label for="input-reason">وذلك مقابل :</label>
                <br>
                <input type="text" class="input-element" id="input-reason" v-model="reason"/>
            </div>
            <div class="input-block">
                <label for="input-reason2">ملاحظة :</label>
                <br>
                <input type="text" class="input-element" id="input-reason2" v-model="reason2"/>
            </div>
            <br>

            <button class="print-btn" onclick="window.print();"><img src="{{ asset("back/custom/checks/images/print.png") }}"/>&nbsp; طباعة الشيك
            </button>
        </div>
    </div>
    <div id="settings_frame">
        <div id="settings">
            <div class="body">
                <div class="settings-input-block">
                    <label for="input-font-size">حجم ونوع الخط :</label>
                    <select class="settings-input-element" id="input-font-size" v-model="styleObject.fontSize">
                        <option value="14px"> 14</option>
                        <option value="16px"> 16</option>
                        <option value="18px"> 18</option>
                        <option value="20px"> 20</option>
                        <option value="22px"> 22</option>
                        <option value="24px"> 24</option>
                        <option value="26px"> 26</option>
                        <option value="28px"> 28</option>
                        <option value="30px"> 30</option>
                        <option value="34px"> 34</option>
                        <option value="38px"> 38</option>
                    </select>
                    <select class="settings-input-element" id="input-font-weight" v-model="styleObject.fontWeight">
                        <option value="bold"> عريض</option>
                        <option value="normal"> عادي</option>
                    </select>
                    <select class="settings-input-element" id="input-font-color" v-model="styleObject.color">
                        <option value="#000000"> اسود</option>
                        <option value="#888888"> رصاصي</option>
                        <option value="#ff0000"> احمر</option>
                        <option value="#ffa500"> برتقالي</option>
                        <option value="#ffff00"> اصفر</option>
                        <option value="#0000ff"> ازرق</option>
                        <option value="#32c3ff"> سماوي</option>
                        <option value="#00ff00"> اخضر</option>
                    </select>
                    &nbsp; &nbsp;
                    ارتفاع الخط :
                    <select class="settings-input-element" id="input-font-height" v-model="styleObject.lineHeight">
                        <option value="14px"> 14</option>
                        <option value="16px"> 16</option>
                        <option value="18px"> 18</option>
                        <option value="20px"> 20</option>
                        <option value="22px"> 22</option>
                        <option value="24px"> 24</option>
                        <option value="26px"> 26</option>
                        <option value="28px"> 28</option>
                        <option value="30px"> 30</option>
                        <option value="34px"> 34</option>
                        <option value="38px"> 38</option>
                        <option value="42px"> 42</option>
                        <option value="46px"> 46</option>
                        <option value="50px"> 50</option>
                        <option value="56px"> 56</option>
                        <option value="60px"> 60</option>
                    </select>

                    &nbsp; &nbsp;
                    صورة الشيك :
                    <input type="checkbox" @mousedown="updateBG" checked v-model="styleBG.status"/>
                    <input type="file" class="settings-input-element" style="width: 200px" onchange="readURL(this)"
                           accept="image/*"/>
                </div>

            </div>
        </div>
    </div>
</div>


<script type="text/javascript">

    var vm = new Vue({
        el: '#app',
        data: {
            date: toAR(new Date().toJSON().slice(0, 10).replace(/-/g, '/')),
            place: 'المدينة المنورة',
            reason: '',
            reason2: '',
            amount: '{{ @$_GET['amount'] }}',
            amount_text: '',
            currency: '',
            amountAfterFormat: '',
            name: '{{ @$_GET['name'] }}',
            styleObject: {
                color: '#000000',
                fontSize: '22px',
                fontWeight: 'normal',
                lineHeight: '34px'
            },
            styleBG: {
                status: true,
                image: '{{ asset("back/custom/checks/images/ncb2.jpg") }}',
                DefaultImage: '{{ asset("back/custom/checks/images/ncb2.jpg") }}',
            },
            currentPositionsId: 0,
            currentPositions: {
                date: {
                    right: 60,
                    top: 30
                },
                place: {
                    right: 60,
                    top: 52
                },
                amount: {
                    left: 675,
                    top: 160
                },
                name: {
                    right: 200,
                    top: 125
                },
                text: {
                    right: 250,
                    top: 157
                },
                reason: {
                    right: 210,
                    top: 195
                },
                reason2: {
                    right: 620,
                    top: 70
                },
                size: {
                    width: 846,
                    height: 377
                },
                color: '#000000',
                fontSize: '20px',
                fontWeight: 'normal',
                lineHeight: '20px',
                currency: 'SAR'
            },
            banksList: [
                [[[60, 30], [60, 52], [675, 160], [200, 125], [250, 157], [210, 195], [620, 70], [846, 377]], ['#000000', '20px', 'normal', '20px', '{{ asset("back/custom/checks/images/ncb2.jpg") }}', 'SAR']],
                [[[80, 25], [80, 55], [645, 190], [225, 135], [340, 170], [295, 207], [640, 60], [846, 370]], ['#000000', '20px', 'normal', '20px', '{{ asset("back/custom/checks/images/riad.jpg") }}', 'SAR']],
            ]

        },
        methods: {
            isNumber: function (evt) {
                evt = (evt) ? evt : window.event;
                var charCode = (evt.which) ? evt.which : evt.keyCode;
                if ((charCode > 31 && (charCode < 48 || charCode > 57)) && charCode !== 46) {
                    evt.preventDefault();
                } else {
                    return true;
                }
            },
            updateBG: function (evt) {
                if (this.styleBG.status) {
                    this.styleBG.image = "";
                } else {
                    this.styleBG.image = this.styleBG.DefaultImage;
                }
            },
            updatePositions: function (pid) {
                this.currentPositions.date.right = this.banksList[pid][0][0][0];
                this.currentPositions.date.top = this.banksList[pid][0][0][1];
                this.currentPositions.place.right = this.banksList[pid][0][1][0];
                this.currentPositions.place.top = this.banksList[pid][0][1][1];
                this.currentPositions.amount.left = this.banksList[pid][0][2][0];
                this.currentPositions.amount.top = this.banksList[pid][0][2][1];
                this.currentPositions.name.right = this.banksList[pid][0][3][0];
                this.currentPositions.name.top = this.banksList[pid][0][3][1];
                this.currentPositions.text.right = this.banksList[pid][0][4][0];
                this.currentPositions.text.top = this.banksList[pid][0][4][1];
                this.currentPositions.reason.right = this.banksList[pid][0][5][0];
                this.currentPositions.reason.top = this.banksList[pid][0][5][1];
                this.currentPositions.reason2.right = this.banksList[pid][0][6][0];
                this.currentPositions.reason2.top = this.banksList[pid][0][6][1];
                this.currentPositions.size.width = this.banksList[pid][0][7][0];
                this.currentPositions.size.height = this.banksList[pid][0][7][1];

                this.currentPositions.color = this.banksList[pid][1][0];
                this.styleObject.color = this.banksList[pid][1][0];
                this.currentPositions.fontSize = this.banksList[pid][1][1];
                this.styleObject.fontSize = this.banksList[pid][1][1];
                this.currentPositions.fontWeight = this.banksList[pid][1][2];
                this.styleObject.fontWeight = this.banksList[pid][1][2];
                this.currentPositions.lineHeight = this.banksList[pid][1][3];
                this.styleObject.lineHeight = this.banksList[pid][1][3];

                this.styleBG.image = this.banksList[pid][1][4];
                this.styleBG.DefaultImage = this.banksList[pid][1][4];
                this.currency = this.banksList[pid][1][5];

                document.getElementById('check_date').style.right = this.currentPositions.date.right;
                document.getElementById('check_date').style.top = this.currentPositions.date.top;

                document.getElementById('check_place').style.right = this.currentPositions.place.right;
                document.getElementById('check_place').style.top = this.currentPositions.place.top;

                document.getElementById('check_reason').style.right = this.currentPositions.reason.right;
                document.getElementById('check_reason').style.top = this.currentPositions.reason.top;

                document.getElementById('check_reason2').style.right = this.currentPositions.reason2.right;
                document.getElementById('check_reason2').style.top = this.currentPositions.reason2.top;

                document.getElementById('check_amount').style.left = this.currentPositions.amount.left;
                document.getElementById('check_amount').style.top = this.currentPositions.amount.top;

                document.getElementById('check_to').style.right = this.currentPositions.name.right;
                document.getElementById('check_to').style.top = this.currentPositions.name.top;

                document.getElementById('check_amount_text').style.right = this.currentPositions.text.right;
                document.getElementById('check_amount_text').style.top = this.currentPositions.text.top;

                document.getElementById('check').style.width = this.currentPositions.size.width;
                document.getElementById('check').style.height = this.currentPositions.size.height;

            }
        }
    });

    function formatMoney(x) {
        return x.toLocaleString("ar-EG", {minimumFractionDigits: 0})
    }

    function updateAmount(val, cur) {
        if (val > 0) {
            vm.amountAfterFormat = "#" + formatMoney(parseFloat(val)) + "#";
            vm.amount_text = new Tafgeet(val, cur).parse();
        }
    }

    updateAmount(vm.amount, vm.currency);

    function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                vm.styleBG.image = e.target.result;
                vm.styleBG.DefaultImage = e.target.result;
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    function toAR(num) {
        return num.replace(/\d/g, d => '٠١٢٣٤٥٦٧٨٩'[d])
    }

    function toEN(string) {
        return string.replace(/[\u0660-\u0669]/g, function (c) {
            return c.charCodeAt(0) - 0x0660;
        }).replace(/[\u06f0-\u06f9]/g, function (c) {
            return c.charCodeAt(0) - 0x06f0;
        });
    }

    //Make the DIV element draggagle:
    dragElement(document.getElementById("check_date"), "right");
    dragElement(document.getElementById("check_place"), "right");
    dragElement(document.getElementById("check_amount"), "left");
    dragElement(document.getElementById("check_to"), "right");
    dragElement(document.getElementById("check_amount_text"), "right");
    dragElement(document.getElementById("check_reason"), "right");
    dragElement(document.getElementById("check_reason2"), "right");

    //Set default positions
    document.getElementById('check_date').style.right = vm.currentPositions.date.right;
    document.getElementById('check_date').style.top = vm.currentPositions.date.top;

    document.getElementById('check_place').style.right = vm.currentPositions.place.right;
    document.getElementById('check_place').style.top = vm.currentPositions.place.top;
    document.getElementById('check_reason').style.right = vm.currentPositions.reason.right;
    document.getElementById('check_reason').style.top = vm.currentPositions.reason.top;
    document.getElementById('check_reason2').style.right = vm.currentPositions.reason2.right;
    document.getElementById('check_reason2').style.top = vm.currentPositions.reason2.top;

    document.getElementById('check_amount').style.left = vm.currentPositions.amount.left;
    document.getElementById('check_amount').style.top = vm.currentPositions.amount.top;

    document.getElementById('check_to').style.right = vm.currentPositions.name.right;
    document.getElementById('check_to').style.top = vm.currentPositions.name.top;

    document.getElementById('check_amount_text').style.right = vm.currentPositions.text.right;
    document.getElementById('check_amount_text').style.top = vm.currentPositions.text.top;

    document.getElementById('check').style.width = vm.currentPositions.size.width;
    document.getElementById('check').style.height = vm.currentPositions.size.height;

    vm.styleObject.color = vm.currentPositions.color;
    vm.styleObject.fontSize = vm.currentPositions.fontSize;
    vm.styleObject.fontWeight = vm.currentPositions.fontWeight
    vm.styleObject.lineHeight = vm.currentPositions.lineHeight;
    vm.currency = vm.currentPositions.currency;


</script>
</body>
</html>
