<?php
$app_title_var = "app_title_" . trans('backLang.boxCode');
$app_title_var2 = "app_title_" . trans('backLang.boxCodeOther');
if (Helper::Preferences($app_title_var) != "") {
    $site_title = Helper::Preferences($app_title_var);
} else {
    $site_title = Helper::Preferences($app_title_var2);
}
?>
@extends('back.layouts.master')
@section('title', $site_title)
@section("content")
    <div class="section-body pt-3" id="myapp">
        <div class="container-fluid">
            <div class="row clearfix">
                @if (Roles::Check("add"))
                    @if (Roles::Check("accountant_add"))
                        <div class="col-6 col-md-4 col-xl-2">
                            <div class="card">
                                <div class="card-body ribbon pt-3">
                                    <a href="{{ route("AppReceipts",["stat"=>"revenues","create"=>"create"]) }}"
                                       class="my_sort_cut text-muted">
                                        <i class="icon-plus"></i>
                                        <span class="home_title">{{ trans('backLang.addCashReceipt') }}</span>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-6 col-md-4 col-xl-2">
                            <div class="card">
                                <div class="card-body ribbon pt-3">
                                    <a href="{{ route("AppReceipts",["stat"=>"expenses","create"=>"create"]) }}"
                                       class="my_sort_cut text-muted">
                                        <i class="icon-calculator"></i>
                                        <span class="home_title">{{ trans('backLang.addPayReceipt') }}</span>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-6 col-md-4 col-xl-2">
                            <div class="card">
                                <div class="card-body ribbon pt-3">
                                    <a href="{{ route("AppJournalsCreate") }}" class="my_sort_cut text-muted">
                                        <i class="icon-calendar"></i>
                                        <span class="home_title">{{ trans("backLang.createDailyEntries") }}</span>
                                    </a>
                                </div>
                            </div>
                        </div>
                    @endif
                @endif
                @if (Roles::Check("accountant_revenues"))
                    <div class="col-6 col-md-4 col-xl-2">
                        <div class="card">
                            <div class="card-body ribbon pt-3">
                                <a href="{{ route("AppReceipts", "revenues") }}" class="my_sort_cut text-muted">
                                    <i class="icon-bar-chart"></i>
                                    <span class="home_title">{{ trans("backLang.revenues") }}</span>
                                </a>
                            </div>
                        </div>
                    </div>
                @endif
                @if (Roles::Check("accountant_expenses"))
                    <div class="col-6 col-md-4 col-xl-2">
                        <div class="card">
                            <div class="card-body ribbon pt-3">
                                <a href="{{ route("AppReceipts", "expenses") }}" class="my_sort_cut text-muted">
                                    <i class="icon-bag"></i>
                                    <span class="home_title">{{ trans("backLang.expenses") }}</span>
                                </a>
                            </div>
                        </div>
                    </div>
                @endif
                @if (Roles::Check("accountant_journals"))
                    <div class="col-6 col-md-4 col-xl-2">
                        <div class="card">
                            <div class="card-body ribbon pt-3">
                                <a href="{{ route("AppJournals") }}" class="my_sort_cut text-muted">
                                    <i class="icon-pie-chart"></i>
                                    <span class="home_title">{{ trans("backLang.dailyEntries") }}</span>
                                </a>
                            </div>
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </div>
    <div class="section-body">
        <div class="container-fluid">
            <div class="row clearfix row-deck">
                <div class="col-sm-4">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans("backLang.balanceSummary") }}</h3>
                        </div>
                        <div>
                            <div id="_balance_summary"></div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-8">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans("backLang.cashAndBank") }}</h3>
                        </div>
                        <div class="card-body">
                            <div id="_bank_details"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix row-deck">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans("backLang.cashFlow") }}</h3>
                            <div class="card-options">
                                <div class="selectgroup w250">
                                    <label class="selectgroup-item" onclick="load_cash('day')">
                                        <input type="radio" name="intensity" value="day" class="selectgroup-input"
                                               checked="">
                                        <span class="selectgroup-button">{{ trans("backLang.today") }}</span>
                                    </label>
                                    <label class="selectgroup-item" onclick="load_cash('month')">
                                        <input type="radio" name="intensity" value="month" class="selectgroup-input">
                                        <span class="selectgroup-button">{{ trans("backLang.30day") }}</span>
                                    </label>
                                    <label class="selectgroup-item" onclick="load_cash('year')">
                                        <input type="radio" name="intensity" value="year" class="selectgroup-input">
                                        <span class="selectgroup-button">{{ trans("backLang.12month") }}</span>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div id="_cash_flow"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push("after-scripts")
    <script src="{{ asset('back/bundles/apexcharts.bundle.js') }}"></script>
    <script src="{{ asset('back/bundles/counterup.bundle.js') }}"></script>
    <script src="{{ asset('back/bundles/knobjs.bundle.js') }}"></script>
    <script src="{{ asset('back/bundles/c3.bundle.js') }}"></script>
@endpush
@section("page-script")
    <script type="text/javascript">
        $(document).ready(function () {
            $('#_bank_details').html("<div class=\"text-center p-4\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            $.get("{{ route("AppAccountingHomeBank") }}", function (data) {
                $('#_bank_details').html(data);
            });
            $('#_balance_summary').html("<div class=\"text-center p-4\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            $.get("{{ route("AppAccountingHomeSummary") }}", function (data) {
                $('#_balance_summary').html(data);
            });

            load_cash("day");
        });

        function load_cash(stat) {
            $('#_cash_flow').html("<div style=\"height: 250px\" class=\"text-center p-4\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            $.get("{{ route("AppAccountingHomeCashFlow") }}/" + stat, function (data) {
                $('#_cash_flow').html(data);
            });
        }
    </script>
@endsection
