@extends('back.layouts.master')
@section('title', trans('backLang.createDailyEntries'))
@section("content")
    @if (Roles::Check("edit"))
        @if (Roles::Check("accountant_edit"))
            <div class="section-body pt-3">
                <div class="container-fluid" id="create_journal">
                    {{Form::open(['route'=>['AppJournalsUpdate'],'method'=>'POST','id'=>'create_journal_form', 'files' => true])}}
                    <input type="hidden" name="id" value="{{ encrypt($Receipt->id) }}">
                    <div class="alert alert-danger displaynone" id="create_journal_errors">
                        <ul></ul>
                    </div>
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><i class='icon-wallet'></i> {!! trans('backLang.accountant') !!} <i
                                    class='fe fe-chevron-{{ trans("backLang.right") }}'></i> <a
                                    href="{{ route("AppJournals") }}"> {!! trans('backLang.dailyEntries') !!}</a> <i
                                    class='fe fe-chevron-{{ trans("backLang.right") }}'></i>
                                <span> {!! trans('backLang.editDailyEntries') !!}</span>
                            </h3>
                            <div class="card-options">
                                <a href="{{ route("AppJournals") }}"><i
                                        class="fe fe-x"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-8">
                                    <div class="row clearfix">
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{{ trans('backLang.date') }}</label>
                                                {!! Form::text('date',date('Y/m/d',strtotime($Receipt->date)), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'receipt_date','autocomplete'=>'off','tabindex'=>'0')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-2">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{{ trans('backLang.currency') }}</label>
                                                <select name="currency" tabindex="1"
                                                        class="form-control custom-select">
                                                    <option value="">{{ trans('backLang.currency') }}</option>
                                                    @foreach($Currencies as $CurrencyItem)
                                                        <option
                                                            {!! ($Receipt->currency_id==$CurrencyItem->id)?"selected='selected'":"" !!}
                                                            value="{{ $CurrencyItem->id }}">{{ $CurrencyItem->symbol }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        @if(count(Helper::Categories(11)) >0)
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label">{{ trans('backLang.costPosition') }}</label>
                                                    <select name="center_id" tabindex="2"
                                                            class="form-control list-items">
                                                        <option value="">{{ trans('backLang.noCat') }}</option>
                                                        @foreach(Helper::Categories(11) as $CatItem)
                                                            @if(($CatItem->start==null && $CatItem->end==null) || ($CatItem->start <= date('Y-m-d') && $CatItem->end >= date('Y-m-d')) || $Receipt->center_id==$CatItem->id)
                                                                <option
                                                                    {!! ($Receipt->center_id==$CatItem->id)?"selected='selected'":"" !!}
                                                                    value="{{ $CatItem->id }}"
                                                                    data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}
                                                                </option>
                                                            @endif
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                        @endif

                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{{ trans('backLang.fileNo') }}</label>
                                                {!! Form::text('code',$Receipt->code, array('placeholder' => '','class' => 'form-control','autocomplete'=>'off','tabindex'=>'3')) !!}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row clearfix">
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                {!! Form::textarea('details',$Receipt->details, array('placeholder' => trans('backLang.desc'),'class' => 'form-control','required'=>'','rows'=>'2','tabindex'=>'4')) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                $file_url = "";
                                if ($Receipt->file != "") {
                                    $file_url = route("AppReceiptsFilePreview", encrypt($Receipt->id));
                                    $file_url = "<div class='pull-right small mt-1'><a href='" . $file_url . "' target='_blank'>" . $Receipt->file . "." . $Receipt->ext . "</a></div>";
                                }
                                ?>
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <label>{!!  trans('backLang.attachFile') !!}</label>  {!! $file_url !!}
                                        <input type="file" name="file" id="attach_file" data-height="85"
                                               data-allowed-file-extensions="{{ str_replace(","," ",Helper::Preferences("allowed_ext")) }}" {!! ($Receipt->file!="")?"data-default-file=\"".URL::to('uploads/receipts/'.$Receipt->file)."\"":"" !!}>
                                        {!! Form::hidden('file_delete','0', array('id'=>'file_delete')) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @if($Receipt->posted)
                        <div
                            class="alert alert-warning">{!! (Helper::Preferences("posting_method"))?trans("backLang.updatesPostedNote2"):trans("backLang.updatesPostedNote1") !!}</div>
                    @endif
                    @include('back.accounting.ledgers.select')
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.editEntries') }}</h3>
                            <div class="card-options">
                                <a href="javascript:void(0)" data-toggle="tooltip" id="add_row_btn" tabindex="5"
                                   data-original-title="{{ trans("backLang.add") }}"><i
                                        class="fe fe-plus"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div>
                                <table class="table table-hover table-bordered mb-0" id="journals_table">
                                    <thead>
                                    <tr>
                                        <th width="30%">{{ trans('backLang.ledger') }}</th>
                                        <th width="12%" class="text-center bg-light">{{ trans('backLang.debtor') }}</th>
                                        <th width="12%"
                                            class="text-center bg-light">{{ trans('backLang.creditor') }}</th>
                                        <th class="text-center">{{ trans('backLang.desc') }}</th>
                                        <th class="text-center">{{ trans('backLang.options') }}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @php($tabindex=5)
                                    @php($i=1)
                                    @php($debt_total=0)
                                    @php($credit_total=0)
                                    @if($Receipt->journals()->count() > 0)
                                        @foreach($Receipt->journals as $Journal)
                                            @php($debt_total += $Journal->dept)
                                            @php($credit_total  += $Journal->credit)
                                            <tr class="row_{{ $i }}">
                                                <td>
                                                    <input type="hidden" name="rows_id" value="1">
                                                    <div class="form-group m-0">
                                                        <div class="row gutters-xs">
                                                            <div class="col">
                                                                <select name="ledger_{{ $i }}"
                                                                        tabindex="{{ ($tabindex++) }}"
                                                                        class="form-control list-items list-items-{{ $i }}"
                                                                        required>
                                                                    <option
                                                                        value="">{{ trans('backLang.selectLedgerCat') }}</option>
                                                                    {!! printAsSelectOptions($ledgers_array,NULL,$Journal->ledger_id,0) !!}
                                                                </select>
                                                            </div>
                                                            <span class="col-auto"><button
                                                                    class="btn btn-light"
                                                                    onclick="ledgers_load({{ $i }})"
                                                                    type="button"><i
                                                                        class="fe fe-search"></i></button></span>
                                                        </div>
                                                    </div>
                                                </td>
                                                <td class="text-center bg-light">
                                                    {!! Form::text('debtor_'.$i,$Journal->dept, array('placeholder' => '','class' => 'form-control text-center debtor money','tabindex'=>($tabindex++))) !!}
                                                </td>
                                                <td class="text-center bg-light">
                                                    {!! Form::text('creditor_'.$i,$Journal->credit, array('placeholder' => '','class' => 'form-control text-center creditor money','tabindex'=>($tabindex++))) !!}
                                                </td>
                                                <td class="text-center">
                                                    {!! Form::textarea('details_'.$i,$Journal->details, array('class' => 'form-control','required'=>'','rows'=>'1','tabindex'=>($tabindex++))) !!}
                                                </td>
                                                <td class="text-center">
                                                    @if($i >0)
                                                        <button type="button" class="btn btn-light"
                                                                onclick="javascript:$(this).parent().parent().remove();delete_row()">
                                                            <i class="fe fe-trash"></i></button>
                                                    @else
                                                        -
                                                    @endif
                                                </td>
                                            </tr>
                                            @php($i++)
                                        @endforeach
                                    @endif
                                    </tbody>
                                    <thead>
                                    <tr>
                                        <th width="25%" class="text-center">{{ trans('backLang.total') }}</th>
                                        <th width="15%"
                                            class="text-center {{ (round($debt_total,2) !=round($credit_total,2))?"bg-danger":"" }} bg-light">
                                            <strong id="debtor_total"
                                                    class="{{ (round($debt_total,2) !=round($credit_total,2))?"":"text-success" }}">{{ $debt_total }}</strong>
                                        </th>
                                        <th width="15%"
                                            class="text-center {{ (round($debt_total,2) !=round($credit_total,2))?"bg-danger":"" }}  bg-light">
                                            <strong id="creditor_total"
                                                    class="{{ (round($debt_total,2) !=round($credit_total,2))?"":"text-success" }}">{{ $credit_total }}</strong>
                                        </th>
                                        <th colspan="2">{{ trans('backLang.difference') }} = <strong
                                                id="total_of_all">{{ (round($debt_total,2) - round($credit_total,2)) }}</strong></th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="rows_count" id="rows_count" value="{{ $Receipt->journals()->count() }}">
                    <input type="hidden" name="rows_max" id="rows_max" value="{{ $Receipt->journals()->count() }}">
                    <button type="submit" id="create_journal_submit"
                            class="btn btn-primary">  {{ trans('backLang.save') }} {{ trans('backLang.editDailyEntries') }}</button>
                    {{Form::close()}}
                </div>
            </div>
        @endif
    @endif
    <div id="ledgers_list" class="displaynone">
        {!! printAsSelectOptions($ledgers_array,NULL,0,0) !!}
    </div>
@endsection
@section("popup")
    <div class="modal fade" id="ledger_selector" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-link mb-2"></i> {{ trans("backLang.accountantTree") }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0 pb-3">
                    <div class="form-fields">
                        <div class="text-center p-3">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section("page-script")
    <script type="text/javascript">

        var leaders_loaded = false;
        var selectize_options = {
            searchField: 'search-text',
            render: {
                option: function (data, escape) {
                    return '<div>' +
                        '<span class="title">' + escape(data.text) + '</span>' +
                        '</div>';
                },
                item: function (data, escape) {
                    return '<div>' +
                        escape(data.text) +
                        '</div>';
                }
            }
        };

        $(document).ready(function () {
            @if(Helper::Preferences("date_type"))
            $("#receipt_date").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            @else
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            @endif

            $('.list-items').selectize(selectize_options);

            var dropify_settings = {
                messages: {
                    'default': '{{ trans("backLang.dragAndDropFileHere") }}',
                    'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
                    'remove': '{{ trans("backLang.delete") }}',
                    'error': '{{ trans("backLang.errorSomethingWrong") }}',
                }
            };
            var drEvent = $('#attach_file').dropify(dropify_settings);
            drEvent.on('dropify.beforeClear', function (event, element) {
                $("#file_delete").val('1');
            });

            // store receipt
            ajax_post_form("create_journal", '{{ trans("backLang.save")." ".trans('backLang.editDailyEntries') }}', 'fe fe-save', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', false, "", false, false, false, function (data) {
                window.setTimeout(function () {
                    location.href = '{{ route("AppJournals") }}';
                }, 2000);
            });

            $("#add_row_btn").on('click', function () {
                add_row();
            });
            $('.debtor').on('input', function () {
                calc_debtor_totals();
            });
            $('.creditor').on('input', function () {
                calc_creditor_totals();
            });
        });
        var rows_count = "{{ $Receipt->journals()->count() }}";
        var rows_max = " {{ $Receipt->journals()->count() }}";
        var current_row = 1;
        var tabindex = {{ $tabindex }};

        function delete_row() {
            rows_count--;
            $("#rows_count").val(rows_count);
            calc_debtor_totals();
            calc_creditor_totals();
            tabindex = tabindex - 4;
        }

        var debtor_total = "{{ $debt_total }}", creditor_total = "{{ $credit_total }}";

        function color_totals(dif) {
            if (dif != 0 || (debtor_total == 0 || creditor_total == 0)) {
                $("#debtor_total").parent().addClass("bg-danger");
                $("#creditor_total").parent().addClass("bg-danger");
                $("#debtor_total").removeClass("text-success");
                $("#creditor_total").removeClass("text-success");
                $("#create_journal_submit").prop('disabled', true);
            } else {
                $("#debtor_total").parent().removeClass("bg-danger");
                $("#creditor_total").parent().removeClass("bg-danger");
                $("#debtor_total").addClass("text-success");
                $("#creditor_total").addClass("text-success");
                $("#create_journal_submit").prop('disabled', false);
            }
        }

        function calc_debtor_totals() {
            debtor_total = 0;
            $('.debtor').each(function () {
                val = parseFloat(this.value);
                if (isNaN(val)) {
                    val = 0;
                }
                debtor_total += val;
            });
            debtor_total = Math.round(debtor_total * 100) / 100;
            $("#debtor_total").html(debtor_total);

            dif = debtor_total - creditor_total;
            dif = Math.round(dif * 100) / 100;
            $("#total_of_all").html(dif);
            color_totals(dif);
        }

        function calc_creditor_totals() {
            creditor_total = 0;
            $('.creditor').each(function () {
                val = parseFloat(this.value);
                if (isNaN(val)) {
                    val = 0;
                }
                creditor_total += val;
            });
            creditor_total = Math.round(creditor_total * 100) / 100;
            $("#creditor_total").html(creditor_total);

            dif = debtor_total - creditor_total;
            dif = Math.round(dif * 100) / 100;
            $("#total_of_all").html(dif);
            color_totals(dif);
        }

        function add_row() {
            rows_count++;
            $("#rows_count").val(rows_count);
            rows_max++;
            $("#rows_max").val(rows_max);

            $("#journals_table").find('tbody').append("<tr class=\"account row_" + rows_count + "\">" +
                "<td><input type=\"hidden\" name=\"rows_id\" value=\"" + rows_count + "\"> <div class=\"row gutters-xs\"><div class=\"col\"><select name=\"ledger_" + rows_count + "\" class=\"form-control list-items list-items-" + rows_count + "\" required tabindex=\"" + (tabindex++) + "\"><option value=\"\">{{ trans('backLang.selectLedgerCat') }}</option>" + $("#ledgers_list").html() + "</select></div><span class=\"col-auto\"><button class=\"btn btn-light\" onclick=\"ledgers_load(" + rows_count + ")\" type=\"button\"><i class=\"fe fe-search\"></i></button></span></div></td>" +
                "<td class=\"text-center bg-light\"><input placeholder=\"\" name=\"debtor_" + rows_count + "\" type=\"text\" value=\"\" class=\"form-control text-center debtor money\" tabindex=\"" + (tabindex++) + "\"></td>" +
                "<td class=\"text-center bg-light\"><input placeholder=\"\" name=\"creditor_" + rows_count + "\" type=\"text\" value=\"\" class=\"form-control text-center creditor money\" tabindex=\"" + (tabindex++) + "\"></td>" +
                "<td class=\"text-center\"><textarea required=\"\" rows=\"1\" name=\"details_" + rows_count + "\" cols=\"50\" class=\"form-control\" tabindex=\"" + (tabindex++) + "\"></textarea></td>" +
                "<td class=\"text-center\"><button type=\"button\" class=\"btn btn-light\" onclick=\"javascript:$(this).parent().parent().remove();delete_row()\"> <i class=\"fe fe-trash\"></i></button></td>" +
                "</tr>"
            );
            $('.list-items-' + rows_count).selectize(selectize_options);
            $('.debtor').on('input', function () {
                calc_debtor_totals();
            });
            $('.creditor').on('input', function () {
                calc_creditor_totals();
            });
            $('.money').on('input', function () {
                this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');
            });
        }

        function ledgers_load(row) {
            current_row = row;
            $('#ledger_selector').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");

            $('#ledger_selector').modal('show');

            $.get("{{ route("AppJournalLedgers") }}", function (data) {
                $('#ledger_selector').find('.modal-body .form-fields').html(data);
            });
            leaders_loaded = true;

        }

        function ledger_select(id) {
            $('#ledger_selector').modal('hide');
            $("#journals_table").find('.row_' + current_row + ' .list-items-' + current_row).data('selectize').setValue(id);
        }
    </script>
@endsection
