<?php
function print_row($Ledger, $level = 0, $Balances)
{
    echo "
    <tr class='border'>
                    <td " . (($Ledger->group) ? "class='font-weight-bold'" : "") . "><div>" . str_repeat(" &nbsp; &nbsp; ", $level * 2) . " <span class=\"badge badge-light font-13\">" . $Ledger->code . "</span> " . $Ledger->{"title_" . trans("backLang.code")} . "</div></td>

                    <td width=\"17%\" class=\"text-center\">" . ((@$Balances[$Ledger->id]['dept'] != 0) ? @$Balances[$Ledger->id]['dept'] : "-") . "</td>
                    <td width=\"17%\" class=\"text-center\">" . ((@$Balances[$Ledger->id]['credit'] != 0) ? @$Balances[$Ledger->id]['credit'] : "-") . "</td>
                    <td width=\"17%\" class=\"text-center font-weight-bold\">" . ((@$Balances[$Ledger->id]['balance'] != 0) ? @$Balances[$Ledger->id]['balance'] : "-") . "</td>
                    <td width=\"12%\" class=\"text-center\">";
    if (!$Ledger->group) {
        echo "<button class=\"btn btn-secondary btn-sm\" onclick=\"ledger_select('" . $Ledger->id . "')\"><i
                                    class=\"icon-link\"></i> " . trans("backLang.choose") . "</button>";
    }
    echo "</td></tr>";
}

?>
<div class="">
    <div class="table-responsive">
        <table class="table table-striped mb-0 thin-table" id="ledgers_table">
            <thead>
            <tr class="bg-white border-bottom">
                <th>{{ trans("backLang.ledger") }}</th>
                <th width="17%" class="text-center">{{ trans("backLang.debtor") }}</th>
                <th width="17%" class="text-center">{{ trans("backLang.creditor") }}</th>
                <th width="17%" class="text-center">{{ trans("backLang.balance") }}</th>
                <th width="12%" class="text-center">{{ trans("backLang.options") }}</th>
            </tr>
            </thead>
            <tbody>
            @foreach($Ledgers as $Ledger)
                {!! print_row($Ledger,0,$Balances) !!}
                @foreach($Ledger->subs as $Ledger2)
                    {!! print_row($Ledger2,1,$Balances) !!}
                    @foreach($Ledger2->subs as $Ledger3)
                        {!! print_row($Ledger3,2,$Balances) !!}
                        @foreach($Ledger3->subs as $Ledger4)
                            {!! print_row($Ledger4,3,$Balances) !!}
                            @foreach($Ledger4->subs as $Ledger5)
                                {!! print_row($Ledger5,4,$Balances) !!}
                                @foreach($Ledger5->subs as $Ledger6)
                                    {!! print_row($Ledger6,5,$Balances) !!}
                                @endforeach
                            @endforeach
                        @endforeach
                    @endforeach
                @endforeach
            @endforeach
            </tbody>
        </table>
    </div>
</div>
<script>
    $('#ledgers_table').DataTable({
        "dom": '<"dataTables_wrapper"<"row bg-light pt-2 border-bottom"<"col-sm-12 col-md-9"f><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"col-sm-6"i><"col-sm-6"p>>>',
        "fnDrawCallback": function () {
            if ($(table_name + '_paginate .paginate_button').length > 3) {
                $(table_name + '_paginate')[0].style.display = "block";
            } else {
                $(table_name + '_paginate')[0].style.display = "none";
            }
            $('[data-toggle="tooltip"]').tooltip();
        },
        @if(trans('backLang.boxCode') =="ar")
        "language": {
            {!! trans("backLang.dataTablesTranslation") !!}
        },
        @endif
        "bSort": false
    });
</script>
