@extends('back.layouts.print')

@section('title', trans('backLang.dailyEntries'))
@section("content")
    <style>
        @media print {
            @page {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1>{!! trans('backLang.dailyEntries') !!}</h1>

                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if($request->search_word !="")
                    <label>{{ trans('backLang.searchFor') }}</label>
                    <strong>{!! $request->search_word !!}</strong>
                @endif
                @if($request->search_posted !="")
                    <label>{{ trans('backLang.recordStatus') }}</label>
                    <strong>{!! ($request->search_posted)?trans('backLang.posted'):trans('backLang.notPosted') !!}</strong>
                @endif
                @if(!empty($Ledger))
                    <label>{{ trans('backLang.ledger') }}</label>
                    <strong>{{ $Ledger->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if(!empty($Currency))
                    <label>{{ trans('backLang.currency') }}</label>
                    <strong>{{ $Currency->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if($request->search_start !="")
                    <label>{{ trans('backLang.fromDate') }}</label>
                    <strong>{!! $request->search_start !!}</strong>
                @endif
                @if($request->search_end !="")
                    <label>{{ trans('backLang.toDate') }}</label>
                    <strong>{!! $request->search_end !!}</strong>
                @endif
                @if($request->search_center_id !="")
                    <label>{{ trans('backLang.costPosition') }}</label>
                    <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
                @endif
                @if($request->search_user !="")
                    <label>{{ trans('backLang.user') }}</label>
                    <strong>{!! Helper::usernameById($request->search_user) !!}</strong>
                @endif
            </caption>
            <thead>
            <th>{{ trans('backLang.recordId') }}</th>
            <th>{{ trans('backLang.date') }}</th>
            <th>{{ trans('backLang.debtor') }}</th>
            <th>{{ trans('backLang.creditor') }}</th>
            <th>{{ trans('backLang.ledger') }}</th>
            <th>{{ trans('backLang.desc') }}</th>
            <th>{{ trans('backLang.fileNo') }}</th>
            <th>{{ trans('backLang.recordStatus') }}</th>
            @if(count(Helper::Categories(11)) >0)
                <th>{{ trans('backLang.costPosition') }}</th>
            @endif
            <th>{{ trans('backLang.createdBy') }}</th>
            </thead>
            <tbody>
            @if(count($Receipts) >0)
                @foreach($Receipts as $Receipt)
                    @php($j_count = $Receipt->journals()->count())
                    @if($j_count > 0)
                        @php($i=0)
                        @foreach($Receipt->journals as $Journal)
                            <tr>
                                @if($i==0)
                                    <td rowspan="{{ $j_count }}">{{ $Receipt->id }}</td>
                                    <td rowspan="{{ $j_count }}">{{ date(Helper::Preferences("date_format"), strtotime($Receipt->date)) . " " . ((@$Receipt->date_type) ? trans("backLang.H") : trans("backLang.M")) }}</td>
                                @endif
                                <td class="bg-grey">{{ ($Journal->dept >0)?number_format($Journal->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                                <td class="bg-grey">{{ ($Journal->credit >0)?number_format($Journal->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                                <td>{{ @$Journal->ledger->{"title_".trans("backLang.code")} }}</td>
                                <td>{{ $Journal->details }}</td>
                                @if($i==0)
                                    <td rowspan="{{ $j_count }}">{{ $Receipt->code }}</td>
                                    <td rowspan="{{ $j_count }}">{!!  (($Receipt->posted) ? trans("backLang.posted")  :  trans("backLang.notPosted")) . "</div>" !!}</td>
                                    @if(count(Helper::Categories(11)) >0)
                                        <td rowspan="{{ $j_count }}">{!! Helper::Category($Receipt->center_id) !!}</td>
                                    @endif
                                    <td rowspan="{{ $j_count }}">{{ $Receipt->user->name }}</td>
                                @endif
                            </tr>
                            @php($i++)
                        @endforeach
                    @endif
                @endforeach
            @else
                <tr>
                    <td colspan="10">
                        <small>{{ trans("backLang.noData") }}</small>
                    </td>
                </tr>
            @endif
            </tbody>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
