@extends('back.layouts.print')
@section('title', trans('backLang.dailyEntry'))
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <div class="text-center">
            <h1>{!! trans('backLang.dailyEntry') !!}</h1>
        </div>

        <table class="responsive-table center-table">
            <tbody>
            <tr>
                <td width="15%" class="bg-light font-weight-bold">{{ trans('backLang.entryNo') }}</td>
                <td class="bg-white">{{ $Receipt->id }}</td>
                <td width="15%" class="bg-light font-weight-bold">{{ trans('backLang.date') }}</td>
                <td class="bg-white">{{ date(Helper::Preferences("date_format"), strtotime($Receipt->date)) . " " . ((@$Receipt->date_type) ? trans("backLang.H") : trans("backLang.M")) }}</td>
            </tr>
            <tr>
                <td class="bg-light font-weight-bold">{{ trans('backLang.constraintStatus') }}</td>
                <td class="bg-white">{!!  (($Receipt->posted) ? trans("backLang.posted")  :  trans("backLang.notPosted")) . "</div>" !!}</td>
                <td class="bg-light font-weight-bold">{{ trans('backLang.costPosition') }}</td>
                <td class="bg-white">{!! Helper::Category($Receipt->center_id) !!}</td>
            </tr>
            <tr>
                <td class="bg-light font-weight-bold">{{ trans('backLang.fileNo') }}</td>
                <td class="bg-white">{{ $Receipt->code }}</td>
                <td class="bg-light font-weight-bold">{{ trans('backLang.attachments') }}</td>
                <td class="bg-white">
                    <?php
                    $file_url = "";
                    if ($Receipt->file != "") {
                        $file_url = route("AppReceiptsFilePreview", encrypt($Receipt->id));
                        $file_url = "<a href='" . $file_url . "' target='_blank'>" . $Receipt->file . "." . $Receipt->ext . "</a>";
                    }
                    echo $file_url;
                    ?>
                </td>
            </tr>
            <tr>
                <td class="bg-light font-weight-bold">{{ trans('backLang.createdBy') }}</td>
                <td class="bg-white">{{ $Receipt->user->name }}</td>
                <td class="bg-light font-weight-bold">{{ trans('backLang.createdAt') }}</td>
                <td class="bg-white">{!! Helper::DateView($Receipt->created_at, 1) !!}</td>
            </tr>
            </tbody>
        </table>
        <br>
        <table class="responsive-table center-table">
            <thead class="bg-blue">
            <th width="30%" class=" text-light">{{ trans('backLang.ledger') }}</th>
            <th width="40%" class=" text-light">{{ trans('backLang.desc') }}</th>
            <th width="15%" class="text-center text-light">{{ trans('backLang.debtor') }}</th>
            <th width="15%" class="text-center text-light">{{ trans('backLang.creditor') }}</th>
            </thead>
            <tbody>
            @php($j_count = $Receipt->journals()->count())
            @if($j_count > 0)
                @php($i=0)
                @php($total_dept=0)
                @php($total_credit=0)
                @foreach($Receipt->journals as $Journal)
                    @php($total_dept+=$Journal->cost_dept)
                    @php($total_credit+=$Journal->cost_credit)
                    <tr>
                        <td>{{ @$Journal->ledger->code }}
                            - {{ @$Journal->ledger->{"title_".trans("backLang.code")} }}</td>
                        <td>{{ $Journal->details }}</td>
                        <td class="bg-grey text-center">{{ ($Journal->dept >0)?number_format($Journal->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                        <td class="bg-grey text-center">{{ ($Journal->credit >0)?number_format($Journal->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-" }}</td>
                    </tr>
                    @php($i++)
                @endforeach
                <tr class="bg-white">
                    <td colspan="2" class=" font-weight-bold">{{ trans("backLang.total") }}</td>
                    <td class="bg-grey text-center font-weight-bold">{{ number_format($total_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$DefaultCurrency->symbol }}</td>
                    <td class="bg-grey text-center  font-weight-bold">{{ number_format($total_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$DefaultCurrency->symbol }}</td>
                </tr>
            @endif

            </tbody>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
