<div class="p-4">
    <div class="row">
        <div class="col-sm-4">
            <div class="form-group">
                <label>{!!  trans('backLang.ledgerType') !!}</label>
                <div>
                    <select id="is_group" name="group" class="form-control custom-select" required>
                        <option value="1">{{ trans('backLang.group') }}</option>
                        <option value="0">{{ trans('backLang.account') }}</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="col-sm-4">
            <div class="form-group">
                <label>{!!  trans('backLang.parentSection') !!}</label>
                <div>
                    @include('back.accounting.ledgers.select')
                    <select id="ledger_father_id" name="father_id" class="form-control list-items" required>
                        <option value="">{{ trans('backLang.selectLedgerCat') }}</option>
                        {!! printAsSelectOptions($ledgers_array,NULL,0,0) !!}
                    </select>
                </div>
            </div>
        </div>

        <div class="col-sm-4">
            <div class="form-group">
                <label>{!!  trans('backLang.ledgerCode') !!}</label>
                <div>
                    {!! Form::text('code','', array('placeholder' => '','class' => 'form-control','required'=>'','id'=>'ledger_code')) !!}
                </div>
            </div>
        </div>
    </div>
    <div class="row">

        @if(Helper::Preferences("ar_box_status"))
            <div class="col-sm-6">
                <div class="form-group">
                    <label
                        class="form-label">{!!  trans('backLang.title') !!} @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.arabicBox') !!}@endif</label>
                    {!! Form::text('title_ar','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.rtl'),'id'=>'ledger_title_ar')) !!}
                </div>
            </div>
        @endif
        @if(Helper::Preferences("en_box_status"))
            <div class="col-sm-6">
                <div class="form-group">
                    <label>{!!  trans('backLang.title') !!}  @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.englishBox') !!}@endif</label>
                    <div>
                        {!! Form::text('title_en','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.ltr'),'id'=>'ledger_title_en')) !!}
                    </div>
                </div>
            </div>
        @endif
    </div>
</div>
<div id="ledger_details" class="displaynone">
    <div class="p-4 bg-light border-top">
        <div class="row">
            <div class="col-sm-5">
                <div class="form-group">
                    <h6>{{ trans('backLang.openingBalance') }}</h6>
                    <div class="input-group">
                        {!! Form::text('amount',"", array('placeholder' => '','class' => 'form-control','autocomplete'=>'off')) !!}

                        <span class="input-group-append">
                                        <select name="currency" class="form-control custom-select">
                                             @foreach($Currencies as $CurrencyItem)
                                                <option
                                                    value="{{ $CurrencyItem->id }}" {!! (Helper::Preferences("default_currency")==$CurrencyItem->id)?"selected='selected'":"" !!}>{{ $CurrencyItem->symbol }}</option>
                                            @endforeach
                                        </select>
                                    </span>
                        <span class="input-group-append">
                    <select name="amount_type" class="form-control custom-select">
                        <option value="0">{{ trans('backLang.debtor') }}</option>
                        <option value="1">{{ trans('backLang.creditor') }}</option>
                    </select>
                        </span>
                    </div>
                </div>
            </div>
            <div class="col-sm-7">
                <div class="form-group">
                    <label
                        class="form-label">{{ trans('backLang.desc') }}</label>
                    {!! Form::text('details',trans('backLang.startBalance'), array('placeholder' => '','class' => 'form-control')) !!}
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $('#is_group').on('change', function () {
        if ($(this).val() == 1) {
            $("#ledger_details").hide();
        } else {
            $("#ledger_details").show();
        }
    });

    $('#ledger_father_id').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    escape(data.text) +
                    '</div>';
            }
        },
        onChange: function (val) {
            var data = this.options[val];
            $("#ledger_code").val(data.code);
        }
    });
</script>
