<div class="p-4">
    <div class="row">
        <div class="col-sm-4">
            <div class="form-group">
                <label>{!!  trans('backLang.ledgerType') !!}</label>
                <div>
                    <select id="is_group" name="group" class="form-control custom-select" required>
                        <option
                            value="1" {{ ($Ledger->group == 1)?"selected='selected'":"" }}>{{ trans('backLang.group') }}</option>
                        <option
                            value="0" {{ ($Ledger->group == 0)?"selected='selected'":"" }}>{{ trans('backLang.account') }}</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="col-sm-4">
            <div class="form-group">
                <label>{!!  trans('backLang.parentSection') !!}</label>
                <div>
                    @include('back.accounting.ledgers.select')
                    <select id="ledger_father_id" name="father_id" class="form-control list-items">
                        <option value="">{{ trans('backLang.selectLedgerCat') }}</option>
                        {!! printAsSelectOptions($ledgers_array,NULL,$Ledger->father_id,0) !!}
                    </select>
                </div>
            </div>
        </div>

        <div class="col-sm-4">
            <div class="form-group">
                <label>{!!  trans('backLang.ledgerCode') !!}</label>
                <div>
                    {!! Form::text('code',$Ledger->code, array('placeholder' => '','class' => 'form-control','required'=>'','id'=>'ledger_code')) !!}
                </div>
            </div>
        </div>
    </div>
    <div class="row">

        @if(Helper::Preferences("ar_box_status"))
            <div class="col-sm-6">
                <div class="form-group">
                    <label
                        class="form-label">{!!  trans('backLang.title') !!} @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.arabicBox') !!}@endif</label>
                    {!! Form::text('title_ar',$Ledger->title_ar, array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.rtl'),'id'=>'ledger_title_ar')) !!}
                </div>
            </div>
        @endif
        @if(Helper::Preferences("en_box_status"))
            <div class="col-sm-6">
                <div class="form-group">
                    <label>{!!  trans('backLang.title') !!}  @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.englishBox') !!}@endif</label>
                    <div>
                        {!! Form::text('title_en',$Ledger->title_en, array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.ltr'),'id'=>'ledger_title_en')) !!}
                    </div>
                </div>
            </div>
        @endif
    </div>
</div>
<input type="hidden" name="id" value="{{ encrypt($Ledger->id) }}">
<script type="text/javascript">
    $('#ledger_father_id').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    escape(data.text) +
                    '</div>';
            }
        },
        onChange: function (val) {
            var data = this.options[val];
            $("#ledger_code").val(data.code);
        }
    });
</script>
