<table id="ledgers_table"
       class="table table-hover table-bordered">
    <thead>
    <tr class="bg-light">
        <th>
            <button type="button" class="btn btn-sm pa-0 btn-secondary displaynone" id="expander"
                    data-toggle="tooltip" data-original-title="{{ trans("backLang.openAll") }}"
                    data-placement="top">
                &nbsp;<i class="fe fe-plus"></i>&nbsp;
            </button>
            <button type="button" class="btn btn-sm pa-0 btn-secondary" id="collapser"
                    data-toggle="tooltip" data-original-title="{{ trans("backLang.closeAll") }}"
                    data-placement="top">
                &nbsp;<i class="fe fe-minus"></i>&nbsp;
            </button>
            {{ trans("backLang.accountantTree") }}</th>
        <th class="text-center">{{ trans("backLang.ledgerType") }}</th>
        <th class="text-center">{{ trans("backLang.creditor") }}</th>
        <th class="text-center">{{ trans("backLang.debtor") }}</th>
        <th class="width-130px">{{ trans("backLang.options") }}</th>
    </tr>
    </thead>
    <tbody>
    @if(count($Ledgers) >0)
        @foreach($Ledgers as $Ledger)
            <tr data-node-id="{{ $Ledger->id }}" data-node-pid="{{ $Ledger->father_id }}">
                <td><span class="badge badge-light font-13">{{ $Ledger->code }}</span>
                    {{ $Ledger->{"title_".trans("backLang.code")} }}</td>
                <td class="text-center">
                    {{ ($Ledger->group)?trans("backLang.group"):trans("backLang.account") }}
                </td>
                @if($Ledger->group)
                    <td class="text-center">-</td>
                    <td class="text-center">-</td>
                @else
                    <td class="text-center"><strong>{{ number_format($Ledger->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                    <td class="text-center"><strong>{{ number_format($Ledger->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                @endif
                <td>
                    <a class="btn btn-sm btn-light" href="{{ route("AppJournals") }}?ledger={{ $Ledger->id }}"
                       data-toggle="tooltip"
                       data-original-title="{{ trans("backLang.details") }}"><i
                            class="icon-magnifier"></i></a>
                    @if (Roles::Check("edit"))
                        @if (Roles::Check("accountant_edit"))
                            <button class="btn btn-sm btn-info" onclick="edit_row('{{ encrypt($Ledger->id) }}')"
                                    data-toggle="tooltip"
                                    data-original-title="{{ trans("backLang.edit") }}"><i
                                    class="icon-pencil"></i>
                            </button>
                        @endif
                    @endif
                    @if (Roles::Check("delete") && ($Ledger->father_id !=0))
                        @if (Roles::Check("accountant_delete"))
                            <button class="btn btn-sm btn-danger" onclick="delete_row('{{ encrypt($Ledger->id) }}')"
                                    data-toggle="tooltip"
                                    data-original-title="{{ trans("backLang.delete") }}"><i
                                    class="icon-trash"></i>
                            </button>
                        @endif
                    @endif
                </td>
            </tr>
        @endforeach
    @else
        <tr>
            <td colspan="6" class="text-center">
                <small>{{ trans("backLang.noData") }}</small>
            </td>
        </tr>
    @endif
    </tbody>
</table>
<script src="{{ asset('back/custom/js/jquery-simple-tree-table.js') }}"></script>
<script type="text/javascript">
    $("#expander").on("click", function () {
        $("#expander").hide();
        $("#collapser").show();
    });
    $("#collapser").on("click", function () {
        $("#collapser").hide();
        $("#expander").show();
    });
    $(document).ready(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });
    var left_var = "{{ trans("backLang.left") }}";
    $('#ledgers_table').simpleTreeTable({
        expander: $('#expander'),
        collapser: $('#collapser'),
        opened: 'all',
        iconPosition: ':first',
        iconTemplate: '<span/>',
        margin: 25
    });
</script>
