@extends('back.layouts.print')
@section('title', trans('backLang.accountantTree'))
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }

        .simple-tree-table-opened .simple-tree-table-icon:after {
            content: '' !important;
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1>{!! trans('backLang.accountantTree') !!}</h1>
            </caption>
            <thead>
            <th width="20%">{{ trans("backLang.ledgerCode") }}</th>
            <th>{{ trans("backLang.ledgerName") }}</th>
            <th>{{ trans("backLang.ledgerType") }}</th>
            <th>{{ trans("backLang.creditor") }}</th>
            <th>{{ trans("backLang.debtor") }}</th>
            </thead>
            <tbody>
            @if(count($Ledgers) >0)
                @foreach($Ledgers as $Ledger)
                    <tr data-node-id="{{ $Ledger->id }}" data-node-pid="{{ $Ledger->father_id }}">
                        <td style="text-align: {{ trans("backLang.left") }} !important;">
                            <strong>{{ $Ledger->code }}</strong></td>
                        <td>{{ $Ledger->{"title_".trans("backLang.code")} }}</td>
                        <td>
                            {{ ($Ledger->group)?trans("backLang.group"):trans("backLang.account") }}
                        </td>
                        @if($Ledger->group)
                            <td>-</td>
                            <td>-</td>
                        @else
                            <td>{{ number_format($Ledger->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</td>
                            <td>{{ number_format($Ledger->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</td>
                        @endif
                    </tr>
                @endforeach
            @else
                <tr>
                    <td colspan="5">
                        <small>{{ trans("backLang.noData") }}</small>
                    </td>
                </tr>
            @endif
            </tbody>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
    <script src="{{ asset('back/plugins/jquery/jquery-3.4.1.min.js') }}"></script>
    <script src="{{ asset('back/custom/js/jquery-simple-tree-table.js') }}"></script>
    <script type="text/javascript">
        var left_var = "{{ trans("backLang.left") }}";
        $(document).ready(function () {
            $('#ledgers_table').simpleTreeTable({
                expander: $('#expander'),
                collapser: $('#collapser'),
                opened: 'all',
                iconPosition: ':first',
                iconTemplate: '<span/>',
                margin: 25
            });
        });
    </script>
@endsection
