@extends('back.layouts.master')
@section('title', trans('backLang.loanAdd'))
@section("content")
    @if (Roles::Check("add"))
        @if (Roles::Check("loans_add"))
            <div class="section-body pt-3">
                <div class="container-fluid" id="create_loan">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item" aria-current="page"><i class='icon-wallet'></i> <a
                                    href="{{ route("AppAccountingHome") }}">{{ trans('backLang.accountant') }}</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a
                                    href="{{ route("Loans") }}">{{ trans('backLang.loans') }}</a></li>
                            <li class="breadcrumb-item active"
                                aria-current="page">{!! trans('backLang.loanAdd') !!}</li>
                        </ol>
                    </nav>

                    {{Form::open(['route'=>['LoansStore'],'method'=>'POST','id'=>'create_loan_form'])}}
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">
                                <span> {!! trans('backLang.beneficiaryInfo') !!}</span>
                            </h3>
                            <div class="card-options">
                                <a href="{{ route("Loans") }}"><i
                                        class="fe fe-x"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-2">
                                    <div class="pt-4 pb-2 bg-primary border rounded text-center text-light"
                                         id="account_avatar">
                                        <div class="mt-2 mb-3">
                                            <i class="icon-user fa-2x"></i><h6 class="mt-2">
                                                {!!  trans('backLang.beneficiaryInfo') !!}</h6>
                                            <input type="hidden" name="person_id" id="person_id"
                                                   value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-10">
                                    <div class="row clearfix">
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label class="form-label">{!!  trans('backLang.beneficiaryName') !!}
                                                    <span
                                                        class="text-danger">*</span></label>
                                                <div class="row gutters-xs">
                                                    <div class="col">
                                                        {!! Form::text('name','', array('id' => 'name_full','class' => 'form-control','required'=>'')) !!}
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label class="form-label">{!!  trans('backLang.phone') !!}
                                                    <span
                                                        class="text-danger">*</span></label>
                                                {!! Form::text('phone','', array('class' => 'form-control','id' => 'person_phone','required'=>'')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label class="form-label">{!!  trans('backLang.email') !!}</label>
                                                {!! Form::email('email','', array('class' => 'form-control','id' => 'person_email')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label class="form-label">{!!  trans('backLang.identityType') !!} <span
                                                        class="text-danger">*</span></label>
                                                <select name="id_type" id="loan_create_id_type"
                                                        class="form-control custom-select"
                                                        required>
                                                    <option value="">{{ trans('backLang.select') }}</option>
                                                    @foreach(trans('backLang.identityTypes') as $key=>$type)
                                                        <option value="{{ $key }}"
                                                                data-end-date-type="{{ Helper::Preferences("default_".$key."_end_date_type") }}"
                                                                data-birth-date-type="{{ Helper::Preferences("default_".$key."_birth_date_type") }}"
                                                                data-dead-date-type="{{ Helper::Preferences("default_".$key."_dead_date_type") }}" {!! (Helper::Preferences("default_id_type")==$key)?"selected='selected'":"" !!} >{{ $type }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <div class="pull-right" id="loan_create_id_number_status"></div>
                                                <label class="form-label">{!!  trans('backLang.idNumber') !!} <span
                                                        class="text-danger">*</span></label>
                                                {!! Form::text('id_number','', array('placeholder' => '','class' => 'form-control','required'=>'','id'=>'loan_create_id_number','autocomplete'=>'off')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label class="form-label">{!!  trans('backLang.expireDate') !!}</label>
                                                <input type="text" autocomplete="off" name="id_end_date"
                                                       id="loan_end_date"
                                                       value=""
                                                       class="form-control edatepicker {{  ((Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type"))? "displaynone":"") }} text-center">
                                                <input type="text" autocomplete="off" name="id_end_date_hj"
                                                       id="loan_end_date_hj"
                                                       value=""
                                                       class="form-control {{ ((Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type"))? "":"displaynone")}} text-center">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">
                                <span> {!! trans('backLang.loanDetails') !!}</span>
                            </h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">

                                <div class="col-sm-4">
                                    <div class="row clearfix">
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{{ trans('backLang.date') }} <span
                                                        class="text-danger">*</span></label>
                                                {!! Form::text('date',(Helper::Preferences("date_type"))?Helper::DateView(date('Y-m-d'),0,1,'Y/m/d'):date('Y/m/d'), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'receipt_date','autocomplete'=>'off')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{{ trans('backLang.loansCategory') }}</label>
                                                <select name="cat_id" class="form-control list-items">
                                                    <option value="">{{ trans('backLang.none') }}</option>
                                                    @foreach(Helper::Categories(12) as $CatItem)
                                                        <option
                                                            value="{{ $CatItem->id }}"
                                                            data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{{ trans('backLang.notes') }}</label>
                                                {!! Form::textarea('notes',"", array('placeholder' => '','class' => 'form-control','id' => 'notes','rows'=>'3')) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-8">
                                    <div class="p-3 border border-danger rounded bg-light">
                                        <div class="row clearfix">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label">{{ trans('backLang.loanAmount') }}
                                                        <small>( {{ @$DefaultCurrency->symbol }} )</small> <span
                                                            class="text-danger">*</span></label>
                                                    {!! Form::text('amount','', array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_amount','autocomplete'=>'off')) !!}
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label">{{ trans('backLang.loanTotal') }}
                                                        <small>( {{ @$DefaultCurrency->symbol }} )</small><span
                                                            class="text-danger">*</span></label>
                                                    {!! Form::text('total','', array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_total','autocomplete'=>'off')) !!}
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label">{{ trans('backLang.loanInstalmentAmount') }}
                                                        <small>( {{ @$DefaultCurrency->symbol }} )</small>
                                                        <span
                                                            class="text-danger">*</span></label>
                                                    {!! Form::text('instalments_amount','', array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_instalments_amount','autocomplete'=>'off')) !!}
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label">{{ trans('backLang.loanInstalmentCount') }}
                                                        <span
                                                            class="text-danger">*</span></label>
                                                    {!! Form::text('instalments_count','', array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_instalments_count','autocomplete'=>'off')) !!}
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label">{{ trans('backLang.loanLastInstalmentAmount') }}
                                                        <small>( {{ @$DefaultCurrency->symbol }} )</small>
                                                        <span
                                                            class="text-danger">*</span></label>
                                                    {!! Form::text('instalments_last','', array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_instalments_last','autocomplete'=>'off','readonly'=>'readonly')) !!}
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label">{{ trans('backLang.LoanPayMethod') }} <span
                                                            class="text-danger">*</span></label>
                                                    <select name="pay_method" id="loan_pay_method"
                                                            class="form-control custom-select"
                                                            required>
                                                        <option value="">{{ trans('backLang.select') }}</option>
                                                        @foreach(trans("backLang.LoanPayMethods") as $key=>$LoanPayMethod)
                                                            <option value="{{ $key }}">{{ $LoanPayMethod }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label">{{ trans('backLang.loanFirstInstalmentDate') }}
                                                        <span
                                                            class="text-danger">*</span></label>
                                                    {!! Form::text('instalments_date','', array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'loan_instalments_date','autocomplete'=>'off')) !!}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card card-collapsed" id="sponsorInfo">
                        <div class="card-header">
                            <h3 class="card-title pointer" id="sponsorInfoTitle">
                                <span> {!! trans('backLang.sponsorInfo') !!} <span class="small">( {!! trans('backLang.optional') !!} )</span></span>
                            </h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">

                            <div class="row clearfix">
                                <div class="col-sm-2">
                                    <div class="pt-4 pb-4 bg-secondary border rounded text-center text-light">
                                        <div class="mt-2 mb-3">
                                            <i class="icon-user fa-2x"></i><h6 class="mt-2">
                                                {!!  trans('backLang.sponsor') !!}</h6></div>
                                    </div>
                                </div>
                                <div class="col-sm-10">
                                    <div class="row clearfix">
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.fullName') !!}</label>
                                                <div class="row gutters-xs">
                                                    <div class="col">
                                                        {!! Form::text('guarantor_name',"", array('id' => 'guarantor_name','class' => 'form-control')) !!}
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-sm-2">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.identityType') !!}</label>
                                                <select name="guarantor_id_type" id="guarantor_id_type"
                                                        class="form-control custom-select">
                                                    <option value="">{{ trans('backLang.select') }}</option>
                                                    @foreach(trans('backLang.identityTypes') as $key=>$type)
                                                        <option value="{{ $key }}"
                                                                data-end-date-type="{{ Helper::Preferences("default_".$key."_end_date_type") }}"
                                                                data-birth-date-type="{{ Helper::Preferences("default_".$key."_birth_date_type") }}"
                                                                data-dead-date-type="{{ Helper::Preferences("default_".$key."_dead_date_type") }}" {!! (Helper::Preferences("default_id_type")==$key)?"selected='selected'":"" !!}>{{ $type }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.idNumber') !!}</label>
                                                {!! Form::text('guarantor_id_number',"", array('placeholder' => '','class' => 'form-control','id'=>'guarantor_id_number','autocomplete'=>'off')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.expireDate') !!}</label>
                                                <input type="text" autocomplete="off" name="guarantor_id_end_date"
                                                       id="guarantor_id_end_date"
                                                       value=""
                                                       class="form-control datepicker {{ (Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type"))? "displaynone":""}}">
                                                <input type="text" autocomplete="off"
                                                       name="guarantor_id_end_date_hj"
                                                       id="guarantor_id_end_date_hj"
                                                       value=""
                                                       class="form-control {{ (Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type"))? "":"displaynone"}}">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row clearfix">
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label class="form-label">{!!  trans('backLang.phone') !!}</label>
                                                {!! Form::text('guarantor_phone','', array('class' => 'form-control','id'=>'guarantor_phone')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.workPlace') !!}</label>
                                                {!! Form::text('guarantor_work_place','', array('class' => 'form-control','id'=>'guarantor_work_place')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.workPhone') !!}</label>
                                                {!! Form::text('guarantor_work_phone','', array('class' => 'form-control')) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card card-collapsed" id="witnessInfo">
                        <div class="card-header">
                            <h3 class="card-title pointer" id="witnessInfoTitle">
                                <span> {!! trans('backLang.witnessInfo') !!}  <span class="small">( {!! trans('backLang.optional') !!} )</span></span>
                            </h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-2">
                                    <div class="pt-4 pb-4 bg-secondary border rounded text-center text-light">
                                        <div class="mt-2 mb-3">
                                            <i class="icon-user fa-2x"></i><h6 class="mt-2">
                                                {!!  trans('backLang.witness') !!} # 1</h6></div>
                                    </div>
                                </div>
                                <div class="col-sm-10">
                                    <div class="row clearfix">
                                        <div class="col-sm-7">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.fullName') !!}</label>
                                                <div class="row gutters-xs">
                                                    <div class="col">
                                                        {!! Form::text('witness_1_name',"", array('id' => 'witness_1_name','class' => 'form-control')) !!}
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label class="form-label">{!!  trans('backLang.phone') !!}</label>
                                                {!! Form::text('witness_1_phone','', array('class' => 'form-control','id' => 'witness_1_phone')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.identityType') !!}</label>
                                                <select name="witness_1_id_type" id="witness_1_id_type"
                                                        class="form-control custom-select">
                                                    <option value="">{{ trans('backLang.select') }}</option>
                                                    @foreach(trans('backLang.identityTypes') as $key=>$type)
                                                        <option value="{{ $key }}"
                                                                data-end-date-type="{{ Helper::Preferences("default_".$key."_end_date_type") }}"
                                                                data-birth-date-type="{{ Helper::Preferences("default_".$key."_birth_date_type") }}"
                                                                data-dead-date-type="{{ Helper::Preferences("default_".$key."_dead_date_type") }}" {!! (Helper::Preferences("default_id_type")==$key)?"selected='selected'":"" !!}>{{ $type }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.idNumber') !!}</label>
                                                {!! Form::text('witness_1_id_number',"", array('placeholder' => '','class' => 'form-control','id'=>'witness_1_id_number','autocomplete'=>'off')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.expireDate') !!}</label>
                                                <input type="text" autocomplete="off" name="witness_1_id_end_date"
                                                       id="witness_1_id_end_date"
                                                       value=""
                                                       class="form-control datepicker {{ (Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type"))? "displaynone":""}}">
                                                <input type="text" autocomplete="off"
                                                       name="witness_1_id_end_date_hj"
                                                       id="witness_1_id_end_date_hj"
                                                       value=""
                                                       class="form-control {{ (Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type"))? "":"displaynone"}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row clearfix">
                                <div class="col-sm-2">
                                    <div class="pt-4 pb-4 bg-secondary border rounded text-center text-light">
                                        <div class="mt-2 mb-3">
                                            <i class="icon-user fa-2x"></i><h6 class="mt-2">
                                                {!!  trans('backLang.witness') !!} # 2</h6></div>
                                    </div>
                                </div>
                                <div class="col-sm-10">
                                    <div class="row clearfix">
                                        <div class="col-sm-7">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.fullName') !!}</label>
                                                <div class="row gutters-xs">
                                                    <div class="col">
                                                        {!! Form::text('witness_2_name',"", array('id' => 'witness_2_name','class' => 'form-control')) !!}
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label class="form-label">{!!  trans('backLang.phone') !!}</label>
                                                {!! Form::text('witness_2_phone','', array('class' => 'form-control','id' => 'witness_2_phone')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.identityType') !!}</label>
                                                <select name="witness_2_id_type" id="witness_2_id_type"
                                                        class="form-control custom-select">
                                                    <option value="">{{ trans('backLang.select') }}</option>
                                                    @foreach(trans('backLang.identityTypes') as $key=>$type)
                                                        <option value="{{ $key }}"
                                                                data-end-date-type="{{ Helper::Preferences("default_".$key."_end_date_type") }}"
                                                                data-birth-date-type="{{ Helper::Preferences("default_".$key."_birth_date_type") }}"
                                                                data-dead-date-type="{{ Helper::Preferences("default_".$key."_dead_date_type") }}" {!! (Helper::Preferences("default_id_type")==$key)?"selected='selected'":"" !!}>{{ $type }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.idNumber') !!}</label>
                                                {!! Form::text('witness_2_id_number','', array('placeholder' => '','class' => 'form-control','id'=>'witness_2_id_number','autocomplete'=>'off')) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label
                                                    class="form-label">{!!  trans('backLang.expireDate') !!}</label>
                                                <input type="text" autocomplete="off" name="witness_2_id_end_date"
                                                       id="witness_2_id_end_date"
                                                       value=""
                                                       class="form-control datepicker {{ (Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type"))? "displaynone":""}}">
                                                <input type="text" autocomplete="off"
                                                       name="witness_2_id_end_date_hj"
                                                       id="witness_2_id_end_date_hj"
                                                       value=""
                                                       class="form-control {{ (Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type"))? "":"displaynone"}}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <label class="custom-control custom-checkbox mb-3">
                        <input type="checkbox" class="custom-control-input" name="pay_after_save" id="pay_after_save"
                               value="1">
                        <span class="custom-control-label">{{ trans('backLang.saveAndPayLoan') }}</span>
                    </label>

                    <div class="alert alert-danger displaynone" id="create_loan_errors">
                        <ul></ul>
                    </div>
                    <button type="submit" id="create_loan_submit"
                            class="btn btn-primary">  {{ trans('backLang.loanSave') }}</button>
                    {{Form::close()}}
                </div>
            </div>
        @endif
    @endif
@endsection

@section("page-script")
    <script type="text/javascript">
        var selectize_options = {
            searchField: 'search-text',
            render: {
                option: function (data, escape) {
                    return '<div>' +
                        '<span class="title">' + escape(data.text) + '</span>' +
                        '</div>';
                },
                item: function (data, escape) {
                    return '<div>' +
                        escape(data.text) +
                        '</div>';
                }
            }
        };

        $(document).ready(function () {
            @if(Helper::Preferences("date_type"))
            $("#receipt_date").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            @else
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            @endif

            $('.edatepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });

            $("#loan_end_date_hj").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#guarantor_id_end_date_hj").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#witness_1_id_end_date_hj").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#witness_2_id_end_date_hj").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });

            @if(Helper::Preferences("date_type"))
            $("#loan_instalments_date").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            @endif

            $('.list-items').selectize(selectize_options);


            // store loan
            ajax_post_form("create_loan", '{{ trans("backLang.loanSave") }}', 'fe fe-save', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', false, "", false, false, false, function (data) {
                window.setTimeout(function () {
                    if ($("#pay_after_save").is(':checked')) {
                        location.href = '{{ route("LoansLoadLast") }}';
                    } else {
                        location.href = '{{ route("Loans") }}';
                    }
                }, 2000);
            });

            var df_end_date_type = "{{ Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type") }}";
            $(document).on('change', '#loan_create_id_type', function () {
                var cr_end_date_type = $(this).find(':selected').data('end-date-type');
                if (df_end_date_type != cr_end_date_type) {
                    if (cr_end_date_type == 1) {
                        $("#loan_end_date_hj").show();
                        $("#loan_end_date").hide();
                    } else {
                        $("#loan_end_date_hj").hide();
                        $("#loan_end_date").show();
                    }
                    df_end_date_type = cr_end_date_type;
                }

            });

            var df_guarantor_end_date_type = "{{ Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type") }}";
            $(document).on('change', '#guarantor_id_type', function () {
                var cr_end_date_type = $(this).find(':selected').data('end-date-type');
                if (df_guarantor_end_date_type != cr_end_date_type) {
                    if (cr_end_date_type == 1) {
                        $("#guarantor_id_end_date_hj").show();
                        $("#guarantor_id_end_date").hide();
                    } else {
                        $("#guarantor_id_end_date_hj").hide();
                        $("#guarantor_id_end_date").show();
                    }
                    df_guarantor_end_date_type = cr_end_date_type;
                }

            });

            var df_witness_1_end_date_type = "{{ Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type") }}";
            $(document).on('change', '#witness_1_id_type', function () {
                var cr_end_date_type = $(this).find(':selected').data('end-date-type');
                if (df_witness_1_end_date_type != cr_end_date_type) {
                    if (cr_end_date_type == 1) {
                        $("#witness_1_id_end_date_hj").show();
                        $("#witness_1_id_end_date").hide();
                    } else {
                        $("#witness_1_id_end_date_hj").hide();
                        $("#witness_1_id_end_date").show();
                    }
                    df_witness_1_end_date_type = cr_end_date_type;
                }

            });

            var df_witness_2_end_date_type = "{{ Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type") }}";
            $(document).on('change', '#witness_2_id_type', function () {
                var cr_end_date_type = $(this).find(':selected').data('end-date-type');
                if (df_witness_2_end_date_type != cr_end_date_type) {
                    if (cr_end_date_type == 1) {
                        $("#witness_2_id_end_date_hj").show();
                        $("#witness_2_id_end_date").hide();
                    } else {
                        $("#witness_2_id_end_date_hj").hide();
                        $("#witness_2_id_end_date").show();
                    }
                    df_witness_2_end_date_type = cr_end_date_type;
                }

            });
            $('#sponsorInfoTitle').click(function () {
                $("#sponsorInfo").toggleClass("card-collapsed");
            });
            $('#witnessInfoTitle').click(function () {
                $("#witnessInfo").toggleClass("card-collapsed");
            });

            $('#loan_amount').on('keyup', function () {
                $('#loan_total').val($(this).val());
                $('#loan_instalments_amount').val($(this).val());
                $('#loan_instalments_last').val($(this).val());
                $('#loan_instalments_count').val('1');
            });
            $('#loan_total').on('keyup', function () {
                $('#loan_instalments_amount').val($(this).val());
                $('#loan_instalments_last').val($(this).val());
                $('#loan_instalments_count').val('1');
            });
            $('#loan_instalments_amount').on('keyup', function () {
                calc_quests();
            });
            $('#loan_instalments_count').on('keyup', function () {
                calc_quests($(this).val());
            });
            $('#loan_pay_method').on('change', function () {
                if ($(this).val() == 0) {
                    $('#loan_instalments_date').val('{{ date('Y/m/d', strtotime(@$CurrentPeriod->end)) }}');
                } else {
                    $('#loan_instalments_date').val('');
                }
            });
        });

        function calc_quests(quests = 0) {
            if (quests > 0) {
                var qst_amount = Math.round($('#loan_total').val() / quests);
                $('#loan_instalments_amount').val(qst_amount);
                $('#loan_instalments_last').val(qst_amount);
            } else {
                var qst_count = Math.floor($('#loan_total').val() / $('#loan_instalments_amount').val());
                var last_qst_amount = $('#loan_total').val() - (qst_count * $('#loan_instalments_amount').val());
                if (last_qst_amount > 0) {
                    qst_count = qst_count + 1;
                } else {
                    last_qst_amount = $('#loan_instalments_amount').val();
                }
                $('#loan_instalments_count').val(qst_count);
                $('#loan_instalments_last').val(last_qst_amount);
            }
        }

        var current_row = 1;
        var finder_loaded = false;

    </script>
@endsection
