<div class="p-3">
    <div class="row clearfix">
        <div class="col-sm-6">
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.installmentAmount') }}
                    <small>( {{ @$DefaultCurrency->symbol }} )</small> <span
                        class="text-danger">*</span></label>
                {!! Form::text('amount',$Installment->amount, array('placeholder' => '','class' => 'form-control money','required'=>'','autocomplete'=>'off')) !!}
            </div>
        </div>
        <div class="col-sm-6">
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.dueDate') }} <span class="text-danger">*</span></label>
                {!! Form::text('date',date('Y/m/d',strtotime($Installment->date)), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'edit_instalment_date','autocomplete'=>'off')) !!}
            </div>
        </div>
        <div class="col-sm-12">
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.notes') }}</label>
                {!! Form::textarea('notes',$Installment->notes, array('placeholder' => '','class' => 'form-control','rows'=>'2')) !!}
            </div>
        </div>
        <div class="col-sm-12">
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.status') }} <span class="text-danger">*</span></label>
                <select name="paid_status" id="edit_paid_status"
                        class="form-control custom-select" required>
                    <option value="">{{ trans('backLang.select') }}</option>
                    <option
                        value="0" {!! (!$Installment->paid_status)?"selected='selected'":"" !!}>{{ trans('backLang.unpaidInstallment') }}</option>
                    <option
                        value="1" {!! ($Installment->paid_status)?"selected='selected'":"" !!}>{{ trans('backLang.paidInstallment') }}</option>
                </select>
            </div>
        </div>
    </div>
</div>
<div class=" {{ ($Installment->paid_status)?"":"displaynone" }}" id="payment_details">
    <h6 class="pt-3 border-top m-0 bg-light text-center">{{ trans('backLang.paymentDetails') }}</h6>
    <div class="p-3 bg-light">
        <div class="row clearfix">
            <div class="col-sm-4">
                <div class="form-group">
                    <label
                        class="form-label">{{ trans('backLang.payMethod') }}</label>
                    <select name="pay_method"
                            class="form-control custom-select">
                        @foreach(Helper::Categories(10) as $CatItem)
                            <option
                                value="{{ $CatItem->id }}" {!! (@$Installment->receipt->method_id==$CatItem->id)?"selected='selected'":"" !!}>{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="col-sm-8">
                <div class="form-group">
                    <label
                        class="form-label">{{ trans("backLang.depositIn") }}</label>
                    <select name="fund" id="fund_select"
                            class="form-control custom-select">
                        <optgroup label="{{ trans("backLang.financialFunds") }}">
                            @foreach($Funds as $FundItem)
                                @if($FundItem->type)
                                    <option data-bank="0"
                                            value="{{ $FundItem->id }}" {!!
   (!empty($Installment->receipt))?((@$Installment->receipt->bank_id==$FundItem->id)?"selected='selected'":""):((Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":"") !!}>{{ $FundItem->{"title_".trans("backLang.code")} }}</option>
                                @endif
                            @endforeach
                        </optgroup>
                        <optgroup label="{{ trans("backLang.bankAccountsTree") }}">
                            @foreach($Funds as $FundItem)
                                @if(!$FundItem->type)
                                    <option data-bank="1"
                                            value="{{ $FundItem->id }}" {!!
   (!empty($Installment->receipt))?((@$Installment->receipt->bank_id==$FundItem->id)?"selected='selected'":""):((Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":"") !!}>{{ $FundItem->{"title_".trans("backLang.code")} }}
                                        [ {{ $FundItem->code }} ] [ {{ @$FundItem->currency->code }}
                                        ]
                                    </option>
                                @endif
                            @endforeach
                        </optgroup>
                    </select>
                </div>
            </div>
            <div class="col-sm-4">
                <div class="form-group">
                    <label
                        class="form-label">{{ trans('backLang.fileNo') }}</label>
                    {!! Form::text('code',(!empty($Installment->receipt)?@$Installment->receipt->code:""), array('placeholder' => '','class' => 'form-control','autocomplete'=>'off')) !!}
                </div>
            </div>
            <div class="col-sm-8">
                <div class="form-group">
                    <label
                        class="form-label">{{ trans('backLang.CatTitle') }}</label>
                    <select name="cat_id" class="form-control list-items">
                        <option value="">{{ trans('backLang.noCat') }}</option>
                        @foreach(Helper::Categories(8) as $CatItem)
                            <option {!! (@$Installment->receipt->cat_id==$CatItem->id)?"selected='selected'":"" !!}
                                    value="{{ $CatItem->id }}"
                                    data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}
                            </option>
                        @endforeach
                    </select>
                </div>
            </div>
        </div>
    </div>
</div>
<input type="hidden" name="id" value="{{ encrypt($Installment->id) }}">
<script>
    @if(Helper::Preferences("date_type"))
    $("#edit_instalment_date").hijriDatePicker({
        locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
        format: "YYYY/MM/DD",
        hijriFormat: "iYYYY/iMM/iDD",
        showSwitcher: false,
        allowInputToggle: false,
        useCurrent: true,
        isRTL: false,
        keepOpen: false,
        hijri: true,
        debug: false,
        showClear: false,
        showTodayButton: false,
        showClose: false,
        icons: {
            time: '<i class="fa fa-clock-o"></i>',
            date: '<i class="fa fa-calendar"></i>',
            up: '<i class="fa fa-chevron-up"></i>',
            down: '<i class="fa fa-chevron-down"></i>',
            previous: '<i class="fa fa-chevron-right"></i>',
            next: '<i class="fa fa-chevron-left"></i>',
            today: '<i class="fa fa-screenshot"></i>',
            clear: '<i class="fa fa-trash"></i>',
            close: '<i class="fa fa-remove"></i>'
        }
    });
    @else
    $('.datepicker').datepicker({
        format: "yyyy/mm/dd",
        language: 'ar'
    });
    @endif


    $('.list-items').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    escape(data.text) +
                    '</div>';
            }
        }
    });
    $("#edit_paid_status").on('change', function () {
        if ($(this).val() == '1') {
            $("#payment_details").show();
        } else {
            $("#payment_details").hide();
        }
    });
</script>
