
@if (Roles::Check("loan_status_edit"))
    <div class="modal fade" id="edit_status" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['LoansUpdateStatus'],'method'=>'POST','id'=>'edit_status_form'])}}
                <input type="hidden" name="loan_id" value="{{ encrypt($Loan->id) }}">
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-pencil mb-2"></i> {{ trans('backLang.changeLoanStatus') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body m-0 p-0">
                    <div class="alert alert-danger displaynone m-3" id="edit_status_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="edit_status_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>

    <div class="modal fade" id="create_receipt" tabindex="-1" role="dialog" aria-hidden="true">
        <input type="hidden" name="loan_id" value="{{ encrypt($Loan->id) }}">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['LoansReceiptStore'],'method'=>'POST','id'=>'create_receipt_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="fe fe-plus mb-2"></i> {{ trans('backLang.createPayReceipt') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_receipt_errors">
                        <ul></ul>
                    </div>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans('backLang.payMethod') }}</label>
                                <select name="pay_method"
                                        class="form-control custom-select">
                                    @foreach(Helper::Categories(10) as $CatItem)
                                        <option
                                            value="{{ $CatItem->id }}">{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-8">
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans("backLang.withdrawFrom") }}</label>
                                <select name="fund" id="fund_select"
                                        class="form-control custom-select">
                                    <optgroup label="{{ trans("backLang.financialFunds") }}">
                                        @foreach($Funds as $FundItem)
                                            @if($FundItem->type)
                                                <option data-bank="0"
                                                        value="{{ $FundItem->id }}"  {!! (Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":"" !!}>{{ $FundItem->{"title_".trans("backLang.code")} }}</option>
                                            @endif
                                        @endforeach
                                    </optgroup>
                                    <optgroup label="{{ trans("backLang.bankAccountsTree") }}">
                                        @foreach($Funds as $FundItem)
                                            @if(!$FundItem->type)
                                                <option data-bank="1"
                                                        value="{{ $FundItem->id }}" {!! (Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":"" !!}>{{ $FundItem->{"title_".trans("backLang.code")} }}
                                                    [ {{ $FundItem->code }} ] [ {{ @$FundItem->currency->code }}
                                                    ]
                                                </option>
                                            @endif
                                        @endforeach
                                    </optgroup>
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans('backLang.fileNo') }}</label>
                                {!! Form::text('code',"", array('placeholder' => '','class' => 'form-control','autocomplete'=>'off')) !!}
                            </div>
                        </div>
                        <div class="col-sm-8">
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans('backLang.CatTitle') }}</label>
                                <select name="cat_id" class="form-control list-items">
                                    <option value="">{{ trans('backLang.noCat') }}</option>
                                    @foreach(Helper::Categories(9) as $CatItem)
                                        <option
                                                 value="{{ $CatItem->id }}"
                                                 data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="loan_id" value="{{ encrypt($Loan->id) }}">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="create_receipt_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.add') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
    <div class="modal fade" id="create_installment" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['LoansInstallmentsCreate'],'method'=>'POST','id'=>'create_installment_form'])}}
                <input type="hidden" name="loan_id" value="{{ encrypt($Loan->id) }}">
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="fe fe-plus mb-2"></i> {{ trans('backLang.instalmentAdd') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone m-3" id="create_installment_errors">
                        <ul></ul>
                    </div>
                    <div class="row clearfix">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans('backLang.installmentAmount') }}
                                    <small>( {{ @$DefaultCurrency->symbol }} )</small> <span
                                        class="text-danger">*</span></label>
                                {!! Form::text('amount','', array('placeholder' => '','class' => 'form-control','required'=>'','autocomplete'=>'off')) !!}
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans('backLang.dueDate') }} <span class="text-danger">*</span></label>
                                {!! Form::text('date',(Helper::Preferences("date_type"))?Helper::DateView(date('Y-m-d'),0,1,'Y/m/d'):date('Y/m/d'), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'create_instalment_date','autocomplete'=>'off')) !!}
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans('backLang.notes') }}</label>
                                {!! Form::textarea('notes','', array('placeholder' => '','class' => 'form-control','rows'=>'2')) !!}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="create_installment_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.add') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
    <div class="modal fade" id="edit_installment" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['LoansInstallmentsUpdate'],'method'=>'POST','id'=>'edit_installment_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-pencil mb-2"></i> {{ trans('backLang.instalmentEdit') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body m-0 p-0">
                    <div class="alert alert-danger displaynone m-3" id="edit_installment_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center p-3">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="edit_installment_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>

@endif
