<div>
    <div>
        <div class="p-4">
            <div class="row">
                <div class="col-sm-12">
                    <div class="form-group">
                        <div class="selectgroup w-100">
                            <label class="selectgroup-item" id="person_status_1">
                                <input type="radio" name="person_status" value="0"
                                       class="selectgroup-input" {{ ($Loan->status ==0)?"checked":"" }}>
                                <span class="selectgroup-button">
                                <i class="fe fe-clock fa-2x"></i><br>{{ trans("backLang.pending") }}</span>
                            </label>
                            <label class="selectgroup-item" id="person_status_2">
                                <input type="radio" name="person_status" value="1"
                                       class="selectgroup-input" {{ ($Loan->status ==1)?"checked":"" }}>
                                <span class="selectgroup-button"><i class="fe fe-check-circle fa-2x"></i><br>{{ trans("backLang.approved") }}</span>
                            </label>
                            <label class="selectgroup-item" id="person_status_3">
                                <input type="radio" name="person_status" value="-1"
                                       class="selectgroup-input" {{ ($Loan->status ==-1)?"checked":"" }}>
                                <span class="selectgroup-button"><i class="fe fe-x-circle fa-2x"></i><br>{{ trans("backLang.notApproved") }}</span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row {{ ($Loan->status ==-1)?"":"displaynone" }}" id="person_reject_reason">
                <div class="col-sm-12">
                    <div class="form-group">
                        <label class="form-label">{!!  trans('backLang.reasonOfRejection') !!} <span
                                class="text-danger">*</span></label>
                        {!! Form::textarea('reject_reason',$Loan->reject_reason, array('id' => 'reject_reason_text','class' => 'form-control','rows'=>'2')) !!}
                        @if(count(Helper::Categories(6)) >0)
                            <div class="mt-2">
                                <small class="text-muted">{{ trans("backLang.youCanChooseFromNextReasons") }}: </small>
                                <hr class="mb-2 mt-1">
                                <div class="fixed-200">
                                    @foreach(Helper::Categories(6) as $CatItem)
                                        <div class="mb-1 small">
                                            <i class="text-muted fe fe-corner-down-{{ trans("backLang.right") }}"></i> <a href="javascript:void(0)"
                                               class="text-info reason">{{ $CatItem->{"title_".trans("backLang.code")} }}</a>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<input type="hidden" name="id" value="{{ encrypt($Loan->id) }}">
<script type="text/javascript">
    $('#person_status_3').click(function () {
        $("#person_reject_reason").slideDown();
        set_loan_status(-1);
        set_loan_reason($("#reject_reason_text").val());
    });
    $('#person_status_2').click(function () {
        $("#person_reject_reason").slideUp();
        set_loan_status(1);
        set_loan_reason("");
    });
    $('#person_status_1').click(function () {
        $("#person_reject_reason").slideUp();
        set_loan_status(0);
        set_loan_reason("");
    });
    $('.reason').click(function () {
        $("#reject_reason_text").val($(this).html());
    });
    $(document).on('blur', '#person_reject_reason', function () {
        set_loan_reason($("#reject_reason_text").val());
    });
</script>
