{{Form::open(['route'=>['Loans'],'method'=>'POST','id'=>'journals_search_form'])}}
<div class="row clearfix">
    <div class="col-sm-3">
        <div class="form-group">
            {!! Form::text('search_word',"", array('placeholder' => trans('backLang.searchFor'),'class' => 'form-control','id'=>'search_word',"autocomplete"=>"off")) !!}
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_cat_id" name="search_cat_id" class="form-control  list-items">
                <option value="">{{ trans('backLang.loansCategory') }}</option>
                @foreach(Helper::Categories(12) as $CatItem)
                    <option
                        value="{{ $CatItem->id }}"
                        data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-6">
        <div class="form-group">
            <div class="form-group">
                <div class="input-daterange input-group">
                    <input type="text" class="input-sm form-control datepicker" autocomplete="off" name="search_start"
                           id="search_start" placeholder="{{trans("backLang.fromDate")}}">
                    <span class="input-group-addon range-to">{{ trans("backLang.to") }}</span>
                    <input type="text" class="input-sm form-control datepicker" autocomplete="off" name="search_end"
                           id="search_end" placeholder="{{trans("backLang.toDate")}}">
                </div>
            </div>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <select name="search_user" id="search_user"
                    class="form-control custom-list">
                <option
                    value="">{{ trans('backLang.createdBy') }}</option>
                @foreach($UsersList as $UserItem)
                    <?php
                    $share_user_avatar = URL::to('uploads/users/profile.jpg');
                    if ($UserItem->photo != "") {
                        $share_user_avatar = URL::to('uploads/users/' . $UserItem->photo);
                    }
                    ?>
                    <option
                        value="{{ $UserItem->id }}"
                        data-data='{"image": "{{ $share_user_avatar }}","code":"{{ $UserItem->job }}","search-text":"{{ $UserItem->name }}  {{ $UserItem->job }}"}'>{{ $UserItem->name }}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-3">
        <div class="form-group">
            <select name="search_status" id="search_status"
                    class="form-control custom-select">
                <option value="">{{ trans('backLang.loanStatus') }}</option>
                <option
                    value="0" {!! (@$cat=="pending")?"selected='selected'":"" !!}>{{ trans('backLang.pending') }}</option>
                <option value="1">{{ trans('backLang.approved') }}</option>
                <option
                    value="-1" {!! (@$cat=="rejected")?"selected='selected'":"" !!}>{{ trans('backLang.notApproved') }}</option>
            </select>
        </div>
    </div>

    <div class="col-sm-1">
        <input type="hidden" name="stat" id="search_submit_stat" value="">
        <button type="submit" class="btn btn-primary w-100"><i class="fe fe-search"></i> {{ trans("backLang.search") }}
        </button>
    </div>
    <div class="col-sm-3">
        <div class="form-group">

        </div>
    </div>

</div>
{{Form::close()}}
