<div class="tab-pane fade {{ ($status_tab_details=="active")?"show active":"" }}" id="details" role="tabpanel">
    <div class="table-responsive mt-3">
        <div class="row">
            <div class="col-sm-12">
                @if (Roles::Check("loans_edit"))
                    <a href="{{ route("LoansEdit",encrypt($Loan->id)) }}" class="pull-right btn btn-icon"
                       data-toggle="tooltip" id="loan_edit_btn"
                       data-original-title="{{ trans("backLang.edit") }}"><i class="fe fe-edit"></i></a>
                @endif
                <h6>{{ trans("backLang.beneficiaryInfo") }}</h6>
                <hr class="mb-0">
                <div id="loan_beneficiary_details">
                    <table class="table table-striped mb-0 thin-table">
                        <tbody>
                        <tr>
                            <th scope="row" class="width-130px">{{ trans("backLang.fullName") }} :</th>
                            <td><strong>
                                    {{ $Loan->name }}
                                </strong></td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px">{{ trans("backLang.idNumber") }} :</th>
                            <td> {{ $Loan->id_number }} - {{ trans('backLang.identityTypes')[$Loan->id_type] }}
                                @if($Loan->id_end_date !="")
                                    - {{ trans("backLang.expireDate") }}
                                    : {!! date(Helper::Preferences("date_format"),strtotime($Loan->id_end_date)) !!}  {{ (@$Loan->id_date_type)? trans("backLang.H"):trans("backLang.M") }}
                                @endif
                            </td>
                        </tr>
                        @if($Loan->phone !=""  && $Loan->phone !=null)
                            <tr>
                                <th scope="row" class="width-130px">{{ trans("backLang.phone") }} :</th>
                                <td><span dir="ltr">{{ $Loan->phone }}</span></td>
                            </tr>
                        @endif
                        @if($Loan->email !=""  && $Loan->email !=null)
                            <tr>
                                <th scope="row" class="width-130px">{{ trans("backLang.email") }} :</th>
                                <td> {!! $Loan->email !!}</td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 mt-4">
                @if (Roles::Check("loans_edit"))
                    <a href="{{ route("LoansEdit",encrypt($Loan->id)) }}" class="pull-right btn btn-icon"
                       data-toggle="tooltip" id="loan_edit_btn"
                       data-original-title="{{ trans("backLang.edit") }}"><i class="fe fe-edit"></i></a>
                @endif
                <h6>{{ trans("backLang.loanDetails") }}</h6>
                <hr class="mb-0">
                <div id="loan_main_details">
                    <table class="table table-striped mb-0 thin-table">
                        <tbody>
                        <tr>
                            <th scope="row" class="width-130px">{{ trans("backLang.noOfLoan") }} :</th>
                            <td> {!! $Loan->id !!}</td>
                        </tr>
                        @if($Loan->date !="" && $Loan->date !=null)
                            <tr>
                                <th scope="row" class="width-130px">{{ trans("backLang.date") }} :</th>
                                <td>{!! date(Helper::Preferences("date_format"),strtotime($Loan->date)) !!}  {{ (@$Loan->date_type)? trans("backLang.H"):trans("backLang.M") }}
                                </td>
                            </tr>
                        @endif

                        @if($Loan->cat_id !=""  && $Loan->cat_id !=null)
                            <tr>
                                <th scope="row" class="width-130px">{{ trans("backLang.loansCategory") }} :</th>
                                <td> {!! Helper::Category($Loan->cat_id) !!}</td>
                            </tr>
                        @endif
                        <tr>
                            <th scope="row" class="width-130px">{{ trans("backLang.loanAmount") }} :</th>
                            <td> {!! number_format($Loan->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol !!}</td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px">{{ trans("backLang.loanTotal") }} :</th>
                            <td> {!! number_format($Loan->total, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol !!}</td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px">{{ trans("backLang.loanInstalmentCount") }} :</th>
                            <td> {!! $Loan->instalments_count !!}</td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px">{{ trans("backLang.loanInstalmentAmount") }} :</th>
                            <td> {!! number_format($Loan->instalments_amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol !!}</td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px">{{ trans("backLang.loanLastInstalmentAmount") }} :</th>
                            <td> {!! number_format($Loan->instalments_last, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol !!}</td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px">{{ trans("backLang.LoanPayMethod") }} :</th>
                            <td> {!! trans("backLang.LoanPayMethods.".$Loan->pay_method)!!}</td>
                        </tr>
                        @if($Loan->instalments_date !="" && $Loan->instalments_date !=null)
                            <tr>
                                <th scope="row" class="width-130px">{{ trans("backLang.loanFirstInstalmentDate") }}:
                                </th>
                                <td>{!! date(Helper::Preferences("date_format"),strtotime($Loan->instalments_date)) !!}  {{ (@$Loan->date_type)? trans("backLang.H"):trans("backLang.M") }}
                                </td>
                            </tr>
                        @endif
                        @if($Loan->notes !=""  && $Loan->notes !=null)
                            <tr>
                                <th scope="row" class="width-130px">{{ trans("backLang.notes") }} :</th>
                                <td> {!! $Loan->notes !!}</td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 mt-4">
                @if (Roles::Check("loans_edit"))
                    <a href="{{ route("LoansEdit",encrypt($Loan->id)) }}" class="pull-right btn btn-icon"
                       data-toggle="tooltip" id="loan_edit_btn"
                       data-original-title="{{ trans("backLang.edit") }}"><i class="fe fe-edit"></i></a>
                @endif
                <h6>{{ trans("backLang.sponsorInfo") }}</h6>
                <hr class="mb-0">
                <div id="loan_sponsor_details">
                    @if($Loan->guarantor_name !="")
                        <table class="table table-striped mb-0 thin-table">
                            <tbody>
                            @if($Loan->guarantor_name !="")
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.fullName") }} :</th>
                                    <td><strong>{{ $Loan->guarantor_name }}</strong></td>
                                </tr>
                            @endif
                            @if($Loan->guarantor_id_number !="")
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.idNumber") }} :</th>
                                    <td> {{ $Loan->guarantor_id_number }}
                                        - {{ trans('backLang.identityTypes')[$Loan->guarantor_id_type] }}
                                        @if($Loan->guarantor_id_end_date !="")
                                            - {{ trans("backLang.expireDate") }}
                                            : {!! date(Helper::Preferences("date_format"),strtotime($Loan->guarantor_id_end_date)) !!}  {{ (@$Loan->guarantor_id_date_type)? trans("backLang.H"):trans("backLang.M") }}
                                        @endif
                                    </td>
                                </tr>
                            @endif
                            @if($Loan->guarantor_phone !=""  && $Loan->guarantor_phone !=null)
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.phone") }} :</th>
                                    <td><span dir="ltr">{{ $Loan->guarantor_phone }}</span></td>
                                </tr>
                            @endif
                            @if($Loan->guarantor_work_place !=""  && $Loan->guarantor_work_place !=null)
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.workPlace") }} :</th>
                                    <td> {!! $Loan->guarantor_work_place !!}</td>
                                </tr>
                            @endif
                            @if($Loan->guarantor_work_phone !=""  && $Loan->guarantor_work_phone !=null)
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.workPhone") }} :</th>
                                    <td> {!! $Loan->guarantor_work_phone !!}</td>
                                </tr>
                            @endif
                            </tbody>
                        </table>
                    @else
                        <div class="text-muted mt-1">
                            <i class="icon-info"></i> {{ trans("backLang.noData") }}
                        </div>
                    @endif
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 mt-4">
                @if (Roles::Check("loans_edit"))
                    <a href="{{ route("LoansEdit",encrypt($Loan->id)) }}" class="pull-right btn btn-icon"
                       data-toggle="tooltip" id="loan_edit_btn"
                       data-original-title="{{ trans("backLang.edit") }}"><i class="fe fe-edit"></i></a>
                @endif
                <h6>{{ trans("backLang.witnessInfo") }}</h6>
                <hr class="mb-0">
                <div id="loan_witness_details">
                    @if($Loan->witness_1_name !="" && $Loan->witness_2_name !="" )
                        <table class="table table-striped mb-0 thin-table">
                            <tbody>
                            @if($Loan->witness_1_name !="")
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.fullName") }} :</th>
                                    <td><strong>{{ $Loan->witness_1_name }}</strong></td>
                                </tr>
                            @endif
                            @if($Loan->witness_1_id_number !="")
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.idNumber") }} :</th>
                                    <td> {{ $Loan->witness_1_id_number }}
                                        - {{ trans('backLang.identityTypes')[$Loan->witness_1_id_type] }}
                                        @if($Loan->witness_1_id_end_date !="")
                                            - {{ trans("backLang.expireDate") }}
                                            : {!! date(Helper::Preferences("date_format"),strtotime($Loan->witness_1_id_end_date)) !!}  {{ (@$Loan->witness_1_id_date_type)? trans("backLang.H"):trans("backLang.M") }}
                                        @endif
                                    </td>
                                </tr>
                            @endif
                            @if($Loan->witness_1_phone !=""  && $Loan->witness_1_phone !=null)
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.phone") }} :</th>
                                    <td><span dir="ltr">{{ $Loan->witness_1_phone }}</span></td>
                                </tr>
                            @endif
                            </tbody>
                        </table>
                        <hr>
                        <table class="table table-striped mb-0 thin-table">
                            <tbody>
                            @if($Loan->witness_2_name !="")
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.fullName") }} :</th>
                                    <td><strong>{{ $Loan->witness_2_name }}</strong></td>
                                </tr>
                            @endif
                            @if($Loan->witness_2_id_number !="")
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.idNumber") }} :</th>
                                    <td> {{ $Loan->witness_2_id_number }}
                                        - {{ trans('backLang.identityTypes')[$Loan->witness_2_id_type] }}
                                        @if($Loan->witness_2_id_end_date !="")
                                            - {{ trans("backLang.expireDate") }}
                                            : {!! date(Helper::Preferences("date_format"),strtotime($Loan->witness_2_id_end_date)) !!}  {{ (@$Loan->witness_2_id_date_type)? trans("backLang.H"):trans("backLang.M") }}
                                        @endif
                                    </td>
                                </tr>
                            @endif
                            @if($Loan->witness_2_phone !=""  && $Loan->witness_2_phone !=null)
                                <tr>
                                    <th scope="row" class="width-130px">{{ trans("backLang.phone") }} :</th>
                                    <td><span dir="ltr">{{ $Loan->witness_2_phone }}</span></td>
                                </tr>
                            @endif
                            </tbody>
                        </table>
                    @else
                        <div class="text-muted mt-1">
                            <i class="icon-info"></i> {{ trans("backLang.noData") }}
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div>
