@extends('back.layouts.master')
@section('title', trans('backLang.loanDetails'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><i class='icon-wallet'></i> <a
                            href="{{ route("AppAccountingHome") }}">{{ trans('backLang.accountant') }}</a></li>
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("Loans") }}">{{ trans('backLang.loans') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('backLang.loanDetails') }}</li>
                </ol>
            </nav>
            <div class="row clearfix">
                <?php
                $status_tab_details = "active";
                $status_tab_files = "";
                $status_tab_installments = "";
                if (@$_GET['tab'] != "") {
                    switch (@$_GET['tab']) {
                        case (@$_GET['tab'] == "details"):
                            $status_tab_details = "active";
                            $status_tab_files = "";
                            $status_tab_installments = "";
                            break;
                        case (@$_GET['tab'] == "files"):
                            $status_tab_details = "";
                            $status_tab_files = "active";
                            $status_tab_installments = "";
                            break;
                        case (@$_GET['tab'] == "installments"):
                            $status_tab_details = "";
                            $status_tab_files = "";
                            $status_tab_installments = "active";
                            break;
                    }
                }
                ?>
                <div class="col-sm-9">
                    <div class="card">
                        <div class="card-header pt-0">
                            <ul class="nav nav-tabs w-100" role="tablist">
                                <li class="nav-item">
                                    <a class="ico-tab nav-link  {{ $status_tab_details }}" id="loan-tab"
                                       data-toggle="pill" href="#details"
                                       role="tab" aria-controls="profile" aria-selected="false">
                                        <i class="icon-briefcase"></i><br>
                                        {{ trans("backLang.loanDetails") }}
                                    </a>
                                </li>
                                @if (Roles::Check("loan_tab_files"))
                                    <li class="nav-item">
                                        <a class="ico-tab nav-link {{ $status_tab_files }}" id="files-tab"
                                           data-toggle="pill"
                                           href="#files" role="tab"
                                           aria-controls="files" aria-selected="false">
                                            <i class="icon-paper-clip"></i><br>
                                            {{ trans("backLang.attachments") }}
                                            @if($Loan->attachments->count() >0)
                                                <span
                                                    id="loan_attachments_count"
                                                    class="badge badge-inline badge-light">{{ $Loan->attachments->count() }}</span>
                                            @endif
                                        </a>
                                    </li>
                                @endif
                                @if (Roles::Check("loan_tab_installments"))
                                    <li class="nav-item">
                                        <a class="ico-tab nav-link {{ $status_tab_installments }}" id="instalments-tab"
                                           data-toggle="pill" href="#instalments"
                                           role="tab"
                                           aria-controls="instalments" aria-selected="false">
                                            <i class="icon-speech"></i><br>
                                            {{ trans("backLang.instalments") }} <span
                                                id="loan_instalments_count"
                                                class="badge badge-inline badge-light"></span>
                                        </a>
                                    </li>
                                @endif
                            </ul>
                        </div>
                        <div class="card-body">
                            <div class="tab-content">
                                @include('back.accounting.loans.view.details')
                                @if (Roles::Check("loan_tab_files"))
                                    @include('back.accounting.loans.view.files')
                                @endif
                                @if (Roles::Check("loan_tab_installments"))
                                    @include('back.accounting.loans.view.installments')
                                @endif
                            </div>
                        </div>
                    </div>
                    @if (Roles::Check("loan_tab_comments"))
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">{{ trans('backLang.comments') }}</h3>
                            </div>
                            <div class="card-body">
                                <div id="comments_table"></div>
                            </div>
                        </div>
                    @endif
                </div>
                <div class="col-sm-3">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title" id="loan_status_text">
                                @if($Loan->status == 1)
                                    <span class="text-success"><i class="fe fe-check-circle"></i> {{ trans('backLang.approved') }}</span>
                                @elseif($Loan->status == -1)
                                    <span class="text-danger"><i class="fe fe-x-circle"></i> {{ trans('backLang.notApproved') }}</span>
                                @else
                                    <span class="text-info"><i class="fe fe-clock"></i> {{ trans('backLang.pending') }}</span>
                                @endif
                            </h3>
                            <div class="card-options">
                                @if (Roles::Check("loan_status_edit"))
                                    <button type="button" class="pull-right btn btn-icon" data-toggle="tooltip"
                                            id="loan_edit_status_btn"
                                            data-original-title="{{ trans("backLang.edit") }}"><i
                                            class="fe fe-edit"></i></button>
                                @endif
                            </div>
                        </div>

                        <div class="card-body {{ ($Loan->status == -1)?"":"displaynone" }}" id="loan_status_reason">
                            {!! $Loan->reject_reason !!}
                        </div>
                        <div class="card-body {{ ($Loan->status == 1)?"":"displaynone" }}" id="loan_receipt_btn">
                            @if (Roles::Check("loans_receipt"))
                                @if(!empty($Loan->receipt))
                                    <a class="btn btn-light mt-3 w-100"
                                       href="{{ route("AppReceiptPrint", encrypt($Loan->receipt->id)) }}"
                                       data-toggle="tooltip" target="_blank"><i
                                            class="icon-printer"></i> {{ trans("backLang.printPayReceipt") }}</a>
                                @else
                                    <button type="button" data-toggle="modal"
                                            data-target="#create_receipt" class="btn btn-info mt-3 w-100"><i
                                            class="fe fe-plus mb-2"></i> {{ trans("backLang.createPayReceipt") }}
                                    </button>
                                @endif
                            @endif
                        </div>

                    </div>
                    @if (Roles::Check("loan_tab_alerts"))
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title"><i class="fa fa-bell-o"></i> {{ trans('backLang.alerts') }}
                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="alerts_table"></div>
                            </div>
                        </div>
                    @endif
                    @if(!empty($Loan->approvedBy))
                        <div class="card" id="loan_status_user">
                            <div class="card-header pb-1">
                                <h3 class="card-title"><small><i
                                            class="fe {{ ($Loan->status == 1)?"fe-check":"fe-x" }}"></i> {{ ($Loan->status == 1)?trans('backLang.approvedBy'):trans('backLang.rejectedBy') }}
                                    </small></h3>
                            </div>
                            <div class="card-body">
                                <small class="text-muted"> {{ $Loan->approvedBy->name }}</small>
                                <br>
                                <small class="text-muted">
                                    {!! Helper::DateView($Loan->approved_at, 1) !!}
                                </small>
                            </div>
                        </div>
                    @endif
                    @if(!empty($Loan->user))
                        <div class="card">
                            <div class="card-header pb-1">
                                <h3 class="card-title"><small><i
                                            class="fe fe-plus"></i> {{ trans('backLang.registeredBy') }}</small></h3>
                            </div>
                            <div class="card-body">
                                <small class="text-muted">{{ $Loan->user->name }}</small>
                                <br>
                                <small class="text-muted">
                                    {!! Helper::DateView($Loan->created_at, 1) !!}
                                </small>
                            </div>
                        </div>
                    @endif

                    @if (Roles::Check("loan_print"))
                        <a href="{{ route("LoanPrintFile",encrypt($Loan->id)) }}" target="_blank"
                           class="btn btn-primary mb-2 w-100">
                            <i class="icon-printer mb-2"></i> {{ trans('backLang.print') }}
                        </a>
                    @endif
                    @if (Roles::Check("loans_delete"))
                        <button type="button" class="btn btn-danger mb-2 w-100"
                                onclick="loan_delete('{{ encrypt($Loan->id) }}')"><i
                                class="icon-trash mb-2"></i> {{ trans('backLang.loanDelete') }}
                        </button>
                    @endif
                </div>
            </div>
        </div>
    </div>
@endsection
@section("popup")
    @include('back.accounting.loans.edit.popup')
@endsection
@section("page-script")
    <script type="text/javascript">
        var table_name = "#installments_table";
        var table_paginate = "{{ DeviceTrust::settings('BACKEND_PAGINATION') }}";
        $(document).ready(function () {
            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('LoansInstallmentsList') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.loan_id = '{{ $Loan->id }}';
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                    if (this.api().page.info().recordsTotal > 0) {
                        $("#loan_total").html(dataTable.ajax.json().balance.total);
                        $("#loan_paid").html(dataTable.ajax.json().balance.paid);
                        $("#loan_unpaid").html(dataTable.ajax.json().balance.unpaid);
                    } else {
                        $("#loan_total").html('-');
                        $("#loan_paid").html('-');
                        $("#loan_unpaid").html('-');
                    }
                    $('[data-toggle="tooltip"]').tooltip();
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {"data": "id"},
                    {"data": "amount"},
                    {"data": "date"},
                    {"data": "status"},
                    {"data": "notes"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[2, "asc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';

            @if (Roles::Check("loan_tab_comments"))
            comments_load("#comments_table", "4", "{{ encrypt($Loan->id) }}", "{{ Roles::Check("loan_comments_create") }}", "{{ Roles::Check("loan_comments_delete") }}", false);
            @endif
            @if (Roles::Check("loan_tab_files"))
            attachments_load("#attachments", "4", "{{ encrypt($Loan->id) }}", "", "{{ Roles::Check("loans_multi_upload") }}", "{{ Roles::Check("loans_files_upload") }}", "{{ Roles::Check("loans_files_download") }}", "{{ Roles::Check("loans_files_edit") }}", "{{ Roles::Check("loans_files_delete") }}", false);
            @endif

            @if (Roles::Check("loan_tab_alerts"))
            alerts_load("#alerts_table", "4", "{{ encrypt($Loan->id) }}", "{{ trans("backLang.loan")." ( $Loan->id ) ".$Loan->name }}", true, true, true, false);
            @endif


            @if (Roles::Check("loan_status_edit"))
            $("#loan_edit_status_btn").on('click', function () {
                $("#edit_status_submit").prop('disabled', true);
                $.get("{{ route("LoansEditStatus") }}/{{ encrypt($Loan->id) }}", function (data) {
                    $('#edit_status').find('.modal-body .form-fields').html(data);
                    $("#edit_status_submit").prop('disabled', false);
                });
                $('#edit_status').modal('show');
            });
            $("#edit_status").on("hidden.bs.modal", function () {
                $("#edit_status_errors").hide();
                $('#edit_status').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            });
            ajax_post_form("edit_status", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, false, function () {
                //
                $("#loan_status_text").html(new_loan_status);
                $("#loan_status_reason").html(new_loan_reason);
                if (new_loan_reason != "") {
                    $("#loan_status_reason").show();
                } else {
                    $("#loan_status_reason").hide();
                }
                $("#loan_status_user").hide();
                if (new_loan_receipt) {
                    $("#loan_receipt_btn").show();
                } else {
                    $("#loan_receipt_btn").hide();
                }
            });
            @endif

            set_loan_status({{ $Loan->status }});
            set_loan_reason("{{ trim(preg_replace('/\s+/', ' ', strip_tags($Loan->reject_reason))) }}");

            // create receipt
            ajax_post_form("create_receipt", '{{ trans("backLang.add") }}', 'fe fe-save', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, false, function (data) {
                // show receipt print btn
                $.get("{{ route("LoansReceiptPrint") }}/{{ encrypt($Loan->id) }}", function (data) {
                    $('#loan_receipt_btn').html(data);
                });
            });

            // create installment
            ajax_post_form("create_installment", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', true, table_name, false, false, true);

            // update installment
            ajax_post_form("edit_installment", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', true, table_name, true, false, false);


            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });
            @if(@$pay && empty($Loan->receipt))
            $('#create_receipt').modal('show');
            @endif
        });


        var new_loan_status = "";
        var new_loan_reason = "";
        var new_loan_receipt = false;

        function set_loan_status(val) {
            if (val === 1) {
                new_loan_receipt = true;
                new_loan_status = '<span class="text-success"><i class="fe fe-check-circle"></i> {{ trans("backLang.approved") }}</span>';
            } else if (val === -1) {
                new_loan_receipt = false;
                new_loan_status = '<span class="text-danger"><i class="fe fe-x-circle"></i> {{ trans("backLang.notApproved") }}</span>';
            } else {
                new_loan_receipt = false;
                new_loan_status = '<span class="text-info"><i class="fe fe-clock"></i> {{ trans("backLang.pending") }}</span>';
            }
        }

        function set_loan_reason(reason) {
            new_loan_reason = reason;
        }

        // delete loan
        function loan_delete(rid) {
            ajax_delete_row("<?php echo route("LoansDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.loanDelete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "", false, false, function () {
                location.href = '{{ route("Loans") }}';
            });
        }

        function edit_installment(rid) {
            $("#edit_installment_submit").prop('disabled', true);
            $('#edit_installment').find('.modal-body .form-fields').html("<div class=\"text-center p-3\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            $.get("{{ route("LoansInstallmentsEdit") }}/" + rid, function (data) {
                $('#edit_installment').find('.modal-body .form-fields').html(data);
                $("#edit_installment_submit").prop('disabled', false);
            });
            $('#edit_installment').modal('show');
        }

        function delete_installment(rid) {
            ajax_delete_row("<?php echo route("LoansInstallmentsDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', table_name, false);
        }
    </script>
@endsection
