@extends('back.layouts.print')
@section('title', trans('backLang.loans'))
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <h6>{{ trans("backLang.beneficiaryInfo") }}</h6>
        <table class="responsive-table">
            <tbody>
            <tr>
                <th scope="row" class="width-130px">{{ trans("backLang.fullName") }} :</th>
                <td><strong>{{ $Loan->name }}</strong></td>
            </tr>
            <tr>
                <th scope="row" class="width-130px">{{ trans("backLang.idNumber") }} :</th>
                <td> {{ $Loan->id_number }} - {{ trans('backLang.identityTypes')[$Loan->id_type] }}
                    @if($Loan->id_end_date !="")
                        - {{ trans("backLang.expireDate") }}
                        : {!! date(Helper::Preferences("date_format"),strtotime($Loan->id_end_date)) !!}  {{ (@$Loan->id_date_type)? trans("backLang.H"):trans("backLang.M") }}
                    @endif
                </td>
            </tr>
            @if($Loan->phone !=""  && $Loan->phone !=null)
                <tr>
                    <th scope="row" class="width-130px">{{ trans("backLang.phone") }} :</th>
                    <td><span dir="ltr">{{ $Loan->phone }}</span></td>
                </tr>
            @endif
            @if($Loan->email !=""  && $Loan->email !=null)
                <tr>
                    <th scope="row" class="width-130px">{{ trans("backLang.email") }} :</th>
                    <td> {!! $Loan->email !!}</td>
                </tr>
            @endif
            </tbody>
        </table>

        <h6>{{ trans("backLang.loanDetails") }}</h6>
        <table class="responsive-table">
            <tbody>
            <tr>
                <th scope="row" class="width-130px">{{ trans("backLang.noOfLoan") }} :</th>
                <td> {!! $Loan->id !!}</td>
            </tr>
            @if($Loan->date !="" && $Loan->date !=null)
                <tr>
                    <th scope="row" class="width-130px">{{ trans("backLang.date") }} :</th>
                    <td>{!! date(Helper::Preferences("date_format"),strtotime($Loan->date)) !!}  {{ (@$Loan->date_type)? trans("backLang.H"):trans("backLang.M") }}
                    </td>
                </tr>
            @endif

            @if($Loan->cat_id !=""  && $Loan->cat_id !=null)
                <tr>
                    <th scope="row" class="width-130px">{{ trans("backLang.loansCategory") }} :</th>
                    <td> {!! Helper::Category($Loan->cat_id) !!}</td>
                </tr>
            @endif
            <tr>
                <th scope="row" class="width-130px">{{ trans("backLang.loanAmount") }} :</th>
                <td> {!! number_format($Loan->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol !!}</td>
            </tr>
            <tr>
                <th scope="row" class="width-130px">{{ trans("backLang.loanTotal") }} :</th>
                <td> {!! number_format($Loan->total, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol !!}</td>
            </tr>
            <tr>
                <th scope="row" class="width-130px">{{ trans("backLang.loanInstalmentCount") }} :</th>
                <td> {!! $Loan->instalments_count !!}</td>
            </tr>
            <tr>
                <th scope="row" class="width-130px">{{ trans("backLang.loanInstalmentAmount") }} :</th>
                <td> {!! number_format($Loan->instalments_amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol !!}</td>
            </tr>
            <tr>
                <th scope="row" class="width-130px">{{ trans("backLang.loanLastInstalmentAmount") }} :</th>
                <td> {!! number_format($Loan->instalments_last, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol !!}</td>
            </tr>
            <tr>
                <th scope="row" class="width-130px">{{ trans("backLang.LoanPayMethod") }} :</th>
                <td> {!! trans("backLang.LoanPayMethods.".$Loan->pay_method)!!}</td>
            </tr>
            @if($Loan->instalments_date !="" && $Loan->instalments_date !=null)
                <tr>
                    <th scope="row" class="width-130px">{{ trans("backLang.loanFirstInstalmentDate") }}:
                    </th>
                    <td>{!! date(Helper::Preferences("date_format"),strtotime($Loan->instalments_date)) !!}  {{ (@$Loan->date_type)? trans("backLang.H"):trans("backLang.M") }}
                    </td>
                </tr>
            @endif
            @if($Loan->notes !=""  && $Loan->notes !=null)
                <tr>
                    <th scope="row" class="width-130px">{{ trans("backLang.notes") }} :</th>
                    <td> {!! $Loan->notes !!}</td>
                </tr>
            @endif
            </tbody>
        </table>

        @if($Loan->guarantor_name !="")
            <h6>{{ trans("backLang.sponsorInfo") }}</h6>
            <table class="responsive-table">
                <tbody>
                @if($Loan->guarantor_name !="")
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.fullName") }} :</th>
                        <td><strong>{{ $Loan->guarantor_name }}</strong></td>
                    </tr>
                @endif
                @if($Loan->guarantor_id_number !="")
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.idNumber") }} :</th>
                        <td> {{ $Loan->guarantor_id_number }}
                            - {{ trans('backLang.identityTypes')[$Loan->guarantor_id_type] }}
                            @if($Loan->guarantor_id_end_date !="")
                                - {{ trans("backLang.expireDate") }}
                                : {!! date(Helper::Preferences("date_format"),strtotime($Loan->guarantor_id_end_date)) !!}  {{ (@$Loan->guarantor_id_date_type)? trans("backLang.H"):trans("backLang.M") }}
                            @endif
                        </td>
                    </tr>
                @endif
                @if($Loan->guarantor_phone !=""  && $Loan->guarantor_phone !=null)
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.phone") }} :</th>
                        <td><span dir="ltr">{{ $Loan->guarantor_phone }}</span></td>
                    </tr>
                @endif
                @if($Loan->guarantor_work_place !=""  && $Loan->guarantor_work_place !=null)
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.workPlace") }} :</th>
                        <td> {!! $Loan->guarantor_work_place !!}</td>
                    </tr>
                @endif
                @if($Loan->guarantor_work_phone !=""  && $Loan->guarantor_work_phone !=null)
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.workPhone") }} :</th>
                        <td> {!! $Loan->guarantor_work_phone !!}</td>
                    </tr>
                @endif
                </tbody>
            </table>
        @endif
        @if($Loan->witness_1_name !="" && $Loan->witness_2_name !="" )
            <h6>{{ trans("backLang.witnessInfo") }}</h6>
            <table class="responsive-table">
                <tbody>
                @if($Loan->witness_1_name !="")
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.fullName") }} :</th>
                        <td><strong>{{ $Loan->witness_1_name }}</strong></td>
                    </tr>
                @endif
                @if($Loan->witness_1_id_number !="")
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.idNumber") }} :</th>
                        <td> {{ $Loan->witness_1_id_number }}
                            - {{ trans('backLang.identityTypes')[$Loan->witness_1_id_type] }}
                            @if($Loan->witness_1_id_end_date !="")
                                - {{ trans("backLang.expireDate") }}
                                : {!! date(Helper::Preferences("date_format"),strtotime($Loan->witness_1_id_end_date)) !!}  {{ (@$Loan->witness_1_id_date_type)? trans("backLang.H"):trans("backLang.M") }}
                            @endif
                        </td>
                    </tr>
                @endif
                @if($Loan->witness_1_phone !=""  && $Loan->witness_1_phone !=null)
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.phone") }} :</th>
                        <td><span dir="ltr">{{ $Loan->witness_1_phone }}</span></td>
                    </tr>
                @endif
                </tbody>
            </table>
            <hr>
            <table class="responsive-table">
                <tbody>
                @if($Loan->witness_2_name !="")
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.fullName") }} :</th>
                        <td><strong>{{ $Loan->witness_2_name }}</strong></td>
                    </tr>
                @endif
                @if($Loan->witness_2_id_number !="")
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.idNumber") }} :</th>
                        <td> {{ $Loan->witness_2_id_number }}
                            - {{ trans('backLang.identityTypes')[$Loan->witness_2_id_type] }}
                            @if($Loan->witness_2_id_end_date !="")
                                - {{ trans("backLang.expireDate") }}
                                : {!! date(Helper::Preferences("date_format"),strtotime($Loan->witness_2_id_end_date)) !!}  {{ (@$Loan->witness_2_id_date_type)? trans("backLang.H"):trans("backLang.M") }}
                            @endif
                        </td>
                    </tr>
                @endif
                @if($Loan->witness_2_phone !=""  && $Loan->witness_2_phone !=null)
                    <tr>
                        <th scope="row" class="width-130px">{{ trans("backLang.phone") }} :</th>
                        <td><span dir="ltr">{{ $Loan->witness_2_phone }}</span></td>
                    </tr>
                @endif
                </tbody>
            </table>
        @endif

        @if(count($Loan->installments) >0)
            <h6>{{ trans("backLang.instalments") }}</h6>
            <table class="responsive-table center-table">
                <thead>
                <th>{{ trans('backLang.recordId') }}</th>
                <th>{{ trans('backLang.installmentAmount') }}</th>
                <th>{{ trans('backLang.dueDate') }}</th>
                <th>{{ trans('backLang.status') }}</th>
                <th>{{ trans('backLang.notes') }}</th>
                </thead>
                <tbody>
                @foreach($Loan->installments as $Installment)
                    <?php
                    if ($Loan->pay_method == 0) {
                        $Installment_date = "<div class='text-center'><span class='small'>" . trans("backLang.LoanPayMethods.0") . "</span> <br>" . date(Helper::Preferences("date_format"), strtotime($Installment->date)) . " " . ((@$Installment->date_type) ? trans("backLang.H") : trans("backLang.M")) . "</div>";
                    } else {
                        $Installment_date = "<div class='text-center'>" . date(Helper::Preferences("date_format"), strtotime($Installment->date)) . " " . ((@$Installment->date_type) ? trans("backLang.H") : trans("backLang.M")) . "</div>";
                    }

                    $Installment_status_title = "<span class='text-danger'>" . trans("backLang.unpaidInstallment") . "</span>";
                    if ($Installment->paid_status) {
                        $Installment_status_title = "<span class='text-success'>" . trans("backLang.paidInstallment") . "</span>" . "<div>" . Helper::DateView($Installment->paid_at, 1) . "</div>";
                    }
                    ?>
                    <tr>
                        <td>{{ $Installment->id }}</td>
                        <td>{{ number_format($Installment->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}</td>
                        <td>{!! $Installment_date !!}</td>
                        <td>{!! $Installment_status_title !!}</td>
                        <td>{{ $Installment->notes }}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        @endif

        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
