@extends('back.layouts.master')
@section('title', trans('backLang.postingToLedger'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">

            <div class="card card-collapsed" id="search_card">
                <div class="card-header">
                    <h3 class="card-title"><i class='icon-wallet'></i> {!! trans('backLang.accountant') !!} <i
                            class='fe fe-chevron-{{ trans("backLang.right") }}'></i><span> {!! trans('backLang.postingToLedger') !!}</span>
                    </h3>
                    <div class="card-options">
                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><span
                                class="icon-magnifier" data-toggle="tooltip" id="search_card_icon"
                                title="{{ trans('backLang.search') }}"></span></a>
                    </div>
                </div>
                <div class="card-body">
                    @php($posting_page=1)
                    @include('back.accounting.journals.search')
                </div>
            </div>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-body pt-2" id="multi_div">
                            {{Form::open(['route'=>['AppAccountantPostingMulti'],'method'=>'POST','id'=>'multi_div_form'])}}
                            <div class="table-responsive table-nowrap mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="receipts_table">
                                    <thead>
                                    <th class="text-center row_check">
                                        <label class="custom-control custom-checkbox">
                                            <input type="checkbox"
                                                   class="custom-control-input check-all"
                                                   value="1">
                                            <span class="custom-control-label">&nbsp;</span>
                                        </label>
                                    </th>
                                    <th>{{ trans('backLang.recordId') }}</th>
                                    <th>{{ trans('backLang.date') }}</th>
                                    <th>{{ trans('backLang.debtor') }}</th>
                                    <th>{{ trans('backLang.creditor') }}</th>
                                    <th>{{ trans('backLang.desc') }}</th>
                                    <th>{{ trans('backLang.status') }}</th>
                                    <th class="text-center">{{ trans('backLang.options') }}</th>
                                    </thead>
                                </table>
                            </div>
                            <div>
                                <div class="item-action dropdown">
                                    <a href="javascript:void(0)"
                                       class="btn btn-outline-primary dropdown-toggle"
                                       data-toggle="dropdown" aria-expanded="false"><i
                                            class="fe fe-more-vertical"></i> {{ trans('backLang.options') }}
                                    </a>
                                    <div
                                        class="options-list dropdown-menu dropdown-menu-{{ trans("backLang.right") }}"
                                        x-placement="bottom-end">
                                        <a href="javascript:void(0)" data-action="post"
                                           class="dropdown-item"><i
                                                class="dropdown-icon fe fe-corner-up-left"></i> {{ trans("backLang.postingToLedger") }}
                                        </a>
                                        <a href="javascript:void(0)" id="cancel_post_btn" data-action="unpost"
                                           class="dropdown-item displaynone"><i
                                                class="dropdown-icon fe fe-rotate-cw"></i> {{ trans("backLang.postingCancelFromLedger") }}
                                        </a>
                                        <a href="javascript:void(0)" data-action="delete"
                                           class="dropdown-item"><i
                                                class="dropdown-icon fe fe-trash"></i> {{ trans("backLang.deleteSelected") }}
                                        </a>
                                    </div>
                                </div>
                                <input type="hidden" name="action"
                                       id="multi_action">
                                <button type="submit" class="displaynone"
                                        id="multi_submit"></button>
                            </div>
                            {{Form::close()}}
                            <div class="alert alert-danger displaynone mt-2" id="multi_div_errors">
                                <ul></ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section("popup")
    <div class="modal fade" id="_receipt_preview" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-book-open mb-2"></i> {{ trans('backLang.entryDetails') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body m-0 p-0">
                    <div id="_receipt_preview_details"></div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section("page-script")
    <script type="text/javascript">
        var table_name = "#receipts_table";
        var table_paginate = "{{ DeviceTrust::settings('BACKEND_PAGINATION') }}";
        $(document).ready(function () {

            $(".check-all").on("click", function () {
                if ($(this).is(':checked')) {
                    $(table_name).find('input:checkbox').prop('checked', true);
                } else {
                    $(table_name).find('input:checkbox').prop('checked', false);
                }
            });

            $('#search_posted').on('change', function () {
                $("#cancel_post_btn").show();
            });

            $(".options-list .dropdown-item").on("click", function () {
                $("#multi_action").val($(this).attr('data-action'));
                if ($(this).attr('data-action') == "post") {
                    swal({
                        title: "{{ trans("backLang.areYouSureToPostAllLedger") }}",
                        type: "info",
                        showCancelButton: true,
                        closeOnConfirm: false,
                        animation: "slide-from-top",
                        confirmButtonText: "{{ trans("backLang.postingToLedger") }}",
                        cancelButtonText: "{{ trans("backLang.cancel") }}",
                        showLoaderOnConfirm: true,
                        confirmButtonColor: "#45b8da",
                    }, function () {
                        $("#multi_submit").trigger('click');
                        swal.close();
                    });

                } else if ($(this).attr('data-action') == "unpost") {
                    swal({
                        title: "{{ trans("backLang.areYouSureToCancelAllPostLedger") }}",
                        type: "error",
                        showCancelButton: true,
                        closeOnConfirm: false,
                        animation: "slide-from-top",
                        confirmButtonText: "{{ trans("backLang.postingCancelFromLedger") }}",
                        cancelButtonText: "{{ trans("backLang.cancel") }}",
                        showLoaderOnConfirm: true,
                        confirmButtonColor: "#F27474",
                    }, function () {
                        $("#multi_submit").trigger('click');
                        swal.close();
                    });
                } else {
                    swal({
                        title: "{{ trans("backLang.confirmationDeleteMsg") }}",
                        type: "error",
                        showCancelButton: true,
                        closeOnConfirm: false,
                        animation: "slide-from-top",
                        confirmButtonText: "{{ trans("backLang.delete") }}",
                        cancelButtonText: "{{ trans("backLang.cancel") }}",
                        showLoaderOnConfirm: true,
                        confirmButtonColor: "#F27474",
                    }, function () {
                        $("#multi_submit").trigger('click');
                        swal.close();
                    });

                }
            });

            ajax_post_form("multi_div", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', false, table_name, false, false, true);

            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('AppAccountantPostingList') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.search_word = $("#search_word").val();
                        data.search_currency = $("#search_currency").val();
                        data.search_user = $("#search_user").val();
                        data.search_start = $("#search_start").val();
                        data.search_end = $("#search_end").val();
                        data.search_center_id = $("#search_center_id").val();
                        data.search_posted = $("#search_posted").val();
                        data.search_ledger = $("#search_ledger").val();
                        data.search_period = $("#search_period").val();
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                    $('[data-toggle="tooltip"]').tooltip();
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {
                        "className": "row_check", "width": "5%", "data": "check", "orderable": false
                    },
                    {"data": "id"},
                    {"data": "date"},
                    {"data": "dept"},
                    {"data": "credit"},
                    {"data": "details"},
                    {"data": "posted"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[1, "desc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';


            $("#journals_search_form").submit(function (evt) {
                if ($("#search_submit_stat").val() == "") {
                    evt.preventDefault();
                    $(table_name).DataTable().ajax.reload();
                }
            });

            $('#search_card_icon').click(function () {
                $("#search_card").toggleClass("bg-light");
            });

            @if (Roles::Check("accountant_export"))
            $("#_export_btn").on('click', function () {
                $("#search_submit_stat").val("export");
                $("#journals_search_form").attr('action', '{{ route("AppJournalsExport") }}');
                $("#journals_search_form").attr('target', '_blank');
                $("#journals_search_form").submit();
                $("#journals_search_form").attr('action', '{{ route("AppJournals") }}');
                $("#search_submit_stat").val("");
                $("#journals_search_form").attr('target', '');
            });
            @endif
            @if (Roles::Check("accountant_print"))
            $("#_print_btn").on('click', function () {
                $("#search_submit_stat").val("print");
                $("#journals_search_form").attr('action', '{{ route("AppJournalsPrint") }}');
                $("#journals_search_form").attr('target', '_blank');
                $("#journals_search_form").submit();
                $("#journals_search_form").attr('action', '{{ route("AppJournals") }}');
                $("#search_submit_stat").val("");
                $("#journals_search_form").attr('target', '');
            });
            @endif

            @if(Helper::Preferences("date_type"))
            $("#search_start").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#search_end").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            @else
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            @endif


            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });

            $('.custom-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                }
            });
        });

        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppReceiptsDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', table_name, false);
        }

        function post_row(rid) {
            ajax_delete_row("<?php echo route("AppAccountantPost"); ?>/" + rid, '{{ trans("backLang.areYouSureToPostLedger") }}', '{{ trans("backLang.postDo") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.entryPostedSuccessfully") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', table_name, false, false, function () {
            }, true);
        }

        function unpost_row(rid) {
            ajax_delete_row("<?php echo route("AppAccountantUnPost"); ?>/" + rid, '{{ trans("backLang.areYouSureToCancelPostLedger") }}', '{{ trans("backLang.postCancel") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.entryUnPostedSuccessfully") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', table_name, false);
        }

        function view_receipt(id) {
            $("#_receipt_preview").modal('show');
            $('#_receipt_preview_details').html("<div class=\"text-center p-4\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            $.get("{{ route("AppReceiptPreview") }}/" + id, function (data) {
                $('#_receipt_preview_details').html(data);
            });
        }
    </script>
@endsection
