<div class="row">
    @if(Helper::Preferences("ar_box_status"))
        <div class="col-sm-6">
            <div class="form-group">
                <label
                    class="form-label">{!!  trans('backLang.bankName') !!} @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.arabicBox') !!}@endif</label>
                {!! Form::text('title_ar',$Bank->title_ar, array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.rtl'))) !!}
            </div>
        </div>
    @endif
    @if(Helper::Preferences("en_box_status"))
        <div class="col-sm-6">
            <div class="form-group">
                <label>{!!  trans('backLang.bankName') !!}  @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.englishBox') !!}@endif</label>
                <div>
                    {!! Form::text('title_en',$Bank->title_en, array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.ltr'))) !!}
                </div>
            </div>
        </div>
    @endif
    @include('back.accounting.ledgers.select')
    <div class="col-sm-6">
        <div class="form-group">
            <label>{!!  trans('backLang.ledgerAccount') !!}</label>
            <div>
                <select name="ledger_id"
                        class="form-control custom-list" required>
                    <option
                        value="">{{ trans('backLang.selectLedgerCat') }}</option>
                    {!! printAsSelectOptions($ledgers_array,NULL,$Bank->ledger_id,0) !!}
                </select>
            </div>
        </div>
    </div>
    <div class="col-sm-6">
        <div class="form-group">
            <label>{!!  trans('backLang.chargesLedgerAccount') !!}</label>
            <div>
                <select name="charges_ledger_id"
                        class="form-control custom-list" required>
                    <option
                        value="">{{ trans('backLang.selectLedgerCat') }}</option>
                    {!! printAsSelectOptions($ledgers_array,NULL,$Bank->charges_ledger_id,0) !!}
                </select>
            </div>
        </div>
    </div>
    <div class="col-sm-4">
        <div class="form-group">
            <label>{!!  trans('backLang.bankAccountNo') !!}</label>
            <div>
                {!! Form::text('code',$Bank->code, array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
            </div>
        </div>
    </div>
        <div class="col-sm-2">
            <div class="form-group">
                <label>{!!  trans('backLang.bankNo') !!}</label>
                <div>
                    {!! Form::text('bank_no',$Bank->bank_no, array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
                </div>
            </div>
        </div>
    <div class="col-sm-4">
        <div class="form-group">
            <label>{!!  trans('backLang.bankAccountName') !!}</label>
            <div>
                {!! Form::text('owner',$Bank->owner, array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
            </div>
        </div>
    </div>
    <div class="col-sm-2">
        <div class="form-group">
            <label class="form-label">{!!  trans('backLang.bankCurrency') !!}</label>
            <select name="currency" required
                    class="form-control custom-select">
                <option value="">{{ trans('backLang.chooseCurrency') }}</option>
                @foreach($Currencies as $CurrencyItem)
                    <option
                        value="{{ $CurrencyItem->id }}" {!! ($Bank->currency_id==$CurrencyItem->id)?"selected='selected'":"" !!}>{{ $CurrencyItem->{"title_".trans("backLang.code")} }}</option>
                @endforeach
            </select>
        </div>
    </div>
</div>
<input type="hidden" name="id" value="{{ encrypt($Bank->id) }}">
<script>

    $('.custom-list').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '<span class="code">' + escape(data.code) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                    escape(data.text) + '</div>';
            }
        }
    });
</script>
