<script type="text/javascript">

    $(document).ready(function () {
        var dataTable = $('#banks_table').DataTable({
            "processing": true,
            "serverSide": true,
            "searching": false,
            "responsive": true,
            "pageLength": table_paginate,
            "ajax": {
                "url": "{{ route('AppBanksList') }}",
                "dataType": "json",
                "type": "POST",
                "data": function (data) {
                    data._token = "{{csrf_token()}}";
                }

            },
            "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
            "fnDrawCallback": function () {
                if ($('#banks_table_paginate .paginate_button').length > 3) {
                    $('#banks_table_paginate')[0].style.display = "block";
                } else {
                    $('#banks_table_paginate')[0].style.display = "none";
                }
            },
            @if(trans('backLang.boxCode') =="ar")
            "language": {
                {!! trans("backLang.dataTablesTranslation") !!}
            },
            @endif
            "columns": [
                {
                    "className": "row_check", "width": "5%", "data": "check", "orderable": false
                },
                {"className": "row_check", "width": "5%", "data": "order"},
                {"data": "title"},
                {"data": "code"},
                {"data": "ledger_id"},
                {"data": "currency_id"},
                {"data": "status"},
                {
                    "width": "10%", "data": "options", "orderable": false
                }
            ],
            "order": [[1, "asc"]]
        });
        $.fn.dataTable.ext.errMode = 'none';

        $(".check-all-banks").on("click", function () {
            if ($(this).is(':checked')) {
                $('#banks_multi').find('input:checkbox').prop('checked', true);
            } else {
                $('#banks_multi').find('input:checkbox').prop('checked', false);
            }
        });

        // save bank
        ajax_post_form("create_bank", '{{ trans("backLang.add") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "#banks_table", false, false, true);

        // update bank
        ajax_post_form("edit_bank", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "#banks_table", false, false, true);

        // multi bank save
        ajax_post_form("banks_multi", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', false, "#banks_table", false, false, true);

        $(".options-list-banks .dropdown-item").on("click", function () {
            $("#banks_multi_action").val($(this).attr('data-action'));
            if ($(this).attr('data-action') == "delete") {
                swal({
                    title: "{{ trans("backLang.confirmationDeleteMsg") }}",
                    type: "error",
                    showCancelButton: true,
                    closeOnConfirm: false,
                    animation: "slide-from-top",
                    confirmButtonText: "{{ trans("backLang.delete") }}",
                    cancelButtonText: "{{ trans("backLang.cancel") }}",
                    showLoaderOnConfirm: true,
                    confirmButtonColor: "#F27474",
                }, function () {
                    $("#banks_multi_submit").trigger('click');
                    swal.close();
                });
            } else {
                $("#banks_multi_submit").trigger('click');
            }
        });

        $("#edit_bank").on("hidden.bs.modal", function () {
            $("#edit_bank_errors").hide();
            $('#edit_bank').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
        });

        $('.custom-list').selectize({
            searchField: 'search-text',
            render: {
                option: function (data, escape) {
                    return '<div>' +
                        '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                        '<span class="title">' + escape(data.text) + '</span>' +
                        '<span class="code">' + escape(data.code) + '</span>' +
                        '</div>';
                },
                item: function (data, escape) {
                    return '<div>' +
                        '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                        escape(data.text) + '</div>';
                }
            }
        });
    });

    // edit bank
    function edit_bank(rid) {
        $("#edit_bank_submit").prop('disabled', true);
        $.get("{{ route("AppBanksEdit") }}/" + rid, function (data) {
            $('#edit_bank').find('.modal-body .form-fields').html(data);
            $("#edit_bank_submit").prop('disabled', false);
        });
        $('#edit_bank').modal('show');
    }

    // delete bank
    function delete_bank(rid) {
        ajax_delete_row("<?php echo route("AppBanksDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "#banks_table", false);
    }
</script>
