@foreach(Cats::CategoriesTypes() as $key=>$CategoryType)
    @if($CategoryType['type']==1)
        <div class="tab-pane fade  p-3" id="category-{{ $key }}" role="tabpanel">

            @if (Roles::Check("add"))
                <button type="button" class="btn btn-primary mb-2 cat_add"
                        data-toggle="modal"
                        data-target="#create_category"><i
                        class="fe fe-plus"></i> {{ trans('backLang.add') }} {{ $CategoryType['title'] }}
                </button>
            @endif
            <div id="multi_{{ $key }}">
                {{Form::open(['route'=>['AppCategoriesMultiUpdate'],'method'=>'POST','id'=>'multi_'.$key.'_form'])}}
                <div class="pull-right" style="margin-top: -50px">
                    <div class="item-action dropdown">
                        <a href="javascript:void(0)"
                           class="btn btn-outline-primary dropdown-toggle btn-sm"
                           data-toggle="dropdown" aria-expanded="false"><i
                                class="fe fe-more-vertical"></i> {{ trans('backLang.options') }}
                        </a>
                        <div
                            class="options-list-{{ $key }} dropdown-menu dropdown-menu-{{ trans("backLang.right") }}"
                            x-placement="bottom-end">

                            <a href="javascript:void(0)" data-action="save"
                               class="dropdown-item"><i
                                    class="dropdown-icon fe fe-save"></i> {{ trans("backLang.saveOrder") }}
                            </a>
                            <a href="javascript:void(0)" data-action="activate"
                               class="dropdown-item"><i
                                    class="dropdown-icon fe fe-check"></i> {{ trans("backLang.activeSelected") }}
                            </a>
                            <a href="javascript:void(0)" data-action="block"
                               class="dropdown-item"><i
                                    class="dropdown-icon fe fe-x"></i> {{ trans("backLang.blockSelected") }}
                            </a>
                            <a href="javascript:void(0)" data-action="delete"
                               class="dropdown-item"><i
                                    class="dropdown-icon fe fe-trash"></i> {{ trans("backLang.deleteSelected") }}
                            </a>
                        </div>
                    </div>
                    <input type="hidden" name="action"
                           id="multi_{{ $key }}_action">
                    <button type="submit" class="displaynone"
                            id="multi_{{ $key }}_submit"></button>
                </div>
                <div class="alert alert-danger displaynone"
                     id="multi_{{ $key }}_errors">
                    <ul></ul>
                </div>
                <div class="table-responsive mt-3">
                    <table
                        class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                        id="category-{{ $key }}-table">
                        <thead>
                        <th class="text-center row_check">
                            <label class="custom-control custom-checkbox">
                                <input type="checkbox"
                                       class="custom-control-input check-all"
                                       value="{{ $key }}">
                                <span class="custom-control-label">&nbsp;</span>
                            </label>
                        </th>
                        <th class="row_check">{{ trans('backLang.sorting') }}</th>
                        <th>{{ trans('backLang.CatTitle') }}</th>
                        @if($key== 8 || $key==9)
                            <th>{{ trans('backLang.ledgerAccount') }}</th>
                        @endif
                        <th>{{ trans('backLang.status') }}</th>
                        @if($CategoryType['multi-levels'])
                            <th>{{ trans('backLang.parentSection') }}</th>
                        @endif
                        <th class="text-center">{{ trans('backLang.options') }}</th>
                        </thead>
                    </table>
                </div>

                {{Form::close()}}
            </div>
        </div>
    @endif
@endforeach

<div class="modal fade" id="create_category" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            {{Form::open(['route'=>['AppCategoriesStore'],'method'=>'POST','id'=>'create_category_form'])}}
            <div class="modal-header">
                <h5 class="modal-title"><span id="cat_add_title"></span></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger displaynone" id="create_category_errors">
                    <ul></ul>
                </div>
                <div class="form-fields">
                    <div class="text-center">
                        <div class="loader" style="display: inline-block"></div>
                        <div>
                            <small class="text-muted">{{ trans("backLang.loading") }}</small>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-dismiss="modal"><i
                        class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                </button>
                <button type="submit" id="create_category_submit" class="btn btn-primary">
                    &nbsp; <i
                        class="fe fe-save"></i> {!!  trans('backLang.add') !!} &nbsp;
                </button>
            </div>
            {{Form::close()}}
        </div>
    </div>
</div>
<div class="modal fade" id="edit_category" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            {{Form::open(['route'=>['AppCategoriesUpdate'],'method'=>'POST','id'=>'edit_category_form'])}}
            <div class="modal-header">
                <h5 class="modal-title"><i
                        class="icon-pencil mb-2"></i> {{ trans('backLang.edit') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger displaynone" id="edit_category_errors">
                    <ul></ul>
                </div>
                <div class="form-fields">
                    <div class="text-center">
                        <div class="loader" style="display: inline-block"></div>
                        <div>
                            <small class="text-muted">{{ trans("backLang.loading") }}</small>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-dismiss="modal"><i
                        class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                </button>
                <button type="submit" id="edit_category_submit" class="btn btn-primary">
                    &nbsp; <i
                        class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                </button>
            </div>
            {{Form::close()}}
        </div>
    </div>
</div>
