@if (Roles::Check("accountant_period_close"))
    <div class="modal fade" id="close_period" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['appAccountingPeriodClose'],'method'=>'POST','id'=>'close_period_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title">{{ trans("backLang.accountantPeriodClose") }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body text-center">

                    <div class="alert alert-info">{!! trans("backLang.accountantPeriodCloseAlert") !!}</div>
                    <div class="alert alert-danger displaynone m-0" id="close_period_errors">
                        <ul></ul>
                    </div>
                    <div class="form-group">
                        <label
                            class="form-label text-danger font-weight-bold">{!!  trans('backLang.accountantPeriodWillClose') !!}
                            : </label>
                        <div class="p-2 border bg-light mt-2 font-15 rounded">
                            <span class="font-weight-bold">{{ @$PeriodItem->code }}</span>
                            &nbsp; &nbsp;
                            <span class="badge badge-secondary">{{ trans("backLang.fromDate") }}</span>
                            <span class="font-weight-bold">{{ @$DefaultPeriod->start }}</span>
                            &nbsp; &nbsp;
                            <span class="badge badge-secondary">{{ trans("backLang.toDate") }}</span>
                            <span class="font-weight-bold">{{ @$DefaultPeriod->end }}</span>
                        </div>
                    </div>
                    @php($p_count=0)
                    @php($required="required")
                    <div class="form-group mt-2">
                        <label
                            class="form-label text-success font-weight-bold">{!!  trans('backLang.chooseNewAccountantPeriod') !!}</label>
                        <select name="new_period" id="new_period" required
                                class="form-control custom-select">
                            @foreach($Periods as $PeriodItem)
                                @if($PeriodItem->status && $PeriodItem->id!=@$DefaultPeriod->id)
                                    @php($p_count++)
                                    @php($required="")
                                    <option
                                        {!! (!$PeriodItem->status)?"disabled='disabled'":"" !!}
                                        value="{{ $PeriodItem->id }}">
                                        {{ $PeriodItem->code }}
                                        ( {{ trans("backLang.fromDate") }}
                                        : {{ date('Y/m/d', strtotime($PeriodItem->start)) }}
                                        - {{ trans("backLang.toDate") }}
                                        : {{ date('Y/m/d', strtotime($PeriodItem->end)) }} )
                                    </option>
                                @endif
                            @endforeach
                            <option value="-1">[ {{ trans('backLang.addNewPeriod') }} ]</option>
                        </select>

                        <div id="new_period_details"
                             class="mt-3 p-3 border bg-light {{ ($p_count>0)?"displaynone":"" }}">
                            <div class="form-group">
                                <label class="form-label">{!!  trans('backLang.periodCode') !!}</label>
                                {!! Form::text('code','', array('id' => 'new_period_code','class' => 'form-control',$required=>'')) !!}
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>{!!  trans('backLang.startDate') !!}</label>
                                        <div>
                                            {!! Form::text('start','', array('id' => 'new_period_start','class' => 'form-control datepicker text-center',$required=>'','autocomplete'=>'off')) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>{!!  trans('backLang.endDate') !!}</label>
                                        <div>
                                            {!! Form::text('end','', array('id' => 'new_period_end','class' => 'form-control datepicker text-center',$required=>'','autocomplete'=>'off')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="close_period_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {!!  trans('backLang.accountantPeriodClose') !!} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
@endif
