@if (Roles::Check("add"))
    <div class="modal fade" id="create_currency" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppCurrenciesStore'],'method'=>'POST','id'=>'create_currency_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="fe fe-plus mb-2"></i> {{ trans('backLang.addNewCurrency') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_currency_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        @if(Helper::Preferences("ar_box_status"))
                            <div class="form-group">
                                <label
                                    class="form-label">{!!  trans('backLang.currencyName') !!} @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.arabicBox') !!}@endif</label>
                                {!! Form::text('title_ar','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.rtl'))) !!}
                            </div>
                        @endif
                        @if(Helper::Preferences("en_box_status"))
                            <div class="form-group">
                                <label>{!!  trans('backLang.currencyName') !!}  @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.englishBox') !!}@endif</label>
                                <div>
                                    {!! Form::text('title_en','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.ltr'))) !!}
                                </div>
                            </div>
                        @endif
                        <div class="row">
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label>{!!  trans('backLang.currencyCode') !!}</label>
                                    <div>
                                        {!! Form::text('code','', array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label>{!!  trans('backLang.currencySymbol') !!}</label>
                                    <div>
                                        {!! Form::text('symbol','', array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label>{!!  trans('backLang.currencyRate') !!}</label>
                                    <div>
                                        {!! Form::text('rate',1, array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="create_currency_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {!!  trans('backLang.add') !!} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
@endif
@if (Roles::Check("edit"))
<div class="modal fade" id="edit_currency" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            {{Form::open(['route'=>['AppCurrenciesUpdate'],'method'=>'POST','id'=>'edit_currency_form'])}}
            <div class="modal-header">
                <h5 class="modal-title"><i
                        class="icon-pencil mb-2"></i> {{ trans('backLang.editCurrency') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger displaynone" id="edit_currency_errors">
                    <ul></ul>
                </div>
                <div class="form-fields">
                    <div class="text-center">
                        <div class="loader" style="display: inline-block"></div>
                        <div>
                            <small class="text-muted">{{ trans("backLang.loading") }}</small>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-dismiss="modal"><i
                        class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                </button>
                <button type="submit" id="edit_currency_submit" class="btn btn-primary">
                    &nbsp; <i
                        class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                </button>
            </div>
            {{Form::close()}}
        </div>
    </div>
</div>
@endif
