<script type="text/javascript">

    $(document).ready(function () {
        var dataTable = $('#currencies_table').DataTable({
            "processing": true,
            "serverSide": true,
            "searching": false,
            "responsive": true,
            "pageLength": table_paginate,
            "ajax": {
                "url": "{{ route('AppCurrenciesList') }}",
                "dataType": "json",
                "type": "POST",
                "data": function (data) {
                    data._token = "{{csrf_token()}}";
                }

            },
            "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
            "fnDrawCallback": function () {
                if ($('#currencies_table_paginate .paginate_button').length > 3) {
                    $('#currencies_table_paginate')[0].style.display = "block";
                } else {
                    $('#currencies_table_paginate')[0].style.display = "none";
                }
            },
            @if(trans('backLang.boxCode') =="ar")
            "language": {
                {!! trans("backLang.dataTablesTranslation") !!}
            },
            @endif
            "columns": [
                {
                    "className": "row_check", "width": "5%", "data": "check", "orderable": false
                },
                {"className": "row_check", "width": "5%", "data": "order"},
                {"data": "title"},
                {"data": "code"},
                {"data": "symbol"},
                {"data": "rate"},
                {"data": "status"},
                {
                    "width": "10%", "data": "options", "orderable": false
                }
            ],
            "order": [[1, "asc"]]
        });
        $.fn.dataTable.ext.errMode = 'none';

        $(".check-all-currencies").on("click", function () {
            if ($(this).is(':checked')) {
                $('#currencies_multi').find('input:checkbox').prop('checked', true);
            } else {
                $('#currencies_multi').find('input:checkbox').prop('checked', false);
            }
        });

        // save currency
        ajax_post_form("create_currency", '{{ trans("backLang.add") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "#currencies_table", false, false, true);

        // update currency
        ajax_post_form("edit_currency", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "#currencies_table", false, false, true);

        // multi currency save
        ajax_post_form("currencies_multi", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', false, "#currencies_table", true, false, true);

        $(".options-list-currencies .dropdown-item").on("click", function () {
            $("#currencies_multi_action").val($(this).attr('data-action'));
            if ($(this).attr('data-action') == "delete") {
                swal({
                    title: "{{ trans("backLang.confirmationDeleteMsg") }}",
                    type: "error",
                    showCancelButton: true,
                    closeOnConfirm: false,
                    animation: "slide-from-top",
                    confirmButtonText: "{{ trans("backLang.delete") }}",
                    cancelButtonText: "{{ trans("backLang.cancel") }}",
                    showLoaderOnConfirm: true,
                    confirmButtonColor: "#F27474",
                }, function () {
                    $("#currencies_multi_submit").trigger('click');
                    swal.close();
                });
            } else {
                $("#currencies_multi_submit").trigger('click');
            }
        });

        $("#edit_currency").on("hidden.bs.modal", function () {
            $("#edit_currency_errors").hide();
            $('#edit_currency').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
        });
    });

    // edit currency
    function edit_currency(rid) {
        $("#edit_currency_submit").prop('disabled', true);
        $.get("{{ route("AppCurrenciesEdit") }}/" + rid, function (data) {
            $('#edit_currency').find('.modal-body .form-fields').html(data);
            $("#edit_currency_submit").prop('disabled', false);
        });
        $('#edit_currency').modal('show');
    }

    // delete currency
    function delete_currency(rid) {
        ajax_delete_row("<?php echo route("AppCurrenciesDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "#currencies_table", false);
    }
</script>
