@if (Roles::Check("add"))
    <div class="modal fade" id="create_fund" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppBanksStore'],'method'=>'POST','id'=>'create_fund_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="fe fe-plus mb-2"></i> {{ trans('backLang.addBank') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_fund_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        @if(Helper::Preferences("ar_box_status"))
                            <div class="form-group">
                                <label
                                    class="form-label">{!!  trans('backLang.fundName') !!} @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.arabicBox') !!}@endif</label>
                                {!! Form::text('title_ar','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.rtl'))) !!}
                            </div>
                        @endif
                        @if(Helper::Preferences("en_box_status"))
                            <div class="form-group">
                                <label>{!!  trans('backLang.fundName') !!}  @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.englishBox') !!}@endif</label>
                                <div>
                                    {!! Form::text('title_en','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.ltr'))) !!}
                                </div>
                            </div>
                        @endif
                        <div class="form-group">
                            <label>{!!  trans('backLang.ledgerAccount') !!}</label>
                            <div>
                                <select name="ledger_id"
                                        class="form-control custom-list" required>
                                    <option
                                        value="">{{ trans('backLang.selectLedgerCat') }}</option>
                                    {!! printAsSelectOptions($ledgers_array,NULL,0,0) !!}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <input type="hidden" name="type" value="1">
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="create_fund_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {!!  trans('backLang.add') !!} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
@endif
@if (Roles::Check("edit"))
    <div class="modal fade" id="edit_fund" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppBanksUpdate'],'method'=>'POST','id'=>'edit_fund_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-pencil mb-2"></i> {{ trans('backLang.editFund') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="edit_fund_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="edit_fund_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
@endif
