@extends('back.layouts.master')
@section('title', trans('backLang.accountantSettings'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><i
                            class='icon-wallet'></i> {{ trans('backLang.accountant') }}</li>
                    <li class="breadcrumb-item active"
                        aria-current="page">{{ trans('backLang.accountantSettings') }}</li>
                </ol>
            </nav>
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <ul role="tablist" class="nav nav-tabs nav-tabs-scroll">
                                <li class="nav-item"><a data-toggle="pill" href="#settings_tab" role="tab"
                                                        aria-selected="false" class="nav-link  active">
                                        {{ trans('backLang.generalSettings') }}
                                    </a></li>
                                <li class="nav-item"><a data-toggle="pill" href="#funds_tab" role="tab"
                                                        aria-selected="false"
                                                        class="nav-link  ">
                                        {{ trans('backLang.financialFunds') }}
                                    </a></li>
                                <li class="nav-item"><a data-toggle="pill" href="#banks_tab" role="tab"
                                                        aria-selected="false"
                                                        class="nav-link  ">
                                        {{ trans('backLang.bankAccountsTree') }}
                                    </a></li>
                                @foreach(Cats::CategoriesTypes() as $key=>$CategoryType)
                                    @if($CategoryType['type']==1)

                                        <li class="nav-item"><a data-toggle="pill" href="#category-{{ $key }}"
                                                                role="tab"
                                                                onclick="set_cat('{{ $key }}')"
                                                                aria-selected="false"
                                                                class="nav-link  ">
                                                {{ $CategoryType['title'] }}
                                            </a></li>
                                    @endif
                                @endforeach
                                <li class="nav-item"><a data-toggle="pill" href="#periods_tab" role="tab"
                                                        aria-selected="false"
                                                        class="nav-link  ">
                                        {{ trans('backLang.accountingPeriods') }}
                                    </a></li>
                                <li class="nav-item"><a data-toggle="pill" href="#currencies_tab" role="tab"
                                                        aria-selected="false"
                                                        class="nav-link  ">
                                        {{ trans('backLang.currencies') }}
                                    </a></li>
                            </ul>
                        </div>
                        <div class="card-body pa-0">
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="tab-content">
                                        <div id="settings_tab" role="tabpanel" class="tab-pane fade show active">
                                            {{Form::open(['route'=>['appAccountingSettingsUpdate'],'method'=>'POST'])}}
                                            <div class="px-3">
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.currentPeriod') !!}</label>
                                                            <select name="default_period" id="default_period" required
                                                                    class="form-control custom-select">
                                                                <option
                                                                    value="">{{ trans('backLang.selectPeriod') }}</option>
                                                                @foreach($Periods as $PeriodItem)
                                                                    <option
                                                                        {!! (!$PeriodItem->status)?"disabled='disabled'":"" !!}
                                                                        value="{{ $PeriodItem->id }}"
                                                                        {!! ($Preferences->default_period==$PeriodItem->id)?"selected='selected'":"" !!} data-start="{{ date('Y/m/d', strtotime($PeriodItem->start)) }}"
                                                                        data-end="{{ date('Y/m/d', strtotime($PeriodItem->end)) }}">
                                                                        {{ $PeriodItem->code }}
                                                                        ({!! (!$PeriodItem->status)?trans('backLang.closed'):trans('backLang.opened') !!}
                                                                        )
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                            <div
                                                                class="p-2 border bg-light mt-2 font-15 rounded">
                                                            <span
                                                                class="badge badge-secondary">{{ trans("backLang.fromDate") }}</span>
                                                                <span id="start_span"
                                                                      class=" pull-right">{{ @$DefaultPeriod->start }}</span>
                                                                <br>
                                                                <span
                                                                    class="badge badge-secondary">{{ trans("backLang.toDate") }}</span>
                                                                <span id="end_span"
                                                                      class=" pull-right">{{ @$DefaultPeriod->end }}</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    @if (Roles::Check("accountant_period_close"))
                                                        @if(@$DefaultPeriod->status)
                                                            <div class="col-sm-8">
                                                                <div class="form-group">
                                                                    <div class="p-3 border bg-light rounded">
                                                                        <label
                                                                            class="form-label text-gray"><strong>{!!  trans('backLang.accountantPeriodClose') !!}</strong></label>
                                                                        <div
                                                                            class="text-gray">{!!  trans('backLang.accountantPeriodCloseAlert') !!}</div>
                                                                        <button type="button"
                                                                                class="btn btn-secondary btn-sm mt-1"
                                                                                data-toggle="modal"
                                                                                data-target="#close_period">{!!  trans('backLang.accountantPeriodClose') !!}</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        @endif
                                                    @endif
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="px-3">
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.defaultFund') !!}</label>
                                                            <select name="default_fund" required
                                                                    class="form-control custom-select">
                                                                <option
                                                                    value="">{{ trans('backLang.selectFund') }}</option>
                                                                @foreach($Funds as $FundItem)
                                                                    <option
                                                                        value="{{ $FundItem->id }}" {!! ($Preferences->default_fund==$FundItem->id)?"selected='selected'":"" !!}>{{ $FundItem->{"title_".trans("backLang.code")} }}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                    </div>
                                                    @include('back.accounting.ledgers.select')
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.incomeLedger') !!}</label>
                                                            <select name="revenues_ledger"
                                                                    class="form-control list-items" required>
                                                                <option
                                                                    value="">{{ trans('backLang.selectLedgerCat') }}</option>
                                                                {!! printAsSelectOptions($ledgers_array,NULL,$Preferences->revenues_ledger,0) !!}
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.expensesLedger') !!}</label>
                                                            <select name="expenses_ledger"
                                                                    class="form-control list-items" required>
                                                                <option
                                                                    value="">{{ trans('backLang.selectLedgerCat') }}</option>
                                                                {!! printAsSelectOptions($ledgers_array,NULL,$Preferences->expenses_ledger,0) !!}
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.loansLedger') !!}</label>
                                                            <select name="loans_ledger"
                                                                    class="form-control list-items" required>
                                                                <option
                                                                    value="">{{ trans('backLang.selectLedgerCat') }}</option>
                                                                {!! printAsSelectOptions($ledgers_array,NULL,$Preferences->loans_ledger,0) !!}
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.defaultCurrency') !!}</label>
                                                            <select name="default_currency" required
                                                                    class="form-control custom-select">
                                                                <option
                                                                    value="">{{ trans('backLang.chooseCurrency') }}</option>
                                                                @foreach($Currencies as $CurrencyItem)
                                                                    <option
                                                                        value="{{ $CurrencyItem->id }}" {!! ($Preferences->default_currency==$CurrencyItem->id)?"selected='selected'":"" !!}>{{ $CurrencyItem->{"title_".trans("backLang.code")} }} {{ $CurrencyItem->code }}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.postingToLedger') !!}</label>
                                                            <select name="posting_method"
                                                                    class="form-control custom-select"
                                                                    required>
                                                                <option
                                                                    value="1" {!! ($Preferences->posting_method==1)?"selected='selected'":"" !!}>{{ trans('backLang.automatic') }}</option>
                                                                <option
                                                                    value="0" {!! ($Preferences->posting_method==0)?"selected='selected'":"" !!}>{{ trans('backLang.manual') }}</option>
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.decimalRound') !!}</label>
                                                            <select name="decimal_round"
                                                                    class="form-control custom-select" required>
                                                                <option
                                                                    value="0" {!! ($Preferences->decimal_round==0)?"selected='selected'":"" !!}>
                                                                    0
                                                                </option>
                                                                <option
                                                                    value="1" {!! ($Preferences->decimal_round==1)?"selected='selected'":"" !!}>
                                                                    1 ( {!!  trans('backLang.example') !!}: 1.0 )
                                                                </option>
                                                                <option
                                                                    value="2" {!! ($Preferences->decimal_round==2 || $Preferences->decimal_round=="")?"selected='selected'":"" !!}>
                                                                    2 ( {!!  trans('backLang.example') !!}: 1.00 )
                                                                </option>
                                                                <option
                                                                    value="3" {!! ($Preferences->decimal_round==3)?"selected='selected'":"" !!}>
                                                                    3 ( {!!  trans('backLang.example') !!}: 1.000 )
                                                                </option>
                                                                <option
                                                                    value="4" {!! ($Preferences->decimal_round==4)?"selected='selected'":"" !!}>
                                                                    4 ( {!!  trans('backLang.example') !!}: 1.0000 )
                                                                </option>
                                                                <option
                                                                    value="5" {!! ($Preferences->decimal_round==5)?"selected='selected'":"" !!}>
                                                                    5 ( {!!  trans('backLang.example') !!}: 1.00000 )
                                                                </option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.thousandSymbol') !!}</label>
                                                            <select name="thousand_symbol"
                                                                    class="form-control custom-select">
                                                                <option
                                                                    value="" {!! ($Preferences->thousand_symbol=="")?"selected='selected'":"" !!}>{!!  trans('backLang.none') !!}
                                                                    ( {!!  trans('backLang.example') !!}: 10000 )
                                                                </option>
                                                                <option
                                                                    value="," {!! ($Preferences->thousand_symbol==",")?"selected='selected'":"" !!}>
                                                                    , ( {!!  trans('backLang.example') !!}: 10,000 )
                                                                </option>
                                                                <option
                                                                    value="،" {!! ($Preferences->thousand_symbol=="،")?"selected='selected'":"" !!}>
                                                                    ، ( {!!  trans('backLang.example') !!}: 10،000 )
                                                                </option>
                                                                <option
                                                                    value="." {!! ($Preferences->thousand_symbol==".")?"selected='selected'":"" !!}>
                                                                    . ( {!!  trans('backLang.example') !!}: 10.000 )
                                                                </option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <label
                                                                class="form-label">{!!  trans('backLang.decimalSymbol') !!}</label>
                                                            <select name="decimal_symbol"
                                                                    class="form-control custom-select" required>
                                                                <option
                                                                    value="." {!! ($Preferences->decimal_symbol==".")?"selected='selected'":"" !!}>
                                                                    . ( {!!  trans('backLang.example') !!}: 100.50 )
                                                                </option>
                                                                <option
                                                                    value="," {!! ($Preferences->decimal_symbol==",")?"selected='selected'":"" !!}>
                                                                    , ( {!!  trans('backLang.example') !!}: 100,50 )
                                                                </option>
                                                                <option
                                                                    value="،" {!! ($Preferences->decimal_symbol=="،")?"selected='selected'":"" !!}>
                                                                    ، ( {!!  trans('backLang.example') !!}: 100،50 )
                                                                </option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="px-3">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="pull-right">
                                                            <a href="https://www.currencyconverterapi.com/"
                                                               target="_blank">currencyconverterapi.com</a>
                                                        </div>
                                                        <label
                                                            class="form-label">{!!  trans('backLang.currencyRates') !!}</label>
                                                        {!! Form::text('CURRENCY_CONVERTER_API_KEY',env("CURRENCY_CONVERTER_API_KEY"), array('placeholder' => '','class' => 'form-control')) !!}
                                                    </div>
                                                </div>
                                            </div>
                                            @if (Lang::has('backLang.ledgerSettings', 'ar'))
                                                <hr>
                                                <div class="px-3 pos_settings">
                                                    <h5 class="mt-4">{!!  trans('backLang.ledgerSettingsTitle') !!}</h5>
                                                    <?php
                                                    try {
                                                        $warehouses = DB::select('SELECT * FROM sma_warehouses');
                                                    } catch (\Exception $e) {
                                                        $warehouses = [];
                                                    }
                                                    ?>
                                                    <ul role="tablist" class="nav nav-tabs nav-tabs-scroll">
                                                        <li class="nav-item"><a data-toggle="pill" href="#pos_tab"
                                                                                role="tab"
                                                                                aria-selected="false"
                                                                                class="nav-link  active">
                                                                {{ trans('backLang.generalSettings') }}
                                                            </a></li>
                                                        @if (Lang::has('backLang.ledgerSettingsByBranch', 'ar'))
                                                            @if(count(@$warehouses)>0)
                                                                @foreach($warehouses as $warehouse)
                                                                    <li class="nav-item"><a data-toggle="pill"
                                                                                            href="#pos_b_{!!  $warehouse->id !!}_tab"
                                                                                            onclick="load_pos_branch('{!!  $warehouse->id !!}')"
                                                                                            role="tab"
                                                                                            aria-selected="false"
                                                                                            class="nav-link ">
                                                                            {!!  $warehouse->name !!}
                                                                        </a></li>
                                                                @endforeach
                                                            @endif
                                                        @endif
                                                    </ul>
                                                    <div class="tab-content">
                                                        <div id="pos_tab" role="tabpanel"
                                                             class="tab-pane fade show active">
                                                            <div class="row mt-2">
                                                                @foreach(trans('backLang.ledgerSettings') as $key=>$ledgerSettings)
                                                                    <div class="col-sm-4">
                                                                        <div class="form-group">
                                                                            <label
                                                                                class="form-label">{!!  $ledgerSettings !!}</label>
                                                                            <select name="{{ $key }}"
                                                                                    class="form-control list-items">
                                                                                <option
                                                                                    value="">{!!  trans('backLang.selectLedgerCat') !!}</option>
                                                                                {!! printAsSelectOptions($ledgers_array,NULL,@$Preferences->$key,0) !!}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                @endforeach
                                                            </div>
                                                        </div>
                                                        @if (Lang::has('backLang.ledgerSettingsByBranch', 'ar'))
                                                            @if(count(@$warehouses)>0)
                                                                @foreach($warehouses as $warehouse)
                                                                    <div id="pos_b_{!!  $warehouse->id !!}_tab"
                                                                         role="tabpanel"
                                                                         class="tab-pane fade">
                                                                        <div class="mt-2">
                                                                            <div
                                                                                id="load_b_{!!  $warehouse->id !!}_settings">
                                                                                <div class="text-center p-4">
                                                                                    <div class="loader"
                                                                                         style="display: inline-block"></div>
                                                                                    <div>
                                                                                        <small
                                                                                            class="text-muted">{{ trans("backLang.loading") }}</small>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                @endforeach
                                                            @endif
                                                        @endif
                                                    </div>
                                                </div>
                                            @endif
                                            <hr>
                                            <div class=" mx-3 my-3">
                                                <input type="hidden" name="loaded_pos" id="loaded_pos" value="">
                                                <button type="submit"
                                                        class="btn btn-primary">  {!! trans('backLang.save') !!} {{ trans('backLang.accountantSettings') }}</button>
                                            </div>
                                            {{Form::close()}}
                                        </div>
                                        <div id="funds_tab" role="tabpanel" class="tab-pane fade p-3">
                                            @include('back.accounting.preferences.funds.list')
                                        </div>
                                        <div id="banks_tab" role="tabpanel" class="tab-pane fade p-3">
                                            @include('back.accounting.preferences.banks.list')
                                        </div>
                                        @include('back.accounting.preferences.cats')
                                        <div id="currencies_tab" role="tabpanel" class="tab-pane fade p-3">
                                            @include('back.accounting.preferences.currencies.list')
                                        </div>
                                        <div id="periods_tab" role="tabpanel" class="tab-pane fade p-3">
                                            @include('back.accounting.preferences.periods.list')
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section("popup")
    @include('back.accounting.preferences.close')
@endsection
@push("after-styles")
    <link rel="stylesheet" href="{{ asset('back/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.css') }}">
@endpush
@push("after-scripts")
    <script src="{{ asset('back/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js') }}"></script>
@endpush
@section("page-script")
    <script>
        var current_cat = "8";

        function set_cat(cat) {
            current_cat = cat;
            $("#_cats_add_stat").hide();
            if (cat == 8 || cat == 9) {
                $("#_cats_add_stat").show();
            }
        }

        var table_paginate = "{{ DeviceTrust::settings('BACKEND_PAGINATION') }}";

        @foreach(Cats::CategoriesTypes() as $key=>$CategoryType)
        @if($CategoryType['type']==1)
        $(document).ready(function () {

            $("#category-{{ $key }}-table").DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('AppCategoriesList') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.cat = '{{ $key }}';
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($("#category-{{ $key }}-table" + '_paginate .paginate_button').length > 3) {
                        $("#category-{{ $key }}-table" + '_paginate')[0].style.display = "block";
                    } else {
                        $("#category-{{ $key }}-table" + '_paginate')[0].style.display = "none";
                    }
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {
                        "className": "row_check", "width": "5%", "data": "check", "orderable": false
                    },
                    {"className": "row_check", "width": "5%", "data": "order"},
                    {"data": "title"},
                        @if($key== 8 || $key==9)
                    {
                        "data": "ledger_id"
                    },
                        @endif
                    {
                        "data": "status"
                    },
                        @if($CategoryType['multi-levels'])
                    {
                        "data": "father_id"
                    },
                        @endif
                    {
                        "width": "10%", "data": "options", "orderable": false
                    }
                ],
                "order": [[1, "asc"]]

            });

            $(".options-list-{{ $key }} .dropdown-item").on("click", function () {
                $("#multi_{{ $key }}_action").val($(this).attr('data-action'));
                if ($(this).attr('data-action') == "delete") {
                    swal({
                        title: "{{ trans("backLang.confirmationDeleteMsg") }}",
                        type: "error",
                        showCancelButton: true,
                        closeOnConfirm: false,
                        animation: "slide-from-top",
                        confirmButtonText: "{{ trans("backLang.delete") }}",
                        cancelButtonText: "{{ trans("backLang.cancel") }}",
                        showLoaderOnConfirm: true,
                        confirmButtonColor: "#F27474",
                    }, function () {
                        $("#multi_{{ $key }}_submit").trigger('click');
                        swal.close();
                    });
                } else {
                    $("#multi_{{ $key }}_submit").trigger('click');
                }
            });

            // multi save
            ajax_post_form("multi_{{ $key }}", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', false, "#category-{{ $key }}-table", false, false, true);
        });
        @endif
        @endforeach

        let pos_loaded = [];
        @if(count(@$warehouses)>0)
        @foreach($warehouses as $warehouse)
        @if (Lang::has('backLang.ledgerSettingsByBranch', 'ar'))
        @foreach(trans('backLang.ledgerSettingsByBranch') as $key=>$ledgerSettings)
        let {{ $key }}_{{ @$warehouse->id}} = '{{ @$Preferences->{$key."_".@$warehouse->id} }}';
        @endforeach
        @endif
        @endforeach
        @endif


        function load_pos_branch(id) {
            if (pos_loaded.includes(parseInt(id))) {

            } else {
                pos_loaded.push(parseInt(id));
                $("#loaded_pos").val($("#loaded_pos").val() + parseInt(id) + ',');
                $("#load_b_" + id + "_settings").html("<div class=\"text-center p-4\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
                $.get("{{ route("appAccountingSettingsLoad") }}/" + id, function (data) {
                    $("#load_b_" + id + "_settings").html(data);
                });
            }
        }

        function CopyPOSSettings(from, to) {
            if (confirm("{{ trans('backLang.copySettingsSure') }}")) {
                @if (Lang::has('backLang.ledgerSettingsByBranch', 'ar'))
                @foreach(trans('backLang.ledgerSettingsByBranch') as $key=>$ledgerSettings)
                $(".pos_settings .{{ $key }}_" + to).data('selectize').setValue(eval("{{ $key }}_" + from));
                @endforeach
                @endif
            }
        }

        $(document).ready(function () {

            $(".check-all").on("click", function () {
                if ($(this).is(':checked')) {
                    $('#multi_' + $(this).val()).find('input:checkbox').prop('checked', true);
                } else {
                    $('#multi_' + $(this).val()).find('input:checkbox').prop('checked', false);
                }
            });

            $('#create_category').on('show.bs.modal', function () {
                $("#create_category_submit").prop('disabled', true);
                $.get("{{ route("AppCategoriesCreate") }}/" + current_cat, function (data) {
                    $('#create_category').find('.modal-body .form-fields').html(data);
                    $("#create_category_submit").prop('disabled', false);
                });
            });

            $("#create_category").on("hidden.bs.modal", function () {
                $("#create_category_errors").hide();
                $('#create_category').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            });

            // store category
            $('#create_category_form').submit(function (evt) {
                evt.preventDefault();
                $('#create_category_submit').html(" &nbsp; <div class=\"loader loader-inline loader-inline-dark\"></div> {{ trans("backLang.add") }}  &nbsp; ");
                $('#create_category_submit').prop('disabled', true);
                var formData = new FormData(this);
                var xhr = $.ajax({
                    type: "POST",
                    url: $(this).attr('action'),
                    data: formData,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (result) {
                        $('#create_category_errors').find("ul").html('');
                        $('#create_category_submit').html(" &nbsp; <i class=\"fe fe-save\"></i> {{ trans("backLang.add") }} &nbsp; ");
                        $('#create_category_submit').prop('disabled', false);
                        if (result.stat == 'success') {
                            $('#create_category_errors').hide();
                            $("#category-" + current_cat + "-table").DataTable().ajax.reload();

                            swal({
                                title: "<span class='text-success'>{!! trans("backLang.addDone") !!}</span>",
                                html: true,
                                type: "success",
                                confirmButtonText: '{!! trans("backLang.close") !!}',
                                confirmButtonColor: "#acacac",
                                timer: 5000,
                            });
                            $('#create_category').modal('hide');
                        } else {
                            $('#create_category_errors').css('display', 'block');
                            $.each(result.error, function (key, value) {
                                $('#create_category_errors').find("ul").append('<li>' + value + '</li>');
                            });
                        }
                    }
                });
                //console.log(xhr);
            });

            // update category
            $('#edit_category_form').submit(function (evt) {
                evt.preventDefault();
                $('#edit_category_submit').html(" &nbsp; <div class=\"loader loader-inline loader-inline-dark\"></div> {{ trans("backLang.save") }}  &nbsp; ");
                $('#edit_category_submit').prop('disabled', true);
                var formData = new FormData(this);
                $.ajax({
                    type: "POST",
                    url: $(this).attr('action'),
                    data: formData,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (result) {
                        $('#edit_category_errors').find("ul").html('');
                        $('#edit_category_submit').html(" &nbsp; <i class=\"fe fe-save\"></i> {{ trans("backLang.save") }} &nbsp; ");
                        $('#edit_category_submit').prop('disabled', false);
                        if (result.stat == 'success') {
                            $('#edit_category_errors').hide();
                            $("#category-" + current_cat + "-table").DataTable().ajax.reload();

                            swal({
                                title: "<span class='text-success'>{!! trans("backLang.saveDone") !!}</span>",
                                html: true,
                                type: "success",
                                confirmButtonText: '{!! trans("backLang.close") !!}',
                                confirmButtonColor: "#acacac",
                                timer: 5000,
                            });
                            $('#edit_category').modal('hide');
                        } else {
                            $('#edit_category_errors').css('display', 'block');
                            $.each(result.error, function (key, value) {
                                $('#edit_category_errors').find("ul").append('<li>' + value + '</li>');
                            });
                        }
                    }
                });
            });

            $("#edit_category").on("hidden.bs.modal", function () {
                $("#edit_category_errors").hide();
                $('#edit_category').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            });

            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });

            $("#default_period").change(function () {
                var element = $(this).find('option:selected');
                var start = element.attr("data-start");
                var end = element.attr("data-end");
                if (start != "" && start != undefined) {
                    $('#start_span').html(start);
                } else {
                    $('#start_span').html("--  --  --");
                }
                if (end != "" && end != undefined) {
                    $('#end_span').html(end);
                } else {
                    $('#end_span').html("--  --  --");
                }
            });
            $("#new_period").change(function () {
                if ($(this).val() == "-1") {
                    $("#new_period_details").show();
                    $("#new_period_code").prop('required', true);
                    $("#new_period_start").prop('required', true);
                    $("#new_period_end").prop('required', true);
                } else {
                    $("#new_period_details").hide();
                    $("#new_period_code").prop('required', false);
                    $("#new_period_start").prop('required', false);
                    $("#new_period_end").prop('required', false);
                }
            });

            // close period
            ajax_post_form("close_period", '{{ trans("backLang.accountantPeriodClose") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, false, function (data) {
                setTimeout(function () {
                    location.reload();
                }, 3000);
            });

            $(".cat_add").on("click", function () {
                $("#cat_add_title").html($(this).html())
            });
        });

        function edit_row(rid) {
            $("#edit_category_submit").prop('disabled', true);
            $.get("{{ route("AppCategoriesEdit") }}/" + rid, function (data) {
                $('#edit_category').find('.modal-body .form-fields').html(data);
                $("#edit_category_submit").prop('disabled', false);
            });
            $('#edit_category').modal('show');
        }

        // delete category
        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppCategoriesDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "#category-" + current_cat + "-table", false);
        }
    </script>
    @include('back.accounting.preferences.currencies.js')
    @include('back.accounting.preferences.banks.js')
    @include('back.accounting.preferences.funds.js')
    @include('back.accounting.preferences.periods.js')
@endsection
