@if (Roles::Check("add"))
    <div class="modal fade" id="create_period" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppPeriodsStore'],'method'=>'POST','id'=>'create_period_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="fe fe-plus mb-2"></i> {{ trans('backLang.addNewPeriod') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_period_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="form-group">
                            <label class="form-label">{!!  trans('backLang.periodCode') !!}</label>
                            {!! Form::text('code','', array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>{!!  trans('backLang.startDate') !!}</label>
                                    <div>
                                        {!! Form::text('start','', array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'period_start_date','autocomplete'=>'off')) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>{!!  trans('backLang.endDate') !!}</label>
                                    <div>
                                        {!! Form::text('end','', array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'period_end_date','autocomplete'=>'off')) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="create_period_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {!!  trans('backLang.add') !!} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
@endif
@if (Roles::Check("edit"))
<div class="modal fade" id="edit_period" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            {{Form::open(['route'=>['AppPeriodsUpdate'],'method'=>'POST','id'=>'edit_period_form'])}}
            <div class="modal-header">
                <h5 class="modal-title"><i
                        class="icon-pencil mb-2"></i> {{ trans('backLang.editPeriod') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger displaynone" id="edit_period_errors">
                    <ul></ul>
                </div>
                <div class="form-fields">
                    <div class="text-center">
                        <div class="loader" style="display: inline-block"></div>
                        <div>
                            <small class="text-muted">{{ trans("backLang.loading") }}</small>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-dismiss="modal"><i
                        class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                </button>
                <button type="submit" id="edit_period_submit" class="btn btn-primary">
                    &nbsp; <i
                        class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                </button>
            </div>
            {{Form::close()}}
        </div>
    </div>
</div>
@endif
