@if (Roles::Check("add"))
    @if (Roles::Check("accountant_add"))
        <div class="modal fade" id="create_receipt" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    {{Form::open(['route'=>['AppReceiptsStore'],'method'=>'POST','id'=>'create_receipt_form', 'files' => true])}}
                    <div class="modal-header">
                        <h5 class="modal-title"><i
                                class="fe fe-plus mb-2"></i> {{ $add_title }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body pa-0">
                        <div class="alert alert-danger displaynone m-0" id="create_receipt_errors">
                            <ul></ul>
                        </div>
                        <div class="p-3 bg-light border-bottom">
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <label class="form-label">{{ trans('backLang.amount') }}</label>
                                        <div class="input-group">
                                            {!! Form::text('amount',"", array('id' => 'receipt_amount','class' => 'form-control money','required' => '','autocomplete'=>'off')) !!}
                                            <span class="input-group-append">
                                        <select name="currency" class="form-control custom-select" required>
                                             @foreach($Currencies as $CurrencyItem)
                                                <option
                                                    value="{{ $CurrencyItem->id }}" {!! (Helper::Preferences("default_currency")==$CurrencyItem->id)?"selected='selected'":"" !!}>{{ $CurrencyItem->symbol }}</option>
                                            @endforeach
                                        </select>
                                    </span>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-2">
                                    <div class="form-group">
                                        <label
                                            class="form-label">{{ trans('backLang.payMethod') }}</label>
                                        <select name="pay_method"
                                                class="form-control custom-select">
                                            @foreach(Helper::Categories(10) as $CatItem)
                                                <option
                                                    value="{{ $CatItem->id }}">{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label
                                            class="form-label">{{ trans('backLang.date') }}</label>
                                        {!! Form::text('date',(Helper::Preferences("date_type"))?Helper::DateView(date('Y-m-d'),0,1,'Y/m/d'):date('Y/m/d'), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'receipt_date','autocomplete'=>'off')) !!}
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label
                                            class="form-label">{{ $fund_title }}</label>
                                        <select name="fund" id="fund_select"
                                                class="form-control custom-select">
                                            <optgroup label="{{ trans("backLang.financialFunds") }}">
                                                @foreach($Funds as $FundItem)
                                                    @if($FundItem->type)
                                                        <option data-bank="0"
                                                                value="{{ $FundItem->id }}" {!! (Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":"" !!}>{{ $FundItem->{"title_".trans("backLang.code")} }}</option>
                                                    @endif
                                                @endforeach
                                            </optgroup>
                                            <optgroup label="{{ trans("backLang.bankAccountsTree") }}">
                                                @foreach($Funds as $FundItem)
                                                    @if(!$FundItem->type)
                                                        <option data-bank="1"
                                                                value="{{ $FundItem->id }}" {!! (Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":"" !!}>{{ $FundItem->{"title_".trans("backLang.code")} }}
                                                            [ {{ $FundItem->code }} ] [ {{ @$FundItem->currency->code }}
                                                            ]
                                                        </option>
                                                    @endif
                                                @endforeach
                                            </optgroup>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="p-3">
                            <div class="row clearfix">
                                <div class="col-sm-{{ (count(Helper::Categories(11)) >0)?5:6 }}">
                                    <div class="form-group">
                                        <label
                                            class="form-label">{{ trans('backLang.CatTitle') }}</label>
                                        <select name="cat_id" class="form-control list-items">
                                            <option value="">{{ trans('backLang.noCat') }}</option>
                                            @foreach(Helper::Categories($cats_id) as $CatItem)
                                                <option
                                                    value="{{ $CatItem->id }}"
                                                    data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}
                                                </option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-{{ (count(Helper::Categories(11)) >0)?3:6 }}">
                                    <div class="form-group">
                                        <label
                                            class="form-label">{{ trans('backLang.fileNo') }}</label>
                                        {!! Form::text('code',"", array('placeholder' => '','class' => 'form-control','autocomplete'=>'off')) !!}
                                    </div>
                                </div>
                                @if(count(Helper::Categories(11)) >0)
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label
                                                class="form-label">{{ trans('backLang.costPosition') }}</label>
                                            <select name="center_id"
                                                    class="form-control list-items">
                                                <option value="">{{ trans('backLang.noCat') }}</option>
                                                @foreach(Helper::Categories(11) as $CatItem)
                                                    @if(($CatItem->start==null && $CatItem->end==null) || ($CatItem->start <= date('Y-m-d') && $CatItem->end >= date('Y-m-d')))
                                                        <option
                                                            value="{{ $CatItem->id }}"
                                                            data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}
                                                        </option>
                                                    @endif
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                @endif
                            </div>
                            <div class="row clearfix">
                                <div class="col-sm-7">
                                    <div class="form-group">
                                        <label
                                            class="form-label">{{ trans('backLang.nameOfCustomer') }}</label>
                                        <select name="ledger"
                                                class="form-control list-items" required>
                                            <option
                                                value="">{{ trans('backLang.selectLedgerCat') }}</option>
                                            {!! printAsSelectOptions($ledgers_array,NULL,((@$stat == "expenses")?Helper::Preferences("expenses_ledger"):Helper::Preferences("revenues_ledger")),0) !!}
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label
                                            class="form-label">{{ trans('backLang.desc') }}</label>
                                        {!! Form::textarea('details','', array('placeholder' => '','class' => 'form-control','required'=>'','rows'=>'2')) !!}
                                    </div>
                                </div>
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label>{!!  trans('backLang.attachFile') !!}</label>
                                        <input type="file" name="file" id="attach_file" data-height="112"
                                               data-allowed-file-extensions="{{ str_replace(","," ",Helper::Preferences("allowed_ext")) }}">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="p-3 border-top displaynone" id="charges_status_div">
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <label class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" name="charges_status"
                                               id="charges_status"
                                               value="1">
                                        <span
                                            class="custom-control-label">{{ trans('backLang.bankChargesRegister') }}</span>
                                    </label>
                                </div>
                            </div>
                            <div class="row clearfix mt-2 displaynone" id="charges_div">
                                <div class="col-sm-3">
                                    <div>
                                        {!! Form::text('charges_amount',"", array('placeholder' => trans('backLang.amount'),'class' => 'form-control money','autocomplete'=>'off')) !!}
                                    </div>
                                </div>
                                <div class="col-sm-9">
                                    {!! Form::text('charges_details',trans('backLang.bankCharges'), array('placeholder' => trans('backLang.desc'),'class' => 'form-control money','autocomplete'=>'off')) !!}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="type" value="{{ (@$stat =="revenues")?1:0 }}">
                        <button type="button" class="btn btn-light" data-dismiss="modal"><i
                                class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                        </button>
                        <button type="submit" id="create_receipt_submit" class="btn btn-primary">
                            &nbsp; <i
                                class="fe fe-save"></i> {!!  trans('backLang.add') !!} &nbsp;
                        </button>
                    </div>
                    {{Form::close()}}
                </div>
            </div>
        </div>
    @endif
@endif
