<?php
$fund_title = trans('backLang.depositIn');
$cats_id = 8;
if (@$Receipt->type == 0) {
    $fund_title = trans('backLang.withdrawFrom');
    $cats_id = 9;
}
?>

@if($Receipt->posted)
    <div class="p-3 border-bottom">
        <div
            class="alert alert-warning m-0">{!! (Helper::Preferences("posting_method"))?trans("backLang.updatesPostedNote2"):trans("backLang.updatesPostedNote1") !!}</div>
    </div>
@endif
<div class="p-3 bg-light border-bottom">
    <div class="row clearfix">
        <div class="col-sm-4">
            <div class="form-group">
                <label class="form-label">{{ trans('backLang.amount') }}</label>
                <div class="input-group">
                    {!! Form::text('amount',$Receipt->amount, array('placeholder' => '','class' => 'form-control money','required' => '','autocomplete'=>'off')) !!}
                    <span class="input-group-append">
                                        <select name="currency" class="form-control custom-select" required>
                                             @foreach($Currencies as $CurrencyItem)
                                                <option
                                                    value="{{ $CurrencyItem->id }}" {!! ($Receipt->currency_id==$CurrencyItem->id)?"selected='selected'":"" !!}>{{ $CurrencyItem->symbol }}</option>
                                            @endforeach
                                        </select>
                                    </span>
                </div>
            </div>
        </div>

        <div class="col-sm-2">
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.payMethod') }}</label>
                <select name="pay_method"
                        class="form-control custom-select">
                    @foreach(Helper::Categories(10) as $CatItem)
                        <option
                            value="{{ $CatItem->id }}" {!! ($Receipt->method_id==$CatItem->id)?"selected='selected'":"" !!}>{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                    @endforeach
                </select>
            </div>
        </div>

        <div class="col-sm-3">
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.date') }}</label>
                {!! Form::text('date',date('Y/m/d',strtotime($Receipt->date)), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'edit_receipt_date','autocomplete'=>'off')) !!}
            </div>
        </div>
        <div class="col-sm-3">
            <div class="form-group">
                <label
                    class="form-label">{{ $fund_title }}</label>
                <select name="fund" id="fund_edit_select"
                        class="form-control custom-select">
                    <optgroup label="{{ trans("backLang.financialFunds") }}">
                        @foreach($Funds as $FundItem)
                            @if($FundItem->type)
                                <option data-bank="0"
                                        value="{{ $FundItem->id }}" {!! ($Receipt->bank_id==$FundItem->id)?"selected='selected'":"" !!}>{{ $FundItem->{"title_".trans("backLang.code")} }}</option>
                            @endif
                        @endforeach
                    </optgroup>
                    <optgroup label="{{ trans("backLang.bankAccountsTree") }}">
                        @foreach($Funds as $FundItem)
                            @if(!$FundItem->type)
                                <option data-bank="1"
                                        value="{{ $FundItem->id }}" {!! ($Receipt->bank_id==$FundItem->id)?"selected='selected'":"" !!}>{{ $FundItem->{"title_".trans("backLang.code")} }}
                                    [ {{ $FundItem->code }} ] [ {{ @$FundItem->currency->code }}
                                    ]
                                </option>
                            @endif
                        @endforeach
                    </optgroup>
                </select>
            </div>
        </div>

    </div>
</div>
<div class="p-3">
    <div class="row clearfix">
        <div class="col-sm-{{ (count(Helper::Categories(11)) >0)?5:6 }}">
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.CatTitle') }}</label>
                <select name="cat_id"
                        class="form-control edit-list-items">
                    <option value="">{{ trans('backLang.noCat') }}</option>
                    @foreach(Helper::Categories($cats_id) as $CatItem)
                        <option {!! ($Receipt->cat_id==$CatItem->id)?"selected='selected'":"" !!}
                                value="{{ $CatItem->id }}"
                                data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}
                        </option>
                    @endforeach
                </select>
            </div>
        </div>

        <div class="col-sm-{{ (count(Helper::Categories(11)) >0)?3:6 }}">
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.fileNo') }}</label>
                {!! Form::text('code',$Receipt->code, array('placeholder' => '','class' => 'form-control','autocomplete'=>'off')) !!}
            </div>
        </div>
        @if(count(Helper::Categories(11)) >0)
            <div class="col-sm-4">
                <div class="form-group">
                    <label
                        class="form-label">{{ trans('backLang.costPosition') }}</label>
                    <select name="center_id"
                            class="form-control edit-list-items">
                        <option value="">{{ trans('backLang.noCat') }}</option>
                        @foreach(Helper::Categories(11) as $CatItem)
                            @if(($CatItem->start==null && $CatItem->end==null) || ($CatItem->start <= date('Y-m-d') && $CatItem->end >= date('Y-m-d')) || $Receipt->center_id==$CatItem->id)
                                <option {!! ($Receipt->center_id==$CatItem->id)?"selected='selected'":"" !!}
                                        value="{{ $CatItem->id }}"
                                        data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}
                                </option>
                            @endif
                        @endforeach
                    </select>
                </div>
            </div>
        @endif
    </div>
    <div class="row clearfix">
        <div class="col-sm-7">
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.nameOfCustomer') }}</label>
                @include('back.accounting.ledgers.select')
                <select name="ledger"
                        class="form-control edit-list-items" required>
                    <option
                        value="">{{ trans('backLang.selectLedgerCat') }}</option>
                    {!! printAsSelectOptions($ledgers_array,NULL,$Receipt->ledger_id,0) !!}
                </select>
            </div>
            <div class="form-group">
                <label
                    class="form-label">{{ trans('backLang.desc') }}</label>
                {!! Form::textarea('details',$Receipt->details, array('placeholder' => '','class' => 'form-control','required'=>'','rows'=>'3')) !!}
            </div>
        </div>
        <div class="col-sm-5">
            <div class="form-group">
                <?php
                $file_url = "";
                if ($Receipt->file != "") {
                    $file_url = route("AppReceiptsFilePreview", encrypt($Receipt->id));
                    $file_url = "<div class='pull-right small mt-1'><a href='" . $file_url . "' target='_blank'>" . $Receipt->file . "." . $Receipt->ext . "</a></div>";
                }
                ?>
                <label>{!!  trans('backLang.attachFile') !!}</label> {!! $file_url !!}
                <input type="file" name="file" id="edit_attach_file" data-height="132"
                       data-allowed-file-extensions="{{ str_replace(","," ",Helper::Preferences("allowed_ext")) }}" {!! ($Receipt->file!="")?"data-default-file=\"".URL::to('uploads/receipts/'.$Receipt->file)."\"":"" !!}>
                {!! Form::hidden('file_delete','0', array('id'=>'file_delete')) !!}
            </div>
        </div>
    </div>
</div>

<div class="p-3 border-top {{ (@$Receipt->bank->type)?"displaynone":"" }}" id="edit_charges_status_div">
    <div class="row clearfix">
        <div class="col-sm-12">
            <label class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" name="charges_status" id="edit_charges_status"
                       value="1" {!! ($Receipt->bank_charges)?"checked='checked'":"" !!}>
                <span
                    class="custom-control-label">{{ trans('backLang.bankChargesRegister') }}</span>
            </label>
        </div>
    </div>
    <div class="row clearfix mt-2 {{ ($Receipt->bank_charges)?"":"displaynone" }}" id="edit_charges_div">
        <div class="col-sm-3">
            <div>
                {!! Form::text('charges_amount',$Receipt->bank_charges_amount, array('placeholder' => trans('backLang.amount'),'class' => 'form-control money','autocomplete'=>'off')) !!}
            </div>
        </div>
        <div class="col-sm-9">
            {!! Form::text('charges_details',($Receipt->bank_charges_details !="")?$Receipt->bank_charges_details:trans('backLang.bankCharges'), array('placeholder' => trans('backLang.desc'),'class' => 'form-control money','autocomplete'=>'off')) !!}
        </div>
    </div>
</div>


<input type="hidden" name="id" value="{{ encrypt($Receipt->id) }}">
<script type="text/javascript">
    @if(Helper::Preferences("date_type"))
    $("#edit_receipt_date").hijriDatePicker({
        locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
        format: "YYYY/MM/DD",
        hijriFormat: "iYYYY/iMM/iDD",
        showSwitcher: false,
        allowInputToggle: false,
        useCurrent: true,
        isRTL: false,
        keepOpen: false,
        hijri: true,
        debug: false,
        showClear: false,
        showTodayButton: false,
        showClose: false,
        icons: {
            time: '<i class="fa fa-clock-o"></i>',
            date: '<i class="fa fa-calendar"></i>',
            up: '<i class="fa fa-chevron-up"></i>',
            down: '<i class="fa fa-chevron-down"></i>',
            previous: '<i class="fa fa-chevron-right"></i>',
            next: '<i class="fa fa-chevron-left"></i>',
            today: '<i class="fa fa-screenshot"></i>',
            clear: '<i class="fa fa-trash"></i>',
            close: '<i class="fa fa-remove"></i>'
        }
    });
    @else
    $('.datepicker').datepicker({
        format: "yyyy/mm/dd",
        language: 'ar'
    });
    @endif

    $('.edit-list-items').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    escape(data.text) +
                    '</div>';
            }
        }
    });

    var dropify_settings = {
        messages: {
            'default': '{{ trans("backLang.dragAndDropFileHere") }}',
            'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
            'remove': '{{ trans("backLang.delete") }}',
            'error': '{{ trans("backLang.errorSomethingWrong") }}',
        }
    };
    var drEvent = $('#edit_attach_file').dropify(dropify_settings);
    drEvent.on('dropify.beforeClear', function (event, element) {
        $("#file_delete").val('1');
    });

    // allow numbers with . only
    $('.money').on('input', function () {
        this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');
    });

    $("#edit_charges_status").on('change', function () {
        $("#edit_charges_div").toggleClass("displaynone");
    });
    $("#fund_edit_select").on('change', function () {
        var optionSelected = $(this).find('option:selected').attr('data-bank');
        if (optionSelected == "1") {
            $("#edit_charges_status_div").show();
        } else {
            $("#edit_charges_status_div").hide();
            $("#edit_charges_status").prop("checked", false);
            $("#edit_charges_div").removeClass("displaynone");
            $("#edit_charges_div").addClass("displaynone");
        }
    });

</script>
