@extends('back.layouts.print')
<?php
$page_title = trans('backLang.revenues');
$add_title = trans('backLang.addCashReceipt');
$edit_title = trans('backLang.editCashReceipt');
$fund_title = trans('backLang.depositIn');
$cats_id = 8;
if (!$request->search_type) {
    $page_title = trans('backLang.expenses');
    $add_title = trans('backLang.addPayReceipt');
    $edit_title = trans('backLang.editPayReceipt');
    $fund_title = trans('backLang.withdrawFrom');
    $cats_id = 9;
}
?>
@section('title', $page_title)
@section("content")
    <style>
        @media print {
            @page {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1>{!! $page_title !!}</h1>

                @if(!empty($Ledger))
                    <label>{{ trans('backLang.nameOfCustomer') }}</label>
                    <strong>{{ @$Ledger->code }} - {{ @$Ledger->{"title_" . trans("backLang.code")} }}</strong>
                @endif
                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if($request->search_word !="")
                    <label>{{ trans('backLang.searchFor') }}</label>
                    <strong>{!! $request->search_word !!}</strong>
                @endif
                @if($request->search_pay_method !="")
                    <label>{{ trans('backLang.payMethod') }}</label>
                    <strong>{!! Helper::Category($request->search_pay_method) !!}</strong>
                @endif
                @if(!empty($Fund))
                    <label>{{ trans('backLang.box') }}</label>
                    <strong>{{ $Fund->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if(!empty($Currency))
                    <label>{{ trans('backLang.currency') }}</label>
                    <strong>{{ $Currency->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if($request->search_start !="")
                    <label>{{ trans('backLang.fromDate') }}</label>
                    <strong>{!! $request->search_start !!}</strong>
                @endif
                @if($request->search_end !="")
                    <label>{{ trans('backLang.toDate') }}</label>
                    <strong>{!! $request->search_end !!}</strong>
                @endif
                @if($request->search_cat !="")
                    <label>{{ trans('backLang.ledgerCat') }}</label>
                    <strong>{!! Helper::Category($request->search_cat) !!}</strong>
                @endif
                @if($request->search_center_id !="")
                    <label>{{ trans('backLang.costPosition') }}</label>
                    <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
                @endif
                @if($request->search_user !="")
                    <label>{{ trans('backLang.user') }}</label>
                    <strong>{!! Helper::usernameById($request->search_user) !!}</strong>
                @endif
            </caption>
            <thead>
            <th>{{ trans('backLang.recordId') }}</th>
            <th>{{ trans('backLang.date') }}</th>
            <th>{{ trans('backLang.amount') }}</th>
            <th>{{ trans('backLang.desc') }}</th>
            <th>{{ trans('backLang.nameOfCustomer') }}</th>
            <th>{{ trans('backLang.ledgerCat') }}</th>
            <th>{{ trans('backLang.costPosition') }}</th>
            <th>{{ trans('backLang.createdBy') }}</th>
            </thead>
            <tbody>
            @php($total = 0)
            @if(count($Receipts) >0)
                @foreach($Receipts as $Receipt)
                    <tr>
                        <td>{{ $Receipt->id }}</td>
                        <td>{{ date(Helper::Preferences("date_format"), strtotime($Receipt->date)) . " " . ((@$Receipt->date_type) ? trans("backLang.H") : trans("backLang.M")) }}</td>
                        <td>{{ number_format($Receipt->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Receipt->currency->symbol }}</td>
                        <td>{{ $Receipt->details }}</td>
                        <td>{{ @$Receipt->ledger->code }}
                            - {{ @$Receipt->ledger->{"title_" . trans("backLang.code")} }}</td>
                        <td>{!! Helper::Category($Receipt->cat_id) !!}</td>
                        <td>{!! Helper::Category($Receipt->center_id) !!}</td>
                        <td>{{ $Receipt->user->name }}</td>
                    </tr>

                    @php($total += $Receipt->cost)
                @endforeach
            @else
                <tr>
                    <td colspan="8">
                        <small>{{ trans("backLang.noData") }}</small>
                    </td>
                </tr>
            @endif
            <tr>
                <td colspan="2">{{ trans('backLang.total') }}</td>
                <td>{{ $total." ".@$DefaultCurrency->symbol }}</td>
                <td colspan="5"></td>
            </tr>
            </tbody>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
