@extends('back.layouts.print')
<?php
$page_title = trans('backLang.cashReceipt');
$name_title = trans('backLang.receivedFrom');
$cats_id = 8;
if ($Receipt->type == 0) {
    $page_title = trans('backLang.payReceipt');
    $name_title = trans('backLang.payTo');
    $cats_id = 9;
}
?>
@section('title', $page_title)
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <div class="voucher">
            <div class="caption">
                <h1>{!! $page_title !!}</h1>
                <div class="number">{{ trans('backLang.receiptNo') }}
                    : {{ ($Receipt->code !="")?$Receipt->code:str_pad($Receipt->id, 4, '0', STR_PAD_LEFT) }}</div>
            </div>
            <div class="amount">
                {{ trans('backLang.amount') }}:
                <strong>{!! number_format($Receipt->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Receipt->currency->symbol !!}</strong>
            </div>
            <div class="date">
                {{ trans('backLang.date') }}:
                <strong>{!! date(Helper::Preferences("date_format"), strtotime($Receipt->date)) . " " . ((@$Receipt->date_type) ? trans("backLang.H") : trans("backLang.M")) !!}</strong>
            </div>
            <div class="person">
                {{ $name_title }} / &nbsp; <strong>{{ @$Receipt->ledger->{"title_" . trans("backLang.code")} }} ( {{ @$Receipt->ledger->code }} )</strong>
            </div>
            <div class="cost">
                {{ trans('backLang.amountOf') }} : &nbsp; <strong id="text_amount">{{ $Receipt->amount }}</strong>
                &nbsp;
                - &nbsp; {!! strip_tags(Helper::Category($Receipt->method_id)) !!}
            </div>
            <div class="details">
                {{ trans('backLang.thisFor') }} : &nbsp; {{ $Receipt->details }}
            </div>
            <div class="signatures">
                <div class="signature1">
                    {{ trans('backLang.recipientSignature') }}
                    <div>
                        ......................................
                    </div>
                </div>
                <div class="signature2">
                    {{ trans('backLang.accountantSignature') }}
                    <div>
                        ......................................
                    </div>
                </div>
                <div class="signature3">
                    {{ trans('backLang.organizationManager') }}
                    <div>
                        ......................................
                    </div>
                </div>
            </div>
        </div>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
    <script src="{{ asset('back/custom/js/tafgeet_'.trans('backLang.code').'.js') }}"></script>

    <script type="text/javascript">

        var cur = "{{ strtoupper(@$Receipt->currency->code) }}";
            @if(trans('backLang.code')=="ar")
        var val = "{{ $Receipt->amount }}";
        amount_text = new Tafgeet(val, cur).parse();
            @else
            <?php
            $num = number_format((float)$Receipt->amount, 2, '.', '');
            $pos = strpos($num, '.');
            $amount = substr($num, 0, $pos);
            $fraction = substr($num, $pos + 1, strlen($num));
            ?>
        var val = "{{ $Receipt->amount }}";
        amount_text = GetNumber2d("{{ $amount }}", "{{ $fraction }}", cur);
        @endif
        document.getElementById('text_amount').innerHTML = amount_text;

    </script>
@endsection
