@extends('back.layouts.print')
@section('title', trans('backLang.cashFlowReport'))
@section("content")
    <style>
        @media print {
            @page {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1>{!! trans('backLang.cashFlowReport') !!}</h1>

                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if(!empty($Ledger))
                    <label>{{ trans('backLang.ledger') }}</label>
                    <strong>{{ $Ledger->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if($request->search_word !="")
                    <label>{{ trans('backLang.searchFor') }}</label>
                    <strong>{!! $request->search_word !!}</strong>
                @endif
                @if(!empty($Currency))
                    <label>{{ trans('backLang.currency') }}</label>
                    <strong>{{ $Currency->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if($request->search_center_id !="")
                    <label>{{ trans('backLang.costPosition') }}</label>
                    <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
                @endif
                @if($request->search_user !="")
                    <label>{{ trans('backLang.user') }}</label>
                    <strong>{!! Helper::usernameById($request->search_user) !!}</strong>
                @endif
            </caption>
            <thead>
            <th class="text-light" width="12%">{{ trans('backLang.revenuesCats') }}</th>
            @foreach($Months as $key=>$Month)
                <th class="text-center text-light">{{ @$Month["title"] }}</th>
            @endforeach
            </thead>
            <tbody>
            @foreach(Helper::Categories(8) as $CatItem)
                <tr>
                    <td>
                        {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                    @foreach($Months as $key=>$Month)
                        <td class="text-center">
                            <small>{{ number_format(@$Month["revenues"][$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                        </td>
                    @endforeach
                </tr>
            @endforeach

            <tr>
                <td>{{ trans('backLang.other') }}</td>
                @foreach($Months as $key=>$Month)
                    <td class="text-center">
                        <small>{{ number_format(@$Month["revenues_other"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </td>
                @endforeach
            </tr>
            <tr>
                <td>{{ trans('backLang.total') }}</td>
                @foreach($Months as $key=>$Month)
                    <td class="text-center">
                        <small>{{ number_format(@$Month["revenues_total"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </td>
                @endforeach
            </tr>
            </tbody>
        </table>
        <br>
        <table class="responsive-table center-table" id="ledgers_table">
            <thead>
            <tr>
                <th class="text-light" width="12%">{{ trans('backLang.expensesCats') }}</th>
                @foreach($Months as $key=>$Month)
                    <th class="text-center text-light">{{ @$Month["title"] }}</th>
                @endforeach
            </tr>
            </thead>
            <tbody>
            @foreach(Helper::Categories(9) as $CatItem)
                <tr>
                    <td>
                        {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                    @foreach($Months as $key=>$Month)
                        <td class="text-center">
                            <small>{{ number_format(@$Month["expenses"][$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                        </td>
                    @endforeach
                </tr>
            @endforeach

            <tr>
                <td>{{ trans('backLang.other') }}</td>
                @foreach($Months as $key=>$Month)
                    <td class="text-center">
                        <small>{{ number_format(@$Month["expenses_other"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </td>
                @endforeach
            </tr>

            <tr>
                <td>{{ trans('backLang.total') }}</td>
                @foreach($Months as $key=>$Month)
                    <td class="text-center">
                        <small>{{ number_format(@$Month["expenses_total"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </td>
                @endforeach
            </tr>
            </tbody>
        </table>
        <br>
        <table class="responsive-table center-table" id="ledgers_table">
            <thead>
            <tr>
                <th class="text-light" width="12%">{{ trans('backLang.cashFlowSituation') }}</th>
                @foreach($Months as $key=>$Month)
                    <th class="text-center text-light">{{ @$Month["title"] }}</th>
                @endforeach
            </tr>
            </thead>
            <tbody>
            <tr>

                <td>{{ trans('backLang.total') }}</td>
                @foreach($Months as $key=>$Month)
                    <td class="text-center">
                        <small>{{ number_format(@$Month["total"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </td>
                @endforeach
            </tr>
            </tbody>
        </table>

        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
