{{Form::open(['route'=>['AppCashFlowReport'],'method'=>'POST','id'=>'income_search_form'])}}
<div class="row clearfix">

    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_period" name="search_period" class="form-control custom-select" required>
                <option value="">{{ trans('backLang.accountantPeriod') }}</option>
                @foreach($Periods as $PeriodItem)
                    <option value="{{ $PeriodItem->id }}" {!! (Helper::Preferences("default_period")==$PeriodItem->id)?"selected='selected'":"" !!}>
                        {{ $PeriodItem->code }}
                        [ {{ date('Y/m/d',strtotime($PeriodItem->start))}}
                        - {{  date('Y/m/d',strtotime($PeriodItem->end)) }} ]
                    </option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-3">
        <div class="form-group">
            <select name="search_fund" id="search_fund"
                    class="form-control custom-select">
                <option value="">{{ trans('backLang.box') }}</option>
                <optgroup label="{{ trans("backLang.financialFunds") }}">
                    @foreach($Funds as $FundItem)
                        @if($FundItem->type)
                            <option
                                value="{{ $FundItem->id }}">{{ $FundItem->{"title_".trans("backLang.code")} }}</option>
                        @endif
                    @endforeach
                </optgroup>
                <optgroup label="{{ trans("backLang.bankAccountsTree") }}">
                    @foreach($Funds as $FundItem)
                        @if(!$FundItem->type)
                            <option
                                value="{{ $FundItem->id }}">{{ $FundItem->{"title_".trans("backLang.code")} }}
                                [ {{ $FundItem->code }} ] [ {{ @$FundItem->currency->code }} ]
                            </option>
                        @endif
                    @endforeach
                </optgroup>
            </select>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_pay_method" name="search_pay_method" class="form-control custom-select">
                <option value="">{{ trans('backLang.payMethod') }}</option>
                @foreach(Helper::Categories(10) as $CatItem)
                    <option
                        value="{{ $CatItem->id }}">{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_currency" name="search_currency" class="form-control custom-select">
                <option value="">{{ trans('backLang.currency') }}</option>
                @foreach($Currencies as $CurrencyItem)
                    <option
                        value="{{ $CurrencyItem->id }}">{{ $CurrencyItem->symbol }}</option>
                @endforeach
            </select>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_center_id" name="search_center_id" class="form-control  list-items">
                <option value="">{{ trans('backLang.costPosition') }}</option>
                @foreach(Helper::Categories(11) as $CatItem)
                    <option
                        value="{{ $CatItem->id }}" data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-3">
        <div class="form-group">
            <select name="search_user" id="search_user"
                    class="form-control custom-list">
                <option
                    value="">{{ trans('backLang.createdBy') }}</option>
                @foreach($UsersList as $UserItem)
                    <?php
                    $share_user_avatar = URL::to('uploads/users/profile.jpg');
                    if ($UserItem->photo != "") {
                        $share_user_avatar = URL::to('uploads/users/' . $UserItem->photo);
                    }
                    ?>
                    <option
                        value="{{ $UserItem->id }}"
                        data-data='{"image": "{{ $share_user_avatar }}","code":"{{ $UserItem->job }}","search-text":"{{ $UserItem->name }}  {{ $UserItem->job }}"}'>{{ $UserItem->name }}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-2">
        <input type="hidden" name="stat" id="search_submit_stat" value="">
        <button type="submit" class="btn btn-primary w-100"><i class="fe fe-search"></i> {{ trans("backLang.search") }}
        </button>
    </div>
    <div class="col-sm-3">
        <div class="form-group">

        </div>
    </div>

</div>
{{Form::close()}}
