<div class="card">
    <div class="card-header">
        <h3 class="card-title">
            {{ trans('backLang.revenues') }}
        </h3>
    </div>
    <div class="card-body p-0">
        <table class="table table-striped border mb-0 thin-table">
            <thead>
            <tr class="bg-blue">
                <th class="text-light" width="12%">{{ trans('backLang.revenuesCats') }}</th>
                @foreach($Months as $key=>$Month)
                    <th class="text-center text-light">{{ @$Month["title"] }}</th>
                @endforeach
            </tr>
            </thead>
            <tbody>
            @foreach(Helper::Categories(8) as $CatItem)
                <tr>
                    <td>
                        {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                    @foreach($Months as $key=>$Month)
                        <td class="text-center">
                            <small>{{ number_format(@$Month["revenues"][$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                        </td>
                    @endforeach
                </tr>
            @endforeach

            <tr>
                <td>{{ trans('backLang.other') }}</td>
                @foreach($Months as $key=>$Month)
                    <td class="text-center">
                        <small>{{ number_format(@$Month["revenues_other"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </td>
                @endforeach
            </tr>
            </tbody>
            <tfoot>
            <tr class="bg-light">
                <th>{{ trans('backLang.total') }}</th>
                @foreach($Months as $key=>$Month)
                    <th class="text-center">
                        <small>{{ number_format(@$Month["revenues_total"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </th>
                @endforeach
            </tr>
            </tfoot>
        </table>
    </div>
</div>
<div class="card">
    <div class="card-header">
        <h3 class="card-title">
            {{ trans('backLang.expenses') }}
        </h3>
    </div>
    <div class="card-body p-0">
        <table class="table table-striped border mb-0 thin-table">
            <thead>
            <tr class="bg-blue">
                <th class="text-light" width="12%">{{ trans('backLang.expensesCats') }}</th>
                @foreach($Months as $key=>$Month)
                    <th class="text-center text-light">{{ @$Month["title"] }}</th>
                @endforeach
            </tr>
            </thead>
            <tbody>
            @foreach(Helper::Categories(9) as $CatItem)
                <tr>
                    <td>
                        {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                    @foreach($Months as $key=>$Month)
                        <td class="text-center">
                            <small>{{ number_format(@$Month["expenses"][$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                        </td>
                    @endforeach
                </tr>
            @endforeach

            <tr>
                <td>{{ trans('backLang.other') }}</td>
                @foreach($Months as $key=>$Month)
                    <td class="text-center">
                        <small>{{ number_format(@$Month["expenses_other"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </td>
                @endforeach
            </tr>
            </tbody>

            <tfoot>
            <tr class="bg-light">
                <th>{{ trans('backLang.total') }}</th>
                @foreach($Months as $key=>$Month)
                    <th class="text-center">
                        <small>{{ number_format(@$Month["expenses_total"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </th>
                @endforeach
            </tr>
            </tfoot>
        </table>
    </div>
</div>

<div class="card">
    <div class="card-header">
        <h3 class="card-title">
            {{ trans('backLang.cashFlowSituation') }}
        </h3>
    </div>
    <div class="card-body p-0">
        <table class="table table-striped border mb-0 thin-table">
            <thead>
            <tr class="bg-blue">
                <th class="text-light" width="12%">{{ trans('backLang.cashFlowSituation') }}</th>
                @foreach($Months as $key=>$Month)
                    <th class="text-center text-light">{{ @$Month["title"] }}</th>
                @endforeach
            </tr>
            </thead>
            <tfoot>
            <tr class="bg-light">
                <th>{{ trans('backLang.total') }}</th>
                @foreach($Months as $key=>$Month)
                    <th class="text-center">
                        <small>{{ number_format(@$Month["total"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))  }}</small>
                    </th>
                @endforeach
            </tr>
            </tfoot>
        </table>
    </div>
</div>
