{{Form::open(['route'=>['AppEntriesReport'],'method'=>'POST','id'=>'journals_search_form'])}}
<div class="row clearfix">

    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_period" name="search_period" class="form-control custom-select" required>
                <option value="">{{ trans('backLang.accountantPeriod') }}</option>
                @foreach($Periods as $PeriodItem)
                    <option
                        value="{{ $PeriodItem->id }}" {!! (Helper::Preferences("default_period")==$PeriodItem->id)?"selected='selected'":"" !!}>
                        {{ $PeriodItem->code }}
                        [ {{ date('Y/m/d',strtotime($PeriodItem->start))}}
                        - {{  date('Y/m/d',strtotime($PeriodItem->end)) }} ]
                    </option>
                @endforeach
            </select>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            {!! Form::text('search_word',"", array('placeholder' => trans('backLang.searchFor'),'class' => 'form-control','id'=>'search_word',"autocomplete"=>"off")) !!}
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            @include('back.accounting.ledgers.select')
            <select id="search_ledger" name="search_ledger" class="form-control list-items">
                <option value="">{{ trans('backLang.ledger') }}</option>
                {!! printAsSelectOptions($ledgers_array,NULL,0,0) !!}
            </select>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <select name="search_user" id="search_user"
                    class="form-control custom-list">
                <option
                    value="">{{ trans('backLang.createdBy') }}</option>
                @foreach($UsersList as $UserItem)
                    <?php
                    $share_user_avatar = URL::to('uploads/users/profile.jpg');
                    if ($UserItem->photo != "") {
                        $share_user_avatar = URL::to('uploads/users/' . $UserItem->photo);
                    }
                    ?>
                    <option
                        value="{{ $UserItem->id }}"
                        data-data='{"image": "{{ $share_user_avatar }}","code":"{{ $UserItem->job }}","search-text":"{{ $UserItem->name }}  {{ $UserItem->job }}"}'>{{ $UserItem->name }}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-4">
        <div class="form-group">
            <div class="form-group">
                <div class="input-daterange input-group">
                    <input type="text" class="input-sm form-control datepicker" autocomplete="off" name="search_start"
                           id="search_start" placeholder="{{trans("backLang.fromDate")}}">
                    <span class="input-group-addon range-to">{{ trans("backLang.to") }}</span>
                    <input type="text" class="input-sm form-control datepicker" autocomplete="off" name="search_end"
                           id="search_end" placeholder="{{trans("backLang.toDate")}}">
                </div>
            </div>
        </div>
    </div>

    <div class="col-sm-2">
        <div class="form-group">
            <select id="search_currency" name="search_currency" class="form-control custom-select">
                <option value="">{{ trans('backLang.currency') }}</option>
                @foreach($Currencies as $CurrencyItem)
                    <option
                        value="{{ $CurrencyItem->id }}">{{ $CurrencyItem->symbol }}</option>
                @endforeach
            </select>
        </div>
    </div>

    <div class="col-sm-2">
        <div class="form-group">
            <select id="search_posted" name="search_posted" class="form-control custom-select">
                <option value="">{{ trans('backLang.recordStatus') }}</option>
                <option value="1" selected="selected">{{ trans('backLang.posted') }}</option>
                <option
                    value="0">{{ trans('backLang.notPosted') }}</option>
            </select>
        </div>
    </div>
    @if(count(Helper::Categories(11)) >0)
        <div class="col-sm-3">
            <div class="form-group">
                <select id="search_center_id" name="search_center_id" class="form-control  list-items">
                    <option value="">{{ trans('backLang.costPosition') }}</option>
                    @foreach(Helper::Categories(11) as $CatItem)
                        <option
                            value="{{ $CatItem->id }}"
                            data-data='{"search-text":"{{ $CatItem->{"title_" . trans('backLang.boxCode')} }}"}'>{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                    @endforeach
                </select>
            </div>
        </div>
    @endif
    <div class="col-sm-1">
        <input type="hidden" name="stat" id="search_submit_stat" value="">
        <button type="submit" class="btn btn-primary w-100"><i class="fe fe-search"></i> {{ trans("backLang.search") }}
        </button>
    </div>
    <div class="col-sm-3">
        <div class="form-group">

        </div>
    </div>

</div>
{{Form::close()}}
