@extends('back.layouts.print')
@section('title', trans('backLang.financialCenter'))
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table" style="border: none">
            <caption>
                <h1>{!! trans('backLang.financialCenter') !!}</h1>

                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if($request->search_end !="")
                    <label>{{ trans('backLang.atDate') }}</label>
                    <strong>{!! $request->search_end !!}</strong>
                @endif
                @if($request->search_center_id !="")
                    <label>{{ trans('backLang.costPosition') }}</label>
                    <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
                @endif
            </caption>
            <?php
            $Total_of_Assets = 0;
            $Total_of_Obligation = 0;
            ?>
            <tr>
                <td style="vertical-align: top;border: none" width="50%">
                    <table class="table table-hover table-bordered">
                        <thead>
                        <th class="text-center" colspan="2">
                            <h5 class="m-0">{{ trans('backLang.assets') }}</h5>
                        </th>
                        </thead>
                        <tbody>
                        @foreach($AssetLedger->subs as $Assets1Ledger)
                            <tr>
                                <td>
                                    <span class="badge badge-light font-13">{{ $Assets1Ledger->code }}</span>
                                    <strong>{{ $Assets1Ledger->{"title_".trans("backLang.code")} }}</strong>
                                </td>
                                <td class="text-center" width="40%">
                                    @if(!$Assets1Ledger->group)
                                        {{ number_format(@$Balances[$Assets1Ledger->id]['balance'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    @endif
                                </td>
                            </tr>
                            <?php
                            $AssetsLedger_total = 0;
                            ?>
                            @foreach($Assets1Ledger->subs as $Assets2Ledger)
                                <tr>
                                    <td>
                                        &nbsp; &nbsp; &nbsp; <span
                                            class="badge badge-light font-13">{{ $Assets2Ledger->code }}</span>
                                        {{ $Assets2Ledger->{"title_".trans("backLang.code")} }}
                                    </td>
                                    <td class="text-center" width="40%">
                                        @if(!$Assets2Ledger->group)
                                            {{ number_format(@$Balances[$Assets2Ledger->id]['balance'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                            <?php
                                            $AssetsLedger_total += @$Balances[$Assets2Ledger->id]['balance'];
                                            ?>
                                        @endif
                                    </td>
                                </tr>
                                @foreach($Assets2Ledger->subs as $Assets3Ledger)
                                    <tr>
                                        <td>
                                            &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span
                                                class="badge badge-light font-13">{{ $Assets3Ledger->code }}</span>
                                            {{ $Assets3Ledger->{"title_".trans("backLang.code")} }}
                                        </td>
                                        <td class="text-center" width="40%">
                                            @if(!$Assets3Ledger->group)
                                                {{ number_format(@$Balances[$Assets3Ledger->id]['balance'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                                <?php
                                                $AssetsLedger_total += @$Balances[$Assets3Ledger->id]['balance'];
                                                ?>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            @endforeach
                            @if(count($Assets1Ledger->subs) >0)
                                <tr class="bg-light">
                                    <td>
                                        <strong>{{ trans('backLang.totalOf') }} {{ $Assets1Ledger->{"title_".trans("backLang.code")} }}</strong>
                                    </td>
                                    <td class="text-center" width="40%">
                                        <strong>
                                            {{ number_format($AssetsLedger_total, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                            <?php
                                            $Total_of_Assets += $AssetsLedger_total;
                                            ?>
                                        </strong>
                                    </td>
                                </tr>
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </td>
                <td style="vertical-align: top;border: none" width="50%">
                    <table class="table table-hover table-bordered">
                        <thead>
                            <th class="text-center" colspan="2">
                                <h5 class="m-0">{{ trans('backLang.Obligations') }}</h5>
                            </th>
                        </thead>
                        <tbody>
                        @foreach($ObligationLedger->subs as $Obligation1Ledger)
                            <tr>
                                <td>
                                    <span class="badge badge-light font-13">{{ $Obligation1Ledger->code }}</span>
                                    <strong>{{ $Obligation1Ledger->{"title_".trans("backLang.code")} }}</strong>
                                </td>
                                <td class="text-center" width="40%">
                                    @if(!$Obligation1Ledger->group)
                                        {{ number_format(((@$Balances[$Obligation1Ledger->id]['balance'] <0)?(@$Balances[$Obligation1Ledger->id]['balance']*-1):@$Balances[$Obligation1Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    @endif
                                </td>
                            </tr>
                            <?php
                            $ObligationLedger_total = 0;
                            ?>
                            @foreach($Obligation1Ledger->subs as $Obligation2Ledger)
                                <tr>
                                    <td>
                                        &nbsp; &nbsp; &nbsp; <span
                                            class="badge badge-light font-13">{{ $Obligation2Ledger->code }}</span>
                                        {{ $Obligation2Ledger->{"title_".trans("backLang.code")} }}
                                    </td>
                                    <td class="text-center" width="40%">
                                        @if(!$Obligation2Ledger->group)
                                            {{ number_format(((@$Balances[$Obligation2Ledger->id]['balance'] <0)?(@$Balances[$Obligation2Ledger->id]['balance']*-1):@$Balances[$Obligation2Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                            <?php
                                            $ObligationLedger_total += @$Balances[$Obligation2Ledger->id]['balance'];
                                            ?>
                                        @endif
                                    </td>
                                </tr>
                                @foreach($Obligation2Ledger->subs as $Obligation3Ledger)
                                    <tr>
                                        <td>
                                            &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span
                                                class="badge badge-light font-13">{{ $Obligation3Ledger->code }}</span>
                                            {{ $Obligation3Ledger->{"title_".trans("backLang.code")} }}
                                        </td>
                                        <td class="text-center" width="40%">
                                            @if(!$Obligation3Ledger->group)
                                                {{ number_format(((@$Balances[$Obligation3Ledger->id]['balance'] <0)?(@$Balances[$Obligation3Ledger->id]['balance']*-1):@$Balances[$Obligation3Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                                <?php
                                                $ObligationLedger_total += @$Balances[$Obligation3Ledger->id]['balance'];
                                                ?>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            @endforeach
                            @if(count($Obligation1Ledger->subs) >0)
                                <tr class="bg-light">
                                    <td>
                                        <strong>{{ trans('backLang.totalOf') }} {{ $Obligation1Ledger->{"title_".trans("backLang.code")} }}</strong>
                                    </td>
                                    <td class="text-center" width="40%">
                                        <strong>
                                            {{ number_format((($ObligationLedger_total <0)?($ObligationLedger_total*-1):$ObligationLedger_total), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                            <?php
                                            $Total_of_Obligation += $ObligationLedger_total;
                                            ?>
                                        </strong>
                                    </td>
                                </tr>
                            @endif
                        @endforeach
                        <tr>
                            <td>
                                <span class="badge badge-light font-13">{{ $PropertyLedger->code }}</span>
                                <strong>{{ $PropertyLedger->{"title_".trans("backLang.code")} }}</strong>
                            </td>
                            <td class="text-center" width="40%"></td>
                        </tr>
                        <?php
                        $Property_total = 0;
                        ?>
                        @foreach($PropertyLedger->subs as $Property1Ledger)
                            <tr>
                                <td>
                                    <span class="badge badge-light font-13">{{ $Property1Ledger->code }}</span>
                                    {{ $Property1Ledger->{"title_".trans("backLang.code")} }}
                                </td>
                                <td class="text-center" width="40%">
                                    @if(!$Property1Ledger->group)
                                        {{ number_format(((@$Balances[$Property1Ledger->id]['balance'] <0)?(@$Balances[$Property1Ledger->id]['balance']*-1):@$Balances[$Property1Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                        <?php
                                        $Property_total += @$Balances[$Property1Ledger->id]['balance'];
                                        ?>
                                    @endif
                                </td>
                            </tr>
                            <?php
                            $PropertyLedger_total = 0;
                            ?>
                            @foreach($Property1Ledger->subs as $Property2Ledger)
                                <tr>
                                    <td>
                                        &nbsp; &nbsp; &nbsp; <span
                                            class="badge badge-light font-13">{{ $Property2Ledger->code }}</span>
                                        {{ $Property2Ledger->{"title_".trans("backLang.code")} }}
                                    </td>
                                    <td class="text-center" width="40%">
                                        @if(!$Property2Ledger->group)
                                            {{ number_format(((@$Balances[$Property2Ledger->id]['balance'] <0)?(@$Balances[$Property2Ledger->id]['balance']*-1):@$Balances[$Property2Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                            <?php
                                            $PropertyLedger_total += @$Balances[$Property2Ledger->id]['balance'];
                                            $Property_total += @$Balances[$Property2Ledger->id]['balance'];
                                            ?>
                                        @endif
                                    </td>
                                </tr>
                                @foreach($Property2Ledger->subs as $Property3Ledger)
                                    <tr>
                                        <td>
                                            &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span
                                                class="badge badge-light font-13">{{ $Property3Ledger->code }}</span>
                                            {{ $Property3Ledger->{"title_".trans("backLang.code")} }}
                                        </td>
                                        <td class="text-center" width="40%">
                                            @if(!$Property3Ledger->group)
                                                {{ number_format(((@$Balances[$Property3Ledger->id]['balance'] <0)?(@$Balances[$Property3Ledger->id]['balance']*-1):@$Balances[$Property3Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                                <?php
                                                $PropertyLedger_total += @$Balances[$Property3Ledger->id]['balance'];
                                                $Property_total += @$Balances[$Property3Ledger->id]['balance'];
                                                ?>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            @endforeach
                            @if(count($Property1Ledger->subs) >0)
                                <tr class="bg-light">
                                    <td>
                                        <strong>{{ trans('backLang.totalOf') }} {{ $Property1Ledger->{"title_".trans("backLang.code")} }}</strong>
                                    </td>
                                    <td class="text-center" width="40%">
                                        <strong>
                                            {{ number_format((($PropertyLedger_total <0)?($PropertyLedger_total*-1):$PropertyLedger_total), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                        </strong>
                                    </td>
                                </tr>
                            @endif
                        @endforeach
                        <tr class="bg-light">
                            <td>
                                <strong>{{ trans('backLang.totalOf') }} {{ $PropertyLedger->{"title_".trans("backLang.code")} }}</strong>
                            </td>
                            <td class="text-center" width="40%">
                                <strong>
                                    {{ number_format((($Property_total <0)?($Property_total*-1):$Property_total), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $Total_of_Obligation += $Property_total;
                                    ?>
                                </strong>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td style="border: none">
                    <table class="table table-hover table-bordered">
                        <tr class="bg-primary">
                            <td class="text-white">
                                <h6 class="m-0">
                                    {{ trans('backLang.totalOf') }} {{ trans('backLang.assets') }}
                                </h6>
                            </td>
                            <td class="text-white text-center" width="40%">
                                <h6 class="m-0">
                                    {{ number_format($Total_of_Assets, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                </h6>
                            </td>
                        </tr>
                    </table>
                </td>
                <td style="border: none">
                    <table class="table table-hover table-bordered">
                        <tr class="bg-primary">
                            <td class="text-white">
                                <h6 class="m-0">
                                    {{ trans('backLang.totalOf') }} {{ trans('backLang.Obligations') }}
                                </h6>
                            </td>
                            <td class="text-white text-center" width="40%">
                                <h6 class="m-0">
                                    {{ number_format((($Total_of_Obligation <0)?($Total_of_Obligation*-1):$Total_of_Obligation), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                </h6>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>

        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
