@extends('back.layouts.print')
@section('title', trans('backLang.financialCenter'))
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <div class="text-center">
            <h1>{!! trans('backLang.financialCenter') !!}</h1>

            @if(!empty($Period))
                <label>{{ trans('backLang.accountantPeriod') }}</label>
                <strong>{{ $Period->code }}</strong>
            @endif
            @if($request->search_end !="")
                <label>{{ trans('backLang.atDate') }}</label>
                <strong>{!! $request->search_end !!}</strong>
            @endif
            @if($request->search_center_id !="")
                <label>{{ trans('backLang.costPosition') }}</label>
                <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
            @endif
        </div>
        <?php
        $Start_of_Assets = 0;
        $Period_of_Assets = 0;
        $Total_of_Assets = 0;

        $Start_of_Obligation = 0;
        $Period_of_Obligation = 0;
        $Total_of_Obligation = 0;
        ?>
        <table class="responsive-table">
            <thead>
                <th>{{ trans('backLang.ledger') }}</th>
                <th class="text-center" width="20%">{{ trans('backLang.openingBalance') }}</th>
                <th class="text-center" width="20%">{{ trans('backLang.accountantPeriod') }}</th>
                <th class="text-center" width="20%">{{ trans('backLang.closingBalance') }}</th>
            </thead>
            <tbody>
            <tr class="bg-light">
                <td colspan="4">
                    {{ trans('backLang.assets') }}
                </td>
            </tr>

            @foreach($AssetLedger->subs as $Assets1Ledger)
                <tr>
                    <td>
                        <span class="badge badge-light font-13">{{ $Assets1Ledger->code }}</span>
                        <strong>{{ $Assets1Ledger->{"title_".trans("backLang.code")} }}</strong>
                    </td>
                    <td class="text-center">
                        @if(!$Assets1Ledger->group)
                            {{ number_format(@$Balances[$Assets1Ledger->id]['start'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                        @endif
                    </td>
                    <td class="text-center">
                        @if(!$Assets1Ledger->group)
                            {{ number_format(@$Balances[$Assets1Ledger->id]['period'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                        @endif
                    </td>
                    <td class="text-center">
                        @if(!$Assets1Ledger->group)
                            {{ number_format(@$Balances[$Assets1Ledger->id]['balance'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                        @endif
                    </td>
                </tr>
                <?php
                $AssetsLedger_start = 0;
                $AssetsLedger_period = 0;
                $AssetsLedger_total = 0;
                ?>
                @foreach($Assets1Ledger->subs as $Assets2Ledger)
                    <tr>
                        <td>
                            &nbsp; &nbsp; &nbsp; <span
                                class="badge badge-light font-13">{{ $Assets2Ledger->code }}</span>
                            {{ $Assets2Ledger->{"title_".trans("backLang.code")} }}
                        </td>
                        <td class="text-center font-weight-bold">
                            @if(!$Assets2Ledger->group)
                                {{ number_format(@$Balances[$Assets2Ledger->id]['start'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                <?php
                                $AssetsLedger_start += @$Balances[$Assets2Ledger->id]['start'];
                                ?>
                            @endif
                        </td>
                        <td class="text-center font-weight-bold">
                            @if(!$Assets2Ledger->group)
                                {{ number_format(@$Balances[$Assets2Ledger->id]['period'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                <?php
                                $AssetsLedger_period += @$Balances[$Assets2Ledger->id]['period'];
                                ?>
                            @endif
                        </td>
                        <td class="text-center font-weight-bold">
                            @if(!$Assets2Ledger->group)
                                {{ number_format(@$Balances[$Assets2Ledger->id]['balance'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                <?php
                                $AssetsLedger_total += @$Balances[$Assets2Ledger->id]['balance'];
                                ?>
                            @endif
                        </td>
                    </tr>
                    @foreach($Assets2Ledger->subs as $Assets3Ledger)
                        <tr>
                            <td>
                                &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span
                                    class="badge badge-light font-13">{{ $Assets3Ledger->code }}</span>
                                {{ $Assets3Ledger->{"title_".trans("backLang.code")} }}
                            </td>
                            <td class="text-center font-weight-bold">
                                @if(!$Assets3Ledger->group)
                                    {{ number_format(@$Balances[$Assets3Ledger->id]['start'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $AssetsLedger_start += @$Balances[$Assets3Ledger->id]['start'];
                                    ?>
                                @endif
                            </td>
                            <td class="text-center font-weight-bold">
                                @if(!$Assets3Ledger->group)
                                    {{ number_format(@$Balances[$Assets3Ledger->id]['period'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $AssetsLedger_period += @$Balances[$Assets3Ledger->id]['period'];
                                    ?>
                                @endif
                            </td>
                            <td class="text-center font-weight-bold">
                                @if(!$Assets3Ledger->group)
                                    {{ number_format(@$Balances[$Assets3Ledger->id]['balance'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $AssetsLedger_total += @$Balances[$Assets3Ledger->id]['balance'];
                                    ?>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                @endforeach
                @if(count($Assets1Ledger->subs) >0)
                    <tr class="bg-light">
                        <td>
                            <strong>{{ trans('backLang.totalOf') }} {{ $Assets1Ledger->{"title_".trans("backLang.code")} }}</strong>
                        </td>
                        <td class="text-center font-weight-bold">

                            {{ number_format($AssetsLedger_start, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                            <?php
                            $Start_of_Assets += $AssetsLedger_start;
                            ?>

                        </td>
                        <td class="text-center font-weight-bold">

                            {{ number_format($AssetsLedger_period, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                            <?php
                            $Period_of_Assets += $AssetsLedger_period;
                            ?>

                        </td>
                        <td class="text-center font-weight-bold">

                            {{ number_format($AssetsLedger_total, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                            <?php
                            $Total_of_Assets += $AssetsLedger_total;
                            ?>

                        </td>
                    </tr>
                @endif
            @endforeach
            <tr class="bg-primary">
                <td class="text-white">
                    <h6 class="m-0">
                        {{ trans('backLang.totalOf') }} {{ trans('backLang.assets') }}
                    </h6>
                </td>
                <td class="text-white text-center">
                    <h6 class="m-0 font-weight-bold">
                        {{ number_format($Start_of_Assets, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                    </h6>
                </td>
                <td class="text-white text-center">
                    <h6 class="m-0 font-weight-bold">
                        {{ number_format($Period_of_Assets, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                    </h6>
                </td>
                <td class="text-white text-center">
                    <h6 class="m-0 font-weight-bold">
                        {{ number_format($Total_of_Assets, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                    </h6>
                </td>
            </tr>



            <tr class="bg-light">
                <td colspan="4">
                    {{ trans('backLang.Obligations') }}
                </td>
            </tr>
            @foreach($ObligationLedger->subs as $Obligation1Ledger)
                <tr>
                    <td>
                        <span class="badge badge-light font-13">{{ $Obligation1Ledger->code }}</span>
                        <strong>{{ $Obligation1Ledger->{"title_".trans("backLang.code")} }}</strong>
                    </td>
                    <td class="text-center font-weight-bold">
                        @if(!$Obligation1Ledger->group)
                            {{ number_format(((@$Balances[$Obligation1Ledger->id]['start'] <0)?(@$Balances[$Obligation1Ledger->id]['start']*-1):@$Balances[$Obligation1Ledger->id]['start']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                        @endif
                    </td>
                    <td class="text-center font-weight-bold">
                        @if(!$Obligation1Ledger->group)
                            {{ number_format(((@$Balances[$Obligation1Ledger->id]['period'] <0)?(@$Balances[$Obligation1Ledger->id]['period']*-1):@$Balances[$Obligation1Ledger->id]['period']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                        @endif
                    </td>
                    <td class="text-center font-weight-bold">
                        @if(!$Obligation1Ledger->group)
                            {{ number_format(((@$Balances[$Obligation1Ledger->id]['balance'] <0)?(@$Balances[$Obligation1Ledger->id]['balance']*-1):@$Balances[$Obligation1Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                        @endif
                    </td>
                </tr>
                <?php
                $ObligationLedger_start = 0;
                $ObligationLedger_period = 0;
                $ObligationLedger_total = 0;
                ?>
                @foreach($Obligation1Ledger->subs as $Obligation2Ledger)
                    <tr>
                        <td>
                            &nbsp; &nbsp; &nbsp; <span
                                class="badge badge-light font-13">{{ $Obligation2Ledger->code }}</span>
                            {{ $Obligation2Ledger->{"title_".trans("backLang.code")} }}
                        </td>
                        <td class="text-center font-weight-bold">
                            @if(!$Obligation2Ledger->group)
                                {{ number_format(((@$Balances[$Obligation2Ledger->id]['start'] <0)?(@$Balances[$Obligation2Ledger->id]['start']*-1):@$Balances[$Obligation2Ledger->id]['start']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                <?php
                                $ObligationLedger_start += @$Balances[$Obligation2Ledger->id]['start'];
                                ?>
                            @endif
                        </td>
                        <td class="text-center font-weight-bold">
                            @if(!$Obligation2Ledger->group)
                                {{ number_format(((@$Balances[$Obligation2Ledger->id]['period'] <0)?(@$Balances[$Obligation2Ledger->id]['period']*-1):@$Balances[$Obligation2Ledger->id]['period']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                <?php
                                $ObligationLedger_period += @$Balances[$Obligation2Ledger->id]['period'];
                                ?>
                            @endif
                        </td>
                        <td class="text-center font-weight-bold">
                            @if(!$Obligation2Ledger->group)
                                {{ number_format(((@$Balances[$Obligation2Ledger->id]['balance'] <0)?(@$Balances[$Obligation2Ledger->id]['balance']*-1):@$Balances[$Obligation2Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                <?php
                                $ObligationLedger_total += @$Balances[$Obligation2Ledger->id]['balance'];
                                ?>
                            @endif
                        </td>
                    </tr>
                    @foreach($Obligation2Ledger->subs as $Obligation3Ledger)
                        <tr>
                            <td>
                                &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span
                                    class="badge badge-light font-13">{{ $Obligation3Ledger->code }}</span>
                                {{ $Obligation3Ledger->{"title_".trans("backLang.code")} }}
                            </td>
                            <td class="text-center font-weight-bold">
                                @if(!$Obligation3Ledger->group)
                                    {{ number_format(((@$Balances[$Obligation3Ledger->id]['start'] <0)?(@$Balances[$Obligation3Ledger->id]['start']*-1):@$Balances[$Obligation3Ledger->id]['start']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $ObligationLedger_start += @$Balances[$Obligation3Ledger->id]['start'];
                                    ?>
                                @endif
                            </td>
                            <td class="text-center font-weight-bold">
                                @if(!$Obligation3Ledger->group)
                                    {{ number_format(((@$Balances[$Obligation3Ledger->id]['period'] <0)?(@$Balances[$Obligation3Ledger->id]['period']*-1):@$Balances[$Obligation3Ledger->id]['period']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $ObligationLedger_period += @$Balances[$Obligation3Ledger->id]['period'];
                                    ?>
                                @endif
                            </td>
                            <td class="text-center font-weight-bold">
                                @if(!$Obligation3Ledger->group)
                                    {{ number_format(((@$Balances[$Obligation3Ledger->id]['balance'] <0)?(@$Balances[$Obligation3Ledger->id]['balance']*-1):@$Balances[$Obligation3Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $ObligationLedger_total += @$Balances[$Obligation3Ledger->id]['balance'];
                                    ?>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                @endforeach
                @if(count($Obligation1Ledger->subs) >0)
                    <tr class="bg-light">
                        <td>
                            <strong>{{ trans('backLang.totalOf') }} {{ $Obligation1Ledger->{"title_".trans("backLang.code")} }}</strong>
                        </td>
                        <td class="text-center font-weight-bold">

                            {{ number_format((($ObligationLedger_start <0)?($ObligationLedger_start*-1):$ObligationLedger_start), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                            <?php
                            $Start_of_Obligation += $ObligationLedger_start;
                            ?>

                        </td>
                        <td class="text-center font-weight-bold">

                            {{ number_format((($ObligationLedger_period <0)?($ObligationLedger_period*-1):$ObligationLedger_period), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                            <?php
                            $Period_of_Obligation += $ObligationLedger_period;
                            ?>

                        </td>
                        <td class="text-center font-weight-bold">

                            {{ number_format((($ObligationLedger_total <0)?($ObligationLedger_total*-1):$ObligationLedger_total), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                            <?php
                            $Total_of_Obligation += $ObligationLedger_total;
                            ?>

                        </td>
                    </tr>
                @endif
            @endforeach

            <tr>
                <td colspan="4">
                    <span class="badge badge-light font-13">{{ $PropertyLedger->code }}</span>
                    <strong>{{ $PropertyLedger->{"title_".trans("backLang.code")} }}</strong>
                </td>
            </tr>
            <?php
            $Property_start = 0;
            $Property_period = 0;
            $Property_total = 0;
            ?>
            @foreach($PropertyLedger->subs as $Property1Ledger)
                <tr>
                    <td>
                        <span class="badge badge-light font-13">{{ $Property1Ledger->code }}</span>
                        {{ $Property1Ledger->{"title_".trans("backLang.code")} }}
                    </td>
                    <td class="text-center font-weight-bold">
                        @if(!$Property1Ledger->group)
                            {{ number_format(((@$Balances[$Property1Ledger->id]['start'] <0)?(@$Balances[$Property1Ledger->id]['start']*-1):@$Balances[$Property1Ledger->id]['start']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                            <?php
                            $Property_start += @$Balances[$Property1Ledger->id]['start'];
                            ?>
                        @endif
                    </td>
                    <td class="text-center font-weight-bold">
                        @if(!$Property1Ledger->group)
                            {{ number_format(((@$Balances[$Property1Ledger->id]['period'] <0)?(@$Balances[$Property1Ledger->id]['period']*-1):@$Balances[$Property1Ledger->id]['period']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                            <?php
                            $Property_period += @$Balances[$Property1Ledger->id]['period'];
                            ?>
                        @endif
                    </td>
                    <td class="text-center font-weight-bold">
                        @if(!$Property1Ledger->group)
                            {{ number_format(((@$Balances[$Property1Ledger->id]['balance'] <0)?(@$Balances[$Property1Ledger->id]['balance']*-1):@$Balances[$Property1Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                            <?php
                            $Property_total += @$Balances[$Property1Ledger->id]['balance'];
                            ?>
                        @endif
                    </td>
                </tr>
                <?php
                $PropertyLedger_start = 0;
                $PropertyLedger_period = 0;
                $PropertyLedger_total = 0;
                ?>
                @foreach($Property1Ledger->subs as $Property2Ledger)
                    <tr>
                        <td>
                            &nbsp; &nbsp; &nbsp; <span
                                class="badge badge-light font-13">{{ $Property2Ledger->code }}</span>
                            {{ $Property2Ledger->{"title_".trans("backLang.code")} }}
                        </td>
                        <td class="text-center font-weight-bold">
                            @if(!$Property2Ledger->group)
                                {{ number_format(((@$Balances[$Property2Ledger->id]['start'] <0)?(@$Balances[$Property2Ledger->id]['start']*-1):@$Balances[$Property2Ledger->id]['start']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                <?php
                                $PropertyLedger_start += @$Balances[$Property2Ledger->id]['start'];
                                $Property_start += @$Balances[$Property2Ledger->id]['start'];
                                ?>
                            @endif
                        </td>
                        <td class="text-center font-weight-bold">
                            @if(!$Property2Ledger->group)
                                {{ number_format(((@$Balances[$Property2Ledger->id]['period'] <0)?(@$Balances[$Property2Ledger->id]['period']*-1):@$Balances[$Property2Ledger->id]['period']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                <?php
                                $PropertyLedger_period += @$Balances[$Property2Ledger->id]['period'];
                                $Property_period += @$Balances[$Property2Ledger->id]['period'];
                                ?>
                            @endif
                        </td>
                        <td class="text-center font-weight-bold">
                            @if(!$Property2Ledger->group)
                                {{ number_format(((@$Balances[$Property2Ledger->id]['balance'] <0)?(@$Balances[$Property2Ledger->id]['balance']*-1):@$Balances[$Property2Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                <?php
                                $PropertyLedger_total += @$Balances[$Property2Ledger->id]['balance'];
                                $Property_total += @$Balances[$Property2Ledger->id]['balance'];
                                ?>
                            @endif
                        </td>
                    </tr>
                    @foreach($Property2Ledger->subs as $Property3Ledger)
                        <tr>
                            <td>
                                &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span
                                    class="badge badge-light font-13">{{ $Property3Ledger->code }}</span>
                                {{ $Property3Ledger->{"title_".trans("backLang.code")} }}
                            </td>
                            <td class="text-center font-weight-bold">
                                @if(!$Property3Ledger->group)
                                    {{ number_format(((@$Balances[$Property3Ledger->id]['start'] <0)?(@$Balances[$Property3Ledger->id]['start']*-1):@$Balances[$Property3Ledger->id]['start']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $PropertyLedger_start += @$Balances[$Property3Ledger->id]['start'];
                                    $Property_start += @$Balances[$Property3Ledger->id]['start'];
                                    ?>
                                @endif
                            </td>
                            <td class="text-center font-weight-bold">
                                @if(!$Property3Ledger->group)
                                    {{ number_format(((@$Balances[$Property3Ledger->id]['period'] <0)?(@$Balances[$Property3Ledger->id]['period']*-1):@$Balances[$Property3Ledger->id]['period']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $PropertyLedger_period += @$Balances[$Property3Ledger->id]['period'];
                                    $Property_period += @$Balances[$Property3Ledger->id]['period'];
                                    ?>
                                @endif
                            </td>
                            <td class="text-center font-weight-bold">
                                @if(!$Property3Ledger->group)
                                    {{ number_format(((@$Balances[$Property3Ledger->id]['balance'] <0)?(@$Balances[$Property3Ledger->id]['balance']*-1):@$Balances[$Property3Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                                    <?php
                                    $PropertyLedger_total += @$Balances[$Property3Ledger->id]['balance'];
                                    $Property_total += @$Balances[$Property3Ledger->id]['balance'];
                                    ?>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                @endforeach
                @if(count($Property1Ledger->subs) >0)
                    <tr class="bg-light">
                        <td>
                            <strong>{{ trans('backLang.totalOf') }} {{ $Property1Ledger->{"title_".trans("backLang.code")} }}</strong>
                        </td>
                        <td class="text-center font-weight-bold">

                            {{ number_format((($PropertyLedger_start <0)?($PropertyLedger_start*-1):$PropertyLedger_start), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}

                        </td>
                        <td class="text-center font-weight-bold">

                            {{ number_format((($PropertyLedger_period <0)?($PropertyLedger_period*-1):$PropertyLedger_period), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}

                        </td>
                        <td class="text-center font-weight-bold">

                            {{ number_format((($PropertyLedger_total <0)?($PropertyLedger_total*-1):$PropertyLedger_total), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}

                        </td>
                    </tr>
                @endif
            @endforeach
            <tr class="bg-light">
                <td>
                    <strong>{{ trans('backLang.totalOf') }} {{ $PropertyLedger->{"title_".trans("backLang.code")} }}</strong>
                </td>
                <td class="text-center font-weight-bold">

                    {{ number_format((($Property_start <0)?($Property_start*-1):$Property_start), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                    <?php
                    $Start_of_Obligation += $Property_start;
                    ?>

                </td>
                <td class="text-center font-weight-bold">

                    {{ number_format((($Property_period <0)?($Property_period*-1):$Property_period), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                    <?php
                    $Period_of_Obligation += $Property_period;
                    ?>

                </td>
                <td class="text-center font-weight-bold">

                    {{ number_format((($Property_total <0)?($Property_total*-1):$Property_total), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                    <?php
                    $Total_of_Obligation += $Property_total;
                    ?>

                </td>
            </tr>
            <tr class="bg-primary">
                <td class="text-white">
                    <h6 class="m-0">
                        {{ trans('backLang.totalOf') }} {{ trans('backLang.Obligations') }}
                    </h6>
                </td>
                <td class="text-white text-center">
                    <h6 class="m-0 font-weight-bold">
                        {{ number_format((($Start_of_Obligation <0)?($Start_of_Obligation*-1):$Start_of_Obligation), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                    </h6>
                </td>
                <td class="text-white text-center">
                    <h6 class="m-0 font-weight-bold">
                        {{ number_format((($Period_of_Obligation <0)?($Period_of_Obligation*-1):$Period_of_Obligation), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                    </h6>
                </td>
                <td class="text-white text-center">
                    <h6 class="m-0 font-weight-bold">
                        {{ number_format((($Total_of_Obligation <0)?($Total_of_Obligation*-1):$Total_of_Obligation), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}
                    </h6>
                </td>
            </tr>
            </tbody>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
