@extends('back.layouts.master')
@section('title', trans('backLang.IncomeReport'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <div class="card" id="search_card">
                <div class="card-header">
                    <h3 class="card-title"><a href="{{ route("AppReports") }}">{!! trans('backLang.reports') !!}</a> <i
                            class='fe fe-chevron-{{ trans("backLang.right") }}'></i><span> {!! trans('backLang.IncomeReport') !!}</span>
                    </h3>
                    <div class="card-options">

                        @if (Roles::Check("accountant_print"))
                            <a href="javascript:void(0)" data-toggle="tooltip"
                               id="_print_btn"
                               data-original-title="{{ trans("backLang.print") }}">
                                <i
                                    class="icon-printer"></i>
                            </a>
                        @endif
                    </div>
                </div>
                <div class="card-body">
                    @include('back.accounting.reports.income.search')
                </div>
            </div>
            <div class="row clearfix displaynone" id="results_table_div">
                <div class="col-sm-12">
                    <div id="result_load"></div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push("after-scripts")
    <script src="{{ asset('back/bundles/c3.bundle.js') }}"></script>
@endpush
@section("page-script")
    <script type="text/javascript">
        $(document).ready(function () {
            $("#income_search_form").submit(function (evt) {
                if ($("#search_submit_stat").val() == "") {
                    $('#result_load').html("<div class=\"card pt-2\"><div class=\"card-body pt-3\"><div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div></div></div>");

                    $("#results_table_div").show();
                    evt.preventDefault();
                    var formData = new FormData(this);
                    var xhr = $.ajax({
                        type: "POST",
                        url: "{{ route("AppIncomeReportList") }}",
                        data: formData,
                        cache: false,
                        contentType: false,
                        processData: false,
                        success: function (result) {
                            $('#result_load').html(result);
                        }
                    });
                    console.log(xhr);

                }
            });

            @if (Roles::Check("accountant_print"))
            $("#_print_btn").on('click', function () {
                $("#search_submit_stat").val("print");
                $("#income_search_form").attr('action', '{{ route("AppIncomeReportList") }}');
                $("#income_search_form").attr('target', '_blank');
                $("#income_search_form").submit();
                $("#income_search_form").attr('action', '{{ route("AppIncomeReport") }}');
                $("#search_submit_stat").val("");
                $("#income_search_form").attr('target', '');
            });
            @endif

            @if(Helper::Preferences("date_type"))
            $("#search_start").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#search_end").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#receipt_date").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            @else
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            @endif

            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });

            $('.custom-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                }
            });
        });

    </script>
@endsection
