@extends('back.layouts.print')
@section('title', trans('backLang.IncomeReport'))
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1>{!! trans('backLang.IncomeReport') !!}</h1>

                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if(!empty($Ledger))
                    <label>{{ trans('backLang.ledger') }}</label>
                    <strong>{{ $Ledger->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if($request->search_word !="")
                    <label>{{ trans('backLang.searchFor') }}</label>
                    <strong>{!! $request->search_word !!}</strong>
                @endif
                @if(!empty($Currency))
                    <label>{{ trans('backLang.currency') }}</label>
                    <strong>{{ $Currency->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if($request->search_center_id !="")
                    <label>{{ trans('backLang.costPosition') }}</label>
                    <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
                @endif
                @if($request->search_user !="")
                    <label>{{ trans('backLang.user') }}</label>
                    <strong>{!! Helper::usernameById($request->search_user) !!}</strong>
                @endif
            </caption>
            <thead>
            <th>{{ trans('backLang.theMonth') }}</th>
            <th>{{ trans('backLang.revenues') }}</th>
            <th>{{ trans('backLang.expenses') }}</th>
            </thead>
            <tbody>
            @if(count($Months) >0)
                @foreach($Months as $key=>$Month)
                    <tr>
                        <td width="40%" class="text-center">{{ @$Month["title"] }}</td>
                        <td width="30%" class="text-center text-success">{{ number_format(@$Month["revenues"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) ." ".@$DefaultCurrency->symbol }}</td>
                        <td width="30%" class="text-center text-danger">{{ number_format(@$Month["expenses"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) ." ".@$DefaultCurrency->symbol }}</td>
                    </tr>
                @endforeach
            @else
                <tr>
                    <td colspan="3">
                        <small>{{ trans("backLang.noData") }}</small>
                    </td>
                </tr>
            @endif
            </tbody>
        </table>

        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
