<div class="card">
    <div class="card-body p-3 border-top">
        <div id="chart-combination" style="height: 300px"></div>
        <script>
            var chart = c3.generate({
                bindto: '#chart-combination', // id of chart wrapper
                data: {
                    columns: [
                        // each columns data
                        ['data1',
                            @foreach($Months as $key=>$Month)
                            {{ @$Month["revenues"] }},
                            @endforeach
                        ],
                        ['data2',
                            @foreach($Months as $key=>$Month)
                            {{ @$Month["expenses"] }},
                            @endforeach
                        ]
                    ],
                    type: 'bar', // default type of chart
                    colors: {
                        'data1': '#44b39b',
                        'data2': '#ff7f81',
                    },
                    names: {
                        // name of each serie
                        'data1': '{{ trans("backLang.revenues")." ".@$DefaultCurrency->symbol }}',
                        'data2': '{{ trans("backLang.expenses")." ".@$DefaultCurrency->symbol }}',
                    }
                },
                axis: {
                    x: {
                        type: 'category',
                        // name of each category
                        categories: [
                            @foreach($Months as $key=>$Month)
                                '{{ @$Month["title"] }}',
                            @endforeach
                        ]
                    },
                },
                bar: {
                    width: 16
                },
                legend: {
                    show: false, //hide legend
                },
                padding: {
                    bottom: 0,
                    top: 0
                },
            });
        </script>
        <br>
        <table class="table table-striped mb-0 thin-table">
            <thead>
            <tr class="bg-blue">
                <th class="text-center text-light">{{ trans('backLang.theMonth') }}</th>
                <th class="text-center text-light">{{ trans('backLang.revenues') }}</th>
                <th class="text-center text-light">{{ trans('backLang.expenses') }}</th>
            </tr>
            </thead>
            <tbody>
            @foreach($Months as $key=>$Month)
                <tr>
                    <td width="40%" class="text-center">{{ @$Month["title"] }}</td>
                    <td width="30%" class="text-center text-success">{{ number_format(@$Month["revenues"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) ." ".@$DefaultCurrency->symbol }}</td>
                    <td width="30%" class="text-center text-danger">{{ number_format(@$Month["expenses"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) ." ".@$DefaultCurrency->symbol }}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
</div>
