@extends('back.layouts.print')
@section('title', trans('backLang.incomeListReport'))
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table">
            <caption>
                <h1>{!! trans('backLang.incomeListReport') !!}</h1>

                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if($request->search_end !="")
                    <label>{{ trans('backLang.atDate') }}</label>
                    <strong>{!! $request->search_end !!}</strong>
                @endif
                @if($request->search_center_id !="")
                    <label>{{ trans('backLang.costPosition') }}</label>
                    <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
                @endif
            </caption>
            <thead>
            <th colspan="2">{{ trans('backLang.revenues') }}</th>
            </thead>
            <tbody>
            @foreach(Helper::Categories(8) as $CatItem)
                <tr>
                    <td>
                        {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                    <td class="text-right font-weight-bold" width="33.3%">
                        {{ number_format(@$Revenues[$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                    </td>
                </tr>
            @endforeach
            </tbody>
            <thead>
            <th> {{ trans('backLang.totalOf') }} {{ trans('backLang.revenues') }}</th>
            <th>{{ number_format($RevenuesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}</th>
            </thead>
            </tbody>
        </table>
        <br>
        <table class="responsive-table">
            <thead>
            <th colspan="2">{{ trans('backLang.expenses') }}</th>
            </thead>
            <tbody>
            @foreach(Helper::Categories(9) as $CatItem)
                <tr>
                    <td>
                        {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                    <td class="text-right font-weight-bold" width="33.3%">
                        {{ number_format(@$Expenses[$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                    </td>
                </tr>
            @endforeach
            </tbody>
            <thead>
            <th> {{ trans('backLang.totalOf') }} {{ trans('backLang.expenses') }}</th>
            <th>{{ number_format($ExpensesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}</th>
            </thead>
        </table>
        <br>
        <table class="responsive-table">
            <thead>
            <th>
                {{ trans('backLang.netProfit') }}
            </th>
            <th width="33.3%"><strong>{{ number_format($NetProfit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}</strong></th>
            </thead>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
