<style>
    .table td, .table th {
        padding: 4px 10px;
    }
</style>
<div class="card">
    <div class="card-body m-0 p-0">
        <div class="row text-center">
            <div class="col-lg-4 col-sm-12 border-right p-3">
                <label class="mb-1 font-12">{{ trans('backLang.totalOf') }} {{ trans('backLang.revenues') }}</label>
                <h4 class="font-20 font-weight-bold m-0 text-success" id="balance_credit">
                    {{ number_format($RevenuesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                </h4>
            </div>
            <div class="col-lg-4 col-sm-12 border-right p-3">
                <label class="mb-1 font-12">{{ trans('backLang.totalOf') }} {{ trans('backLang.expenses') }}</label>
                <h4 class="font-20 font-weight-bold  m-0 text-danger" id="balance_dept">
                    {{ number_format($ExpensesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                </h4>
            </div>
            <div class="col-lg-4 col-sm-12 p-3">
                <label class="mb-1 font-12">{{ trans('backLang.netProfit') }}</label>
                <h4 class="font-20 font-weight-bold m-0 text-info" id="balance_total">
                    {{ number_format($NetProfit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                </h4>
            </div>
        </div>
    </div>
</div>
<div class="row text-center">
    <div class="col-sm-12">
        <div class="card">
            <div class="card-body p-4">
                <div>
                    <table class="table table-bordered mb-0">
                        <thead class="bg-blue">
                        <th colspan="2" class="text-light font-weight-bold">{{ trans('backLang.revenues') }}</th>
                        </thead>
                        <tbody>
                        @foreach(Helper::Categories(8) as $CatItem)
                            <tr>
                                <td>
                                    {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                                <td width="30%" class="text-center font-weight-bold">
                                    {{ @$Revenues[$CatItem->id]." ".@$DefaultCurrency->symbol }}
                                </td>
                            </tr>
                        @endforeach
                        <tr class="bg-white">
                            <td class="font-weight-bold">{{ trans("backLang.totalOf")}} {{ trans("backLang.revenues")}}</td>
                            <td class="text-center font-weight-bold">
                                {{ number_format($RevenuesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <br>
                    <table class="table table-bordered mb-0">
                        <thead class="bg-blue">
                        <th colspan="2" class="text-light font-weight-bold">{{ trans('backLang.expenses') }}</th>
                        </thead>
                        <tbody>
                        @foreach(Helper::Categories(9) as $CatItem)
                            <tr>
                                <td>
                                    {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                                <td width="30%" class="text-center font-weight-bold">
                                    {{ @$Expenses[$CatItem->id]." ".@$DefaultCurrency->symbol }}
                                </td>
                            </tr>
                        @endforeach
                        <tr class="bg-white">
                            <td class="font-weight-bold">{{ trans("backLang.totalOf")}} {{ trans("backLang.expenses")}}</td>
                            <td class="text-center font-weight-bold">
                                {{ number_format($ExpensesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <br>
                    <table class="table table-bordered mb-0">
                        <thead class="bg-blue">
                        <th class="text-light font-weight-bold">{{ trans('backLang.netProfit') }}</th>
                        <th width="30%" class="text-center text-light font-weight-bold">{{ number_format($NetProfit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}</th>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
