@extends('back.layouts.master')
@section('title', trans('backLang.installmentsReport'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">

            <div class="card" id="search_card">
                <div class="card-header">
                    <h3 class="card-title"><a href="{{ route("AppReports") }}">{!! trans('backLang.reports') !!}</a> <i
                            class='fe fe-chevron-{{ trans("backLang.right") }}'></i><span> {!! trans('backLang.installmentsReport') !!}</span>
                    </h3>
                    <div class="card-options">

                        <a href="javascript:void(0)" data-toggle="tooltip"
                           id="_print_btn" class="displaynone"
                           data-original-title="{{ trans("backLang.print") }}">
                            <i
                                class="icon-printer"></i>
                        </a>
                        <a href="javascript:void(0)" data-toggle="tooltip"
                           id="_export_btn" class="displaynone"
                           data-original-title="{{ trans("backLang.export") }}">
                            <i
                                class="icon-cloud-download"></i>
                        </a>
                    </div>
                </div>
                <div class="card-body">
                    @include('back.accounting.reports.installments.search')
                </div>
            </div>

            <div class="row clearfix displaynone" id="results_table_div">
                <div class="col-sm-12">
                    <div class="card bg-light">
                        <div class="card-body m-0 p-0">
                            <div class="row text-center">
                                <div class="col-lg-6 col-sm-6 border-right p-3"><label class="mb-1 font-12">
                                        {{ trans("backLang.loanInstalmentCount") }}
                                    </label> <h4 id="installments_count" class="font-20 font-weight-bold  m-0">50000
                                        SAR </h4></div>
                                <div class="col-lg-6 col-sm-6 border-right p-3"><label class="mb-1 font-12">
                                        {{ trans("backLang.loanInstalmentTotal") }}
                                    </label> <h4 id="installments_total" class="font-20 font-weight-bold m-0">0
                                        SAR </h4></div>
                            </div>
                        </div>
                    </div>

                    <div class="card pt-2">
                        <div class="card-body">
                            <div class="table-responsive table-nowrap mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="installments_table">
                                    <thead>
                                    <th>{{ trans('backLang.installmentAmount') }}</th>
                                    <th>{{ trans('backLang.dueDate') }}</th>
                                    <th>{{ trans('backLang.status') }}</th>
                                    <th>{{ trans('backLang.name') }}</th>
                                    <th>{{ trans('backLang.phone') }}</th>
                                    <th>{{ trans('backLang.notes') }}</th>
                                    <th class="text-center">{{ trans('backLang.options') }}</th>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section("page-script")
    <script type="text/javascript">
        var table_name = "#installments_table";
        var table_paginate = "{{ DeviceTrust::settings('BACKEND_PAGINATION') }}";
        $(document).ready(function () {
            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "deferLoading": 0,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('AppInstallmentsReportList') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.search_word = $("#search_word").val();
                        data.search_cat = $("#search_cat").val();
                        data.search_start = $("#search_start").val();
                        data.search_end = $("#search_end").val();
                        data.search_paid = $("#search_paid").val();
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                    $("#installments_count").html(this.api().page.info().recordsTotal);
                    if (this.api().page.info().recordsTotal > 0) {
                        $("#installments_total").html(dataTable.ajax.json().installments_total + ' {{ @$DefaultCurrency->symbol }} ');
                        $("#_print_btn").show();
                        $("#_export_btn").show();
                    } else {
                        $("#_print_btn").hide();
                        $("#_export_btn").hide();
                    }

                    $('[data-toggle="tooltip"]').tooltip();
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {"data": "amount"},
                    {"data": "date"},
                    {"data": "status"},
                    {"data": "person_id"},
                    {"data": "phone", "orderable": false},
                    {"data": "notes"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[1, "asc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';

            $("#installments_search_form").submit(function (evt) {
                if ($("#search_submit_stat").val() == "") {
                    $("#results_table_div").show();
                    evt.preventDefault();
                    $(table_name).DataTable().ajax.reload();
                }
            });


            $("#_export_btn").on('click', function () {
                $("#search_submit_stat").val("export");
                $("#installments_search_form").attr('action', '{{ route("AppInstallmentsReportExport") }}');
                $("#installments_search_form").attr('target', '_blank');
                $("#installments_search_form").submit();
                $("#installments_search_form").attr('action', '{{ route("AppInstallmentsReport") }}');
                $("#search_submit_stat").val("");
                $("#installments_search_form").attr('target', '');
            });
            $("#_print_btn").on('click', function () {
                $("#search_submit_stat").val("print");
                $("#installments_search_form").attr('action', '{{ route("AppInstallmentsReportPrint") }}');
                $("#installments_search_form").attr('target', '_blank');
                $("#installments_search_form").submit();
                $("#installments_search_form").attr('action', '{{ route("AppInstallmentsReport") }}');
                $("#search_submit_stat").val("");
                $("#installments_search_form").attr('target', '');
            });

            @if(Helper::Preferences("date_type"))
            $("#search_start").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#search_end").hijriDatePicker({
                locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            @else
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            @endif

            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });

            $('.custom-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                }
            });
        });

    </script>
@endsection
