@extends('back.layouts.print')
@section('title', trans('backLang.installmentsReport'))
@section("content")
    <style>
        @media print {
            @page {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1>{!! trans('backLang.installmentsReport') !!}</h1>

                @if($request->search_word !="")
                    <label>{{ trans('backLang.searchFor') }}</label>
                    <strong>{!! $request->search_word !!}</strong>
                @endif
                @if($request->search_start !="")
                    <label>{{ trans('backLang.fromDate') }}</label>
                    <strong>{!! $request->search_start !!}</strong>
                @endif
                @if($request->search_end !="")
                    <label>{{ trans('backLang.toDate') }}</label>
                    <strong>{!! $request->search_end !!}</strong>
                @endif
                @if($request->search_cat !="")
                    <label>{{ trans('backLang.loansCategory') }}</label>
                    <strong>{!! Helper::Category($request->search_cat) !!}</strong>
                @endif
            </caption>
            <thead>
            <th>#</th>
            <th>{{ trans('backLang.installmentAmount') }}</th>
            <th>{{ trans('backLang.dueDate') }}</th>
            <th>{{ trans('backLang.status') }}</th>
            <th>{{ trans('backLang.name') }}</th>
            <th>{{ trans('backLang.idNumber') }}</th>
            <th>{{ trans('backLang.phone') }}</th>
            <th>{{ trans('backLang.notes') }}</th>
            </thead>
            <tbody>
            <?php
            $i = 1;
            $total = 0;
            ?>
            @if(count($Installments) >0)
                @foreach($Installments as $Installment)
                    <?php
                    $total += $Installment->amount;
                    if (@$Installment->loan->pay_method == 0) {
                        $i_date = "<div class='text-center'><span class='small'>" . trans("backLang.LoanPayMethods.0") . "</span> <br>" . date(Helper::Preferences("date_format"), strtotime($Installment->date)) . " " . ((@$Installment->date_type) ? trans("backLang.H") : trans("backLang.M")) . "</div>";
                    } else {
                        $i_date = "<div class='text-center'>" . date(Helper::Preferences("date_format"), strtotime($Installment->date)) . " " . ((@$Installment->date_type) ? trans("backLang.H") : trans("backLang.M")) . "</div>";
                    }
                    $Installment_status_title = "<span class='text-danger'>" . trans("backLang.unpaidInstallment") . "</span>";
                    if ($Installment->paid_status) {
                        $Installment_status_title = "<span class='text-success'>" . trans("backLang.paidInstallment") . "</span>" . "<div class='small'>" . Helper::DateView($Installment->paid_at, 1) . "</div>";
                    }
                    ?>
                    <tr>
                        <td>{{ $i }}</td>
                        <td>{{ number_format($Installment->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$DefaultCurrency->symbol }}</td>
                        <td>{!! $i_date !!}</td>
                        <td>{!! $Installment_status_title !!}</td>
                        <td>{{ @$Installment->loan->name }}</td>
                        <td>{!! @$Installment->loan->id_number. "<br><small> " . trans('backLang.identityTypes')[@$Installment->loan->id_type]."</small>" !!}</td>
                        <td>{!! @$Installment->loan->phone !!}</td>
                        <td>{{ (($Installment->notes != "") ? $Installment->notes : "-") }}</td>
                    </tr>
                    @php($i++)
                @endforeach

                <tr>
                    <td>{{ ($i-1) }}</td>
                    <td>{{ $total . " " . @$DefaultCurrency->symbol }}</td>
                    <td colspan="7">
                        {{ trans("backLang.total") }}
                    </td>
                </tr>
            @else
                <tr>
                    <td colspan="8">
                        <small>{{ trans("backLang.noData") }}</small>
                    </td>
                </tr>
            @endif
            </tbody>
        </table>

        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
