@extends('back.layouts.print')
@section('title', trans('backLang.revenuesAndExpenses'))
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table">
            <caption>
                <h1>{!! trans('backLang.revenuesAndExpenses') !!}</h1>

                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if($request->search_pay_method !="")
                    <label>{{ trans('backLang.payMethod') }}</label>
                    <strong>{!! Helper::Category($request->search_pay_method) !!}</strong>
                @endif
                @if(!empty($Fund))
                    <label>{{ trans('backLang.box') }}</label>
                    <strong>{{ $Fund->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if(!empty($Currency))
                    <label>{{ trans('backLang.currency') }}</label>
                    <strong>{{ $Currency->{"title_".trans("backLang.code")} }}</strong>
                @endif
                @if($request->search_start !="")
                    <label>{{ trans('backLang.fromDate') }}</label>
                    <strong>{!! $request->search_start !!}</strong>
                @endif
                @if($request->search_end !="")
                    <label>{{ trans('backLang.toDate') }}</label>
                    <strong>{!! $request->search_end !!}</strong>
                @endif
                @if($request->search_center_id !="")
                    <label>{{ trans('backLang.costPosition') }}</label>
                    <strong>{!! Helper::Category($request->search_center_id) !!}</strong>
                @endif
                @if($request->search_user !="")
                    <label>{{ trans('backLang.user') }}</label>
                    <strong>{!! Helper::usernameById($request->search_user) !!}</strong>
                @endif
            </caption>
            <thead>
            <th>{{ trans('backLang.revenuesDetails') }}</th>
            <th>{{ trans('backLang.total') }}</th>
            </thead>
            <tbody>
            @foreach(Helper::Categories(8) as $CatItem)
                <tr>
                    <td>
                        {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                    <td class="text-right font-weight-bold" width="33.3%">
                        {{ number_format(@$Revenues[$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
        <br>
        <table class="responsive-table center-table">
            <thead>
            <th>{{ trans('backLang.expensesDetails') }}</th>
            <th>{{ trans('backLang.total') }}</th>
            </thead>
            <tbody>
            @foreach(Helper::Categories(9) as $CatItem)
                <tr>
                    <td>
                        {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                    <td class="text-right font-weight-bold" width="33.3%">
                        {{ number_format(@$Expenses[$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                    </td>
                </tr>
            @endforeach
        </table>
        <br>
        <table class="responsive-table center-table">
            <thead>
            <tr>
                <th width="33.3%">
                    {{ trans('backLang.totalOf') }} {{ trans('backLang.revenues') }}
                </th>
                <th width="33.3%">
                    {{ trans('backLang.totalOf') }} {{ trans('backLang.expenses') }}
                </th>
                <th width="33.3%">
                    {{ trans('backLang.netProfit') }}
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>{{ number_format($RevenuesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}</td>
                <td>{{ number_format($ExpensesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}</td>
                <td><strong>{{ number_format($NetProfit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}</strong></td>
            </tr>
            </tbody>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
