<div class="card">
    <div class="card-body m-0 p-0">
        <div class="row text-center">
            <div class="col-lg-4 col-sm-12 border-right p-3">
                <label class="mb-1 font-12">{{ trans('backLang.totalOf') }} {{ trans('backLang.revenues') }}</label>
                <h4 class="font-20 font-weight-bold m-0 text-success" id="balance_credit">
                    {{ number_format($RevenuesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                </h4>
            </div>
            <div class="col-lg-4 col-sm-12 border-right p-3">
                <label class="mb-1 font-12">{{ trans('backLang.totalOf') }} {{ trans('backLang.expenses') }}</label>
                <h4 class="font-20 font-weight-bold  m-0 text-danger" id="balance_dept">
                    {{ number_format($ExpensesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                </h4>
            </div>
            <div class="col-lg-4 col-sm-12 p-3">
                <label class="mb-1 font-12">{{ trans('backLang.netProfit') }}</label>
                <h4 class="font-20 font-weight-bold m-0 text-info" id="balance_total">
                    {{ number_format($NetProfit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                </h4>
            </div>
        </div>
    </div>
</div>
<div class="row text-center">
    <div class="col-sm-6">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">
                    {{ trans('backLang.revenuesDetails') }}
                </h3>
            </div>
            <div class="card-body border-top">
                <table class="table table-striped mb-0 thin-table">
                    <tbody>
                    @foreach(Helper::Categories(8) as $CatItem)
                        <tr>
                            <td>
                                {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                            <td class="text-right font-weight-bold">
                                {{ number_format(@$Revenues[$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="col-sm-6">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">
                    {{ trans('backLang.expensesDetails') }}
                </h3>
            </div>
            <div class="card-body border-top">
                <table class="table table-striped mb-0 thin-table">
                    <tbody>
                    @foreach(Helper::Categories(9) as $CatItem)
                        <tr>
                            <td>
                                {{ $CatItem->{"title_" . trans('backLang.boxCode')} }}</td>
                            <td class="text-right font-weight-bold">
                                {{ number_format(@$Expenses[$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol }}
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
