@extends('back.layouts.print')
@section('title', trans('backLang.trialBalance'))
@section("content")
    <style>
        @media print {
            @page {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        {!! Helper::PrintHeaderAndFooter("")["header"] !!}
        <table class="responsive-table center-table">
            <caption>
                <h1>{!! trans('backLang.trialBalance') !!}</h1>
                @if(!empty($Period))
                    <label>{{ trans('backLang.accountantPeriod') }}</label>
                    <strong>{{ $Period->code }}</strong>
                @endif
                @if($request->search_start !="")
                    <label>{{ trans('backLang.fromDate') }}</label>
                    <strong>{!! $request->search_start !!}</strong>
                @endif
                @if($request->search_end !="")
                    <label>{{ trans('backLang.toDate') }}</label>
                    <strong>{!! $request->search_end !!}</strong>
                @endif
            </caption>
        </table>
        <table class="responsive-table">
            <thead>
            <tr class="bg-blue">
                <th rowspan="2" class="text-center text-light">{{ trans("backLang.ledgerCode") }}</th>
                <th rowspan="2" class=" text-light">{{ trans("backLang.ledger") }}</th>
                <th class="text-center text-light" colspan="2">{{ trans("backLang.openBalance") }}</th>
                <th class="text-center text-light" colspan="2">{{ trans("backLang.openPeriod") }}</th>
                <th class="text-center text-light" colspan="2">{{ trans("backLang.balance") }}</th>
            </tr>
            <tr class="bg-blue">
                <th class="text-center text-light" width="10%">{{ trans("backLang.debtor") }}</th>
                <th class="text-center text-light" width="10%">{{ trans("backLang.creditor") }}</th>
                <th class="text-center text-light" width="10%">{{ trans("backLang.debtor") }}</th>
                <th class="text-center text-light" width="10%">{{ trans("backLang.creditor") }}</th>
                <th class="text-center text-light" width="10%">{{ trans("backLang.debtor") }}</th>
                <th class="text-center text-light" width="10%">{{ trans("backLang.creditor") }}</th>
            </tr>
            </thead>
            <tbody>
            <?php
            $i = 0;
            $sum_of_start_dept = 0;
            $sum_of_start_credit = 0;
            $sum_of_dept = 0;
            $sum_of_credit = 0;

            $total_of_dept = 0;
            $total_of_credit = 0;
            $is_group = true;
            $old_group_title = "";

            $group_start_dept = 0;
            $group_start_credit = 0;
            $group_dept = 0;
            $group_credit = 0;
            ?>
            @if(count($Ledgers) >0)
                @foreach($Ledgers as $Ledger)
                    <?php
                    if ($i == 0) {
                        $old_group_title = $Ledger->{"title_" . trans("backLang.code")};
                    }
                    ?>
                    @if($i!=0 && $Ledger->father_id==0 && $is_group)
                        <tr>
                            <td colspan="2"> {{ trans("backLang.totalOf") }} {{ $old_group_title }}</td>
                            <td class="text-center"><strong>{{ number_format($group_start_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($group_start_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($group_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($group_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format(($group_start_dept+$group_dept), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format(($group_start_credit+$group_credit), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                        </tr>
                        <?php
                        $is_group = $Ledger->group;
                        $old_group_title = $Ledger->{"title_" . trans("backLang.code")};
                        $group_start_dept = 0;
                        $group_start_credit = 0;
                        $group_dept = 0;
                        $group_credit = 0;
                        ?>
                    @endif
                    <?php
                    $sum_of_start_dept += $Ledger->start_dept;
                    $sum_of_start_credit += $Ledger->start_credit;
                    $sum_of_dept += $Ledger->dept;
                    $sum_of_credit += $Ledger->credit;

                    $row_dept = $Ledger->start_dept + $Ledger->dept;
                    $row_credit = $Ledger->start_credit + $Ledger->credit;

                    $total_of_dept += $row_dept;
                    $total_of_credit += $row_credit;

                    $group_start_dept += $Ledger->start_dept;
                    $group_start_credit += $Ledger->start_credit;
                    $group_dept += $Ledger->dept;
                    $group_credit += $Ledger->credit;
                    ?>
                    <tr class="{{ ($Ledger->group)?"bg-white":"" }}">
                        @if($Ledger->group)
                            <td class="text-center font-weight-bold">{{ $Ledger->code }}</td>
                            <td colspan="7"
                                class="font-weight-bold">{{ $Ledger->{"title_".trans("backLang.code")} }}</td>
                        @else
                            <td class="text-center">{{ $Ledger->code }}</td>
                            <td>{{ $Ledger->{"title_".trans("backLang.code")} }}</td>
                            <td class="text-center"><strong>{{ number_format($Ledger->start_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($Ledger->start_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($Ledger->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($Ledger->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($row_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>
                            <td class="text-center"><strong>{{ number_format($row_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></td>

                        @endif
                    </tr>
                    <?php
                    $i++;
                    ?>
                @endforeach
            @else
                <tr>
                    <td colspan="6" class="text-center">
                        <small>{{ trans("backLang.noData") }}</small>
                    </td>
                </tr>
            @endif
            </tbody>
            <thead>
            <tr class="bg-secondary">
                <th colspan="2" class=" text-light"> {{ trans("backLang.total") }}</th>
                <th class="text-center text-light"><strong>{{ number_format($sum_of_start_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></th>
                <th class="text-center text-light"><strong>{{ number_format($sum_of_start_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></th>
                <th class="text-center text-light"><strong>{{ number_format($sum_of_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></th>
                <th class="text-center text-light"><strong>{{ number_format($sum_of_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></th>
                <th class="text-center text-light"><strong>{{ number_format($total_of_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></th>
                <th class="text-center text-light"><strong>{{ number_format($total_of_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></th>
            </tr>
            <?php
            $close_start = $sum_of_start_dept - $sum_of_start_credit;
            if ($close_start < 0) {
                $close_start = $close_start * (-1);
            }
            $close_period = $sum_of_dept - $sum_of_credit;
            if ($close_period < 0) {
                $close_period = $close_period * (-1);
            }
            $close_all = $total_of_dept - $total_of_credit;
            if ($close_all < 0) {
                $close_all = $close_all * (-1);
            }
            ?>
            <tr class="bg-secondary">
                <th colspan="2" class=" text-light"> {{ trans("backLang.closingBalance") }}</th>
                <th class="text-center text-light" colspan="2"><strong>{{ number_format($close_start, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></th>
                <th class="text-center text-light" colspan="2"><strong>{{ number_format($close_period, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></th>
                <th class="text-center text-light" colspan="2"><strong>{{ number_format($close_all, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) }}</strong></th>
            </tr>
            </thead>
        </table>
        {!! Helper::PrintHeaderAndFooter("")["footer"] !!}
    </div>
@endsection
