<!DOCTYPE html>
<html lang="{{ trans('backLang.code') }}" dir="{{ trans('backLang.direction') }}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="icon" href="{{ asset('back/images/favicon.ico') }}" type="image/x-icon"> <!-- Favicon-->
    <title>@yield('title') - {{ config('app.name') }}</title>
    <meta name="description" content="@yield('meta_description', config('app.name'))">
    <meta name="author" content="@yield('meta_author', config('app.name'))">
    @yield('meta')

    @stack('before-styles')

    <link rel="stylesheet" href="{{ asset('back/plugins/bootstrap/css/bootstrap.min.css') }}">

    @stack('after-styles')
    @if (trim($__env->yieldContent('page-styles')))
        @yield('page-styles')
    @endif
    <!-- Custom Css -->
    <link rel="stylesheet" href="{{ asset('back/css/main.css') }}">
    <link rel="stylesheet" href="{{ asset('back/css/theme1.css') }}">
    <link rel="stylesheet" href="{{ asset('back/custom/css/main.css') }}"/>
    @if(trans('backLang.direction') == "rtl")
        <link rel="stylesheet" href="{{ asset('back/custom/css/rtl.css') }}"/>
    @endif
</head>

<body class="theme-cyan font-opensans {{ trans('backLang.direction') }}">

<!-- Page Loader -->
<div class="page-loader-wrapper">
    <div class="loader">
    </div>
</div>

<div class="auth">
    @yield('content')
</div>

<!-- Scripts -->
@stack('before-scripts')

<script src="{{ asset('back/bundles/lib.vendor.bundle.js') }}"></script>
<script src="{{ asset('back/js/core.js') }}"></script>

@stack('after-scripts')

@if (trim($__env->yieldContent('page-script')))
    @yield('page-script')
@endif

</body>
</html>
