<?php
$app_title_var = "app_title_" . trans('backLang.boxCode');
$app_title_var2 = "app_title_" . trans('backLang.boxCodeOther');
if (Helper::Preferences($app_title_var) != "") {
    $site_title = Helper::Preferences($app_title_var);
} else {
    $site_title = Helper::Preferences($app_title_var2);
}
?><!doctype html>
<html lang="{{ trans('backLang.code') }}" dir="{{ trans('backLang.direction') }}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="user" content="{{ encrypt(auth()->user()->id) }}">
    <meta name="refresh-alerts-every" content="2000">
    <meta name="alert-sounds" content="{{ auth()->user()->alert_sounds }}">
    <meta name="app-url" content="{{ URL::to("") }}/{{ DeviceTrust::env('BACKEND_PATH') }}">
    <meta name="noNotifications" content="{{ trans("backLang.noNotifications") }}">
    @if( Helper::Preferences("app_logo_" . trans('backLang.boxCode')) !="")
        <link rel="icon" href="{{ asset('uploads/preferences/'.Helper::Preferences("app_logo_" . trans('backLang.boxCode'))) }}" type="image/png">
    @else
        <link rel="icon" href="{{ asset('back/images/logo.png') }}" type="image/png">
    @endif
    <title>@yield('title')</title>
    <meta name="description" content="@yield('meta_description', $site_title)">
    <meta name="author" content="@yield('meta_author', $site_title)">
    <meta name="pusher-status" content="{{ (Helper::CheckPusherStatus())?1:0 }}">
    @yield('meta')
    <meta name="default-receiver-id" content="">
    @stack('before-styles')
    @if(Helper::Preferences("one_signal_status") && Helper::Preferences("one_signal_app_id") !="")
        <link rel="manifest" href="/manifest.json"/>
        <script src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async=""></script>
        <script>
            var OneSignal = window.OneSignal || [];
            OneSignal.push(function () {
                OneSignal.init({
                    appId: "{{ Helper::Preferences("one_signal_app_id") }}",
                    autoRegister: true,
                })
                    @if(Auth::check())
                    ,
                    OneSignal.sendTags({
                        userId: '{{ Auth::user()->id }}'
                    }).then(function (tagsSent) {
                    })
                @endif
                ;
            });

        </script>
    @endif
    <link rel="stylesheet" href="{{ asset('back/plugins/bootstrap/css/bootstrap.min.css') }}"/>
    <!-- Plugins css -->
    <link rel="stylesheet" href="{{ asset('back/plugins/charts-c3/c3.min.css') }}"/>
    <!-- Core css -->
    <link rel="stylesheet" href="{{ asset('back/css/main.css') }}"/>
    <link rel="stylesheet" href="{{ asset('back/css/theme1.css') }}"/>
    <link rel="stylesheet" href="{{ asset('back/custom/css/main.css') }}"/>
    @if(trans('backLang.direction') == "rtl")
        <link rel="stylesheet" href="{{ asset('back/custom/css/rtl.css') }}"/>
    @endif
    <link rel="stylesheet" href="{{ asset('back/plugins/summernote/dist/summernote.css') }}">
    <link rel="stylesheet" href="{{ asset('back/plugins/sweetalert/sweetalert.css') }}">
    <link rel="stylesheet" href="{{ asset('back/plugins/datatable/dataTables.bootstrap4.min.css') }}">
    <link rel="stylesheet"
          href="{{ asset('back/plugins/datatable/fixedeader/dataTables.fixedcolumns.bootstrap4.min.css') }}">
    <link rel="stylesheet"
          href="{{ asset('back/plugins/datatable/fixedeader/dataTables.fixedheader.bootstrap4.min.css') }}">
    <link rel="stylesheet" href="{{ asset('back/plugins/dropify/css/dropify.min.css') }}">
    <link rel="stylesheet" href="{{ asset('back/custom/css/dropzone.css') }}">
    <link rel="stylesheet" href="{{ asset('back/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}"/>
    <link rel="stylesheet" href="{{ asset('back/custom/css/bootstrap-datetimepicker.min.css') }}"/>
    @stack('after-styles')
    @if (trim($__env->yieldContent('page-styles')))
        @yield('page-styles')
    @endif
    <link rel="stylesheet" href="{{ asset('back/custom/js/CalcSS3/CalcSS3.css') }}"/>
</head>

<body
    class="{{ (Auth::user()->theme_style)?"dark-mode":"" }} {{ (Auth::user()->theme_sidebar)?"sidebar_dark":"" }} font-opensans {{ trans('backLang.direction') }}">
<!-- Page Loader -->
@if(Auth::user()->theme_preload)
    <div class="page-loader-wrapper">
        <div class="loader">
        </div>
    </div>
@endif
<audio id="alert_sound" class="displaynone" src="{{ URL::to('back/custom/sounds/receive.mp3') }}"
       preload="auto"></audio>
<div id="main_content">
    @include('back.layouts.headertop')
    @include('back.layouts.theme')
    @include('back.layouts.sidebar')
    <div class="page">
        @include('back.layouts.page_header')
        <div class="content">
            @include('back.layouts.errors')
            @yield('content')
            @include('back.layouts.footer')
        </div>
    </div>
</div>
@yield('chat-content')
@include('back.layouts.popup')
<script type="text/javascript">
    var app_preferences = {
        "app_url": "{{ URL::to("") }}",
        "dashboard_url": "{{ URL::to(DeviceTrust::env('BACKEND_PATH')) }}",
        "user": "{{ Auth::user()->id }}",
        "notifications_count": "{{ Notifications::unreadCount() }}",
        "chat_alerts": "{{ Notifications::ChatAlerts() }}",
        "attachments_drag_text": "{{ trans("backLang.drageFilesOrClick") }}",
        "attachments_ext": "{{ Helper::Preferences("allowed_ext") }}",
        "attachments_types": "{{ Helper::Preferences("allowed_types") }}",
        "loading_text": "{{ trans("backLang.loading") }}",
        "continue_text": "{{ trans("backLang.continue") }}",
        "lang": "{{ trans("backLang.code") }}",
    };

    function notification_delete(mid) {
        ajax_delete_row("<?php echo route("AppNotificationsDelete"); ?>/" + mid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.notificationDelete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "#notifications_table", false, false, function () {
            $("#notification_view").modal('hide');
        });
    }
</script>
@stack('before-scripts')
<script src="{{ asset('js/app.js') }}" defer></script>
<script src="{{ asset('back/bundles/lib.vendor.bundle.js') }}"></script>
<script src="{{ asset('back/js/core.js') }}"></script>
<script src="{{ asset('back/custom/js/bootstrap-notify.min.js') }}"></script>
<script src="{{ asset('back/bundles/summernote.bundle.js') }}"></script>
<script src="{{ asset('back/bundles/dataTables.bundle.js') }}"></script>
<script src="{{ asset('back/bundles/sweetalert.bundle.js') }}"></script>
<script src="{{ asset('back/bundles/selectize.bundle.js') }}"></script>
<script src="{{ asset('back/plugins/dropify/js/dropify.min.js') }}"></script>
<script src="{{ asset('back/plugins/fullcalendar/moment.min.js') }}"></script>
<script src="{{ asset('back/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('back/plugins/bootstrap-datepicker/js/bootstrap-hijri-datepicker.min.js') }}"></script>
<script src="{{ asset('back/custom/js/bootstrap-datetimepicker.min.js') }}"></script>
<script src="{{ asset('back/custom/js/dropzone.js') }}"></script>
@if(trans('backLang.direction') == "rtl")
    <script src="{{ asset('back/plugins/bootstrap-datepicker/locales/bootstrap-datepicker.ar.min.js') }}"></script>
    <script src="{{ asset('back/plugins/summernote/dist/lang/summernote-ar-AR.js') }}"></script>
@endif
<script src="{{ asset('back/custom/js/main.js') }}"></script>
<script src="{{ asset('back/custom/js/app.js') }}" defer></script>
@stack('after-scripts')
@if (trim($__env->yieldContent('page-script')))
    @yield('page-script')
@endif
@if(!@$disable_session)
    @if(Helper::Preferences("session_status"))
        <script src="{{ asset('back/custom/js/bootstrap-session-timeout.min.js') }}"></script>
        <script type="text/javascript">
            window.localStorage.setItem('session_status', 'false');
            $.sessionTimeout({
                title: '{!! trans('backLang.sessionTimeMessageAlert') !!}',
                message: '{!! trans('backLang.sessionTimeMessageTime') !!}',
                keepAliveButton: '{!! trans('backLang.continue') !!}',
                logoutButton: '{!! trans('backLang.signOut') !!}',
                logoutUrl: '{{ route('logout') }}',
                redirUrl: '{{ route('Relogin') }}',
                warnAfter: {{ round(Helper::Preferences("session_period")*60*1000) }},
                redirAfter: {{ round((Helper::Preferences("session_timer") + Helper::Preferences("session_period"))*60*1000) }},
                countdownMessage: '{!! trans('backLang.sessionTimeMessage') !!}',
                countdownBar: true,
                countdownSmart: true,
                keepAlive: false,
                ignoreUserActivity: true,
            });
            $('#session-timeout-dialog').on('show.bs.modal', function () {
                window.localStorage.setItem('session_status', 'true');
            });
            $("#session-timeout-dialog").on("hidden.bs.modal", function () {
                window.localStorage.setItem('session_status', 'false');
            });
            window.addEventListener('storage', function (event) {
                if (localStorage.getItem('session_status') == 'true') {
                    alert("{{ trans("backLang.multiSessionTimeOut") }}");
                    window.localStorage.setItem('session_status', 'false');
                }
            });
        </script>
    @endif
@endif
<script src="{{ asset('back/custom/js/CalcSS3/CalcSS3.js') }}"></script>
</body>
</html>
