<?php
$app_title_var = "app_title_" . trans('backLang.boxCode');
$app_title_var2 = "app_title_" . trans('backLang.boxCodeOther');
if (Helper::Preferences($app_title_var) != "") {
    $site_title = Helper::Preferences($app_title_var);
} else {
    $site_title = Helper::Preferences($app_title_var2);
}
?><!doctype html>
<html lang="{{ trans('backLang.code') }}" dir="{{ trans('backLang.direction') }}">
<head>
    <meta charset="UTF-8">
    <link rel="icon" href="{{ asset('back/images/favicon.ico') }}" type="image/x-icon"> <!-- Favicon-->
    <title>@yield('title')</title>
    <meta name="description" content="@yield('meta_description', $site_title)">
    <meta name="author" content="@yield('meta_author', $site_title)">
    <link href="https://fonts.googleapis.com/css?family=Cairo&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('back/custom/css/print.css') }}">

</head>

<body class="{{ trans('backLang.direction') }}">
<div id="main_content">
    <div class="page">
        <div class="content">
            @yield('content')
        </div>
    </div>
</div>
<script type="text/javascript">
    setTimeout(function () {
        window.print();
    }, 200);
    window.onfocus = function () {
        setTimeout(function () {
            window.close();
        }, 100);
    }
</script>
@if (trim($__env->yieldContent('page-script')))
    @yield('page-script')
@endif
</body>
</html>
