<div id="left-sidebar" class="sidebar ">
    <?php
    $app_title_var = "app_title_" . trans('backLang.boxCode');
    $app_title_var2 = "app_title_" . trans('backLang.boxCodeOther');
    if (Helper::Preferences($app_title_var) != "") {
        $site_title = Helper::Preferences($app_title_var);
    } else {
        $site_title = Helper::Preferences($app_title_var2);
    }
    $slashes = substr_count(rtrim(env("APP_URL"), "/"), '/') - 2;
    $segmentN2 = 2 + $slashes;
    $segmentN3 = 3 + $slashes;

    $actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
    $server_path = parse_url($actual_link, PHP_URL_PATH);
    $server_segments = explode('/', $server_path);
    $server_segment2 = @$server_segments[$segmentN2];
    $server_segment3 = @$server_segments[$segmentN3];
    ?>
    <h5 class="brand-name">{!! $site_title !!} <a href="javascript:void(0)"
                                                  class="menu_option float-right {{ (Auth::user()->theme_menu)?"active":"" }}"
                                                  data-stat="{{ Auth::user()->theme_menu }}"><i
                class="icon-grid font-16"
                data-toggle="tooltip"
                data-placement="left"
                title="Grid & List Toggle"></i></a>
    </h5>
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link {{ ($server_segment2 != 'reports' && $server_segment2 != 'preferences') ? 'active' : null }}"
               id="menu-tab" data-toggle="tab" href="#menu-main">{{ trans('backLang.main') }}</a>
        </li>
        @if (Roles::Check("role_reports"))
            <li class="nav-item">
                <a class="nav-link {{ ($server_segment2 === 'reports') ? 'active' : null }}" id="menu-tab"
                   data-toggle="tab" href="#menu-reports">{{ trans('backLang.reports') }}</a>
            </li>
        @endif
        @if (Roles::Check("app_preferences"))
            <li class="nav-item">
                <a class="nav-link {{ ($server_segment2 === 'preferences') ? 'active' : null }}"
                   id="menu-tab"
                   data-toggle="tab" href="#menu-settings">{{ trans('backLang.settings') }}</a>
            </li>
        @endif
    </ul>
    <div class="tab-content mt-3">
        <div
            class="tab-pane fade {{ ($server_segment2 != 'reports' && $server_segment2 != 'preferences') ? 'show active' : null }}"
            id="menu-main" role="tabpanel">
            <nav class="sidebar-nav">
                <ul class="metismenu {{ (Auth::user()->theme_menu)?"grid":"" }}">
                    <li class="{{ (Request::url() === route("adminHome")) ? 'active' : null }}"><a
                            href="{{ route("adminHome") }}" id="main-menu-home"><i
                                class="icon-speedometer"></i><span>{{ trans('backLang.home') }}</span></a></li>
                    @foreach(Menus::DashboardMainMenu() as $AppMenuURL)
                        <?php
                        $url_path = parse_url($AppMenuURL['link'], PHP_URL_PATH);
                        $url_segments = explode('/', $url_path);
                        $url_segment2 = @$url_segments[$segmentN2];
                        ?>
                        <li class="{{ (Request::url() === $AppMenuURL['link'] || ($url_segment2==$server_segment2 && $url_segment2 !="")) ? 'active' : null }} {{ (Request::url() === route("adminHome") && $AppMenuURL['id']=="familyTree") ? 'active' : null }}">
                            <a href="{{ $AppMenuURL['link'] }}" id="main-menu-{{ @$AppMenuURL['id'] }}"
                               class="{{ (count($AppMenuURL['sub']) >0)?"has-arrow arrow-c":"" }}"
                               aria-expanded="{{ (Request::url() === $AppMenuURL['link'] || ($url_segment2==$server_segment2 && $url_segment2 !="")) ? 'true' : "false" }}"><i
                                    class="{{ $AppMenuURL['icon'] }}"></i><span>{{ $AppMenuURL['title'] }}</span></a>
                            @if(count($AppMenuURL['sub']) >0)
                                <ul>
                                    @foreach($AppMenuURL['sub'] as $AppSubMenuURL)
                                        <?php
                                        $sub_url_path = parse_url($AppSubMenuURL['link'], PHP_URL_PATH);
                                        $sub_url_segments = explode('/', $sub_url_path);
                                        $sub_url_segment3 = @$sub_url_segments[$segmentN3];
                                        ?>
                                        <li class="{{ (Request::url() === $AppSubMenuURL['link'] || ($sub_url_segment3==$server_segment3  && $sub_url_segment3 !="")) ? 'active' : null }}">
                                            <a href="{{ $AppSubMenuURL['link'] }}"
                                               {!! ($AppSubMenuURL['id']=="printChecks")?"target='_blank'":"" !!}
                                               id="main-menu-{{ @$AppSubMenuURL['id'] }}"><span>{{ $AppSubMenuURL['title'] }}</span></a>
                                        </li>
                                    @endforeach
                                </ul>
                            @endif
                        </li>
                    @endforeach

                </ul>
            </nav>
            <br>
            <br>
        </div>
        @if (Roles::Check("role_reports"))
            <div class="tab-pane fade {{ ($server_segment2 === 'reports') ? 'show active' : null }}"
                 id="menu-reports"
                 role="tabpanel">
                <nav class="sidebar-nav">
                    <ul class="metismenu {{ (Auth::user()->theme_menu)?"grid":"" }}">
                        <li class="{{ ($server_segment2 === 'reports' && $server_segment3 == '') ? 'active' : null }}">
                            <a href="{{ route("AppReports") }}" id="reports-menu-home"><i
                                    class="icon-bar-chart"></i><span>{{ trans('backLang.home') }}</span></a></li>
                        @foreach(Menus::DashboardReportsMenu() as $AppReportsURL)
                            <?php
                            $url_path = parse_url($AppReportsURL['link'], PHP_URL_PATH);
                            $url_segments = explode('/', $url_path);
                            $url_segment3 = @$url_segments[$segmentN3];
                            ?>
                            <li class="{{ (Request::url() === $AppReportsURL['link'] || ($url_segment3==$server_segment3   && $url_segment3 !="")) ? 'active' : null }}">
                                <a href="{{ $AppReportsURL['link'] }}" id="reports-menu-{{ @$AppReportsURL['id'] }}"
                                   class="{{ (count($AppReportsURL['sub']) >0)?"has-arrow arrow-c":"" }}"
                                   aria-expanded="{{ (Request::url() === $AppReportsURL['link'] || ($url_segment3==$server_segment3   && $url_segment3 !="")) ? 'true' : "false" }}"><i
                                        class="{{ $AppReportsURL['icon'] }}"></i><span>{{ $AppReportsURL['title'] }}</span></a>
                                @if(count($AppReportsURL['sub']) >0)
                                    <ul>
                                        @foreach($AppReportsURL['sub'] as $AppReportsSubURL)
                                            <?php
                                            $sub_url_path = parse_url($AppReportsSubURL['link'], PHP_URL_PATH);
                                            $sub_url_segments = explode('/', $sub_url_path);
                                            $sub_url_segment3 = @$sub_url_segments[$segmentN3];
                                            ?>
                                            <li class="{{ (Request::url() === $AppReportsSubURL['link'] || ($sub_url_segment3==$server_segment3 && $sub_url_segment3!="")) ? 'active' : null }}">
                                                <a href="{{ $AppReportsSubURL['link'] }}"
                                                   id="reports-menu-{{ @$AppReportsSubURL['id'] }}"><span>{{ $AppReportsSubURL['title'] }}</span></a>
                                            </li>
                                        @endforeach
                                    </ul>
                                @endif
                            </li>
                        @endforeach
                    </ul>
                </nav>
            </div>
        @endif
        @if (Roles::Check("app_preferences"))
            <div class="tab-pane fade {{ ($server_segment2 === 'preferences') ? 'show active' : null }}"
                 id="menu-settings" role="tabpanel">
                <nav class="sidebar-nav">
                    <ul class="metismenu {{ (Auth::user()->theme_menu)?"grid":"" }}">
                        <li class="{{ ($server_segment2 === 'preferences' && $server_segment3 == '') ? 'active' : null }}">
                            <a href="{{ route("appSettings") }}" id="setting-menu-home"><i
                                    class="icon-settings"></i><span>{{ trans('backLang.home') }}</span></a></li>
                        @foreach(Menus::DashboardSettingsMenu() as $AppSettingsURL)
                            <?php
                            $url_path = parse_url($AppSettingsURL['link'], PHP_URL_PATH);
                            $url_segments = explode('/', $url_path);
                            $url_segment3 = @$url_segments[$segmentN3];
                            ?>
                            <li class="{{ (Request::url() === $AppSettingsURL['link'] || ($url_segment3==$server_segment3 && $url_segment3!="")) ? 'active' : null }}">
                                <a
                                    href="{{ $AppSettingsURL['link'] }}"
                                    id="setting-menu-{{ @$AppSettingsURL['id'] }}"><i
                                        class="{{ $AppSettingsURL['icon'] }}"></i><span>{{ $AppSettingsURL['title'] }}</span></a>
                            </li>
                        @endforeach
                    </ul>
                </nav>
            </div>
        @endif
    </div>
</div>
