@if ($alert_roles['create'])
    @if (Roles::Check("add"))
        <div class="modal fade" id="_alert_create" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    {{Form::open(['route'=>['AppAlertsStore'],'method'=>'POST','id'=>'_alert_create_form'])}}
                    <div class="modal-header">
                        <h5 class="modal-title"><i
                                class="fa fa-clock-o mb-2"></i> {{ trans('backLang.addAlert') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="alert alert-danger displaynone" id="_alert_create_errors">
                            <ul></ul>
                        </div>
                        <div class="form-group">
                            <label class="form-label">{!!  trans('backLang.alertTitle') !!} : </label>
                            {!! Form::text('title',$cat_title, array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
                        </div>
                        <div class="form-group">
                            <label
                                class="form-label">{!!  trans('backLang.sendAlertAt') !!} : </label>
                            <div class="bg-white rounded border">
                                <div class="row clearfix mb-0">
                                    <div class="col-sm-6" id="_create_start_date">
                                        <div class="form-group  mb-0">
                                            <input type="text" autocomplete="off" name="date"
                                                   value="{{ date("Y/m/d") }}"
                                                   placeholder="{{ trans("backLang.date") }}" required
                                                   data-provide="datepicker" data-date-autoclose="true"
                                                   class="form-control text-center border-0 datepicker"
                                                   data-date-format="yyyy/mm/dd">
                                        </div>
                                    </div>
                                    <div class="col-sm-6" id="_create_start_time">
                                        <div class="form-group  mb-0" dir="ltr">
                                            <input type="text" autocomplete="off"
                                                   name="time" value="{{ date("H:i a") }}"
                                                   placeholder="{{ trans("backLang.time") }}" required
                                                   class="form-control text-center datetimepicker border-0">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3">
                                <label
                                    class="form-label">{!!  trans('backLang.alertChannels') !!} : </label>
                            </div>
                            <div class="col-sm-9">
                                <div class="row">

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" name="system"
                                                       value="1" checked>
                                                <span class="custom-control-label"> <i class="icon-energy"></i> {{ trans('backLang.notifyViaSystem') }}</span>
                                            </label>
                                        </div>
                                    </div>
                                    @if (Helper::CheckMailStatus())
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" name="mail"
                                                           value="1" checked>
                                                    <span class="custom-control-label"> <i
                                                            class="icon-envelope-letter"></i> {{ trans('backLang.notifyViaEmail') }}</span>
                                                </label>
                                            </div>
                                        </div>
                                    @endif
                                    @if (Helper::CheckSMSStatus())
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" name="sms"
                                                           value="1" checked>
                                                    <span class="custom-control-label"> <i class="icon-speech"></i> {{ trans('backLang.notifyViaSMS') }}</span>
                                                </label>
                                            </div>
                                        </div>
                                    @endif
                                    @if (Helper::CheckOneSignalStatus())
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" name="browser"
                                                           value="1" checked>
                                                    <span class="custom-control-label"> <i class="icon-feed"></i> {{ trans('backLang.notifyViaOneSignal') }}</span>
                                                </label>
                                            </div>
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer">

                        <input type="hidden" name="cat" value="{{ $cat }}">
                        <input type="hidden" name="cat_id" value="{{ $cat_id }}">
                        <button type="button" class="btn btn-light" data-dismiss="modal"><i
                                class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                        </button>
                        <button type="submit" id="_alert_create_submit" class="btn btn-primary">
                            &nbsp; <i
                                class="fe fe-plus"></i> {!!  trans('backLang.add') !!} &nbsp;
                        </button>
                    </div>
                    {{Form::close()}}
                </div>
            </div>
        </div>
    @endif
@endif
