<div class="alert alert-danger displaynone" id="_alert_create_errors">
    <ul></ul>
</div>
<div class="form-group">
    <label class="form-label">{!!  trans('backLang.alertTitle') !!} : </label>
    {!! Form::text('title',$Alert->title, array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
</div>
<div class="form-group">
    <label
        class="form-label">{!!  trans('backLang.sendAlertAt') !!} : </label>
    <div class="bg-white rounded border">
        <div class="row clearfix mb-0">
            <div class="col-sm-6" id="_create_start_date">
                <div class="form-group  mb-0">
                    <input type="text" autocomplete="off" name="date"
                           value="{{ date("Y/m/d", strtotime($Alert->alert_date)) }}"
                           placeholder="{{ trans("backLang.date") }}" required
                           data-provide="datepicker" data-date-autoclose="true"
                           class="form-control text-center border-0"
                           data-date-format="yyyy/mm/dd">
                </div>
            </div>
            <div class="col-sm-6" id="_create_start_time">
                <div class="form-group  mb-0" dir="ltr">
                    <input type="text" autocomplete="off"
                           name="time" value="{{ date("H:i a", strtotime($Alert->alert_date)) }}"
                           placeholder="{{ trans("backLang.time") }}" required
                           class="form-control text-center datetimepicker border-0">
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-sm-3">
        <label
            class="form-label">{!!  trans('backLang.alertChannels') !!} : </label>
    </div>
    <div class="col-sm-9">
        <div class="row">
            <div class="col-sm-6">
                <div class="form-group">
                    <label class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" name="system"
                               {!! ($Alert->system)?"checked='checked'":"" !!}
                               value="1">
                        <span class="custom-control-label"> <i class="icon-energy"></i> {{ trans('backLang.notifyViaSystem') }}</span>
                    </label>
                </div>
            </div>
            @if (Helper::CheckMailStatus())
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" name="mail"
                                   {!! ($Alert->mail)?"checked='checked'":"" !!}
                                   value="1">
                            <span class="custom-control-label"> <i class="icon-envelope-letter"></i> {{ trans('backLang.notifyViaEmail') }}</span>
                        </label>
                    </div>
                </div>
            @endif
            @if (Helper::CheckSMSStatus())
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" name="sms"
                                   {!! ($Alert->sms)?"checked='checked'":"" !!}
                                   value="1">
                            <span class="custom-control-label"> <i class="icon-speech"></i> {{ trans('backLang.notifyViaSMS') }}</span>
                        </label>
                    </div>
                </div>
            @endif
            @if (Helper::CheckOneSignalStatus())
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" name="browser"
                                   {!! ($Alert->browser)?"checked='checked'":"" !!}
                                   value="1">
                            <span class="custom-control-label"> <i class="icon-feed"></i> {{ trans('backLang.notifyViaOneSignal') }}</span>
                        </label>
                    </div>
                </div>
            @endif
        </div>
    </div>
</div>
<input type="hidden" name="id" value="{{ encrypt($Alert->id) }}">

<script src="{{ asset('back/plugins/fullcalendar/moment.min.js') }}"></script>
<script src="{{ asset('back/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('back/custom/js/bootstrap-datetimepicker.min.js') }}"></script>
<script>
    var dateToday = new Date();
    $('.datetimepicker').datetimepicker({
        format: 'hh:mm A',
        stepping: 5,
    });
</script>

