<link rel="stylesheet" href="{{ asset('back/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}"/>
<link rel="stylesheet" href="{{ asset('back/custom/css/bootstrap-datetimepicker.min.css') }}"/>
<div id="_alerts_list">
    @if ($alert_roles['create'])
        @if (Roles::Check("add"))
            <div class="card-options pull-right" style="margin-top: -40px">
                <a href="javascript:void(0)" class="add-alert" data-toggle="tooltip"
                   data-original-title="{{ trans("backLang.addAlert") }}"
                   title="{{ trans("backLang.addAlert") }}"><i class="fe fe-plus"></i></a>
            </div>
        @endif
    @endif
    @if(count($Alerts) >0)
        <?php
        $i = 0;
        ?>
        @foreach($Alerts as $Alert)
            <table class="table card-table" style="line-height: 18px;">
                <tbody>
                <tr>
                    <td class="pl-0 pr-0 pt-0 {!! ($i !=0)?"border-top pb-2 pt-2":"" !!}">
                        <h6 class="mb-1 small {{ (!$Alert->status)?"":"text-muted" }}">
                            @if($Alert->status)
                                <i class="fe fe-check-circle text-success" data-toggle="tooltip"
                                   data-original-title="{{ trans("backLang.sentAt") }} {!! strip_tags(Helper::DateView($Alert->sent_date, 1)) !!}"
                                   title="{{ trans("backLang.sentAt") }}  {!! strip_tags(Helper::DateView($Alert->sent_date, 1)) !!}"></i>

                                {{ $Alert->title }}
                            @else
                                <i class="fe fe-clock"></i>
                                @if ($alert_roles['edit'])
                                    @if (Roles::Check("edit"))
                                        <a href="javascript:void(0)" onclick="_edit_alert('{{ encrypt($Alert->id) }}')">
                                            {{ $Alert->title }}
                                        </a>
                                    @else
                                        {{ $Alert->title }}
                                    @endif
                                @else
                                    {{ $Alert->title }}
                                @endif
                            @endif
                        </h6>
                        <div>
                            <small class="text-muted">{!! Helper::DateView($Alert->alert_date, 1) !!}</small>
                        </div>
                        @if(!empty($Alert->user))
                            <div class="mb-1">
                                <small class="text-muted">
                                    {{ trans("backLang.createdBy") }} : {{ $Alert->user->name }}
                                </small>
                            </div>
                        @endif
                        @if ($alert_roles['delete'])
                            @if (Roles::Check("delete"))
                                @if ($Alert->created_by == @Auth::user()->id)
                                    <a href="javascript:void(0)" data-id="{{ encrypt($Alert->id) }}"
                                       class="_alert-del text-muted ml-2 pull-right" data-toggle="tooltip"
                                       data-original-title="{{ trans("backLang.delete") }}"
                                       title="{{ trans("backLang.delete") }}"><i class="fe fe-trash"></i></a>
                                @endif
                            @endif
                        @endif
                        @if(!$Alert->status)
                            @if ($alert_roles['edit'])
                                @if (Roles::Check("edit"))
                                    @if ($Alert->created_by == @Auth::user()->id)
                                        <a href="javascript:void(0)" onclick="_edit_alert('{{ encrypt($Alert->id) }}')"
                                           class="text-muted ml-2 pull-right" data-toggle="tooltip"
                                           data-original-title="{{ trans("backLang.edit") }}"
                                           title="{{ trans("backLang.edit") }}"><i class="fe fe-edit"></i></a>
                                    @endif
                                @endif
                            @endif
                        @endif
                        <div class="text-muted">
                            @if($Alert->system)
                                <i class="icon-energy" data-toggle="tooltip" data-original-title="{{ trans("backLang.notifyViaSystem") }}"></i> &nbsp;
                            @endif
                            @if($Alert->mail)
                                <i class="icon-envelope-letter" data-toggle="tooltip" data-original-title="{{ trans("backLang.notifyViaEmail") }}"></i>
                                &nbsp;
                            @endif
                            @if($Alert->sms)
                                <i class="icon-speech" data-toggle="tooltip" data-original-title="{{ trans("backLang.notifyViaSMS") }}"></i> &nbsp;
                            @endif
                            @if($Alert->browser)
                                <i class="icon-feed" data-toggle="tooltip" data-original-title="{{ trans("backLang.notifyViaOneSignal") }}"></i>
                            @endif
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
            <?php
            $i++;
            ?>
        @endforeach
    @else
        <div>
            <small class="text-muted">{{ trans("backLang.noData") }}</small>
        </div>
    @endif
    @include('back.preferences.alerts.create')
    <div class="modal fade" id="_alert_edit" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppAlertsUpdate'],'method'=>'POST','id'=>'_alert_edit_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="fe fe-edit mb-2"></i> {{ trans('backLang.editAlert') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="_alert_edit_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="_alert_edit_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
</div>
<script src="{{ asset('back/plugins/fullcalendar/moment.min.js') }}"></script>
<script src="{{ asset('back/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('back/custom/js/bootstrap-datetimepicker.min.js') }}"></script>
<script>
    var dateToday = new Date();
    $('.datetimepicker').datetimepicker({
        format: 'hh:mm A',
        stepping: 5,
    });

    $(document).ready(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });

    $('#_alerts_list .add-alert').click(function () {
        $('#_alert_create').modal('show');
    });

    // save alert
    ajax_post_form("_alert_create", '{{ trans("backLang.add") }}', 'fe fe-plus', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', false, "", true, false, false, function () {
        alerts_load($("#_alert_create").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ $cat_title }}", "{{ $alert_roles['create'] }}", "{{ $alert_roles['edit'] }}", "{{ $alert_roles['delete'] }}", false);
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
    });
    // update alert
    ajax_post_form("_alert_edit", '{{ trans("backLang.save") }}', 'fe fe-plus', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', false, "", true, false, false, function () {
        alerts_load($("#_alert_create").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ $cat_title }}", "{{ $alert_roles['create'] }}", "{{ $alert_roles['edit'] }}", "{{ $alert_roles['delete'] }}", false);
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
    });
    $('._alert-del').click(function () {
        var cid = $(this).attr("data-id");
        ajax_delete_row("<?php echo route("AppAlertsDestroy"); ?>/" + cid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "", false, false, function () {
            alerts_load($("#_alert_create").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ $cat_title }}", "{{ $alert_roles['create'] }}", "{{ $alert_roles['edit'] }}", "{{ $alert_roles['delete'] }}", false);
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
        });
    });

    $("#_alert_edit").on("hidden.bs.modal", function () {
        $("#_alert_edit_errors").hide();
        $('#_alert_edit').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
    });

    function _edit_alert(rid) {
        $.get("{{ route("AppAlertsEdit") }}/" + rid, function (data) {
            $('#_alert_edit').find('.modal-body .form-fields').html(data);
            $("#_alert_edit_submit").prop('disabled', false);
        });
        $('#_alert_edit').modal('show');
    };
    $('.datepicker').datepicker({
        startDate: new Date()
    });
</script>
