@if ($attachments_roles['create'])
    @if (Roles::Check("add"))
        <div class="modal fade" id="folder_create" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    {{Form::open(['route'=>['AppAttachmentsFolder'],'method'=>'POST','id'=>'folder_create_form'])}}
                    <div class="modal-header">
                        <h5 class="modal-title"><i
                                class="fe fe-plus mb-2"></i> {{ trans('backLang.createFolder') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="alert alert-danger displaynone" id="folder_create_errors">
                            <ul></ul>
                        </div>
                        <div class="form-group">
                            <label class="form-label">{!!  trans('backLang.CatTitle') !!}</label>
                            <select name="category_id" class="custom-select">
                                <option value="" selected="">[ {!!  trans('backLang.none') !!} ]</option>
                                @foreach(Helper::Categories(1) as $CatItem)
                                    <option
                                        value="{{ $CatItem->id }}">{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="form-group">
                            <label
                                class="form-label">{!!  trans('backLang.folderName') !!}</label>
                            {!! Form::text('title',"", array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
                        </div>

                        <div class="form-group">
                            <label
                                class="form-label">{!!  trans('backLang.fileDesc') !!}</label>
                            {!! Form::textarea('details',"", array('placeholder' => '','class' => 'form-control','rows'=>'2')) !!}
                        </div>
                        <br>
                        <div class="form-group">
                            <label class="custom-control custom-checkbox pull-right displaynone" id="folder_share">
                                <input type="checkbox" class="custom-control-input" name="share" id="folder_share_check"
                                       value="1">
                                <span class="custom-control-label">{{ trans('backLang.shareAllSubContents') }}</span>
                            </label>
                            <label class="form-label">{!!  trans('backLang.share') !!}</label>

                            <select name="user_ids[]" multiple class="form-control" id="custom-list">
                                <option
                                    value="">{{ trans('backLang.userSelect') }}</option>
                                @foreach($UsersList as $UserItem)
                                    @if( $UserItem->id!=Auth::user()->id)
                                        <?php
                                        $share_user_avatar = URL::to('uploads/users/profile.jpg');
                                        if ($UserItem->photo != "") {
                                            $share_user_avatar = URL::to('uploads/users/' . $UserItem->photo);
                                        }
                                        ?>
                                        <option
                                            value="{{ encrypt($UserItem->id) }}"
                                            data-data='{"image": "{{ $share_user_avatar }}","code":"{{ $UserItem->job }}","search-text":"{{ $UserItem->name }}  {{ $UserItem->job }}"}'>{{ $UserItem->name }}</option>
                                    @endif
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="modal-footer">

                        <input type="hidden" name="cat" value="{{ $cat }}">
                        <input type="hidden" name="cat_id" value="{{ $cat_id }}">
                        <input type="hidden" name="folder_id" id="_folder_id"
                               value="{{ encrypt($attachments_roles['folder_id']) }}">

                        <button type="button" class="btn btn-light" data-dismiss="modal"><i
                                class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                        </button>
                        <button type="submit" id="folder_create_submit" class="btn btn-primary">
                            &nbsp; <i
                                class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                        </button>
                    </div>
                    {{Form::close()}}
                </div>
            </div>
        </div>
    @endif
@endif
