@extends('back.layouts.master')
@section('title', trans('backLang.fileArchive'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <div class="card card-collapsed">
                <div class="card-header">
                    <h3 class="card-title">{{ trans('backLang.fileArchive') }}</h3>
                    <div class="card-options">
                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><span
                                class="fe fe-search" data-toggle="tooltip"
                                data-placement="right"
                                title="{{ trans('backLang.search') }}"></span></a>
                    </div>
                </div>
                <div class="card-body">
                    @include('back.preferences.attachments.search')
                </div>
            </div>

            <div class="row clearfix">
                <div class="col-sm-9">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title" id="attachments_page_title"><i
                                    class="icon-folder-alt"></i> {{ $cat_title }}</h3>
                            <div class="card-options">
                                @if (!Roles::Check("archive_multi_upload"))
                                    @if ($attachments_roles['create'])
                                        @if (Roles::Check("add"))
                                            @if ($mine)
                                                <button type="button" class="btn btn-light"
                                                        data-toggle="modal"
                                                        data-target="#folder_create"><i
                                                        class="fe fe-folder-plus mb-2"></i> {{ trans('backLang.createFolder') }}
                                                </button>
                                                &nbsp;
                                                <button type="button" class="btn btn-primary"
                                                        data-toggle="modal"
                                                        data-target="#upload_file"><i
                                                        class="fe fe-upload mb-2"></i> {{ trans('backLang.attachFiles') }}
                                                </button>

                                            @endif
                                        @endif
                                    @endif
                                @endif
                            </div>
                        </div>
                        <div class="card-body">
                            @if (Roles::Check("archive_multi_upload"))
                                <div id="multi_uploader"></div>
                                @if ($attachments_roles['create'])
                                    @if (Roles::Check("add"))
                                        @if ($mine)
                                            <button type="button" class="btn btn-light btn-sm pull-right mr-2"
                                                    style="margin-top: -35px"
                                                    data-toggle="modal"
                                                    data-target="#folder_create"><i
                                                    class="fe fe-folder-plus mb-2"></i> {{ trans('backLang.createFolder') }}
                                            </button>
                                        @endif
                                    @endif
                                @endif
                            @endif
                            <div id="folder_tree"></div>
                            <div class="table-responsive mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="files_table">
                                    <thead>
                                    <th>#</th>
                                    <th>{{ trans('backLang.fileName') }}</th>
                                    <th>{{ trans('backLang.sharedWith') }}</th>
                                    <th>{{ trans('backLang.size') }}</th>
                                    <th class="text-center">{{ trans('backLang.options') }}</th>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-3">
                    <?php
                    $AttachmentTypesCount = 0;
                    ?>
                    @foreach(Cats::AttachmentTypes() as $key =>$AttachmentType)
                        @if(!$AttachmentType['hidden'])
                            @if (Roles::Check($AttachmentType['role']))
                                <?php
                                $AttachmentTypesCount++;
                                ?>
                            @endif
                        @endif
                    @endforeach
                    @if($AttachmentTypesCount > 0)
                        <a href="{{ route("AppAttachments") }}/mine" class="card">
                            <div class="card-body pt-3 ">
                                <h6 class="mb-2"> {{ trans("backLang.myFiles") }}</h6>
                                <p class="mb-2 small">
                                    {{ trans("backLang.filesCount") }} : <span
                                        class="pull-right"
                                        id="statics_count_mine"><i class="fe fe-more-horizontal"></i></span>
                                    <br>
                                    {{ trans("backLang.totalFilesSize") }} : <span dir="ltr"
                                                                                   class="pull-right"
                                                                                   id="statics_size_mine"><i
                                            class="fe fe-more-horizontal"></i></span>
                                </p>
                                <div class="progress progress-sm">
                                    <div class="progress-bar bg-green" role="progressbar" aria-valuenow="0"
                                         aria-valuemin="0" aria-valuemax="0" style="width: 0%;"
                                         id="statics_percent_mine"></div>
                                </div>
                            </div>
                        </a>
                        @foreach(Cats::AttachmentTypes() as $key =>$AttachmentType)
                            @if(!$AttachmentType['hidden'])
                                @if (Roles::Check($AttachmentType['role']))
                                    <a href="{{ route("AppAttachments",encrypt($key)) }}"
                                       class="card">
                                        <div class="card-body pt-3 ">
                                            <h6 class="mb-2"> {{ $AttachmentType['title'] }}</h6>
                                            <p class="mb-2 small">
                                                {{ trans("backLang.filesCount") }} : <span
                                                    class="pull-right" id="statics_count_{{ $key }}"><i
                                                        class="fe fe-more-horizontal"></i></span>
                                                <br>
                                                {{ trans("backLang.totalFilesSize") }} : <span dir="ltr"
                                                                                               class="pull-right"
                                                                                               id="statics_size_{{ $key }}"><i
                                                        class="fe fe-more-horizontal"></i></span>
                                            </p>
                                            <div class="progress progress-sm">
                                                <div class="progress-bar bg-primary" role="progressbar"
                                                     aria-valuenow="50" aria-valuemin="0" aria-valuemax="0"
                                                     style="width: 0%;"
                                                     id="statics_percent_{{ $key }}"></div>
                                            </div>
                                        </div>
                                    </a>
                                @endif
                            @endif
                        @endforeach
                    @endif

                    <div class="card">
                        <div class="card-body pt-3">
                            <p class="mb-2 small">
                                {{ trans("backLang.filesCount") }} : <span
                                    class="pull-right" id="statics_count_total"><i
                                        class="fe fe-more-horizontal"></i></span>
                                <br>
                                {{ trans("backLang.totalFilesSize") }} : <span dir="ltr"
                                                                               class="pull-right"
                                                                               id="statics_size_total"><i
                                        class="fe fe-more-horizontal"></i></span>
                            </p>
                            <div class="progress progress-sm">
                                <div class="progress-bar bg-danger" role="progressbar" aria-valuenow="100"
                                     aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="attachments_edit" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppAttachmentsUpdate'],'method'=>'POST','id'=>'attachments_edit_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-pencil mb-2"></i> {{ trans('backLang.editAttachment') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="attachments_edit_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="attachments_edit_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
    @include('back.preferences.attachments.create')
    @include('back.preferences.attachments.folder')
    <input type="hidden" name="page_folder" id="page_folder" value="{{ encrypt($attachments_roles['folder_id']) }}">
@endsection
@push("after-styles")
    <link rel="stylesheet" href="{{ asset('back/plugins/multi-select/css/multi-select.css') }}">
@endpush
@push("after-scripts")
    <script src="{{ asset('back/plugins/bootstrap-multiselect/bootstrap-multiselect.js') }}"></script>
@endpush
@section("page-script")
    <script type="text/javascript">

        function update_statics(item, index) {
            $("#statics_count_" + item.type).html(item.count);
            $("#statics_size_" + item.type).html(item.size);
            $("#statics_percent_" + item.type).css('width', item.percent + '%');
        }

        var table_name = "#files_table";
        var folder_id = "";
        var table_paginate = "{{ DeviceTrust::settings('BACKEND_PAGINATION') }}";

        $(document).ready(function () {
            $('.selectize-input>input').attr('autocomplete', 'none');

            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('AppAttachmentsList') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.cat = $("#search_cat").val();
                        data.folder_id = $("#page_folder").val();
                        data.category = $("#search_category").val();
                        data.user_id = $("#search_user_id").val();
                        data.search_word = $("#search_word").val();
                        data.mine = $("#search_mine").val();
                        data.search_stat = $("#search_stat").val();
                        data.search_cat_id = $("#search_cat_id").val();
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                    $('[data-toggle="tooltip"]').tooltip();
                    $("#folder_tree").html(dataTable.ajax.json().tree);
                    dataTable.ajax.json().statics.forEach(update_statics);
                    $("#statics_count_mine").html(dataTable.ajax.json().my_statics.count);
                    $("#statics_size_mine").html(dataTable.ajax.json().my_statics.size);
                    $("#statics_percent_mine").css('width', dataTable.ajax.json().my_statics.percent + '%');
                    $("#statics_count_total").html(dataTable.ajax.json().total_statics.count);
                    $("#statics_size_total").html(dataTable.ajax.json().total_statics.size);
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {"data": "folder"},
                    {"data": "title"},
                    {"data": "created_by"},
                    {"data": "size"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[0, "desc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';

            $("#attachments_search_form").submit(function (evt) {
                evt.preventDefault();
                $("#page_folder").val('');
                $("#search_mine").val('');
                $("#search_stat").val('1');
                $("#attachments_page_title").html("{{ trans("backLang.searchResults") }}");
                $(table_name).DataTable().ajax.reload();
            });

        });

        function open_folder(fid) {
            $("#page_folder").val(fid);
            $("#_folder_id").val(fid);
            $("#_upload_folder_id").val(fid);
            $(table_name).DataTable().ajax.reload();
        }

        function edit_row(rid) {
            $("#attachments_edit_submit").prop('disabled', true);
            $.get("{{ route("AppAttachmentsEdit") }}/" + rid, function (data) {
                $('#attachments_edit').find('.modal-body .form-fields').html(data);
                $("#attachments_edit_submit").prop('disabled', false);
            });
            $('#attachments_edit').modal('show');
        };

        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppAttachmentsDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', table_name, true, false);
        };

        $(document).ready(function () {
            var custom_list = $('#custom-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                },
                onChange: function (value) {
                    if (this.items.length > 0) {
                        $("#folder_share").show();
                    } else {
                        $("#folder_share").hide();
                        $("#folder_share_check").prop("checked", false);
                    }
                }
            });
            var custom_list_control = custom_list[0].selectize;


            $('#search_user_id').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                }
            });

            $("#attachments_edit").on("hidden.bs.modal", function () {
                $("#attachments_edit_errors").hide();
                $('#attachments_edit').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            });

            // update attachment
            ajax_post_form("attachments_edit", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, table_name, false, false, false);

            // create folder
            ajax_post_form("folder_create", '{{ trans("backLang.add") }}', 'fe fe-plus', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, table_name, false, false, true, function () {
                custom_list_control.clear();
            });

            // create File
            ajax_post_form("upload_file", '{{ trans("backLang.attachFiles") }}', 'fe fe-upload', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, table_name, true, false, true, function () {
                drxEvent = drEvent.data('dropify');
                drxEvent.resetPreview();
                drxEvent.clearElement();
            });

            var dropify_settings = {
                messages: {
                    'default': '{{ trans("backLang.dragAndDropFileHere") }}',
                    'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
                    'remove': '{{ trans("backLang.delete") }}',
                    'error': '{{ trans("backLang.errorSomethingWrong") }}',
                }
            };
            var drEvent = $('#_attach_file').dropify(dropify_settings);
            drEvent.on('dropify.beforeClear', function (event, element) {
                $("#photo_delete").val('1');
            });


            $('#_attach_file').change(function (e) {
                if ($("#_attach_file_title").val() == "") {
                    $("#_attach_file_title").val((e.target.files[0].name).replace(/\.[^/.]+$/, ""));
                }
            });

            $('.items-list').multiselect({
                enableFiltering: true,
                enableCaseInsensitiveFiltering: true,
                maxHeight: 200,
            });

        });
        // multi upload
        @if (Roles::Check("archive_multi_upload"))
        @if ($attachments_roles['create'])
        @if (Roles::Check("add"))
        @if ($mine)
        $(document).ready(function () {
            var form = document.createElement('form');
            form.classList.add('dropzone');
            form.method = 'post';
            form.action = app_preferences['dashboard_url'] + "/attachments/upload";
            $("#multi_uploader").prepend(form);
            new Dropzone(form, {
                timeout: 500000,
                acceptedFiles: app_preferences['attachments_types'],
                dictDefaultMessage: "<div  class='pt-3'><i class='fe fe-upload-cloud fa-2x'></i><h6 class='mt-2'>" + app_preferences['attachments_drag_text'] + "</h6></div>",
                init: function () {
                    this.on("sending", function (file, xhr, formData) {
                        formData.append("cat", '{{ $cat }}');
                        formData.append("cat_id", '{{ $cat_id }}');
                        formData.append("folder_id", $('#page_folder').val());
                        formData.append("_token", $('meta[name="csrf-token"]').attr('content'));
                    });
                    this.on("complete", function (file) {
                        if (this.getUploadingFiles().length === 0 && this.getQueuedFiles().length === 0) {
                            $(table_name).DataTable().ajax.reload();
                        }
                    });
                },
                success: function (file, response) {
                    //console.log(response);
                    $(".dz-success-mark").css("opacity", 1);
                },
                error: function (file, response) {
                    //console.log(response);
                    $(".dz-success-mark").css("opacity", 1);
                    $(".dz-error-mark").css("opacity", 1);
                }
            });
        });
        @endif
        @endif
        @endif
        @endif
    </script>
@endsection
