<div id="_attachments_list">
    @if ($attachments_roles['multiple'])
        @if ($attachments_roles['create'])
            @if (Roles::Check("add"))
                <button type="button" class="btn btn-light btn-sm pull-right mr-2" style="{!! (count($Attachments) >0)?"margin-top: -50px":"margin-top: -35px" !!}"
                        data-toggle="modal"
                        data-target="#folder_create"><i
                        class="fe fe-folder-plus mb-2"></i> {{ trans('backLang.createFolder') }}</button>
            @endif
        @endif
    @else
        @if ($attachments_roles['create'])
            @if (Roles::Check("add"))
                <div class="row clearfix">
                    <div class="col-md-12">
                        <button type="button" class="btn btn-primary"
                                data-toggle="modal"
                                data-target="#upload_file"><i
                                class="fe fe-upload mb-2"></i> {{ trans('backLang.attachFiles') }}</button>

                        <button type="button" class="btn btn-light"
                                data-toggle="modal"
                                data-target="#folder_create"><i
                                class="fe fe-folder-plus mb-2"></i> {{ trans('backLang.createFolder') }}</button>
                    </div>
                </div>
            @endif
        @endif
    @endif
    @if ($attachments_roles['folder_id'] > 0 )
        @if(count(Helper::FolderTree($attachments_roles['folder_id'])) >0)
            <div class="border mt-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0">
                        <li class="breadcrumb-item"><a href="javascript:void(0)" class="attachments-folder"
                                                       data-id="{{ encrypt(0) }}"> <i
                                    class="fa fa-folder-o"></i> {{ trans("backLang.rootFolder") }}</a></li>
                        @foreach(array_reverse(Helper::FolderTree($attachments_roles['folder_id'])) as $FatherFolder)
                            <li class="breadcrumb-item"><a href="javascript:void(0)" class="attachments-folder"
                                                           data-id="{{ encrypt($FatherFolder['id']) }}"><i
                                        class="fa fa-folder-o"></i> {{ $FatherFolder['title'] }}</a></li>
                        @endforeach
                    </ol>
                </nav>
            </div>
        @endif
    @endif
    @if(count($Attachments) >0)
        <div class="row clearfix mt-3">
            <?php
            $i = 0;
            ?>
            @foreach($Attachments as $Attachment)
                <?php
                if ($i == 3) {
                    $i = 0;
                    echo "</div><div class='row clearfix  mt-3'>";
                }
                $i++;
                ?>
                <div class="col-lg-4 col-md-6">
                    <div class="bg-white">
                        <div class="border pt-3 pb-3 pl-2 pr-2 text-center">
                            @if($Attachment->folder)
                                <a href="javascript:void(0)" class="attachments-folder"
                                   data-id="{{ encrypt($Attachment->id) }}">
                                    <i class="fa fa-folder-o" style="font-size: 60px"></i>
                                    <div class="mt-2">{{ $Attachment->title }}</div>
                                </a>
                            @else
                                <a href="{{ route("AppAttachmentsView",encrypt($Attachment->id)) }}">
                                    @if(Helper::IsPhoto($Attachment->ext) && !$Attachment->remote)
                                        <img src="{{ route("AppAttachmentsPreview",encrypt($Attachment->id)) }}" alt=""
                                             style="height: 60px;max-width:100%">
                                    @else
                                        {!! Helper::GetIconFromExt($Attachment->ext, $size = 60) !!}
                                    @endif
                                    <div class="mt-2">{{ $Attachment->title }}</div>
                                </a>
                            @endif
                            <div class="content">
                                <small>{{ $Attachment->details }}</small>
                                <div class="text-muted mt-1 small">
                                    @if($Attachment->folder)
                                        <span>{{ trans("backLang.filesCount") }}: </span>
                                        <strong>{{ count($Attachment->sub_files) }}</strong>
                                    @else
                                        <strong dir="ltr">{{ Helper::formatFileSize($Attachment->size,2) }}</strong>
                                    @endif
                                </div>
                                <small
                                    class="text-muted small">{!! Helper::DateView($Attachment->created_at, 1) !!}</small>
                            </div>
                            <div class="mt-2">
                                @if(!$Attachment->folder)
                                    @if ($attachments_roles['download'])
                                        <a href="{{ route("AppAttachmentsDownload",encrypt($Attachment->id)) }}"
                                           class="attach-download btn btn-light btn-sm" data-toggle="tooltip"
                                           data-original-title="{{ trans("backLang.download") }}"
                                           title="{{ trans("backLang.download") }}"><i class="fe fe-download"></i></a>
                                    @endif
                                @endif
                                @if ($attachments_roles['edit'])
                                    @if (Roles::Check("edit"))
                                        <button data-id="{{ encrypt($Attachment->id) }}"
                                                class="attach-edit btn btn-light btn-sm" data-toggle="tooltip"
                                                data-original-title="{{ trans("backLang.edit") }}"
                                                title="{{ trans("backLang.edit") }}"><i class="icon-pencil"></i>
                                        </button>
                                    @endif
                                @endif
                                @if ($attachments_roles['delete'])
                                    @if (Roles::Check("delete"))
                                        <button data-id="{{ encrypt($Attachment->id) }}"
                                                class="attach-del btn btn-light btn-sm" data-toggle="tooltip"
                                                data-original-title="{{ trans("backLang.delete") }}"
                                                title="{{ trans("backLang.delete") }}"><i class="fe fe-trash"></i>
                                        </button>
                                    @endif
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    @endif
</div>
@include('back.preferences.attachments.create')
@include('back.preferences.attachments.folder')
<div class="modal fade" id="attachments_edit" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            {{Form::open(['route'=>['AppAttachmentsUpdate'],'method'=>'POST','id'=>'attachments_edit_form'])}}
            <div class="modal-header">
                <h5 class="modal-title"><i
                        class="icon-pencil mb-2"></i> {{ trans('backLang.editAttachment') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger displaynone" id="attachments_edit_errors">
                    <ul></ul>
                </div>
                <div class="form-fields">
                    <div class="text-center">
                        <div class="loader" style="display: inline-block"></div>
                        <div>
                            <small class="text-muted">{{ trans("backLang.loading") }}</small>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-dismiss="modal"><i
                        class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                </button>
                <button type="submit" id="attachments_edit_submit" class="btn btn-primary">
                    &nbsp; <i
                        class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                </button>
            </div>
            {{Form::close()}}
        </div>
    </div>
</div>
<script>
    $(document).ready(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });
    $('.attach-del').click(function () {
        var fid = $(this).attr("data-id");
        ajax_delete_row("<?php echo route("AppAttachmentsDestroy"); ?>/" + fid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "", false, false, function () {
            attachments_load($("#_attachments_list").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ encrypt($attachments_roles['folder_id']) }}", "{{ $attachments_roles['multiple'] }}", "{{ $attachments_roles['create'] }}", "{{ $attachments_roles['download'] }}", "{{ $attachments_roles['edit'] }}", "{{ $attachments_roles['delete'] }}", false);
        });
    });

    $('.attach-edit').click(function () {
        var fid = $(this).attr("data-id");
        $("attachments_edit_submit").prop('disabled', true);
        $.get("{{ route("AppAttachmentsEdit") }}/" + fid, function (data) {
            $('#attachments_edit').find('.modal-body .form-fields').html(data);
            $("#attachments_edit_submit").prop('disabled', false);
        });
        $('#attachments_edit').modal('show');
    });

    $("#attachments_edit").on("hidden.bs.modal", function () {
        $("#attachments_edit_errors").hide();
        $('#attachments_edit').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
    });

    // update attachment
    ajax_post_form("attachments_edit", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, false, function () {
        attachments_load($("#_attachments_list").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ encrypt($attachments_roles['folder_id']) }}", "{{ $attachments_roles['multiple'] }}", "{{ $attachments_roles['create'] }}", "{{ $attachments_roles['download'] }}", "{{ $attachments_roles['edit'] }}", "{{ $attachments_roles['delete'] }}", false);
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
    });

    // create folder
    ajax_post_form("folder_create", '{{ trans("backLang.add") }}', 'fe fe-plus', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, true, function () {
        attachments_load($("#_attachments_list").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ encrypt($attachments_roles['folder_id']) }}", "{{ $attachments_roles['multiple'] }}", "{{ $attachments_roles['create'] }}", "{{ $attachments_roles['download'] }}", "{{ $attachments_roles['edit'] }}", "{{ $attachments_roles['delete'] }}", false);
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
    });

    // create File
    ajax_post_form("upload_file", '{{ trans("backLang.attachFiles") }}', 'fe fe-upload', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, true, function () {
        attachments_load($("#_attachments_list").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ encrypt($attachments_roles['folder_id']) }}", "{{ $attachments_roles['multiple'] }}", "{{ $attachments_roles['create'] }}", "{{ $attachments_roles['download'] }}", "{{ $attachments_roles['edit'] }}", "{{ $attachments_roles['delete'] }}", false);
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
    });


    var dropify_settings = {
        messages: {
            'default': '{{ trans("backLang.dragAndDropFileHere") }}',
            'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
            'remove': '{{ trans("backLang.delete") }}',
            'error': '{{ trans("backLang.errorSomethingWrong") }}',
        }
    };
    var drEvent = $('#_attach_file').dropify(dropify_settings);
    drEvent.on('dropify.beforeClear', function (event, element) {
        $("#photo_delete").val('1');
    });

    $(document).ready(function () {
        $('#_attach_file').change(function (e) {
            if ($("#_attach_file_title").val() == "") {
                $("#_attach_file_title").val((e.target.files[0].name).replace(/\.[^/.]+$/, ""));
            }
        });
    });

    $('.attachments-folder').click(function () {
        var fid = $(this).attr("data-id");
        attachments_load($("#_attachments_list").parent(), "{{ $cat }}", "{{ $cat_id }}", fid, "{{ $attachments_roles['multiple'] }}", "{{ $attachments_roles['create'] }}", "{{ $attachments_roles['download'] }}", "{{ $attachments_roles['edit'] }}", "{{ $attachments_roles['delete'] }}", false);
    });

    var custom_list = $('#custom-list').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '<span class="code">' + escape(data.code) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                    escape(data.text) + '</div>';
            }
        },
        onChange: function (value) {
            if (this.items.length > 0) {
                $("#folder_share").show();
            } else {
                $("#folder_share").hide();
                $("#folder_share_check").prop("checked", false);
            }
        }
    });
    var custom_list_control = custom_list[0].selectize;

</script>
