{{Form::open(['route'=>['AppAttachments'],'method'=>'POST','id'=>'attachments_search_form'])}}
<div class="row clearfix">
    <div class="col-sm-3">
        <div class="form-group">
            {!! Form::text('search_word',"", array('placeholder' => trans('backLang.searchFor'),'class' => 'form-control','id'=>'search_word')) !!}
        </div>
    </div>
    <div class="col-sm-2">
        <div class="form-group multiselect_div">
            <select id="search_cat" name="search_cat"
                    class="multiselect multiselect-custom items-list">
                <option
                    value="{{ encrypt(0) }}" {!! ($cat ==0 && $mine)?"selected='selected'":"" !!}>{{ trans('backLang.myFiles') }}</option>
                @foreach(Cats::AttachmentTypes() as $key =>$AttachmentType)
                    @if(!$AttachmentType['hidden'])
                        @if (Roles::Check($AttachmentType['role']))
                            <option
                                value="{{ encrypt($key) }}" {!! ($cat == $key && !$mine)?"selected='selected'":"" !!}>{{ $AttachmentType['title'] }}</option>
                        @endif
                    @endif
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-3">
        <div class="form-group multiselect_div">
            <select id="search_category" name="search_category"
                    class="multiselect multiselect-custom items-list">
                <option value="">{{ trans('backLang.all') }}</option>
                @foreach(Helper::Categories(1) as $CatItem)
                    <option
                        value="{{ $CatItem->id }}">{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                @endforeach

            </select>
        </div>
    </div>
    <div class="col-sm-3">
        <div class="form-group multiselect_div">
            <select name="search_user_id" class="form-control" id="search_user_id">
                <option value="">{{ trans('backLang.createdBy') }}</option>
                @foreach($UsersList as $UserItem)
                    <?php
                    $share_user_avatar = URL::to('uploads/users/profile.jpg');
                    if ($UserItem->photo != "") {
                        $share_user_avatar = URL::to('uploads/users/' . $UserItem->photo);
                    }
                    ?>
                    <option
                        value="{{ $UserItem->id }}"
                        data-data='{"image": "{{ $share_user_avatar }}","code":"{{ $UserItem->job }}","search-text":"{{ $UserItem->name }}  {{ $UserItem->job }}"}'>{{ $UserItem->name }}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-1">
        <input type="hidden" name="search_stat" id="search_stat" value="0">
        <input type="hidden" name="search_cat_id" id="search_cat_id" value="{{ encrypt(Auth::user()->id) }}">
        <input type="hidden" name="mine" id="search_mine" value="{{ @$mine }}">
        <button type="submit" class="btn btn-info w-100"><i class="fe fe-search"></i></button>
    </div>
</div>
{{Form::close()}}
