@extends('back.layouts.master')
@section('title', $Attachment->title)
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("AppAttachments") }}">{{ trans('backLang.fileArchive') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ $Attachment->title }}</li>
                </ol>
            </nav>

            <div class="row clearfix">
                <div class="col-sm-9">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ $Attachment->title }}</h3>
                            <div class="card-options">
                                <?php
                                $download = "";
                                if (!$Attachment->folder) {
                                    if (Roles::Check("archive_files_download")) {
                                        $download = "
 <a href=\"" . route("AppAttachmentsDownload", encrypt($Attachment->id)) . "\"  data-toggle=\"tooltip\" data-original-title=\"" . trans("backLang.download") . "\" title=\"" . trans("backLang.download") . "\"><i class=\"fe fe-download\"></i></a>";
                                    }
                                }
                                $edit = "";

                                if (Roles::Check("archive_files_edit")) {
                                    if (Roles::Check("edit")) {
                                        $edit = " <a href='javascript:void(0)' class=\"attach-edit\"  data-toggle=\"tooltip\" data-original-title=\"" . trans("backLang.edit") . "\" title=\"" . trans("backLang.edit") . "\"><i class=\"icon-pencil\"></i></a>";
                                    }
                                }

                                $delete = "";

                                if (Roles::Check("calendar_delete")) {
                                    if (Roles::Check("delete")) {
                                        $delete = " <a href='javascript:void(0)' class=\"attachment-del\"  data-toggle=\"tooltip\" data-original-title=\"" . trans("backLang.delete") . "\" title=\"" . trans("backLang.delete") . "\"><i class=\"fe fe-trash\"></i></a>";
                                    }
                                }
                                ?>
                                {!!  $download !!}
                                <a href="#" class="card-options-fullscreen" data-toggle="card-fullscreen"><i
                                        class="fe fe-maximize"></i></a>
                            </div>
                        </div>
                        <div class="card-body text-center">

                            @if(Helper::IsPhoto($Attachment->ext) && !$Attachment->remote)
                                <img src="{{ route("AppAttachmentsPreview",encrypt($Attachment->id)) }}" alt=""
                                     style="max-width:100%">
                            @elseif(in_array($Attachment->ext,["mp3","wav"]))
                                <audio controls autoplay>
                                    <source src="{{ route("AppAttachmentsPreview",encrypt($Attachment->id)) }}"
                                            type="audio/mpeg">
                                </audio>
                            @elseif(in_array($Attachment->ext,["mp4","webm","ogg"]))
                                <video width="100%" controls autoplay>
                                    <source src="{{ route("AppAttachmentsPreview",encrypt($Attachment->id)) }}"
                                            type="video/{{ $Attachment->ext }}">
                                    Your browser does not support the video tag.
                                </video>
                            @elseif (in_array($Attachment->ext, ["ppt", "pptx", "doc", "docx", "xls", "xlsx"]) && @checkdnsrr($_SERVER['SERVER_NAME'], 'NS'))
                                <iframe
                                    src="{{ "https://docs.google.com/gview?&embedded=true&url=" . route("AppAttachmentsPreview",encrypt($Attachment->id)) }}"
                                    width="100%" height="600" frameborder="0" marginheight="0" marginwidth="0">
                                    Loading...
                                </iframe>
                            @else
                                <a href="{{ route("AppAttachmentsPreview",encrypt($Attachment->id)) }}" target="_blank"
                                   class="btn btn-light btn-lg mb-2">{!! Helper::GetIconFromExt($Attachment->ext, $size = 20) !!} {{ trans("backLang.viewFile") }}</a>
                            @endif
                            <p>
                                {!! nl2br($Attachment->details) !!}
                            </p>
                        </div>
                    </div>
                    @if (Roles::Check("comment_on_files"))
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">{{ trans('backLang.comments') }}</h3>
                            </div>
                            <div class="card-body">
                                <div id="comments_table"></div>
                            </div>
                        </div>
                    @endif

                </div>
                <div class="col-sm-3">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.fileDetails') }}</h3>
                            <div class="card-options">
                                {!!  $edit !!}
                                {!!  $delete !!}
                            </div>
                        </div>
                        <table class="table card-table">
                            <tbody>
                            @if($Attachment->category_id >0)
                                <tr>
                                    <td>{{ trans('backLang.CatTitle') }}
                                        <span
                                            class="pull-right">{!! Helper::Category($Attachment->category_id) !!}</span>
                                    </td>
                                </tr>
                            @endif
                            <tr>
                                <td>{{ trans('backLang.size') }}
                                    <span class="tag tag-light text-muted pull-right"
                                          dir="ltr">{{ Helper::formatFileSize($Attachment->size, 2) }}</span>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ trans('backLang.createdAt') }}
                                    <span
                                        class="tag tag-light text-muted pull-right">{!! Helper::DateView($Attachment->created_at, 1) !!}</span>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ trans('backLang.createdBy') }}
                                    <span
                                        class="tag tag-light text-muted pull-right">{!! @$Attachment->user->name !!}</span>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    @if (Roles::Check("archive_file_share"))
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title"><i class="fa fa-share-alt"></i> {{ trans('backLang.share') }}
                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="share_table"></div>
                            </div>
                        </div>
                    @endif

                    @if (Roles::Check("archive_file_alerts"))
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title"><i class="fa fa-bell-o"></i> {{ trans('backLang.alerts') }}
                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="alerts_table"></div>
                            </div>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="attachments_edit" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppAttachmentsUpdate'],'method'=>'POST','id'=>'attachments_edit_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-pencil mb-2"></i> {{ trans('backLang.editAttachment') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="attachments_edit_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="attachments_edit_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
@endsection
@section("page-script")
    <script type="text/javascript">
        $(document).ready(function () {
            @if (Roles::Check("comment_on_files"))
            comments_load("#comments_table", "1", "{{ encrypt($Attachment->id) }}", true, true, false);
            @endif
            @if (Roles::Check("archive_file_share"))
            share_load("#share_table", "1", "{{ encrypt($Attachment->id) }}", true, true,"{{ $Attachment->title }}","{{ route("AppAttachmentsView",encrypt($Attachment->id) ) }}", false);
            @endif
            @if (Roles::Check("archive_file_alerts"))
            alerts_load("#alerts_table", "2", "{{ encrypt($Attachment->id) }}","{{ $Attachment->title }}", true, true, true, false);
            @endif

            $('.attach-edit').click(function () {
                $.get("{{ route("AppAttachmentsEdit") }}/{{ encrypt($Attachment->id) }}", function (data) {
                    $('#attachments_edit').find('.modal-body .form-fields').html(data);
                    $("#attachments_edit_submit").prop('disabled', false);
                });
                $('#attachments_edit').modal('show');
            });

            $("#attachments_edit").on("hidden.bs.modal", function () {
                $("#attachments_edit_errors").hide();
                $('#attachments_edit').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            });

            // update attachment
            ajax_post_form("attachments_edit", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, true, false);

            $('.attachment-del').click(function () {
                ajax_delete_row("<?php echo route("AppAttachmentsDestroy"); ?>/{{ encrypt($Attachment->id) }}", '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "", false, false, function () {
                    location.href = '{{ route("AppAttachments") }}';
                });
            });
        });
    </script>
@endsection
