@if($CategoryType['multi-levels'])
    <div class="form-group">
        <label class="form-label">{!!  trans('backLang.parentSection') !!}</label>
        <select name="father_id" class="custom-select">
            <option value="0" selected="">[ {!!  trans('backLang.mainCategory') !!} ]</option>
            @foreach($Categories as $CatItem)
                <option value="{{ $CatItem->id }}">{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
            @endforeach
        </select>
    </div>
@else
    <input type="hidden" name="father_id" value="0">
@endif

@if(Helper::Preferences("ar_box_status"))
    <div class="form-group">
        <label
            class="form-label">{!!  trans('backLang.name') !!} @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.arabicBox') !!}@endif</label>
        {!! Form::text('title_ar','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.rtl'))) !!}
    </div>
@endif
@if(Helper::Preferences("en_box_status"))
    <div class="form-group">
        <label>{!!  trans('backLang.name') !!}  @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.englishBox') !!}@endif</label>
        <div>
            {!! Form::text('title_en','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.ltr'))) !!}
        </div>
    </div>
@endif

@if($CategoryType['colors'])
    <div class="row clearfix">
        <div class="col-sm-6">
            <label class="form-label">{!!  trans('backLang.bgColor') !!}</label>
            <div class="input-group colorpicker">
                <input type="text" name="bg_color" class="form-control" value="#000000" dir="ltr">
                <div class="input-group-append">
                    <span class="input-group-text"><span class="input-group-addon"><i></i></span></span>
                </div>
            </div>
        </div>
        <div class="col-sm-6" style="vertical-align: middle">
            <label class="form-label">{!!  trans('backLang.fontColor') !!}</label>
            <div class="input-group colorpicker">
                <input type="text" name="font_color" class="form-control" value="#FFFFFF" dir="ltr">
                <div class="input-group-append">
                    <span class="input-group-text"><span class="input-group-addon"><i></i></span></span>
                </div>
            </div>
        </div>
    </div>
@endif
@if(@$key== 8 || @$key==9)
    @include('back.accounting.ledgers.select')
    <div class="row clearfix">
        <div class="col-sm-12">
            <div class="form-group">
                <label>{!!  trans('backLang.ledgerAccount') !!}</label>
                <div>
                    <select name="ledger_id"
                            class="form-control custom-list">
                        <option
                            value="">{{ trans('backLang.selectLedgerCat') }}</option>
                        {!! printAsSelectOptions($ledgers_array,NULL,0,0) !!}
                    </select>
                </div>
            </div>
        </div>
    </div>
@endif

@if(@$key== 11)
    <div class="row">
        <div class="col-sm-6">
            <div class="form-group">
                <label>{!!  trans('backLang.startDate') !!}</label>
                <div>
                    {!! Form::text('start','', array('placeholder' => '','class' => 'form-control datepicker2 text-center','id'=>'cat_start_date','autocomplete'=>'off')) !!}
                </div>
            </div>
        </div>
        <div class="col-sm-6">
            <div class="form-group">
                <label>{!!  trans('backLang.endDate') !!}</label>
                <div>
                    {!! Form::text('end','', array('placeholder' => '','class' => 'form-control datepicker2 text-center','id'=>'cat_end_date','autocomplete'=>'off')) !!}
                </div>
            </div>
        </div>
    </div>
@endif
<input type="hidden" name="cat" value="{{ $CategoryType_id }}">
<script>
    $('.colorpicker').colorpicker();

    $('.custom-list').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '<span class="code">' + escape(data.code) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                    escape(data.text) + '</div>';
            }
        }
    });
    $("#cat_start_date").hijriDatePicker({
        locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
        format: "YYYY/MM/DD",
        hijriFormat: "iYYYY/iMM/iDD",
        showSwitcher: false,
        allowInputToggle: false,
        useCurrent: true,
        isRTL: false,
        keepOpen: false,
        hijri: {{ (Helper::Preferences("date_type"))?"true":"false" }},
        debug: false,
        showClear: false,
        showTodayButton: false,
        showClose: false,
        icons: {
            time: '<i class="fa fa-clock-o"></i>',
            date: '<i class="fa fa-calendar"></i>',
            up: '<i class="fa fa-chevron-up"></i>',
            down: '<i class="fa fa-chevron-down"></i>',
            previous: '<i class="fa fa-chevron-left"></i>',
            next: '<i class="fa fa-chevron-right"></i>',
            today: '<i class="fa fa-screenshot"></i>',
            clear: '<i class="fa fa-trash"></i>',
            close: '<i class="fa fa-remove"></i>'
        }
    });
    $("#cat_end_date").hijriDatePicker({
        locale: "{{ (trans("backLang.code")=="ar")?"ar-SA":"en-US" }}",
        format: "YYYY/MM/DD",
        hijriFormat: "iYYYY/iMM/iDD",
        showSwitcher: false,
        allowInputToggle: false,
        useCurrent: true,
        isRTL: false,
        keepOpen: false,
        hijri: {{ (Helper::Preferences("date_type"))?"true":"false" }},
        debug: false,
        showClear: false,
        showTodayButton: false,
        showClose: false,
        icons: {
            time: '<i class="fa fa-clock-o"></i>',
            date: '<i class="fa fa-calendar"></i>',
            up: '<i class="fa fa-chevron-up"></i>',
            down: '<i class="fa fa-chevron-down"></i>',
            previous: '<i class="fa fa-chevron-left"></i>',
            next: '<i class="fa fa-chevron-right"></i>',
            today: '<i class="fa fa-screenshot"></i>',
            clear: '<i class="fa fa-trash"></i>',
            close: '<i class="fa fa-remove"></i>'
        }
    });
</script>

