@extends('back.layouts.master')
@section('title', trans('backLang.categories'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                    <li class="breadcrumb-item active"
                        aria-current="page">{{ trans('backLang.categories') }}</li>
                </ol>
            </nav>
        </div>
    </div>
    <?php
    $default_cat = @head(Cats::CategoriesTypes());
    $default_cat = array_search($default_cat, Cats::CategoriesTypes());
    if ($cat > 0) {
        $default_cat = $cat;
    }
    ?>
    <div class="section-body">
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <ul class="nav nav-tabs w-100" role="tablist">
                                @foreach(Cats::CategoriesTypes() as $key=>$CategoryType)
                                    @if($CategoryType['type']==0)
                                        <li class="nav-item">
                                            <a class="nav-link {{ ($default_cat==$key)?"active":"" }}"
                                               id="category-{{ $key }}-tab" data-toggle="pill"
                                               href="#category-{{ $key }}"
                                               onclick="set_cat('{{ $key }}')"
                                               role="tab" aria-controls="category-{{ $key }}"
                                               aria-selected="false">
                                                {{ $CategoryType['title'] }}
                                            </a>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="card-body">
                            <div class="tab-content">
                                @foreach(Cats::CategoriesTypes() as $key=>$CategoryType)
                                    @if($CategoryType['type']==0)
                                        <div
                                            class="tab-pane fade {{ ($default_cat==$key)?"show active":"" }}"
                                            id="category-{{ $key }}" role="tabpanel">


                                            @if (Roles::Check("add"))
                                                <button type="button" class="btn btn-primary mb-2 cat_add" data-toggle="modal"
                                                        data-target="#create_category"><i
                                                        class="fe fe-plus"></i> {{ trans('backLang.add') }} {{ $CategoryType['title'] }}
                                                </button>
                                            @endif
                                            <div id="multi_{{ $key }}">
                                                {{Form::open(['route'=>['AppCategoriesMultiUpdate'],'method'=>'POST','id'=>'multi_'.$key.'_form'])}}
                                                <div class="pull-right" style="margin-top: -50px">
                                                    <div class="item-action dropdown">
                                                        <a href="javascript:void(0)"
                                                           class="btn btn-outline-primary dropdown-toggle btn-sm"
                                                           data-toggle="dropdown" aria-expanded="false"><i
                                                                class="fe fe-more-vertical"></i> {{ trans('backLang.options') }}
                                                        </a>
                                                        <div
                                                            class="options-list-{{ $key }} dropdown-menu dropdown-menu-{{ trans("backLang.right") }}"
                                                            x-placement="bottom-end">

                                                            <a href="javascript:void(0)" data-action="save"
                                                               class="dropdown-item"><i
                                                                    class="dropdown-icon fe fe-save"></i> {{ trans("backLang.saveOrder") }}
                                                            </a>
                                                            <a href="javascript:void(0)" data-action="activate"
                                                               class="dropdown-item"><i
                                                                    class="dropdown-icon fe fe-check"></i> {{ trans("backLang.activeSelected") }}
                                                            </a>
                                                            <a href="javascript:void(0)" data-action="block"
                                                               class="dropdown-item"><i
                                                                    class="dropdown-icon fe fe-x"></i> {{ trans("backLang.blockSelected") }}
                                                            </a>
                                                            <a href="javascript:void(0)" data-action="delete"
                                                               class="dropdown-item"><i
                                                                    class="dropdown-icon fe fe-trash"></i> {{ trans("backLang.deleteSelected") }}
                                                            </a>
                                                        </div>
                                                    </div>
                                                    <input type="hidden" name="action"
                                                           id="multi_{{ $key }}_action">
                                                    <button type="submit" class="displaynone"
                                                            id="multi_{{ $key }}_submit"></button>
                                                </div>
                                                <div class="alert alert-danger displaynone"
                                                     id="multi_{{ $key }}_errors">
                                                    <ul></ul>
                                                </div>
                                                <div class="table-responsive mt-3">
                                                    <table
                                                        class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                                        id="category-{{ $key }}-table">
                                                        <thead>
                                                        <th class="text-center row_check">
                                                            <label class="custom-control custom-checkbox">
                                                                <input type="checkbox"
                                                                       class="custom-control-input check-all"
                                                                       value="{{ $key }}">
                                                                <span class="custom-control-label">&nbsp;</span>
                                                            </label>
                                                        </th>
                                                        <th class="row_check">{{ trans('backLang.sorting') }}</th>
                                                        <th>{{ trans('backLang.CatTitle') }}</th>
                                                        <th>{{ trans('backLang.status') }}</th>
                                                        @if($CategoryType['multi-levels'])
                                                            <th>{{ trans('backLang.parentSection') }}</th>
                                                        @endif
                                                        <th class="text-center">{{ trans('backLang.options') }}</th>
                                                        </thead>
                                                    </table>
                                                </div>

                                                {{Form::close()}}
                                            </div>
                                        </div>
                                    @endif
                                @endforeach
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="create_category" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppCategoriesStore'],'method'=>'POST','id'=>'create_category_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><span id="cat_add_title"></span></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_category_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="create_category_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {!!  trans('backLang.add') !!} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
    <div class="modal fade" id="edit_category" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppCategoriesUpdate'],'method'=>'POST','id'=>'edit_category_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-pencil mb-2"></i> {{ trans('backLang.edit') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="edit_category_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="edit_category_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>

@endsection
@push("after-styles")
    <link rel="stylesheet" href="{{ asset('back/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.css') }}">
@endpush
@push("after-scripts")
    <script src="{{ asset('back/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js') }}"></script>
@endpush
@section("page-script")
    <script>
        var current_cat = "{{ $default_cat }}";

        function set_cat(cat) {
            current_cat = cat;
            window.history.replaceState(document.getElementsByTagName("title")[0].innerHTML, document.getElementsByTagName("title")[0].innerHTML, "{{ route("AppCategories") }}/" + cat);
        }

        var table_paginate = "{{ DeviceTrust::settings('BACKEND_PAGINATION') }}";

        @foreach(Cats::CategoriesTypes() as $key=>$CategoryType)
        @if($CategoryType['type']==0)
        $(document).ready(function () {
            $("#category-{{ $key }}-table").DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('AppCategoriesList') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.cat = '{{ $key }}';
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($("#category-{{ $key }}-table" + '_paginate .paginate_button').length > 3) {
                        $("#category-{{ $key }}-table" + '_paginate')[0].style.display = "block";
                    } else {
                        $("#category-{{ $key }}-table" + '_paginate')[0].style.display = "none";
                    }
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {
                        "className": "row_check", "width": "5%", "data": "check", "orderable": false
                    },
                    {"className": "row_check", "width": "5%", "data": "order"},
                    {"data": "title"},
                    {"data": "status"},
                        @if($CategoryType['multi-levels'])
                    {
                        "data": "father_id"
                    },
                        @endif
                    {
                        "width": "10%", "data": "options", "orderable": false
                    }
                ],
                "order": [[1, "asc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';


            $(".options-list-{{ $key }} .dropdown-item").on("click", function () {
                $("#multi_{{ $key }}_action").val($(this).attr('data-action'));
                if ($(this).attr('data-action') == "delete") {
                    swal({
                        title: "{{ trans("backLang.confirmationDeleteMsg") }}",
                        type: "error",
                        showCancelButton: true,
                        closeOnConfirm: false,
                        animation: "slide-from-top",
                        confirmButtonText: "{{ trans("backLang.delete") }}",
                        cancelButtonText: "{{ trans("backLang.cancel") }}",
                        showLoaderOnConfirm: true,
                        confirmButtonColor: "#F27474",
                    }, function () {
                        $("#multi_{{ $key }}_submit").trigger('click');
                        swal.close();
                    });
                } else {
                    $("#multi_{{ $key }}_submit").trigger('click');
                }
            });

            // multi save
            ajax_post_form("multi_{{ $key }}", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', false, "#category-{{ $key }}-table", false, false, true);
        });
        @endif
        @endforeach

        $(document).ready(function () {
            $(".check-all").on("click", function () {
                if ($(this).is(':checked')) {
                    $('#multi_' + $(this).val()).find('input:checkbox').prop('checked', true);
                } else {
                    $('#multi_' + $(this).val()).find('input:checkbox').prop('checked', false);
                }
            });

            $('#create_category').on('show.bs.modal', function () {
                $("#create_category_submit").prop('disabled', true);
                $.get("{{ route("AppCategoriesCreate") }}/" + current_cat, function (data) {
                    $('#create_category').find('.modal-body .form-fields').html(data);
                    $("#create_category_submit").prop('disabled', false);
                });
            });

            $("#create_category").on("hidden.bs.modal", function () {
                $("#create_category_errors").hide();
                $('#create_category').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            });

            // store category
            $('#create_category_form').submit(function (evt) {
                evt.preventDefault();
                $('#create_category_submit').html(" &nbsp; <div class=\"loader loader-inline loader-inline-dark\"></div> {{ trans("backLang.add") }}  &nbsp; ");
                $('#create_category_submit').prop('disabled', true);
                var formData = new FormData(this);
                var xhr = $.ajax({
                    type: "POST",
                    url: $(this).attr('action'),
                    data: formData,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (result) {
                        $('#create_category_errors').find("ul").html('');
                        $('#create_category_submit').html(" &nbsp; <i class=\"fe fe-save\"></i> {{ trans("backLang.add") }} &nbsp; ");
                        $('#create_category_submit').prop('disabled', false);
                        if (result.stat == 'success') {
                            $('#create_category_errors').hide();
                            $("#category-" + current_cat + "-table").DataTable().ajax.reload();

                            swal({
                                title: "<span class='text-success'>{!! trans("backLang.addDone") !!}</span>",
                                html: true,
                                type: "success",
                                confirmButtonText: '{!! trans("backLang.close") !!}',
                                confirmButtonColor: "#acacac",
                                timer: 5000,
                            });
                            $('#create_category').modal('hide');
                        } else {
                            $('#create_category_errors').css('display', 'block');
                            $.each(result.error, function (key, value) {
                                $('#create_category_errors').find("ul").append('<li>' + value + '</li>');
                            });
                        }
                    }
                });
                //console.log(xhr);
            });

            // update category
            $('#edit_category_form').submit(function (evt) {
                evt.preventDefault();
                $('#edit_category_submit').html(" &nbsp; <div class=\"loader loader-inline loader-inline-dark\"></div> {{ trans("backLang.save") }}  &nbsp; ");
                $('#edit_category_submit').prop('disabled', true);
                var formData = new FormData(this);
                $.ajax({
                    type: "POST",
                    url: $(this).attr('action'),
                    data: formData,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (result) {
                        $('#edit_category_errors').find("ul").html('');
                        $('#edit_category_submit').html(" &nbsp; <i class=\"fe fe-save\"></i> {{ trans("backLang.save") }} &nbsp; ");
                        $('#edit_category_submit').prop('disabled', false);
                        if (result.stat == 'success') {
                            $('#edit_category_errors').hide();
                            $("#category-" + current_cat + "-table").DataTable().ajax.reload();

                            swal({
                                title: "<span class='text-success'>{!! trans("backLang.saveDone") !!}</span>",
                                html: true,
                                type: "success",
                                confirmButtonText: '{!! trans("backLang.close") !!}',
                                confirmButtonColor: "#acacac",
                                timer: 5000,
                            });
                            $('#edit_category').modal('hide');
                        } else {
                            $('#edit_category_errors').css('display', 'block');
                            $.each(result.error, function (key, value) {
                                $('#edit_category_errors').find("ul").append('<li>' + value + '</li>');
                            });
                        }
                    }
                });
            });

            $("#edit_category").on("hidden.bs.modal", function () {
                $("#edit_category_errors").hide();
                $('#edit_category').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            });

            $(".cat_add").on("click", function () {
                $("#cat_add_title").html($(this).html())
            });
        });

        function edit_row(rid) {
            $("#edit_category_submit").prop('disabled', true);
            $.get("{{ route("AppCategoriesEdit") }}/" + rid, function (data) {
                $('#edit_category').find('.modal-body .form-fields').html(data);
                $("#edit_category_submit").prop('disabled', false);
            });
            $('#edit_category').modal('show');
        }

        // delete category
        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppCategoriesDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "#category-" + current_cat + "-table", false);
        }

    </script>
@endsection
