<div id="_comments_list">
    @if(count($Comments) >0)
        @foreach($Comments as $Comment)
            <?php
            $comment_user_avatar = "<img src=\"" . URL::to('uploads/users/profile.jpg') . "\" class='tl_avatar'>";
            $comment_user_name = "";
            $comment_user_job = "";
            if (!empty($Comment->user)) {
                if ($Comment->user->photo != "") {
                    $comment_user_avatar = "<img src=\"" . URL::to('uploads/users/' . $Comment->user->photo) . "\" class='tl_avatar'>";
                }
                $comment_user_name = $Comment->user->name;
                $comment_user_job = $Comment->user->job;
            }
            ?>
            <div class="timeline_item ">
                {!! $comment_user_avatar !!}
                <strong class="text-info">{{ $comment_user_name }}</strong><br>
                <small>{{ $comment_user_job }}</small>
                <small
                    class="float-right text-right text-muted">{!! Helper::DateView($Comment->created_at, 1) !!}</small>
                <div class="msg">
                    @if ($comments_roles['delete'])
                        @if (Roles::Check("delete"))
                            @if (Roles::Check("delete_users_comments") || $Comment->created_by == @Auth::user()->id)
                                <a href="javascript:void(0)" data-id="{{ encrypt($Comment->id) }}"
                                   class="_comments-del ml-20 text-muted pull-right" data-toggle="tooltip"
                                   data-original-title="{{ trans("backLang.delete") }}"
                                   title="{{ trans("backLang.delete") }}"><i class="fe fe-trash"></i></a>
                            @endif
                        @endif
                    @endif
                    <div class="text-justify">{!! $Comment->comment !!}</div>
                </div>
            </div>
        @endforeach
    @else
        <div>
            <small class="text-muted">{{ trans("backLang.noData") }}</small>
        </div>
    @endif
    @if ($comments_roles['create'])
        @if (Roles::Check("add"))
            <div class="mt-3">
                {{Form::open(['route'=>['AppCommentsStore'],'method'=>'POST','id'=>'_comments_list_form'])}}
                <div class="alert alert-danger displaynone" id="_comments_list_errors">
                    <ul></ul>
                </div>
                <div class="mb-2">
                    {!! Form::textarea('comment',"", array('class' => 'form-control summernote','rows'=>'5','id'=>'comments_area')) !!}
                </div>
                <input type="hidden" name="cat" value="{{ $cat }}">
                <input type="hidden" name="cat_id" value="{{ $cat_id }}">
                <button type="submit" id="_comments_list_submit" class="btn btn-primary">
                    &nbsp; <i class="fe fe-plus"></i> {!!  trans('backLang.add') !!} &nbsp;
                </button>
                {{Form::close()}}
            </div>
        @endif
    @endif
</div>
<script>

    $(document).ready(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });

    $('.summernote').summernote({
        height: 140,
        toolbar: [
            ['font', ['bold', 'italic', 'underline', 'clear']],
            ['fontsize', ['fontsize']],
            ['color', ['color']],
            ['para', ['paragraph', 'ol']],
            ['insert', ['link', 'picture', 'video']],
        ],
        lang: (app_preferences["lang"] == "ar") ? "ar-AR" : "en-EN"
    });

    // save comment
    ajax_post_form("_comments_list", '{{ trans("backLang.add") }}', 'fe fe-plus', '{!! trans("backLang.commentSentSuccess") !!}', '{!! trans("backLang.close") !!}', false, "", false, false, false, function () {
        $("#comments_area").summernote("reset");
        comments_load($("#_comments_list").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ $comments_roles['create'] }}", "{{ $comments_roles['delete'] }}", false);
    });
    $('._comments-del').click(function () {
        var cid = $(this).attr("data-id");
        ajax_delete_row("<?php echo route("AppCommentsDestroy"); ?>/" + cid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "", false, false, function () {
            comments_load($("#_comments_list").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ $comments_roles['create'] }}", "{{ $comments_roles['delete'] }}", false);
        });
    });
</script>
