@extends('back.layouts.master')
@section('title', trans('backLang.cronJobs'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('backLang.cronJobs') }}</li>
                </ol>
            </nav>
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.cronCommand') }}</h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <?php
                        $cron_command = "* * * * * cd " . base_path() . " && php artisan schedule:run >> /dev/null 2>&1";
                        ?>
                        <div class="card-body">
                            <div class="form-group">
                                <input placeholder="" id="cron_command" readonly dir="ltr" name="cron_command"
                                       type="text"
                                       value="{{ $cron_command }}" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            {{Form::open(['route'=>['appCronSettingsUpdate'],'method'=>'POST'])}}
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.cronJobs') }}</h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>

                        <?php
                        $cron_settings = [];
                        if ($Preferences->cron_settings != "") {
                            try {
                                $cron_settings = json_decode($Preferences->cron_settings);
                            } catch (\Exception $e) {

                            }
                        }
                        $update_currencies = @$cron_settings->currencies->status;
                        $update_currencies_hours = @$cron_settings->currencies->hours;

                        $del_notifications = @$cron_settings->notifications->status;
                        $del_notifications_days = @$cron_settings->notifications->days;
                        $del_activities = @$cron_settings->activities->status;
                        $del_activities_days = @$cron_settings->activities->days;
                        $del_messages = @$cron_settings->messages->status;
                        $del_messages_days = @$cron_settings->messages->days;
                        $del_events = @$cron_settings->events->status;
                        $del_events_days = @$cron_settings->events->days;
                        $del_alerts = @$cron_settings->alerts->status;
                        $del_alerts_days = @$cron_settings->alerts->days;
                        $del_attachments = @$cron_settings->attachments->status;
                        $del_attachments_days = @$cron_settings->attachments->days;
                        $del_backups = @$cron_settings->backups->status;
                        $del_backups_days = @$cron_settings->backups->days;
                        $del_chats = @$cron_settings->chats->status;
                        $del_chats_days = @$cron_settings->chats->days;


                        ?>
                        <div class="card-body">
                            <div class="row clearfix">

                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('update_currencies','1',($update_currencies)?true:false , array('id' => 'update_currencies','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.currenciesAutoUpdate') }} </span>
                                        </label>
                                        <div id="update_currencies_options"
                                             class="{{($update_currencies)?"":"displaynone"}}">
                                            <div class="border pl-3 pr-3 pt-2 pb-2 bg-light rounded mb-3">
                                                {{ trans('backLang.updateEvery') }}
                                                {!! Form::number('update_currencies_hours',$update_currencies_hours, array('placeholder' => '','style' => 'width:50px','min'=>'1','class'=>'text-center')) !!}
                                                {{ trans('backLang.hour') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('del_notifications','1',($del_notifications)?true:false , array('id' => 'del_notifications','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.autoDeleteNotifications') }} </span>
                                        </label>
                                        <div id="del_notifications_options"
                                             class="{{($del_notifications)?"":"displaynone"}}">
                                            <div class="border pl-3 pr-3 pt-2 pb-2 bg-light rounded mb-3">
                                                {{ trans('backLang.afterPeriod') }}
                                                {!! Form::number('del_notifications_days',$del_notifications_days, array('placeholder' => '','style' => 'width:50px','min'=>'0','class'=>'text-center')) !!}
                                                {{ trans('backLang.day') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('del_activities','1',($del_activities)?true:false , array('id' => 'del_activities','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.autoDeleteActivities') }} </span>
                                        </label>
                                        <div id="del_activities_options"
                                             class="{{($del_activities)?"":"displaynone"}}">
                                            <div class="border pl-3 pr-3 pt-2 pb-2 bg-light rounded mb-3">
                                                {{ trans('backLang.afterPeriod') }}
                                                {!! Form::number('del_activities_days',$del_activities_days, array('placeholder' => '','style' => 'width:50px','min'=>'0','class'=>'text-center')) !!}
                                                {{ trans('backLang.day') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('del_messages','1',($del_messages)?true:false , array('id' => 'del_messages','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.autoDeleteMessages') }} </span>
                                        </label>
                                        <div id="del_messages_options"
                                             class="{{($del_messages)?"":"displaynone"}}">
                                            <div class="border pl-3 pr-3 pt-2 pb-2 bg-light rounded mb-3">
                                                {{ trans('backLang.afterPeriod') }}
                                                {!! Form::number('del_messages_days',$del_messages_days, array('placeholder' => '','style' => 'width:50px','min'=>'0','class'=>'text-center')) !!}
                                                {{ trans('backLang.day') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('del_events','1',($del_events)?true:false , array('id' => 'del_events','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.autoDeleteEvents') }} </span>
                                        </label>
                                        <div id="del_events_options"
                                             class="{{($del_events)?"":"displaynone"}}">
                                            <div class="border pl-3 pr-3 pt-2 pb-2 bg-light rounded mb-3">
                                                {{ trans('backLang.afterPeriod') }}
                                                {!! Form::number('del_events_days',$del_events_days, array('placeholder' => '','style' => 'width:50px','min'=>'0','class'=>'text-center')) !!}
                                                {{ trans('backLang.day') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('del_alerts','1',($del_alerts)?true:false , array('id' => 'del_alerts','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.autoDeleteAlerts') }} </span>
                                        </label>
                                        <div id="del_alerts_options"
                                             class="{{($del_alerts)?"":"displaynone"}}">
                                            <div class="border pl-3 pr-3 pt-2 pb-2 bg-light rounded mb-3">
                                                {{ trans('backLang.afterPeriod') }}
                                                {!! Form::number('del_alerts_days',$del_alerts_days, array('placeholder' => '','style' => 'width:50px','min'=>'0','class'=>'text-center')) !!}
                                                {{ trans('backLang.day') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('del_attachments','1',($del_attachments)?true:false , array('id' => 'del_attachments','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.autoDeleteAttachments') }} </span>
                                        </label>
                                        <div id="del_attachments_options"
                                             class="{{($del_attachments)?"":"displaynone"}}">
                                            <div class="border pl-3 pr-3 pt-2 pb-2 bg-light rounded mb-3">
                                                {{ trans('backLang.afterPeriod') }}
                                                {!! Form::number('del_attachments_days',$del_attachments_days, array('placeholder' => '','style' => 'width:50px','min'=>'0','class'=>'text-center')) !!}
                                                {{ trans('backLang.day') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('del_backups','1',($del_backups)?true:false , array('id' => 'del_backups','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.autoDeleteDbBackups') }} </span>
                                        </label>
                                        <div id="del_backups_options"
                                             class="{{($del_backups)?"":"displaynone"}}">
                                            <div class="border pl-3 pr-3 pt-2 pb-2 bg-light rounded mb-3">
                                                {{ trans('backLang.afterPeriod') }}
                                                {!! Form::number('del_backups_days',$del_backups_days, array('placeholder' => '','style' => 'width:50px','min'=>'0','class'=>'text-center')) !!}
                                                {{ trans('backLang.day') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('del_chats','1',($del_chats)?true:false , array('id' => 'del_chats','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.autoDeleteChats') }} </span>
                                        </label>
                                        <div id="del_chats_options"
                                             class="{{($del_chats)?"":"displaynone"}}">
                                            <div class="border pl-3 pr-3 pt-2 pb-2 bg-light rounded mb-3">
                                                {{ trans('backLang.afterPeriod') }}
                                                {!! Form::number('del_chats_days',$del_chats_days, array('placeholder' => '','style' => 'width:50px','min'=>'0','class'=>'text-center')) !!}
                                                {{ trans('backLang.day') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <button type="submit"
                                    class="btn btn-primary">  {!! trans('backLang.save') !!} {{ trans('backLang.autoDeleteSettings') }} </button>
                        </div>
                    </div>
                </div>
            </div>
            {{Form::close()}}
        </div>
    </div>
@endsection
@section("page-script")
    <script type="text/javascript">
        $(document).ready(function () {

            $('#update_currencies').click(function () {
                if ($(this).is(':checked')) {
                    $("#update_currencies_options").slideDown();
                } else {
                    $("#update_currencies_options").slideUp();
                }
            });
            $('#del_notifications').click(function () {
                if ($(this).is(':checked')) {
                    $("#del_notifications_options").slideDown();
                } else {
                    $("#del_notifications_options").slideUp();
                }
            });
            $('#del_activities').click(function () {
                if ($(this).is(':checked')) {
                    $("#del_activities_options").slideDown();
                } else {
                    $("#del_activities_options").slideUp();
                }
            });
            $('#del_messages').click(function () {
                if ($(this).is(':checked')) {
                    $("#del_messages_options").slideDown();
                } else {
                    $("#del_messages_options").slideUp();
                }
            });
            $('#del_events').click(function () {
                if ($(this).is(':checked')) {
                    $("#del_events_options").slideDown();
                } else {
                    $("#del_events_options").slideUp();
                }
            });
            $('#del_alerts').click(function () {
                if ($(this).is(':checked')) {
                    $("#del_alerts_options").slideDown();
                } else {
                    $("#del_alerts_options").slideUp();
                }
            });
            $('#del_attachments').click(function () {
                if ($(this).is(':checked')) {
                    $("#del_attachments_options").slideDown();
                } else {
                    $("#del_attachments_options").slideUp();
                }
            });
            $('#del_backups').click(function () {
                if ($(this).is(':checked')) {
                    $("#del_backups_options").slideDown();
                } else {
                    $("#del_backups_options").slideUp();
                }
            });
            $('#del_chats').click(function () {
                if ($(this).is(':checked')) {
                    $("#del_chats_options").slideDown();
                } else {
                    $("#del_chats_options").slideUp();
                }
            });

        });
    </script>
@endsection
