@if ($events_roles['create'])
    @if (Roles::Check("add"))
        <div class="modal fade" id="_event_create" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    {{Form::open(['route'=>['AppEventsStore'],'method'=>'POST','id'=>'_event_create_form', 'files' => true])}}
                    <div class="modal-header">
                        <h5 class="modal-title"><i
                                class="fe fe-plus mb-2"></i> {{ trans('backLang.addNewEvent') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="alert alert-danger displaynone" id="_event_create_errors">
                            <ul></ul>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-5">
                                <div class="form-group">
                                    <label class="form-label">{!!  trans('backLang.CatTitle') !!}</label>
                                    <select name="category_id" class="custom-select">
                                        <option value="" selected="">[ {!!  trans('backLang.none') !!} ]</option>
                                        @foreach(Helper::Categories(2) as $CatItem)
                                            <option
                                                value="{{ $CatItem->id }}">{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-7">
                                <div class="form-group">
                                    <label
                                        class="form-label">{!!  trans('backLang.eventTitle') !!}</label>
                                    {!! Form::text('title',"", array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix mb-2">
                            <div class="col-sm-5">
                                <label
                                    class="form-label">{!!  trans('backLang.eventStart') !!}</label>
                                <div class="bg-white rounded border">
                                    <div class="row clearfix mb-0">
                                        <div class="col-sm-6" id="_create_start_date">
                                            <div class="form-group  mb-0">
                                                <input type="text" autocomplete="off" name="start_date" id="_start_date" value="{{ date("Y/m/d") }}" placeholder="{{ trans("backLang.date") }}" required data-provide="datepicker" data-date-autoclose="true"
                                                       class="form-control text-center border-0" data-date-format="yyyy/mm/dd">
                                            </div>
                                        </div>
                                        <div class="col-sm-6" id="_create_start_time">
                                            <div class="form-group  mb-0"  dir="ltr">
                                                <input type="text" autocomplete="off"
                                                       name="start_time" id="_start_time" value="{{ date("H:i a") }}" placeholder="{{ trans("backLang.time") }}" class="form-control text-center datetimepicker border-0">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-5">
                                <label
                                    class="form-label">{!!  trans('backLang.eventEnd') !!}</label>
                                <div class="bg-white rounded border">
                                    <div class="row clearfix mb-0">
                                        <div class="col-sm-6" id="_create_end_date">
                                            <div class="form-group  mb-0">
                                                <input type="text" autocomplete="off" name="end_date" id="_end_date" value="{{ date("Y/m/d") }}" placeholder="{{ trans("backLang.date") }}" data-provide="datepicker" data-date-autoclose="true"
                                                       class="form-control text-center border-0" data-date-format="yyyy/mm/dd">
                                            </div>
                                        </div>
                                        <div class="col-sm-6" id="_create_end_time">
                                            <div class="form-group  mb-0"  dir="ltr">
                                                <input type="text" autocomplete="off"
                                                       name="end_time" id="_end_time" value="{{ date("H:i A") }}" placeholder="{{ trans("backLang.time") }}" class="form-control text-center datetimepicker border-0">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-2 text-right">
                                <label
                                    class="form-label">&nbsp;</label>
                                <label class="custom-control custom-checkbox mt-2">
                                    <input type="checkbox" class="custom-control-input" name="allday" id="_allday" value="1">
                                    <span class="custom-control-label">{{ trans("backLang.allTheDay") }}</span>
                                </label>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label
                                        class="form-label">{!!  trans('backLang.eventDetails') !!}</label>
                                    {!! Form::textarea('details',"", array('placeholder' => '','class' => 'form-control summer','rows'=>'5')) !!}
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group"><label
                                        class="form-label">{!!  trans('backLang.eventPhoto') !!}</label>
                                    <input type="file" name="photo" id="_attach_photo" data-height="220"
                                           data-allowed-file-extensions="{{ trans("backLang.photo_extensions") }}">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">

                        <input type="hidden" name="cat" value="{{ $cat }}">
                        <input type="hidden" name="cat_id" value="{{ $cat_id }}">

                        <button type="button" class="btn btn-light" data-dismiss="modal"><i
                                class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                        </button>
                        <button type="submit" id="_event_create_submit" class="btn btn-primary">
                            &nbsp; <i
                                class="fe fe-save"></i> {!!  trans('backLang.add') !!} &nbsp;
                        </button>
                    </div>
                    {{Form::close()}}
                </div>
            </div>
        </div>
    @endif
@endif
