<link rel="stylesheet" href="{{ asset('back/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}"/>
<link rel="stylesheet" href="{{ asset('back/custom/css/bootstrap-datetimepicker.min.css') }}"/>
<script src="{{ asset('back/plugins/fullcalendar/moment.min.js') }}"></script>
<script src="{{ asset('back/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('back/custom/js/bootstrap-datetimepicker.min.js') }}"></script>

<div class="row clearfix">
    <div class="col-sm-5">
        <div class="form-group">
            <label class="form-label">{!!  trans('backLang.CatTitle') !!}</label>
            <select name="category_id" class="custom-select">
                <option value="" selected="">[ {!!  trans('backLang.none') !!} ]</option>
                @foreach(Helper::Categories(2) as $CatItem)
                    <option
                        value="{{ $CatItem->id }}"  {!! ($Event->category_id == $CatItem->id)?"selected='selected'":"" !!}>{{ $CatItem->{"title_".trans("backLang.code")} }}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="col-sm-7">
        <div class="form-group">
            <label
                class="form-label">{!!  trans('backLang.eventTitle') !!}</label>
            {!! Form::text('title',$Event->title, array('placeholder' => '','class' => 'form-control','required'=>'')) !!}
        </div>
    </div>
</div>
<div class="row clearfix mb-2">
    <div class="col-sm-5">
        <label
            class="form-label">{!!  trans('backLang.eventStart') !!}</label>
        <div class="bg-white rounded border">
            <div class="row clearfix mb-0">
                <div class="col-sm-{{ ($Event->all_day)?"12":"6" }}" id="_create_start_date">
                    <div class="form-group  mb-0">
                        <input type="text" autocomplete="off" name="start_date" id="_start_date"
                               value="{{ date("Y/m/d", strtotime($Event->start_date)) }}" placeholder="{{ trans("backLang.date") }}" required
                               data-provide="datepicker" data-date-autoclose="true"
                               class="form-control text-center border-0" data-date-format="yyyy/mm/dd">
                    </div>
                </div>
                <div class="col-sm-6  {{ ($Event->all_day)?"displaynone":"" }}" id="_create_start_time">
                    <div class="form-group  mb-0" dir="ltr">
                        <input type="text" autocomplete="off"
                               name="start_time" id="_start_time" value="{{ date("H:i A", strtotime($Event->start_date)) }}" placeholder="{{ trans("backLang.time") }}"
                               class="form-control text-center datetimepicker border-0">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-5">
        <label
            class="form-label">{!!  trans('backLang.eventEnd') !!}</label>
        <div class="bg-white rounded border">
            <div class="row clearfix mb-0">
                <div class="col-sm-{{ ($Event->all_day)?"12":"6" }}" id="_create_end_date">
                    <div class="form-group  mb-0">
                        <input type="text" autocomplete="off" name="end_date" id="_end_date" value="{{ date("Y/m/d", strtotime($Event->end_date)) }}"
                               placeholder="{{ trans("backLang.date") }}" data-provide="datepicker"
                               data-date-autoclose="true"
                               class="form-control text-center border-0" data-date-format="yyyy/mm/dd">
                    </div>
                </div>
                <div class="col-sm-6 {{ ($Event->all_day)?"displaynone":"" }}" id="_create_end_time">
                    <div class="form-group  mb-0" dir="ltr">
                        <input type="text" autocomplete="off"
                               name="end_time" id="_end_time" value="{{ date("H:i A", strtotime($Event->end_date)) }}" placeholder="{{ trans("backLang.time") }}"
                               class="form-control text-center datetimepicker border-0">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-2 text-right">
        <label
            class="form-label">&nbsp;</label>
        <label class="custom-control custom-checkbox mt-2">
            <input type="checkbox" class="custom-control-input" name="allday" {{ ($Event->all_day)?"checked":"" }}  id="_allday" value="1">
            <span class="custom-control-label">{{ trans("backLang.allTheDay") }}</span>
        </label>
    </div>
</div>
<div class="row clearfix">
    <div class="col-sm-8">
        <div class="form-group">
            <label
                class="form-label">{!!  trans('backLang.eventDetails') !!}</label>
            {!! Form::textarea('details',$Event->details, array('placeholder' => '','class' => 'form-control summernote','rows'=>'5')) !!}
        </div>
    </div>
    <div class="col-sm-4">
        <div class="form-group"><label
                class="form-label">{!!  trans('backLang.eventPhoto') !!}</label>
            <input type="file" name="photo" id="_attach_photo" data-height="175"
                   data-allowed-file-extensions="{{ trans("backLang.photo_extensions") }}" {!! ($Event->photo!="")?"data-default-file=\"".URL::to('uploads/events/'.$Event->photo)."\"":"" !!}>
            {!! Form::hidden('photo_delete','0', array('id'=>'photo_delete')) !!}
        </div>
    </div>
</div>
<input type="hidden" name="id" value="{{ encrypt($Event->id) }}">
<script>
    $(document).ready(function () {
        $('.datetimepicker').datetimepicker({
            format: 'hh:mm A',
            defaultDate: moment(),
            stepping: 5
        });
    });

    $('#_allday').on('change', function () {
        if ($(this).is(':checked')) {
            $("#_create_start_date").removeClass("col-sm-6");
            $("#_create_start_date").addClass("col-sm-12");
            $("#_create_end_date").removeClass("col-sm-6");
            $("#_create_end_date").addClass("col-sm-12");
            $("#_create_start_time").hide();
            $("#_create_end_time").hide();
        } else {
            $("#_create_start_date").removeClass("col-sm-12");
            $("#_create_start_date").addClass("col-sm-6");
            $("#_create_end_date").removeClass("col-sm-12");
            $("#_create_end_date").addClass("col-sm-6");
            $("#_create_start_time").show();
            $("#_create_end_time").show();
        }
    });

    $('.summernote').summernote({
        height: 140,
        toolbar: [
            ['font', ['bold', 'italic', 'underline', 'clear']],
            ['fontsize', ['fontsize']],
            ['color', ['color']],
            ['para', ['paragraph', 'ol']],
            ['insert', ['link', 'picture', 'video']],
        ],
        lang: (app_preferences["lang"] == "ar") ? "ar-AR" : "en-EN"
    });

    var dropify_settings = {
        messages: {
            'default': '{{ trans("backLang.dragAndDropFileHere") }}',
            'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
            'remove': '{{ trans("backLang.delete") }}',
            'error': '{{ trans("backLang.errorSomethingWrong") }}',
        }
    };

    var drEvent = $('#_attach_photo').dropify(dropify_settings);
    drEvent.on('dropify.beforeClear', function (event, element) {
        $("#photo_delete").val('1');
    });

</script>
