@extends('back.layouts.master')
@section('title', trans('backLang.calendar'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12">
                    <div class="card">
                        <div class="card-header bline">
                            <h3 class="card-title"><i class="icon-calendar"></i> {{ trans('backLang.calendar') }}</h3>
                            <div class="card-options">
                                <a href="#" class="card-options-fullscreen" data-toggle="card-fullscreen"><i
                                        class="fe fe-maximize"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div id="calendar"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @if (Roles::Check("calendar_add"))
        @if (Roles::Check("add"))
            @include('back.preferences.events.create')
        @endif
    @endif
@endsection

@push("before-styles")
    <link rel="stylesheet" href="{{ asset('back/custom/js/fullcalendar/core/main.css') }}">
    <link rel="stylesheet" href="{{ asset('back/custom/js/fullcalendar/daygrid/main.css') }}">
    <link rel="stylesheet" href="{{ asset('back/custom/js/fullcalendar/timegrid/main.css') }}">
    <link rel="stylesheet" href="{{ asset('back/custom/js/fullcalendar/list/main.css') }}">
@endpush
@push("after-styles")
    <link rel="stylesheet" href="{{ asset('back/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}"/>
    <link rel="stylesheet" href="{{ asset('back/custom/css/bootstrap-datetimepicker.min.css') }}"/>
@endpush
@push("after-scripts")
    <script src="{{ asset('back/custom/js/fullcalendar/core/main.js') }}"></script>
    <script src="{{ asset('back/custom/js/fullcalendar/interaction/main.js') }}"></script>
    <script src="{{ asset('back/custom/js/fullcalendar/daygrid/main.js') }}"></script>
    <script src="{{ asset('back/custom/js/fullcalendar/core/locales-all.js') }}"></script>
    <script src="{{ asset('back/custom/js/fullcalendar/timegrid/main.js') }}"></script>
    <script src="{{ asset('back/custom/js/fullcalendar/list/main.js') }}"></script>
    <script src="{{ asset('back/plugins/fullcalendar/moment.min.js') }}"></script>
    <script src="{{ asset('back/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
    <script src="{{ asset('back/custom/js/bootstrap-datetimepicker.min.js') }}"></script>
@endpush
@section("page-script")
    <script type="text/javascript">
        $(document).ready(function () {
            $('.summer').summernote({
                height: 150,
                dialogsInBody: true,
                toolbar: [
                    ['style', ['style']],
                    ['font', ['bold', 'underline', 'clear']],
                    ['fontname', ['fontname', 'height']],
                    ['color', ['color']],
                    ['para', ['ol', 'paragraph']],
                    ['table', ['table']],
                    ['insert', ['link', 'picture', 'video', 'hr']],
                    ['view', ['fullscreen', 'codeview']],
                    ['help', ['help']]
                ],
                lang: (app_preferences["lang"] == "ar") ? "ar-AR" : "en-EN"
            });
            $(document).on("show.bs.modal", '.modal', function (event) {
                var zIndex = 100000 + (10 * $(".modal:visible").length);
                $(this).css("z-index", zIndex);
                setTimeout(function () {
                    $(".modal-backdrop").not(".modal-stack").first().css("z-index", zIndex - 1).addClass("modal-stack");
                }, 0);
            }).on("hidden.bs.modal", '.modal', function (event) {
                $(".modal:visible").length && $("body").addClass("modal-open");
            });
            $(document).on('inserted.bs.tooltip', function (event) {
                var zIndex = 100000 + (10 * $(".modal:visible").length);
                var tooltipId = $(event.target).attr("aria-describedby");
                $("#" + tooltipId).css("z-index", zIndex);
            });
            $(document).on('inserted.bs.popover', function (event) {
                var zIndex = 100000 + (10 * $(".modal:visible").length);
                var popoverId = $(event.target).attr("aria-describedby");
                $("#" + popoverId).css("z-index", zIndex);
            });

            $('.datetimepicker').datetimepicker({
                format: 'hh:mm A',
                stepping: 5
            });

            $('#_allday').on('change', function () {
                if ($(this).is(':checked')) {
                    $("#_create_start_date").removeClass("col-sm-6");
                    $("#_create_start_date").addClass("col-sm-12");
                    $("#_create_end_date").removeClass("col-sm-6");
                    $("#_create_end_date").addClass("col-sm-12");
                    $("#_create_start_time").hide();
                    $("#_create_end_time").hide();
                } else {
                    $("#_create_start_date").removeClass("col-sm-12");
                    $("#_create_start_date").addClass("col-sm-6");
                    $("#_create_end_date").removeClass("col-sm-12");
                    $("#_create_end_date").addClass("col-sm-6");
                    $("#_create_start_time").show();
                    $("#_create_end_time").show();
                }
            });

            var dropify_settings = {
                messages: {
                    'default': '{{ trans("backLang.dragAndDropFileHere") }}',
                    'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
                    'remove': '{{ trans("backLang.delete") }}',
                    'error': '{{ trans("backLang.errorSomethingWrong") }}',
                }
            };

            var drEvent = $('#_attach_photo').dropify(dropify_settings);
        });


        var newEvent = function (start, end = '') {
            var stdate = new Date(start).getFullYear() + '/' + ('0' + (new Date(start).getMonth() + 1)).slice(-2) + '/' + ('0' + (new Date(start).getDate())).slice(-2);
            var sttime = ('0' + (new Date(start).getHours())).slice(-2) + ':' + ('0' + (new Date(start).getMinutes())).slice(-2) + ' ' + (((new Date(start).getHours()) > 12) ? 'PM' : 'AM');
            if (sttime === "02:00 AM") {
                sttime = "09:00 AM"
            }
            $('#_start_date').val(stdate);
            $('#_start_time').val(sttime);
            if (end != "") {
                var eddate = new Date(end).getFullYear() + '/' + ('0' + (new Date(end).getMonth() + 1)).slice(-2) + '/' + ('0' + (new Date(end).getDate())).slice(-2);
                var edtime = ('0' + (new Date(end).getHours())).slice(-2) + ':' + ('0' + (new Date(end).getMinutes())).slice(-2) + ' ' + (((new Date(end).getHours()) > 12) ? 'PM' : 'AM');
                if (edtime === "02:00 AM") {
                    edtime = "09:00 AM"
                }
                $('#_end_date').val(eddate);
                $('#_end_time').val(edtime);
            }
            $('#_event_create').modal('show');
        };

        document.addEventListener('DOMContentLoaded', function () {
            var initialLocaleCode = '{{ trans("backLang.calendarLanguage") }}';
            var calendarEl = document.getElementById('calendar');

            var calendar = new FullCalendar.Calendar(calendarEl, {
                plugins: ['interaction', 'dayGrid', 'timeGrid', 'list'],
                header: {
                    left: '{{ (trans("backLang.direction")=="rtl")?"dayGridMonth,timeGridWeek,timeGridDay,listMonth,prev,next":"title" }}',
                    center: '',
                    right: '{{ (trans("backLang.direction")=="rtl")?"title":"dayGridMonth,timeGridWeek,timeGridDay,listMonth,prev,next" }}'
                },
                defaultView: "dayGridMonth",
                locale: initialLocaleCode,
                buttonIcons: true,
                weekNumbers: false,
                navLinks: true,
                editable: false,
                selectable: true,
                eventLimit: false,
                eventSources: [
                    {
                        url: '{{ route("AppEventsList") }}',
                        method: 'POST',
                        extraParams: {
                            _token: $('meta[name="csrf-token"]').attr('content'),
                            cat: '0',
                            cat_id: '{{ encrypt(Auth::user()->id) }}'
                        }
                    }
                ],
                @if (Roles::Check("calendar_add"))
                    @if (Roles::Check("add"))
                dateClick: function (info) {
                    newEvent(info.dateStr);
                },
                select: function (info) {
                    newEvent(info.startStr, info.endStr);
                }
                @endif
                @endif
            });
            calendar.render();


            // store user
            ajax_post_form("_event_create", '{{ trans("backLang.add") }}', 'fe fe-save', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, true, function () {
                calendar.refetchEvents();
                $(".summer").summernote("reset");
                $("#_create_start_date").removeClass("col-sm-12");
                $("#_create_start_date").addClass("col-sm-6");
                $("#_create_end_date").removeClass("col-sm-12");
                $("#_create_end_date").addClass("col-sm-6");
                $("#_create_start_time").show();
                $("#_create_end_time").show();
            });
        });
    </script>
@endsection
