@extends('back.layouts.master')
@section('title', $Event->title)
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("AppEvents") }}">{{ trans('backLang.calendar') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ $Event->title }}</li>
                </ol>
            </nav>


            <div class="row clearfix">
                <div class="col-sm-9">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"> {{ $Event->title }}</h3>
                            <div class="card-options">
                                <?php
                                $edit = "";

                                if (Roles::Check("calendar_edit")) {
                                    if (Roles::Check("edit")) {
                                        $edit = " <a href='javascript:void(0)' class=\"event-edit\"  data-toggle=\"tooltip\" data-original-title=\"" . trans("backLang.edit") . "\" title=\"" . trans("backLang.edit") . "\"><i class=\"icon-pencil\"></i></a>";
                                    }
                                }
                                $delete = "";

                                if (Roles::Check("calendar_delete")) {
                                    if (Roles::Check("delete")) {
                                        $delete = " <a href='javascript:void(0)' class=\"event-del\"  data-toggle=\"tooltip\" data-original-title=\"" . trans("backLang.delete") . "\" title=\"" . trans("backLang.delete") . "\"><i class=\"fe fe-trash\"></i></a>";
                                    }
                                }
                                ?>
                                {!!  $edit !!}
                                {!!  $delete !!}
                            </div>
                        </div>
                        <hr class="mb-0 mt-0">
                        <div>
                            @if($Event->start_date == $Event->end_date)
                                <div class="pt-2 pb-2 pr-3 pl-3">
                                    {!!  trans('backLang.eventDate') !!} : <span
                                        dir="ltr"
                                        class="tag tag-light text-dark pull-right">{{ ($Event->all_day)? date('Y-m-d', strtotime($Event->start_date)):date('Y-m-d h:i A', strtotime($Event->start_date)) }}</span>
                                </div>
                            @else
                                <div class="pt-2 pb-2 pr-3 pl-3">
                                    {!!  trans('backLang.eventStart2') !!} : <span
                                        dir="ltr"
                                        class="tag tag-light text-dark pull-right">{{ ($Event->all_day)? date('Y-m-d', strtotime($Event->start_date)):date('Y-m-d h:i A', strtotime($Event->start_date)) }}</span>
                                </div>
                                <hr class="mb-0 mt-0">
                                <div class="pt-2 pb-2 pr-3 pl-3">
                                    {!!  trans('backLang.eventEnd2') !!} : <span
                                        dir="ltr"
                                        class="tag tag-light text-dark pull-right">{{ ($Event->all_day)? date('Y-m-d', strtotime($Event->end_date)):date('Y-m-d h:i A', strtotime($Event->end_date)) }}</span>
                                </div>
                            @endif
                            <hr class="mb-0 mt-0">
                            <div class="pt-2 pb-2 pr-3 pl-3">
                                @if($Event->photo !="")
                                    <img src="{{ asset('uploads/events/'.$Event->photo) }}" alt=""
                                         style="max-width:100%">
                                @endif
                                <p>
                                    {!! nl2br($Event->details) !!}
                                </p>
                            </div>
                        </div>
                    </div>
                    @if (Roles::Check("calendar_attachments") || Roles::Check("calendar_comments"))
                        <?php
                        $status_tab_comments = "";
                        $status_tab_attachments = "active";
                        if (Roles::Check("calendar_comments")) {
                            $status_tab_comments = "active";
                            $status_tab_attachments = "";
                        }
                        ?>
                        <div class="card">
                            <div class="card-header pt-0">
                                <ul class="nav nav-tabs w-100" role="tablist">
                                    @if (Roles::Check("calendar_comments"))
                                        <li class="nav-item">
                                            <a class="nav-link {{ $status_tab_comments }}" id="pills-comments-tab"
                                               data-toggle="pill"
                                               href="#pills-comments" role="tab" aria-controls="pills-comments"
                                               aria-selected="false">{{ trans('backLang.comments') }}</a>
                                        </li>
                                    @endif
                                    @if (Roles::Check("calendar_attachments"))
                                        <li class="nav-item">
                                            <a class="nav-link {{ $status_tab_attachments }}" id="pills-attachments-tab"
                                               data-toggle="pill"
                                               href="#pills-attachments" role="tab" aria-controls="pills-attachments"
                                               aria-selected="true">{{ trans('backLang.attachments') }}</a>
                                        </li>
                                    @endif
                                </ul>
                            </div>
                            <div class="card-body">
                                <div class="tab-content" id="pills-tabContent">
                                    @if (Roles::Check("calendar_comments"))
                                        <div
                                            class="tab-pane fade {{ ($status_tab_comments=="active")?"show active":"" }}"
                                            id="pills-comments"
                                            role="tabpanel"
                                            aria-labelledby="pills-comments-tab">
                                            <div id="comments_table"></div>
                                        </div>
                                    @endif
                                    @if (Roles::Check("calendar_attachments"))
                                        <div
                                            class="tab-pane fade {{ ($status_tab_attachments=="active")?"show active":"" }}"
                                            id="pills-attachments" role="tabpanel"
                                            aria-labelledby="pills-attachments-tab">
                                            <div id="attachments_table"></div>
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    @endif

                </div>
                <div class="col-sm-3">

                    <div class="card">
                        <table class="table card-table">
                            <tbody>
                            @if($Event->category_id >0)
                                <tr>
                                    <td>{{ trans('backLang.CatTitle') }}
                                        <span
                                            class="pull-right">{!! Helper::Category($Event->category_id) !!}</span>
                                    </td>
                                </tr>
                            @endif
                            <tr>
                                <td>{{ trans('backLang.createdAt') }}
                                    <span
                                        class="tag tag-light text-muted pull-right">{!! Helper::DateView($Event->created_at, 1) !!}</span>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ trans('backLang.createdBy') }}
                                    <span
                                        class="tag tag-light text-muted pull-right">{!! @$Event->user->name !!}</span>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    @if (Roles::Check("calendar_share"))
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title"><i class="fa fa-share-alt"></i> {{ trans('backLang.share') }}
                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="share_table"></div>
                            </div>
                        </div>
                    @endif
                    @if (Roles::Check("calendar_alerts"))
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title"><i class="fa fa-bell-o"></i> {{ trans('backLang.alerts') }}
                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="alerts_table"></div>
                            </div>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="event_edit" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                {{Form::open(['route'=>['AppEventsUpdate'],'method'=>'POST','id'=>'event_edit_form'])}}
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-pencil mb-2"></i> {{ trans('backLang.editEvent') }}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="event_edit_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted">{{ trans("backLang.loading") }}</small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                    </button>
                    <button type="submit" id="event_edit_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                    </button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
@endsection
@section("page-script")
    <script type="text/javascript">
        $(document).ready(function () {
            @if (Roles::Check("calendar_attachments"))
            attachments_load("#attachments_table", "1", "{{ encrypt($Event->id) }}", "", "{{ Roles::Check("archive_multi_upload") }}", true, true, true, true, false);
            @endif
            @if (Roles::Check("calendar_comments"))
            comments_load("#comments_table", "2", "{{ encrypt($Event->id) }}", true, true, false);
            @endif
            @if (Roles::Check("calendar_share"))
            share_load("#share_table", "2", "{{ encrypt($Event->id) }}", true, true,"{{ $Event->title }}","{{ route("AppEventsView",encrypt($Event->id) ) }}", false);
            @endif
            @if (Roles::Check("calendar_alerts"))
            alerts_load("#alerts_table", "1", "{{ encrypt($Event->id) }}", "{{ $Event->title }}", true, true, true, false);
            @endif


            $('.event-edit').click(function () {
                $.get("{{ route("AppEventsEdit") }}/{{ encrypt($Event->id) }}", function (data) {
                    $('#event_edit').find('.modal-body .form-fields').html(data);
                    $("#event_edit_submit").prop('disabled', false);
                });
                $('#event_edit').modal('show');
            });

            $("#event_edit").on("hidden.bs.modal", function () {
                $("#event_edit_errors").hide();
                $('#event_edit').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            });

            // update attachment
            ajax_post_form("event_edit", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, true, false);

            $('.event-del').click(function () {
                ajax_delete_row("<?php echo route("AppEventsDestroy"); ?>/{{ encrypt($Event->id) }}", '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "", false, false, function () {
                    location.href = '{{ route("AppEvents") }}';
                });
            });

        });

    </script>
@endsection
