@extends('back.layouts.master')
@section('title', trans('backLang.ftpSettings'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('backLang.ftpSettings') }}</li>
                </ol>
            </nav>
            {{Form::open(['route'=>['appFtpSettingsUpdate'],'method'=>'POST','id'=>'ftp_settings_form'])}}
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.ftpSettings') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label>{{ trans('backLang.ftpStatus') }} : </label>
                                <div class="custom-controls-stacked">
                                    <label class="custom-control custom-radio custom-control-inline">
                                        {!! Form::radio('ftp_status','0',($Preferences->ftp_status == 0) ? true : false , array('id' => 'ftp_status2','class'=>'custom-control-input')) !!}
                                        <div
                                            class="custom-control-label">{{ trans('backLang.ftpStatus1') }}</div>
                                    </label>
                                    <br>
                                    <label class="custom-control custom-radio custom-control-inline">
                                        {!! Form::radio('ftp_status','1',($Preferences->ftp_status == 1) ? true : false , array('id' => 'ftp_status1','class'=>'custom-control-input')) !!}
                                        <div
                                            class="custom-control-label">{{ trans('backLang.ftpStatus2') }}</div>
                                    </label>
                                    <br>
                                    <label class="custom-control custom-radio custom-control-inline">
                                        {!! Form::radio('ftp_status','2',($Preferences->ftp_status == 2) ? true : false , array('id' => 'ftp_status3','class'=>'custom-control-input')) !!}
                                        <div
                                            class="custom-control-label">{{ trans('backLang.ftpStatus3') }}</div>
                                    </label>
                                </div>
                            </div>

                            <div id="ftp_div" {!!  ( $Preferences->ftp_status == 1) ? "":"style='display:none'" !!}>
                                <div style="text-align: left;" dir="ltr">
                                    <div class="row clearfix">
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.ftpHost') !!}</label>
                                                {!! Form::text('ftp_host',$Preferences->ftp_host, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.ftpUsername') !!}</label>
                                                {!! Form::text('ftp_username',$Preferences->ftp_username, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.ftpPassword') !!}</label>
                                                {!! Form::text('ftp_password',$Preferences->ftp_password, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.ftpPort') !!}</label>
                                                {!! Form::text('ftp_port',$Preferences->ftp_port, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.ftpRoot') !!}</label>
                                                {!! Form::text('ftp_root',$Preferences->ftp_root, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label>{{ trans('backLang.ftpPassive') }} : </label>
                                                <select name="ftp_passive" id="ftp_passive"
                                                        class="form-control custom-select">
                                                    <option
                                                        value="0" {{ ($Preferences->ftp_passive == 0) ? "selected='selected'":""  }}>
                                                        {{ trans('backLang.false') }}
                                                    </option>
                                                    <option
                                                        value="1" {{ ($Preferences->ftp_passive == 1) ? "selected='selected'":""  }}>
                                                        {{ trans('backLang.true') }}
                                                    </option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label>{{ trans('backLang.ftpSSL') }} : </label>
                                                <select name="ftp_ssl" id="ftp_ssl"
                                                        class="form-control custom-select">
                                                    <option
                                                        value="0" {{ ($Preferences->ftp_ssl == 0) ? "selected='selected'":""  }}>
                                                        {{ trans('backLang.false') }}
                                                    </option>
                                                    <option
                                                        value="1" {{ ($Preferences->ftp_ssl == 1) ? "selected='selected'":""  }}>
                                                        {{ trans('backLang.true') }}
                                                    </option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div style="text-align: left;" dir="ltr">
                                                <div class="form-group">
                                                    <label>{!!  trans('backLang.ftpTimeout') !!}</label>
                                                    {!! Form::number('ftp_timeout',$Preferences->ftp_timeout, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'))) !!}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <button id="ftp_check" type="button"
                                        class="btn btn-sm btn-light w-100 mb-2">
                                    <i class="fa fa-bolt"></i> {{ trans("backLang.ftpCheck") }}
                                </button>
                            </div>
                            <div id="dropbox_div" {!!  ( $Preferences->ftp_status == 2) ? "":"style='display:none'" !!}>
                                <div style="text-align: left;" dir="ltr">
                                    <div class="form-group">
                                        <label>{!!  trans('backLang.dropboxToken') !!}</label>
                                        {!! Form::text('dropbox_access_token',$Preferences->dropbox_access_token, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'))) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <button type="submit" id="ftp_save_btn"
                    class="btn btn-primary">  {!! trans('backLang.save') !!} {{ trans('backLang.ftpStatus') }}</button>
            {{Form::close()}}
        </div>
    </div>
@endsection
@section("page-script")
    <script>
        $(document).ready(function () {
            $("#ftp_status2").click(function () {
                $("#ftp_div").css("display", "none");
                $("#dropbox_div").css("display", "none");
            });
            $("#ftp_status1").click(function () {
                $("#ftp_div").css("display", "block");
                $("#dropbox_div").css("display", "none");
            });
            $("#ftp_status3").click(function () {
                $("#dropbox_div").css("display", "block");
                $("#ftp_div").css("display", "none");
            });

            $('#ftp_check').click(function () {
                $('#ftp_check').html("<div class=\"loader loader-inline loader-inline-dark\"></div> {!! trans('backLang.ftpCheck') !!}");
                $('#ftp_check').prop('disabled', true);
                $('#ftp_save_btn').prop('disabled', true);

                var formData = $("#ftp_settings_form").serialize();
                var xhr = $.ajax({
                    type: "POST",
                    url: "<?php echo route("appFTPTest"); ?>",
                    data: formData,
                    success: function (result) {
                        var obj_result = jQuery.parseJSON(result);
                        if (obj_result.stat == 'success') {
                            swal({
                                title: "<span class='text-success'>{{ trans("backLang.ftpCheckSuccess") }}</span>",
                                text: "{{ trans("backLang.ftpCheckSuccessMsg") }}",
                                html: true,
                                type: "success",
                                confirmButtonText: "{{ trans("backLang.close") }}",
                                confirmButtonColor: "#acacac",
                                timer: 5000,
                            });
                        } else {
                            swal({
                                title: "<span class='text-danger'>{{ trans("backLang.ftpCheck") }}</span>",
                                text: "<span class='text-danger' dir='ltr'>" + obj_result.error + "</span>",
                                html: true,
                                type: "error",
                                confirmButtonText: "{{ trans("backLang.close") }}",
                                confirmButtonColor: "#acacac",
                            });
                        }
                        $('#ftp_check').html("<i class=\"fa fa-bolt\"></i> {!! trans('backLang.ftpCheck') !!}");
                        $('#ftp_check').prop('disabled', false);
                        $('#ftp_save_btn').prop('disabled', false);
                    }
                });
                // console.log(xhr);
            });

        });
    </script>
@endsection
