@extends('back.layouts.master')
@section('title', trans('backLang.generalSettings'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('backLang.generalSettings') }}</li>
                </ol>
            </nav>
            {{Form::open(['route'=>['appGeneralSettingsUpdate'],'method'=>'POST', 'files' => true ])}}
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.organizationDetails') }}</h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                @if(Helper::Preferences("ar_box_status"))
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.organizationName') !!} @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.arabicBox') !!}@endif</label>
                                            <div>
                                                {!! Form::text('app_title_ar',$Preferences->app_title_ar, array('placeholder' => '','class' => 'form-control','id'=>'app_title_ar','required'=>'', 'dir'=>trans('backLang.rtl'))) !!}
                                            </div>
                                        </div>
                                    </div>
                                @endif
                                @if(Helper::Preferences("en_box_status"))
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.organizationName') !!}  @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.englishBox') !!}@endif</label>
                                            <div>
                                                {!! Form::text('app_title_en',$Preferences->app_title_en, array('placeholder' => '','class' => 'form-control','id'=>'app_title_en','required'=>'', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                    </div>
                                @endif

                            </div>
                            <div class="row clearfix m">
                                @if(Helper::Preferences("ar_box_status"))
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label
                                                for="app_logo_ar">{!!  trans('backLang.organizationLogo') !!} @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.arabicBox') !!}@endif</label>
                                            <input type="file" name="app_logo_ar" id="app_logo_ar" data-height="120"
                                                   data-allowed-file-extensions="{{ trans("backLang.photo_extensions") }}" {!! ($Preferences->app_logo_ar!="")?"data-default-file=\"".URL::to('uploads/preferences/'.$Preferences->app_logo_ar)."\"":"" !!}>
                                            {!! Form::hidden('app_logo_ar_delete','0', array('id'=>'app_logo_ar_delete')) !!}
                                            <small>
                                                <i class="icon-info"></i> {!!  trans('backLang.imagesTypes') !!}
                                            </small>
                                        </div>
                                    </div>
                                @endif
                                @if(Helper::Preferences("en_box_status"))
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label
                                                for="app_logo_en">{!!  trans('backLang.organizationLogo') !!} @if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")){!!  trans('backLang.englishBox') !!}@endif</label>
                                            <input type="file" name="app_logo_en" id="app_logo_en" data-height="120"
                                                   data-allowed-file-extensions="{{ trans("backLang.photo_extensions") }}" {!! ($Preferences->app_logo_en!="")?"data-default-file=\"".URL::to('uploads/preferences/'.$Preferences->app_logo_en)."\"":"" !!}>
                                            {!! Form::hidden('app_logo_en_delete','0', array('id'=>'app_logo_en_delete')) !!}
                                            <small>
                                                <i class="icon-info"></i> {!!  trans('backLang.imagesTypes') !!}
                                            </small>
                                        </div>
                                    </div>
                                @endif

                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.attachmentSettings') }}</h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form-label">{!!  trans('backLang.allowedExtensions') !!}</label>
                                        {!! Form::textarea('allowed_ext',$Preferences->allowed_ext, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'),'rows'=>'3')) !!}
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form-label">{!!  trans('backLang.allowedFilesTypes') !!}</label>
                                        {!! Form::textarea('allowed_types',$Preferences->allowed_types, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'),'rows'=>'3')) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="form-label">{!!  trans('backLang.allowedSize') !!}</label>
                                {!! Form::number('allowed_size',$Preferences->allowed_size, array('class' => 'form-control')) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <button type="submit" class="btn btn-lg btn-primary">  {!! trans('backLang.save') !!}</button>
            {{Form::close()}}
        </div>
    </div>
@endsection
@section("page-script")
    <script>
        $(document).ready(function () {
            var dropify_settings = {
                messages: {
                    'default': '{{ trans("backLang.dragAndDropFileHere") }}',
                    'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
                    'remove': '{{ trans("backLang.delete") }}',
                    'error': '{{ trans("backLang.errorSomethingWrong") }}',
                }
            };

            var drEvent = $('#app_logo_ar').dropify(dropify_settings);
            drEvent.on('dropify.beforeClear', function (event, element) {
                $("#app_logo_ar_delete").val('1');
            });

            var drEvent = $('#app_logo_en').dropify(dropify_settings);
            drEvent.on('dropify.beforeClear', function (event, element) {
                $("#app_logo_en_delete").val('1');
            });

            $('.countries').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });
            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });
        });
    </script>
@endsection
