@extends('back.layouts.master')
@section('title', trans('backLang.settings'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid full-height">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active" aria-current="page"><i
                            class="icon-settings"></i> {{ trans('backLang.settings') }}</li>
                </ol>
            </nav>

            <div class="row clearfix">
                @foreach(Menus::DashboardSettingsMenu() as $AppSettingsURL)
                    <div class="col-lg-{{ ($AppSettingsURL['id']=="License")?12:6 }}">
                        <a href="{{ $AppSettingsURL['link'] }}" class="card" id="settings-{{ @$AppSettingsURL['id'] }}">
                            <div class="card-header widgets1">
                                <div class="icon">
                                    <i class="{{ $AppSettingsURL['icon'] }} text-dark text-muted font-30"></i>
                                </div>
                                <div class="details">
                                    <h6 class="mb-0">{{ $AppSettingsURL['title'] }}</h6>
                                    <p class="mb-0">
                                        <small class="text-muted">{{ $AppSettingsURL['description'] }}</small>
                                    </p>
                                </div>
                            </div>
                        </a>
                    </div>
                @endforeach
            </div>

            @if (DeviceTrust::settings("ATTACHMENTS_SIZE_LIMIT") > 0 )
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">{{ trans('backLang.storageSpace') }}</h3>
                    </div>
                    <div class="card-body">
                        <div class="row-col m-t-sm">
                            <div class="row-cell text-center b-a cyan-50 p-y-sm">
                                <h6 class="mb-0">{{ DeviceTrust::settings("ATTACHMENTS_SIZE_LIMIT") }}MB</h6>
                                <span class="text-muted">{{ trans('backLang.storageTotal') }}</span>
                            </div>
                            <div class="row-cell text-center b-t b-b red-50 p-y-sm">
                                <h6 class="mb-0">{{ round($uploads_folder_size,3) }}MB</h6>
                                <span class="text-muted">{{ trans('backLang.storageUsed') }}</span>
                            </div>
                            <div class="row-cell text-center b-a green-50 p-y-sm">
                                <h6 class="mb-0">{{ round((DeviceTrust::settings("ATTACHMENTS_SIZE_LIMIT") - $uploads_folder_size),3) }}
                                    MB</h6>
                                <span class="text-muted">{{ trans('backLang.storageFree') }}</span>
                            </div>
                        </div>
                    </div>
                </div>
            @endif
        </div>
    </div>
@endsection
