@extends('back.layouts.master')
@section('title', trans('backLang.pusherSettings'))
@push("after-styles")
    <style>
        @if (!Helper::CheckMailStatus())
            ._mail_channel {
            display: none;
        }

        @endif
        @if (!Helper::CheckSMSStatus())
            ._sms_channel {
            display: none;
        }

        @endif
        @if (!Helper::CheckOneSignalStatus())
            ._browser_channel {
            display: none;
        }
        @endif
    </style>
@endpush
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                    <li class="breadcrumb-item active"
                        aria-current="page">{{ trans('backLang.notificationSettings') }}</li>
                </ol>
            </nav>
            {{Form::open(['route'=>['appNotificationsSettingsUpdate'],'method'=>'POST'])}}
            <ul role="tablist" class="nav nav-tabs mb-3">
                <li class="nav-item"><a id="notifications-settings-tab" data-toggle="pill"
                                        href="#notifications-settings" role="tab" aria-controls="notifications-settings"
                                        aria-selected="false" class="nav-link active">
                        {{ trans('backLang.notificationSettings') }}
                    </a></li>
                <li class="nav-item"><a id="notifications-mail-tab" data-toggle="pill"
                                        href="#notifications-mail" role="tab" aria-controls="notifications-mail"
                                        aria-selected="true" class="nav-link">
                        {{ trans('backLang.mailSettings') }}
                    </a></li>
                <li class="nav-item"><a id="notifications-sms-tab"
                                        data-toggle="pill" href="#notifications-sms" role="tab"
                                        aria-controls="notifications-sms" aria-selected="false" class="nav-link">
                        {{ trans('backLang.smsSettings') }}
                    </a></li>
                <li class="nav-item"><a id="notifications-oneSignal-tab"
                                        data-toggle="pill" href="#notifications-oneSignal" role="tab"
                                        aria-controls="notifications-oneSignal" aria-selected="false" class="nav-link">
                        {{ trans('backLang.oneSignalSettings') }}
                    </a></li>
                <li class="nav-item"><a id="notifications-pusher-tab"
                                        data-toggle="pill" href="#notifications-pusher" role="tab"
                                        aria-controls="notifications-pusher" aria-selected="false" class="nav-link">
                        {{ trans('backLang.pusherSettings') }}
                    </a></li>
            </ul>
            <div class="tab-content">
                <div id="notifications-settings" role="tabpanel" class="tab-pane fade show active">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.notificationSettings') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table mb-0">
                                    <thead>
                                    <tr>
                                        <th>{{ trans('backLang.status') }}</th>
                                        <th class="text-center">
                                            <div>
                                                <i class="icon-energy"></i>
                                                {{ trans('backLang.notifyViaSystem') }}
                                            </div>
                                        </th>
                                        <th class="text-center _mail_channel">
                                            <div>
                                                <i class="icon-envelope-letter"></i>
                                                {{ trans('backLang.notifyViaEmail') }}
                                            </div>
                                        </th>
                                        <th class="text-center _sms_channel">
                                            <div>
                                                <i class="icon-speech"></i>
                                                {{ trans('backLang.notifyViaSMS') }}
                                            </div>
                                        </th>
                                        <th class="text-center _browser_channel">
                                            <div>
                                                <i class="icon-feed"></i>
                                                {{ trans('backLang.notifyViaOneSignal') }}
                                            </div>
                                        </th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php
                                    $notification_cases = [];
                                    if ($Preferences->notification_cases != "") {
                                        try {
                                            $notification_cases = json_decode($Preferences->notification_cases);
                                        } catch (\Exception $e) {

                                        }
                                    }
                                    ?>
                                    @foreach(Notifications::Cases() as $key=>$NotificationCase)
                                        <tr>
                                            <th scope="row">
                                                <div>{{ $NotificationCase['title'] }}</div>
                                            </th>
                                            <td class="text-center">
                                                <div class="custom-switches-stacked">
                                                    <label>
                                                        {!! Form::checkbox('case_'.$key.'_system','1',(@$notification_cases->{$key}->system)?true:false, array('id' => 'case_'.$key.'_system','class'=>'custom-switch-input')) !!}
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </div>
                                            </td>
                                            <td class="text-center _mail_channel">
                                                <div class="custom-switches-stacked">
                                                    <label>
                                                        {!! Form::checkbox('case_'.$key.'_mail','1',(@$notification_cases->{$key}->mail)?true:false, array('id' => 'case_'.$key.'_mail','class'=>'custom-switch-input')) !!}
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </div>
                                            </td>
                                            <td class="text-center _sms_channel">
                                                <div class="custom-switches-stacked">
                                                    <label>
                                                        {!! Form::checkbox('case_'.$key.'_sms','1',(@$notification_cases->{$key}->sms)?true:false , array('id' => 'case_'.$key.'_sms','class'=>'custom-switch-input')) !!}
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </div>
                                            </td>
                                            <td class="text-center _browser_channel">
                                                <div class="custom-switches-stacked">
                                                    <label>
                                                        {!! Form::checkbox('case_'.$key.'_browser','1',(@$notification_cases->{$key}->browser)?true:false , array('id' => 'case_'.$key.'_browser','class'=>'custom-switch-input')) !!}
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </div>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
                <div id="notifications-mail" role="tabpanel" class="tab-pane fade">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.mailSettings') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label class="custom-switch">
                                    {!! Form::checkbox('mail_status','1',($Preferences->mail_driver == "smtp" && $Preferences->mail_host !="" || ($Preferences->mail_host == "" && $Preferences->mail_driver != "smtp"))? true : false , array('id' => 'mail_status','class'=>'custom-switch-input')) !!}
                                    <span class="custom-switch-indicator"></span>
                                    <span
                                        class="custom-switch-description"> {{ trans('backLang.activateMailSending') }} </span>
                                </label>
                            </div>
                            <div id="mail_div"
                                 class="{!!  ($Preferences->mail_driver == "smtp" && $Preferences->mail_host !="" || ($Preferences->mail_host == "" && $Preferences->mail_driver != "smtp"))? "":"displaynone" !!}">
                                <div style="text-align: left;" dir="ltr">
                                    <div class="row clearfix">
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label for="date_type">{!!  trans('backLang.mailDriver') !!}</label>
                                                <select name="mail_driver" id="mail_driver"
                                                        class="form-control custom-select">
                                                    <option
                                                        value="smtp" {{ ($Preferences->mail_driver== "smtp") ? "selected='selected'":""  }}>
                                                        smtp
                                                    </option>
                                                    <option
                                                        value="sendmail" {{ ($Preferences->mail_driver== "sendmail") ? "selected='selected'":""  }}>
                                                        sendmail
                                                    </option>
                                                    @if(!@checkdnsrr($_SERVER['SERVER_NAME'], 'NS'))
                                                        <option
                                                            value="log" {{ ($Preferences->mail_driver== "log") ? "selected='selected'":""  }}>
                                                            log
                                                        </option>
                                                        <option
                                                            value="array" {{ ($Preferences->mail_driver== "array") ? "selected='selected'":""  }}>
                                                            array
                                                        </option>
                                                    @endif

                                                </select>
                                            </div>
                                        </div>
                                        <div
                                            class="col-sm-4 {{ ($Preferences->mail_driver != "smtp")?"displaynone":"" }}"
                                            id="mail_host_div">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.mailHost') !!}</label>
                                                {!! Form::text('mail_host',$Preferences->mail_host, array('placeholder' => '','class' => 'form-control','id'=>'mail_host', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div
                                            class="col-sm-4 {{ ($Preferences->mail_driver != "smtp")?"displaynone":"" }}"
                                            id="mail_port_div">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.mailPort') !!}</label>
                                                {!! Form::text('mail_port',$Preferences->mail_port, array('placeholder' => '','class' => 'form-control','id'=>'mail_port', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div
                                            class="col-sm-4 {{ ($Preferences->mail_driver != "smtp")?"displaynone":"" }}"
                                            id="mail_username_div">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.mailUsername') !!}</label>
                                                {!! Form::text('mail_username',$Preferences->mail_username, array('placeholder' => '','class' => 'form-control','id'=>'mail_username', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div
                                            class="col-sm-4 {{ ($Preferences->mail_driver != "smtp")?"displaynone":"" }}"
                                            id="mail_password_div">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.mailPassword') !!}</label>
                                                {!! Form::text('mail_password',$Preferences->mail_password, array('placeholder' => '','class' => 'form-control','id'=>'mail_password', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div
                                            class="col-sm-4 {{ ($Preferences->mail_driver != "smtp")?"displaynone":"" }}"
                                            id="mail_encryption_div">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.mailEncryption') !!}</label>
                                                <select name="mail_encryption" id="mail_encryption"
                                                        class="form-control custom-select">
                                                    <option
                                                        value="" {{ ($Preferences->mail_encryption== "") ? "selected='selected'":""  }}>
                                                        none
                                                    </option>
                                                    <option
                                                        value="ssl" {{ ($Preferences->mail_encryption== "ssl") ? "selected='selected'":""  }}>
                                                        ssl
                                                    </option>
                                                    <option
                                                        value="tsl" {{ ($Preferences->mail_encryption== "tsl") ? "selected='selected'":""  }}>
                                                        tsl
                                                    </option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-{{ ($Preferences->mail_driver != "smtp")?"4":"6" }}"
                                             id="mail_from_address_div">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.mailNoReplay') !!}</label>
                                                {!! Form::text('mail_from_address',$Preferences->mail_from_address, array('placeholder' => '','class' => 'form-control','id'=>'mail_from_address', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                        <div class="col-sm-{{ ($Preferences->mail_driver != "smtp")?"4":"6" }}"
                                             id="mail_from_name_div">
                                            <div class="form-group">
                                                <label>{!!  trans('backLang.mailFromName') !!}</label>
                                                {!! Form::text('mail_from_name',$Preferences->mail_from_name, array('placeholder' => '','class' => 'form-control','id'=>'mail_from_name', 'dir'=>trans('backLang.ltr'))) !!}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-9">
                                        <div class="form-group">
                                            <label>{{ trans('backLang.sendingMethod') }} : </label>
                                            <div class="custom-controls-stacked">
                                                <label class="custom-control custom-radio custom-control-inline">
                                                    {!! Form::radio('mail_queue','0',$Preferences->mail_queue ? false : true , array('id' => 'mail_queue2','class'=>'custom-control-input')) !!}
                                                    <div
                                                        class="custom-control-label">{{ trans('backLang.sendImmediately') }}</div>
                                                </label>
                                                <br>
                                                <label class="custom-control custom-radio custom-control-inline">
                                                    {!! Form::radio('mail_queue','1',$Preferences->mail_queue ? true : false , array('id' => 'mail_queue1','class'=>'custom-control-input')) !!}
                                                    <div
                                                        class="custom-control-label">{{ trans('backLang.sendUsingQueue') }}</div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-3">

                                        <button id="smtp_check" type="button"
                                                class="btn btn-sm btn-light w-100 mb-2 {{ ($Preferences->mail_driver== "smtp")?"":"displaynone" }}">
                                            <i class="fa fa-bolt"></i> {{ trans("backLang.smtpCheck") }}
                                        </button>

                                        <button id="send_test" type="button" class="btn btn-sm btn-light w-100 mb-2">
                                            <i class="fa fa-envelope"></i> {{ trans("backLang.sendTestMail") }}
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <input type="hidden" name="mail_test" id="to_email" value="{{ $Preferences->mail_test }}">
                        </div>
                    </div>
                </div>
                <div id="notifications-sms" role="tabpanel" class="tab-pane fade">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.smsSettings') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label class="custom-switch">
                                    {!! Form::checkbox('sms_status','1',(!$Preferences->sms_status) ? false : true , array('id' => 'sms_status','class'=>'custom-switch-input')) !!}
                                    <span class="custom-switch-indicator"></span>
                                    <span
                                        class="custom-switch-description"> {{ trans('backLang.smsStatus') }} </span>
                                </label>
                            </div>

                            <div id="sms_div" class="{!!  (!$Preferences->sms_status) ? "displaynone":"" !!}">
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.smsUsername') !!}</label>
                                            {!! Form::text('sms_username',$Preferences->sms_username, array('placeholder' => '','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.smsPassword') !!}</label>
                                            {!! Form::text('sms_password',$Preferences->sms_password, array('placeholder' => '','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.smsSender') !!}</label>
                                            {!! Form::text('sms_sender',$Preferences->sms_sender, array('placeholder' => '','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-10">
                                        <div class="form-group">
                                            <label>{{ trans('backLang.sendingMethod') }} : </label>
                                            <div class="custom-controls-stacked">
                                                <label class="custom-control custom-radio custom-control-inline">
                                                    {!! Form::radio('sms_queue','0',$Preferences->sms_queue ? false : true , array('id' => 'sms_queue2','class'=>'custom-control-input')) !!}
                                                    <div
                                                        class="custom-control-label">{{ trans('backLang.sendImmediately') }}</div>
                                                </label>
                                                <br>
                                                <label class="custom-control custom-radio custom-control-inline">
                                                    {!! Form::radio('sms_queue','1',$Preferences->sms_queue ? true : false , array('id' => 'sms_queue1','class'=>'custom-control-input')) !!}
                                                    <div
                                                        class="custom-control-label">{{ trans('backLang.sendUsingQueue') }}</div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-2">
                                        <br>
                                        @if($Preferences->sms_username!="" && $Preferences->sms_password!="")
                                            <button type="button" class="btn btn-light w-100"
                                                    id="sms_balance_check"> {!!  trans('backLang.availableSMSBalance') !!}</button>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="notifications-oneSignal" role="tabpanel" class="tab-pane fade">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.oneSignalSettings') }}</h3>
                            <div class="card-options">
                                <small><a href="https://onesignal.com/" target="_blank"><i class="icon-feed"></i>
                                        onesignal.com </a></small>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label class="custom-switch">
                                    {!! Form::checkbox('one_signal_status','1',(!$Preferences->one_signal_status) ? false : true , array('id' => 'one_signal_status','class'=>'custom-switch-input')) !!}
                                    <span class="custom-switch-indicator"></span>
                                    <span
                                        class="custom-switch-description"> {{ trans('backLang.oneSignalStatus') }} </span>
                                </label>
                            </div>

                            <div id="oneSignal_div"
                                 class="{!!  (!$Preferences->one_signal_status) ? "displaynone":"" !!}">
                                <div class="row clearfix">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.oneSignalAppID') !!}</label>
                                            {!! Form::text('one_signal_app_id',$Preferences->one_signal_app_id, array('placeholder' => '','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.oneSignalAPIKey') !!}</label>
                                            {!! Form::text('one_signal_api_key',$Preferences->one_signal_api_key, array('placeholder' => '','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label>{{ trans('backLang.sendingMethod') }} : </label>
                                            <div class="custom-controls-stacked">
                                                <label class="custom-control custom-radio custom-control-inline">
                                                    {!! Form::radio('one_signal_queue','0',$Preferences->one_signal_queue ? false : true , array('id' => 'one_signal_queue2','class'=>'custom-control-input')) !!}
                                                    <div
                                                        class="custom-control-label">{{ trans('backLang.sendImmediately') }}</div>
                                                </label>
                                                <br>
                                                <label class="custom-control custom-radio custom-control-inline">
                                                    {!! Form::radio('one_signal_queue','1',$Preferences->one_signal_queue ? true : false , array('id' => 'one_signal_queue1','class'=>'custom-control-input')) !!}
                                                    <div
                                                        class="custom-control-label">{{ trans('backLang.sendUsingQueue') }}</div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="notifications-pusher" role="tabpanel" class="tab-pane fade">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.pusherSettings') }}</h3>
                            <div class="card-options">
                                <small><a href="https://pusher.com" target="_blank"><i class="icon-energy"></i>
                                        pusher.com </a></small>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label class="custom-switch">
                                    {!! Form::checkbox('pusher_status','1',(!$Preferences->pusher_status) ? false : true , array('id' => 'pusher_status','class'=>'custom-switch-input')) !!}
                                    <span class="custom-switch-indicator"></span>
                                    <span
                                        class="custom-switch-description"> {{ trans('backLang.pusherStatus') }} </span>
                                </label>
                            </div>

                            <div id="pusher_div"
                                 class="{!!  (!$Preferences->pusher_status) ? "displaynone":"" !!}">
                                <div class="row clearfix">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.pusherAppID') !!}</label>
                                            {!! Form::text('pusher_app_id',$Preferences->pusher_app_id, array('placeholder' => '','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.pusherAppKey') !!}</label>
                                            {!! Form::text('pusher_app_key',$Preferences->pusher_app_key, array('placeholder' => '','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.pusherAppSecret') !!}</label>
                                            {!! Form::text('pusher_app_secret',$Preferences->pusher_app_secret, array('placeholder' => '','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>{!!  trans('backLang.pusherCluster') !!}</label>
                                            {!! Form::text('pusher_cluster',$Preferences->pusher_cluster, array('placeholder' => '','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <button type="submit"
                    class="btn btn-primary">  {!! trans('backLang.save') !!} {{ trans('backLang.notificationSettings') }}</button>
            {{Form::close()}}
        </div>
    </div>
@endsection

@section("page-script")
    <script type="text/javascript">
        $(document).ready(function () {
            $('#mail_status').click(function () {
                if ($(this).is(':checked')) {
                    $("._mail_channel").show();
                    $("#mail_div").css("display", "block");
                } else {
                    $("._mail_channel").hide();
                    $('._mail_channel input:checkbox').prop('checked', false);
                    $("#mail_div").css("display", "none");
                    $("#mail_driver").val('smtp');
                    $("#mail_host").val('');
                    $("#mail_port").val('');
                    $("#mail_username").val('');
                    $("#mail_encryption").val('');
                    $("#mail_from_address").val('');
                    $("#mail_from_name").val('');
                    $("#mail_password").val('');

                    $("#mail_host_div").show();
                    $("#mail_port_div").show();
                    $("#mail_username_div").show();
                    $("#mail_password_div").show();
                    $("#mail_encryption_div").show();
                    $("#smtp_check").show();
                    $("#mail_from_address_div").removeClass("col-sm-4");
                    $("#mail_from_address_div").addClass("col-sm-6");
                    $("#mail_from_name_div").removeClass("col-sm-4");
                    $("#mail_from_name_div").addClass("col-sm-6");
                }
            });
            $('#smtp_check').click(function () {
                if ($("#mail_host").val() != "" && $("#mail_port").val() != "") {
                    $('#smtp_check').html("<div class=\"loader loader-inline loader-inline-dark\"></div> {!! trans('backLang.smtpCheck') !!}");
                    $('#smtp_check').prop('disabled', true);
                    $('#mail_save_btn').prop('disabled', true);

                    var xhr = $.ajax({
                        type: "POST",
                        url: "<?php echo route("appMailSMTPCheck"); ?>",
                        data: {
                            "_token": $('meta[name="csrf-token"]').attr('content'),
                            "mail_driver": $("#mail_driver").val(),
                            "mail_host": $("#mail_host").val(),
                            "mail_port": $("#mail_port").val(),
                            "mail_username": $("#mail_username").val(),
                            "mail_password": $("#mail_password").val(),
                            "mail_encryption": $("#mail_encryption").val(),
                        },
                        success: function (result) {
                            var obj_result = jQuery.parseJSON(result);
                            if (obj_result.stat == 'success') {
                                swal({
                                    title: "<span class='text-success'>{{ trans("backLang.smtpCheckSuccess") }}</span>",
                                    text: "{{ trans("backLang.smtpCheckSuccessMsg") }}",
                                    html: true,
                                    type: "success",
                                    confirmButtonText: "{{ trans("backLang.close") }}",
                                    confirmButtonColor: "#acacac",
                                    timer: 5000,
                                });
                            } else {
                                swal({
                                    title: "<span class='text-danger'>{{ trans("backLang.smtpCheck") }}</span>",
                                    text: "<span class='text-danger' dir='ltr'>" + obj_result.error + "</span>",
                                    html: true,
                                    type: "error",
                                    confirmButtonText: "{{ trans("backLang.close") }}",
                                    confirmButtonColor: "#acacac",
                                });
                            }
                            $('#smtp_check').html("<i class=\"fa fa-bolt\"></i> {!! trans('backLang.smtpCheck') !!}");
                            $('#smtp_check').prop('disabled', false);
                            $('#mail_save_btn').prop('disabled', false);
                        }
                    });
                    //console.log(xhr);
                }
            });
            $('#mail_driver').on('change', function () {
                if ($(this).val() == "smtp") {
                    $("#mail_host_div").show();
                    $("#mail_port_div").show();
                    $("#mail_username_div").show();
                    $("#mail_password_div").show();
                    $("#mail_encryption_div").show();
                    $("#smtp_check").show();
                    $("#mail_from_address_div").removeClass("col-sm-4");
                    $("#mail_from_address_div").addClass("col-sm-6");
                    $("#mail_from_name_div").removeClass("col-sm-4");
                    $("#mail_from_name_div").addClass("col-sm-6");
                } else {
                    $("#smtp_check").hide();

                    $("#mail_host").val('');
                    $("#mail_port").val('');
                    $("#mail_username").val('');
                    $("#mail_encryption").val('');
                    $("#mail_password").val('');

                    $("#mail_host_div").hide();
                    $("#mail_port_div").hide();
                    $("#mail_username_div").hide();
                    $("#mail_password_div").hide();
                    $("#mail_encryption_div").hide();

                    $("#mail_from_address_div").removeClass("col-sm-6");
                    $("#mail_from_address_div").addClass("col-sm-4");
                    $("#mail_from_name_div").removeClass("col-sm-6");
                    $("#mail_from_name_div").addClass("col-sm-4");
                }
            });
            $('#send_test').click(function () {
                swal({
                    title: "{{ trans("backLang.sendTestMail") }}",
                    text: "{{ trans("backLang.sendTestMailTo") }}",
                    type: "input",
                    showCancelButton: true,
                    closeOnConfirm: false,
                    animation: "slide-from-top",
                    inputPlaceholder: "email@site.com",
                    inputValue: $("#to_email").val(),
                    confirmButtonText: "{{ trans("backLang.continue") }}",
                    cancelButtonText: "{{ trans("backLang.cancel") }}",
                    showLoaderOnConfirm: true,
                }, function (inputValue) {
                    if (inputValue === false) return false;
                    if (inputValue === "") {
                        swal.showInputError("{{ trans("backLang.sendTestMailTo") }}");
                        return false
                    }
                    if (!validateEmail(inputValue)) {
                        swal.showInputError("{{ trans("backLang.sendTestMailError") }}");
                        return false
                    }
                    $("#to_email").val(inputValue);
                    var xhr = $.ajax({
                        type: "POST",
                        url: "<?php echo route("appMailTest"); ?>",
                        data: {
                            "_token": $('meta[name="csrf-token"]').attr('content'),
                            "mail_driver": $("#mail_driver").val(),
                            "mail_host": $("#mail_host").val(),
                            "mail_port": $("#mail_port").val(),
                            "mail_username": $("#mail_username").val(),
                            "mail_password": $("#mail_password").val(),
                            "mail_encryption": $("#mail_encryption").val(),
                            "mail_from_address": $("#mail_from_address").val(),
                            "mail_from_name": $("#mail_from_name").val(),
                            "mail_test": $("#to_email").val(),
                        },
                        success: function (result) {
                            var obj_result = jQuery.parseJSON(result);
                            if (obj_result.stat == 'success') {
                                swal({
                                    title: "<span class='text-success'>{{ trans("backLang.mailTestSuccess") }}</span>",
                                    text: inputValue,
                                    html: true,
                                    type: "success",
                                    confirmButtonText: "{{ trans("backLang.close") }}",
                                    confirmButtonColor: "#acacac",
                                    timer: 5000,
                                });
                            } else {
                                swal({
                                    title: "<span class='text-danger'>{{ trans("backLang.mailTestFailed") }}</span>",
                                    text: inputValue,
                                    html: true,
                                    type: "error",
                                    confirmButtonText: "{{ trans("backLang.close") }}",
                                    confirmButtonColor: "#acacac",
                                });
                            }
                        }
                    });
                    //console.log(xhr);
                });
            });

            $('#sms_status').click(function () {
                if ($(this).is(':checked')) {
                    $("._sms_channel").show();
                    $("#sms_div").css("display", "block");
                } else {
                    $("._sms_channel").hide();
                    $('._sms_channel input:checkbox').prop('checked', false);
                    $("#sms_div").css("display", "none");
                }
            });

            $('#sms_balance_check').click(function () {
                $('#sms_balance_check').html("<div class=\"loader loader-inline loader-inline-dark\"></div> {!! trans('backLang.availableSMSBalance') !!}");
                $('#sms_balance_check').prop('disabled', true);
                $('#sms_save_btn').prop('disabled', true);
                $.ajax({
                    type: "GET",
                    url: "<?php echo route("appSMSBalance");?>",
                    success: function (result) {
                        swal({
                            title: "<span class='text-info'>{{ trans("backLang.availableSMSBalance") }}</span>",
                            text: "{{ trans("backLang.availableSMSBalanceIs") }} <strong>" + result + "</strong>",
                            html: true,
                            type: "info",
                            confirmButtonText: "{{ trans("backLang.close") }}",
                            confirmButtonColor: "#acacac",
                        });
                        $('#sms_balance_check').html("<i class=\"fa fa-bolt\"></i> {!! trans('backLang.availableSMSBalance') !!}");
                        $('#sms_balance_check').prop('disabled', false);
                        $('#sms_save_btn').prop('disabled', false);
                    }
                });
            });

            $('#one_signal_status').click(function () {
                if ($(this).is(':checked')) {
                    $("._browser_channel").show();
                    $("#oneSignal_div").css("display", "block");
                } else {
                    $("._browser_channel").hide();
                    $('._browser_channel input:checkbox').prop('checked', false);
                    $("#oneSignal_div").css("display", "none");
                }
            });

            $('#pusher_status').click(function () {
                if ($(this).is(':checked')) {
                    $("#pusher_div").css("display", "block");
                } else {
                    $("#pusher_div").css("display", "none");
                }
            });
        });

        function validateEmail(email) {
            var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            return re.test(email);
        }
    </script>
@endsection
