@extends('back.layouts.master')
@section('title', trans('backLang.confirmPassword'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-4 offset-lg-4">
                    <div class="card box_shadow mt-2">

                        <div class="card-header">
                            <h3 class="card-title">
                                <i
                                    class="fa fa-lock"></i> {{ trans('backLang.passwordToContinue') }}
                            </h3>
                        </div>
                        <div class="card-alert alert alert-danger mb-3 displaynone" id="pass_confirm_error">
                            <i class="fe fe-alert-triangle mr-2"
                               aria-hidden="true"></i> {{ trans('backLang.passwordNotCorrect') }}
                        </div>
                        <div class="card-body">
                            <form name="form" method="POST" action="{{ route('AppPassConfirm') }}"
                                  id="pass_confirm_form">
                                {{ csrf_field() }}
                                <div class="form-group">
                                    <input type="password" placeholder="{{ trans('backLang.loginPassword') }}"
                                           name="password" class="form-control" required>
                                </div>
                                <div class="form-footer">
                                    <button type="submit" id="pass_confirm_btn" class="btn btn-primary btn-block">
                                        {{ trans('backLang.continue') }}
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section("page-script")
    <script>
        $(document).ready(function () {
            $('#pass_confirm_form').submit(function (evt) {
                evt.preventDefault();
                $('#pass_confirm_btn').html("<div class=\"loader loader-inline\"></div> {!! trans('backLang.continue') !!}");
                $('#pass_confirm_btn').prop('disabled', true);
                var formData = $(this).serialize();
                var xhr = $.ajax({
                    type: "POST",
                    url: "<?php echo route("AppPassConfirm"); ?>",
                    data: formData,
                    success: function (result) {
                        var obj_result = jQuery.parseJSON(result);
                        if (obj_result.stat == 'success') {
                            $("#pass_confirm_error").hide();
                            location.href = '{{ route($RedirectRouteName) }}';
                        } else {
                            $('#pass_confirm_btn').html("{!! trans('backLang.continue') !!}");
                            $('#pass_confirm_btn').prop('disabled', false);
                            $("#pass_confirm_error").show();
                        }
                    }
                });
                //console.log(xhr);
            });
        });
    </script>
@endsection
