@extends('back.layouts.master')
@section('title', trans('backLang.printSettings'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                    <li class="breadcrumb-item active"
                        aria-current="page">{{ trans('backLang.printSettings') }}</li>
                </ol>
            </nav>
            {{Form::open(['route'=>['appPrintSettingsUpdate'],'method'=>'POST'])}}
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <ul role="tablist" class="nav nav-tabs w-100">
                                @if(Helper::Preferences("ar_box_status"))
                                    <li class="nav-item"><a data-toggle="pill" href="#ar_print_tab" role="tab"
                                                            aria-selected="false" class="nav-link  active">
                                            {{ trans('backLang.printSettings') }} {!!  strip_tags(trans('backLang.arabicBox')) !!}
                                        </a></li>
                                @endif
                                @if(Helper::Preferences("en_box_status"))
                                    <li class="nav-item"><a data-toggle="pill" href="#en_print_tab" role="tab"
                                                            aria-selected="false"
                                                            class="nav-link  ">
                                            {{ trans('backLang.printSettings') }} {!!  strip_tags(trans('backLang.englishBox')) !!}
                                        </a></li>
                                @endif
                            </ul>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-10">
                                    <div class="tab-content">
                                        @if(Helper::Preferences("ar_box_status"))
                                            <div id="ar_print_tab" role="tabpanel" class="tab-pane fade show active">
                                                <label>{!!  trans('backLang.printHeader') !!} :</label>
                                                {!! Form::textarea('print_header_ar',$Preferences->print_header_ar, array('placeholder' => '','class' => 'form-control summernote', 'dir'=>trans('backLang.ltr'),'rows'=>'3')) !!}

                                                <br>
                                                <label>{!!  trans('backLang.printFooter') !!} :</label>
                                                {!! Form::textarea('print_footer_ar',$Preferences->print_footer_ar, array('placeholder' => '','class' => 'form-control summernote', 'dir'=>trans('backLang.ltr'),'rows'=>'3')) !!}
                                            </div>
                                        @endif
                                        @if(Helper::Preferences("en_box_status"))
                                            <div id="en_print_tab" role="tabpanel" class="tab-pane fade ">
                                                <label>{!!  trans('backLang.printHeader') !!} :</label>
                                                {!! Form::textarea('print_header_en',$Preferences->print_header_en, array('placeholder' => '','class' => 'form-control summernote', 'dir'=>trans('backLang.ltr'),'rows'=>'3')) !!}

                                                <br>
                                                <label>{!!  trans('backLang.printFooter') !!} :</label>
                                                {!! Form::textarea('print_footer_en',$Preferences->print_footer_en, array('placeholder' => '','class' => 'form-control summernote', 'dir'=>trans('backLang.ltr'),'rows'=>'3')) !!}
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <label>{!!  trans('backLang.variablesAvailable') !!}</label>
                                    <div class="vars">
                                        <div class="title">{{ trans("backLang.date") }}</div>
                                        <div class="var" onclick="copyElementText(this)">{date}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title">{{ trans("backLang.dateAndTime") }}</div>
                                        <div class="var" onclick="copyElementText(this)">{date_time}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title">{{ trans("backLang.username") }}</div>
                                        <div class="var" onclick="copyElementText(this)">{username}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title">{{ trans("backLang.organizationName") }} {!!  trans('backLang.arabicBox') !!}</div>
                                        <div class="var" onclick="copyElementText(this)">{organization_ar}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title">{{ trans("backLang.organizationName") }} {!!  trans('backLang.englishBox') !!}</div>
                                        <div class="var" onclick="copyElementText(this)">{organization_en}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title">{{ trans("backLang.organizationLogo") }} {!!  trans('backLang.arabicBox') !!}</div>
                                        <div class="var" onclick="copyElementText(this)">{logo_ar}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title">{{ trans("backLang.organizationLogo") }} {!!  trans('backLang.englishBox') !!}</div>
                                        <div class="var" onclick="copyElementText(this)">{logo_en}</div>
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <button type="submit"
                    class="btn btn-primary">  {!! trans('backLang.save') !!} {{ trans('backLang.printSettings') }}</button>
            {{Form::close()}}
        </div>
    </div>
@endsection
@push("after-styles")
    <link rel="stylesheet" href="{{ asset('back/plugins/multi-select/css/multi-select.css') }}">
@endpush
@push("after-scripts")
    <script src="{{ asset('back/plugins/bootstrap-multiselect/bootstrap-multiselect.js') }}"></script>
@endpush
@section("page-script")
    <script>
        $(document).ready(function () {
            document.getElementById('timezone').value = '{!! $Preferences->timezone !!}';
            $('#timezone').multiselect({
                enableFiltering: true,
                enableCaseInsensitiveFiltering: true,
                maxHeight: 200,
            });
        });
    </script>
@endsection
