@extends('back.layouts.master')
@section('title', trans('backLang.editRoles'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page"><a
                            href="{{ route("AppRoles") }}">{{ trans('backLang.roles') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('backLang.editRoles') }}</li>
                </ol>
            </nav>
            {{Form::open(['route'=>['AppRolesUpdate'],'method'=>'POST'])}}
            <input type="hidden" name="id" value="{{ encrypt($ERoles->id) }}">
            <div class="row clearfix">
                <div class="col-sm-4">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.editRoles') }}</h3>
                            <div class="card-options">
                                <a href="{{ route("AppRoles") }}"><i
                                        class="fe fe-x"></i></a>
                            </div>
                        </div>
                        <div class="card-body">

                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label>{!!  trans('backLang.roleName') !!}</label>
                                        {!! Form::text('name',$ERoles->name, array('placeholder' => '','class' => 'form-control','id' => 'name')) !!}

                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('add','1',($ERoles->add)? true : false , array('id' => 'add','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {!!  trans('backLang.addPermission') !!} </span>
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('edit','1',($ERoles->edit)? true : false , array('id' => 'edit','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {!!  trans('backLang.editPermission') !!} </span>
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('delete','1',($ERoles->delete)? true : false , array('id' => 'delete','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {!!  trans('backLang.deletePermission') !!} </span>
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('view','1',($ERoles->view)? true : false , array('id' => 'view','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {!!  trans('backLang.dataManagements1') !!} </span>
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('status','1',($ERoles->status)? true : false , array('id' => 'status','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {!!  trans('backLang.rolesEnable') !!} </span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <button type="submit"
                                    class="btn btn-info">  {!! trans('backLang.save') !!} {{ trans('backLang.editRoles') }}</button>
                        </div>
                    </div>
                </div>
                <div class="col-sm-8">
                    @foreach(Roles::List() as $AppRoleGroup)
                        <div
                            class="card {{ ($AppRoleGroup['group_check'] && ! @$Roles->{$AppRoleGroup['group_role']})?"card-collapsed":"" }}">
                            <div class="card-header">
                                @if($AppRoleGroup['group_check'])
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox($AppRoleGroup['group_role'],'1',(@$Roles->{$AppRoleGroup['group_role']})?true:false , array('id' => $AppRoleGroup['group_role'],'class'=>'custom-switch-input role_group')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {!!  $AppRoleGroup['group_title'] !!} </span>
                                        </label>
                                    </div>
                                @else
                                    <h3 class="card-title">{{ $AppRoleGroup['group_title'] }}</h3>
                                @endif
                                <div class="card-options">
                                    <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                            class="fe fe-chevron-up"></i></a>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row clearfix">
                                    @foreach($AppRoleGroup['group_roles'] as $AppRoleRole)
                                        <div class="col-sm-{{ $AppRoleGroup['group_col'] }}">
                                            <div class="form-group">
                                                <label class="custom-switch">
                                                    {!! Form::checkbox($AppRoleRole['role'],'1',(@$Roles->{$AppRoleRole['role']})?true:false , array('id' => $AppRoleRole['role'],'parent'=>$AppRoleGroup['group_role'],'class'=>'sub_check custom-switch-input '.$AppRoleGroup['group_role'])) !!}
                                                    <span class="custom-switch-indicator"></span>
                                                    <span
                                                        class="custom-switch-description"> {!!  $AppRoleRole['title'] !!} </span>
                                                </label>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
            {{Form::close()}}
        </div>
    </div>
@endsection
@section("page-script")
    <script type="text/javascript">
        $(document).ready(function () {
            $('.role_group').click(function () {
                var item_id = $(this).attr('id');
                if ($(this).is(':checked')) {
                    $('.' + item_id).prop('checked', true);
                    $(this).closest('.card').removeClass("card-collapsed");
                } else {
                    $('.' + item_id).prop('checked', false);
                    $(this).closest('.card').addClass("card-collapsed");
                }
            });
            $('.sub_check').change(function () {
                if ($(this).is(':checked')) {
                    $('#' + $(this).attr('parent')).prop('checked', this.checked);
                } else {
                    var sibs = false;
                    $('.' + $(this).attr('parent')).each(function () {
                        if ($(this).is(':checked')) sibs = true;
                    });
                    $('#' + $(this).attr('parent')).prop('checked', sibs);
                }
            });
        });
    </script>
@endsection
