@extends('back.layouts.master')
@section('title', trans('backLang.cybersecurity'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('backLang.cybersecurity') }}</li>
                </ol>
            </nav>
            <div class="row clearfix">
                <div class="col-sm-12">

                    {{Form::open(['route'=>['appSecurityUpdate'],'method'=>'POST'])}}
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.systemSecuritySettings') }}</h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>{{ trans('backLang.deviceAuthorizationRequired') }} : </label>
                                        <div class="custom-controls-stacked">
                                            <label class="custom-control custom-radio custom-control-inline">
                                                {!! Form::radio('device_auth','0',($Preferences->device_auth==0) ? true : false , array('id' => 'device_auth0','class'=>'custom-control-input')) !!}
                                                <div
                                                    class="custom-control-label">{{ trans('backLang.notActive') }}</div>
                                            </label>
                                            <br>
                                            <label class="custom-control custom-radio custom-control-inline">
                                                {!! Form::radio('device_auth','1',($Preferences->device_auth==1) ? true : false , array('id' => 'device_auth1','class'=>'custom-control-input')) !!}
                                                <div
                                                    class="custom-control-label">{{ trans('backLang.deviceAuthorizationByEmail') }}</div>
                                            </label>
                                            <br>
                                            <label class="custom-control custom-radio custom-control-inline">
                                                {!! Form::radio('device_auth','2',($Preferences->device_auth==2) ? true : false , array('id' => 'device_auth2','class'=>'custom-control-input')) !!}
                                                <div
                                                    class="custom-control-label">{{ trans('backLang.deviceAuthorizationByAdmin') }}</div>
                                            </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('multi_login','1',($Preferences->multi_login==1) ? true : false , array('id' => 'multi_login','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.loginFromMultiDevices') }} </span>
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            {!! Form::checkbox('session_status','1',($Preferences->session_status==1) ? true : false , array('id' => 'session_status','class'=>'custom-switch-input')) !!}
                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> {{ trans('backLang.sessionTimeMessageAlert') }} </span>
                                        </label>
                                    </div>
                                    <div id="session_status_div"
                                         class="{{ ($Preferences->session_status)?"":"displaynone" }}">
                                        <div class="row clearfix">
                                            <div class="col-sm-6">
                                                <label>{!!  trans('backLang.sessionTime') !!}
                                                    ( {!!  trans('backLang.minute') !!} )</label>
                                                {!! Form::number('session_period',$Preferences->session_period, array('class' => 'form-control','min'=>'1')) !!}
                                            </div>
                                            <div class="col-sm-6">
                                                <label>{!!  trans('backLang.sessionTimeAlert') !!}
                                                    ( {!!  trans('backLang.minute') !!} )</label>
                                                {!! Form::number('session_timer',$Preferences->session_timer, array('class' => 'form-control','min'=>'1')) !!}
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <button type="submit"
                                    class="btn btn-primary">  {!! trans('backLang.save') !!} {{ trans('backLang.systemSecuritySettings') }}</button>
                        </div>
                    </div>
                    {{Form::close()}}

                    <div class="card mt-4">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.acceptAuthorized') }}</h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="bg-light border-top border-bottom p-3">
                            <div class="row clearfix">
                                <div class="col-sm-2">
                                </div>
                                <div class="col-sm-3">
                                    {!! Form::text('find_q','', array('placeholder' =>  trans('backLang.search'),'class' => 'form-control','id'=>'find_q', "autocomplete"=>"off")) !!}
                                </div>
                                <div class="col-sm-4">
                                    <div class="form-group multiselect_div  mb-0">
                                        <select id="activity_user_id" name="activity_user_id"
                                                class="multiselect multiselect-custom">
                                            <option value="">{{ trans("backLang.allUsers") }}</option>
                                            @foreach(Helper::users() as $user)
                                                <option value="{{ $user->id }}">{{ $user->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <button class="btn btn-primary" id="devices-search-btn" type="submit"><i
                                            class="fa fa-search"></i> {{ trans('backLang.search') }}
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="devices_table">
                                    <thead>
                                    <th>{{ trans('backLang.dateAndTime') }}</th>
                                    <th style="max-width: 180px">{{ trans('backLang.loginTrustedDevicesInfo') }}</th>
                                    <th>{{ trans('backLang.loginTrustedDevicesLocation') }}</th>
                                    <th>{{ trans('backLang.user') }}</th>
                                    <th>{{ trans('backLang.status') }}</th>
                                    <th class="text-center">{{ trans('backLang.options') }}</th>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                    {{Form::open(['route'=>['appSecurityIPsUpdate'],'method'=>'POST'])}}
                    <div class="card mt-4">
                        <div class="card-header">
                            <h3 class="card-title">{{ trans('backLang.IPBlocker') }}</h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <small>{{ trans('backLang.TypeIPPerLine') }}</small>
                                        {!! Form::textarea('block_ips',$Preferences->block_ips, array('class' => 'form-control','rows'=>'5')) !!}
                                    </div>
                                </div>
                            </div>

                            <button type="submit"
                                    class="btn btn-primary">  {!! trans('backLang.save') !!} {{ trans('backLang.IPBlocker') }}</button>

                        </div>
                    </div>
                    {{Form::close()}}
                </div>
            </div>

        </div>
    </div>
@endsection
@push("after-styles")
    <link rel="stylesheet" href="{{ asset('back/plugins/multi-select/css/multi-select.css') }}">
@endpush
@push("after-scripts")
    <script src="{{ asset('back/plugins/bootstrap-multiselect/bootstrap-multiselect.js') }}"></script>
@endpush
@section("page-script")
    <script type="text/javascript">

        $(document).ready(function () {
            $('#activity_user_id').multiselect({
                enableFiltering: true,
                enableCaseInsensitiveFiltering: true,
                maxHeight: 200,
                multiple: false

            });

            $('#session_status').click(function () {
                if ($(this).is(':checked')) {
                    $("#session_status_div").css("display", "block");
                } else {
                    $("#session_status_div").css("display", "none");
                }
            });

            var dataTable = $('#devices_table').DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": {{ DeviceTrust::settings('BACKEND_PAGINATION') }},
                "ajax": {
                    "url": "{{ route('appSecurityDevices') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.user_id = $('#activity_user_id').val();
                        data.find_q = $('#find_q').val();
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($('#devices_table_paginate .paginate_button').length > 3) {
                        $('#devices_table_paginate')[0].style.display = "block";
                    } else {
                        $('#devices_table_paginate')[0].style.display = "none";
                    }
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {"data": "created_at"},
                    {"data": "browser"},
                    {"data": "location"},
                    {"data": "user_id"},
                    {"data": "authorized"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[0, "desc"]]

            });

            $('#devices-search-btn').on('click change', function (event) {
                event.preventDefault();
                dataTable.draw();
            });

            $.fn.dataTable.ext.errMode = 'none';

        });

        function delete_row(rid) {
            swal({
                title: "{{ trans("backLang.confirmationDeleteMsg") }}",
                type: "error",
                showCancelButton: true,
                closeOnConfirm: false,
                animation: "slide-from-top",
                confirmButtonText: "{{ trans("backLang.delete") }}",
                cancelButtonText: "{{ trans("backLang.cancel") }}",
                showLoaderOnConfirm: true,
                confirmButtonColor: "#F27474",
            }, function () {
                $.ajax({
                    type: "GET",
                    url: "<?php echo route("appSecurityDestroyDevices"); ?>/" + rid,
                    success: function (result) {
                        var obj_result = jQuery.parseJSON(result);
                        if (obj_result.stat == 'success') {
                            swal({
                                title: "<span class='text-success'>{{ trans("backLang.deleteDone") }}</span>",
                                html: true,
                                type: "success",
                                confirmButtonText: "{{ trans("backLang.close") }}",
                                confirmButtonColor: "#acacac",
                                timer: 5000,
                            });
                        } else {
                            swal({
                                title: "<span class='text-danger'>{{ trans("backLang.erorr") }}</span>",
                                html: true,
                                type: "error",
                                confirmButtonText: "{{ trans("backLang.close") }}",
                                confirmButtonColor: "#acacac",
                            });
                        }
                        $('#devices_table').DataTable().ajax.reload();
                    }
                });

            });
        }

        function setToAcceptDevice(rid) {
            swal({
                title: "{{ trans("backLang.acceptAuthorizedConfirm") }}",
                type: "info",
                showCancelButton: true,
                closeOnConfirm: false,
                animation: "slide-from-top",
                confirmButtonText: "{{ trans("backLang.acceptAuthorize") }}",
                cancelButtonText: "{{ trans("backLang.cancel") }}",
                showLoaderOnConfirm: true,
            }, function () {
                $.ajax({
                    type: "GET",
                    url: "<?php echo route("appSecurityAcceptDevices"); ?>/" + rid,
                    success: function (result) {
                        var obj_result = jQuery.parseJSON(result);
                        if (obj_result.stat == 'success') {
                            swal({
                                title: "<span class='text-success'>{{ trans("backLang.acceptAuthorizeConfirmed") }}</span>",
                                html: true,
                                type: "success",
                                confirmButtonText: "{{ trans("backLang.close") }}",
                                confirmButtonColor: "#acacac",
                                timer: 5000,
                            });
                        } else {
                            swal({
                                title: "<span class='text-danger'>{{ trans("backLang.erorr") }}</span>",
                                html: true,
                                type: "error",
                                confirmButtonText: "{{ trans("backLang.close") }}",
                                confirmButtonColor: "#acacac",
                            });
                        }
                        $('#devices_table').DataTable().ajax.reload();
                    }
                });

            });

        }
    </script>
@endsection
