<div id="_share_list">
    @if ($share_roles['create'])
        @if (Roles::Check("add"))
            <div class="card-options pull-right" style="margin-top: -40px">
                <a href="javascript:void(0)" class="add-share" data-toggle="tooltip"
                   data-original-title="{{ trans("backLang.add") }}"
                   title="{{ trans("backLang.add") }}"><i class="fe fe-plus"></i></a>
            </div>
        @endif
    @endif
    @if(count($Shares) >0)
        @foreach($Shares as $Share)
            <table class="table card-table" style="line-height: 18px;">
                <tbody>
                @if(!empty($Share->user))
                    <?php
                    $share_user_avatar = "<div class='pull-left mr-2'><img src=\"" . URL::to('uploads/users/profile.jpg') . "\" class='avatar' style='background:#fff'></div>";
                    if ($Share->user->photo != "") {
                        $share_user_avatar = "<div class='pull-left mr-2'><img src=\"" . URL::to('uploads/users/' . $Share->user->photo) . "\" class='avatar' style='background:#fff'></div>";
                    }
                    $share_user_name = $Share->user->name;
                    $share_user_job = $Share->user->job;
                    ?>
                    <tr>
                        <td class="pl-0 pr-0 pt-0">
                            {!! $share_user_avatar !!}
                            <h6 class="mb-0 small">{{ $share_user_name }}</h6>
                            <small class="text-muted">{{ $share_user_job }}</small>
                            @if ($share_roles['delete'])
                                @if (Roles::Check("delete"))
                                    @if ($Share->created_by == @Auth::user()->id || $Share->user_id == @Auth::user()->id)
                                        <a href="javascript:void(0)" data-id="{{ encrypt($Share->id) }}"
                                           data-refresh="{{ ($Share->user_id == @Auth::user()->id && $Share->created_by != @Auth::user()->id)?true:false }}"
                                           class="_share-del text-muted ml-20 pull-right" data-toggle="tooltip"
                                           data-original-title="{{ trans("backLang.delete") }}"
                                           title="{{ trans("backLang.delete") }}"><i class="fe fe-trash"></i></a>
                                    @endif
                                @endif
                            @endif
                        </td>
                    </tr>
                @endif
                </tbody>
            </table>
        @endforeach
    @else
        <div>
            <small class="text-muted">{{ trans("backLang.noData") }}</small>
        </div>
    @endif
    @include('back.preferences.share.create')
</div>
<script>
    $('.custom-list').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '<span class="code">' + escape(data.code) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                    escape(data.text) + '</div>';
            }
        }
    });

    $(document).ready(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });

    $('#_share_list .add-share').click(function () {
        $('#_share_create').modal('show');
    });

    // save share
    ajax_post_form("_share_create", '{{ trans("backLang.add") }}', 'fe fe-plus', '{!! trans("backLang.addDone") !!}', '{!! trans("backLang.close") !!}', false, "", false, false, false, function () {
        share_load($("#_share_list").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ $share_roles['create'] }}", "{{ $share_roles['delete'] }}","{{ $share_roles['title'] }}","{{ $share_roles['url'] }}", false);
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
    });
    $('._share-del').click(function () {
        var cid = $(this).attr("data-id");
        var refresh_afd = $(this).attr("data-refresh");
        ajax_delete_row("<?php echo route("AppSharesDestroy"); ?>/" + cid + "/{{ $share_roles['title'] }}", '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.delete") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "", false, refresh_afd, function () {
            share_load($("#_share_list").parent(), "{{ $cat }}", "{{ $cat_id }}", "{{ $share_roles['create'] }}", "{{ $share_roles['delete'] }}","{{ $share_roles['title'] }}","{{ $share_roles['url'] }}", false);
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
        });
    });
</script>
