@extends('back.layouts.master')
@section('title', trans('backLang.notificationTemplates'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                    <li class="breadcrumb-item active"
                        aria-current="page">{{ trans('backLang.notificationTemplates') }}</li>
                </ol>
            </nav>
        </div>
    </div>

    <?php
    $default_mail_template_stat = 0;
    $i = 0;
    foreach (Notifications::Templates() as $key => $Template) {
        if ($Template['mail']) {
            if ($i == 0) {
                $default_mail_template_stat = $key;
            }
            $i++;
        }
    }

    $default_sms_template_stat = 0;
    $i = 0;
    foreach (Notifications::Templates() as $key => $Template) {
        if ($Template['sms']) {
            if ($i == 0) {
                $default_sms_template_stat = $key;
            }
            $i++;
        }
    }

    $default_oneSignal_template_stat = 0;
    $i = 0;
    foreach (Notifications::Templates() as $key => $Template) {
        if ($Template['browser']) {
            if ($i == 0) {
                $default_oneSignal_template_stat = $key;
            }
            $i++;
        }
    }

    $default_system_template_stat = 0;
    $i = 0;
    foreach (Notifications::Templates() as $key => $Template) {
        if ($Template['system']) {
            if ($i == 0) {
                $default_system_template_stat = $key;
            }
            $i++;
        }
    }

    if ($stat > 0 && $cat == 3) {
        $default_system_template_stat = $stat;
    }
    if ($stat > 0 && $cat == 2) {
        $default_oneSignal_template_stat = $stat;
    }
    if ($stat > 0 && $cat == 1) {
        $default_sms_template_stat = $stat;
    }
    if ($stat > 0 && $cat == 0) {
        $default_mail_template_stat = $stat;
    }
    ?>
    <div class="section-body">
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-12">
                    <ul class="nav nav-tabs mb-3" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link {{ ($cat==3)?"active":"" }}"
                               onclick="load_template(3, '{{ $default_system_template_stat }}', true)"
                               id="templates-system-tab" data-toggle="pill"
                               href="#templates-system"
                               role="tab" aria-controls="templates-system" aria-selected="false">
                                {{ trans('backLang.systemNotificationTemplates') }}
                            </a>
                        </li>
                        @if (Helper::CheckMailStatus())
                            <li class="nav-item">
                                <a class="nav-link {{ ($cat==0)?"active":"" }}"
                                   onclick="load_template(0, '{{ $default_mail_template_stat }}', true)"
                                   id="templates-mail-tab" data-toggle="pill"
                                   href="#templates-mail"
                                   role="tab" aria-controls="templates-mail" aria-selected="false">
                                    {{ trans('backLang.emailTemplates') }}
                                </a>
                            </li>
                        @endif
                        @if (Helper::CheckSMSStatus())
                            <li class="nav-item">
                                <a class="nav-link {{ ($cat==1)?"active":"" }}"
                                   onclick="load_template(1, '{{ $default_sms_template_stat }}', true)"
                                   id="templates-sms-tab" data-toggle="pill"
                                   href="#templates-sms"
                                   role="tab" aria-controls="templates-sms" aria-selected="true">
                                    {{ trans('backLang.smsTemplates') }}
                                </a>
                            </li>
                        @endif
                        @if (Helper::CheckOneSignalStatus())
                            <li class="nav-item">
                                <a class="nav-link {{ ($cat==2)?"active":"" }}"
                                   onclick="load_template(2, '{{ $default_oneSignal_template_stat }}', true)"
                                   id="templates-one-signal-tab" data-toggle="pill"
                                   href="#templates-one-signal"
                                   role="tab" aria-controls="templates-one-signal" aria-selected="false">
                                    {{ trans('backLang.onesignalTemplates') }}
                                </a>
                            </li>
                        @endif
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane fade {{ ($cat==0)?"show active":"" }}" id="templates-mail" role="tabpanel">
                            <div class="row clearfix">
                                <div class="col-sm-3 template-links-0">
                                    @foreach(Notifications::Templates() as $key=>$MailTemplate)
                                        @if($MailTemplate['mail'])
                                            <div data-stat="{{ $key }}" data-cat="0"
                                                 class="card mb-1 template-link"
                                                 id="template-link-0-{{ $key }}">
                                                <div class="pt-2 pl-3 pb-2 pr-3">
                                                    {{ $MailTemplate['title'] }}
                                                </div>
                                            </div>
                                        @endif
                                    @endforeach
                                </div>
                                <div class="col-sm-9">
                                    <div class="card">
                                        <div class="card-header">
                                            <h3 class="card-title"
                                                id="template-title-0">{{ trans('backLang.emailTemplates') }}</h3>
                                            <div class="card-options">
                                                <a href="#" class="card-options-fullscreen"
                                                   data-toggle="card-fullscreen"><i
                                                        class="fe fe-maximize"></i></a>
                                            </div>
                                        </div>
                                        <div class="card-body" id="mail_template">
                                            {{Form::open(['route'=>['AppTemplatesUpdate'],'method'=>'POST','id'=>'mail_template_form'])}}
                                            <div class="alert alert-danger displaynone" id="mail_template_errors">
                                                <ul></ul>
                                            </div>
                                            <div id="form-details-0">
                                                <div class="text-center">
                                                    <div class="loader" style="display: inline-block"></div>
                                                    <br>
                                                    <small class="text-muted">{{ trans("backLang.loading") }}</small>
                                                </div>
                                            </div>
                                            <button type="submit" id="mail_template_submit"
                                                    class="btn btn-primary displaynone">
                                                &nbsp; <i
                                                    class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                                            </button>
                                            {{Form::close()}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade {{ ($cat==1)?"show active":"" }}" id="templates-sms" role="tabpanel">
                            <div class="row clearfix">
                                <div class="col-sm-3 template-links-1">
                                    @foreach(Notifications::Templates() as $key=>$SMSTemplate)
                                        @if($SMSTemplate['sms'])
                                            <div data-stat="{{ $key }}" data-cat="1"
                                                 class="card mb-1 template-link"
                                                 id="template-link-1-{{ $key }}">
                                                <div class="pt-2 pl-3 pb-2 pr-3">
                                                    {{ $SMSTemplate['title'] }}
                                                </div>
                                            </div>
                                        @endif
                                    @endforeach
                                </div>
                                <div class="col-sm-9">
                                    <div class="card">
                                        <div class="card-header">
                                            <h3 class="card-title"
                                                id="template-title-1">{{ trans('backLang.smsTemplates') }}</h3>
                                            <div class="card-options">
                                                <a href="#" class="card-options-fullscreen"
                                                   data-toggle="card-fullscreen"><i
                                                        class="fe fe-maximize"></i></a>
                                            </div>
                                        </div>
                                        <div class="card-body" id="sms_template">
                                            {{Form::open(['route'=>['AppTemplatesUpdate'],'method'=>'POST','id'=>'sms_template_form'])}}

                                            <div class="alert alert-danger displaynone" id="sms_template_errors">
                                                <ul></ul>
                                            </div>
                                            <div id="form-details-1">
                                                <div class="text-center">
                                                    <div class="loader" style="display: inline-block"></div>
                                                    <br>
                                                    <small class="text-muted">{{ trans("backLang.loading") }}</small>
                                                </div>
                                            </div>
                                            <button type="submit" id="sms_template_submit"
                                                    class="btn btn-primary displaynone">
                                                &nbsp; <i
                                                    class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                                            </button>
                                            {{Form::close()}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade {{ ($cat==2)?"show active":"" }}" id="templates-one-signal"
                             role="tabpanel">
                            <div class="row clearfix">
                                <div class="col-sm-3 template-links-2">
                                    @foreach(Notifications::Templates() as $key=>$OneSignalTemplate)
                                        @if($OneSignalTemplate['browser'])
                                            <div data-stat="{{ $key }}" data-cat="2"
                                                 class="card mb-1 template-link"
                                                 id="template-link-2-{{ $key }}">
                                                <div class="pt-2 pl-3 pb-2 pr-3">
                                                    {{ $OneSignalTemplate['title'] }}
                                                </div>
                                            </div>
                                        @endif
                                    @endforeach
                                </div>
                                <div class="col-sm-9">
                                    <div class="card">
                                        <div class="card-header">
                                            <h3 class="card-title"
                                                id="template-title-2">{{ trans('backLang.onesignalTemplates') }}</h3>
                                            <div class="card-options">
                                                <a href="#" class="card-options-fullscreen"
                                                   data-toggle="card-fullscreen"><i
                                                        class="fe fe-maximize"></i></a>
                                            </div>
                                        </div>
                                        <div class="card-body" id="oneSignal_template">
                                            {{Form::open(['route'=>['AppTemplatesUpdate'],'method'=>'POST','id'=>'oneSignal_template_form'])}}

                                            <div class="alert alert-danger displaynone" id="oneSignal_template_errors">
                                                <ul></ul>
                                            </div>
                                            <div id="form-details-2">
                                                <div class="text-center">
                                                    <div class="loader" style="display: inline-block"></div>
                                                    <br>
                                                    <small class="text-muted">{{ trans("backLang.loading") }}</small>
                                                </div>
                                            </div>
                                            <button type="submit" id="oneSignal_template_submit"
                                                    class="btn btn-primary displaynone">
                                                &nbsp; <i
                                                    class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                                            </button>
                                            {{Form::close()}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade {{ ($cat==3)?"show active":"" }}" id="templates-system"
                             role="tabpanel">
                            <div class="row clearfix">
                                <div class="col-sm-3 template-links-3">
                                    @foreach(Notifications::Templates() as $key=>$SystemTemplate)
                                        @if($SystemTemplate['system'])
                                            <div data-stat="{{ $key }}" data-cat="3"
                                                 class="card mb-1 template-link"
                                                 id="template-link-3-{{ $key }}">
                                                <div class="pt-2 pl-3 pb-2 pr-3">
                                                    {{ $SystemTemplate['title'] }}
                                                </div>
                                            </div>
                                        @endif
                                    @endforeach
                                </div>
                                <div class="col-sm-9">
                                    <div class="card">
                                        <div class="card-header">
                                            <h3 class="card-title"
                                                id="template-title-3">{{ trans('backLang.systemNotificationTemplates') }}</h3>
                                            <div class="card-options">
                                                <a href="#" class="card-options-fullscreen"
                                                   data-toggle="card-fullscreen"><i
                                                        class="fe fe-maximize"></i></a>
                                            </div>
                                        </div>
                                        <div class="card-body" id="system_template">
                                            {{Form::open(['route'=>['AppTemplatesUpdate'],'method'=>'POST','id'=>'system_template_form'])}}

                                            <div class="alert alert-danger displaynone" id="system_template_errors">
                                                <ul></ul>
                                            </div>
                                            <div id="form-details-3">
                                                <div class="text-center">
                                                    <div class="loader" style="display: inline-block"></div>
                                                    <br>
                                                    <small class="text-muted">{{ trans("backLang.loading") }}</small>
                                                </div>
                                            </div>
                                            <button type="submit" id="system_template_submit"
                                                    class="btn btn-primary displaynone">
                                                &nbsp; <i
                                                    class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                                            </button>
                                            {{Form::close()}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("page-script")
    <script>
        $(document).ready(function () {
            var page_started = false;
            $('.template-link').click(function () {
                var tstat = $(this).attr("data-stat");
                var tcat = $(this).attr("data-cat");
                if (tstat > 0) {
                    if (page_started) {
                        load_template(tcat, tstat, true);
                    } else {
                        load_template(tcat, tstat);
                    }
                    $(".template-links-" + tcat + " div").removeClass("bg-primary text-light");
                    $(this).addClass("bg-primary text-light");
                    $("#template-title-" + tcat).html($(this).text());
                }
            });
            //load current template
            $('#template-link-0-{{ $default_mail_template_stat }}').click();
            $('#template-link-1-{{ $default_sms_template_stat }}').click();
            $('#template-link-2-{{ $default_oneSignal_template_stat }}').click();
            $('#template-link-3-{{ $default_system_template_stat }}').click();
            page_started = true;

            // update template
            ajax_post_form("mail_template", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, false);
            ajax_post_form("sms_template", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, false);
            ajax_post_form("oneSignal_template", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, false);
            ajax_post_form("system_template", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, false, false);
        });

        function load_template(cat, stat, update_url = false) {
            if (update_url) {
                window.history.replaceState(document.getElementsByTagName("title")[0].innerHTML, document.getElementsByTagName("title")[0].innerHTML, "{{ route("AppTemplates") }}/" + cat + "/" + stat);
            }

            if (cat == 3) {
                $(".template-links-3 div").removeClass("bg-primary text-light");
                $("#template-link-3-{{ $default_system_template_stat }}").addClass("bg-primary text-light");
                $("#system_template_submit").hide();
            } else if (cat == 2) {
                $(".template-links-2 div").removeClass("bg-primary text-light");
                $("#template-link-2-{{ $default_oneSignal_template_stat }}").addClass("bg-primary text-light");
                $("#oneSignal_template_submit").hide();
            } else if (cat == 1) {
                $(".template-links-1 div").removeClass("bg-primary text-light");
                $("#template-link-1-{{ $default_sms_template_stat }}").addClass("bg-primary text-light");
                $("#sms_template_submit").hide();
            } else {
                $(".template-links-0 div").removeClass("bg-primary text-light");
                $("#template-link-0-{{ $default_mail_template_stat }}").addClass("bg-primary text-light");
                $("#mail_template_submit").hide();
            }

            $("#form-details-" + cat).html(" <div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div>");
            $.ajax({
                type: "GET",
                url: "{{ route("AppTemplatesLoad") }}/" + cat + "/" + stat,
                cache: false,
                contentType: false,
                processData: false,
                success: function (result) {
                    $("#form-details-" + cat).html(result);
                    if (cat == 3) {
                        $("#system_template_submit").show();
                    } else if (cat == 2) {
                        $("#oneSignal_template_submit").show();
                    } else if (cat == 1) {
                        $("#sms_template_submit").show();
                    } else {
                        $("#mail_template_submit").show();
                    }
                }
            });
        }

    </script>
@endsection
