<div class="modal fade" id="create_user" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            {{Form::open(['route'=>['AppUsersStore'],'method'=>'POST','id'=>'create_user_form', 'files' => true])}}
            <div class="modal-header">
                <h5 class="modal-title"><i
                        class="fe fe-plus mb-2"></i> {{ trans('backLang.newUser') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger displaynone" id="create_user_errors">
                    <ul></ul>
                </div>

                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.fullName') }}</label>
                            {!! Form::text('name',"", array('placeholder' => '','class' => 'form-control','id' => 'name','required' => '')) !!}
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.jobTitle') }}</label>
                            {!! Form::text('job',"", array('placeholder' => '','class' => 'form-control','id' => 'job','required' => '')) !!}
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.loginEmail') }}</label>
                            {!! Form::email('email',"", array('placeholder' => '','class' => 'form-control','id' => 'email','required' => '')) !!}
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.loginPassword') }}</label>
                            {!! Form::text('password',"", array('placeholder' => '','class' => 'form-control','id' => 'password','required' => '')) !!}
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.country') }}</label>
                            <select name="country" id="country"
                                    class="form-control countries-list">
                                <option
                                    value="">{{ trans('backLang.selectCountry') }}</option>
                                @foreach(Helper::CountriesList() as $CountryItem)
                                    <option
                                        value="{{ $CountryItem->id }}"
                                        data-data='{"image": "{{ asset('back/images/flags/'.mb_strtolower($CountryItem->code).'.svg') }}","code":"+{{ $CountryItem->tel }}","search-text":"{{ $CountryItem->{"title_" . trans('backLang.boxCode')} }}  +{{ $CountryItem->tel }}"}' {!! (mb_strtolower(@GeoIP($_SERVER['REMOTE_ADDR'])['iso_code']) == mb_strtolower($CountryItem->code))?"selected='selected'":"" !!}>{{ $CountryItem->{"title_" . trans('backLang.boxCode')} }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.phone') }}</label>
                            {!! Form::text('phone',"", array('placeholder' => '','class' => 'form-control','id' => 'phone','required' => '')) !!}

                        </div>

                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.Permission') }}</label>
                            <select name="role_id" id="role_id" required
                                    class="form-control custom-select">
                                <option value=""> -- {{ trans('backLang.Permission') }}
                                    --
                                </option>
                                @foreach($RolesList as $RoleItem)
                                    <option
                                        value="{{ $RoleItem->id }}">{{ $RoleItem->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>{!!  trans('backLang.personalPhoto') !!}</label>
                            <input type="file" name="photo" id="photo" data-height="160"
                                   data-allowed-file-extensions="{{ trans("backLang.photo_extensions") }}">
                            {!! Form::hidden('photo_delete','0', array('id'=>'photo_delete')) !!}
                            <small>
                                <i class="icon-info"></i> {!!  trans('backLang.imagesTypes') !!}
                            </small>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-dismiss="modal"><i
                        class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                </button>
                <button type="submit" id="create_user_submit" class="btn btn-primary">
                    &nbsp; <i
                        class="fe fe-save"></i> {!!  trans('backLang.add') !!} &nbsp;
                </button>
            </div>
            {{Form::close()}}
        </div>
    </div>
</div>
