<div class="modal fade" id="edit_user" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            {{Form::open(['route'=>[(@$SelfProfile)?'AppUserProfileUpdate':'AppUsersUpdate'],'method'=>'POST','id'=>'edit_user_form', 'files' => true])}}
            <input type="hidden" name="id" value="{{ encrypt($User->id) }}">
            <div class="modal-header">
                <h5 class="modal-title"><i
                        class="icon-pencil mb-2"></i> {{ (!@$SelfProfile)?trans('backLang.editUser'):trans('backLang.editMyProfile') }}
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger displaynone" id="edit_user_errors">
                    <ul></ul>
                </div>

                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.fullName') }}</label>
                            {!! Form::text('name',$User->name, array('placeholder' => '','class' => 'form-control','id' => 'name','required' => '')) !!}
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.jobTitle') }}</label>
                            {!! Form::text('job',$User->job, array('placeholder' => '','class' => 'form-control','id' => 'job','required' => '')) !!}
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.loginEmail') }}</label>
                            {!! Form::email('email',$User->email, array('placeholder' => '','class' => 'form-control','id' => 'email','required' => '')) !!}
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.loginPassword') }}</label>
                            {!! Form::text('password',"", array('placeholder' => '','class' => 'form-control','id' => 'password')) !!}
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.country') }}</label>
                            <select name="country" id="country"
                                    class="form-control countries-list" required>
                                <option
                                    value="">{{ trans('backLang.selectCountry') }}</option>
                                @foreach(Helper::CountriesList() as $CountryItem)
                                    <option
                                        value="{{ $CountryItem->id }}"
                                        data-data='{"image": "{{ asset('back/images/flags/'.mb_strtolower($CountryItem->code).'.svg') }}","code":"+{{ $CountryItem->tel }}","search-text":"{{ $CountryItem->{"title_" . trans('backLang.boxCode')} }}  +{{ $CountryItem->tel }}"}' {!! ($User->country_id == $CountryItem->id)?"selected='selected'":"" !!}>{{ $CountryItem->{"title_" . trans('backLang.boxCode')} }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group">
                            <label
                                class="form-label">{{ trans('backLang.phone') }}</label>
                            {!! Form::text('phone',$User->phone, array('placeholder' => '','class' => 'form-control','id' => 'phone','required' => '')) !!}

                        </div>
                        @if(!@$SelfProfile)
                            <div class="form-group">
                                <label
                                    class="form-label">{{ trans('backLang.Permission') }}</label>
                                <select name="role_id" id="role_id" required
                                        class="form-control custom-select">
                                    @foreach($RolesList as $RoleItem)
                                        <option {!! ($User->role_id == $RoleItem->id)?"selected='selected'":"" !!}
                                                value="{{ $RoleItem->id }}">{{ $RoleItem->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>{!!  trans('backLang.personalPhoto') !!}</label>
                            <input type="file" name="photo" id="photo" data-height="90"
                                   data-allowed-file-extensions="{{ trans("backLang.photo_extensions") }}" {!! ($User->photo!="")?"data-default-file=\"".URL::to('uploads/users/'.$User->photo)."\"":"" !!}>
                            {!! Form::hidden('photo_delete','0', array('id'=>'photo_delete')) !!}
                            <small>
                                <i class="icon-info"></i> {!!  trans('backLang.imagesTypes') !!}
                            </small>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                @if(!@$SelfProfile)
                    <div class="form-group modal-footer-extra">
                        <label class="custom-switch">
                            {!! Form::checkbox('status','1',($User->status)? true : false , array('id' => 'user_status','class'=>'custom-switch-input')) !!}
                            <span class="custom-switch-indicator"></span>
                            <span
                                class="custom-switch-description"> {{ trans('backLang.activateAccount') }} </span>
                        </label>
                    </div>
                @endif
                <button type="button" class="btn btn-light" data-dismiss="modal"><i
                        class="fe fe-x"></i> {{ trans('backLang.cancel') }}
                </button>
                <button type="submit" id="edit_user_submit" class="btn btn-primary">
                    &nbsp; <i
                        class="fe fe-save"></i> {{ trans('backLang.save') }} &nbsp;
                </button>
            </div>
            {{Form::close()}}
        </div>
    </div>
</div>
