@extends('back.layouts.master')
@section('title', $User->name." | ".trans('backLang.profile'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    @if(!@$SelfProfile)
                        <li class="breadcrumb-item" aria-current="page"><a
                                href="{{ route("appSettings") }}">{{ trans('backLang.settings') }}</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a
                                href="{{ route("AppUsers") }}">{{ trans('backLang.users') }}</a></li>
                    @endif
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('backLang.profile') }}</li>
                </ol>
            </nav>
            <div class="row clearfix">
                <?php
                $status_tab_comments = "active";
                $status_tab_events = "";
                $status_tab_notifications = "";
                $status_tab_files = "";
                $status_tab_messages = "";
                $status_tab_activities = "";
                $active_tabs_count = 0;
                if (Roles::Check("profile_tab_activities")) {
                    $status_tab_comments = "";
                    $status_tab_events = "";
                    $status_tab_notifications = "";
                    $status_tab_files = "";
                    $status_tab_messages = "";
                    $status_tab_activities = "active";
                    $active_tabs_count++;
                }
                if (Roles::Check("profile_tab_notifications")) {
                    $status_tab_comments = "";
                    $status_tab_events = "";
                    $status_tab_notifications = "active";
                    $status_tab_files = "";
                    $status_tab_messages = "";
                    $status_tab_activities = "";
                    $active_tabs_count++;
                }
                if (Roles::Check("profile_tab_messages")) {
                    $status_tab_comments = "";
                    $status_tab_events = "";
                    $status_tab_notifications = "";
                    $status_tab_files = "";
                    $status_tab_messages = "active";
                    $status_tab_activities = "";
                    $active_tabs_count++;
                }
                if (Roles::Check("profile_tab_files")) {
                    $status_tab_comments = "";
                    $status_tab_events = "";
                    $status_tab_notifications = "";
                    $status_tab_files = "active";
                    $status_tab_messages = "";
                    $status_tab_activities = "";
                    $active_tabs_count++;
                }
                if (Roles::Check("profile_tab_events")) {
                    $status_tab_comments = "";
                    $status_tab_events = "active";
                    $status_tab_notifications = "";
                    $status_tab_files = "";
                    $status_tab_messages = "";
                    $status_tab_activities = "";
                    $active_tabs_count++;
                }
                if (Roles::Check("profile_tab_comments")) {
                    $status_tab_comments = "active";
                    $status_tab_events = "";
                    $status_tab_notifications = "";
                    $status_tab_files = "";
                    $status_tab_messages = "";
                    $status_tab_activities = "";
                    $active_tabs_count++;
                }
                if (@$_GET['tab'] != "") {
                    switch (@$_GET['tab']) {
                        case (@$_GET['tab'] == "comments"):
                            $status_tab_comments = "active";
                            $status_tab_events = "";
                            $status_tab_notifications = "";
                            $status_tab_files = "";
                            $status_tab_messages = "";
                            $status_tab_activities = "";
                            break;
                        case (@$_GET['tab'] == "events"):
                            $status_tab_comments = "";
                            $status_tab_events = "active";
                            $status_tab_notifications = "";
                            $status_tab_files = "";
                            $status_tab_messages = "";
                            $status_tab_activities = "";
                            break;
                        case (@$_GET['tab'] == "notifications"):
                            $status_tab_comments = "";
                            $status_tab_events = "";
                            $status_tab_notifications = "active";
                            $status_tab_files = "";
                            $status_tab_messages = "";
                            $status_tab_activities = "";
                            break;
                        case (@$_GET['tab'] == "files"):
                            $status_tab_comments = "";
                            $status_tab_events = "";
                            $status_tab_notifications = "";
                            $status_tab_files = "active";
                            $status_tab_messages = "";
                            $status_tab_activities = "";
                            break;
                        case (@$_GET['tab'] == "messages"):
                            $status_tab_comments = "";
                            $status_tab_events = "";
                            $status_tab_notifications = "";
                            $status_tab_files = "";
                            $status_tab_messages = "active";
                            $status_tab_activities = "";
                            break;
                        case (@$_GET['tab'] == "activities"):
                            $status_tab_comments = "";
                            $status_tab_events = "";
                            $status_tab_notifications = "";
                            $status_tab_files = "";
                            $status_tab_messages = "";
                            $status_tab_activities = "active";
                            break;
                    }
                }
                ?>

                <div class="col-lg-{{ ($active_tabs_count >0)?4:12 }} col-md-12">
                    <ul class="list-group mb-2">
                        <li class="list-group-item">
                            <?php
                            if (Auth::user()->photo != "") {
                                $u_photo = URL::to('uploads/users/' . Auth::user()->photo);

                            } else {
                                $u_photo = URL::to('uploads/users/profile.jpg');
                            }
                            $user_photo = "<div class='mb-2'><img src=\"" . $u_photo . "\" class='avatar avatar-xxl' style='background:#fff'></div>";
                            $flag = "";
                            if (!empty($User->country)) {
                                $flag = "<i class=\"pull-right flag flag-" . mb_strtolower($User->country->code) . "\" data-toggle='tooltip' title='" . $User->country->{"title_" . trans('backLang.boxCode')} . "'></i>";
                            }
                            ?>
                            <div class="text-center">
                                {!! $user_photo !!}
                                <h5 class="m-0">{{ $User->name }}</h5>
                                <p class="text-muted mb-0">{{ $User->job }}</p>
                            </div>
                        </li>
                        <li class="list-group-item">
                            <small class="text-muted">{{ trans('backLang.phone') }}:</small>
                            <p class="mb-0"
                               dir="ltr">{!! $flag . " &nbsp;" . "+".$User->phone_full !!}</p>
                        </li>
                        <li class="list-group-item">
                            <small class="text-muted">{{ trans('backLang.loginEmail') }}:</small>
                            <p class="mb-0">{{ $User->email }}</p>
                        </li>
                        @if(!@$SelfProfile)
                            <li class="list-group-item">
                                <small class="text-muted">{{ trans('backLang.Permission') }}:</small>
                                <p class="mb-0 pull-right"><span
                                        class="tag tag-default">{{ @$User->roles->name }}</span>
                                </p>
                            </li>
                        @endif
                        <li class="list-group-item">
                            <small class="text-muted">{{ trans('backLang.accountStatus') }}:</small>
                            <p class="mb-0 pull-right">
                                @if($User->status)
                                    <span class="tag tag-danger">{{ trans('backLang.active') }}</span>
                                @else
                                    <span class="tag tag-success">{{ trans('backLang.notActive') }}</span>
                                @endif
                            </p>
                        </li>
                    </ul>
                    @if ((Roles::Check("edit") && !@$SelfProfile) || (Roles::Check("profile_update") && @$SelfProfile))
                        <button type="button" class="btn btn-primary mb-2 w-100" data-toggle="modal"
                                data-target="#edit_user"><i
                                class="icon-pencil mb-2"></i> {{ (!@$SelfProfile)?trans('backLang.editUser'):trans('backLang.editMyProfile') }}
                        </button>
                    @endif
                    @if($active_tabs_count >0)
                        @if (Roles::Check("profile_send_email") || Roles::Check("profile_send_sms") || Roles::Check("profile_send_browser") || Roles::Check("profile_send_notification"))
                            <div class="item-action dropdown w-100 mb-2">
                                <a href="javascript:void(0)"
                                   class="btn btn-info dropdown-toggle w-100"
                                   data-toggle="dropdown" aria-expanded="false"><i
                                        class="icon-speech mb-2"></i> {{ trans('backLang.newMessage') }}
                                </a>
                                <div
                                    class="options-list  w-100 dropdown-menu dropdown-menu-{{ trans("backLang.left") }}"
                                    x-placement="bottom-end">
                                    @if (Roles::Check("profile_send_notification"))
                                        <a href="javascript:void(0)" data-action="notification"
                                           class="dropdown-item"><i
                                                class="dropdown-icon fe fe-bell"></i> {{ trans("backLang.sendNotification") }}
                                        </a>
                                    @endif
                                    @if (Roles::Check("profile_send_email"))
                                        @if (Helper::CheckMailStatus())
                                            <a href="javascript:void(0)" data-action="email"
                                               class="dropdown-item"><i
                                                    class="dropdown-icon icon-envelope-letter"></i> {{ trans("backLang.newEmailMessage") }}
                                            </a>
                                        @endif
                                    @endif
                                    @if (Roles::Check("profile_send_sms"))
                                        @if (Helper::CheckSMSStatus())
                                            <a href="javascript:void(0)" data-action="sms"
                                               class="dropdown-item"><i
                                                    class="dropdown-icon icon-speech"></i> {{ trans("backLang.newSMSMessage") }}
                                            </a>

                                        @endif
                                    @endif
                                    @if (Roles::Check("profile_send_browser"))
                                        @if (Helper::CheckOneSignalStatus())
                                            <a href="javascript:void(0)" data-action="browser"
                                               class="dropdown-item"><i
                                                    class="dropdown-icon icon-screen-desktop"></i> {{ trans("backLang.newBrowserMessage") }}
                                            </a>
                                        @endif
                                    @endif
                                </div>
                            </div>
                        @endif
                    @endif

                    @if (Roles::Check("delete") && !@$SelfProfile && $User->id !=1)
                        <button type="button" class="btn btn-danger mb-2 w-100"
                                onclick="user_delete('{{ encrypt($User->id) }}')"><i
                                class="icon-trash mb-2"></i> {{ trans('backLang.deleteUser') }}
                        </button>
                    @endif
                    @include('back.preferences.users.edit')
                </div>
                @if($active_tabs_count >0)
                    <div class="col-lg-8 col-md-12">
                        <div class="card">
                            <div class="card-header pt-0">
                                <ul class="nav nav-tabs w-100" role="tablist">

                                    @if (Roles::Check("profile_tab_comments"))
                                        <li class="nav-item">
                                            <a class="nav-link  {{ $status_tab_comments }}" id="comments-tab"
                                               data-toggle="pill" href="#comments"
                                               role="tab" aria-controls="comments" aria-selected="false">
                                                {{ trans("backLang.comments") }}
                                            </a>
                                        </li>
                                    @endif
                                    @if (Roles::Check("profile_tab_events"))
                                        <li class="nav-item">
                                            <a class="nav-link  {{ $status_tab_events }}" id="comments-tab"
                                               data-toggle="pill" href="#events"
                                               role="tab" aria-controls="events" aria-selected="false">
                                                {{ trans("backLang.calendar") }}
                                            </a>
                                        </li>
                                    @endif
                                    @if (Roles::Check("profile_tab_files"))
                                        <li class="nav-item">
                                            <a class="nav-link {{ $status_tab_files }}" id="files-tab"
                                               data-toggle="pill"
                                               href="#files" role="tab"
                                               aria-controls="files" aria-selected="false">
                                                {{ trans("backLang.attachments") }}
                                            </a>
                                        </li>
                                    @endif
                                    @if (Roles::Check("profile_tab_messages"))
                                        <li class="nav-item">
                                            <a class="nav-link {{ $status_tab_messages }}" id="messages-tab"
                                               data-toggle="pill" href="#messages"
                                               role="tab"
                                               aria-controls="messages" aria-selected="false">
                                                {{ trans("backLang.messages") }}
                                            </a>
                                        </li>
                                    @endif
                                    @if (Roles::Check("profile_tab_notifications"))
                                        <li class="nav-item">
                                            <a class="nav-link {{ $status_tab_notifications }}" id="notifications-tab"
                                               data-toggle="pill"
                                               href="#notifications"
                                               role="tab" aria-controls="notifications" aria-selected="false">
                                                {{ trans("backLang.notifications") }} <span
                                                    id="profile_notifications_count"
                                                    class="badge badge-inline badge-danger"></span>
                                            </a>
                                        </li>
                                    @endif
                                    @if (Roles::Check("profile_tab_activities"))
                                        <li class="nav-item">
                                            <a class="nav-link {{ $status_tab_activities }}" id="activities-tab"
                                               data-toggle="pill" href="#activities"
                                               role="tab" aria-controls="activities" aria-selected="false">
                                                {{ trans("backLang.userActivities") }}
                                            </a>
                                        </li>
                                    @endif
                                </ul>
                            </div>
                            <div class="card-body">
                                <div class="tab-content">
                                    @if (Roles::Check("profile_tab_notifications"))
                                        @include('back.preferences.users.notifications')
                                    @endif
                                    @if (Roles::Check("profile_tab_comments"))
                                        @include('back.preferences.users.comments')
                                    @endif
                                    @if (Roles::Check("profile_tab_events"))
                                        @include('back.preferences.users.events')
                                    @endif
                                    @if (Roles::Check("profile_tab_files"))
                                        @include('back.preferences.users.files')
                                    @endif
                                    @if (Roles::Check("profile_tab_messages"))
                                        @include('back.preferences.users.messages')
                                    @endif
                                    @if (Roles::Check("profile_tab_activities"))
                                        @include('back.preferences.users.activities')
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </div>
    @include('back.preferences.users.extra')
@endsection
@push("after-styles")
    <link rel="stylesheet" href="{{ asset('back/plugins/multi-select/css/multi-select.css') }}">
@endpush
@push("after-scripts")
    <script src="{{ asset('back/plugins/bootstrap-multiselect/bootstrap-multiselect.js') }}"></script>
@endpush
@section("page-script")
    <script type="text/javascript">
        $(document).ready(function () {
            $('.summer').summernote({
                height: 250,
                dialogsInBody: true,
                toolbar: [
                    ['style', ['style']],
                    ['font', ['bold', 'underline', 'clear']],
                    ['fontname', ['fontname','height']],
                    ['color', ['color']],
                    ['para', [ 'ol', 'paragraph']],
                    ['table', ['table']],
                    ['insert', ['link', 'picture', 'video', 'hr']],
                    ['view', ['fullscreen', 'codeview']],
                    ['help', ['help']]
                ],
                lang: (app_preferences["lang"] == "ar") ? "ar-AR" : "en-EN"
            });
            $(document).on("show.bs.modal", '.modal', function (event) {
                var zIndex = 100000 + (10 * $(".modal:visible").length);
                $(this).css("z-index", zIndex);
                setTimeout(function () {
                    $(".modal-backdrop").not(".modal-stack").first().css("z-index", zIndex - 1).addClass("modal-stack");
                }, 0);
            }).on("hidden.bs.modal", '.modal', function (event) {
                $(".modal:visible").length && $("body").addClass("modal-open");
            });
            $(document).on('inserted.bs.tooltip', function (event) {
                var zIndex = 100000 + (10 * $(".modal:visible").length);
                var tooltipId = $(event.target).attr("aria-describedby");
                $("#" + tooltipId).css("z-index", zIndex);
            });
            $(document).on('inserted.bs.popover', function (event) {
                var zIndex = 100000 + (10 * $(".modal:visible").length);
                var popoverId = $(event.target).attr("aria-describedby");
                $("#" + popoverId).css("z-index", zIndex);
            });

            $('.countries-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) +
                            escape(data.code) +
                            '</div>';
                    }
                }
            });

            var dropify_settings = {
                messages: {
                    'default': '{{ trans("backLang.dragAndDropFileHere") }}',
                    'replace': '{{ trans("backLang.dragAndDropFileToReplace") }}',
                    'remove': '{{ trans("backLang.delete") }}',
                    'error': '{{ trans("backLang.errorSomethingWrong") }}',
                }
            };

            var drEvent = $('#photo').dropify(dropify_settings);
            drEvent.on('dropify.beforeClear', function (event, element) {
                $("#photo_delete").val('1');
            });

            $('.items-list').multiselect({
                enableFiltering: true,
                enableCaseInsensitiveFiltering: true,
                maxHeight: 200,
            });

            // update user
            ajax_post_form("edit_user", '{{ trans("backLang.save") }}', 'fe fe-save', '{!! trans("backLang.saveDone") !!}', '{!! trans("backLang.close") !!}', true, "", false, true, false);

            $(".options-list .dropdown-item").on("click", function () {
                if ($(this).attr('data-action') == "notification") {
                    $('#create_notification').modal('show');
                }
                if ($(this).attr('data-action') == "email") {
                    $('#create_mail').modal('show');
                }
                if ($(this).attr('data-action') == "sms") {
                    $('#create_sms').modal('show');
                }
                if ($(this).attr('data-action') == "browser") {
                    $('#create_browser_message').modal('show');
                }
            });


            // send notification
            ajax_post_form("create_notification", '{{ trans("backLang.send") }}', 'fe fe-send', '{!! trans("backLang.sendDone") !!}', '{!! trans("backLang.close") !!}', true, "#notifications_table", false, false, true);

            // send mail
            ajax_post_form("create_mail", '{{ trans("backLang.send") }}', 'fe fe-send', '{!! trans("backLang.sendDone") !!}', '{!! trans("backLang.close") !!}', true, "#messages_table", false, false, true, function () {
                $("#send_mail_details").summernote("reset");
            });

            // send sms
            ajax_post_form("create_sms", '{{ trans("backLang.send") }}', 'fe fe-send', '{!! trans("backLang.sendDone") !!}', '{!! trans("backLang.close") !!}', true, "#messages_table", false, false, true);

            // send to browser
            ajax_post_form("create_browser_message", '{{ trans("backLang.send") }}', 'fe fe-send', '{!! trans("backLang.sendDone") !!}', '{!! trans("backLang.close") !!}', true, "#messages_table", false, false, true);


            $("#message_view").on("hidden.bs.modal", function () {
                $('#message_view').find('.modal-data').html("<div class=\"modal-body\"><div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div></div>");
            });
        });

        // delete user
        function user_delete(rid) {
            ajax_delete_row("<?php echo route("AppUsersDestroy"); ?>/" + rid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.deleteUser") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "", false, false, function () {
                location.href = '{{ route("AppUsers") }}'
            });
        }

        var table_name = "#messages_table";
        var table2_name = "#notifications_table";
        var table3_name = "#activities_table";
        var table_paginate = "{{ DeviceTrust::settings('BACKEND_PAGINATION') }}";
        $(document).ready(function () {
            $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('AppMessages') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.to_user_id = "{{ encrypt($User->id) }}";
                        data.self_profile = "{{ @$SelfProfile }}";
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {"data": "created_at"},
                    {"data": "created_by"},
                    {"className": "row_check", "width": "5%", "data": "status"},
                ],
                "order": [[0, "desc"]]

            });

            $(table3_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('AppUserActivities') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.user_id = "{{ encrypt($User->id) }}";
                        data.operation = $("#activities_search_operation").val();
                        data.module = $("#activities_search_module").val();
                        data.created_at = $("#activities_search_date").val();
                        data.self_profile = "{{ @$SelfProfile }}";
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table3_name + '_paginate .paginate_button').length > 3) {
                        $(table3_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table3_name + '_paginate')[0].style.display = "none";
                    }
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {"data": "created_at"},
                    {"data": "window"},
                    {"data": "title"},
                ],
                "order": [[0, "desc"]]

            });

            $("#activities_search_form").submit(function (evt) {
                evt.preventDefault();
                $(table3_name).DataTable().ajax.reload();
            });

            var dataTable = $(table2_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "{{ route('AppNotifications') }}",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "{{csrf_token()}}";
                        data.to_user_id = "{{ encrypt($User->id) }}";
                        data.self_profile = "{{ @$SelfProfile }}";
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table2_name + '_paginate .paginate_button').length > 3) {
                        $(table2_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table2_name + '_paginate')[0].style.display = "none";
                    }
                    if (dataTable.ajax.json().new_notifications_count > 0) {
                        $("#profile_notifications_count").html(dataTable.ajax.json().new_notifications_count);
                    } else {
                        $("#profile_notifications_count").html("");
                    }
                },
                @if(trans('backLang.boxCode') =="ar")
                "language": {
                    {!! trans("backLang.dataTablesTranslation") !!}
                },
                @endif
                "columns": [
                    {"data": "created_at"}
                ],
                "order": [[0, "desc"]]

            });

            $.fn.dataTable.ext.errMode = 'none';
        });


        function message_view(mid) {
            $('#notification_view').find('.modal-data').html("<div class=\"modal-body\"><div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div></div>");
            $("#message_view").modal('show');
            $.get("{{ route("AppMessagesView") }}/" + mid, function (data) {
                $('#message_view').find('.modal-data').html(data);
            });
        }

        function notification_view(mid) {
            $('#notification_view').find('.modal-data').html("<div class=\"modal-body\"><div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\">{{ trans("backLang.loading") }}</small></div></div>");
            $("#notification_view").modal('show');
            $.get("{{ route("AppNotificationsView") }}/" + mid, function (data) {
                $('#notification_view').find('.modal-data').html(data);
                $("#notifications_table").DataTable().ajax.reload();
            });
        }

        function message_delete(mid) {
            ajax_delete_row("<?php echo route("AppMessagesDelete"); ?>/" + mid, '{{ trans("backLang.confirmationDeleteMsg") }}', '{{ trans("backLang.deleteMessage") }}', '{{ trans("backLang.cancel") }}', '{{ trans("backLang.deleteDone") }}', '{{ trans("backLang.erorr") }}', '{{ trans("backLang.close") }}', "#messages_table", false, false, function () {
                $("#message_view").modal('hide');
            });
        }

        // Comments
        $(document).ready(function () {
            comments_load("#comments_table", "0", "{{ encrypt($User->id) }}", "{{ (!@$SelfProfile)? Roles::Check("profile_comments_create"):false }}", "{{ (!@$SelfProfile)? Roles::Check("profile_comments_delete"):false }}", false);
        });

        // Events
        $(document).ready(function () {
            events_load("#events_table", "0", "{{ encrypt($User->id) }}", "{{ Roles::Check("calendar_add") }}", "{{ Roles::Check("calendar_edit") }}", "{{ Roles::Check("calendar_delete") }}", 500, "month", true, true, true, true, false);
        });

        // Attachments
        $(document).ready(function () {
            attachments_load("#attachments", "0", "{{ encrypt($User->id) }}", "", "{{ Roles::Check("archive_multi_upload") }}", "{{ Roles::Check("archive_files_upload") }}", "{{ Roles::Check("archive_files_download") }}", "{{ Roles::Check("archive_files_edit") }}", "{{ Roles::Check("archive_files_delete") }}", false);
        });

    </script>
@endsection
