@extends('back.layouts.master')
@section('title', trans('backLang.reports'))
@section("content")
    <div class="section-body pt-3">
        <div class="container-fluid full-height">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active" aria-current="page"><i
                            class="icon-bar-chart"></i> {{ trans('backLang.reports') }}</li>
                </ol>
            </nav>
            <div class="row clearfix">
                @foreach(Menus::DashboardReportsMenu() as $AppReportsURL)
                    <div class="col-lg-6">
                        @if(count($AppReportsURL['sub']) >0)
                            <div class="card" id="reports-{{ @$AppReportsURL['id'] }}">
                                <div class="card-header widgets1">
                                    <div class="icon pointer" data-toggle="card-collapse">
                                        <i class="{{ $AppReportsURL['icon'] }} text-dark text-muted font-30"></i>
                                    </div>
                                    <div class="details pointer" data-toggle="card-collapse">
                                        <h6 class="mb-0">{{ $AppReportsURL['title'] }}</h6>
                                        <p class="mb-0">
                                            <small class="text-muted">{{ $AppReportsURL['description'] }}</small>
                                        </p>
                                    </div>
                                    <div class="card-options">
                                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                                class="fe fe-chevron-up"></i></a>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="pl-80">
                                        <div class="row clearfix">
                                            @foreach($AppReportsURL['sub'] as $AppReportsSubURL)
                                                <div class="col-lg-4">
                                                    <a href="{{ $AppReportsSubURL['link'] }}"
                                                       id="report-{{ @$AppReportsSubURL['id'] }}"
                                                       class="card bg-light border">
                                                        <div class="card-header widgets1">
                                                            <div class="details">
                                                                <h6 class="mb-1">{{ $AppReportsSubURL['title'] }}</h6>
                                                                <p class="mb-0">
                                                                    <small
                                                                        class="text-muted">{{ $AppReportsSubURL['description'] }}</small>
                                                                </p>
                                                            </div>
                                                        </div>
                                                    </a>
                                                </div>
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @else
                            <a href="{{ $AppReportsURL['link'] }}" class="card">
                                <div class="card-header widgets1">
                                    <div class="icon">
                                        <i class="{{ $AppReportsURL['icon'] }} text-dark text-muted font-30"></i>
                                    </div>
                                    <div class="details">
                                        <h6 class="mb-0">{{ $AppReportsURL['title'] }}</h6>
                                        <p class="mb-0">
                                            <small class="text-muted">{{ $AppReportsURL['description'] }}</small>
                                        </p>
                                    </div>
                                </div>
                            </a>
                        @endif
                    </div>
                @endforeach
            </div>
        </div>
    </div>
@endsection
