<?php

use App\Helpers\DeviceTrust;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\AuthorizeController;
use App\Http\Controllers\Accounting\AccountingHomeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// default path after login
Route::get('/admin', function () {
    return redirect()->route('adminHome');
});
Route::get('/home', function () {
    return redirect()->route('adminHome');
});

// Auth Routes
Auth::routes();

//Device Authorize
Route::group(['middleware' => ['auth']], function () {
    Route::get('/authorize/{token}', [AuthorizeController::class, 'verify'])->name('authorize.device');
    Route::post('/authorize/resend', [AuthorizeController::class, 'resend'])->name('authorize.resend');
});


// Dashboard Routes
Route::Group(['prefix' => DeviceTrust::env('BACKEND_PATH'), 'middleware' => ['authorize', 'auth', 'ipcheck']], function () {

    // Admin Home
    Route::get('/', [AccountingHomeController::class, 'index']);
    Route::get('/accounting', [AccountingHomeController::class, 'index'])->name('adminHome');

});

// Public Routes
Route::get('/', function () {
    return redirect()->route("login");
});
