<?php $__env->startSection('title', trans('backLang.loans')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <h6><?php echo e(trans("backLang.beneficiaryInfo")); ?></h6>
        <table class="responsive-table">
            <tbody>
            <tr>
                <th scope="row" class="width-130px"><?php echo e(trans("backLang.fullName")); ?> :</th>
                <td><strong><?php echo e($Loan->name); ?></strong></td>
            </tr>
            <tr>
                <th scope="row" class="width-130px"><?php echo e(trans("backLang.idNumber")); ?> :</th>
                <td> <?php echo e($Loan->id_number); ?> - <?php echo e(trans('backLang.identityTypes')[$Loan->id_type]); ?>

                    <?php if($Loan->id_end_date !=""): ?>
                        - <?php echo e(trans("backLang.expireDate")); ?>

                        : <?php echo date(Helper::Preferences("date_format"),strtotime($Loan->id_end_date)); ?>  <?php echo e((@$Loan->id_date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                    <?php endif; ?>
                </td>
            </tr>
            <?php if($Loan->phone !=""  && $Loan->phone !=null): ?>
                <tr>
                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.phone")); ?> :</th>
                    <td><span dir="ltr"><?php echo e($Loan->phone); ?></span></td>
                </tr>
            <?php endif; ?>
            <?php if($Loan->email !=""  && $Loan->email !=null): ?>
                <tr>
                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.email")); ?> :</th>
                    <td> <?php echo $Loan->email; ?></td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>

        <h6><?php echo e(trans("backLang.loanDetails")); ?></h6>
        <table class="responsive-table">
            <tbody>
            <tr>
                <th scope="row" class="width-130px"><?php echo e(trans("backLang.noOfLoan")); ?> :</th>
                <td> <?php echo $Loan->id; ?></td>
            </tr>
            <?php if($Loan->date !="" && $Loan->date !=null): ?>
                <tr>
                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.date")); ?> :</th>
                    <td><?php echo date(Helper::Preferences("date_format"),strtotime($Loan->date)); ?>  <?php echo e((@$Loan->date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                    </td>
                </tr>
            <?php endif; ?>

            <?php if($Loan->cat_id !=""  && $Loan->cat_id !=null): ?>
                <tr>
                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.loansCategory")); ?> :</th>
                    <td> <?php echo Helper::Category($Loan->cat_id); ?></td>
                </tr>
            <?php endif; ?>
            <tr>
                <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanAmount")); ?> :</th>
                <td> <?php echo number_format($Loan->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol; ?></td>
            </tr>
            <tr>
                <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanTotal")); ?> :</th>
                <td> <?php echo number_format($Loan->total, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol; ?></td>
            </tr>
            <tr>
                <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanInstalmentCount")); ?> :</th>
                <td> <?php echo $Loan->instalments_count; ?></td>
            </tr>
            <tr>
                <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanInstalmentAmount")); ?> :</th>
                <td> <?php echo number_format($Loan->instalments_amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol; ?></td>
            </tr>
            <tr>
                <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanLastInstalmentAmount")); ?> :</th>
                <td> <?php echo number_format($Loan->instalments_last, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol; ?></td>
            </tr>
            <tr>
                <th scope="row" class="width-130px"><?php echo e(trans("backLang.LoanPayMethod")); ?> :</th>
                <td> <?php echo trans("backLang.LoanPayMethods.".$Loan->pay_method); ?></td>
            </tr>
            <?php if($Loan->instalments_date !="" && $Loan->instalments_date !=null): ?>
                <tr>
                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanFirstInstalmentDate")); ?>:
                    </th>
                    <td><?php echo date(Helper::Preferences("date_format"),strtotime($Loan->instalments_date)); ?>  <?php echo e((@$Loan->date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                    </td>
                </tr>
            <?php endif; ?>
            <?php if($Loan->notes !=""  && $Loan->notes !=null): ?>
                <tr>
                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.notes")); ?> :</th>
                    <td> <?php echo $Loan->notes; ?></td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>

        <?php if($Loan->guarantor_name !=""): ?>
            <h6><?php echo e(trans("backLang.sponsorInfo")); ?></h6>
            <table class="responsive-table">
                <tbody>
                <?php if($Loan->guarantor_name !=""): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.fullName")); ?> :</th>
                        <td><strong><?php echo e($Loan->guarantor_name); ?></strong></td>
                    </tr>
                <?php endif; ?>
                <?php if($Loan->guarantor_id_number !=""): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.idNumber")); ?> :</th>
                        <td> <?php echo e($Loan->guarantor_id_number); ?>

                            - <?php echo e(trans('backLang.identityTypes')[$Loan->guarantor_id_type]); ?>

                            <?php if($Loan->guarantor_id_end_date !=""): ?>
                                - <?php echo e(trans("backLang.expireDate")); ?>

                                : <?php echo date(Helper::Preferences("date_format"),strtotime($Loan->guarantor_id_end_date)); ?>  <?php echo e((@$Loan->guarantor_id_date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endif; ?>
                <?php if($Loan->guarantor_phone !=""  && $Loan->guarantor_phone !=null): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.phone")); ?> :</th>
                        <td><span dir="ltr"><?php echo e($Loan->guarantor_phone); ?></span></td>
                    </tr>
                <?php endif; ?>
                <?php if($Loan->guarantor_work_place !=""  && $Loan->guarantor_work_place !=null): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.workPlace")); ?> :</th>
                        <td> <?php echo $Loan->guarantor_work_place; ?></td>
                    </tr>
                <?php endif; ?>
                <?php if($Loan->guarantor_work_phone !=""  && $Loan->guarantor_work_phone !=null): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.workPhone")); ?> :</th>
                        <td> <?php echo $Loan->guarantor_work_phone; ?></td>
                    </tr>
                <?php endif; ?>
                </tbody>
            </table>
        <?php endif; ?>
        <?php if($Loan->witness_1_name !="" && $Loan->witness_2_name !="" ): ?>
            <h6><?php echo e(trans("backLang.witnessInfo")); ?></h6>
            <table class="responsive-table">
                <tbody>
                <?php if($Loan->witness_1_name !=""): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.fullName")); ?> :</th>
                        <td><strong><?php echo e($Loan->witness_1_name); ?></strong></td>
                    </tr>
                <?php endif; ?>
                <?php if($Loan->witness_1_id_number !=""): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.idNumber")); ?> :</th>
                        <td> <?php echo e($Loan->witness_1_id_number); ?>

                            - <?php echo e(trans('backLang.identityTypes')[$Loan->witness_1_id_type]); ?>

                            <?php if($Loan->witness_1_id_end_date !=""): ?>
                                - <?php echo e(trans("backLang.expireDate")); ?>

                                : <?php echo date(Helper::Preferences("date_format"),strtotime($Loan->witness_1_id_end_date)); ?>  <?php echo e((@$Loan->witness_1_id_date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endif; ?>
                <?php if($Loan->witness_1_phone !=""  && $Loan->witness_1_phone !=null): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.phone")); ?> :</th>
                        <td><span dir="ltr"><?php echo e($Loan->witness_1_phone); ?></span></td>
                    </tr>
                <?php endif; ?>
                </tbody>
            </table>
            <hr>
            <table class="responsive-table">
                <tbody>
                <?php if($Loan->witness_2_name !=""): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.fullName")); ?> :</th>
                        <td><strong><?php echo e($Loan->witness_2_name); ?></strong></td>
                    </tr>
                <?php endif; ?>
                <?php if($Loan->witness_2_id_number !=""): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.idNumber")); ?> :</th>
                        <td> <?php echo e($Loan->witness_2_id_number); ?>

                            - <?php echo e(trans('backLang.identityTypes')[$Loan->witness_2_id_type]); ?>

                            <?php if($Loan->witness_2_id_end_date !=""): ?>
                                - <?php echo e(trans("backLang.expireDate")); ?>

                                : <?php echo date(Helper::Preferences("date_format"),strtotime($Loan->witness_2_id_end_date)); ?>  <?php echo e((@$Loan->witness_2_id_date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endif; ?>
                <?php if($Loan->witness_2_phone !=""  && $Loan->witness_2_phone !=null): ?>
                    <tr>
                        <th scope="row" class="width-130px"><?php echo e(trans("backLang.phone")); ?> :</th>
                        <td><span dir="ltr"><?php echo e($Loan->witness_2_phone); ?></span></td>
                    </tr>
                <?php endif; ?>
                </tbody>
            </table>
        <?php endif; ?>

        <?php if(count($Loan->installments) >0): ?>
            <h6><?php echo e(trans("backLang.instalments")); ?></h6>
            <table class="responsive-table center-table">
                <thead>
                <th><?php echo e(trans('backLang.recordId')); ?></th>
                <th><?php echo e(trans('backLang.installmentAmount')); ?></th>
                <th><?php echo e(trans('backLang.dueDate')); ?></th>
                <th><?php echo e(trans('backLang.status')); ?></th>
                <th><?php echo e(trans('backLang.notes')); ?></th>
                </thead>
                <tbody>
                <?php $__currentLoopData = $Loan->installments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Installment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                    if ($Loan->pay_method == 0) {
                        $Installment_date = "<div class='text-center'><span class='small'>" . trans("backLang.LoanPayMethods.0") . "</span> <br>" . date(Helper::Preferences("date_format"), strtotime($Installment->date)) . " " . ((@$Installment->date_type) ? trans("backLang.H") : trans("backLang.M")) . "</div>";
                    } else {
                        $Installment_date = "<div class='text-center'>" . date(Helper::Preferences("date_format"), strtotime($Installment->date)) . " " . ((@$Installment->date_type) ? trans("backLang.H") : trans("backLang.M")) . "</div>";
                    }

                    $Installment_status_title = "<span class='text-danger'>" . trans("backLang.unpaidInstallment") . "</span>";
                    if ($Installment->paid_status) {
                        $Installment_status_title = "<span class='text-success'>" . trans("backLang.paidInstallment") . "</span>" . "<div>" . Helper::DateView($Installment->paid_at, 1) . "</div>";
                    }
                    ?>
                    <tr>
                        <td><?php echo e($Installment->id); ?></td>
                        <td><?php echo e(number_format($Installment->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol); ?></td>
                        <td><?php echo $Installment_date; ?></td>
                        <td><?php echo $Installment_status_title; ?></td>
                        <td><?php echo e($Installment->notes); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        <?php endif; ?>

        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/loans/view/print.blade.php ENDPATH**/ ?>