<?php $__env->startSection('title', trans('backLang.roles')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="<?php echo e(route("appSettings")); ?>"><?php echo e(trans('backLang.settings')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans('backLang.roles')); ?></li>
                </ol>
            </nav>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <?php if(Roles::Check("add")): ?>
                                <button type="button" id="create_role_btn" class="btn btn-primary"><i
                                        class="fe fe-plus mb-2"></i> <?php echo e(trans('backLang.newRole')); ?></button>
                            <?php endif; ?>
                        </div>
                        <div class="card-body">
                            <?php echo e(Form::open(['route'=>['AppRolesStore'],'method'=>'POST','id'=>'create_role_form'])); ?>

                            <input type="hidden" name="title" id="role_title" value="">
                            <input type="hidden" name="from_id" id="from_id" value="">
                            <?php echo e(Form::close()); ?>


                            <div class="table-responsive mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="roles_table">
                                    <thead>
                                    <th><?php echo e(trans('backLang.roleName')); ?></th>
                                    <th><?php echo e(trans('backLang.createdBy')); ?></th>
                                    <th><?php echo e(trans('backLang.createdAt')); ?></th>
                                    <th><?php echo e(trans('backLang.status')); ?></th>
                                    <th class="text-center"><?php echo e(trans('backLang.options')); ?></th>
                                    </thead>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush("after-styles"); ?>
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/multi-select/css/multi-select.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startPush("after-scripts"); ?>
    <script src="<?php echo e(asset('back/plugins/bootstrap-multiselect/bootstrap-multiselect.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">

        var table_name = "#roles_table";
        var table_paginate = "<?php echo e(DeviceTrust::settings('BACKEND_PAGINATION')); ?>";

        $(document).ready(function () {
            $('#create_role_btn').click(function () {
                swal({
                    title: "<?php echo e(trans("backLang.newRole")); ?>",
                    text: "<?php echo e(trans("backLang.roleNameConfirm")); ?>",
                    type: "input",
                    showCancelButton: true,
                    closeOnConfirm: false,
                    animation: "slide-from-top",
                    inputPlaceholder: "<?php echo e(trans("backLang.roleName")); ?>",
                    inputValue: "",
                    confirmButtonText: "<?php echo e(trans("backLang.add")); ?>",
                    cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                    showLoaderOnConfirm: true,
                }, function (inputValue) {
                    if (inputValue === false) return false;
                    if (inputValue === "") {
                        swal.showInputError("<?php echo e(trans("backLang.roleNameConfirm")); ?>");
                        return false
                    }
                    $("#role_title").val(inputValue);
                    $("#from_id").val('');
                    var formData = $("#create_role_form").serialize();
                    $.ajax({
                        type: "POST",
                        url: "<?php echo route("AppRolesStore"); ?>",
                        data: formData,
                        success: function (result) {
                            var obj_result = jQuery.parseJSON(result);
                            if (obj_result.stat == 'success' && obj_result.id != "") {
                                location.href = '<?php echo e(route("AppRolesEdit")); ?>/' + obj_result.id;
                            } else {
                                swal({
                                    title: "<span class='text-danger'><?php echo e(trans("backLang.erorr")); ?></span>",
                                    text: "",
                                    html: true,
                                    type: "error",
                                    confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                    confirmButtonColor: "#acacac",
                                });
                            }
                        }
                    });

                });
            });

            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('AppRolesList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {"data": "name"},
                    {"data": "created_by"},
                    {"data": "created_at"},
                    {"data": "status"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[2, "asc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';
        });

        function copy_row(rid) {
            swal({
                title: "<i class='fe fe-copy'></i> <?php echo e(trans("backLang.copy")); ?>",
                text: "<?php echo e(trans("backLang.roleNameConfirm")); ?>",
                type: "input",
                showCancelButton: true,
                closeOnConfirm: false,
                animation: "slide-from-top",
                inputPlaceholder: "<?php echo e(trans("backLang.roleName")); ?>",
                inputValue: "",
                confirmButtonText: "<?php echo e(trans("backLang.add")); ?>",
                cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                showLoaderOnConfirm: true,
                html: true,
            }, function (inputValue) {
                if (inputValue === false) return false;
                if (inputValue === "") {
                    swal.showInputError("<?php echo e(trans("backLang.roleNameConfirm")); ?>");
                    return false
                }
                $("#role_title").val(inputValue);
                $("#from_id").val(rid);
                var formData = $("#create_role_form").serialize();
                $.ajax({
                    type: "POST",
                    url: "<?php echo route("AppRolesStore"); ?>",
                    data: formData,
                    success: function (result) {
                        var obj_result = jQuery.parseJSON(result);
                        if (obj_result.stat == 'success' && obj_result.id != "") {
                            location.href = '<?php echo e(route("AppRolesEdit")); ?>/' + obj_result.id;
                        } else {
                            swal({
                                title: "<span class='text-danger'><?php echo e(trans("backLang.erorr")); ?></span>",
                                text: "",
                                html: true,
                                type: "error",
                                confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                confirmButtonColor: "#acacac",
                            });
                        }
                    }
                });

            });
        }

        // delete user
        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppRolesDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', table_name, false);
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/preferences/roles/list.blade.php ENDPATH**/ ?>