<table id="ledgers_table"
       class="table table-hover table-bordered">
    <thead>
    <tr class="bg-light">
        <th>
            <button type="button" class="btn btn-sm pa-0 btn-secondary displaynone" id="expander"
                    data-toggle="tooltip" data-original-title="<?php echo e(trans("backLang.openAll")); ?>"
                    data-placement="top">
                &nbsp;<i class="fe fe-plus"></i>&nbsp;
            </button>
            <button type="button" class="btn btn-sm pa-0 btn-secondary" id="collapser"
                    data-toggle="tooltip" data-original-title="<?php echo e(trans("backLang.closeAll")); ?>"
                    data-placement="top">
                &nbsp;<i class="fe fe-minus"></i>&nbsp;
            </button>
            <?php echo e(trans("backLang.accountantTree")); ?></th>
        <th class="text-center"><?php echo e(trans("backLang.ledgerType")); ?></th>
        <th class="text-center"><?php echo e(trans("backLang.creditor")); ?></th>
        <th class="text-center"><?php echo e(trans("backLang.debtor")); ?></th>
        <th class="width-130px"><?php echo e(trans("backLang.options")); ?></th>
    </tr>
    </thead>
    <tbody>
    <?php if(count($Ledgers) >0): ?>
        <?php $__currentLoopData = $Ledgers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr data-node-id="<?php echo e($Ledger->id); ?>" data-node-pid="<?php echo e($Ledger->father_id); ?>">
                <td><span class="badge badge-light font-13"><?php echo e($Ledger->code); ?></span>
                    <?php echo e($Ledger->{"title_".trans("backLang.code")}); ?></td>
                <td class="text-center">
                    <?php echo e(($Ledger->group)?trans("backLang.group"):trans("backLang.account")); ?>

                </td>
                <?php if($Ledger->group): ?>
                    <td class="text-center">-</td>
                    <td class="text-center">-</td>
                <?php else: ?>
                    <td class="text-center"><strong><?php echo e(number_format($Ledger->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                    <td class="text-center"><strong><?php echo e(number_format($Ledger->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                <?php endif; ?>
                <td>
                    <a class="btn btn-sm btn-light" href="<?php echo e(route("AppJournals")); ?>?ledger=<?php echo e($Ledger->id); ?>"
                       data-toggle="tooltip"
                       data-original-title="<?php echo e(trans("backLang.details")); ?>"><i
                            class="icon-magnifier"></i></a>
                    <?php if(Roles::Check("edit")): ?>
                        <?php if(Roles::Check("accountant_edit")): ?>
                            <button class="btn btn-sm btn-info" onclick="edit_row('<?php echo e(encrypt($Ledger->id)); ?>')"
                                    data-toggle="tooltip"
                                    data-original-title="<?php echo e(trans("backLang.edit")); ?>"><i
                                    class="icon-pencil"></i>
                            </button>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php if(Roles::Check("delete") && ($Ledger->father_id !=0)): ?>
                        <?php if(Roles::Check("accountant_delete")): ?>
                            <button class="btn btn-sm btn-danger" onclick="delete_row('<?php echo e(encrypt($Ledger->id)); ?>')"
                                    data-toggle="tooltip"
                                    data-original-title="<?php echo e(trans("backLang.delete")); ?>"><i
                                    class="icon-trash"></i>
                            </button>
                        <?php endif; ?>
                    <?php endif; ?>
                </td>
            </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php else: ?>
        <tr>
            <td colspan="6" class="text-center">
                <small><?php echo e(trans("backLang.noData")); ?></small>
            </td>
        </tr>
    <?php endif; ?>
    </tbody>
</table>
<script src="<?php echo e(asset('back/custom/js/jquery-simple-tree-table.js')); ?>"></script>
<script type="text/javascript">
    $("#expander").on("click", function () {
        $("#expander").hide();
        $("#collapser").show();
    });
    $("#collapser").on("click", function () {
        $("#collapser").hide();
        $("#expander").show();
    });
    $(document).ready(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });
    var left_var = "<?php echo e(trans("backLang.left")); ?>";
    $('#ledgers_table').simpleTreeTable({
        expander: $('#expander'),
        collapser: $('#collapser'),
        opened: 'all',
        iconPosition: ':first',
        iconTemplate: '<span/>',
        margin: 25
    });
</script>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/Laravel/accounting/resources/views/back/accounting/ledgers/list.blade.php ENDPATH**/ ?>