<?php $__env->startSection('title', trans('backLang.loanDetails')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><i class='icon-wallet'></i> <a
                            href="<?php echo e(route("AppAccountingHome")); ?>"><?php echo e(trans('backLang.accountant')); ?></a></li>
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="<?php echo e(route("Loans")); ?>"><?php echo e(trans('backLang.loans')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans('backLang.loanDetails')); ?></li>
                </ol>
            </nav>
            <div class="row clearfix">
                <?php
                $status_tab_details = "active";
                $status_tab_files = "";
                $status_tab_installments = "";
                if (@$_GET['tab'] != "") {
                    switch (@$_GET['tab']) {
                        case (@$_GET['tab'] == "details"):
                            $status_tab_details = "active";
                            $status_tab_files = "";
                            $status_tab_installments = "";
                            break;
                        case (@$_GET['tab'] == "files"):
                            $status_tab_details = "";
                            $status_tab_files = "active";
                            $status_tab_installments = "";
                            break;
                        case (@$_GET['tab'] == "installments"):
                            $status_tab_details = "";
                            $status_tab_files = "";
                            $status_tab_installments = "active";
                            break;
                    }
                }
                ?>
                <div class="col-sm-9">
                    <div class="card">
                        <div class="card-header pt-0">
                            <ul class="nav nav-tabs w-100" role="tablist">
                                <li class="nav-item">
                                    <a class="ico-tab nav-link  <?php echo e($status_tab_details); ?>" id="loan-tab"
                                       data-toggle="pill" href="#details"
                                       role="tab" aria-controls="profile" aria-selected="false">
                                        <i class="icon-briefcase"></i><br>
                                        <?php echo e(trans("backLang.loanDetails")); ?>

                                    </a>
                                </li>
                                <?php if(Roles::Check("loan_tab_files")): ?>
                                    <li class="nav-item">
                                        <a class="ico-tab nav-link <?php echo e($status_tab_files); ?>" id="files-tab"
                                           data-toggle="pill"
                                           href="#files" role="tab"
                                           aria-controls="files" aria-selected="false">
                                            <i class="icon-paper-clip"></i><br>
                                            <?php echo e(trans("backLang.attachments")); ?>

                                            <?php if($Loan->attachments->count() >0): ?>
                                                <span
                                                    id="loan_attachments_count"
                                                    class="badge badge-inline badge-light"><?php echo e($Loan->attachments->count()); ?></span>
                                            <?php endif; ?>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <?php if(Roles::Check("loan_tab_installments")): ?>
                                    <li class="nav-item">
                                        <a class="ico-tab nav-link <?php echo e($status_tab_installments); ?>" id="instalments-tab"
                                           data-toggle="pill" href="#instalments"
                                           role="tab"
                                           aria-controls="instalments" aria-selected="false">
                                            <i class="icon-speech"></i><br>
                                            <?php echo e(trans("backLang.instalments")); ?> <span
                                                id="loan_instalments_count"
                                                class="badge badge-inline badge-light"></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                            </ul>
                        </div>
                        <div class="card-body">
                            <div class="tab-content">
                                <?php echo $__env->make('back.accounting.loans.view.details', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <?php if(Roles::Check("loan_tab_files")): ?>
                                    <?php echo $__env->make('back.accounting.loans.view.files', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <?php endif; ?>
                                <?php if(Roles::Check("loan_tab_installments")): ?>
                                    <?php echo $__env->make('back.accounting.loans.view.installments', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <?php if(Roles::Check("loan_tab_comments")): ?>
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title"><?php echo e(trans('backLang.comments')); ?></h3>
                            </div>
                            <div class="card-body">
                                <div id="comments_table"></div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
                <div class="col-sm-3">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title" id="loan_status_text">
                                <?php if($Loan->status == 1): ?>
                                    <span class="text-success"><i class="fe fe-check-circle"></i> <?php echo e(trans('backLang.approved')); ?></span>
                                <?php elseif($Loan->status == -1): ?>
                                    <span class="text-danger"><i class="fe fe-x-circle"></i> <?php echo e(trans('backLang.notApproved')); ?></span>
                                <?php else: ?>
                                    <span class="text-info"><i class="fe fe-clock"></i> <?php echo e(trans('backLang.pending')); ?></span>
                                <?php endif; ?>
                            </h3>
                            <div class="card-options">
                                <?php if(Roles::Check("loan_status_edit")): ?>
                                    <button type="button" class="pull-right btn btn-icon" data-toggle="tooltip"
                                            id="loan_edit_status_btn"
                                            data-original-title="<?php echo e(trans("backLang.edit")); ?>"><i
                                            class="fe fe-edit"></i></button>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="card-body <?php echo e(($Loan->status == -1)?"":"displaynone"); ?>" id="loan_status_reason">
                            <?php echo $Loan->reject_reason; ?>

                        </div>
                        <div class="card-body <?php echo e(($Loan->status == 1)?"":"displaynone"); ?>" id="loan_receipt_btn">
                            <?php if(Roles::Check("loans_receipt")): ?>
                                <?php if(!empty($Loan->receipt)): ?>
                                    <a class="btn btn-light mt-3 w-100"
                                       href="<?php echo e(route("AppReceiptPrint", encrypt($Loan->receipt->id))); ?>"
                                       data-toggle="tooltip" target="_blank"><i
                                            class="icon-printer"></i> <?php echo e(trans("backLang.printPayReceipt")); ?></a>
                                <?php else: ?>
                                    <button type="button" data-toggle="modal"
                                            data-target="#create_receipt" class="btn btn-info mt-3 w-100"><i
                                            class="fe fe-plus mb-2"></i> <?php echo e(trans("backLang.createPayReceipt")); ?>

                                    </button>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>

                    </div>
                    <?php if(Roles::Check("loan_tab_alerts")): ?>
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title"><i class="fa fa-bell-o"></i> <?php echo e(trans('backLang.alerts')); ?>

                                </h3>
                            </div>
                            <div class="card-body">
                                <div id="alerts_table"></div>
                            </div>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty($Loan->approvedBy)): ?>
                        <div class="card" id="loan_status_user">
                            <div class="card-header pb-1">
                                <h3 class="card-title"><small><i
                                            class="fe <?php echo e(($Loan->status == 1)?"fe-check":"fe-x"); ?>"></i> <?php echo e(($Loan->status == 1)?trans('backLang.approvedBy'):trans('backLang.rejectedBy')); ?>

                                    </small></h3>
                            </div>
                            <div class="card-body">
                                <small class="text-muted"> <?php echo e($Loan->approvedBy->name); ?></small>
                                <br>
                                <small class="text-muted">
                                    <?php echo Helper::DateView($Loan->approved_at, 1); ?>

                                </small>
                            </div>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty($Loan->user)): ?>
                        <div class="card">
                            <div class="card-header pb-1">
                                <h3 class="card-title"><small><i
                                            class="fe fe-plus"></i> <?php echo e(trans('backLang.registeredBy')); ?></small></h3>
                            </div>
                            <div class="card-body">
                                <small class="text-muted"><?php echo e($Loan->user->name); ?></small>
                                <br>
                                <small class="text-muted">
                                    <?php echo Helper::DateView($Loan->created_at, 1); ?>

                                </small>
                            </div>
                        </div>
                    <?php endif; ?>

                    <?php if(Roles::Check("loan_print")): ?>
                        <a href="<?php echo e(route("LoanPrintFile",encrypt($Loan->id))); ?>" target="_blank"
                           class="btn btn-primary mb-2 w-100">
                            <i class="icon-printer mb-2"></i> <?php echo e(trans('backLang.print')); ?>

                        </a>
                    <?php endif; ?>
                    <?php if(Roles::Check("loans_delete")): ?>
                        <button type="button" class="btn btn-danger mb-2 w-100"
                                onclick="loan_delete('<?php echo e(encrypt($Loan->id)); ?>')"><i
                                class="icon-trash mb-2"></i> <?php echo e(trans('backLang.loanDelete')); ?>

                        </button>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("popup"); ?>
    <?php echo $__env->make('back.accounting.loans.edit.popup', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">
        var table_name = "#installments_table";
        var table_paginate = "<?php echo e(DeviceTrust::settings('BACKEND_PAGINATION')); ?>";
        $(document).ready(function () {
            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('LoansInstallmentsList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                        data.loan_id = '<?php echo e($Loan->id); ?>';
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                    if (this.api().page.info().recordsTotal > 0) {
                        $("#loan_total").html(dataTable.ajax.json().balance.total);
                        $("#loan_paid").html(dataTable.ajax.json().balance.paid);
                        $("#loan_unpaid").html(dataTable.ajax.json().balance.unpaid);
                    } else {
                        $("#loan_total").html('-');
                        $("#loan_paid").html('-');
                        $("#loan_unpaid").html('-');
                    }
                    $('[data-toggle="tooltip"]').tooltip();
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {"data": "id"},
                    {"data": "amount"},
                    {"data": "date"},
                    {"data": "status"},
                    {"data": "notes"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[2, "asc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';

            <?php if(Roles::Check("loan_tab_comments")): ?>
            comments_load("#comments_table", "4", "<?php echo e(encrypt($Loan->id)); ?>", "<?php echo e(Roles::Check("loan_comments_create")); ?>", "<?php echo e(Roles::Check("loan_comments_delete")); ?>", false);
            <?php endif; ?>
            <?php if(Roles::Check("loan_tab_files")): ?>
            attachments_load("#attachments", "4", "<?php echo e(encrypt($Loan->id)); ?>", "", "<?php echo e(Roles::Check("loans_multi_upload")); ?>", "<?php echo e(Roles::Check("loans_files_upload")); ?>", "<?php echo e(Roles::Check("loans_files_download")); ?>", "<?php echo e(Roles::Check("loans_files_edit")); ?>", "<?php echo e(Roles::Check("loans_files_delete")); ?>", false);
            <?php endif; ?>

            <?php if(Roles::Check("loan_tab_alerts")): ?>
            alerts_load("#alerts_table", "4", "<?php echo e(encrypt($Loan->id)); ?>", "<?php echo e(trans("backLang.loan")." ( $Loan->id ) ".$Loan->name); ?>", true, true, true, false);
            <?php endif; ?>


            <?php if(Roles::Check("loan_status_edit")): ?>
            $("#loan_edit_status_btn").on('click', function () {
                $("#edit_status_submit").prop('disabled', true);
                $.get("<?php echo e(route("LoansEditStatus")); ?>/<?php echo e(encrypt($Loan->id)); ?>", function (data) {
                    $('#edit_status').find('.modal-body .form-fields').html(data);
                    $("#edit_status_submit").prop('disabled', false);
                });
                $('#edit_status').modal('show');
            });
            $("#edit_status").on("hidden.bs.modal", function () {
                $("#edit_status_errors").hide();
                $('#edit_status').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
            });
            ajax_post_form("edit_status", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, "", false, false, false, function () {
                //
                $("#loan_status_text").html(new_loan_status);
                $("#loan_status_reason").html(new_loan_reason);
                if (new_loan_reason != "") {
                    $("#loan_status_reason").show();
                } else {
                    $("#loan_status_reason").hide();
                }
                $("#loan_status_user").hide();
                if (new_loan_receipt) {
                    $("#loan_receipt_btn").show();
                } else {
                    $("#loan_receipt_btn").hide();
                }
            });
            <?php endif; ?>

            set_loan_status(<?php echo e($Loan->status); ?>);
            set_loan_reason("<?php echo e(trim(preg_replace('/\s+/', ' ', strip_tags($Loan->reject_reason)))); ?>");

            // create receipt
            ajax_post_form("create_receipt", '<?php echo e(trans("backLang.add")); ?>', 'fe fe-save', '<?php echo trans("backLang.addDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, "", false, false, false, function (data) {
                // show receipt print btn
                $.get("<?php echo e(route("LoansReceiptPrint")); ?>/<?php echo e(encrypt($Loan->id)); ?>", function (data) {
                    $('#loan_receipt_btn').html(data);
                });
            });

            // create installment
            ajax_post_form("create_installment", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.addDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, table_name, false, false, true);

            // update installment
            ajax_post_form("edit_installment", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.addDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, table_name, true, false, false);


            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });
            <?php if(@$pay && empty($Loan->receipt)): ?>
            $('#create_receipt').modal('show');
            <?php endif; ?>
        });


        var new_loan_status = "";
        var new_loan_reason = "";
        var new_loan_receipt = false;

        function set_loan_status(val) {
            if (val === 1) {
                new_loan_receipt = true;
                new_loan_status = '<span class="text-success"><i class="fe fe-check-circle"></i> <?php echo e(trans("backLang.approved")); ?></span>';
            } else if (val === -1) {
                new_loan_receipt = false;
                new_loan_status = '<span class="text-danger"><i class="fe fe-x-circle"></i> <?php echo e(trans("backLang.notApproved")); ?></span>';
            } else {
                new_loan_receipt = false;
                new_loan_status = '<span class="text-info"><i class="fe fe-clock"></i> <?php echo e(trans("backLang.pending")); ?></span>';
            }
        }

        function set_loan_reason(reason) {
            new_loan_reason = reason;
        }

        // delete loan
        function loan_delete(rid) {
            ajax_delete_row("<?php echo route("LoansDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.loanDelete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', "", false, false, function () {
                location.href = '<?php echo e(route("Loans")); ?>';
            });
        }

        function edit_installment(rid) {
            $("#edit_installment_submit").prop('disabled', true);
            $('#edit_installment').find('.modal-body .form-fields').html("<div class=\"text-center p-3\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
            $.get("<?php echo e(route("LoansInstallmentsEdit")); ?>/" + rid, function (data) {
                $('#edit_installment').find('.modal-body .form-fields').html(data);
                $("#edit_installment_submit").prop('disabled', false);
            });
            $('#edit_installment').modal('show');
        }

        function delete_installment(rid) {
            ajax_delete_row("<?php echo route("LoansInstallmentsDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', table_name, false);
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/loans/view/file.blade.php ENDPATH**/ ?>