<?php $__env->startSection('title', trans('backLang.dailyEntries')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1><?php echo trans('backLang.dailyEntries'); ?></h1>

                <?php if(!empty($Period)): ?>
                    <label><?php echo e(trans('backLang.accountantPeriod')); ?></label>
                    <strong><?php echo e($Period->code); ?></strong>
                <?php endif; ?>
                <?php if($request->search_word !=""): ?>
                    <label><?php echo e(trans('backLang.searchFor')); ?></label>
                    <strong><?php echo $request->search_word; ?></strong>
                <?php endif; ?>
                <?php if($request->search_posted !=""): ?>
                    <label><?php echo e(trans('backLang.recordStatus')); ?></label>
                    <strong><?php echo ($request->search_posted)?trans('backLang.posted'):trans('backLang.notPosted'); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Ledger)): ?>
                    <label><?php echo e(trans('backLang.ledger')); ?></label>
                    <strong><?php echo e($Ledger->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Currency)): ?>
                    <label><?php echo e(trans('backLang.currency')); ?></label>
                    <strong><?php echo e($Currency->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_start !=""): ?>
                    <label><?php echo e(trans('backLang.fromDate')); ?></label>
                    <strong><?php echo $request->search_start; ?></strong>
                <?php endif; ?>
                <?php if($request->search_end !=""): ?>
                    <label><?php echo e(trans('backLang.toDate')); ?></label>
                    <strong><?php echo $request->search_end; ?></strong>
                <?php endif; ?>
                <?php if($request->search_center_id !=""): ?>
                    <label><?php echo e(trans('backLang.costPosition')); ?></label>
                    <strong><?php echo Helper::Category($request->search_center_id); ?></strong>
                <?php endif; ?>
                <?php if($request->search_user !=""): ?>
                    <label><?php echo e(trans('backLang.user')); ?></label>
                    <strong><?php echo Helper::usernameById($request->search_user); ?></strong>
                <?php endif; ?>
            </caption>
            <thead>
            <th><?php echo e(trans('backLang.recordId')); ?></th>
            <th><?php echo e(trans('backLang.date')); ?></th>
            <th><?php echo e(trans('backLang.debtor')); ?></th>
            <th><?php echo e(trans('backLang.creditor')); ?></th>
            <th><?php echo e(trans('backLang.ledger')); ?></th>
            <th><?php echo e(trans('backLang.desc')); ?></th>
            <th><?php echo e(trans('backLang.fileNo')); ?></th>
            <th><?php echo e(trans('backLang.recordStatus')); ?></th>
            <?php if(count(Helper::Categories(11)) >0): ?>
                <th><?php echo e(trans('backLang.costPosition')); ?></th>
            <?php endif; ?>
            <th><?php echo e(trans('backLang.createdBy')); ?></th>
            </thead>
            <tbody>
            <?php if(count($Receipts) >0): ?>
                <?php $__currentLoopData = $Receipts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Receipt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php ($j_count = $Receipt->journals()->count()); ?>
                    <?php if($j_count > 0): ?>
                        <?php ($i=0); ?>
                        <?php $__currentLoopData = $Receipt->journals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Journal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <?php if($i==0): ?>
                                    <td rowspan="<?php echo e($j_count); ?>"><?php echo e($Receipt->id); ?></td>
                                    <td rowspan="<?php echo e($j_count); ?>"><?php echo e(date(Helper::Preferences("date_format"), strtotime($Receipt->date)) . " " . ((@$Receipt->date_type) ? trans("backLang.H") : trans("backLang.M"))); ?></td>
                                <?php endif; ?>
                                <td class="bg-grey"><?php echo e(($Journal->dept >0)?number_format($Journal->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-"); ?></td>
                                <td class="bg-grey"><?php echo e(($Journal->credit >0)?number_format($Journal->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-"); ?></td>
                                <td><?php echo e(@$Journal->ledger->{"title_".trans("backLang.code")}); ?></td>
                                <td><?php echo e($Journal->details); ?></td>
                                <?php if($i==0): ?>
                                    <td rowspan="<?php echo e($j_count); ?>"><?php echo e($Receipt->code); ?></td>
                                    <td rowspan="<?php echo e($j_count); ?>"><?php echo (($Receipt->posted) ? trans("backLang.posted")  :  trans("backLang.notPosted")) . "</div>"; ?></td>
                                    <?php if(count(Helper::Categories(11)) >0): ?>
                                        <td rowspan="<?php echo e($j_count); ?>"><?php echo Helper::Category($Receipt->center_id); ?></td>
                                    <?php endif; ?>
                                    <td rowspan="<?php echo e($j_count); ?>"><?php echo e($Receipt->user->name); ?></td>
                                <?php endif; ?>
                            </tr>
                            <?php ($i++); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <tr>
                    <td colspan="10">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>
        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/journals/print.blade.php ENDPATH**/ ?>