<?php
$page_title = trans('backLang.revenues');
$add_title = trans('backLang.addCashReceipt');
$edit_title = trans('backLang.editCashReceipt');
$fund_title = trans('backLang.depositIn');
$cats_id = 8;
if (@$stat == "expenses") {
    $page_title = trans('backLang.expenses');
    $add_title = trans('backLang.addPayReceipt');
    $edit_title = trans('backLang.editPayReceipt');
    $fund_title = trans('backLang.withdrawFrom');
    $cats_id = 9;
}
?>
<?php $__env->startSection('title', $page_title); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">

            <div class="card card-collapsed" id="search_card">
                <div class="card-header">
                    <h3 class="card-title"><i class='icon-wallet'></i> <?php echo trans('backLang.accountant'); ?> <i
                            class='fe fe-chevron-<?php echo e(trans("backLang.right")); ?>'></i><span> <?php echo $page_title; ?></span>
                    </h3>
                    <div class="card-options">
                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><span
                                class="icon-magnifier" data-toggle="tooltip" id="search_card_icon"
                                title="<?php echo e(trans('backLang.search')); ?>"></span></a>
                    </div>
                </div>
                <div class="card-body">
                    <?php echo $__env->make('back.accounting.receipts.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <?php if(Roles::Check("add")): ?>
                                <button type="button" class="btn btn-primary" data-toggle="modal"
                                        data-target="#create_receipt"><i
                                        class="fe fe-plus mb-2"></i> <?php echo e($add_title); ?></button>
                            <?php endif; ?>
                            <div class="card-options">
                                <?php if(Roles::Check("accountant_print")): ?>
                                    <a href="javascript:void(0)" data-toggle="tooltip"
                                       id="_print_btn"
                                       data-original-title="<?php echo e(trans("backLang.print")); ?>">
                                        <i
                                            class="icon-printer"></i>
                                    </a>
                                <?php endif; ?>
                                <?php if(Roles::Check("add")): ?>
                                    <?php if(Roles::Check("accountant_import")): ?>
                                        <a href="javascript:void(0)" data-toggle="tooltip"
                                           id="_import_btn"
                                           data-original-title="<?php echo e(trans("backLang.importFromFile")); ?>">
                                            <i
                                                class="icon-login"></i>
                                        </a>
                                    <?php endif; ?>
                                <?php endif; ?>
                                <?php if(Roles::Check("accountant_export")): ?>
                                    <a href="javascript:void(0)" data-toggle="tooltip"
                                       id="_export_btn"
                                       data-original-title="<?php echo e(trans("backLang.export")); ?>">
                                        <i
                                            class="icon-cloud-download"></i>
                                    </a>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive table-nowrap mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="receipts_table">
                                    <thead>
                                    <th><?php echo e(trans('backLang.recordId')); ?></th>
                                    <th><?php echo e(trans('backLang.date')); ?></th>
                                    <th><?php echo e(trans('backLang.amount')); ?></th>
                                    <th><?php echo e(trans('backLang.desc')); ?></th>
                                    <th><?php echo e(trans('backLang.nameOfCustomer')); ?></th>
                                    <th class="text-center"><?php echo e(trans('backLang.options')); ?></th>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("popup"); ?>
    <?php echo $__env->make('back.accounting.receipts.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php if(Roles::Check("accountant_import")): ?>
        <div class="modal fade" id="_import_receipts" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <?php echo e(Form::open(['route'=>['AppReceiptsImportFromFile'],'method'=>'POST','id'=>'_import_receipts_form' , 'files' => true])); ?>

                    <div class="modal-header">
                        <h5 class="modal-title"><i
                                class="icon-book-open mb-2"></i> <?php echo e(trans('backLang.importFromFile')); ?></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body m-0 p-4">
                        <div class="alert alert-danger displaynone m-3" id="_import_receipts_errors">
                            <ul></ul>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <label><?php echo e(trans('backLang.selectFundOrBank')); ?></label>
                                <div class="form-group">
                                    <select name="fund_id"
                                            class="form-control custom-select" required>
                                        <option value=""><?php echo e(trans('backLang.selectFund')); ?></option>
                                        <optgroup label="<?php echo e(trans("backLang.financialFunds")); ?>">
                                            <?php $__currentLoopData = $Funds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FundItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($FundItem->type): ?>
                                                    <option
                                                        value="<?php echo e($FundItem->id); ?>" <?php echo (Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":""; ?>><?php echo e($FundItem->{"title_".trans("backLang.code")}); ?></option>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </optgroup>
                                        <optgroup label="<?php echo e(trans("backLang.bankAccountsTree")); ?>">
                                            <?php $__currentLoopData = $Funds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FundItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if(!$FundItem->type): ?>
                                                    <option
                                                        value="<?php echo e($FundItem->id); ?>" <?php echo (Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":""; ?>><?php echo e($FundItem->{"title_".trans("backLang.code")}); ?>

                                                        [ <?php echo e($FundItem->code); ?> ] [ <?php echo e(@$FundItem->currency->code); ?>

                                                        ]
                                                    </option>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </optgroup>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <input type="file" required name="file" id="xls_file" data-height="120"
                                           data-allowed-file-extensions="xls xlsx">
                                    <small>
                                        <i class="icon-info"></i> <?php echo trans('backLang.xlsTypes'); ?>

                                    </small>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <div class="form-group modal-footer-extra">
                            <a href="<?php echo e(route("AppReceiptsDownload")); ?>"><i
                                    class="fe fe-download"></i> <?php echo e(trans("backLang.downloadExcelFileExample")); ?>

                            </a>
                        </div>
                        <button type="button" class="btn btn-light" data-dismiss="modal"><i
                                class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                        </button>
                        <button type="submit" id="_import_receipts_submit" class="btn btn-primary">
                            &nbsp; <i
                                class="fe fe-save"></i> <?php echo e(trans('backLang.importData')); ?> &nbsp;
                        </button>
                    </div>
                    <?php echo e(Form::close()); ?>

                </div>
            </div>
        </div>
    <?php endif; ?>
    <?php if(Roles::Check("edit")): ?>
        <?php if(Roles::Check("accountant_edit")): ?>
            <div class="modal fade" id="edit_receipt" tabindex="-1" role="dialog" aria-hidden="true">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <?php echo e(Form::open(['route'=>['AppReceiptsUpdate'],'method'=>'POST','id'=>'edit_receipt_form', 'files' => true])); ?>

                        <div class="modal-header">
                            <h5 class="modal-title"><i
                                    class="icon-pencil mb-2"></i> <?php echo e($edit_title); ?></h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body pa-0">
                            <div class="alert alert-danger displaynone  m-0" id="edit_receipt_errors">
                                <ul></ul>
                            </div>
                            <div class="form-fields">
                                <div class="text-center">
                                    <div class="loader" style="display: inline-block"></div>
                                    <div>
                                        <small class="text-muted"><?php echo e(trans("backLang.loading")); ?></small>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-light" data-dismiss="modal"><i
                                    class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                            </button>
                            <button type="submit" id="edit_receipt_submit" class="btn btn-primary">
                                &nbsp; <i
                                    class="fe fe-save"></i> <?php echo e(trans('backLang.save')); ?> &nbsp;
                            </button>
                        </div>
                        <?php echo e(Form::close()); ?>

                    </div>
                </div>
            </div>
        <?php endif; ?>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">
        var table_name = "#receipts_table";
        var table_paginate = "<?php echo e(DeviceTrust::settings('BACKEND_PAGINATION')); ?>";
        $(document).ready(function () {
            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('AppReceiptsList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                        data.search_word = $("#search_word").val();
                        data.search_fund = $("#search_fund").val();
                        data.search_pay_method = $("#search_pay_method").val();
                        data.search_currency = $("#search_currency").val();
                        data.search_cat = $("#search_cat").val();
                        data.search_user = $("#search_user").val();
                        data.search_start = $("#search_start").val();
                        data.search_end = $("#search_end").val();
                        data.search_type = $("#search_type").val();
                        data.search_center_id = $("#search_center_id").val();
                        data.search_period = $("#search_period").val();
                        data.search_ledger = $("#search_ledger").val();
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                    $('[data-toggle="tooltip"]').tooltip();
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {"data": "id"},
                    {"data": "date"},
                    {"data": "amount"},
                    {"data": "details"},
                    {"data": "ledger_id"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[1, "desc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';

            $("#receipts_search_form").submit(function (evt) {
                if ($("#search_submit_stat").val() == "") {
                    evt.preventDefault();
                    $(table_name).DataTable().ajax.reload();
                }
            });

            $('#search_card_icon').click(function () {
                $("#search_card").toggleClass("bg-light");
            });


            <?php if(Roles::Check("accountant_import")): ?>
            $("#_import_btn").on('click', function () {
                $('#_import_receipts').modal('show');
            });
            var dropify_settings = {
                messages: {
                    'default': '<?php echo e(trans("backLang.dragAndDropFileHere")); ?>',
                    'replace': '<?php echo e(trans("backLang.dragAndDropFileToReplace")); ?>',
                    'remove': '<?php echo e(trans("backLang.delete")); ?>',
                    'error': '<?php echo e(trans("backLang.errorSomethingWrong")); ?>',
                }
            };
            $('#xls_file').dropify(dropify_settings);

            ajax_post_form("_import_receipts", '<?php echo e(trans("backLang.importData")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, table_name, false, false, true, function (data) {
                $('.dropify-clear').click();
            });
            <?php endif; ?>
            <?php if(Roles::Check("accountant_export")): ?>
            $("#_export_btn").on('click', function () {
                $("#search_submit_stat").val("export");
                $("#receipts_search_form").attr('action', '<?php echo e(route("AppReceiptsExport")); ?>');
                $("#receipts_search_form").attr('target', '_blank');
                $("#receipts_search_form").submit();
                $("#receipts_search_form").attr('action', '<?php echo e(route("AppReceipts",$stat)); ?>');
                $("#search_submit_stat").val("");
                $("#receipts_search_form").attr('target', '');
            });
            <?php endif; ?>
            <?php if(Roles::Check("accountant_print")): ?>
            $("#_print_btn").on('click', function () {
                $("#search_submit_stat").val("print");
                $("#receipts_search_form").attr('action', '<?php echo e(route("AppReceiptsPrint")); ?>');
                $("#receipts_search_form").attr('target', '_blank');
                $("#receipts_search_form").submit();
                $("#receipts_search_form").attr('action', '<?php echo e(route("AppReceipts",$stat)); ?>');
                $("#search_submit_stat").val("");
                $("#receipts_search_form").attr('target', '');
            });
            <?php endif; ?>

            <?php if(Helper::Preferences("date_type")): ?>
            $("#search_start").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#search_end").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#receipt_date").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            <?php else: ?>
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            <?php endif; ?>


            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });

            $('.custom-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                }
            });

            var dropify_settings = {
                messages: {
                    'default': '<?php echo e(trans("backLang.dragAndDropFileHere")); ?>',
                    'replace': '<?php echo e(trans("backLang.dragAndDropFileToReplace")); ?>',
                    'remove': '<?php echo e(trans("backLang.delete")); ?>',
                    'error': '<?php echo e(trans("backLang.errorSomethingWrong")); ?>',
                }
            };
            $('#attach_file').dropify(dropify_settings);

            // store receipt
            ajax_post_form("create_receipt", '<?php echo e(trans("backLang.add")); ?>', 'fe fe-save', '<?php echo trans("backLang.addDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, table_name, false, false, true, function (data) {
                $('.dropify-clear').click();
            });
            // update receipt
            ajax_post_form("edit_receipt", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, table_name, false, false, false);

            <?php if(@$create == "create"): ?>
            $('#create_receipt').modal('show');
            <?php endif; ?>
            $("#charges_status").on('change', function () {
                $("#charges_div").toggleClass("displaynone");
            });
            $("#fund_select").on('change', function () {
                var optionSelected = $(this).find('option:selected').attr('data-bank');
                if (optionSelected == "1") {
                    $("#charges_status_div").show();
                } else {
                    $("#charges_status_div").hide();
                    $("#charges_status").prop("checked", false);
                    $("#charges_div").removeClass("displaynone");
                    $("#charges_div").addClass("displaynone");
                }
            });
        });

        function edit_row(rid) {
            $("#edit_receipt_submit").prop('disabled', true);
            $('#edit_receipt').find('.modal-body .form-fields').html("<div class=\"text-center p-3\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
            $.get("<?php echo e(route("AppReceiptsEdit")); ?>/" + rid, function (data) {
                $('#edit_receipt').find('.modal-body .form-fields').html(data);
                $("#edit_receipt_submit").prop('disabled', false);
            });
            $('#edit_receipt').modal('show');
        }

        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppReceiptsDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', table_name, false);
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/accounting/receipts/home.blade.php ENDPATH**/ ?>