<div class="p-4">
    <?php
    $type = trans("backLang.dailyEntry");
    if (@$Receipt->type == 1) {
        $type = trans("backLang.cashReceipt");
    } elseif (@$Receipt->type == 0) {
        $type = trans("backLang.payReceipt");
    }
    ?>
    <table class="table table-bordered receipt m-0">
        <tbody>
        <tr>
            <th width="15%" class="bg-light font-weight-bold"><?php echo e(trans('backLang.entryNo')); ?></th>
            <td class="bg-white"><?php echo e($Receipt->id); ?> <small>( <?php echo e($type); ?> )</small></td>
            <th width="15%" class="bg-light font-weight-bold"><?php echo e(trans('backLang.date')); ?></th>
            <td class="bg-white"><?php echo e(date(Helper::Preferences("date_format"), strtotime($Receipt->date)) . " " . ((@$Receipt->date_type) ? trans("backLang.H") : trans("backLang.M"))); ?></td>
        </tr>
        <tr>
            <th class="bg-light font-weight-bold"><?php echo e(trans('backLang.constraintStatus')); ?></th>
            <td class="bg-white"><?php echo (($Receipt->posted) ? trans("backLang.posted")  :  trans("backLang.notPosted")) . "</div>"; ?></td>
            <th class="bg-light font-weight-bold"><?php echo e(trans('backLang.costPosition')); ?></th>
            <td class="bg-white"><?php echo Helper::Category($Receipt->center_id); ?></td>
        </tr>
        <tr>
            <th class="bg-light font-weight-bold"><?php echo e(trans('backLang.fileNo')); ?></th>
            <td class="bg-white"><?php echo e($Receipt->code); ?></td>
            <th class="bg-light font-weight-bold"><?php echo e(trans('backLang.attachments')); ?></th>
            <td class="bg-white">
                <?php
                $file_url = "";
                if ($Receipt->file != "") {
                    $file_url = route("AppReceiptsFilePreview", encrypt($Receipt->id));
                    $file_url = "<a href='" . $file_url . "' target='_blank'>" . $Receipt->file . "." . $Receipt->ext . "</a>";
                }
                echo $file_url;
                ?>
            </td>
        </tr>
        <tr>
            <th class="bg-light font-weight-bold"><?php echo e(trans('backLang.createdBy')); ?></th>
            <td class="bg-white"><?php echo e($Receipt->user->name); ?></td>
            <th class="bg-light font-weight-bold"><?php echo e(trans('backLang.createdAt')); ?></th>
            <td class="bg-white"><?php echo Helper::DateView($Receipt->created_at, 1); ?></td>
        </tr>
        </tbody>
    </table>
    <br>
    <div class="bg-light">
        <table class="table table-bordered receipt m-0">
            <thead class="bg-secondary">
            <th width="30%" class=" text-light"><?php echo e(trans('backLang.ledger')); ?></th>
            <th width="40%" class=" text-light"><?php echo e(trans('backLang.desc')); ?></th>
            <th width="15%" class="text-center text-light"><?php echo e(trans('backLang.debtor')); ?></th>
            <th width="15%" class="text-center text-light"><?php echo e(trans('backLang.creditor')); ?></th>
            </thead>
            <tbody>
            <?php ($j_count = $Receipt->journals()->count()); ?>
            <?php if($j_count > 0): ?>
                <?php ($i=0); ?>
                <?php ($total_dept=0); ?>
                <?php ($total_credit=0); ?>
                <?php $__currentLoopData = $Receipt->journals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Journal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php ($total_dept+=$Journal->cost_dept); ?>
                    <?php ($total_credit+=$Journal->cost_credit); ?>
                    <tr>
                        <td><?php echo e(@$Journal->ledger->code); ?>

                            - <?php echo e(@$Journal->ledger->{"title_".trans("backLang.code")}); ?></td>
                        <td><?php echo e($Journal->details); ?></td>
                        <td class="bg-grey text-center"><?php echo e(($Journal->dept >0)?number_format($Journal->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-"); ?></td>
                        <td class="bg-grey text-center"><?php echo e(($Journal->credit >0)?number_format($Journal->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-"); ?></td>
                    </tr>
                    <?php ($i++); ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <tr class="bg-white">
                    <td colspan="2" class=" font-weight-bold"><?php echo e(trans("backLang.total")); ?></td>
                    <td class="bg-grey text-center font-weight-bold"><?php echo e(number_format($total_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$DefaultCurrency->symbol); ?></td>
                    <td class="bg-grey text-center  font-weight-bold"><?php echo e(number_format($total_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$DefaultCurrency->symbol); ?></td>
                </tr>
            <?php endif; ?>

            </tbody>
        </table>
    </div>
</div>
<div class="modal-footer">
    <?php if(Roles::Check("accountant_print")): ?>
        <a href="<?php echo e(route("AppJournalReceipt", encrypt($Receipt->id))); ?>" target="_blank"
           class="btn btn-primary text-light"><i
                class="fe fe-printer"></i> <?php echo e(trans('backLang.print')); ?>

        </a>
    <?php endif; ?>
    <button type="button" class="btn btn-light" data-dismiss="modal"><i
            class="fe fe-x"></i> <?php echo e(trans('backLang.close')); ?>

    </button>
</div>
<style>
    .receipt td, .receipt th {
        padding: 3px 6px;
    }
</style>
<?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/accounting/reports/receipts/receipt.blade.php ENDPATH**/ ?>