<?php $__env->startSection('title', trans('backLang.generalSettings')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="<?php echo e(route("appSettings")); ?>"><?php echo e(trans('backLang.settings')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans('backLang.generalSettings')); ?></li>
                </ol>
            </nav>
            <?php echo e(Form::open(['route'=>['appGeneralSettingsUpdate'],'method'=>'POST', 'files' => true ])); ?>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?php echo e(trans('backLang.organizationDetails')); ?></h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <?php if(Helper::Preferences("ar_box_status")): ?>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label><?php echo trans('backLang.organizationName'); ?> <?php if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")): ?><?php echo trans('backLang.arabicBox'); ?><?php endif; ?></label>
                                            <div>
                                                <?php echo Form::text('app_title_ar',$Preferences->app_title_ar, array('placeholder' => '','class' => 'form-control','id'=>'app_title_ar','required'=>'', 'dir'=>trans('backLang.rtl'))); ?>

                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if(Helper::Preferences("en_box_status")): ?>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label><?php echo trans('backLang.organizationName'); ?>  <?php if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")): ?><?php echo trans('backLang.englishBox'); ?><?php endif; ?></label>
                                            <div>
                                                <?php echo Form::text('app_title_en',$Preferences->app_title_en, array('placeholder' => '','class' => 'form-control','id'=>'app_title_en','required'=>'', 'dir'=>trans('backLang.ltr'))); ?>

                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>

                            </div>
                            <div class="row clearfix m">
                                <?php if(Helper::Preferences("ar_box_status")): ?>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label
                                                for="app_logo_ar"><?php echo trans('backLang.organizationLogo'); ?> <?php if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")): ?><?php echo trans('backLang.arabicBox'); ?><?php endif; ?></label>
                                            <input type="file" name="app_logo_ar" id="app_logo_ar" data-height="120"
                                                   data-allowed-file-extensions="<?php echo e(trans("backLang.photo_extensions")); ?>" <?php echo ($Preferences->app_logo_ar!="")?"data-default-file=\"".URL::to('uploads/preferences/'.$Preferences->app_logo_ar)."\"":""; ?>>
                                            <?php echo Form::hidden('app_logo_ar_delete','0', array('id'=>'app_logo_ar_delete')); ?>

                                            <small>
                                                <i class="icon-info"></i> <?php echo trans('backLang.imagesTypes'); ?>

                                            </small>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if(Helper::Preferences("en_box_status")): ?>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label
                                                for="app_logo_en"><?php echo trans('backLang.organizationLogo'); ?> <?php if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")): ?><?php echo trans('backLang.englishBox'); ?><?php endif; ?></label>
                                            <input type="file" name="app_logo_en" id="app_logo_en" data-height="120"
                                                   data-allowed-file-extensions="<?php echo e(trans("backLang.photo_extensions")); ?>" <?php echo ($Preferences->app_logo_en!="")?"data-default-file=\"".URL::to('uploads/preferences/'.$Preferences->app_logo_en)."\"":""; ?>>
                                            <?php echo Form::hidden('app_logo_en_delete','0', array('id'=>'app_logo_en_delete')); ?>

                                            <small>
                                                <i class="icon-info"></i> <?php echo trans('backLang.imagesTypes'); ?>

                                            </small>
                                        </div>
                                    </div>
                                <?php endif; ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?php echo e(trans('backLang.attachmentSettings')); ?></h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form-label"><?php echo trans('backLang.allowedExtensions'); ?></label>
                                        <?php echo Form::textarea('allowed_ext',$Preferences->allowed_ext, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'),'rows'=>'3')); ?>

                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label class="form-label"><?php echo trans('backLang.allowedFilesTypes'); ?></label>
                                        <?php echo Form::textarea('allowed_types',$Preferences->allowed_types, array('placeholder' => '','class' => 'form-control', 'dir'=>trans('backLang.ltr'),'rows'=>'3')); ?>

                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="form-label"><?php echo trans('backLang.allowedSize'); ?></label>
                                <?php echo Form::number('allowed_size',$Preferences->allowed_size, array('class' => 'form-control')); ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <button type="submit" class="btn btn-lg btn-primary">  <?php echo trans('backLang.save'); ?></button>
            <?php echo e(Form::close()); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("page-script"); ?>
    <script>
        $(document).ready(function () {
            var dropify_settings = {
                messages: {
                    'default': '<?php echo e(trans("backLang.dragAndDropFileHere")); ?>',
                    'replace': '<?php echo e(trans("backLang.dragAndDropFileToReplace")); ?>',
                    'remove': '<?php echo e(trans("backLang.delete")); ?>',
                    'error': '<?php echo e(trans("backLang.errorSomethingWrong")); ?>',
                }
            };

            var drEvent = $('#app_logo_ar').dropify(dropify_settings);
            drEvent.on('dropify.beforeClear', function (event, element) {
                $("#app_logo_ar_delete").val('1');
            });

            var drEvent = $('#app_logo_en').dropify(dropify_settings);
            drEvent.on('dropify.beforeClear', function (event, element) {
                $("#app_logo_en_delete").val('1');
            });

            $('.countries').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });
            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/preferences/general.blade.php ENDPATH**/ ?>