<?php $__env->startSection('title', trans('backLang.loans')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">

            <div class="card card-collapsed" id="search_card">
                <div class="card-header">
                    <h3 class="card-title"><i class='icon-wallet'></i> <a href="<?php echo e(route("AppAccountingHome")); ?>"><?php echo trans('backLang.accountant'); ?></a> <i
                            class='fe fe-chevron-<?php echo e(trans("backLang.right")); ?>'></i> <span> <?php echo trans('backLang.loans'); ?></span>
                    </h3>
                    <div class="card-options">
                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><span
                                class="icon-magnifier" data-toggle="tooltip" id="search_card_icon"
                                title="<?php echo e(trans('backLang.search')); ?>"></span></a>
                    </div>
                </div>
                <div class="card-body">
                    <?php echo $__env->make('back.accounting.loans.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <?php if(Roles::Check("add")): ?>
                                <?php if(Roles::Check("loans_add")): ?>
                                    <a href="<?php echo e(route("LoansCreate")); ?>" class="btn btn-primary"><i
                                            class="fe fe-plus mb-2"></i> <?php echo e(trans("backLang.loanAdd")); ?></a>
                                <?php endif; ?>
                            <?php endif; ?>
                            <div class="card-options">
                                <?php if(Roles::Check("loans_print")): ?>
                                    <a href="javascript:void(0)" data-toggle="tooltip"
                                       id="_print_btn"
                                       data-original-title="<?php echo e(trans("backLang.print")); ?>">
                                        <i
                                            class="icon-printer"></i>
                                    </a>
                                <?php endif; ?>
                                <?php if(Roles::Check("loans_export")): ?>
                                    <a href="javascript:void(0)" data-toggle="tooltip"
                                       id="_export_btn"
                                       data-original-title="<?php echo e(trans("backLang.export")); ?>">
                                        <i
                                            class="icon-cloud-download"></i>
                                    </a>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="card bg-light border">
                                <div class="card-body m-0 p-0">
                                    <div class="row text-center">
                                        <div class="col-lg-4 col-sm-12 border-right p-3"><label class="mb-1 font-12"><?php echo e(trans('backLang.loansTotal')); ?></label> <h4 id="loans_total" class="font-20 font-weight-bold  m-0">-</h4></div>
                                        <div class="col-lg-4 col-sm-12 border-right p-3"><label class="mb-1 font-12"><?php echo e(trans('backLang.paid')); ?></label> <h4 id="loans_paid" class="font-20 font-weight-bold m-0 text-success">-</h4>
                                        </div>
                                        <div class="col-lg-4 col-sm-12 p-3"><label class="mb-1 font-12"><?php echo e(trans('backLang.unpaid')); ?></label> <h4 id="loans_unpaid" class="font-20 font-weight-bold m-0 text-danger">-</h4></div>
                                    </div>
                                </div>
                            </div>

                            <div class="table-responsive table-nowrap mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="loans_table">
                                    <thead>
                                    <th><?php echo e(trans('backLang.recordId')); ?></th>
                                    <th><?php echo e(trans('backLang.date')); ?></th>
                                    <th><?php echo e(trans('backLang.beneficiaryName')); ?></th>
                                    <th><?php echo e(trans('backLang.loansCategory')); ?></th>
                                    <th><?php echo e(trans('backLang.amount')); ?></th>
                                    <th><?php echo e(trans('backLang.paid')); ?></th>
                                    <th><?php echo e(trans('backLang.unpaid')); ?></th>
                                    <th><?php echo e(trans('backLang.status')); ?></th>
                                    <th class="text-center"><?php echo e(trans('backLang.options')); ?></th>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">
        var table_name = "#loans_table";
        var table_paginate = "<?php echo e(DeviceTrust::settings('BACKEND_PAGINATION')); ?>";
        $(document).ready(function () {
            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('LoansList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                        data.search_word = $("#search_word").val();
                        data.search_user = $("#search_user").val();
                        data.search_start = $("#search_start").val();
                        data.search_end = $("#search_end").val();
                        data.search_cat_id = $("#search_cat_id").val();
                        data.search_status = $("#search_status").val();
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }

                    if (this.api().page.info().recordsTotal > 0) {
                        $("#loans_total").html(dataTable.ajax.json().balance.total);
                        $("#loans_paid").html(dataTable.ajax.json().balance.paid);
                        $("#loans_unpaid").html(dataTable.ajax.json().balance.unpaid);
                    } else {
                        $("#loans_total").html('-');
                        $("#loans_paid").html('-');
                        $("#loans_unpaid").html('-');
                    }
                    $('[data-toggle="tooltip"]').tooltip();
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {"data": "id"},
                    {"data": "date"},
                    {"data": "name"},
                    {"data": "cat_id"},
                    {"data": "amount"},
                    {"data": "paid"},
                    {"data": "unpaid"},
                    {"data": "status"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[0, "desc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';


            $("#journals_search_form").submit(function (evt) {
                if ($("#search_submit_stat").val() == "") {
                    evt.preventDefault();
                    $(table_name).DataTable().ajax.reload();
                }
            });

            $('#search_card_icon').click(function () {
                $("#search_card").toggleClass("bg-light");
            });

            <?php if(Roles::Check("accountant_export")): ?>
            $("#_export_btn").on('click', function () {
                $("#search_submit_stat").val("export");
                $("#journals_search_form").attr('action', '<?php echo e(route("LoansExport")); ?>');
                $("#journals_search_form").attr('target', '_blank');
                $("#journals_search_form").submit();
                $("#journals_search_form").attr('action', '<?php echo e(route("Loans")); ?>');
                $("#search_submit_stat").val("");
                $("#journals_search_form").attr('target', '');
            });
            <?php endif; ?>
            <?php if(Roles::Check("accountant_print")): ?>
            $("#_print_btn").on('click', function () {
                $("#search_submit_stat").val("print");
                $("#journals_search_form").attr('action', '<?php echo e(route("LoansPrint")); ?>');
                $("#journals_search_form").attr('target', '_blank');
                $("#journals_search_form").submit();
                $("#journals_search_form").attr('action', '<?php echo e(route("Loans")); ?>');
                $("#search_submit_stat").val("");
                $("#journals_search_form").attr('target', '');
            });
            <?php endif; ?>

            <?php if(Helper::Preferences("date_type")): ?>
            $("#search_start").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#search_end").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            <?php else: ?>
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            <?php endif; ?>


            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });

            $('.custom-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                }
            });
        });

        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppReceiptsDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', table_name, false);
        }

        function view_receipt(id) {
            $("#_receipt_preview").modal('show');
            $('#_receipt_preview_details').html("<div class=\"text-center p-4\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
            $.get("<?php echo e(route("AppReceiptPreview")); ?>/" + id, function (data) {
                $('#_receipt_preview_details').html(data);
            });
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/loans/list.blade.php ENDPATH**/ ?>