<?php $__env->startSection('title', trans('backLang.postingToLedger')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">

            <div class="card card-collapsed" id="search_card">
                <div class="card-header">
                    <h3 class="card-title"><i class='icon-wallet'></i> <?php echo trans('backLang.accountant'); ?> <i
                            class='fe fe-chevron-<?php echo e(trans("backLang.right")); ?>'></i><span> <?php echo trans('backLang.postingToLedger'); ?></span>
                    </h3>
                    <div class="card-options">
                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><span
                                class="icon-magnifier" data-toggle="tooltip" id="search_card_icon"
                                title="<?php echo e(trans('backLang.search')); ?>"></span></a>
                    </div>
                </div>
                <div class="card-body">
                    <?php ($posting_page=1); ?>
                    <?php echo $__env->make('back.accounting.journals.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-body pt-2" id="multi_div">
                            <?php echo e(Form::open(['route'=>['AppAccountantPostingMulti'],'method'=>'POST','id'=>'multi_div_form'])); ?>

                            <div class="table-responsive table-nowrap mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="receipts_table">
                                    <thead>
                                    <th class="text-center row_check">
                                        <label class="custom-control custom-checkbox">
                                            <input type="checkbox"
                                                   class="custom-control-input check-all"
                                                   value="1">
                                            <span class="custom-control-label">&nbsp;</span>
                                        </label>
                                    </th>
                                    <th><?php echo e(trans('backLang.recordId')); ?></th>
                                    <th><?php echo e(trans('backLang.date')); ?></th>
                                    <th><?php echo e(trans('backLang.debtor')); ?></th>
                                    <th><?php echo e(trans('backLang.creditor')); ?></th>
                                    <th><?php echo e(trans('backLang.desc')); ?></th>
                                    <th><?php echo e(trans('backLang.status')); ?></th>
                                    <th class="text-center"><?php echo e(trans('backLang.options')); ?></th>
                                    </thead>
                                </table>
                            </div>
                            <div>
                                <div class="item-action dropdown">
                                    <a href="javascript:void(0)"
                                       class="btn btn-outline-primary dropdown-toggle"
                                       data-toggle="dropdown" aria-expanded="false"><i
                                            class="fe fe-more-vertical"></i> <?php echo e(trans('backLang.options')); ?>

                                    </a>
                                    <div
                                        class="options-list dropdown-menu dropdown-menu-<?php echo e(trans("backLang.right")); ?>"
                                        x-placement="bottom-end">
                                        <a href="javascript:void(0)" data-action="post"
                                           class="dropdown-item"><i
                                                class="dropdown-icon fe fe-corner-up-left"></i> <?php echo e(trans("backLang.postingToLedger")); ?>

                                        </a>
                                        <a href="javascript:void(0)" id="cancel_post_btn" data-action="unpost"
                                           class="dropdown-item displaynone"><i
                                                class="dropdown-icon fe fe-rotate-cw"></i> <?php echo e(trans("backLang.postingCancelFromLedger")); ?>

                                        </a>
                                        <a href="javascript:void(0)" data-action="delete"
                                           class="dropdown-item"><i
                                                class="dropdown-icon fe fe-trash"></i> <?php echo e(trans("backLang.deleteSelected")); ?>

                                        </a>
                                    </div>
                                </div>
                                <input type="hidden" name="action"
                                       id="multi_action">
                                <button type="submit" class="displaynone"
                                        id="multi_submit"></button>
                            </div>
                            <?php echo e(Form::close()); ?>

                            <div class="alert alert-danger displaynone mt-2" id="multi_div_errors">
                                <ul></ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection("popup"); ?>
    <div class="modal fade" id="_receipt_preview" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-book-open mb-2"></i> <?php echo e(trans('backLang.entryDetails')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body m-0 p-0">
                    <div id="_receipt_preview_details"></div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">
        var table_name = "#receipts_table";
        var table_paginate = "<?php echo e(DeviceTrust::settings('BACKEND_PAGINATION')); ?>";
        $(document).ready(function () {

            $(".check-all").on("click", function () {
                if ($(this).is(':checked')) {
                    $(table_name).find('input:checkbox').prop('checked', true);
                } else {
                    $(table_name).find('input:checkbox').prop('checked', false);
                }
            });

            $('#search_posted').on('change', function () {
                $("#cancel_post_btn").show();
            });

            $(".options-list .dropdown-item").on("click", function () {
                $("#multi_action").val($(this).attr('data-action'));
                if ($(this).attr('data-action') == "post") {
                    swal({
                        title: "<?php echo e(trans("backLang.areYouSureToPostAllLedger")); ?>",
                        type: "info",
                        showCancelButton: true,
                        closeOnConfirm: false,
                        animation: "slide-from-top",
                        confirmButtonText: "<?php echo e(trans("backLang.postingToLedger")); ?>",
                        cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                        showLoaderOnConfirm: true,
                        confirmButtonColor: "#45b8da",
                    }, function () {
                        $("#multi_submit").trigger('click');
                        swal.close();
                    });

                } else if ($(this).attr('data-action') == "unpost") {
                    swal({
                        title: "<?php echo e(trans("backLang.areYouSureToCancelAllPostLedger")); ?>",
                        type: "error",
                        showCancelButton: true,
                        closeOnConfirm: false,
                        animation: "slide-from-top",
                        confirmButtonText: "<?php echo e(trans("backLang.postingCancelFromLedger")); ?>",
                        cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                        showLoaderOnConfirm: true,
                        confirmButtonColor: "#F27474",
                    }, function () {
                        $("#multi_submit").trigger('click');
                        swal.close();
                    });
                } else {
                    swal({
                        title: "<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>",
                        type: "error",
                        showCancelButton: true,
                        closeOnConfirm: false,
                        animation: "slide-from-top",
                        confirmButtonText: "<?php echo e(trans("backLang.delete")); ?>",
                        cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                        showLoaderOnConfirm: true,
                        confirmButtonColor: "#F27474",
                    }, function () {
                        $("#multi_submit").trigger('click');
                        swal.close();
                    });

                }
            });

            ajax_post_form("multi_div", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', false, table_name, false, false, true);

            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('AppAccountantPostingList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                        data.search_word = $("#search_word").val();
                        data.search_currency = $("#search_currency").val();
                        data.search_user = $("#search_user").val();
                        data.search_start = $("#search_start").val();
                        data.search_end = $("#search_end").val();
                        data.search_center_id = $("#search_center_id").val();
                        data.search_posted = $("#search_posted").val();
                        data.search_ledger = $("#search_ledger").val();
                        data.search_period = $("#search_period").val();
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                    $('[data-toggle="tooltip"]').tooltip();
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {
                        "className": "row_check", "width": "5%", "data": "check", "orderable": false
                    },
                    {"data": "id"},
                    {"data": "date"},
                    {"data": "dept"},
                    {"data": "credit"},
                    {"data": "details"},
                    {"data": "posted"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[1, "desc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';


            $("#journals_search_form").submit(function (evt) {
                if ($("#search_submit_stat").val() == "") {
                    evt.preventDefault();
                    $(table_name).DataTable().ajax.reload();
                }
            });

            $('#search_card_icon').click(function () {
                $("#search_card").toggleClass("bg-light");
            });

            <?php if(Roles::Check("accountant_export")): ?>
            $("#_export_btn").on('click', function () {
                $("#search_submit_stat").val("export");
                $("#journals_search_form").attr('action', '<?php echo e(route("AppJournalsExport")); ?>');
                $("#journals_search_form").attr('target', '_blank');
                $("#journals_search_form").submit();
                $("#journals_search_form").attr('action', '<?php echo e(route("AppJournals")); ?>');
                $("#search_submit_stat").val("");
                $("#journals_search_form").attr('target', '');
            });
            <?php endif; ?>
            <?php if(Roles::Check("accountant_print")): ?>
            $("#_print_btn").on('click', function () {
                $("#search_submit_stat").val("print");
                $("#journals_search_form").attr('action', '<?php echo e(route("AppJournalsPrint")); ?>');
                $("#journals_search_form").attr('target', '_blank');
                $("#journals_search_form").submit();
                $("#journals_search_form").attr('action', '<?php echo e(route("AppJournals")); ?>');
                $("#search_submit_stat").val("");
                $("#journals_search_form").attr('target', '');
            });
            <?php endif; ?>

            <?php if(Helper::Preferences("date_type")): ?>
            $("#search_start").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#search_end").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            <?php else: ?>
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            <?php endif; ?>


            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });

            $('.custom-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                }
            });
        });

        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppReceiptsDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', table_name, false);
        }

        function post_row(rid) {
            ajax_delete_row("<?php echo route("AppAccountantPost"); ?>/" + rid, '<?php echo e(trans("backLang.areYouSureToPostLedger")); ?>', '<?php echo e(trans("backLang.postDo")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.entryPostedSuccessfully")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', table_name, false, false, function () {
            }, true);
        }

        function unpost_row(rid) {
            ajax_delete_row("<?php echo route("AppAccountantUnPost"); ?>/" + rid, '<?php echo e(trans("backLang.areYouSureToCancelPostLedger")); ?>', '<?php echo e(trans("backLang.postCancel")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.entryUnPostedSuccessfully")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', table_name, false);
        }

        function view_receipt(id) {
            $("#_receipt_preview").modal('show');
            $('#_receipt_preview_details').html("<div class=\"text-center p-4\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
            $.get("<?php echo e(route("AppReceiptPreview")); ?>/" + id, function (data) {
                $('#_receipt_preview_details').html(data);
            });
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/posting/home.blade.php ENDPATH**/ ?>