<?php if(Roles::Check("add")): ?>
    <?php if(Roles::Check("accountant_add")): ?>
        <div class="modal fade" id="create_receipt" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <?php echo e(Form::open(['route'=>['AppReceiptsStore'],'method'=>'POST','id'=>'create_receipt_form', 'files' => true])); ?>

                    <div class="modal-header">
                        <h5 class="modal-title"><i
                                class="fe fe-plus mb-2"></i> <?php echo e($add_title); ?></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body pa-0">
                        <div class="alert alert-danger displaynone m-0" id="create_receipt_errors">
                            <ul></ul>
                        </div>
                        <div class="p-3 bg-light border-bottom">
                            <div class="row clearfix">
                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <label class="form-label"><?php echo e(trans('backLang.amount')); ?></label>
                                        <div class="input-group">
                                            <?php echo Form::text('amount',"", array('id' => 'receipt_amount','class' => 'form-control money','required' => '','autocomplete'=>'off')); ?>

                                            <span class="input-group-append">
                                        <select name="currency" class="form-control custom-select" required>
                                             <?php $__currentLoopData = $Currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CurrencyItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option
                                                    value="<?php echo e($CurrencyItem->id); ?>" <?php echo (Helper::Preferences("default_currency")==$CurrencyItem->id)?"selected='selected'":""; ?>><?php echo e($CurrencyItem->symbol); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </span>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-2">
                                    <div class="form-group">
                                        <label
                                            class="form-label"><?php echo e(trans('backLang.payMethod')); ?></label>
                                        <select name="pay_method"
                                                class="form-control custom-select">
                                            <?php $__currentLoopData = Helper::Categories(10); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option
                                                    value="<?php echo e($CatItem->id); ?>"><?php echo e($CatItem->{"title_".trans("backLang.code")}); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label
                                            class="form-label"><?php echo e(trans('backLang.date')); ?></label>
                                        <?php echo Form::text('date',(Helper::Preferences("date_type"))?Helper::DateView(date('Y-m-d'),0,1,'Y/m/d'):date('Y/m/d'), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'receipt_date','autocomplete'=>'off')); ?>

                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label
                                            class="form-label"><?php echo e($fund_title); ?></label>
                                        <select name="fund" id="fund_select"
                                                class="form-control custom-select">
                                            <optgroup label="<?php echo e(trans("backLang.financialFunds")); ?>">
                                                <?php $__currentLoopData = $Funds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FundItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($FundItem->type): ?>
                                                        <option data-bank="0"
                                                                value="<?php echo e($FundItem->id); ?>" <?php echo (Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":""; ?>><?php echo e($FundItem->{"title_".trans("backLang.code")}); ?></option>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </optgroup>
                                            <optgroup label="<?php echo e(trans("backLang.bankAccountsTree")); ?>">
                                                <?php $__currentLoopData = $Funds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FundItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if(!$FundItem->type): ?>
                                                        <option data-bank="1"
                                                                value="<?php echo e($FundItem->id); ?>" <?php echo (Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":""; ?>><?php echo e($FundItem->{"title_".trans("backLang.code")}); ?>

                                                            [ <?php echo e($FundItem->code); ?> ] [ <?php echo e(@$FundItem->currency->code); ?>

                                                            ]
                                                        </option>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </optgroup>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="p-3">
                            <div class="row clearfix">
                                <div class="col-sm-<?php echo e((count(Helper::Categories(11)) >0)?5:6); ?>">
                                    <div class="form-group">
                                        <label
                                            class="form-label"><?php echo e(trans('backLang.CatTitle')); ?></label>
                                        <select name="cat_id" class="form-control list-items">
                                            <option value=""><?php echo e(trans('backLang.noCat')); ?></option>
                                            <?php $__currentLoopData = Helper::Categories($cats_id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option
                                                    value="<?php echo e($CatItem->id); ?>"
                                                    data-data='{"search-text":"<?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>"}'><?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>

                                                </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-<?php echo e((count(Helper::Categories(11)) >0)?3:6); ?>">
                                    <div class="form-group">
                                        <label
                                            class="form-label"><?php echo e(trans('backLang.fileNo')); ?></label>
                                        <?php echo Form::text('code',"", array('placeholder' => '','class' => 'form-control','autocomplete'=>'off')); ?>

                                    </div>
                                </div>
                                <?php if(count(Helper::Categories(11)) >0): ?>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label
                                                class="form-label"><?php echo e(trans('backLang.costPosition')); ?></label>
                                            <select name="center_id"
                                                    class="form-control list-items">
                                                <option value=""><?php echo e(trans('backLang.noCat')); ?></option>
                                                <?php $__currentLoopData = Helper::Categories(11); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if(($CatItem->start==null && $CatItem->end==null) || ($CatItem->start <= date('Y-m-d') && $CatItem->end >= date('Y-m-d'))): ?>
                                                        <option
                                                            value="<?php echo e($CatItem->id); ?>"
                                                            data-data='{"search-text":"<?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>"}'><?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>

                                                        </option>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </div>
                            <div class="row clearfix">
                                <div class="col-sm-7">
                                    <div class="form-group">
                                        <label
                                            class="form-label"><?php echo e(trans('backLang.nameOfCustomer')); ?></label>
                                        <select name="ledger"
                                                class="form-control list-items" required>
                                            <option
                                                value=""><?php echo e(trans('backLang.selectLedgerCat')); ?></option>
                                            <?php echo printAsSelectOptions($ledgers_array,NULL,((@$stat == "expenses")?Helper::Preferences("expenses_ledger"):Helper::Preferences("revenues_ledger")),0); ?>

                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label
                                            class="form-label"><?php echo e(trans('backLang.desc')); ?></label>
                                        <?php echo Form::textarea('details','', array('placeholder' => '','class' => 'form-control','required'=>'','rows'=>'2')); ?>

                                    </div>
                                </div>
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <label><?php echo trans('backLang.attachFile'); ?></label>
                                        <input type="file" name="file" id="attach_file" data-height="112"
                                               data-allowed-file-extensions="<?php echo e(str_replace(","," ",Helper::Preferences("allowed_ext"))); ?>">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="p-3 border-top displaynone" id="charges_status_div">
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <label class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" name="charges_status"
                                               id="charges_status"
                                               value="1">
                                        <span
                                            class="custom-control-label"><?php echo e(trans('backLang.bankChargesRegister')); ?></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row clearfix mt-2 displaynone" id="charges_div">
                                <div class="col-sm-3">
                                    <div>
                                        <?php echo Form::text('charges_amount',"", array('placeholder' => trans('backLang.amount'),'class' => 'form-control money','autocomplete'=>'off')); ?>

                                    </div>
                                </div>
                                <div class="col-sm-9">
                                    <?php echo Form::text('charges_details',trans('backLang.bankCharges'), array('placeholder' => trans('backLang.desc'),'class' => 'form-control money','autocomplete'=>'off')); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="type" value="<?php echo e((@$stat =="revenues")?1:0); ?>">
                        <button type="button" class="btn btn-light" data-dismiss="modal"><i
                                class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                        </button>
                        <button type="submit" id="create_receipt_submit" class="btn btn-primary">
                            &nbsp; <i
                                class="fe fe-save"></i> <?php echo trans('backLang.add'); ?> &nbsp;
                        </button>
                    </div>
                    <?php echo e(Form::close()); ?>

                </div>
            </div>
        </div>
    <?php endif; ?>
<?php endif; ?>
<?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/accounting/receipts/create.blade.php ENDPATH**/ ?>