<!DOCTYPE html>
<html lang="<?php echo e(__('dominion.langCode')); ?>" dir="<?php echo e(__('dominion.direction')); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="http://fekrait.com">
    <title><?php echo e(__('dominion.systemLicense')); ?></title>

    <!-- Favicons-->
    <link rel="shortcut icon" href="<?php echo e($js_css_folder_path.'/img/fav.png'); ?>" type="image/x-icon">

    <!-- BASE CSS -->
    <link href="<?php echo e($js_css_folder_path.'/css/bootstrap.min.css'); ?>" rel="stylesheet">
    <link href="<?php echo e($js_css_folder_path.'/css/menu.css'); ?>" rel="stylesheet">
    <link href="<?php echo e($js_css_folder_path.'/css/style.css'); ?>" rel="stylesheet">
    <link href="<?php echo e($js_css_folder_path.'/css/vendors.css'); ?>" rel="stylesheet">

    <?php if( __('dominion.direction')=="rtl"): ?>
        <link href="<?php echo e($js_css_folder_path.'/css/rtl.css'); ?>" rel="stylesheet">
    <?php endif; ?>
</head>

<body>

<div id="preloader">
    <div data-loader="circle-side"></div>
</div><!-- /Preload -->

<div id="loader_form">
    <div data-loader="circle-side-2"></div>
</div><!-- /loader_form -->

<div class="container-fluid">
    <div class="row row-height">
        <div class="col-xl-5 col-lg-5 content-left">
            <div class="content-left-wrapper">
                <a href="#" id="logo"><img src="<?php echo e($js_css_folder_path.'/img/logo.png'); ?>" alt="" height="40"></a>
                <div id="social">
                    <ul>
                        <li><a href="https://www.facebook.com/fekrait"><i class="icon-facebook"></i></a></li>
                        <li><a href="https://twitter.com/SalesFekraIT"><i class="icon-twitter"></i></a></li>
                        <li><a href="https://www.instagram.com/fekrait"><i class="icon-instagram"></i></a></li>
                        <li><a href="https://www.youtube.com/user/fekraitcom/playlists"><i class="icon-youtube"></i></a>
                        </li>
                        <li><a href="https://www.linkedin.com/company/10104865"><i class="icon-linkedin"></i></a></li>
                    </ul>
                </div>
                <!-- /social -->
                <div>
                    <figure><img src="<?php echo e((($page_icon !="")?$page_icon:$js_css_folder_path.'/img/copyright.svg')); ?>"
                                 alt="" width="220" height="140">
                    </figure>
                    <h2><?php echo __('dominion.fekraIt'); ?></h2>
                    <p>
                        <?php echo __('dominion.aboutFekraIt'); ?>

                    </p>

                    <div class="contacts">
                        <?php echo __('dominion.phone'); ?> : <a href="tel:00966560000934" dir="ltr"> (+966) 560000934</a><br>
                        <?php echo __('dominion.email'); ?> : <a href="mailto:info@fekrait.com.sa"> info@fekrait.com.sa</a><br>
                        <?php echo __('dominion.website'); ?> : <a href="https://fekrait.com" target="_blank">
                            fekrait.com</a>
                    </div>
                    <a href="https://fekrait.com/#block_456" target="_blank" class="btn_1 rounded yellow">
                        <i class="icon-mail-3"></i>
                        <?php echo __('dominion.contact'); ?>

                    </a>
                    &nbsp;
                    <a href="https://clients.fekrait.com/" target="_blank" class="btn_1 rounded yellow">
                        <i class="icon-users-3"></i>
                        <?php echo __('dominion.support'); ?>

                    </a>
                </div>
                <div class="copy">
                    <?php echo __('dominion.copyrights'); ?> - ©
                    <?php echo e(date("Y")); ?>

                </div>
            </div>
            <!-- /content-left-wrapper -->
        </div>
        <!-- /content-left -->
        <div class="col-xl-7 col-lg-7">
            <div class="content-right-wrapper">
                <?php if(trans('backLang.code')=="ar"): ?>
                    <a href="<?php echo e(URL::to('language/en')); ?>" class="language"><?php echo e(__('dominion.english')); ?>

                    </a>
                <?php else: ?>
                    <a href="<?php echo e(URL::to('language/ar')); ?>" class="language"><?php echo e(__('dominion.arabic')); ?>

                    </a>
                <?php endif; ?>
                <?php echo $__env->yieldContent('content'); ?>
            </div>
        </div>
        <!-- /content-right-->
    </div>
    <!-- /row-->
</div>
<!-- /container-fluid -->

<div class="cd-overlay-content">
    <span></span>
</div>

<script src="<?php echo e($js_css_folder_path.'/js/jquery-3.2.1.min.js'); ?>"></script>
<script src="<?php echo e($js_css_folder_path.'/js/common_scripts.min.js'); ?>"></script>
<script src="<?php echo e($js_css_folder_path.'/js/velocity.min.js'); ?>"></script>
<script src="<?php echo e($js_css_folder_path.'/js/common_functions.js'); ?>"></script>
<script src="<?php echo e($js_css_folder_path.'/js/func_1.js'); ?>"></script>
<?php echo $__env->yieldContent('footerInclude'); ?>
</body>
</html><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/preferences/license/layout.blade.php ENDPATH**/ ?>