<div class="p-4">
    <div class="row">
        <div class="col-sm-4">
            <div class="form-group">
                <label><?php echo trans('backLang.ledgerType'); ?></label>
                <div>
                    <select id="is_group" name="group" class="form-control custom-select" required>
                        <option value="1"><?php echo e(trans('backLang.group')); ?></option>
                        <option value="0"><?php echo e(trans('backLang.account')); ?></option>
                    </select>
                </div>
            </div>
        </div>
        <div class="col-sm-4">
            <div class="form-group">
                <label><?php echo trans('backLang.parentSection'); ?></label>
                <div>
                    <?php echo $__env->make('back.accounting.ledgers.select', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <select id="ledger_father_id" name="father_id" class="form-control list-items" required>
                        <option value=""><?php echo e(trans('backLang.selectLedgerCat')); ?></option>
                        <?php echo printAsSelectOptions($ledgers_array,NULL,0,0); ?>

                    </select>
                </div>
            </div>
        </div>

        <div class="col-sm-4">
            <div class="form-group">
                <label><?php echo trans('backLang.ledgerCode'); ?></label>
                <div>
                    <?php echo Form::text('code','', array('placeholder' => '','class' => 'form-control','required'=>'','id'=>'ledger_code')); ?>

                </div>
            </div>
        </div>
    </div>
    <div class="row">

        <?php if(Helper::Preferences("ar_box_status")): ?>
            <div class="col-sm-6">
                <div class="form-group">
                    <label
                        class="form-label"><?php echo trans('backLang.title'); ?> <?php if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")): ?><?php echo trans('backLang.arabicBox'); ?><?php endif; ?></label>
                    <?php echo Form::text('title_ar','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.rtl'),'id'=>'ledger_title_ar')); ?>

                </div>
            </div>
        <?php endif; ?>
        <?php if(Helper::Preferences("en_box_status")): ?>
            <div class="col-sm-6">
                <div class="form-group">
                    <label><?php echo trans('backLang.title'); ?>  <?php if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")): ?><?php echo trans('backLang.englishBox'); ?><?php endif; ?></label>
                    <div>
                        <?php echo Form::text('title_en','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.ltr'),'id'=>'ledger_title_en')); ?>

                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>
</div>
<div id="ledger_details" class="displaynone">
    <div class="p-4 bg-light border-top">
        <div class="row">
            <div class="col-sm-5">
                <div class="form-group">
                    <h6><?php echo e(trans('backLang.openingBalance')); ?></h6>
                    <div class="input-group">
                        <?php echo Form::text('amount',"", array('placeholder' => '','class' => 'form-control','autocomplete'=>'off')); ?>


                        <span class="input-group-append">
                                        <select name="currency" class="form-control custom-select">
                                             <?php $__currentLoopData = $Currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CurrencyItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option
                                                    value="<?php echo e($CurrencyItem->id); ?>" <?php echo (Helper::Preferences("default_currency")==$CurrencyItem->id)?"selected='selected'":""; ?>><?php echo e($CurrencyItem->symbol); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </span>
                        <span class="input-group-append">
                    <select name="amount_type" class="form-control custom-select">
                        <option value="0"><?php echo e(trans('backLang.debtor')); ?></option>
                        <option value="1"><?php echo e(trans('backLang.creditor')); ?></option>
                    </select>
                        </span>
                    </div>
                </div>
            </div>
            <div class="col-sm-7">
                <div class="form-group">
                    <label
                        class="form-label"><?php echo e(trans('backLang.desc')); ?></label>
                    <?php echo Form::text('details',trans('backLang.startBalance'), array('placeholder' => '','class' => 'form-control')); ?>

                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $('#is_group').on('change', function () {
        if ($(this).val() == 1) {
            $("#ledger_details").hide();
        } else {
            $("#ledger_details").show();
        }
    });

    $('#ledger_father_id').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    escape(data.text) +
                    '</div>';
            }
        },
        onChange: function (val) {
            var data = this.options[val];
            $("#ledger_code").val(data.code);
        }
    });
</script>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/ledgers/create.blade.php ENDPATH**/ ?>