<?php $__env->startSection('title', trans('backLang.cashFlowReport')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1><?php echo trans('backLang.cashFlowReport'); ?></h1>

                <?php if(!empty($Period)): ?>
                    <label><?php echo e(trans('backLang.accountantPeriod')); ?></label>
                    <strong><?php echo e($Period->code); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Ledger)): ?>
                    <label><?php echo e(trans('backLang.ledger')); ?></label>
                    <strong><?php echo e($Ledger->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_word !=""): ?>
                    <label><?php echo e(trans('backLang.searchFor')); ?></label>
                    <strong><?php echo $request->search_word; ?></strong>
                <?php endif; ?>
                <?php if(!empty($Currency)): ?>
                    <label><?php echo e(trans('backLang.currency')); ?></label>
                    <strong><?php echo e($Currency->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_center_id !=""): ?>
                    <label><?php echo e(trans('backLang.costPosition')); ?></label>
                    <strong><?php echo Helper::Category($request->search_center_id); ?></strong>
                <?php endif; ?>
                <?php if($request->search_user !=""): ?>
                    <label><?php echo e(trans('backLang.user')); ?></label>
                    <strong><?php echo Helper::usernameById($request->search_user); ?></strong>
                <?php endif; ?>
            </caption>
            <thead>
            <th class="text-light" width="12%"><?php echo e(trans('backLang.revenuesCats')); ?></th>
            <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <th class="text-center text-light"><?php echo e(@$Month["title"]); ?></th>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </thead>
            <tbody>
            <?php $__currentLoopData = Helper::Categories(8); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td>
                        <?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?></td>
                    <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <td class="text-center">
                            <small><?php echo e(number_format(@$Month["revenues"][$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></small>
                        </td>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <tr>
                <td><?php echo e(trans('backLang.other')); ?></td>
                <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <td class="text-center">
                        <small><?php echo e(number_format(@$Month["revenues_other"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></small>
                    </td>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tr>
            <tr>
                <td><?php echo e(trans('backLang.total')); ?></td>
                <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <td class="text-center">
                        <small><?php echo e(number_format(@$Month["revenues_total"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></small>
                    </td>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tr>
            </tbody>
        </table>
        <br>
        <table class="responsive-table center-table" id="ledgers_table">
            <thead>
            <tr>
                <th class="text-light" width="12%"><?php echo e(trans('backLang.expensesCats')); ?></th>
                <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <th class="text-center text-light"><?php echo e(@$Month["title"]); ?></th>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = Helper::Categories(9); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td>
                        <?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?></td>
                    <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <td class="text-center">
                            <small><?php echo e(number_format(@$Month["expenses"][$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></small>
                        </td>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <tr>
                <td><?php echo e(trans('backLang.other')); ?></td>
                <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <td class="text-center">
                        <small><?php echo e(number_format(@$Month["expenses_other"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></small>
                    </td>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tr>

            <tr>
                <td><?php echo e(trans('backLang.total')); ?></td>
                <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <td class="text-center">
                        <small><?php echo e(number_format(@$Month["expenses_total"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></small>
                    </td>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tr>
            </tbody>
        </table>
        <br>
        <table class="responsive-table center-table" id="ledgers_table">
            <thead>
            <tr>
                <th class="text-light" width="12%"><?php echo e(trans('backLang.cashFlowSituation')); ?></th>
                <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <th class="text-center text-light"><?php echo e(@$Month["title"]); ?></th>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tr>
            </thead>
            <tbody>
            <tr>

                <td><?php echo e(trans('backLang.total')); ?></td>
                <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <td class="text-center">
                        <small><?php echo e(number_format(@$Month["total"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></small>
                    </td>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tr>
            </tbody>
        </table>

        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/reports/cash/print.blade.php ENDPATH**/ ?>