<?php echo e(Form::open(['route'=>['AppReceipts',"stat"=>$stat],'method'=>'POST','id'=>'receipts_search_form'])); ?>

<div class="row clearfix">

    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_period" name="search_period" class="form-control custom-select">
                <option value=""><?php echo e(trans('backLang.accountantPeriod')); ?></option>
                <?php $__currentLoopData = $Periods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $PeriodItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option
                        value="<?php echo e($PeriodItem->id); ?>" <?php echo (Helper::Preferences("default_period")==$PeriodItem->id)?"selected='selected'":""; ?>>
                        <?php echo e($PeriodItem->code); ?>

                        [ <?php echo e(date('Y/m/d',strtotime($PeriodItem->start))); ?>

                        - <?php echo e(date('Y/m/d',strtotime($PeriodItem->end))); ?> ]
                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <?php echo Form::text('search_word',"", array('placeholder' => trans('backLang.searchFor'),'class' => 'form-control','id'=>'search_word',"autocomplete"=>"off")); ?>

        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <select name="search_fund" id="search_fund"
                    class="form-control custom-select">
                <option value=""><?php echo e($page_title); ?></option>
                <?php if(@$stat =="bank"): ?>
                    <?php $__currentLoopData = $Funds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FundItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if(!$FundItem->type): ?>
                            <option
                                value="<?php echo e($FundItem->id); ?>"><?php echo e($FundItem->{"title_".trans("backLang.code")}); ?>

                                [ <?php echo e($FundItem->code); ?> ] [ <?php echo e(@$FundItem->currency->code); ?> ]
                            </option>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    <?php $__currentLoopData = $Funds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FundItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($FundItem->type): ?>
                            <option
                                value="<?php echo e($FundItem->id); ?>"><?php echo e($FundItem->{"title_".trans("backLang.code")}); ?></option>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            </select>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_pay_method" name="search_pay_method" class="form-control custom-select">
                <option value=""><?php echo e(trans('backLang.payMethod')); ?></option>
                <?php $__currentLoopData = Helper::Categories(10); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option
                        value="<?php echo e($CatItem->id); ?>"><?php echo e($CatItem->{"title_".trans("backLang.code")}); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>
    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_currency" name="search_currency" class="form-control custom-select">
                <option value=""><?php echo e(trans('backLang.currency')); ?></option>
                <?php $__currentLoopData = $Currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CurrencyItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option
                        value="<?php echo e($CurrencyItem->id); ?>"><?php echo e($CurrencyItem->symbol); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <select name="search_cat" id="search_cat"
                    class="form-control list-items">
                <option value=""><?php echo e(trans('backLang.CatTitle')); ?></option>
                <optgroup label="<?php echo e(trans('backLang.revenues')); ?>">
                    <?php $__currentLoopData = Helper::Categories(8); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option
                            value="<?php echo e($CatItem->id); ?>"
                            data-data='{"search-text":"<?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>"}'> &nbsp;&nbsp; <?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </optgroup>
                <optgroup label="<?php echo e(trans('backLang.expenses')); ?>">
                    <?php $__currentLoopData = Helper::Categories(9); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option
                            value="<?php echo e($CatItem->id); ?>"
                            data-data='{"search-text":"<?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>"}'> &nbsp;&nbsp; <?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </optgroup>
            </select>
        </div>
    </div>

    <div class="col-sm-6">
        <div class="form-group">
            <div class="form-group">
                <div class="input-daterange input-group">
                    <input type="text" class="input-sm form-control datepicker" autocomplete="off" name="search_start"
                           id="search_start" placeholder="<?php echo e(trans("backLang.fromDate")); ?>">
                    <span class="input-group-addon range-to"><?php echo e(trans("backLang.to")); ?></span>
                    <input type="text" class="input-sm form-control datepicker" autocomplete="off" name="search_end"
                           id="search_end" placeholder="<?php echo e(trans("backLang.toDate")); ?>">
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_center_id" name="search_center_id" class="form-control  list-items">
                <option value=""><?php echo e(trans('backLang.costPosition')); ?></option>
                <?php $__currentLoopData = Helper::Categories(11); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option
                        value="<?php echo e($CatItem->id); ?>"
                        data-data='{"search-text":"<?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>"}'><?php echo e($CatItem->{"title_".trans("backLang.code")}); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>
    <div class="col-sm-3">
        <div class="form-group">
            <select name="search_user" id="search_user"
                    class="form-control custom-list">
                <option
                    value=""><?php echo e(trans('backLang.createdBy')); ?></option>
                <?php $__currentLoopData = $UsersList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $UserItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                    $share_user_avatar = URL::to('uploads/users/profile.jpg');
                    if ($UserItem->photo != "") {
                        $share_user_avatar = URL::to('uploads/users/' . $UserItem->photo);
                    }
                    ?>
                    <option
                        value="<?php echo e($UserItem->id); ?>"
                        data-data='{"image": "<?php echo e($share_user_avatar); ?>","code":"<?php echo e($UserItem->job); ?>","search-text":"<?php echo e($UserItem->name); ?>  <?php echo e($UserItem->job); ?>"}'><?php echo e($UserItem->name); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>
    <div class="col-sm-2">
        <input type="hidden" name="stat" id="search_submit_stat" value="">
        <input type="hidden" name="search_type" id="search_type" value="<?php echo e((@$stat =="bank")?1:0); ?>">
        <button type="submit" class="btn btn-primary w-100"><i class="fe fe-search"></i> <?php echo e(trans("backLang.search")); ?>

        </button>
    </div>
    <div class="col-sm-3">
        <div class="form-group">

        </div>
    </div>

</div>
<?php echo e(Form::close()); ?>

<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/bank/search.blade.php ENDPATH**/ ?>