<?php $__env->startSection('title', trans('backLang.revenuesAndExpenses')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table">
            <caption>
                <h1><?php echo trans('backLang.revenuesAndExpenses'); ?></h1>

                <?php if(!empty($Period)): ?>
                    <label><?php echo e(trans('backLang.accountantPeriod')); ?></label>
                    <strong><?php echo e($Period->code); ?></strong>
                <?php endif; ?>
                <?php if($request->search_pay_method !=""): ?>
                    <label><?php echo e(trans('backLang.payMethod')); ?></label>
                    <strong><?php echo Helper::Category($request->search_pay_method); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Fund)): ?>
                    <label><?php echo e(trans('backLang.box')); ?></label>
                    <strong><?php echo e($Fund->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Currency)): ?>
                    <label><?php echo e(trans('backLang.currency')); ?></label>
                    <strong><?php echo e($Currency->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_start !=""): ?>
                    <label><?php echo e(trans('backLang.fromDate')); ?></label>
                    <strong><?php echo $request->search_start; ?></strong>
                <?php endif; ?>
                <?php if($request->search_end !=""): ?>
                    <label><?php echo e(trans('backLang.toDate')); ?></label>
                    <strong><?php echo $request->search_end; ?></strong>
                <?php endif; ?>
                <?php if($request->search_center_id !=""): ?>
                    <label><?php echo e(trans('backLang.costPosition')); ?></label>
                    <strong><?php echo Helper::Category($request->search_center_id); ?></strong>
                <?php endif; ?>
                <?php if($request->search_user !=""): ?>
                    <label><?php echo e(trans('backLang.user')); ?></label>
                    <strong><?php echo Helper::usernameById($request->search_user); ?></strong>
                <?php endif; ?>
            </caption>
            <thead>
            <th><?php echo e(trans('backLang.revenuesDetails')); ?></th>
            <th><?php echo e(trans('backLang.total')); ?></th>
            </thead>
            <tbody>
            <?php $__currentLoopData = Helper::Categories(8); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td>
                        <?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?></td>
                    <td class="text-right font-weight-bold" width="33.3%">
                        <?php echo e(number_format(@$Revenues[$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol); ?>

                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
        <br>
        <table class="responsive-table center-table">
            <thead>
            <th><?php echo e(trans('backLang.expensesDetails')); ?></th>
            <th><?php echo e(trans('backLang.total')); ?></th>
            </thead>
            <tbody>
            <?php $__currentLoopData = Helper::Categories(9); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td>
                        <?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?></td>
                    <td class="text-right font-weight-bold" width="33.3%">
                        <?php echo e(number_format(@$Expenses[$CatItem->id], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol); ?>

                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </table>
        <br>
        <table class="responsive-table center-table">
            <thead>
            <tr>
                <th width="33.3%">
                    <?php echo e(trans('backLang.totalOf')); ?> <?php echo e(trans('backLang.revenues')); ?>

                </th>
                <th width="33.3%">
                    <?php echo e(trans('backLang.totalOf')); ?> <?php echo e(trans('backLang.expenses')); ?>

                </th>
                <th width="33.3%">
                    <?php echo e(trans('backLang.netProfit')); ?>

                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td><?php echo e(number_format($RevenuesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol); ?></td>
                <td><?php echo e(number_format($ExpensesTotal, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol); ?></td>
                <td><strong><?php echo e(number_format($NetProfit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol); ?></strong></td>
            </tr>
            </tbody>
        </table>
        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/reports/profit/print.blade.php ENDPATH**/ ?>