<?php
$page_title = trans('backLang.openingBalances');
$add_title = trans('backLang.addOpeningBalance');
$edit_title = trans('backLang.editOpeningBalance');
$entry_title = trans('backLang.startBalance');
$entries_title = trans('backLang.openingBalances');
$page_link = route("AppOpeningBalances");
if (@$stat == "reconciliation") {
    $page_title = trans('backLang.reconciliation');
    $add_title = trans('backLang.addReconciliation');
    $edit_title = trans('backLang.editReconciliation');
    $entry_title = trans('backLang.reconciliationEntry');
    $entries_title = trans('backLang.reconciliationEntries');
    $page_link = route("AppReconciliation");
}
?>
<?php $__env->startSection('title', $add_title); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid" id="create_balance">
            <?php echo e(Form::open(['route'=>['AppBalancesStore'],'method'=>'POST','id'=>'create_balance_form'])); ?>

            <div class="alert alert-danger displaynone" id="create_balance_errors">
                <ul></ul>
            </div>
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title"><i class='icon-wallet'></i> <?php echo trans('backLang.accountant'); ?> <i
                            class='fe fe-chevron-<?php echo e(trans("backLang.right")); ?>'></i> <a
                            href="<?php echo e($page_link); ?>"> <?php echo $page_title; ?></a> <i
                            class='fe fe-chevron-<?php echo e(trans("backLang.right")); ?>'></i>
                        <span> <?php echo $add_title; ?></span>
                    </h3>
                    <div class="card-options">
                        <a href="<?php echo e($page_link); ?>"><i
                                class="fe fe-x"></i></a>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.date')); ?></label>
                                <?php echo Form::text('date',(Helper::Preferences("date_type"))?Helper::DateView(date('Y-m-d'),0,1,'Y/m/d'):date('Y/m/d'), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'receipt_date','autocomplete'=>'off','tabindex'=>'0')); ?>

                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.currency')); ?></label>
                                <select name="currency" tabindex="1"
                                        class="form-control custom-select">
                                    <option value=""><?php echo e(trans('backLang.currency')); ?></option>
                                    <?php $__currentLoopData = $Currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CurrencyItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            <?php echo (Helper::Preferences("default_currency")==$CurrencyItem->id)?"selected='selected'":""; ?>

                                            value="<?php echo e($CurrencyItem->id); ?>"><?php echo e($CurrencyItem->symbol); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <?php if(count(Helper::Categories(11)) >0): ?>
                            <div class="col-sm-5">
                                <div class="form-group">
                                    <label class="form-label"><?php echo e(trans('backLang.costPosition')); ?></label>
                                    <select name="center_id" tabindex="2"
                                            class="form-control list-items">
                                        <option value=""><?php echo e(trans('backLang.noCat')); ?></option>
                                        <?php $__currentLoopData = Helper::Categories(11); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if(($CatItem->start==null && $CatItem->end==null) || ($CatItem->start <= date('Y-m-d') && $CatItem->end >= date('Y-m-d'))): ?>
                                                <option
                                                    value="<?php echo e($CatItem->id); ?>"
                                                    data-data='{"search-text":"<?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>"}'><?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>

                                                </option>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php echo $__env->make('back.accounting.ledgers.select', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title"><?php echo e($entries_title); ?></h3>
                    <div class="card-options">
                        <a href="javascript:void(0)" data-toggle="tooltip" id="add_row_btn" tabindex="3"
                           data-original-title="<?php echo e(trans("backLang.add")); ?>"><i
                                class="fe fe-plus"></i></a>
                    </div>
                </div>
                <div class="card-body">
                    <div>
                        <table class="table table-hover table-bordered mb-0" id="journals_table">
                            <thead>
                            <tr>
                                <th width="30%"><?php echo e(trans('backLang.ledger')); ?></th>
                                <th width="12%" class="text-center bg-light"><?php echo e(trans('backLang.debtor')); ?></th>
                                <th width="12%" class="text-center bg-light"><?php echo e(trans('backLang.creditor')); ?></th>
                                <th class="text-center"><?php echo e(trans('backLang.desc')); ?></th>
                                <th class="text-center"><?php echo e(trans('backLang.options')); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr class="row_1">
                                <td>
                                    <input type="hidden" name="rows_id" value="1">
                                    <div class="form-group m-0">
                                        <div class="row gutters-xs">
                                            <div class="col">
                                                <select name="ledger_1" tabindex="4"
                                                        class="form-control list-items list-items-1"
                                                        required>
                                                    <option
                                                        value=""><?php echo e(trans('backLang.selectLedgerCat')); ?></option>
                                                    <?php echo printAsSelectOptions($ledgers_array,NULL,0,0); ?>

                                                </select>
                                            </div>
                                            <span class="col-auto"><button
                                                    class="btn btn-light" onclick="ledgers_load(1)"
                                                    type="button"><i
                                                        class="fe fe-search"></i></button></span>
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center bg-light">
                                    <?php echo Form::text('debtor_1',"", array('placeholder' => '','class' => 'form-control text-center debtor money','tabindex'=>'5')); ?>

                                </td>
                                <td class="text-center bg-light">
                                    <?php echo Form::text('creditor_1',"", array('placeholder' => '','class' => 'form-control text-center creditor money','tabindex'=>'6')); ?>

                                </td>
                                <td class="text-center">
                                    <?php echo Form::textarea('details_1',$entry_title, array('class' => 'form-control','required'=>'','rows'=>'1','tabindex'=>'7')); ?>

                                </td>
                                <td class="text-center">-</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <input type="hidden" name="rows_count" id="rows_count" value="1">
            <input type="hidden" name="rows_max" id="rows_max" value="1">
            <input type="hidden" name="stat" value="<?php echo e(@$stat); ?>">
            <button type="submit" id="create_balance_submit"
                    class="btn btn-primary">  <?php echo e(trans('backLang.add')); ?> <?php echo e($entries_title); ?></button>
            <?php echo e(Form::close()); ?>

        </div>
    </div>

    <div id="ledgers_list" class="displaynone">
        <?php echo printAsSelectOptions($ledgers_array,NULL,0,0); ?>

    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection("popup"); ?>
    <div class="modal fade" id="ledger_selector" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-link mb-2"></i> <?php echo e(trans("backLang.accountantTree")); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-0 pb-3">
                    <div class="form-fields">
                        <div class="text-center p-3">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted"><?php echo e(trans("backLang.loading")); ?></small>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">

        var leaders_loaded = false;
        var selectize_options = {
            searchField: 'search-text',
            render: {
                option: function (data, escape) {
                    return '<div>' +
                        '<span class="title">' + escape(data.text) + '</span>' +
                        '</div>';
                },
                item: function (data, escape) {
                    return '<div>' +
                        escape(data.text) +
                        '</div>';
                }
            }
        };

        $(document).ready(function () {
            <?php if(Helper::Preferences("date_type")): ?>
            $("#receipt_date").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            <?php else: ?>
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            <?php endif; ?>

            $('.list-items').selectize(selectize_options);

            var dropify_settings = {
                messages: {
                    'default': '<?php echo e(trans("backLang.dragAndDropFileHere")); ?>',
                    'replace': '<?php echo e(trans("backLang.dragAndDropFileToReplace")); ?>',
                    'remove': '<?php echo e(trans("backLang.delete")); ?>',
                    'error': '<?php echo e(trans("backLang.errorSomethingWrong")); ?>',
                }
            };
            var drEvent = $('#attach_file').dropify(dropify_settings);


            // store receipt
            ajax_post_form("create_balance", '<?php echo e(trans("backLang.add")); ?>', 'fe fe-save', '<?php echo trans("backLang.addDone"); ?>', '<?php echo trans("backLang.close"); ?>', false, "", false, false, false, function (data) {
                window.setTimeout(function () {
                    location.href = '<?php echo e($page_link); ?>';
                }, 2000);
            });

            $("#add_row_btn").on('click', function () {
                add_row();
            });
        });
        var rows_count = 1;
        var rows_max = 1;
        var tabindex = 7;

        function delete_row() {
            rows_count--;
            $("#rows_count").val(rows_count);
            tabindex = tabindex - 4;
        }

        function add_row() {
            rows_count++;
            $("#rows_count").val(rows_count);
            rows_max++;
            $("#rows_max").val(rows_max);

            $("#journals_table").find('tbody').append("<tr class=\"account row_" + rows_count + "\">" +
                "<td><input type=\"hidden\" name=\"rows_id\" value=\"" + rows_count + "\"><div class=\"row gutters-xs\"><div class=\"col\"><select name=\"ledger_" + rows_count + "\" class=\"form-control list-items list-items-" + rows_count + "\" required  tabindex=\"" + (tabindex++) + "\"><option value=\"\"><?php echo e(trans('backLang.selectLedgerCat')); ?></option>" + $("#ledgers_list").html() + "</select></div><span class=\"col-auto\"><button class=\"btn btn-light\" onclick=\"ledgers_load(" + rows_count + ")\" type=\"button\"><i class=\"fe fe-search\"></i></button></span></div></td>" +
                "<td class=\"text-center bg-light\"><input placeholder=\"\" name=\"debtor_" + rows_count + "\" type=\"text\" value=\"\" class=\"form-control text-center debtor money\" tabindex=\"" + (tabindex++) + "\"></td>" +
                "<td class=\"text-center bg-light\"><input placeholder=\"\" name=\"creditor_" + rows_count + "\" type=\"text\" value=\"\" class=\"form-control text-center creditor money\" tabindex=\"" + (tabindex++) + "\"></td>" +
                "<td class=\"text-center\"><textarea required=\"\" rows=\"1\" name=\"details_" + rows_count + "\" cols=\"50\" class=\"form-control\" tabindex=\"" + (tabindex++) + "\"><?php echo e($entry_title); ?></textarea></td>" +
                "<td class=\"text-center\"><button type=\"button\" class=\"btn btn-light\" onclick=\"javascript:$(this).parent().parent().remove();delete_row()\"> <i class=\"fe fe-trash\"></i></button></td>" +
                "</tr>"
            );
            $('.list-items-' + rows_count).selectize(selectize_options);
            $('.money').on('input', function () {
                this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');
            });
        }

        function ledgers_load(row) {
            current_row = row;
            $('#ledger_selector').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
            $('#ledger_selector').modal('show');
            $.get("<?php echo e(route("AppJournalLedgers")); ?>", function (data) {
                $('#ledger_selector').find('.modal-body .form-fields').html(data);
            });
            leaders_loaded = true;
        }

        function ledger_select(id) {
            $('#ledger_selector').modal('hide');
            $("#journals_table").find('.row_' + current_row + ' .list-items-' + current_row).data('selectize').setValue(id);
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/balances/create.blade.php ENDPATH**/ ?>