<?php if(Roles::Check("accountant_period_close")): ?>
    <div class="modal fade" id="close_period" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <?php echo e(Form::open(['route'=>['appAccountingPeriodClose'],'method'=>'POST','id'=>'close_period_form'])); ?>

                <div class="modal-header">
                    <h5 class="modal-title"><?php echo e(trans("backLang.accountantPeriodClose")); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body text-center">

                    <div class="alert alert-info"><?php echo trans("backLang.accountantPeriodCloseAlert"); ?></div>
                    <div class="alert alert-danger displaynone m-0" id="close_period_errors">
                        <ul></ul>
                    </div>
                    <div class="form-group">
                        <label
                            class="form-label text-danger font-weight-bold"><?php echo trans('backLang.accountantPeriodWillClose'); ?>

                            : </label>
                        <div class="p-2 border bg-light mt-2 font-15 rounded">
                            <span class="font-weight-bold"><?php echo e(@$PeriodItem->code); ?></span>
                            &nbsp; &nbsp;
                            <span class="badge badge-secondary"><?php echo e(trans("backLang.fromDate")); ?></span>
                            <span class="font-weight-bold"><?php echo e(@$DefaultPeriod->start); ?></span>
                            &nbsp; &nbsp;
                            <span class="badge badge-secondary"><?php echo e(trans("backLang.toDate")); ?></span>
                            <span class="font-weight-bold"><?php echo e(@$DefaultPeriod->end); ?></span>
                        </div>
                    </div>
                    <?php ($p_count=0); ?>
                    <?php ($required="required"); ?>
                    <div class="form-group mt-2">
                        <label
                            class="form-label text-success font-weight-bold"><?php echo trans('backLang.chooseNewAccountantPeriod'); ?></label>
                        <select name="new_period" id="new_period" required
                                class="form-control custom-select">
                            <?php $__currentLoopData = $Periods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $PeriodItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($PeriodItem->status && $PeriodItem->id!=@$DefaultPeriod->id): ?>
                                    <?php ($p_count++); ?>
                                    <?php ($required=""); ?>
                                    <option
                                        <?php echo (!$PeriodItem->status)?"disabled='disabled'":""; ?>

                                        value="<?php echo e($PeriodItem->id); ?>">
                                        <?php echo e($PeriodItem->code); ?>

                                        ( <?php echo e(trans("backLang.fromDate")); ?>

                                        : <?php echo e(date('Y/m/d', strtotime($PeriodItem->start))); ?>

                                        - <?php echo e(trans("backLang.toDate")); ?>

                                        : <?php echo e(date('Y/m/d', strtotime($PeriodItem->end))); ?> )
                                    </option>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <option value="-1">[ <?php echo e(trans('backLang.addNewPeriod')); ?> ]</option>
                        </select>

                        <div id="new_period_details"
                             class="mt-3 p-3 border bg-light <?php echo e(($p_count>0)?"displaynone":""); ?>">
                            <div class="form-group">
                                <label class="form-label"><?php echo trans('backLang.periodCode'); ?></label>
                                <?php echo Form::text('code','', array('id' => 'new_period_code','class' => 'form-control',$required=>'')); ?>

                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label><?php echo trans('backLang.startDate'); ?></label>
                                        <div>
                                            <?php echo Form::text('start','', array('id' => 'new_period_start','class' => 'form-control datepicker text-center',$required=>'','autocomplete'=>'off')); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label><?php echo trans('backLang.endDate'); ?></label>
                                        <div>
                                            <?php echo Form::text('end','', array('id' => 'new_period_end','class' => 'form-control datepicker text-center',$required=>'','autocomplete'=>'off')); ?>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                    </button>
                    <button type="submit" id="close_period_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> <?php echo trans('backLang.accountantPeriodClose'); ?> &nbsp;
                    </button>
                </div>
                <?php echo e(Form::close()); ?>

            </div>
        </div>
    </div>
<?php endif; ?>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/preferences/close.blade.php ENDPATH**/ ?>