<?php
$page_title = trans('backLang.cashReceipts');
$cats_id = 8;
if (@$stat == "expenses") {
    $page_title = trans('backLang.payReceipts');
    $cats_id = 9;
}
?>
<?php $__env->startSection('title', $page_title); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">

            <div class="card" id="search_card">
                <div class="card-header">
                    <h3 class="card-title"><a href="<?php echo e(route("AppReports")); ?>"><?php echo trans('backLang.reports'); ?></a> <i
                            class='fe fe-chevron-<?php echo e(trans("backLang.right")); ?>'></i><span> <?php echo $page_title; ?></span>
                    </h3>
                    <div class="card-options">

                            <a href="javascript:void(0)" data-toggle="tooltip"
                               id="_print_btn"
                               data-original-title="<?php echo e(trans("backLang.print")); ?>">
                                <i
                                    class="icon-printer"></i>
                            </a>
                            <a href="javascript:void(0)" data-toggle="tooltip"
                               id="_export_btn"
                               data-original-title="<?php echo e(trans("backLang.export")); ?>">
                                <i
                                    class="icon-cloud-download"></i>
                            </a>
                    </div>
                </div>
                <div class="card-body">
                    <?php echo $__env->make('back.accounting.reports.receipts.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>

            <div class="row clearfix displaynone" id="results_table_div">
                <div class="col-sm-12">
                    <div class="card pt-2">
                        <div class="card-body">
                            <div class="table-responsive table-nowrap mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="receipts_table">
                                    <thead>
                                    <th><?php echo e(trans('backLang.recordId')); ?></th>
                                    <th><?php echo e(trans('backLang.date')); ?></th>
                                    <th><?php echo e(trans('backLang.amount')); ?></th>
                                    <th><?php echo e(trans('backLang.desc')); ?></th>
                                    <th><?php echo e(trans('backLang.nameOfCustomer')); ?></th>
                                    <th><?php echo e(trans('backLang.createdBy')); ?></th>
                                    <th class="text-center"><?php echo e(trans('backLang.options')); ?></th>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">
        var table_name = "#receipts_table";
        var table_paginate = "<?php echo e(DeviceTrust::settings('BACKEND_PAGINATION')); ?>";
        $(document).ready(function () {
            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "deferLoading": 0,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('AppReportsReceiptsList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                        data.search_word = $("#search_word").val();
                        data.search_fund = $("#search_fund").val();
                        data.search_pay_method = $("#search_pay_method").val();
                        data.search_currency = $("#search_currency").val();
                        data.search_cat = $("#search_cat").val();
                        data.search_user = $("#search_user").val();
                        data.search_start = $("#search_start").val();
                        data.search_end = $("#search_end").val();
                        data.search_type = $("#search_type").val();
                        data.search_center_id = $("#search_center_id").val();
                        data.search_period = $("#search_period").val();
                        data.search_ledger = $("#search_ledger").val();
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                    $('[data-toggle="tooltip"]').tooltip();
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {"data": "id"},
                    {"data": "date"},
                    {"data": "amount"},
                    {"data": "details"},
                    {"data": "ledger_id"},
                    {"data": "created_by"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[1, "asc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';

            $("#receipts_search_form").submit(function (evt) {
                if ($("#search_submit_stat").val() == "") {
                    $("#results_table_div").show();
                    evt.preventDefault();
                    $(table_name).DataTable().ajax.reload();
                }
            });

            $("#_export_btn").on('click', function () {
                $("#search_submit_stat").val("export");
                $("#receipts_search_form").attr('action', '<?php echo e(route("AppReceiptsExport")); ?>');
                $("#receipts_search_form").attr('target', '_blank');
                $("#receipts_search_form").submit();
                $("#receipts_search_form").attr('action', '<?php echo e(route("AppReceipts",$stat)); ?>');
                $("#search_submit_stat").val("");
                $("#receipts_search_form").attr('target', '');
            });
            $("#_print_btn").on('click', function () {
                $("#search_submit_stat").val("print");
                $("#receipts_search_form").attr('action', '<?php echo e(route("AppReceiptsPrint")); ?>');
                $("#receipts_search_form").attr('target', '_blank');
                $("#receipts_search_form").submit();
                $("#receipts_search_form").attr('action', '<?php echo e(route("AppReceipts",$stat)); ?>');
                $("#search_submit_stat").val("");
                $("#receipts_search_form").attr('target', '');
            });

            <?php if(Helper::Preferences("date_type")): ?>
            $("#search_start").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#search_end").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#receipt_date").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            <?php else: ?>
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            <?php endif; ?>

            $('.list-items').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            escape(data.text) +
                            '</div>';
                    }
                }
            });

            $('.custom-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) + '</div>';
                    }
                }
            });
        });

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/reports/receipts/list.blade.php ENDPATH**/ ?>