<?php $__env->startSection('title', trans('backLang.textPages')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="<?php echo e(route("appSettings")); ?>"><?php echo e(trans('backLang.settings')); ?></a></li>
                    <li class="breadcrumb-item active"
                        aria-current="page"><?php echo e(trans('backLang.textPages')); ?></li>
                </ol>
            </nav>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <?php if(Roles::Check("add")): ?>
                                <button type="button" class="btn btn-primary" data-toggle="modal"
                                        data-target="#create_page"><i
                                        class="fe fe-plus mb-2"></i> <?php echo e(trans('backLang.addNewPage')); ?></button>
                            <?php else: ?>
                                <h3 class="card-title"><?php echo e(trans('backLang.users')); ?></h3>
                            <?php endif; ?>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="pages_table">
                                    <thead>
                                    <th>#</th>
                                    <th><?php echo e(trans('backLang.title')); ?></th>
                                    <th><?php echo e(trans('backLang.visits')); ?></th>
                                    <th><?php echo e(trans('backLang.status')); ?></th>
                                    <th class="text-center"><?php echo e(trans('backLang.options')); ?></th>
                                    </thead>
                                </table>
                            </div>
                            <?php echo $__env->make('back.preferences.pages.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="edit_page" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <?php echo e(Form::open(['route'=>['AppPagesUpdate'],'method'=>'POST','id'=>'edit_page_form'])); ?>

                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-pencil mb-2"></i> <?php echo e(trans('backLang.editPage')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="edit_page_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted"><?php echo e(trans("backLang.loading")); ?></small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                    </button>
                    <button type="submit" id="edit_page_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> <?php echo e(trans('backLang.save')); ?> &nbsp;
                    </button>
                </div>
                <?php echo e(Form::close()); ?>

            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startPush("after-styles"); ?>
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startPush("after-scripts"); ?>
    <script src="<?php echo e(asset('back/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<?php $__env->startSection("page-script"); ?>
    <script>

        var table_paginate = "<?php echo e(DeviceTrust::settings('BACKEND_PAGINATION')); ?>";
        var table_name = "#pages_table";

        $(document).ready(function () {
            $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('AppPagesList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {"width": "5%","data": "id"},
                    {"data": "title"},
                    {"width": "5%","data": "visits"},
                    {"width": "5%","data": "status"},
                    {"width": "10%", "data": "options", "orderable": false}
                ],
                "order": [[0, "asc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';

        });

        $(document).ready(function () {
            $('.summer').summernote({
                lang: 'ar-AR',
                height: 250,
                dialogsInBody: true,
                toolbar: [
                    ['style', ['style']],
                    ['font', ['bold', 'underline', 'clear']],
                    ['fontname', ['fontname','height']],
                    ['color', ['color']],
                    ['para', [ 'ol', 'paragraph']],
                    ['table', ['table']],
                    ['insert', ['link', 'picture', 'video', 'hr']],
                    ['view', ['fullscreen', 'codeview']],
                    ['help', ['help']]
                ],
                lang: (app_preferences["lang"] == "ar") ? "ar-AR" : "en-EN"
            });
            $(document).on("show.bs.modal", '.modal', function (event) {
                var zIndex = 100000 + (10 * $(".modal:visible").length);
                $(this).css("z-index", zIndex);
                setTimeout(function () {
                    $(".modal-backdrop").not(".modal-stack").first().css("z-index", zIndex - 1).addClass("modal-stack");
                }, 0);
            }).on("hidden.bs.modal", '.modal', function (event) {
                $(".modal:visible").length && $("body").addClass("modal-open");
            });
            $(document).on('inserted.bs.tooltip', function (event) {
                var zIndex = 100000 + (10 * $(".modal:visible").length);
                var tooltipId = $(event.target).attr("aria-describedby");
                $("#" + tooltipId).css("z-index", zIndex);
            });
            $(document).on('inserted.bs.popover', function (event) {
                var zIndex = 100000 + (10 * $(".modal:visible").length);
                var popoverId = $(event.target).attr("aria-describedby");
                $("#" + popoverId).css("z-index", zIndex);
            });

            // store page
            ajax_post_form("create_page", '<?php echo e(trans("backLang.add")); ?>', 'fe fe-save', '<?php echo trans("backLang.addDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, table_name , false, false, true, function () {
                $("#details_ar").summernote("reset");
                $("#details_en").summernote("reset");
            });

            // update page
            ajax_post_form("edit_page", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, table_name , false, false, true);

            $("#edit_page").on("hidden.bs.modal", function () {
                $("#edit_page_errors").hide();
                $('#edit_page').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
            });
        });

        function edit_row(rid) {
            $("#edit_page_submit").prop('disabled', true);
            $.get("<?php echo e(route("AppPagesEdit")); ?>/" + rid, function (data) {
                $('#edit_page').find('.modal-body .form-fields').html(data);
                $("#edit_page_submit").prop('disabled', false);
            });
            $('#edit_page').modal('show');
        }

        // delete category
        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppPagesDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', table_name, false);
        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/Laravel/accounting/resources/views/back/preferences/pages/list.blade.php ENDPATH**/ ?>