<?php echo e(Form::open(['route'=>['AppJournals'],'method'=>'POST','id'=>'journals_search_form'])); ?>

<div class="row clearfix">

    <div class="col-sm-3">
        <div class="form-group">
            <select id="search_period" name="search_period" class="form-control custom-select">
                <option value=""><?php echo e(trans('backLang.accountantPeriod')); ?></option>
                <?php $__currentLoopData = $Periods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $PeriodItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option
                        value="<?php echo e($PeriodItem->id); ?>" <?php echo (Helper::Preferences("default_period")==$PeriodItem->id)?"selected='selected'":""; ?>>
                        <?php echo e($PeriodItem->code); ?>

                        [ <?php echo e(date('Y/m/d',strtotime($PeriodItem->start))); ?>

                        - <?php echo e(date('Y/m/d',strtotime($PeriodItem->end))); ?> ]
                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <?php echo Form::text('search_word',"", array('placeholder' => trans('backLang.searchFor'),'class' => 'form-control','id'=>'search_word',"autocomplete"=>"off")); ?>

        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <?php echo $__env->make('back.accounting.ledgers.select', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <select id="search_ledger" name="search_ledger" class="form-control list-items">
                <option value=""><?php echo e(trans('backLang.ledger')); ?></option>
                <?php echo printAsSelectOptions($ledgers_array,NULL,@$_GET['ledger'],0); ?>

            </select>
        </div>
    </div>

    <div class="col-sm-3">
        <div class="form-group">
            <select name="search_user" id="search_user"
                    class="form-control custom-list">
                <option
                    value=""><?php echo e(trans('backLang.createdBy')); ?></option>
                <?php $__currentLoopData = $UsersList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $UserItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                    $share_user_avatar = URL::to('uploads/users/profile.jpg');
                    if ($UserItem->photo != "") {
                        $share_user_avatar = URL::to('uploads/users/' . $UserItem->photo);
                    }
                    ?>
                    <option
                        value="<?php echo e($UserItem->id); ?>"
                        data-data='{"image": "<?php echo e($share_user_avatar); ?>","code":"<?php echo e($UserItem->job); ?>","search-text":"<?php echo e($UserItem->name); ?>  <?php echo e($UserItem->job); ?>"}'><?php echo e($UserItem->name); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>
    <div class="col-sm-4">
        <div class="form-group">
            <div class="form-group">
                <div class="input-daterange input-group">
                    <input type="text" class="input-sm form-control datepicker" autocomplete="off" name="search_start"
                           id="search_start" placeholder="<?php echo e(trans("backLang.fromDate")); ?>">
                    <span class="input-group-addon range-to"><?php echo e(trans("backLang.to")); ?></span>
                    <input type="text" class="input-sm form-control datepicker" autocomplete="off" name="search_end"
                           id="search_end" placeholder="<?php echo e(trans("backLang.toDate")); ?>">
                </div>
            </div>
        </div>
    </div>

    <div class="col-sm-2">
        <div class="form-group">
            <select id="search_currency" name="search_currency" class="form-control custom-select">
                <option value=""><?php echo e(trans('backLang.currency')); ?></option>
                <?php $__currentLoopData = $Currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CurrencyItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option
                        value="<?php echo e($CurrencyItem->id); ?>"><?php echo e($CurrencyItem->symbol); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
    </div>

    <div class="col-sm-2">
        <div class="form-group">
            <select id="search_posted" name="search_posted" class="form-control custom-select">
                <option value=""><?php echo e(trans('backLang.recordStatus')); ?></option>
                <option value="1"><?php echo e(trans('backLang.posted')); ?></option>
                <option
                    value="0" <?php echo e((@$posting_page)?"selected='selected'":""); ?>><?php echo e(trans('backLang.notPosted')); ?></option>
            </select>
        </div>
    </div>
    <?php if(count(Helper::Categories(11)) >0): ?>
        <div class="col-sm-3">
            <div class="form-group">
                <select id="search_center_id" name="search_center_id" class="form-control  list-items">
                    <option value=""><?php echo e(trans('backLang.costPosition')); ?></option>
                    <?php $__currentLoopData = Helper::Categories(11); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option
                            value="<?php echo e($CatItem->id); ?>"
                            data-data='{"search-text":"<?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>"}'><?php echo e($CatItem->{"title_".trans("backLang.code")}); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>
    <?php endif; ?>
    <div class="col-sm-1">
        <input type="hidden" name="stat" id="search_submit_stat" value="">
        <button type="submit" class="btn btn-primary w-100"><i class="fe fe-search"></i> <?php echo e(trans("backLang.search")); ?>

        </button>
    </div>
    <div class="col-sm-3">
        <div class="form-group">

        </div>
    </div>

</div>
<?php echo e(Form::close()); ?>

<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/journals/search.blade.php ENDPATH**/ ?>