<div class="modal fade" id="edit_user" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <?php echo e(Form::open(['route'=>[(@$SelfProfile)?'AppUserProfileUpdate':'AppUsersUpdate'],'method'=>'POST','id'=>'edit_user_form', 'files' => true])); ?>

            <input type="hidden" name="id" value="<?php echo e(encrypt($User->id)); ?>">
            <div class="modal-header">
                <h5 class="modal-title"><i
                        class="icon-pencil mb-2"></i> <?php echo e((!@$SelfProfile)?trans('backLang.editUser'):trans('backLang.editMyProfile')); ?>

                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger displaynone" id="edit_user_errors">
                    <ul></ul>
                </div>

                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label"><?php echo e(trans('backLang.fullName')); ?></label>
                            <?php echo Form::text('name',$User->name, array('placeholder' => '','class' => 'form-control','id' => 'name','required' => '')); ?>

                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label"><?php echo e(trans('backLang.jobTitle')); ?></label>
                            <?php echo Form::text('job',$User->job, array('placeholder' => '','class' => 'form-control','id' => 'job','required' => '')); ?>

                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label"><?php echo e(trans('backLang.loginEmail')); ?></label>
                            <?php echo Form::email('email',$User->email, array('placeholder' => '','class' => 'form-control','id' => 'email','required' => '')); ?>

                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label"><?php echo e(trans('backLang.loginPassword')); ?></label>
                            <?php echo Form::text('password',"", array('placeholder' => '','class' => 'form-control','id' => 'password')); ?>

                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label
                                class="form-label"><?php echo e(trans('backLang.country')); ?></label>
                            <select name="country" id="country"
                                    class="form-control countries-list" required>
                                <option
                                    value=""><?php echo e(trans('backLang.selectCountry')); ?></option>
                                <?php $__currentLoopData = Helper::CountriesList(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CountryItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option
                                        value="<?php echo e($CountryItem->id); ?>"
                                        data-data='{"image": "<?php echo e(asset('back/images/flags/'.mb_strtolower($CountryItem->code).'.svg')); ?>","code":"+<?php echo e($CountryItem->tel); ?>","search-text":"<?php echo e($CountryItem->{"title_" . trans('backLang.boxCode')}); ?>  +<?php echo e($CountryItem->tel); ?>"}' <?php echo ($User->country_id == $CountryItem->id)?"selected='selected'":""; ?>><?php echo e($CountryItem->{"title_" . trans('backLang.boxCode')}); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label
                                class="form-label"><?php echo e(trans('backLang.phone')); ?></label>
                            <?php echo Form::text('phone',$User->phone, array('placeholder' => '','class' => 'form-control','id' => 'phone','required' => '')); ?>


                        </div>
                        <?php if(!@$SelfProfile): ?>
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.Permission')); ?></label>
                                <select name="role_id" id="role_id" required
                                        class="form-control custom-select">
                                    <?php $__currentLoopData = $RolesList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $RoleItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option <?php echo ($User->role_id == $RoleItem->id)?"selected='selected'":""; ?>

                                                value="<?php echo e($RoleItem->id); ?>"><?php echo e($RoleItem->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label><?php echo trans('backLang.personalPhoto'); ?></label>
                            <input type="file" name="photo" id="photo" data-height="90"
                                   data-allowed-file-extensions="<?php echo e(trans("backLang.photo_extensions")); ?>" <?php echo ($User->photo!="")?"data-default-file=\"".URL::to('uploads/users/'.$User->photo)."\"":""; ?>>
                            <?php echo Form::hidden('photo_delete','0', array('id'=>'photo_delete')); ?>

                            <small>
                                <i class="icon-info"></i> <?php echo trans('backLang.imagesTypes'); ?>

                            </small>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <?php if(!@$SelfProfile): ?>
                    <div class="form-group modal-footer-extra">
                        <label class="custom-switch">
                            <?php echo Form::checkbox('status','1',($User->status)? true : false , array('id' => 'user_status','class'=>'custom-switch-input')); ?>

                            <span class="custom-switch-indicator"></span>
                            <span
                                class="custom-switch-description"> <?php echo e(trans('backLang.activateAccount')); ?> </span>
                        </label>
                    </div>
                <?php endif; ?>
                <button type="button" class="btn btn-light" data-dismiss="modal"><i
                        class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                </button>
                <button type="submit" id="edit_user_submit" class="btn btn-primary">
                    &nbsp; <i
                        class="fe fe-save"></i> <?php echo e(trans('backLang.save')); ?> &nbsp;
                </button>
            </div>
            <?php echo e(Form::close()); ?>

        </div>
    </div>
</div>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/preferences/users/edit.blade.php ENDPATH**/ ?>