<?php $__env->startSection('title', trans('backLang.users')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="<?php echo e(route("appSettings")); ?>"><?php echo e(trans('backLang.settings')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans('backLang.users')); ?></li>
                </ol>
            </nav>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <?php if(Roles::Check("add")  && (DeviceTrust::UsersLimit() == 0 || DeviceTrust::UsersLimit() > $Total_User_count)): ?>
                                <button type="button" class="btn btn-primary" data-toggle="modal"
                                        data-target="#create_user"><i
                                        class="fe fe-plus mb-2"></i> <?php echo e(trans('backLang.newUser')); ?></button>
                            <?php else: ?>
                                <h3 class="card-title"><?php echo e(trans('backLang.users')); ?></h3>
                            <?php endif; ?>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive mt-3">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="users_table">
                                    <thead>
                                    <th><?php echo e(trans('backLang.fullName')); ?></th>
                                    <th><?php echo e(trans('backLang.contactInfo')); ?></th>
                                    <th><?php echo e(trans('backLang.roles')); ?></th>
                                    <th><?php echo e(trans('backLang.status')); ?></th>
                                    <th class="text-center"><?php echo e(trans('backLang.options')); ?></th>
                                    </thead>
                                </table>
                            </div>
                            <?php echo $__env->make('back.preferences.users.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">

        var table_name = "#users_table";
        var table_paginate = "<?php echo e(DeviceTrust::settings('BACKEND_PAGINATION')); ?>";

        $(document).ready(function () {
            $('.countries-list').selectize({
                searchField: 'search-text',
                render: {
                    option: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            '<span class="title">' + escape(data.text) + '</span>' +
                            '<span class="code">' + escape(data.code) + '</span>' +
                            '</div>';
                    },
                    item: function (data, escape) {
                        return '<div>' +
                            '<span class="image"><img src="' + data.image + '" alt=""></span>' +
                            escape(data.text) +
                            escape(data.code) +
                            '</div>';
                    }
                }
            });

            var dropify_settings = {
                messages: {
                    'default': '<?php echo e(trans("backLang.dragAndDropFileHere")); ?>',
                    'replace': '<?php echo e(trans("backLang.dragAndDropFileToReplace")); ?>',
                    'remove': '<?php echo e(trans("backLang.delete")); ?>',
                    'error': '<?php echo e(trans("backLang.errorSomethingWrong")); ?>',
                }
            };

            var drEvent = $('#photo').dropify(dropify_settings);
            drEvent.on('dropify.beforeClear', function (event, element) {
                $("#photo_delete").val('1');
            });

            $('.selectize-input>input').attr('autocomplete', 'none');

            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('AppUsersList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {"data": "name"},
                    {"data": "email"},
                    {"data": "role_id"},
                    {"data": "status"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[0, "asc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';


            // store user
            ajax_post_form("create_user", '<?php echo e(trans("backLang.add")); ?>', 'fe fe-save', '<?php echo trans("backLang.addDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, table_name, false, false, true);

        });

        // delete user
        function delete_row(rid) {
            ajax_delete_row("<?php echo route("AppUsersDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', table_name, false);
        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/preferences/users/list.blade.php ENDPATH**/ ?>