<div class="p-3">
    <div class="row clearfix">
        <div class="col-sm-6">
            <div class="form-group">
                <label
                    class="form-label"><?php echo e(trans('backLang.installmentAmount')); ?>

                    <small>( <?php echo e(@$DefaultCurrency->symbol); ?> )</small> <span
                        class="text-danger">*</span></label>
                <?php echo Form::text('amount',$Installment->amount, array('placeholder' => '','class' => 'form-control money','required'=>'','autocomplete'=>'off')); ?>

            </div>
        </div>
        <div class="col-sm-6">
            <div class="form-group">
                <label
                    class="form-label"><?php echo e(trans('backLang.dueDate')); ?> <span class="text-danger">*</span></label>
                <?php echo Form::text('date',date('Y/m/d',strtotime($Installment->date)), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'edit_instalment_date','autocomplete'=>'off')); ?>

            </div>
        </div>
        <div class="col-sm-12">
            <div class="form-group">
                <label
                    class="form-label"><?php echo e(trans('backLang.notes')); ?></label>
                <?php echo Form::textarea('notes',$Installment->notes, array('placeholder' => '','class' => 'form-control','rows'=>'2')); ?>

            </div>
        </div>
        <div class="col-sm-12">
            <div class="form-group">
                <label
                    class="form-label"><?php echo e(trans('backLang.status')); ?> <span class="text-danger">*</span></label>
                <select name="paid_status" id="edit_paid_status"
                        class="form-control custom-select" required>
                    <option value=""><?php echo e(trans('backLang.select')); ?></option>
                    <option
                        value="0" <?php echo (!$Installment->paid_status)?"selected='selected'":""; ?>><?php echo e(trans('backLang.unpaidInstallment')); ?></option>
                    <option
                        value="1" <?php echo ($Installment->paid_status)?"selected='selected'":""; ?>><?php echo e(trans('backLang.paidInstallment')); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>
<div class=" <?php echo e(($Installment->paid_status)?"":"displaynone"); ?>" id="payment_details">
    <h6 class="pt-3 border-top m-0 bg-light text-center"><?php echo e(trans('backLang.paymentDetails')); ?></h6>
    <div class="p-3 bg-light">
        <div class="row clearfix">
            <div class="col-sm-4">
                <div class="form-group">
                    <label
                        class="form-label"><?php echo e(trans('backLang.payMethod')); ?></label>
                    <select name="pay_method"
                            class="form-control custom-select">
                        <?php $__currentLoopData = Helper::Categories(10); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option
                                value="<?php echo e($CatItem->id); ?>" <?php echo (@$Installment->receipt->method_id==$CatItem->id)?"selected='selected'":""; ?>><?php echo e($CatItem->{"title_".trans("backLang.code")}); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
            <div class="col-sm-8">
                <div class="form-group">
                    <label
                        class="form-label"><?php echo e(trans("backLang.depositIn")); ?></label>
                    <select name="fund" id="fund_select"
                            class="form-control custom-select">
                        <optgroup label="<?php echo e(trans("backLang.financialFunds")); ?>">
                            <?php $__currentLoopData = $Funds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FundItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($FundItem->type): ?>
                                    <option data-bank="0"
                                            value="<?php echo e($FundItem->id); ?>" <?php echo (!empty($Installment->receipt))?((@$Installment->receipt->bank_id==$FundItem->id)?"selected='selected'":""):((Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":""); ?>><?php echo e($FundItem->{"title_".trans("backLang.code")}); ?></option>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </optgroup>
                        <optgroup label="<?php echo e(trans("backLang.bankAccountsTree")); ?>">
                            <?php $__currentLoopData = $Funds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FundItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(!$FundItem->type): ?>
                                    <option data-bank="1"
                                            value="<?php echo e($FundItem->id); ?>" <?php echo (!empty($Installment->receipt))?((@$Installment->receipt->bank_id==$FundItem->id)?"selected='selected'":""):((Helper::Preferences("default_fund")==$FundItem->id)?"selected='selected'":""); ?>><?php echo e($FundItem->{"title_".trans("backLang.code")}); ?>

                                        [ <?php echo e($FundItem->code); ?> ] [ <?php echo e(@$FundItem->currency->code); ?>

                                        ]
                                    </option>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </optgroup>
                    </select>
                </div>
            </div>
            <div class="col-sm-4">
                <div class="form-group">
                    <label
                        class="form-label"><?php echo e(trans('backLang.fileNo')); ?></label>
                    <?php echo Form::text('code',(!empty($Installment->receipt)?@$Installment->receipt->code:""), array('placeholder' => '','class' => 'form-control','autocomplete'=>'off')); ?>

                </div>
            </div>
            <div class="col-sm-8">
                <div class="form-group">
                    <label
                        class="form-label"><?php echo e(trans('backLang.CatTitle')); ?></label>
                    <select name="cat_id" class="form-control list-items">
                        <option value=""><?php echo e(trans('backLang.noCat')); ?></option>
                        <?php $__currentLoopData = Helper::Categories(8); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option <?php echo (@$Installment->receipt->cat_id==$CatItem->id)?"selected='selected'":""; ?>

                                    value="<?php echo e($CatItem->id); ?>"
                                    data-data='{"search-text":"<?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>"}'><?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>

                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
        </div>
    </div>
</div>
<input type="hidden" name="id" value="<?php echo e(encrypt($Installment->id)); ?>">
<script>
    <?php if(Helper::Preferences("date_type")): ?>
    $("#edit_instalment_date").hijriDatePicker({
        locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
        format: "YYYY/MM/DD",
        hijriFormat: "iYYYY/iMM/iDD",
        showSwitcher: false,
        allowInputToggle: false,
        useCurrent: true,
        isRTL: false,
        keepOpen: false,
        hijri: true,
        debug: false,
        showClear: false,
        showTodayButton: false,
        showClose: false,
        icons: {
            time: '<i class="fa fa-clock-o"></i>',
            date: '<i class="fa fa-calendar"></i>',
            up: '<i class="fa fa-chevron-up"></i>',
            down: '<i class="fa fa-chevron-down"></i>',
            previous: '<i class="fa fa-chevron-right"></i>',
            next: '<i class="fa fa-chevron-left"></i>',
            today: '<i class="fa fa-screenshot"></i>',
            clear: '<i class="fa fa-trash"></i>',
            close: '<i class="fa fa-remove"></i>'
        }
    });
    <?php else: ?>
    $('.datepicker').datepicker({
        format: "yyyy/mm/dd",
        language: 'ar'
    });
    <?php endif; ?>


    $('.list-items').selectize({
        searchField: 'search-text',
        render: {
            option: function (data, escape) {
                return '<div>' +
                    '<span class="title">' + escape(data.text) + '</span>' +
                    '</div>';
            },
            item: function (data, escape) {
                return '<div>' +
                    escape(data.text) +
                    '</div>';
            }
        }
    });
    $("#edit_paid_status").on('change', function () {
        if ($(this).val() == '1') {
            $("#payment_details").show();
        } else {
            $("#payment_details").hide();
        }
    });
</script>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/loans/edit/installment.blade.php ENDPATH**/ ?>