<?php $__env->startSection('title', trans('backLang.IncomeReport')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1><?php echo trans('backLang.IncomeReport'); ?></h1>

                <?php if(!empty($Period)): ?>
                    <label><?php echo e(trans('backLang.accountantPeriod')); ?></label>
                    <strong><?php echo e($Period->code); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Ledger)): ?>
                    <label><?php echo e(trans('backLang.ledger')); ?></label>
                    <strong><?php echo e($Ledger->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_word !=""): ?>
                    <label><?php echo e(trans('backLang.searchFor')); ?></label>
                    <strong><?php echo $request->search_word; ?></strong>
                <?php endif; ?>
                <?php if(!empty($Currency)): ?>
                    <label><?php echo e(trans('backLang.currency')); ?></label>
                    <strong><?php echo e($Currency->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_center_id !=""): ?>
                    <label><?php echo e(trans('backLang.costPosition')); ?></label>
                    <strong><?php echo Helper::Category($request->search_center_id); ?></strong>
                <?php endif; ?>
                <?php if($request->search_user !=""): ?>
                    <label><?php echo e(trans('backLang.user')); ?></label>
                    <strong><?php echo Helper::usernameById($request->search_user); ?></strong>
                <?php endif; ?>
            </caption>
            <thead>
            <th><?php echo e(trans('backLang.theMonth')); ?></th>
            <th><?php echo e(trans('backLang.revenues')); ?></th>
            <th><?php echo e(trans('backLang.expenses')); ?></th>
            </thead>
            <tbody>
            <?php if(count($Months) >0): ?>
                <?php $__currentLoopData = $Months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$Month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td width="40%" class="text-center"><?php echo e(@$Month["title"]); ?></td>
                        <td width="30%" class="text-center text-success"><?php echo e(number_format(@$Month["revenues"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) ." ".@$DefaultCurrency->symbol); ?></td>
                        <td width="30%" class="text-center text-danger"><?php echo e(number_format(@$Month["expenses"], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) ." ".@$DefaultCurrency->symbol); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <tr>
                    <td colspan="3">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>

        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/reports/income/print.blade.php ENDPATH**/ ?>