<?php $__env->startSection('title', trans('backLang.accountantTree')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: portrait;
            }
        }

        .simple-tree-table-opened .simple-tree-table-icon:after {
            content: '' !important;
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1><?php echo trans('backLang.accountantTree'); ?></h1>
            </caption>
            <thead>
            <th width="20%"><?php echo e(trans("backLang.ledgerCode")); ?></th>
            <th><?php echo e(trans("backLang.ledgerName")); ?></th>
            <th><?php echo e(trans("backLang.ledgerType")); ?></th>
            <th><?php echo e(trans("backLang.creditor")); ?></th>
            <th><?php echo e(trans("backLang.debtor")); ?></th>
            </thead>
            <tbody>
            <?php if(count($Ledgers) >0): ?>
                <?php $__currentLoopData = $Ledgers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr data-node-id="<?php echo e($Ledger->id); ?>" data-node-pid="<?php echo e($Ledger->father_id); ?>">
                        <td style="text-align: <?php echo e(trans("backLang.left")); ?> !important;">
                            <strong><?php echo e($Ledger->code); ?></strong></td>
                        <td><?php echo e($Ledger->{"title_".trans("backLang.code")}); ?></td>
                        <td>
                            <?php echo e(($Ledger->group)?trans("backLang.group"):trans("backLang.account")); ?>

                        </td>
                        <?php if($Ledger->group): ?>
                            <td>-</td>
                            <td>-</td>
                        <?php else: ?>
                            <td><?php echo e(number_format($Ledger->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></td>
                            <td><?php echo e(number_format($Ledger->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></td>
                        <?php endif; ?>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <tr>
                    <td colspan="5">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>
        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
    <script src="<?php echo e(asset('back/plugins/jquery/jquery-3.4.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('back/custom/js/jquery-simple-tree-table.js')); ?>"></script>
    <script type="text/javascript">
        var left_var = "<?php echo e(trans("backLang.left")); ?>";
        $(document).ready(function () {
            $('#ledgers_table').simpleTreeTable({
                expander: $('#expander'),
                collapser: $('#collapser'),
                opened: 'all',
                iconPosition: ':first',
                iconTemplate: '<span/>',
                margin: 25
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/ledgers/print.blade.php ENDPATH**/ ?>