<?php
$app_title_var = "app_title_" . trans('backLang.boxCode');
$app_title_var2 = "app_title_" . trans('backLang.boxCodeOther');
if (Helper::Preferences($app_title_var) != "") {
    $site_title = Helper::Preferences($app_title_var);
} else {
    $site_title = Helper::Preferences($app_title_var2);
}
?><!doctype html>
<html lang="<?php echo e(trans('backLang.code')); ?>" dir="<?php echo e(trans('backLang.direction')); ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="user" content="<?php echo e(encrypt(auth()->user()->id)); ?>">
    <meta name="refresh-alerts-every" content="2000">
    <meta name="alert-sounds" content="<?php echo e(auth()->user()->alert_sounds); ?>">
    <meta name="app-url" content="<?php echo e(URL::to("")); ?>/<?php echo e(DeviceTrust::env('BACKEND_PATH')); ?>">
    <meta name="noNotifications" content="<?php echo e(trans("backLang.noNotifications")); ?>">
    <?php if( Helper::Preferences("app_logo_" . trans('backLang.boxCode')) !=""): ?>
        <link rel="icon" href="<?php echo e(asset('uploads/preferences/'.Helper::Preferences("app_logo_" . trans('backLang.boxCode')))); ?>" type="image/png">
    <?php else: ?>
        <link rel="icon" href="<?php echo e(asset('back/images/logo.png')); ?>" type="image/png">
    <?php endif; ?>
    <title><?php echo $__env->yieldContent('title'); ?></title>
    <meta name="description" content="<?php echo $__env->yieldContent('meta_description', $site_title); ?>">
    <meta name="author" content="<?php echo $__env->yieldContent('meta_author', $site_title); ?>">
    <meta name="pusher-status" content="<?php echo e((Helper::CheckPusherStatus())?1:0); ?>">
    <?php echo $__env->yieldContent('meta'); ?>
    <meta name="default-receiver-id" content="">
    <?php echo $__env->yieldPushContent('before-styles'); ?>
    <?php if(Helper::Preferences("one_signal_status") && Helper::Preferences("one_signal_app_id") !=""): ?>
        <link rel="manifest" href="/manifest.json"/>
        <script src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async=""></script>
        <script>
            var OneSignal = window.OneSignal || [];
            OneSignal.push(function () {
                OneSignal.init({
                    appId: "<?php echo e(Helper::Preferences("one_signal_app_id")); ?>",
                    autoRegister: true,
                })
                    <?php if(Auth::check()): ?>
                    ,
                    OneSignal.sendTags({
                        userId: '<?php echo e(Auth::user()->id); ?>'
                    }).then(function (tagsSent) {
                    })
                <?php endif; ?>
                ;
            });

        </script>
    <?php endif; ?>
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/bootstrap/css/bootstrap.min.css')); ?>"/>
    <!-- Plugins css -->
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/charts-c3/c3.min.css')); ?>"/>
    <!-- Core css -->
    <link rel="stylesheet" href="<?php echo e(asset('back/css/main.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('back/css/theme1.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('back/custom/css/main.css')); ?>"/>
    <?php if(trans('backLang.direction') == "rtl"): ?>
        <link rel="stylesheet" href="<?php echo e(asset('back/custom/css/rtl.css')); ?>"/>
    <?php endif; ?>
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/summernote/dist/summernote.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/sweetalert/sweetalert.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/datatable/dataTables.bootstrap4.min.css')); ?>">
    <link rel="stylesheet"
          href="<?php echo e(asset('back/plugins/datatable/fixedeader/dataTables.fixedcolumns.bootstrap4.min.css')); ?>">
    <link rel="stylesheet"
          href="<?php echo e(asset('back/plugins/datatable/fixedeader/dataTables.fixedheader.bootstrap4.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/dropify/css/dropify.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('back/custom/css/dropzone.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('back/custom/css/bootstrap-datetimepicker.min.css')); ?>"/>
    <?php echo $__env->yieldPushContent('after-styles'); ?>
    <?php if(trim($__env->yieldContent('page-styles'))): ?>
        <?php echo $__env->yieldContent('page-styles'); ?>
    <?php endif; ?>
    <link rel="stylesheet" href="<?php echo e(asset('back/custom/js/CalcSS3/CalcSS3.css')); ?>"/>
</head>

<body
    class="<?php echo e((Auth::user()->theme_style)?"dark-mode":""); ?> <?php echo e((Auth::user()->theme_sidebar)?"sidebar_dark":""); ?> font-opensans <?php echo e(trans('backLang.direction')); ?>">
<!-- Page Loader -->
<?php if(Auth::user()->theme_preload): ?>
    <div class="page-loader-wrapper">
        <div class="loader">
        </div>
    </div>
<?php endif; ?>
<audio id="alert_sound" class="displaynone" src="<?php echo e(URL::to('back/custom/sounds/receive.mp3')); ?>"
       preload="auto"></audio>
<div id="main_content">
    <?php echo $__env->make('back.layouts.headertop', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('back.layouts.theme', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('back.layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="page">
        <?php echo $__env->make('back.layouts.page_header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="content">
            <?php echo $__env->make('back.layouts.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->yieldContent('content'); ?>
            <?php echo $__env->make('back.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
    </div>
</div>
<?php echo $__env->yieldContent('chat-content'); ?>
<?php echo $__env->make('back.layouts.popup', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script type="text/javascript">
    var app_preferences = {
        "app_url": "<?php echo e(URL::to("")); ?>",
        "dashboard_url": "<?php echo e(URL::to(DeviceTrust::env('BACKEND_PATH'))); ?>",
        "user": "<?php echo e(Auth::user()->id); ?>",
        "notifications_count": "<?php echo e(Notifications::unreadCount()); ?>",
        "chat_alerts": "<?php echo e(Notifications::ChatAlerts()); ?>",
        "attachments_drag_text": "<?php echo e(trans("backLang.drageFilesOrClick")); ?>",
        "attachments_ext": "<?php echo e(Helper::Preferences("allowed_ext")); ?>",
        "attachments_types": "<?php echo e(Helper::Preferences("allowed_types")); ?>",
        "loading_text": "<?php echo e(trans("backLang.loading")); ?>",
        "continue_text": "<?php echo e(trans("backLang.continue")); ?>",
        "lang": "<?php echo e(trans("backLang.code")); ?>",
    };

    function notification_delete(mid) {
        ajax_delete_row("<?php echo route("AppNotificationsDelete"); ?>/" + mid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.notificationDelete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', "#notifications_table", false, false, function () {
            $("#notification_view").modal('hide');
        });
    }
</script>
<?php echo $__env->yieldPushContent('before-scripts'); ?>
<script src="<?php echo e(asset('js/app.js')); ?>" defer></script>
<script src="<?php echo e(asset('back/bundles/lib.vendor.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('back/js/core.js')); ?>"></script>
<script src="<?php echo e(asset('back/custom/js/bootstrap-notify.min.js')); ?>"></script>
<script src="<?php echo e(asset('back/bundles/summernote.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('back/bundles/dataTables.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('back/bundles/sweetalert.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('back/bundles/selectize.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('back/plugins/dropify/js/dropify.min.js')); ?>"></script>
<script src="<?php echo e(asset('back/plugins/fullcalendar/moment.min.js')); ?>"></script>
<script src="<?php echo e(asset('back/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('back/plugins/bootstrap-datepicker/js/bootstrap-hijri-datepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('back/custom/js/bootstrap-datetimepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('back/custom/js/dropzone.js')); ?>"></script>
<?php if(trans('backLang.direction') == "rtl"): ?>
    <script src="<?php echo e(asset('back/plugins/bootstrap-datepicker/locales/bootstrap-datepicker.ar.min.js')); ?>"></script>
    <script src="<?php echo e(asset('back/plugins/summernote/dist/lang/summernote-ar-AR.js')); ?>"></script>
<?php endif; ?>
<script src="<?php echo e(asset('back/custom/js/main.js')); ?>"></script>
<script src="<?php echo e(asset('back/custom/js/app.js')); ?>" defer></script>
<?php echo $__env->yieldPushContent('after-scripts'); ?>
<?php if(trim($__env->yieldContent('page-script'))): ?>
    <?php echo $__env->yieldContent('page-script'); ?>
<?php endif; ?>
<?php if(!@$disable_session): ?>
    <?php if(Helper::Preferences("session_status")): ?>
        <script src="<?php echo e(asset('back/custom/js/bootstrap-session-timeout.min.js')); ?>"></script>
        <script type="text/javascript">
            window.localStorage.setItem('session_status', 'false');
            $.sessionTimeout({
                title: '<?php echo trans('backLang.sessionTimeMessageAlert'); ?>',
                message: '<?php echo trans('backLang.sessionTimeMessageTime'); ?>',
                keepAliveButton: '<?php echo trans('backLang.continue'); ?>',
                logoutButton: '<?php echo trans('backLang.signOut'); ?>',
                logoutUrl: '<?php echo e(route('logout')); ?>',
                redirUrl: '<?php echo e(route('Relogin')); ?>',
                warnAfter: <?php echo e(round(Helper::Preferences("session_period")*60*1000)); ?>,
                redirAfter: <?php echo e(round((Helper::Preferences("session_timer") + Helper::Preferences("session_period"))*60*1000)); ?>,
                countdownMessage: '<?php echo trans('backLang.sessionTimeMessage'); ?>',
                countdownBar: true,
                countdownSmart: true,
                keepAlive: false,
                ignoreUserActivity: true,
            });
            $('#session-timeout-dialog').on('show.bs.modal', function () {
                window.localStorage.setItem('session_status', 'true');
            });
            $("#session-timeout-dialog").on("hidden.bs.modal", function () {
                window.localStorage.setItem('session_status', 'false');
            });
            window.addEventListener('storage', function (event) {
                if (localStorage.getItem('session_status') == 'true') {
                    alert("<?php echo e(trans("backLang.multiSessionTimeOut")); ?>");
                    window.localStorage.setItem('session_status', 'false');
                }
            });
        </script>
    <?php endif; ?>
<?php endif; ?>
<script src="<?php echo e(asset('back/custom/js/CalcSS3/CalcSS3.js')); ?>"></script>
</body>
</html>
<?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/layouts/master.blade.php ENDPATH**/ ?>