<?php
$page_title = trans('backLang.revenues');
$add_title = trans('backLang.addCashReceipt');
$edit_title = trans('backLang.editCashReceipt');
$fund_title = trans('backLang.depositIn');
$cats_id = 8;
if (!$request->search_type) {
    $page_title = trans('backLang.expenses');
    $add_title = trans('backLang.addPayReceipt');
    $edit_title = trans('backLang.editPayReceipt');
    $fund_title = trans('backLang.withdrawFrom');
    $cats_id = 9;
}
?>
<?php $__env->startSection('title', $page_title); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1><?php echo $page_title; ?></h1>

                <?php if(!empty($Ledger)): ?>
                    <label><?php echo e(trans('backLang.nameOfCustomer')); ?></label>
                    <strong><?php echo e(@$Ledger->code); ?> - <?php echo e(@$Ledger->{"title_" . trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Period)): ?>
                    <label><?php echo e(trans('backLang.accountantPeriod')); ?></label>
                    <strong><?php echo e($Period->code); ?></strong>
                <?php endif; ?>
                <?php if($request->search_word !=""): ?>
                    <label><?php echo e(trans('backLang.searchFor')); ?></label>
                    <strong><?php echo $request->search_word; ?></strong>
                <?php endif; ?>
                <?php if($request->search_pay_method !=""): ?>
                    <label><?php echo e(trans('backLang.payMethod')); ?></label>
                    <strong><?php echo Helper::Category($request->search_pay_method); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Fund)): ?>
                    <label><?php echo e(trans('backLang.box')); ?></label>
                    <strong><?php echo e($Fund->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Currency)): ?>
                    <label><?php echo e(trans('backLang.currency')); ?></label>
                    <strong><?php echo e($Currency->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_start !=""): ?>
                    <label><?php echo e(trans('backLang.fromDate')); ?></label>
                    <strong><?php echo $request->search_start; ?></strong>
                <?php endif; ?>
                <?php if($request->search_end !=""): ?>
                    <label><?php echo e(trans('backLang.toDate')); ?></label>
                    <strong><?php echo $request->search_end; ?></strong>
                <?php endif; ?>
                <?php if($request->search_cat !=""): ?>
                    <label><?php echo e(trans('backLang.ledgerCat')); ?></label>
                    <strong><?php echo Helper::Category($request->search_cat); ?></strong>
                <?php endif; ?>
                <?php if($request->search_center_id !=""): ?>
                    <label><?php echo e(trans('backLang.costPosition')); ?></label>
                    <strong><?php echo Helper::Category($request->search_center_id); ?></strong>
                <?php endif; ?>
                <?php if($request->search_user !=""): ?>
                    <label><?php echo e(trans('backLang.user')); ?></label>
                    <strong><?php echo Helper::usernameById($request->search_user); ?></strong>
                <?php endif; ?>
            </caption>
            <thead>
            <th><?php echo e(trans('backLang.recordId')); ?></th>
            <th><?php echo e(trans('backLang.date')); ?></th>
            <th><?php echo e(trans('backLang.amount')); ?></th>
            <th><?php echo e(trans('backLang.desc')); ?></th>
            <th><?php echo e(trans('backLang.nameOfCustomer')); ?></th>
            <th><?php echo e(trans('backLang.ledgerCat')); ?></th>
            <th><?php echo e(trans('backLang.costPosition')); ?></th>
            <th><?php echo e(trans('backLang.createdBy')); ?></th>
            </thead>
            <tbody>
            <?php ($total = 0); ?>
            <?php if(count($Receipts) >0): ?>
                <?php $__currentLoopData = $Receipts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Receipt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($Receipt->id); ?></td>
                        <td><?php echo e(date(Helper::Preferences("date_format"), strtotime($Receipt->date)) . " " . ((@$Receipt->date_type) ? trans("backLang.H") : trans("backLang.M"))); ?></td>
                        <td><?php echo e(number_format($Receipt->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Receipt->currency->symbol); ?></td>
                        <td><?php echo e($Receipt->details); ?></td>
                        <td><?php echo e(@$Receipt->ledger->code); ?>

                            - <?php echo e(@$Receipt->ledger->{"title_" . trans("backLang.code")}); ?></td>
                        <td><?php echo Helper::Category($Receipt->cat_id); ?></td>
                        <td><?php echo Helper::Category($Receipt->center_id); ?></td>
                        <td><?php echo e($Receipt->user->name); ?></td>
                    </tr>

                    <?php ($total += $Receipt->cost); ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <tr>
                    <td colspan="8">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </td>
                </tr>
            <?php endif; ?>
            <tr>
                <td colspan="2"><?php echo e(trans('backLang.total')); ?></td>
                <td><?php echo e($total." ".@$DefaultCurrency->symbol); ?></td>
                <td colspan="5"></td>
            </tr>
            </tbody>
        </table>
        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/receipts/print.blade.php ENDPATH**/ ?>