<?php $__env->startSection('title', trans('backLang.trialBalance')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table">
            <caption>
                <h1><?php echo trans('backLang.trialBalance'); ?></h1>
                <?php if(!empty($Period)): ?>
                    <label><?php echo e(trans('backLang.accountantPeriod')); ?></label>
                    <strong><?php echo e($Period->code); ?></strong>
                <?php endif; ?>
                <?php if($request->search_start !=""): ?>
                    <label><?php echo e(trans('backLang.fromDate')); ?></label>
                    <strong><?php echo $request->search_start; ?></strong>
                <?php endif; ?>
                <?php if($request->search_end !=""): ?>
                    <label><?php echo e(trans('backLang.toDate')); ?></label>
                    <strong><?php echo $request->search_end; ?></strong>
                <?php endif; ?>
            </caption>
        </table>
        <table class="responsive-table">
            <thead>
            <tr class="bg-blue">
                <th rowspan="2" class="text-center text-light"><?php echo e(trans("backLang.ledgerCode")); ?></th>
                <th rowspan="2" class=" text-light"><?php echo e(trans("backLang.ledger")); ?></th>
                <th class="text-center text-light" colspan="2"><?php echo e(trans("backLang.openBalance")); ?></th>
                <th class="text-center text-light" colspan="2"><?php echo e(trans("backLang.openPeriod")); ?></th>
                <th class="text-center text-light" colspan="2"><?php echo e(trans("backLang.balance")); ?></th>
            </tr>
            <tr class="bg-blue">
                <th class="text-center text-light" width="10%"><?php echo e(trans("backLang.debtor")); ?></th>
                <th class="text-center text-light" width="10%"><?php echo e(trans("backLang.creditor")); ?></th>
                <th class="text-center text-light" width="10%"><?php echo e(trans("backLang.debtor")); ?></th>
                <th class="text-center text-light" width="10%"><?php echo e(trans("backLang.creditor")); ?></th>
                <th class="text-center text-light" width="10%"><?php echo e(trans("backLang.debtor")); ?></th>
                <th class="text-center text-light" width="10%"><?php echo e(trans("backLang.creditor")); ?></th>
            </tr>
            </thead>
            <tbody>
            <?php
            $i = 0;
            $sum_of_start_dept = 0;
            $sum_of_start_credit = 0;
            $sum_of_dept = 0;
            $sum_of_credit = 0;

            $total_of_dept = 0;
            $total_of_credit = 0;
            $is_group = true;
            $old_group_title = "";

            $group_start_dept = 0;
            $group_start_credit = 0;
            $group_dept = 0;
            $group_credit = 0;
            ?>
            <?php if(count($Ledgers) >0): ?>
                <?php $__currentLoopData = $Ledgers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                    if ($i == 0) {
                        $old_group_title = $Ledger->{"title_" . trans("backLang.code")};
                    }
                    ?>
                    <?php if($i!=0 && $Ledger->father_id==0 && $is_group): ?>
                        <tr>
                            <td colspan="2"> <?php echo e(trans("backLang.totalOf")); ?> <?php echo e($old_group_title); ?></td>
                            <td class="text-center"><strong><?php echo e(number_format($group_start_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format($group_start_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format($group_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format($group_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format(($group_start_dept+$group_dept), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format(($group_start_credit+$group_credit), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                        </tr>
                        <?php
                        $is_group = $Ledger->group;
                        $old_group_title = $Ledger->{"title_" . trans("backLang.code")};
                        $group_start_dept = 0;
                        $group_start_credit = 0;
                        $group_dept = 0;
                        $group_credit = 0;
                        ?>
                    <?php endif; ?>
                    <?php
                    $sum_of_start_dept += $Ledger->start_dept;
                    $sum_of_start_credit += $Ledger->start_credit;
                    $sum_of_dept += $Ledger->dept;
                    $sum_of_credit += $Ledger->credit;

                    $row_dept = $Ledger->start_dept + $Ledger->dept;
                    $row_credit = $Ledger->start_credit + $Ledger->credit;

                    $total_of_dept += $row_dept;
                    $total_of_credit += $row_credit;

                    $group_start_dept += $Ledger->start_dept;
                    $group_start_credit += $Ledger->start_credit;
                    $group_dept += $Ledger->dept;
                    $group_credit += $Ledger->credit;
                    ?>
                    <tr class="<?php echo e(($Ledger->group)?"bg-white":""); ?>">
                        <?php if($Ledger->group): ?>
                            <td class="text-center font-weight-bold"><?php echo e($Ledger->code); ?></td>
                            <td colspan="7"
                                class="font-weight-bold"><?php echo e($Ledger->{"title_".trans("backLang.code")}); ?></td>
                        <?php else: ?>
                            <td class="text-center"><?php echo e($Ledger->code); ?></td>
                            <td><?php echo e($Ledger->{"title_".trans("backLang.code")}); ?></td>
                            <td class="text-center"><strong><?php echo e(number_format($Ledger->start_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format($Ledger->start_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format($Ledger->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format($Ledger->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format($row_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>
                            <td class="text-center"><strong><?php echo e(number_format($row_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></td>

                        <?php endif; ?>
                    </tr>
                    <?php
                    $i++;
                    ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <tr>
                    <td colspan="6" class="text-center">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
            <thead>
            <tr class="bg-secondary">
                <th colspan="2" class=" text-light"> <?php echo e(trans("backLang.total")); ?></th>
                <th class="text-center text-light"><strong><?php echo e(number_format($sum_of_start_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></th>
                <th class="text-center text-light"><strong><?php echo e(number_format($sum_of_start_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></th>
                <th class="text-center text-light"><strong><?php echo e(number_format($sum_of_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></th>
                <th class="text-center text-light"><strong><?php echo e(number_format($sum_of_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></th>
                <th class="text-center text-light"><strong><?php echo e(number_format($total_of_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></th>
                <th class="text-center text-light"><strong><?php echo e(number_format($total_of_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></th>
            </tr>
            <?php
            $close_start = $sum_of_start_dept - $sum_of_start_credit;
            if ($close_start < 0) {
                $close_start = $close_start * (-1);
            }
            $close_period = $sum_of_dept - $sum_of_credit;
            if ($close_period < 0) {
                $close_period = $close_period * (-1);
            }
            $close_all = $total_of_dept - $total_of_credit;
            if ($close_all < 0) {
                $close_all = $close_all * (-1);
            }
            ?>
            <tr class="bg-secondary">
                <th colspan="2" class=" text-light"> <?php echo e(trans("backLang.closingBalance")); ?></th>
                <th class="text-center text-light" colspan="2"><strong><?php echo e(number_format($close_start, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></th>
                <th class="text-center text-light" colspan="2"><strong><?php echo e(number_format($close_period, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></th>
                <th class="text-center text-light" colspan="2"><strong><?php echo e(number_format($close_all, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?></strong></th>
            </tr>
            </thead>
        </table>
        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/reports/trial/print.blade.php ENDPATH**/ ?>