<?php $__env->startSection('title', trans('backLang.loanEdit')); ?>
<?php $__env->startSection("content"); ?>
    <?php if(Roles::Check("add")): ?>
        <?php if(Roles::Check("loans_edit")): ?>
            <div class="section-body pt-3">
                <div class="container-fluid" id="update_loan">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item" aria-current="page"><i class='icon-wallet'></i> <a
                                    href="<?php echo e(route("AppAccountingHome")); ?>"><?php echo e(trans('backLang.accountant')); ?></a></li>
                            <li class="breadcrumb-item" aria-current="page"> <a
                                    href="<?php echo e(route("Loans")); ?>"><?php echo e(trans('backLang.loans')); ?></a></li>
                            <li class="breadcrumb-item active"
                                aria-current="page"><?php echo trans('backLang.loanEdit'); ?></li>
                        </ol>
                    </nav>

                    <?php echo e(Form::open(['route'=>['LoansUpdate'],'method'=>'POST','id'=>'update_loan_form'])); ?>

                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">
                                <span> <?php echo trans('backLang.beneficiaryInfo'); ?></span>
                            </h3>
                            <div class="card-options">
                                <a href="<?php echo e(route("LoansView",encrypt($Loan->id))); ?>"><i
                                        class="fe fe-x"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-2">
                                    <div class="pt-4 pb-2 bg-primary border rounded text-center text-light"
                                         id="account_avatar">
                                        <div class="mt-2 mb-3">
                                            <i class="icon-user fa-2x"></i><h6 class="mt-2">
                                                <?php echo trans('backLang.beneficiaryInfo'); ?></h6>
                                            <input type="hidden" name="person_id" id="person_id" value="<?php echo e(encrypt($Loan->person_id)); ?>">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-10">
                                    <div class="row clearfix">
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo trans('backLang.beneficiaryName'); ?>

                                                    <span
                                                        class="text-danger">*</span></label>
                                                <div class="row gutters-xs">
                                                    <div class="col">
                                                        <?php echo Form::text('name',$Loan->name, array('id' => 'name_full','class' => 'form-control','required'=>'')); ?>

                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo trans('backLang.phone'); ?>

                                                    <span
                                                        class="text-danger">*</span></label>
                                                <?php echo Form::text('phone',$Loan->phone, array('class' => 'form-control','id' => 'person_phone','required'=>'')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo trans('backLang.email'); ?></label>
                                                <?php echo Form::email('email',$Loan->email, array('class' => 'form-control','id' => 'person_email')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo trans('backLang.identityType'); ?> <span
                                                        class="text-danger">*</span></label>
                                                <select name="id_type" id="loan_create_id_type"
                                                        class="form-control custom-select"
                                                        required>
                                                    <option value=""><?php echo e(trans('backLang.select')); ?></option>
                                                    <?php $__currentLoopData = trans('backLang.identityTypes'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($key); ?>"
                                                                data-end-date-type="<?php echo e(Helper::Preferences("default_".$key."_end_date_type")); ?>"
                                                                data-birth-date-type="<?php echo e(Helper::Preferences("default_".$key."_birth_date_type")); ?>"
                                                                data-dead-date-type="<?php echo e(Helper::Preferences("default_".$key."_dead_date_type")); ?>" <?php echo ($Loan->id_type==$key)?"selected='selected'":""; ?>><?php echo e($type); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <div class="pull-right" id="loan_create_id_number_status"></div>
                                                <label class="form-label"><?php echo trans('backLang.idNumber'); ?> <span
                                                        class="text-danger">*</span></label>
                                                <?php echo Form::text('id_number',$Loan->id_number, array('placeholder' => '','class' => 'form-control','required'=>'','id'=>'loan_create_id_number','autocomplete'=>'off')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo trans('backLang.expireDate'); ?></label>
                                                <input type="text" autocomplete="off" name="id_end_date"
                                                       id="loan_end_date"
                                                       value="<?php echo e((($Loan->id_end_date != "" && $Loan->id_end_date != null && !$Loan->id_date_type))?date("Y/m/d",strtotime($Loan->id_end_date)):""); ?>"
                                                       class="form-control edatepicker <?php echo e(($Loan->id_date_type)? "displaynone":""); ?> text-center">
                                                <input type="text" autocomplete="off" name="id_end_date_hj"
                                                       id="loan_end_date_hj"
                                                       value="<?php echo e((($Loan->id_end_date != "" && $Loan->id_end_date != null && $Loan->id_date_type))?date("Y/m/d",strtotime($Loan->id_end_date)):""); ?>"
                                                       class="form-control <?php echo e(($Loan->id_date_type)? "":"displaynone"); ?> text-center">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">
                                <span> <?php echo trans('backLang.loanDetails'); ?></span>
                            </h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">

                                <div class="col-sm-4">
                                    <div class="row clearfix">
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo e(trans('backLang.date')); ?> <span
                                                        class="text-danger">*</span></label>
                                                <?php echo Form::text('date',date('Y/m/d',strtotime($Loan->date)), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'edit_receipt_date','autocomplete'=>'off')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo e(trans('backLang.loansCategory')); ?></label>
                                                <select name="cat_id" class="form-control list-items">
                                                    <option value=""><?php echo e(trans('backLang.none')); ?></option>
                                                    <?php $__currentLoopData = Helper::Categories(12); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $CatItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option
                                                            value="<?php echo e($CatItem->id); ?>"
                                                            data-data='{"search-text":"<?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>"}' <?php echo ($Loan->cat_id==$CatItem->id)?"selected='selected'":""; ?>><?php echo e($CatItem->{"title_" . trans('backLang.boxCode')}); ?>

                                                        </option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo e(trans('backLang.notes')); ?></label>
                                                <?php echo Form::textarea('notes',$Loan->notes, array('placeholder' => '','class' => 'form-control','id' => 'notes','rows'=>'4')); ?>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-8">
                                    <div class="p-3 border border-danger rounded bg-light">
                                        <div class="row clearfix">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label"><?php echo e(trans('backLang.loanAmount')); ?>

                                                        <small>( <?php echo e(@$DefaultCurrency->symbol); ?> )</small> <span
                                                            class="text-danger">*</span></label>
                                                    <?php echo Form::text('amount',$Loan->amount, array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_amount','autocomplete'=>'off')); ?>

                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label"><?php echo e(trans('backLang.loanTotal')); ?>

                                                        <small>( <?php echo e(@$DefaultCurrency->symbol); ?> )</small><span
                                                            class="text-danger">*</span></label>
                                                    <?php echo Form::text('total',$Loan->total, array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_total','autocomplete'=>'off')); ?>

                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label"><?php echo e(trans('backLang.loanInstalmentAmount')); ?>

                                                        <small>( <?php echo e(@$DefaultCurrency->symbol); ?> )</small>
                                                        <span
                                                            class="text-danger">*</span></label>
                                                    <?php echo Form::text('instalments_amount',$Loan->instalments_amount, array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_instalments_amount','autocomplete'=>'off')); ?>

                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label"><?php echo e(trans('backLang.loanInstalmentCount')); ?>

                                                        <span
                                                            class="text-danger">*</span></label>
                                                    <?php echo Form::text('instalments_count',$Loan->instalments_count, array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_instalments_count','autocomplete'=>'off')); ?>

                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label"><?php echo e(trans('backLang.loanLastInstalmentAmount')); ?>

                                                        <small>( <?php echo e(@$DefaultCurrency->symbol); ?> )</small>
                                                        <span
                                                            class="text-danger">*</span></label>
                                                    <?php echo Form::text('instalments_last',$Loan->instalments_last, array('placeholder' => '','class' => 'form-control money','required'=>'','id'=>'loan_instalments_last','autocomplete'=>'off','readonly'=>'readonly')); ?>

                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label"><?php echo e(trans('backLang.LoanPayMethod')); ?> <span
                                                            class="text-danger">*</span></label>
                                                    <select name="pay_method" id="loan_pay_method"
                                                            class="form-control custom-select"
                                                            required>
                                                        <option value=""><?php echo e(trans('backLang.select')); ?></option>
                                                        <?php $__currentLoopData = trans("backLang.LoanPayMethods"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$LoanPayMethod): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option
                                                                value="<?php echo e($key); ?>" <?php echo ($Loan->pay_method==$key)?"selected='selected'":""; ?>><?php echo e($LoanPayMethod); ?>

                                                            </option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label
                                                        class="form-label"><?php echo e(trans('backLang.loanFirstInstalmentDate')); ?>

                                                        <span
                                                            class="text-danger">*</span></label>
                                                    <?php echo Form::text('instalments_date',date('Y/m/d',strtotime($Loan->instalments_date)), array('placeholder' => '','class' => 'form-control datepicker text-center','required'=>'','id'=>'loan_instalments_date','autocomplete'=>'off')); ?>

                                                </div>
                                            </div>
                                            <div class="col-sm-12">
                                                <div class="form-group mb-0">
                                                    <label class="custom-control custom-checkbox">
                                                        <input type="checkbox" class="custom-control-input"
                                                               name="reinstall" value="1">
                                                        <span
                                                            class="custom-control-label text-danger"><?php echo e(trans('backLang.reinstallAllLoanInstallments')); ?></span>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card <?php echo e(($Loan->guarantor_name !="")?"":"card-collapsed"); ?>" id="sponsorInfo">
                        <div class="card-header">
                            <h3 class="card-title pointer" id="sponsorInfoTitle">
                                <span> <?php echo trans('backLang.sponsorInfo'); ?> <span class="small">( <?php echo trans('backLang.optional'); ?> )</span></span>
                            </h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">

                            <div class="row clearfix">
                                <div class="col-sm-2">
                                    <div class="pt-4 pb-4 bg-secondary border rounded text-center text-light">
                                        <div class="mt-2 mb-3">
                                            <i class="icon-user fa-2x"></i><h6 class="mt-2">
                                                <?php echo trans('backLang.sponsor'); ?></h6></div>
                                    </div>
                                </div>
                                <div class="col-sm-10">
                                    <div class="row clearfix">
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.fullName'); ?></label>
                                                <div class="row gutters-xs">
                                                    <div class="col">
                                                        <?php echo Form::text('guarantor_name',$Loan->guarantor_name, array('id' => 'guarantor_name','class' => 'form-control')); ?>

                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-sm-2">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.identityType'); ?></label>
                                                <select name="guarantor_id_type" id="guarantor_id_type"
                                                        class="form-control custom-select">
                                                    <option value=""><?php echo e(trans('backLang.select')); ?></option>
                                                    <?php $__currentLoopData = trans('backLang.identityTypes'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($key); ?>"
                                                                data-end-date-type="<?php echo e(Helper::Preferences("default_".$key."_end_date_type")); ?>"
                                                                data-birth-date-type="<?php echo e(Helper::Preferences("default_".$key."_birth_date_type")); ?>"
                                                                data-dead-date-type="<?php echo e(Helper::Preferences("default_".$key."_dead_date_type")); ?>" <?php echo ($Loan->guarantor_id_type==$key)?"selected='selected'":""; ?>><?php echo e($type); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.idNumber'); ?></label>
                                                <?php echo Form::text('guarantor_id_number',$Loan->guarantor_id_number, array('placeholder' => '','class' => 'form-control','id'=>'guarantor_id_number','autocomplete'=>'off')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.expireDate'); ?></label>
                                                <input type="text" autocomplete="off" name="guarantor_id_end_date"
                                                       id="guarantor_id_end_date"
                                                       value="<?php echo e((($Loan->guarantor_id_end_date != "" && $Loan->guarantor_id_end_date != null && !$Loan->guarantor_id_date_type))?date("Y/m/d",strtotime($Loan->guarantor_id_end_date)):""); ?>"
                                                       class="form-control datepicker <?php echo e(($Loan->guarantor_id_date_type)? "displaynone":""); ?> text-center">
                                                <input type="text" autocomplete="off"
                                                       name="guarantor_id_end_date_hj"
                                                       id="guarantor_id_end_date_hj"
                                                       value="<?php echo e((($Loan->guarantor_id_end_date != "" && $Loan->guarantor_id_end_date != null && $Loan->guarantor_id_date_type))?date("Y/m/d",strtotime($Loan->guarantor_id_end_date)):""); ?>"
                                                       class="form-control <?php echo e(($Loan->guarantor_id_date_type)? "":"displaynone"); ?> text-center">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row clearfix">
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo trans('backLang.phone'); ?></label>
                                                <?php echo Form::text('guarantor_phone',$Loan->guarantor_phone, array('class' => 'form-control','id'=>'guarantor_phone')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.workPlace'); ?></label>
                                                <?php echo Form::text('guarantor_work_place',$Loan->guarantor_work_place, array('class' => 'form-control','id'=>'guarantor_work_place')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.workPhone'); ?></label>
                                                <?php echo Form::text('guarantor_work_phone',$Loan->guarantor_work_phone, array('class' => 'form-control')); ?>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div
                        class="card <?php echo e(($Loan->witness_1_name !="" || $Loan->witness_2_name !="")?"":"card-collapsed"); ?>"
                        id="witnessInfo">
                        <div class="card-header">
                            <h3 class="card-title pointer" id="witnessInfoTitle">
                                <span> <?php echo trans('backLang.witnessInfo'); ?>  <span class="small">( <?php echo trans('backLang.optional'); ?> )</span></span>
                            </h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-2">
                                    <div class="pt-4 pb-4 bg-secondary border rounded text-center text-light">
                                        <div class="mt-2 mb-3">
                                            <i class="icon-user fa-2x"></i><h6 class="mt-2">
                                                <?php echo trans('backLang.witness'); ?> # 1</h6></div>
                                    </div>
                                </div>
                                <div class="col-sm-10">
                                    <div class="row clearfix">
                                        <div class="col-sm-7">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.fullName'); ?></label>
                                                <div class="row gutters-xs">
                                                    <div class="col">
                                                        <?php echo Form::text('witness_1_name',$Loan->witness_1_name, array('id' => 'witness_1_name','class' => 'form-control')); ?>

                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo trans('backLang.phone'); ?></label>
                                                <?php echo Form::text('witness_1_phone',$Loan->witness_1_phone, array('class' => 'form-control','id' => 'witness_1_phone')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.identityType'); ?></label>
                                                <select name="witness_1_id_type" id="witness_1_id_type"
                                                        class="form-control custom-select">
                                                    <option value=""><?php echo e(trans('backLang.select')); ?></option>
                                                    <?php $__currentLoopData = trans('backLang.identityTypes'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($key); ?>"
                                                                data-end-date-type="<?php echo e(Helper::Preferences("default_".$key."_end_date_type")); ?>"
                                                                data-birth-date-type="<?php echo e(Helper::Preferences("default_".$key."_birth_date_type")); ?>"
                                                                data-dead-date-type="<?php echo e(Helper::Preferences("default_".$key."_dead_date_type")); ?>" <?php echo ($Loan->witness_1_id_type==$key)?"selected='selected'":""; ?>><?php echo e($type); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.idNumber'); ?></label>
                                                <?php echo Form::text('witness_1_id_number',$Loan->witness_1_id_number, array('placeholder' => '','class' => 'form-control','id'=>'witness_1_id_number','autocomplete'=>'off')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.expireDate'); ?></label>
                                                <input type="text" autocomplete="off" name="witness_1_id_end_date"
                                                       id="witness_1_id_end_date"
                                                       value="<?php echo e((($Loan->witness_1_id_end_date != "" && $Loan->witness_1_id_end_date != null && !$Loan->witness_1_id_date_type))?date("Y/m/d",strtotime($Loan->witness_1_id_end_date)):""); ?>"
                                                       class="form-control datepicker <?php echo e(($Loan->witness_1_id_date_type)? "displaynone":""); ?> text-center">
                                                <input type="text" autocomplete="off"
                                                       name="witness_1_id_end_date_hj"
                                                       id="witness_1_id_end_date_hj"
                                                       value="<?php echo e((($Loan->witness_1_id_end_date != "" && $Loan->witness_1_id_end_date != null && $Loan->witness_1_id_date_type))?date("Y/m/d",strtotime($Loan->witness_1_id_end_date)):""); ?>"
                                                       class="form-control <?php echo e(($Loan->witness_1_id_date_type)? "":"displaynone"); ?> text-center">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row clearfix">
                                <div class="col-sm-2">
                                    <div class="pt-4 pb-4 bg-secondary border rounded text-center text-light">
                                        <div class="mt-2 mb-3">
                                            <i class="icon-user fa-2x"></i><h6 class="mt-2">
                                                <?php echo trans('backLang.witness'); ?> # 2</h6></div>
                                    </div>
                                </div>
                                <div class="col-sm-10">
                                    <div class="row clearfix">
                                        <div class="col-sm-7">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.fullName'); ?></label>
                                                <div class="row gutters-xs">
                                                    <div class="col">
                                                        <?php echo Form::text('witness_2_name',$Loan->witness_2_name, array('id' => 'witness_2_name','class' => 'form-control')); ?>

                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo trans('backLang.phone'); ?></label>
                                                <?php echo Form::text('witness_2_phone',$Loan->witness_2_phone, array('class' => 'form-control','id' => 'witness_2_phone')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.identityType'); ?></label>
                                                <select name="witness_2_id_type" id="witness_2_id_type"
                                                        class="form-control custom-select">
                                                    <option value=""><?php echo e(trans('backLang.select')); ?></option>
                                                    <?php $__currentLoopData = trans('backLang.identityTypes'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($key); ?>"
                                                                data-end-date-type="<?php echo e(Helper::Preferences("default_".$key."_end_date_type")); ?>"
                                                                data-birth-date-type="<?php echo e(Helper::Preferences("default_".$key."_birth_date_type")); ?>"
                                                                data-dead-date-type="<?php echo e(Helper::Preferences("default_".$key."_dead_date_type")); ?>" <?php echo ($Loan->witness_2_id_type==$key)?"selected='selected'":""; ?>><?php echo e($type); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.idNumber'); ?></label>
                                                <?php echo Form::text('witness_2_id_number',$Loan->witness_2_id_number, array('placeholder' => '','class' => 'form-control','id'=>'witness_2_id_number','autocomplete'=>'off')); ?>

                                            </div>
                                        </div>
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label
                                                    class="form-label"><?php echo trans('backLang.expireDate'); ?></label>
                                                <input type="text" autocomplete="off" name="witness_2_id_end_date"
                                                       id="witness_2_id_end_date"
                                                       value="<?php echo e((($Loan->witness_2_id_end_date != "" && $Loan->witness_2_id_end_date != null && !$Loan->witness_2_id_date_type))?date("Y/m/d",strtotime($Loan->witness_2_id_end_date)):""); ?>"
                                                       class="form-control datepicker <?php echo e(($Loan->witness_2_id_date_type)? "displaynone":""); ?> text-center">
                                                <input type="text" autocomplete="off"
                                                       name="witness_2_id_end_date_hj"
                                                       id="witness_2_id_end_date_hj"
                                                       value="<?php echo e((($Loan->witness_2_id_end_date != "" && $Loan->witness_2_id_end_date != null && $Loan->witness_2_id_date_type))?date("Y/m/d",strtotime($Loan->witness_2_id_end_date)):""); ?>"
                                                       class="form-control <?php echo e(($Loan->witness_2_id_date_type)? "":"displaynone"); ?> text-center">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="alert alert-danger displaynone" id="update_loan_errors">
                        <ul></ul>
                    </div>
                    <input type="hidden" name="id" value="<?php echo e(encrypt($Loan->id)); ?>">
                    <button type="submit" id="update_loan_submit"
                            class="btn btn-primary">  <?php echo e(trans('backLang.loanSave')); ?></button>
                    <?php echo e(Form::close()); ?>

                </div>
            </div>
        <?php endif; ?>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">
        var selectize_options = {
            searchField: 'search-text',
            render: {
                option: function (data, escape) {
                    return '<div>' +
                        '<span class="title">' + escape(data.text) + '</span>' +
                        '</div>';
                },
                item: function (data, escape) {
                    return '<div>' +
                        escape(data.text) +
                        '</div>';
                }
            }
        };

        $(document).ready(function () {
            <?php if(Helper::Preferences("date_type")): ?>
            $("#receipt_date").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            <?php else: ?>
            $('.datepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            <?php endif; ?>

            $("#loan_end_date_hj").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#guarantor_id_end_date_hj").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#witness_1_id_end_date_hj").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            $("#witness_2_id_end_date_hj").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            <?php if(Helper::Preferences("date_type")): ?>
            $("#loan_instalments_date").hijriDatePicker({
                locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
                format: "YYYY/MM/DD",
                hijriFormat: "iYYYY/iMM/iDD",
                showSwitcher: false,
                allowInputToggle: false,
                useCurrent: true,
                isRTL: false,
                keepOpen: false,
                hijri: true,
                debug: false,
                showClear: false,
                showTodayButton: false,
                showClose: false,
                icons: {
                    time: '<i class="fa fa-clock-o"></i>',
                    date: '<i class="fa fa-calendar"></i>',
                    up: '<i class="fa fa-chevron-up"></i>',
                    down: '<i class="fa fa-chevron-down"></i>',
                    previous: '<i class="fa fa-chevron-right"></i>',
                    next: '<i class="fa fa-chevron-left"></i>',
                    today: '<i class="fa fa-screenshot"></i>',
                    clear: '<i class="fa fa-trash"></i>',
                    close: '<i class="fa fa-remove"></i>'
                }
            });
            <?php endif; ?>

            $('.edatepicker').datepicker({
                format: "yyyy/mm/dd",
                language: 'ar'
            });
            $('.list-items').selectize(selectize_options);


            // update loan
            ajax_post_form("update_loan", '<?php echo e(trans("backLang.loanSave")); ?>', 'fe fe-save', '<?php echo trans("backLang.addDone"); ?>', '<?php echo trans("backLang.close"); ?>', false, "", false, false, false, function (data) {
                window.setTimeout(function () {
                    location.href = '<?php echo e(route("LoansView",encrypt($Loan->id))); ?>';
                }, 2000);
            });

            var df_end_date_type = "<?php echo e(Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type")); ?>";
            $(document).on('change', '#loan_create_id_type', function () {
                var cr_end_date_type = $(this).find(':selected').data('end-date-type');
                if (df_end_date_type != cr_end_date_type) {
                    if (cr_end_date_type == 1) {
                        $("#loan_end_date_hj").show();
                        $("#loan_end_date").hide();
                    } else {
                        $("#loan_end_date_hj").hide();
                        $("#loan_end_date").show();
                    }
                    df_end_date_type = cr_end_date_type;
                }

            });

            var df_guarantor_end_date_type = "<?php echo e(Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type")); ?>";
            $(document).on('change', '#guarantor_id_type', function () {
                var cr_end_date_type = $(this).find(':selected').data('end-date-type');
                if (df_guarantor_end_date_type != cr_end_date_type) {
                    if (cr_end_date_type == 1) {
                        $("#guarantor_id_end_date_hj").show();
                        $("#guarantor_id_end_date").hide();
                    } else {
                        $("#guarantor_id_end_date_hj").hide();
                        $("#guarantor_id_end_date").show();
                    }
                    df_guarantor_end_date_type = cr_end_date_type;
                }

            });

            var df_witness_1_end_date_type = "<?php echo e(Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type")); ?>";
            $(document).on('change', '#witness_1_id_type', function () {
                var cr_end_date_type = $(this).find(':selected').data('end-date-type');
                if (df_witness_1_end_date_type != cr_end_date_type) {
                    if (cr_end_date_type == 1) {
                        $("#witness_1_id_end_date_hj").show();
                        $("#witness_1_id_end_date").hide();
                    } else {
                        $("#witness_1_id_end_date_hj").hide();
                        $("#witness_1_id_end_date").show();
                    }
                    df_witness_1_end_date_type = cr_end_date_type;
                }

            });

            var df_witness_2_end_date_type = "<?php echo e(Helper::Preferences("default_".Helper::Preferences("default_id_type")."_end_date_type")); ?>";
            $(document).on('change', '#witness_2_id_type', function () {
                var cr_end_date_type = $(this).find(':selected').data('end-date-type');
                if (df_witness_2_end_date_type != cr_end_date_type) {
                    if (cr_end_date_type == 1) {
                        $("#witness_2_id_end_date_hj").show();
                        $("#witness_2_id_end_date").hide();
                    } else {
                        $("#witness_2_id_end_date_hj").hide();
                        $("#witness_2_id_end_date").show();
                    }
                    df_witness_2_end_date_type = cr_end_date_type;
                }

            });
            $('#sponsorInfoTitle').click(function () {
                $("#sponsorInfo").toggleClass("card-collapsed");
            });
            $('#witnessInfoTitle').click(function () {
                $("#witnessInfo").toggleClass("card-collapsed");
            });

            $('#loan_amount').on('keyup', function () {
                $('#loan_total').val($(this).val());
                $('#loan_instalments_amount').val($(this).val());
                $('#loan_instalments_last').val($(this).val());
                $('#loan_instalments_count').val('1');
            });
            $('#loan_total').on('keyup', function () {
                $('#loan_instalments_amount').val($(this).val());
                $('#loan_instalments_last').val($(this).val());
                $('#loan_instalments_count').val('1');
            });
            $('#loan_instalments_amount').on('keyup', function () {
                calc_quests();
            });
            $('#loan_instalments_count').on('keyup', function () {
                calc_quests($(this).val());
            });
            $('#loan_pay_method').on('change', function () {
                if ($(this).val() == 0) {
                    $('#loan_instalments_date').val('<?php echo e(date('Y/m/d', strtotime(@$CurrentPeriod->end))); ?>');
                } else {
                    $('#loan_instalments_date').val('');
                }
            });
        });

        function calc_quests(quests = 0) {
            if (quests > 0) {
                var qst_amount = Math.round($('#loan_total').val() / quests);
                $('#loan_instalments_amount').val(qst_amount);
                $('#loan_instalments_last').val(qst_amount);
            } else {
                var qst_count = Math.floor($('#loan_total').val() / $('#loan_instalments_amount').val());
                var last_qst_amount = $('#loan_total').val() - (qst_count * $('#loan_instalments_amount').val());
                if (last_qst_amount > 0) {
                    qst_count = qst_count + 1;
                } else {
                    last_qst_amount = $('#loan_instalments_amount').val();
                }
                $('#loan_instalments_count').val(qst_count);
                $('#loan_instalments_last').val(last_qst_amount);
            }
        }

        var current_row = 1;
        var finder_loaded = false;


    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/loans/edit/details.blade.php ENDPATH**/ ?>