<?php $__env->startSection('title', trans('backLang.printSettings')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="<?php echo e(route("appSettings")); ?>"><?php echo e(trans('backLang.settings')); ?></a></li>
                    <li class="breadcrumb-item active"
                        aria-current="page"><?php echo e(trans('backLang.printSettings')); ?></li>
                </ol>
            </nav>
            <?php echo e(Form::open(['route'=>['appPrintSettingsUpdate'],'method'=>'POST'])); ?>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <ul role="tablist" class="nav nav-tabs w-100">
                                <?php if(Helper::Preferences("ar_box_status")): ?>
                                    <li class="nav-item"><a data-toggle="pill" href="#ar_print_tab" role="tab"
                                                            aria-selected="false" class="nav-link  active">
                                            <?php echo e(trans('backLang.printSettings')); ?> <?php echo strip_tags(trans('backLang.arabicBox')); ?>

                                        </a></li>
                                <?php endif; ?>
                                <?php if(Helper::Preferences("en_box_status")): ?>
                                    <li class="nav-item"><a data-toggle="pill" href="#en_print_tab" role="tab"
                                                            aria-selected="false"
                                                            class="nav-link  ">
                                            <?php echo e(trans('backLang.printSettings')); ?> <?php echo strip_tags(trans('backLang.englishBox')); ?>

                                        </a></li>
                                <?php endif; ?>
                            </ul>
                        </div>
                        <div class="card-body">
                            <div class="row clearfix">
                                <div class="col-sm-10">
                                    <div class="tab-content">
                                        <?php if(Helper::Preferences("ar_box_status")): ?>
                                            <div id="ar_print_tab" role="tabpanel" class="tab-pane fade show active">
                                                <label><?php echo trans('backLang.printHeader'); ?> :</label>
                                                <?php echo Form::textarea('print_header_ar',$Preferences->print_header_ar, array('placeholder' => '','class' => 'form-control summernote', 'dir'=>trans('backLang.ltr'),'rows'=>'3')); ?>


                                                <br>
                                                <label><?php echo trans('backLang.printFooter'); ?> :</label>
                                                <?php echo Form::textarea('print_footer_ar',$Preferences->print_footer_ar, array('placeholder' => '','class' => 'form-control summernote', 'dir'=>trans('backLang.ltr'),'rows'=>'3')); ?>

                                            </div>
                                        <?php endif; ?>
                                        <?php if(Helper::Preferences("en_box_status")): ?>
                                            <div id="en_print_tab" role="tabpanel" class="tab-pane fade ">
                                                <label><?php echo trans('backLang.printHeader'); ?> :</label>
                                                <?php echo Form::textarea('print_header_en',$Preferences->print_header_en, array('placeholder' => '','class' => 'form-control summernote', 'dir'=>trans('backLang.ltr'),'rows'=>'3')); ?>


                                                <br>
                                                <label><?php echo trans('backLang.printFooter'); ?> :</label>
                                                <?php echo Form::textarea('print_footer_en',$Preferences->print_footer_en, array('placeholder' => '','class' => 'form-control summernote', 'dir'=>trans('backLang.ltr'),'rows'=>'3')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <label><?php echo trans('backLang.variablesAvailable'); ?></label>
                                    <div class="vars">
                                        <div class="title"><?php echo e(trans("backLang.date")); ?></div>
                                        <div class="var" onclick="copyElementText(this)">{date}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title"><?php echo e(trans("backLang.dateAndTime")); ?></div>
                                        <div class="var" onclick="copyElementText(this)">{date_time}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title"><?php echo e(trans("backLang.username")); ?></div>
                                        <div class="var" onclick="copyElementText(this)">{username}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title"><?php echo e(trans("backLang.organizationName")); ?> <?php echo trans('backLang.arabicBox'); ?></div>
                                        <div class="var" onclick="copyElementText(this)">{organization_ar}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title"><?php echo e(trans("backLang.organizationName")); ?> <?php echo trans('backLang.englishBox'); ?></div>
                                        <div class="var" onclick="copyElementText(this)">{organization_en}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title"><?php echo e(trans("backLang.organizationLogo")); ?> <?php echo trans('backLang.arabicBox'); ?></div>
                                        <div class="var" onclick="copyElementText(this)">{logo_ar}</div>
                                    </div>
                                    <div class="vars">
                                        <div class="title"><?php echo e(trans("backLang.organizationLogo")); ?> <?php echo trans('backLang.englishBox'); ?></div>
                                        <div class="var" onclick="copyElementText(this)">{logo_en}</div>
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <button type="submit"
                    class="btn btn-primary">  <?php echo trans('backLang.save'); ?> <?php echo e(trans('backLang.printSettings')); ?></button>
            <?php echo e(Form::close()); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush("after-styles"); ?>
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/multi-select/css/multi-select.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startPush("after-scripts"); ?>
    <script src="<?php echo e(asset('back/plugins/bootstrap-multiselect/bootstrap-multiselect.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<?php $__env->startSection("page-script"); ?>
    <script>
        $(document).ready(function () {
            document.getElementById('timezone').value = '<?php echo $Preferences->timezone; ?>';
            $('#timezone').multiselect({
                enableFiltering: true,
                enableCaseInsensitiveFiltering: true,
                maxHeight: 200,
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/preferences/print.blade.php ENDPATH**/ ?>