<script type="text/javascript">

    $(document).ready(function () {
        var dataTable = $('#funds_table').DataTable({
            "processing": true,
            "serverSide": true,
            "searching": false,
            "responsive": true,
            "pageLength": table_paginate,
            "ajax": {
                "url": "<?php echo e(route('AppBanksList')); ?>",
                "dataType": "json",
                "type": "POST",
                "data": function (data) {
                    data._token = "<?php echo e(csrf_token()); ?>";
                    data.stat = 1;
                }

            },
            "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
            "fnDrawCallback": function () {
                if ($('#funds_table_paginate .paginate_button').length > 3) {
                    $('#funds_table_paginate')[0].style.display = "block";
                } else {
                    $('#funds_table_paginate')[0].style.display = "none";
                }
            },
            <?php if(trans('backLang.boxCode') =="ar"): ?>
            "language": {
                <?php echo trans("backLang.dataTablesTranslation"); ?>

            },
            <?php endif; ?>
            "columns": [
                {
                    "className": "row_check", "width": "5%", "data": "check", "orderable": false
                },
                {"className": "row_check", "width": "5%", "data": "order"},
                {"data": "title"},
                {"data": "ledger_id"},
                {"data": "status"},
                {
                    "width": "10%", "data": "options", "orderable": false
                }
            ],
            "order": [[1, "asc"]]
        });
        $.fn.dataTable.ext.errMode = 'none';

        $(".check-all-funds").on("click", function () {
            if ($(this).is(':checked')) {
                $('#funds_multi').find('input:checkbox').prop('checked', true);
            } else {
                $('#funds_multi').find('input:checkbox').prop('checked', false);
            }
        });

        // save fund
        ajax_post_form("create_fund", '<?php echo e(trans("backLang.add")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, "#funds_table", false, false, true);

        // update fund
        ajax_post_form("edit_fund", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, "#funds_table", false, false, true);

        // multi fund save
        ajax_post_form("funds_multi", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', false, "#funds_table", false, false, true);

        $(".options-list-funds .dropdown-item").on("click", function () {
            $("#funds_multi_action").val($(this).attr('data-action'));
            if ($(this).attr('data-action') == "delete") {
                swal({
                    title: "<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>",
                    type: "error",
                    showCancelButton: true,
                    closeOnConfirm: false,
                    animation: "slide-from-top",
                    confirmButtonText: "<?php echo e(trans("backLang.delete")); ?>",
                    cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                    showLoaderOnConfirm: true,
                    confirmButtonColor: "#F27474",
                }, function () {
                    $("#funds_multi_submit").trigger('click');
                    swal.close();
                });
            } else {
                $("#funds_multi_submit").trigger('click');
            }
        });

        $("#edit_fund").on("hidden.bs.modal", function () {
            $("#edit_fund_errors").hide();
            $('#edit_fund').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
        });
    });

    // edit fund
    function edit_fund(rid) {
        $("#edit_fund_submit").prop('disabled', true);
        $.get("<?php echo e(route("AppBanksEdit")); ?>/" + rid, function (data) {
            $('#edit_fund').find('.modal-body .form-fields').html(data);
            $("#edit_fund_submit").prop('disabled', false);
        });
        $('#edit_fund').modal('show');
    }

    // delete fund
    function delete_fund(rid) {
        ajax_delete_row("<?php echo route("AppBanksDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', "#funds_table", false);
    }
</script>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/preferences/funds/js.blade.php ENDPATH**/ ?>