<div class="tab-pane fade <?php echo e(($status_tab_details=="active")?"show active":""); ?>" id="details" role="tabpanel">
    <div class="table-responsive mt-3">
        <div class="row">
            <div class="col-sm-12">
                <?php if(Roles::Check("loans_edit")): ?>
                    <a href="<?php echo e(route("LoansEdit",encrypt($Loan->id))); ?>" class="pull-right btn btn-icon"
                       data-toggle="tooltip" id="loan_edit_btn"
                       data-original-title="<?php echo e(trans("backLang.edit")); ?>"><i class="fe fe-edit"></i></a>
                <?php endif; ?>
                <h6><?php echo e(trans("backLang.beneficiaryInfo")); ?></h6>
                <hr class="mb-0">
                <div id="loan_beneficiary_details">
                    <table class="table table-striped mb-0 thin-table">
                        <tbody>
                        <tr>
                            <th scope="row" class="width-130px"><?php echo e(trans("backLang.fullName")); ?> :</th>
                            <td><strong>
                                    <?php echo e($Loan->name); ?>

                                </strong></td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px"><?php echo e(trans("backLang.idNumber")); ?> :</th>
                            <td> <?php echo e($Loan->id_number); ?> - <?php echo e(trans('backLang.identityTypes')[$Loan->id_type]); ?>

                                <?php if($Loan->id_end_date !=""): ?>
                                    - <?php echo e(trans("backLang.expireDate")); ?>

                                    : <?php echo date(Helper::Preferences("date_format"),strtotime($Loan->id_end_date)); ?>  <?php echo e((@$Loan->id_date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                                <?php endif; ?>
                            </td>
                        </tr>
                        <?php if($Loan->phone !=""  && $Loan->phone !=null): ?>
                            <tr>
                                <th scope="row" class="width-130px"><?php echo e(trans("backLang.phone")); ?> :</th>
                                <td><span dir="ltr"><?php echo e($Loan->phone); ?></span></td>
                            </tr>
                        <?php endif; ?>
                        <?php if($Loan->email !=""  && $Loan->email !=null): ?>
                            <tr>
                                <th scope="row" class="width-130px"><?php echo e(trans("backLang.email")); ?> :</th>
                                <td> <?php echo $Loan->email; ?></td>
                            </tr>
                        <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 mt-4">
                <?php if(Roles::Check("loans_edit")): ?>
                    <a href="<?php echo e(route("LoansEdit",encrypt($Loan->id))); ?>" class="pull-right btn btn-icon"
                       data-toggle="tooltip" id="loan_edit_btn"
                       data-original-title="<?php echo e(trans("backLang.edit")); ?>"><i class="fe fe-edit"></i></a>
                <?php endif; ?>
                <h6><?php echo e(trans("backLang.loanDetails")); ?></h6>
                <hr class="mb-0">
                <div id="loan_main_details">
                    <table class="table table-striped mb-0 thin-table">
                        <tbody>
                        <tr>
                            <th scope="row" class="width-130px"><?php echo e(trans("backLang.noOfLoan")); ?> :</th>
                            <td> <?php echo $Loan->id; ?></td>
                        </tr>
                        <?php if($Loan->date !="" && $Loan->date !=null): ?>
                            <tr>
                                <th scope="row" class="width-130px"><?php echo e(trans("backLang.date")); ?> :</th>
                                <td><?php echo date(Helper::Preferences("date_format"),strtotime($Loan->date)); ?>  <?php echo e((@$Loan->date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                                </td>
                            </tr>
                        <?php endif; ?>

                        <?php if($Loan->cat_id !=""  && $Loan->cat_id !=null): ?>
                            <tr>
                                <th scope="row" class="width-130px"><?php echo e(trans("backLang.loansCategory")); ?> :</th>
                                <td> <?php echo Helper::Category($Loan->cat_id); ?></td>
                            </tr>
                        <?php endif; ?>
                        <tr>
                            <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanAmount")); ?> :</th>
                            <td> <?php echo number_format($Loan->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol; ?></td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanTotal")); ?> :</th>
                            <td> <?php echo number_format($Loan->total, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol; ?></td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanInstalmentCount")); ?> :</th>
                            <td> <?php echo $Loan->instalments_count; ?></td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanInstalmentAmount")); ?> :</th>
                            <td> <?php echo number_format($Loan->instalments_amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol; ?></td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanLastInstalmentAmount")); ?> :</th>
                            <td> <?php echo number_format($Loan->instalments_last, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))." ".@$DefaultCurrency->symbol; ?></td>
                        </tr>
                        <tr>
                            <th scope="row" class="width-130px"><?php echo e(trans("backLang.LoanPayMethod")); ?> :</th>
                            <td> <?php echo trans("backLang.LoanPayMethods.".$Loan->pay_method); ?></td>
                        </tr>
                        <?php if($Loan->instalments_date !="" && $Loan->instalments_date !=null): ?>
                            <tr>
                                <th scope="row" class="width-130px"><?php echo e(trans("backLang.loanFirstInstalmentDate")); ?>:
                                </th>
                                <td><?php echo date(Helper::Preferences("date_format"),strtotime($Loan->instalments_date)); ?>  <?php echo e((@$Loan->date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                                </td>
                            </tr>
                        <?php endif; ?>
                        <?php if($Loan->notes !=""  && $Loan->notes !=null): ?>
                            <tr>
                                <th scope="row" class="width-130px"><?php echo e(trans("backLang.notes")); ?> :</th>
                                <td> <?php echo $Loan->notes; ?></td>
                            </tr>
                        <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 mt-4">
                <?php if(Roles::Check("loans_edit")): ?>
                    <a href="<?php echo e(route("LoansEdit",encrypt($Loan->id))); ?>" class="pull-right btn btn-icon"
                       data-toggle="tooltip" id="loan_edit_btn"
                       data-original-title="<?php echo e(trans("backLang.edit")); ?>"><i class="fe fe-edit"></i></a>
                <?php endif; ?>
                <h6><?php echo e(trans("backLang.sponsorInfo")); ?></h6>
                <hr class="mb-0">
                <div id="loan_sponsor_details">
                    <?php if($Loan->guarantor_name !=""): ?>
                        <table class="table table-striped mb-0 thin-table">
                            <tbody>
                            <?php if($Loan->guarantor_name !=""): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.fullName")); ?> :</th>
                                    <td><strong><?php echo e($Loan->guarantor_name); ?></strong></td>
                                </tr>
                            <?php endif; ?>
                            <?php if($Loan->guarantor_id_number !=""): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.idNumber")); ?> :</th>
                                    <td> <?php echo e($Loan->guarantor_id_number); ?>

                                        - <?php echo e(trans('backLang.identityTypes')[$Loan->guarantor_id_type]); ?>

                                        <?php if($Loan->guarantor_id_end_date !=""): ?>
                                            - <?php echo e(trans("backLang.expireDate")); ?>

                                            : <?php echo date(Helper::Preferences("date_format"),strtotime($Loan->guarantor_id_end_date)); ?>  <?php echo e((@$Loan->guarantor_id_date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endif; ?>
                            <?php if($Loan->guarantor_phone !=""  && $Loan->guarantor_phone !=null): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.phone")); ?> :</th>
                                    <td><span dir="ltr"><?php echo e($Loan->guarantor_phone); ?></span></td>
                                </tr>
                            <?php endif; ?>
                            <?php if($Loan->guarantor_work_place !=""  && $Loan->guarantor_work_place !=null): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.workPlace")); ?> :</th>
                                    <td> <?php echo $Loan->guarantor_work_place; ?></td>
                                </tr>
                            <?php endif; ?>
                            <?php if($Loan->guarantor_work_phone !=""  && $Loan->guarantor_work_phone !=null): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.workPhone")); ?> :</th>
                                    <td> <?php echo $Loan->guarantor_work_phone; ?></td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    <?php else: ?>
                        <div class="text-muted mt-1">
                            <i class="icon-info"></i> <?php echo e(trans("backLang.noData")); ?>

                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 mt-4">
                <?php if(Roles::Check("loans_edit")): ?>
                    <a href="<?php echo e(route("LoansEdit",encrypt($Loan->id))); ?>" class="pull-right btn btn-icon"
                       data-toggle="tooltip" id="loan_edit_btn"
                       data-original-title="<?php echo e(trans("backLang.edit")); ?>"><i class="fe fe-edit"></i></a>
                <?php endif; ?>
                <h6><?php echo e(trans("backLang.witnessInfo")); ?></h6>
                <hr class="mb-0">
                <div id="loan_witness_details">
                    <?php if($Loan->witness_1_name !="" && $Loan->witness_2_name !="" ): ?>
                        <table class="table table-striped mb-0 thin-table">
                            <tbody>
                            <?php if($Loan->witness_1_name !=""): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.fullName")); ?> :</th>
                                    <td><strong><?php echo e($Loan->witness_1_name); ?></strong></td>
                                </tr>
                            <?php endif; ?>
                            <?php if($Loan->witness_1_id_number !=""): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.idNumber")); ?> :</th>
                                    <td> <?php echo e($Loan->witness_1_id_number); ?>

                                        - <?php echo e(trans('backLang.identityTypes')[$Loan->witness_1_id_type]); ?>

                                        <?php if($Loan->witness_1_id_end_date !=""): ?>
                                            - <?php echo e(trans("backLang.expireDate")); ?>

                                            : <?php echo date(Helper::Preferences("date_format"),strtotime($Loan->witness_1_id_end_date)); ?>  <?php echo e((@$Loan->witness_1_id_date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endif; ?>
                            <?php if($Loan->witness_1_phone !=""  && $Loan->witness_1_phone !=null): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.phone")); ?> :</th>
                                    <td><span dir="ltr"><?php echo e($Loan->witness_1_phone); ?></span></td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>
                        <hr>
                        <table class="table table-striped mb-0 thin-table">
                            <tbody>
                            <?php if($Loan->witness_2_name !=""): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.fullName")); ?> :</th>
                                    <td><strong><?php echo e($Loan->witness_2_name); ?></strong></td>
                                </tr>
                            <?php endif; ?>
                            <?php if($Loan->witness_2_id_number !=""): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.idNumber")); ?> :</th>
                                    <td> <?php echo e($Loan->witness_2_id_number); ?>

                                        - <?php echo e(trans('backLang.identityTypes')[$Loan->witness_2_id_type]); ?>

                                        <?php if($Loan->witness_2_id_end_date !=""): ?>
                                            - <?php echo e(trans("backLang.expireDate")); ?>

                                            : <?php echo date(Helper::Preferences("date_format"),strtotime($Loan->witness_2_id_end_date)); ?>  <?php echo e((@$Loan->witness_2_id_date_type)? trans("backLang.H"):trans("backLang.M")); ?>

                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endif; ?>
                            <?php if($Loan->witness_2_phone !=""  && $Loan->witness_2_phone !=null): ?>
                                <tr>
                                    <th scope="row" class="width-130px"><?php echo e(trans("backLang.phone")); ?> :</th>
                                    <td><span dir="ltr"><?php echo e($Loan->witness_2_phone); ?></span></td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    <?php else: ?>
                        <div class="text-muted mt-1">
                            <i class="icon-info"></i> <?php echo e(trans("backLang.noData")); ?>

                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/loans/view/details.blade.php ENDPATH**/ ?>