<?php $__env->startSection('title', trans('backLang.chat')); ?>
<?php $__env->startSection("chat-content"); ?>
    <style>
        @media  screen and (max-width: 768px) {
            footer {
                display: none;
            }
        }
    </style>
    <div class="section-body pt-3" id="chat-app">
        <div class="container-fluid">
            <div class="row">
                <?php if(!empty($receiver)): ?>
                    <div class="col-lg-8 col-md-12">
                        <div class="card">
                            <div class="card-body pt-3">
                                <div class="chat_app">
                                    <div class="card bg-none b-none">
                                        <div class="card-header bline pt-2 pb-2">

                                        <span class="avatar mr-2">
                                             <?php
                                            $receiver_user_avatar = URL::to('uploads/users/profile.jpg');
                                            if (@$receiver->photo != "") {
                                                $receiver_user_avatar = URL::to('uploads/users/' . @$receiver->photo);
                                            }
                                            ?>
                                            <img class="avatar" id="chat_receiver_photo"
                                                 src="<?php echo e($receiver_user_avatar); ?>" alt="">
                                            <span
                                                class="avatar-status <?php echo e((Cache::has('user-is-online-' . $receiver->id))?"bg-green":"bg-yellow"); ?>"
                                                id="chat_receiver_status"></span>
                                        </span>

                                            <h3 class="card-title"><span
                                                    id="chat_receiver_name"><?php echo e(@$receiver->name); ?></span>
                                                <small class="mt-1" id="chat_receiver_job"><?php echo e(@$receiver->job); ?></small>
                                            </h3>
                                            <div class="card-options">
                                                <a href="javascript:void(0)"
                                                   data-toggle="modal"
                                                   data-target="#attach_file"
                                                   title="<?php echo e(trans("backLang.attachFiles")); ?>"><i data-toggle="tooltip"
                                                                                                  data-original-title="<?php echo e(trans("backLang.attachFiles")); ?>"
                                                                                                  class="fa fa-paperclip"></i></a>
                                                <?php if(Roles::Check("delete")): ?>
                                                    <div class="item-action dropdown ml-2">
                                                        <a href="javascript:void(0)" data-toggle="dropdown"
                                                           aria-expanded="false"><i
                                                                class="fe fe-more-vertical"></i></a>
                                                        <div
                                                            class="dropdown-menu dropdown-menu-<?php echo e(trans("backLang.right")); ?>"
                                                            x-placement="bottom-end">

                                                            <a href="javascript:void(0)" id="chat_del_btn"
                                                               class="dropdown-item"><i
                                                                    class="dropdown-icon fe fe-trash"></i><?php echo e(trans("backLang.deleteChat")); ?>

                                                            </a>
                                                        </div>
                                                    </div>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <div class="chat_windows" id="chat_window">
                                            <div class="mt-3" id="chat_loader">
                                                <div class="text-center">
                                                    <div class="loader" style="display: inline-block"></div>
                                                    <div>
                                                        <small
                                                            class="text-muted"><?php echo e(trans("backLang.loading")); ?></small>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="mt-3 displaynone" id="chat_empty">
                                                <div class="text-center">
                                                    <div>
                                                        <small class="text-muted"><?php echo e(trans("backLang.noData")); ?></small>
                                                    </div>
                                                </div>
                                            </div>
                                            <chat-window :messages="messages"
                                                         :sender_id="<?php echo e(Auth::user()->id); ?>"></chat-window>
                                            <chat-form v-on:messagesent="addMessage" :receiver_id="receiver_id"
                                                       :sender_id="<?php echo e(Auth::user()->id); ?>"></chat-form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="chat_app  mb-3">
                                    <div class="chat_list" id="users">
                                        <ul class="nav nav-tabs" role="tablist">
                                            <li class="nav-item">
                                                <a class="nav-link active" id="users-tab" data-toggle="tab"
                                                   href="#users-list"
                                                   role="tab"
                                                   aria-controls="users-list"
                                                   aria-selected="false"> <i
                                                        class="icon-users"></i>&nbsp;<?php echo e(trans("backLang.users")); ?></a>
                                            </li>
                                        </ul>
                                        <div class="input-group mt-3 mb-2">
                                            <input type="text" class="form-control" v-model="search"
                                                   v-on:input="usersFilter"
                                                   placeholder="<?php echo e(trans("backLang.search")); ?>..">
                                        </div>
                                        <div class="tab-content">
                                            <div class="tab-pane fade show active" id="users-list" role="tabpanel"
                                                 aria-labelledby="users-tab">
                                                <chat-users :users="users"></chat-users>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php else: ?>
                    <div class="col-lg-12 col-md-12">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </div>
                <?php endif; ?>
            </div>
        </div>

    </div>
    <?php echo $__env->make('back.preferences.chat.attach', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection("meta"); ?>
    <meta name="default-receiver-id" content="<?php echo e(@$receiver->id); ?>">
    <meta name="default-sender-id" content="<?php echo e(Auth::user()->id); ?>">
    <meta name="refresh-users-every" content="5000">
    <meta name="delete_url" content="<?php echo route("AppChatDestroy"); ?>">
    <meta name="delete_confirm_msg" content="<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>">
    <meta name="delete_confirm_btn_txt" content="<?php echo e(trans("backLang.delete")); ?>">
    <meta name="delete_cancel_btn_txt" content="<?php echo e(trans("backLang.cancel")); ?>">
    <meta name="delete_success_msg" content="<?php echo e(trans("backLang.deleteDone")); ?>">
    <meta name="delete_failed_msg" content="<?php echo e(trans("backLang.erorr")); ?>">
    <meta name="delete_close_btn_txt" content="<?php echo e(trans("backLang.close")); ?>">
    <meta name="delete_no_data" content="<?php echo e(trans("backLang.noData")); ?>">
    <meta name="send_text" content="<?php echo e(trans("backLang.send")); ?>">
    <meta name="text_title" content="<?php echo e(trans("backLang.typeMessage")); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startPush("after-scripts"); ?>
    <script src="<?php echo e(asset('back/custom/js/chat.js')); ?>" defer></script>
<?php $__env->stopPush(); ?>
<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">
        <?php if(Roles::Check("add")): ?>
        $(document).ready(function () {
            var form = document.createElement('form');
            form.classList.add('dropzone');
            form.method = 'post';
            form.action = app_preferences['dashboard_url'] + "/attachments/upload";
            $("#multi_uploader").prepend(form);
            dropzone = new Dropzone(form, {
                timeout: 500000,
                acceptedFiles: app_preferences['attachments_types'],
                dictDefaultMessage: "<div  class='pt-3'><i class='fe fe-upload-cloud fa-2x'></i><h6 class='mt-2'>" + app_preferences['attachments_drag_text'] + "</h6></div>",
                init: function () {
                    this.on("sending", function (file, xhr, formData) {
                        $("#attach_file_submit").prop('disabled', true);
                        $("#attach_file_errors").hide();
                        formData.append("cat", '2');
                        formData.append("cat_id", '');
                        formData.append("folder_id", '');
                        formData.append("share_with", $("#attach_receiver_id").val());
                        formData.append("_token", $('meta[name="csrf-token"]').attr('content'));
                    });
                    this.on("complete", function (file) {
                        if (this.getUploadingFiles().length === 0 && this.getQueuedFiles().length === 0) {
                            //
                            $("#attach_file_submit").prop('disabled', false);
                        }
                    });
                },
                success: function (file, response) {
                    //console.log(response);
                    if (response.id != "") {
                        $("#attach_uploaded_files").val($("#attach_uploaded_files").val() + response.id + ",");
                    }
                    $(".dz-success-mark").css("opacity", 1);
                },
                error: function (file, response) {
                    //console.log(response);
                    $(".dz-success-mark").css("opacity", 1);
                    $(".dz-error-mark").css("opacity", 1);
                }
            });
        });

        ajax_post_form("attach_file", '<?php echo e(trans("backLang.send")); ?>', 'fe fe-upload', '<?php echo trans("backLang.sendDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, "", true, false, true, function () {
            dropzone.removeAllFiles(true);
            $("#attach_uploaded_files").val("");
        });
        <?php endif; ?>
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/preferences/chat/home.blade.php ENDPATH**/ ?>