<script type="text/javascript">

    $(document).ready(function () {
        var dataTable = $('#currencies_table').DataTable({
            "processing": true,
            "serverSide": true,
            "searching": false,
            "responsive": true,
            "pageLength": table_paginate,
            "ajax": {
                "url": "<?php echo e(route('AppCurrenciesList')); ?>",
                "dataType": "json",
                "type": "POST",
                "data": function (data) {
                    data._token = "<?php echo e(csrf_token()); ?>";
                }

            },
            "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
            "fnDrawCallback": function () {
                if ($('#currencies_table_paginate .paginate_button').length > 3) {
                    $('#currencies_table_paginate')[0].style.display = "block";
                } else {
                    $('#currencies_table_paginate')[0].style.display = "none";
                }
            },
            <?php if(trans('backLang.boxCode') =="ar"): ?>
            "language": {
                <?php echo trans("backLang.dataTablesTranslation"); ?>

            },
            <?php endif; ?>
            "columns": [
                {
                    "className": "row_check", "width": "5%", "data": "check", "orderable": false
                },
                {"className": "row_check", "width": "5%", "data": "order"},
                {"data": "title"},
                {"data": "code"},
                {"data": "symbol"},
                {"data": "rate"},
                {"data": "status"},
                {
                    "width": "10%", "data": "options", "orderable": false
                }
            ],
            "order": [[1, "asc"]]
        });
        $.fn.dataTable.ext.errMode = 'none';

        $(".check-all-currencies").on("click", function () {
            if ($(this).is(':checked')) {
                $('#currencies_multi').find('input:checkbox').prop('checked', true);
            } else {
                $('#currencies_multi').find('input:checkbox').prop('checked', false);
            }
        });

        // save currency
        ajax_post_form("create_currency", '<?php echo e(trans("backLang.add")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, "#currencies_table", false, false, true);

        // update currency
        ajax_post_form("edit_currency", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, "#currencies_table", false, false, true);

        // multi currency save
        ajax_post_form("currencies_multi", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', false, "#currencies_table", true, false, true);

        $(".options-list-currencies .dropdown-item").on("click", function () {
            $("#currencies_multi_action").val($(this).attr('data-action'));
            if ($(this).attr('data-action') == "delete") {
                swal({
                    title: "<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>",
                    type: "error",
                    showCancelButton: true,
                    closeOnConfirm: false,
                    animation: "slide-from-top",
                    confirmButtonText: "<?php echo e(trans("backLang.delete")); ?>",
                    cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                    showLoaderOnConfirm: true,
                    confirmButtonColor: "#F27474",
                }, function () {
                    $("#currencies_multi_submit").trigger('click');
                    swal.close();
                });
            } else {
                $("#currencies_multi_submit").trigger('click');
            }
        });

        $("#edit_currency").on("hidden.bs.modal", function () {
            $("#edit_currency_errors").hide();
            $('#edit_currency').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
        });
    });

    // edit currency
    function edit_currency(rid) {
        $("#edit_currency_submit").prop('disabled', true);
        $.get("<?php echo e(route("AppCurrenciesEdit")); ?>/" + rid, function (data) {
            $('#edit_currency').find('.modal-body .form-fields').html(data);
            $("#edit_currency_submit").prop('disabled', false);
        });
        $('#edit_currency').modal('show');
    }

    // delete currency
    function delete_currency(rid) {
        ajax_delete_row("<?php echo route("AppCurrenciesDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', "#currencies_table", false);
    }
</script>
<?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/accounting/preferences/currencies/js.blade.php ENDPATH**/ ?>