<?php
$page_title = trans('backLang.openingBalances');
$add_title = trans('backLang.addOpeningBalance');
$edit_title = trans('backLang.editOpeningBalance');
$add_link = route("AppBalancesCreate");
if ($request->search_type == 2) {
    $page_title = trans('backLang.reconciliation');
    $add_title = trans('backLang.addReconciliation');
    $edit_title = trans('backLang.editReconciliation');
    $add_link = route("AppReconciliationCreate");
}
?>
<?php $__env->startSection('title', $page_title); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1><?php echo $page_title; ?></h1>

                <?php if(!empty($Period)): ?>
                    <label><?php echo e(trans('backLang.accountantPeriod')); ?></label>
                    <strong><?php echo e($Period->code); ?></strong>
                <?php endif; ?>
                <?php if($request->search_word !=""): ?>
                    <label><?php echo e(trans('backLang.searchFor')); ?></label>
                    <strong><?php echo $request->search_word; ?></strong>
                <?php endif; ?>
                <?php if($request->search_posted !=""): ?>
                    <label><?php echo e(trans('backLang.recordStatus')); ?></label>
                    <strong><?php echo ($request->search_posted)?trans('backLang.posted'):trans('backLang.notPosted'); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Ledger)): ?>
                    <label><?php echo e(trans('backLang.ledger')); ?></label>
                    <strong><?php echo e($Ledger->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Currency)): ?>
                    <label><?php echo e(trans('backLang.currency')); ?></label>
                    <strong><?php echo e($Currency->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_start !=""): ?>
                    <label><?php echo e(trans('backLang.fromDate')); ?></label>
                    <strong><?php echo $request->search_start; ?></strong>
                <?php endif; ?>
                <?php if($request->search_end !=""): ?>
                    <label><?php echo e(trans('backLang.toDate')); ?></label>
                    <strong><?php echo $request->search_end; ?></strong>
                <?php endif; ?>
                <?php if($request->search_center_id !=""): ?>
                    <label><?php echo e(trans('backLang.costPosition')); ?></label>
                    <strong><?php echo Helper::Category($request->search_center_id); ?></strong>
                <?php endif; ?>
                <?php if($request->search_user !=""): ?>
                    <label><?php echo e(trans('backLang.user')); ?></label>
                    <strong><?php echo Helper::usernameById($request->search_user); ?></strong>
                <?php endif; ?>
            </caption>
            <thead>
            <th><?php echo e(trans('backLang.date')); ?></th>
            <th><?php echo e(trans('backLang.ledgerCode')); ?></th>
            <th><?php echo e(trans('backLang.ledger')); ?></th>
            <th><?php echo e(trans('backLang.debtor')); ?></th>
            <th><?php echo e(trans('backLang.creditor')); ?></th>
            <th><?php echo e(trans('backLang.desc')); ?></th>
            <th><?php echo e(trans('backLang.recordStatus')); ?></th>
            <?php if(count(Helper::Categories(11)) >0): ?>
                <th><?php echo e(trans('backLang.costPosition')); ?></th>
            <?php endif; ?>
            <th><?php echo e(trans('backLang.createdBy')); ?></th>
            </thead>
            <tbody>
            <?php if(count($Journals) >0): ?>
                <?php $__currentLoopData = $Journals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Journal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e(date(Helper::Preferences("date_format"), strtotime($Journal->date)) . " " . ((@$Journal->date_type) ? trans("backLang.H") : trans("backLang.M"))); ?></td>
                        <td><?php echo e(@$Journal->ledger->code); ?></td>
                        <td><?php echo e(@$Journal->ledger->{"title_".trans("backLang.code")}); ?></td>
                        <td class="bg-grey"><?php echo e(($Journal->dept >0)?number_format($Journal->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-"); ?></td>
                        <td class="bg-grey"><?php echo e(($Journal->credit >0)?number_format($Journal->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol:"-"); ?></td>
                        <td><?php echo e($Journal->details); ?></td>

                        <td><?php echo (($Journal->posted) ? trans("backLang.posted")  :  trans("backLang.notPosted")) . "</div>"; ?></td>
                        <?php if(count(Helper::Categories(11)) >0): ?>
                            <td><?php echo Helper::Category($Journal->center_id); ?></td>
                        <?php endif; ?>
                        <td><?php echo e($Journal->user->name); ?></td>

                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <tr>
                    <td colspan="9">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>
        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/balances/print.blade.php ENDPATH**/ ?>