
<?php if(Roles::Check("profile_send_notification")): ?>
    <div class="modal fade" id="create_notification" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <?php echo e(Form::open(['route'=>['AppUserProfileSend'],'method'=>'POST','id'=>'create_notification_form'])); ?>

                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="fe fe-bell mb-2"></i> <?php echo e(trans('backLang.sendNotification')); ?>

                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_notification_errors">
                        <ul></ul>
                    </div>

                    <div class="row clearfix">

                        <div class="col-sm-12">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.subject')); ?></label>
                                <?php echo Form::text('subject',"", array('placeholder' => '','class' => 'form-control','required' => '')); ?>

                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.SMSMessage')); ?></label>
                                <?php echo Form::textarea('details',"", array('placeholder' => '','class' => 'form-control','rows'=>'4','required'=>'')); ?>

                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.url')); ?></label>
                                <?php echo Form::text('link',"", array('placeholder' => '','class' => 'form-control')); ?>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="stat" value="notification">
                    <input type="hidden" name="user" value="<?php echo e(encrypt($User->id)); ?>">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                    </button>
                    <button type="submit" id="create_notification_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-send"></i> <?php echo e(trans('backLang.send')); ?> &nbsp;
                    </button>
                </div>
                <?php echo e(Form::close()); ?>

            </div>
        </div>
    </div>
<?php endif; ?>
<?php if(Roles::Check("profile_send_email")): ?>
    <div class="modal fade" id="create_mail" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <?php echo e(Form::open(['route'=>['AppUserProfileSend'],'method'=>'POST','id'=>'create_mail_form'])); ?>

                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-envelope-letter mb-2"></i> <?php echo e(trans('backLang.newEmailMessage')); ?>

                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_mail_errors">
                        <ul></ul>
                    </div>

                    <div class="row clearfix">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.email')); ?></label>
                                <?php echo Form::email('email',$User->email, array('placeholder' => '','class' => 'form-control','required' => '')); ?>

                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.subject')); ?></label>
                                <?php echo Form::text('subject',"", array('placeholder' => '','class' => 'form-control','required' => '')); ?>

                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <?php echo Form::textarea('details',"", array('class' => 'form-control summer','rows'=>'5','id'=>'send_mail_details')); ?>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="stat" value="mail">
                    <input type="hidden" name="user" value="<?php echo e(encrypt($User->id)); ?>">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                    </button>
                    <button type="submit" id="create_mail_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-send"></i> <?php echo e(trans('backLang.send')); ?> &nbsp;
                    </button>
                </div>
                <?php echo e(Form::close()); ?>

            </div>
        </div>
    </div>
<?php endif; ?>
<?php if(Roles::Check("profile_send_sms")): ?>
    <div class="modal fade" id="create_sms" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <?php echo e(Form::open(['route'=>['AppUserProfileSend'],'method'=>'POST','id'=>'create_sms_form'])); ?>

                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-speech mb-2"></i> <?php echo e(trans('backLang.newSMSMessage')); ?>

                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_sms_errors">
                        <ul></ul>
                    </div>

                    <div class="row clearfix">
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.phone')); ?></label>
                                <?php echo Form::text('phone',$User->phone_full, array('placeholder' => '','class' => 'form-control','id'=>'phone','required'=>'','maxlength'=>'15')); ?>

                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.SMSMessage')); ?></label>
                                <?php echo Form::textarea('details',"", array('placeholder' => '','class' => 'form-control','rows'=>'4','required'=>'','onkeyup'=>"SMSCount(this)")); ?>

                                <small><?php echo trans('backLang.SMSMessageChar'); ?> : <span
                                        id="charNum">0</span></small>
                                &nbsp; &nbsp;<small><?php echo trans('backLang.SMSMessageCount'); ?> :
                                    <span
                                        id="charMsg">0</span></small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="stat" value="sms">
                    <input type="hidden" name="user" value="<?php echo e(encrypt($User->id)); ?>">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                    </button>
                    <button type="submit" id="create_sms_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-send"></i> <?php echo e(trans('backLang.send')); ?> &nbsp;
                    </button>
                </div>
                <?php echo e(Form::close()); ?>

            </div>
        </div>
    </div>
<?php endif; ?>
<?php if(Roles::Check("profile_send_browser")): ?>
    <div class="modal fade" id="create_browser_message" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <?php echo e(Form::open(['route'=>['AppUserProfileSend'],'method'=>'POST','id'=>'create_browser_message_form'])); ?>

                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-screen-desktop mb-2"></i> <?php echo e(trans('backLang.newBrowserMessage')); ?>

                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_browser_message_errors">
                        <ul></ul>
                    </div>

                    <div class="row clearfix">

                        <div class="col-sm-12">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.SMSMessage')); ?></label>
                                <?php echo Form::textarea('details',"", array('placeholder' => '','class' => 'form-control','id'=>'message_details','rows'=>'4','required'=>'')); ?>

                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo e(trans('backLang.url')); ?></label>
                                <?php echo Form::text('link',"", array('placeholder' => '','class' => 'form-control')); ?>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="stat" value="browser">
                    <input type="hidden" name="user" value="<?php echo e(encrypt($User->id)); ?>">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                    </button>
                    <button type="submit" id="create_browser_message_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-send"></i> <?php echo e(trans('backLang.send')); ?> &nbsp;
                    </button>
                </div>
                <?php echo e(Form::close()); ?>

            </div>
        </div>
    </div>
<?php endif; ?>
<div class="modal fade" id="message_view" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><i
                        class="icon-envelope-letter mb-2"></i> <?php echo e(trans('backLang.viewMail')); ?>

                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-data">

                <div class="modal-body">
                    <div class="text-center">
                        <div class="loader" style="display: inline-block"></div>
                        <br>
                        <small class="text-muted"><?php echo e(trans("backLang.loading")); ?></small>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/preferences/users/extra.blade.php ENDPATH**/ ?>