<script type="text/javascript">

    $(document).ready(function () {
        <?php if(Helper::Preferences("date_type")): ?>
        $("#period_start_date").hijriDatePicker({
            locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
            format: "YYYY/MM/DD",
            hijriFormat: "iYYYY/iMM/iDD",
            showSwitcher: false,
            allowInputToggle: false,
            useCurrent: true,
            isRTL: false,
            keepOpen: false,
            hijri: true,
            debug: false,
            showClear: false,
            showTodayButton: false,
            showClose: false,
            icons: {
                time: '<i class="fa fa-clock-o"></i>',
                date: '<i class="fa fa-calendar"></i>',
                up: '<i class="fa fa-chevron-up"></i>',
                down: '<i class="fa fa-chevron-down"></i>',
                previous: '<i class="fa fa-chevron-right"></i>',
                next: '<i class="fa fa-chevron-left"></i>',
                today: '<i class="fa fa-screenshot"></i>',
                clear: '<i class="fa fa-trash"></i>',
                close: '<i class="fa fa-remove"></i>'
            }
        });
        $("#period_end_date").hijriDatePicker({
            locale: "<?php echo e((trans("backLang.code")=="ar")?"ar-SA":"en-US"); ?>",
            format: "YYYY/MM/DD",
            hijriFormat: "iYYYY/iMM/iDD",
            showSwitcher: false,
            allowInputToggle: false,
            useCurrent: true,
            isRTL: false,
            keepOpen: false,
            hijri: true,
            debug: false,
            showClear: false,
            showTodayButton: false,
            showClose: false,
            icons: {
                time: '<i class="fa fa-clock-o"></i>',
                date: '<i class="fa fa-calendar"></i>',
                up: '<i class="fa fa-chevron-up"></i>',
                down: '<i class="fa fa-chevron-down"></i>',
                previous: '<i class="fa fa-chevron-right"></i>',
                next: '<i class="fa fa-chevron-left"></i>',
                today: '<i class="fa fa-screenshot"></i>',
                clear: '<i class="fa fa-trash"></i>',
                close: '<i class="fa fa-remove"></i>'
            }
        });
        <?php else: ?>
        $('.datepicker').datepicker({
            format: "yyyy/mm/dd",
            language: 'ar'
        });
        <?php endif; ?>
        var dataTable = $('#periods_table').DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('AppPeriodsList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($('#periods_table_paginate .paginate_button').length > 3) {
                        $('#periods_table_paginate')[0].style.display = "block";
                    } else {
                        $('#periods_table_paginate')[0].style.display = "none";
                    }
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {
                        "className": "row_check", "width": "5%", "data": "check", "orderable": false
                    },
                    {"data": "code"},
                    {"data": "start"},
                    {"data": "end"},
                    {"data": "status"},
                    {
                        "width": "10%", "data": "options", "orderable": false
                    }
                ],
                "order": [[1, "asc"]]
            });
        $.fn.dataTable.ext.errMode = 'none';

        $(".check-all-periods").on("click", function () {
            if ($(this).is(':checked')) {
                $('#periods_multi').find('input:checkbox').prop('checked', true);
            } else {
                $('#periods_multi').find('input:checkbox').prop('checked', false);
            }
        });

        // save period
        ajax_post_form("create_period", '<?php echo e(trans("backLang.add")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, "#periods_table", false, false, true);

        // update period
        ajax_post_form("edit_period", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', true, "#periods_table", false, false, true);

        // multi period save
        ajax_post_form("periods_multi", '<?php echo e(trans("backLang.save")); ?>', 'fe fe-save', '<?php echo trans("backLang.saveDone"); ?>', '<?php echo trans("backLang.close"); ?>', false, "#periods_table", true, false, true);

        $(".options-list-periods .dropdown-item").on("click", function () {
            $("#periods_multi_action").val($(this).attr('data-action'));
            if ($(this).attr('data-action') == "delete") {
                swal({
                    title: "<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>",
                    type: "error",
                    showCancelButton: true,
                    closeOnConfirm: false,
                    animation: "slide-from-top",
                    confirmButtonText: "<?php echo e(trans("backLang.delete")); ?>",
                    cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                    showLoaderOnConfirm: true,
                    confirmButtonColor: "#F27474",
                }, function () {
                    $("#periods_multi_submit").trigger('click');
                    swal.close();
                });
            } else {
                $("#periods_multi_submit").trigger('click');
            }
        });

        $("#edit_period").on("hidden.bs.modal", function () {
            $("#edit_period_errors").hide();
            $('#edit_period').find('.modal-body .form-fields').html("<div class=\"text-center\"><div class=\"loader\" style=\"display: inline-block\"></div><br><small class=\"text-muted\"><?php echo e(trans("backLang.loading")); ?></small></div>");
        });
    });

    // delete period
    function edit_period(rid) {
        $("#edit_period_submit").prop('disabled', true);
        $.get("<?php echo e(route("AppPeriodsEdit")); ?>/" + rid, function (data) {
            $('#edit_period').find('.modal-body .form-fields').html(data);
            $("#edit_period_submit").prop('disabled', false);
        });
        $('#edit_period').modal('show');
    }

    // delete period
    function delete_period(rid) {
        ajax_delete_row("<?php echo route("AppPeriodsDestroy"); ?>/" + rid, '<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>', '<?php echo e(trans("backLang.delete")); ?>', '<?php echo e(trans("backLang.cancel")); ?>', '<?php echo e(trans("backLang.deleteDone")); ?>', '<?php echo e(trans("backLang.erorr")); ?>', '<?php echo e(trans("backLang.close")); ?>', "#periods_table", false);
    }

</script>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/preferences/periods/js.blade.php ENDPATH**/ ?>