<?php
$page_title = trans('backLang.cashReceipt');
$name_title = trans('backLang.receivedFrom');
$cats_id = 8;
if ($Receipt->type == 0) {
    $page_title = trans('backLang.payReceipt');
    $name_title = trans('backLang.payTo');
    $cats_id = 9;
}
?>
<?php $__env->startSection('title', $page_title); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <div class="voucher">
            <div class="caption">
                <h1><?php echo $page_title; ?></h1>
                <div class="number"><?php echo e(trans('backLang.receiptNo')); ?>

                    : <?php echo e(($Receipt->code !="")?$Receipt->code:str_pad($Receipt->id, 4, '0', STR_PAD_LEFT)); ?></div>
            </div>
            <div class="amount">
                <?php echo e(trans('backLang.amount')); ?>:
                <strong><?php echo number_format($Receipt->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Receipt->currency->symbol; ?></strong>
            </div>
            <div class="date">
                <?php echo e(trans('backLang.date')); ?>:
                <strong><?php echo date(Helper::Preferences("date_format"), strtotime($Receipt->date)) . " " . ((@$Receipt->date_type) ? trans("backLang.H") : trans("backLang.M")); ?></strong>
            </div>
            <div class="person">
                <?php echo e($name_title); ?> / &nbsp; <strong><?php echo e(@$Receipt->ledger->{"title_" . trans("backLang.code")}); ?> ( <?php echo e(@$Receipt->ledger->code); ?> )</strong>
            </div>
            <div class="cost">
                <?php echo e(trans('backLang.amountOf')); ?> : &nbsp; <strong id="text_amount"><?php echo e($Receipt->amount); ?></strong>
                &nbsp;
                - &nbsp; <?php echo strip_tags(Helper::Category($Receipt->method_id)); ?>

            </div>
            <div class="details">
                <?php echo e(trans('backLang.thisFor')); ?> : &nbsp; <?php echo e($Receipt->details); ?>

            </div>
            <div class="signatures">
                <div class="signature1">
                    <?php echo e(trans('backLang.recipientSignature')); ?>

                    <div>
                        ......................................
                    </div>
                </div>
                <div class="signature2">
                    <?php echo e(trans('backLang.accountantSignature')); ?>

                    <div>
                        ......................................
                    </div>
                </div>
                <div class="signature3">
                    <?php echo e(trans('backLang.organizationManager')); ?>

                    <div>
                        ......................................
                    </div>
                </div>
            </div>
        </div>
        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
    <script src="<?php echo e(asset('back/custom/js/tafgeet_'.trans('backLang.code').'.js')); ?>"></script>

    <script type="text/javascript">

        var cur = "<?php echo e(strtoupper(@$Receipt->currency->code)); ?>";
            <?php if(trans('backLang.code')=="ar"): ?>
        var val = "<?php echo e($Receipt->amount); ?>";
        amount_text = new Tafgeet(val, cur).parse();
            <?php else: ?>
            <?php
            $num = number_format((float)$Receipt->amount, 2, '.', '');
            $pos = strpos($num, '.');
            $amount = substr($num, 0, $pos);
            $fraction = substr($num, $pos + 1, strlen($num));
            ?>
        var val = "<?php echo e($Receipt->amount); ?>";
        amount_text = GetNumber2d("<?php echo e($amount); ?>", "<?php echo e($fraction); ?>", cur);
        <?php endif; ?>
        document.getElementById('text_amount').innerHTML = amount_text;

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/receipts/receipt.blade.php ENDPATH**/ ?>