<?php $__env->startSection('title', trans('backLang.masterReport')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1><?php echo trans('backLang.masterReport'); ?></h1>

                <?php if(!empty($Period)): ?>
                    <label><?php echo e(trans('backLang.accountantPeriod')); ?></label>
                    <strong><?php echo e($Period->code); ?></strong>
                <?php endif; ?>
                <?php if(!empty($Ledger)): ?>
                    <label><?php echo e(trans('backLang.ledger')); ?></label>
                    <strong><?php echo e($Ledger->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_word !=""): ?>
                    <label><?php echo e(trans('backLang.searchFor')); ?></label>
                    <strong><?php echo $request->search_word; ?></strong>
                <?php endif; ?>
                <?php if(!empty($Currency)): ?>
                    <label><?php echo e(trans('backLang.currency')); ?></label>
                    <strong><?php echo e($Currency->{"title_".trans("backLang.code")}); ?></strong>
                <?php endif; ?>
                <?php if($request->search_start !=""): ?>
                    <label><?php echo e(trans('backLang.fromDate')); ?></label>
                    <strong><?php echo $request->search_start; ?></strong>
                <?php endif; ?>
                <?php if($request->search_end !=""): ?>
                    <label><?php echo e(trans('backLang.toDate')); ?></label>
                    <strong><?php echo $request->search_end; ?></strong>
                <?php endif; ?>
                <?php if($request->search_center_id !=""): ?>
                    <label><?php echo e(trans('backLang.costPosition')); ?></label>
                    <strong><?php echo Helper::Category($request->search_center_id); ?></strong>
                <?php endif; ?>
                <?php if($request->search_user !=""): ?>
                    <label><?php echo e(trans('backLang.user')); ?></label>
                    <strong><?php echo Helper::usernameById($request->search_user); ?></strong>
                <?php endif; ?>
            </caption>
            <thead>
            <th><?php echo e(trans('backLang.entryNo')); ?></th>
            <th><?php echo e(trans('backLang.ledgerType')); ?></th>
            <th><?php echo e(trans('backLang.date')); ?></th>
            <th><?php echo e(trans('backLang.debtor')); ?></th>
            <th><?php echo e(trans('backLang.creditor')); ?></th>
            <th><?php echo e(trans('backLang.ledger')); ?></th>
            <th><?php echo e(trans('backLang.desc')); ?></th>
            <th><?php echo e(trans('backLang.costPosition')); ?></th>
            <th><?php echo e(trans('backLang.dailyEntry')); ?></th>
            <th><?php echo e(trans('backLang.fileNo')); ?></th>
            </thead>
            <tbody>
            <?php if(count($Journals) >0): ?>
                <?php $__currentLoopData = $Journals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Journal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                    $cur_details = "";
                    if ($Journal->currency_id != Helper::Preferences("default_currency")) {
                        if ($Journal->dept > 0) {
                            $cur_details = " ( " . number_format($Journal->dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol . " )";
                        } else {
                            $cur_details = " ( " . number_format($Journal->credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$Journal->currency->symbol . " )";
                        }
                    }
                    $type = trans("backLang.dailyEntry");
                    if ($Journal->type == 2) {
                        $type = trans("backLang.reconciliationEntry");
                    } elseif ($Journal->type == 1) {
                        $type = trans("backLang.startBalance");
                    } else {
                        if (@$Journal->receipt->type == 1) {
                            $type = trans("backLang.cashReceipt");
                        } elseif (@$Journal->receipt->type == 0) {
                            $type = trans("backLang.payReceipt");
                        }
                    }
                    ?>
                    <tr>
                        <td><?php echo e($Journal->id); ?></td>
                        <td><?php echo e($type); ?></td>
                        <td><?php echo (date(Helper::Preferences("date_format"), strtotime($Journal->date)) . " " . ((@$Journal->date_type) ? trans("backLang.H") : trans("backLang.M"))); ?></td>
                        <td><?php echo e((($Journal->dept > 0) ? number_format($Journal->cost_dept, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) : "")); ?></td>
                        <td><?php echo e((($Journal->credit > 0) ? number_format($Journal->cost_credit, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) : "")); ?></td>
                        <td><?php echo e(@$Journal->ledger->code." - ".@$Journal->ledger->{"title_" . trans('backLang.boxCode')}); ?></td>
                        <td><?php echo e($Journal->details . $cur_details); ?></td>
                        <td><?php echo e(@$Journal->center->{"title_" . trans('backLang.boxCode')}); ?></td>
                        <td><?php echo e(@$Journal->receipt->id); ?></td>
                        <td><?php echo e(@$Journal->receipt->code); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <tr>
                    <td colspan="9">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>

        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/reports/ledger/print.blade.php ENDPATH**/ ?>