<?php $__env->startSection('title', trans('backLang.installmentsReport')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: landscape;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table" id="ledgers_table">
            <caption>
                <h1><?php echo trans('backLang.installmentsReport'); ?></h1>

                <?php if($request->search_word !=""): ?>
                    <label><?php echo e(trans('backLang.searchFor')); ?></label>
                    <strong><?php echo $request->search_word; ?></strong>
                <?php endif; ?>
                <?php if($request->search_start !=""): ?>
                    <label><?php echo e(trans('backLang.fromDate')); ?></label>
                    <strong><?php echo $request->search_start; ?></strong>
                <?php endif; ?>
                <?php if($request->search_end !=""): ?>
                    <label><?php echo e(trans('backLang.toDate')); ?></label>
                    <strong><?php echo $request->search_end; ?></strong>
                <?php endif; ?>
                <?php if($request->search_cat !=""): ?>
                    <label><?php echo e(trans('backLang.loansCategory')); ?></label>
                    <strong><?php echo Helper::Category($request->search_cat); ?></strong>
                <?php endif; ?>
            </caption>
            <thead>
            <th>#</th>
            <th><?php echo e(trans('backLang.installmentAmount')); ?></th>
            <th><?php echo e(trans('backLang.dueDate')); ?></th>
            <th><?php echo e(trans('backLang.status')); ?></th>
            <th><?php echo e(trans('backLang.name')); ?></th>
            <th><?php echo e(trans('backLang.idNumber')); ?></th>
            <th><?php echo e(trans('backLang.phone')); ?></th>
            <th><?php echo e(trans('backLang.notes')); ?></th>
            </thead>
            <tbody>
            <?php
            $i = 1;
            $total = 0;
            ?>
            <?php if(count($Installments) >0): ?>
                <?php $__currentLoopData = $Installments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Installment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                    $total += $Installment->amount;
                    if (@$Installment->loan->pay_method == 0) {
                        $i_date = "<div class='text-center'><span class='small'>" . trans("backLang.LoanPayMethods.0") . "</span> <br>" . date(Helper::Preferences("date_format"), strtotime($Installment->date)) . " " . ((@$Installment->date_type) ? trans("backLang.H") : trans("backLang.M")) . "</div>";
                    } else {
                        $i_date = "<div class='text-center'>" . date(Helper::Preferences("date_format"), strtotime($Installment->date)) . " " . ((@$Installment->date_type) ? trans("backLang.H") : trans("backLang.M")) . "</div>";
                    }
                    $Installment_status_title = "<span class='text-danger'>" . trans("backLang.unpaidInstallment") . "</span>";
                    if ($Installment->paid_status) {
                        $Installment_status_title = "<span class='text-success'>" . trans("backLang.paidInstallment") . "</span>" . "<div class='small'>" . Helper::DateView($Installment->paid_at, 1) . "</div>";
                    }
                    ?>
                    <tr>
                        <td><?php echo e($i); ?></td>
                        <td><?php echo e(number_format($Installment->amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$DefaultCurrency->symbol); ?></td>
                        <td><?php echo $i_date; ?></td>
                        <td><?php echo $Installment_status_title; ?></td>
                        <td><?php echo e(@$Installment->loan->name); ?></td>
                        <td><?php echo @$Installment->loan->id_number. "<br><small> " . trans('backLang.identityTypes')[@$Installment->loan->id_type]."</small>"; ?></td>
                        <td><?php echo @$Installment->loan->phone; ?></td>
                        <td><?php echo e((($Installment->notes != "") ? $Installment->notes : "-")); ?></td>
                    </tr>
                    <?php ($i++); ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                <tr>
                    <td><?php echo e(($i-1)); ?></td>
                    <td><?php echo e($total . " " . @$DefaultCurrency->symbol); ?></td>
                    <td colspan="7">
                        <?php echo e(trans("backLang.total")); ?>

                    </td>
                </tr>
            <?php else: ?>
                <tr>
                    <td colspan="8">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>

        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/reports/installments/print.blade.php ENDPATH**/ ?>