<?php $__env->startSection('title', trans('backLang.financialCenter')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: portrait;
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table" id="ledgers_table" style="border: none">
            <caption>
                <h1><?php echo trans('backLang.financialCenter'); ?></h1>

                <?php if(!empty($Period)): ?>
                    <label><?php echo e(trans('backLang.accountantPeriod')); ?></label>
                    <strong><?php echo e($Period->code); ?></strong>
                <?php endif; ?>
                <?php if($request->search_end !=""): ?>
                    <label><?php echo e(trans('backLang.atDate')); ?></label>
                    <strong><?php echo $request->search_end; ?></strong>
                <?php endif; ?>
                <?php if($request->search_center_id !=""): ?>
                    <label><?php echo e(trans('backLang.costPosition')); ?></label>
                    <strong><?php echo Helper::Category($request->search_center_id); ?></strong>
                <?php endif; ?>
            </caption>
            <?php
            $Total_of_Assets = 0;
            $Total_of_Obligation = 0;
            ?>
            <tr>
                <td style="vertical-align: top;border: none" width="50%">
                    <table class="table table-hover table-bordered">
                        <thead>
                        <th class="text-center" colspan="2">
                            <h5 class="m-0"><?php echo e(trans('backLang.assets')); ?></h5>
                        </th>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $AssetLedger->subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Assets1Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <span class="badge badge-light font-13"><?php echo e($Assets1Ledger->code); ?></span>
                                    <strong><?php echo e($Assets1Ledger->{"title_".trans("backLang.code")}); ?></strong>
                                </td>
                                <td class="text-center" width="40%">
                                    <?php if(!$Assets1Ledger->group): ?>
                                        <?php echo e(number_format(@$Balances[$Assets1Ledger->id]['balance'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                    <?php endif; ?>
                                </td>
                            </tr>
                            <?php
                            $AssetsLedger_total = 0;
                            ?>
                            <?php $__currentLoopData = $Assets1Ledger->subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Assets2Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        &nbsp; &nbsp; &nbsp; <span
                                            class="badge badge-light font-13"><?php echo e($Assets2Ledger->code); ?></span>
                                        <?php echo e($Assets2Ledger->{"title_".trans("backLang.code")}); ?>

                                    </td>
                                    <td class="text-center" width="40%">
                                        <?php if(!$Assets2Ledger->group): ?>
                                            <?php echo e(number_format(@$Balances[$Assets2Ledger->id]['balance'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                            <?php
                                            $AssetsLedger_total += @$Balances[$Assets2Ledger->id]['balance'];
                                            ?>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <?php $__currentLoopData = $Assets2Ledger->subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Assets3Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td>
                                            &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span
                                                class="badge badge-light font-13"><?php echo e($Assets3Ledger->code); ?></span>
                                            <?php echo e($Assets3Ledger->{"title_".trans("backLang.code")}); ?>

                                        </td>
                                        <td class="text-center" width="40%">
                                            <?php if(!$Assets3Ledger->group): ?>
                                                <?php echo e(number_format(@$Balances[$Assets3Ledger->id]['balance'], Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                                <?php
                                                $AssetsLedger_total += @$Balances[$Assets3Ledger->id]['balance'];
                                                ?>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php if(count($Assets1Ledger->subs) >0): ?>
                                <tr class="bg-light">
                                    <td>
                                        <strong><?php echo e(trans('backLang.totalOf')); ?> <?php echo e($Assets1Ledger->{"title_".trans("backLang.code")}); ?></strong>
                                    </td>
                                    <td class="text-center" width="40%">
                                        <strong>
                                            <?php echo e(number_format($AssetsLedger_total, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                            <?php
                                            $Total_of_Assets += $AssetsLedger_total;
                                            ?>
                                        </strong>
                                    </td>
                                </tr>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </td>
                <td style="vertical-align: top;border: none" width="50%">
                    <table class="table table-hover table-bordered">
                        <thead>
                            <th class="text-center" colspan="2">
                                <h5 class="m-0"><?php echo e(trans('backLang.Obligations')); ?></h5>
                            </th>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $ObligationLedger->subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Obligation1Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <span class="badge badge-light font-13"><?php echo e($Obligation1Ledger->code); ?></span>
                                    <strong><?php echo e($Obligation1Ledger->{"title_".trans("backLang.code")}); ?></strong>
                                </td>
                                <td class="text-center" width="40%">
                                    <?php if(!$Obligation1Ledger->group): ?>
                                        <?php echo e(number_format(((@$Balances[$Obligation1Ledger->id]['balance'] <0)?(@$Balances[$Obligation1Ledger->id]['balance']*-1):@$Balances[$Obligation1Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                    <?php endif; ?>
                                </td>
                            </tr>
                            <?php
                            $ObligationLedger_total = 0;
                            ?>
                            <?php $__currentLoopData = $Obligation1Ledger->subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Obligation2Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        &nbsp; &nbsp; &nbsp; <span
                                            class="badge badge-light font-13"><?php echo e($Obligation2Ledger->code); ?></span>
                                        <?php echo e($Obligation2Ledger->{"title_".trans("backLang.code")}); ?>

                                    </td>
                                    <td class="text-center" width="40%">
                                        <?php if(!$Obligation2Ledger->group): ?>
                                            <?php echo e(number_format(((@$Balances[$Obligation2Ledger->id]['balance'] <0)?(@$Balances[$Obligation2Ledger->id]['balance']*-1):@$Balances[$Obligation2Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                            <?php
                                            $ObligationLedger_total += @$Balances[$Obligation2Ledger->id]['balance'];
                                            ?>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <?php $__currentLoopData = $Obligation2Ledger->subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Obligation3Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td>
                                            &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span
                                                class="badge badge-light font-13"><?php echo e($Obligation3Ledger->code); ?></span>
                                            <?php echo e($Obligation3Ledger->{"title_".trans("backLang.code")}); ?>

                                        </td>
                                        <td class="text-center" width="40%">
                                            <?php if(!$Obligation3Ledger->group): ?>
                                                <?php echo e(number_format(((@$Balances[$Obligation3Ledger->id]['balance'] <0)?(@$Balances[$Obligation3Ledger->id]['balance']*-1):@$Balances[$Obligation3Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                                <?php
                                                $ObligationLedger_total += @$Balances[$Obligation3Ledger->id]['balance'];
                                                ?>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php if(count($Obligation1Ledger->subs) >0): ?>
                                <tr class="bg-light">
                                    <td>
                                        <strong><?php echo e(trans('backLang.totalOf')); ?> <?php echo e($Obligation1Ledger->{"title_".trans("backLang.code")}); ?></strong>
                                    </td>
                                    <td class="text-center" width="40%">
                                        <strong>
                                            <?php echo e(number_format((($ObligationLedger_total <0)?($ObligationLedger_total*-1):$ObligationLedger_total), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                            <?php
                                            $Total_of_Obligation += $ObligationLedger_total;
                                            ?>
                                        </strong>
                                    </td>
                                </tr>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <span class="badge badge-light font-13"><?php echo e($PropertyLedger->code); ?></span>
                                <strong><?php echo e($PropertyLedger->{"title_".trans("backLang.code")}); ?></strong>
                            </td>
                            <td class="text-center" width="40%"></td>
                        </tr>
                        <?php
                        $Property_total = 0;
                        ?>
                        <?php $__currentLoopData = $PropertyLedger->subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Property1Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <span class="badge badge-light font-13"><?php echo e($Property1Ledger->code); ?></span>
                                    <?php echo e($Property1Ledger->{"title_".trans("backLang.code")}); ?>

                                </td>
                                <td class="text-center" width="40%">
                                    <?php if(!$Property1Ledger->group): ?>
                                        <?php echo e(number_format(((@$Balances[$Property1Ledger->id]['balance'] <0)?(@$Balances[$Property1Ledger->id]['balance']*-1):@$Balances[$Property1Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                        <?php
                                        $Property_total += @$Balances[$Property1Ledger->id]['balance'];
                                        ?>
                                    <?php endif; ?>
                                </td>
                            </tr>
                            <?php
                            $PropertyLedger_total = 0;
                            ?>
                            <?php $__currentLoopData = $Property1Ledger->subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Property2Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        &nbsp; &nbsp; &nbsp; <span
                                            class="badge badge-light font-13"><?php echo e($Property2Ledger->code); ?></span>
                                        <?php echo e($Property2Ledger->{"title_".trans("backLang.code")}); ?>

                                    </td>
                                    <td class="text-center" width="40%">
                                        <?php if(!$Property2Ledger->group): ?>
                                            <?php echo e(number_format(((@$Balances[$Property2Ledger->id]['balance'] <0)?(@$Balances[$Property2Ledger->id]['balance']*-1):@$Balances[$Property2Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                            <?php
                                            $PropertyLedger_total += @$Balances[$Property2Ledger->id]['balance'];
                                            $Property_total += @$Balances[$Property2Ledger->id]['balance'];
                                            ?>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <?php $__currentLoopData = $Property2Ledger->subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Property3Ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td>
                                            &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span
                                                class="badge badge-light font-13"><?php echo e($Property3Ledger->code); ?></span>
                                            <?php echo e($Property3Ledger->{"title_".trans("backLang.code")}); ?>

                                        </td>
                                        <td class="text-center" width="40%">
                                            <?php if(!$Property3Ledger->group): ?>
                                                <?php echo e(number_format(((@$Balances[$Property3Ledger->id]['balance'] <0)?(@$Balances[$Property3Ledger->id]['balance']*-1):@$Balances[$Property3Ledger->id]['balance']), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                                <?php
                                                $PropertyLedger_total += @$Balances[$Property3Ledger->id]['balance'];
                                                $Property_total += @$Balances[$Property3Ledger->id]['balance'];
                                                ?>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php if(count($Property1Ledger->subs) >0): ?>
                                <tr class="bg-light">
                                    <td>
                                        <strong><?php echo e(trans('backLang.totalOf')); ?> <?php echo e($Property1Ledger->{"title_".trans("backLang.code")}); ?></strong>
                                    </td>
                                    <td class="text-center" width="40%">
                                        <strong>
                                            <?php echo e(number_format((($PropertyLedger_total <0)?($PropertyLedger_total*-1):$PropertyLedger_total), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                        </strong>
                                    </td>
                                </tr>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <tr class="bg-light">
                            <td>
                                <strong><?php echo e(trans('backLang.totalOf')); ?> <?php echo e($PropertyLedger->{"title_".trans("backLang.code")}); ?></strong>
                            </td>
                            <td class="text-center" width="40%">
                                <strong>
                                    <?php echo e(number_format((($Property_total <0)?($Property_total*-1):$Property_total), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                    <?php
                                    $Total_of_Obligation += $Property_total;
                                    ?>
                                </strong>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td style="border: none">
                    <table class="table table-hover table-bordered">
                        <tr class="bg-primary">
                            <td class="text-white">
                                <h6 class="m-0">
                                    <?php echo e(trans('backLang.totalOf')); ?> <?php echo e(trans('backLang.assets')); ?>

                                </h6>
                            </td>
                            <td class="text-white text-center" width="40%">
                                <h6 class="m-0">
                                    <?php echo e(number_format($Total_of_Assets, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                </h6>
                            </td>
                        </tr>
                    </table>
                </td>
                <td style="border: none">
                    <table class="table table-hover table-bordered">
                        <tr class="bg-primary">
                            <td class="text-white">
                                <h6 class="m-0">
                                    <?php echo e(trans('backLang.totalOf')); ?> <?php echo e(trans('backLang.Obligations')); ?>

                                </h6>
                            </td>
                            <td class="text-white text-center" width="40%">
                                <h6 class="m-0">
                                    <?php echo e(number_format((($Total_of_Obligation <0)?($Total_of_Obligation*-1):$Total_of_Obligation), Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol"))); ?>

                                </h6>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>

        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/reports/financial/print.blade.php ENDPATH**/ ?>