<?php $__env->startSection('title', trans('backLang.editRoles')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="<?php echo e(route("appSettings")); ?>"><?php echo e(trans('backLang.settings')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><a
                            href="<?php echo e(route("AppRoles")); ?>"><?php echo e(trans('backLang.roles')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans('backLang.editRoles')); ?></li>
                </ol>
            </nav>
            <?php echo e(Form::open(['route'=>['AppRolesUpdate'],'method'=>'POST'])); ?>

            <input type="hidden" name="id" value="<?php echo e(encrypt($ERoles->id)); ?>">
            <div class="row clearfix">
                <div class="col-sm-4">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?php echo e(trans('backLang.editRoles')); ?></h3>
                            <div class="card-options">
                                <a href="<?php echo e(route("AppRoles")); ?>"><i
                                        class="fe fe-x"></i></a>
                            </div>
                        </div>
                        <div class="card-body">

                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label><?php echo trans('backLang.roleName'); ?></label>
                                        <?php echo Form::text('name',$ERoles->name, array('placeholder' => '','class' => 'form-control','id' => 'name')); ?>


                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            <?php echo Form::checkbox('add','1',($ERoles->add)? true : false , array('id' => 'add','class'=>'custom-switch-input')); ?>

                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> <?php echo trans('backLang.addPermission'); ?> </span>
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            <?php echo Form::checkbox('edit','1',($ERoles->edit)? true : false , array('id' => 'edit','class'=>'custom-switch-input')); ?>

                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> <?php echo trans('backLang.editPermission'); ?> </span>
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            <?php echo Form::checkbox('delete','1',($ERoles->delete)? true : false , array('id' => 'delete','class'=>'custom-switch-input')); ?>

                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> <?php echo trans('backLang.deletePermission'); ?> </span>
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            <?php echo Form::checkbox('view','1',($ERoles->view)? true : false , array('id' => 'view','class'=>'custom-switch-input')); ?>

                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> <?php echo trans('backLang.dataManagements1'); ?> </span>
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            <?php echo Form::checkbox('status','1',($ERoles->status)? true : false , array('id' => 'status','class'=>'custom-switch-input')); ?>

                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> <?php echo trans('backLang.rolesEnable'); ?> </span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <button type="submit"
                                    class="btn btn-info">  <?php echo trans('backLang.save'); ?> <?php echo e(trans('backLang.editRoles')); ?></button>
                        </div>
                    </div>
                </div>
                <div class="col-sm-8">
                    <?php $__currentLoopData = Roles::List(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $AppRoleGroup): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div
                            class="card <?php echo e(($AppRoleGroup['group_check'] && ! @$Roles->{$AppRoleGroup['group_role']})?"card-collapsed":""); ?>">
                            <div class="card-header">
                                <?php if($AppRoleGroup['group_check']): ?>
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            <?php echo Form::checkbox($AppRoleGroup['group_role'],'1',(@$Roles->{$AppRoleGroup['group_role']})?true:false , array('id' => $AppRoleGroup['group_role'],'class'=>'custom-switch-input role_group')); ?>

                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> <?php echo $AppRoleGroup['group_title']; ?> </span>
                                        </label>
                                    </div>
                                <?php else: ?>
                                    <h3 class="card-title"><?php echo e($AppRoleGroup['group_title']); ?></h3>
                                <?php endif; ?>
                                <div class="card-options">
                                    <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                            class="fe fe-chevron-up"></i></a>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row clearfix">
                                    <?php $__currentLoopData = $AppRoleGroup['group_roles']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $AppRoleRole): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-sm-<?php echo e($AppRoleGroup['group_col']); ?>">
                                            <div class="form-group">
                                                <label class="custom-switch">
                                                    <?php echo Form::checkbox($AppRoleRole['role'],'1',(@$Roles->{$AppRoleRole['role']})?true:false , array('id' => $AppRoleRole['role'],'parent'=>$AppRoleGroup['group_role'],'class'=>'sub_check custom-switch-input '.$AppRoleGroup['group_role'])); ?>

                                                    <span class="custom-switch-indicator"></span>
                                                    <span
                                                        class="custom-switch-description"> <?php echo $AppRoleRole['title']; ?> </span>
                                                </label>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
            <?php echo e(Form::close()); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.role_group').click(function () {
                var item_id = $(this).attr('id');
                if ($(this).is(':checked')) {
                    $('.' + item_id).prop('checked', true);
                    $(this).closest('.card').removeClass("card-collapsed");
                } else {
                    $('.' + item_id).prop('checked', false);
                    $(this).closest('.card').addClass("card-collapsed");
                }
            });
            $('.sub_check').change(function () {
                if ($(this).is(':checked')) {
                    $('#' + $(this).attr('parent')).prop('checked', this.checked);
                } else {
                    var sibs = false;
                    $('.' + $(this).attr('parent')).each(function () {
                        if ($(this).is(':checked')) sibs = true;
                    });
                    $('#' + $(this).attr('parent')).prop('checked', sibs);
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/preferences/roles/edit.blade.php ENDPATH**/ ?>