<?php if(Roles::Check("add")): ?>
    <div class="modal fade" id="create_fund" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <?php echo e(Form::open(['route'=>['AppBanksStore'],'method'=>'POST','id'=>'create_fund_form'])); ?>

                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="fe fe-plus mb-2"></i> <?php echo e(trans('backLang.addBank')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="create_fund_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <?php if(Helper::Preferences("ar_box_status")): ?>
                            <div class="form-group">
                                <label
                                    class="form-label"><?php echo trans('backLang.fundName'); ?> <?php if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")): ?><?php echo trans('backLang.arabicBox'); ?><?php endif; ?></label>
                                <?php echo Form::text('title_ar','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.rtl'))); ?>

                            </div>
                        <?php endif; ?>
                        <?php if(Helper::Preferences("en_box_status")): ?>
                            <div class="form-group">
                                <label><?php echo trans('backLang.fundName'); ?>  <?php if(Helper::Preferences("ar_box_status") && Helper::Preferences("en_box_status")): ?><?php echo trans('backLang.englishBox'); ?><?php endif; ?></label>
                                <div>
                                    <?php echo Form::text('title_en','', array('placeholder' => '','class' => 'form-control','required'=>'', 'dir'=>trans('backLang.ltr'))); ?>

                                </div>
                            </div>
                        <?php endif; ?>
                        <div class="form-group">
                            <label><?php echo trans('backLang.ledgerAccount'); ?></label>
                            <div>
                                <select name="ledger_id"
                                        class="form-control custom-list" required>
                                    <option
                                        value=""><?php echo e(trans('backLang.selectLedgerCat')); ?></option>
                                    <?php echo printAsSelectOptions($ledgers_array,NULL,0,0); ?>

                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <input type="hidden" name="type" value="1">
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                    </button>
                    <button type="submit" id="create_fund_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> <?php echo trans('backLang.add'); ?> &nbsp;
                    </button>
                </div>
                <?php echo e(Form::close()); ?>

            </div>
        </div>
    </div>
<?php endif; ?>
<?php if(Roles::Check("edit")): ?>
    <div class="modal fade" id="edit_fund" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <?php echo e(Form::open(['route'=>['AppBanksUpdate'],'method'=>'POST','id'=>'edit_fund_form'])); ?>

                <div class="modal-header">
                    <h5 class="modal-title"><i
                            class="icon-pencil mb-2"></i> <?php echo e(trans('backLang.editFund')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-danger displaynone" id="edit_fund_errors">
                        <ul></ul>
                    </div>
                    <div class="form-fields">
                        <div class="text-center">
                            <div class="loader" style="display: inline-block"></div>
                            <div>
                                <small class="text-muted"><?php echo e(trans("backLang.loading")); ?></small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><i
                            class="fe fe-x"></i> <?php echo e(trans('backLang.cancel')); ?>

                    </button>
                    <button type="submit" id="edit_fund_submit" class="btn btn-primary">
                        &nbsp; <i
                            class="fe fe-save"></i> <?php echo e(trans('backLang.save')); ?> &nbsp;
                    </button>
                </div>
                <?php echo e(Form::close()); ?>

            </div>
        </div>
    </div>
<?php endif; ?>
<?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/Laravel/accounting/resources/views/back/accounting/preferences/funds/create.blade.php ENDPATH**/ ?>