<?php $__env->startSection('title', trans('backLang.DBBackup')); ?>
<?php $__env->startSection("content"); ?>
    <div class="section-body pt-3">
        <div class="container-fluid">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item" aria-current="page"><a
                            href="<?php echo e(route("appSettings")); ?>"><?php echo e(trans('backLang.settings')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans('backLang.DBBackup')); ?></li>
                </ol>
            </nav>
            <div class="row clearfix">
                <div class="col-sm-12">
                    <?php
                    if (!function_exists('exec')) {
                        echo "<div class='alert alert-danger'><i class=\"fe fe-alert-triangle font-22 pull-right\"></i> ".trans('backLang.exec')."</div>";
                    }
                    ?>
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?php echo e(trans('backLang.DBBackup')); ?></h3>
                            <div class="card-options">
                                <button type="button" id="create_backup_btn" class="btn btn-primary"><i
                                        class="fe fe-plus mb-2"></i> <?php echo e(trans('backLang.generateNewBackup')); ?></button>
                            </div>
                        </div>
                        <div class="card-body">
                            <?php echo e(Form::open(['route'=>['AppBackupStore'],'method'=>'POST','id'=>'create_backup_form'])); ?>

                            <input type="hidden" name="title" id="backup_title" value="">
                            <input type="hidden" name="file" id="backup_file" value="">
                            <?php echo e(Form::close()); ?>


                            <div class="table-responsive">
                                <table
                                    class="table table-hover js-basic-example dataTable table_custom border-style spacing5"
                                    id="backups_table">
                                    <thead>
                                    <th><?php echo e(trans('backLang.BackupTitle')); ?></th>
                                    <th><?php echo e(trans('backLang.BackupFile')); ?></th>
                                    <th><?php echo e(trans('backLang.BackupDate')); ?></th>
                                    <th class="text-center"><?php echo e(trans('backLang.options')); ?></th>
                                    </thead>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?php echo e(trans('backLang.restoreFromSQLFile')); ?></h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <p><?php echo e(trans('backLang.restoreFromSQLFileInfo')); ?></p>
                            <?php echo e(Form::open(['route'=>['AppBackupRestoreFromFile'],'method'=>'POST', 'files' => true, 'id' => "upload_backup_form"])); ?>

                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="input-group">
                                        <?php echo Form::file('file', array('class' => 'form-control','id'=>'file','required'=>'','accept'=>'.gz,.sql')); ?>

                                        <span class="input-group-append"><button class="btn btn-primary" type="submit">
                                                <?php echo trans('backLang.restore'); ?>

                                            </button></span>
                                    </div>
                                    <label class="custom-control custom-checkbox  custom-control-inline mt-1">
                                        <?php echo Form::checkbox('save_file','1',false, array('id' => 'save_file','checked'=>'checked','class'=>"custom-control-input")); ?>

                                        <span class="custom-control-label"><?php echo e(trans('backLang.saveToServer')); ?></span>
                                    </label>

                                </div>

                            </div>

                            <?php echo e(Form::close()); ?>

                        </div>
                    </div>
                </div>
            </div>

            <?php echo e(Form::open(['route'=>['appBackupSettingsUpdate'],'method'=>'POST'])); ?>

            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?php echo e(trans('backLang.backupSettings')); ?></h3>
                            <div class="card-options">
                                <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i
                                        class="fe fe-chevron-up"></i></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div style="text-align: left;" dir="ltr">
                                <div class="row clearfix">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label><?php echo trans('backLang.backupMysqlPath'); ?></label>
                                            <?php echo Form::text('mysql_path',$Preferences->mysql_path, array('placeholder' => '','class' => 'form-control','id' => 'mysql_path', 'dir'=>trans('backLang.ltr'))); ?>

                                            <div dir="ltr" class="mt-1 b-a p-a light dk ">
                                                <div class="text-muted">
                                                    <div class="mb-1">
                                                        <a onclick="document.getElementById('mysql_path').value = 'C:/xampp/mysql/bin/mysql'"><span
                                                                class="badge badge-primary">Xampp server ( Windows )</span>
                                                            <small>C:/xampp/mysql/bin/mysql</small>
                                                        </a>
                                                    </div>
                                                    <div>
                                                        <a onclick="document.getElementById('mysql_path').value = '/usr/bin/mysql'"><span
                                                                class="badge badge-primary">Online ( Linux )</span>
                                                            <small>/usr/bin/mysql</small>
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label><?php echo trans('backLang.backupMysqlDumpPath'); ?></label>
                                            <?php echo Form::text('mysqldump_path',$Preferences->mysqldump_path, array('placeholder' => '','class' => 'form-control','id' => 'mysqldump_path', 'dir'=>trans('backLang.ltr'))); ?>

                                            <div dir="ltr" class="mt-1 b-a p-a light dk ">
                                                <div class="text-muted">
                                                    <div class="mb-1">
                                                        <a onclick="document.getElementById('mysqldump_path').value = 'C:/xampp/mysql/bin/mysqldump'"><span
                                                                class="badge badge-primary">Xampp server ( Windows )</span>
                                                            <small>C:/xampp/mysql/bin/mysqldump</small>
                                                        </a>
                                                    </div>
                                                    <div>
                                                        <a onclick="document.getElementById('mysqldump_path').value = '/usr/bin/mysqldump'"><span
                                                                class="badge badge-primary">Online ( Linux )</span>
                                                            <small>/usr/bin/mysqldump</small>
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            <?php echo Form::checkbox('backup_type_0','1',($Preferences->backup_type!="") ? true : false , array('id' => 'backup_type_0','class'=>'custom-switch-input')); ?>

                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> <?php echo e(trans('backLang.backupType')); ?> </span>
                                        </label>
                                    </div>
                                    <div class=" mb-4 <?php echo ($Preferences->backup_type =="") ? "displaynone":""; ?>"
                                         id="backup_types_div">
                                        <div class="form-group">
                                            <div class="custom-controls-stacked">
                                                <label
                                                    class="custom-control displaynone custom-radio custom-control-inline">
                                                    <?php echo Form::radio('backup_type','',($Preferences->backup_type=="") ? true : false , array('id' => 'backup_type0','class'=>'custom-control-input')); ?>

                                                    <div
                                                        class="custom-control-label"><?php echo e(trans('backLang.backupType0')); ?></div>
                                                </label>
                                                <label class="custom-control custom-radio custom-control-inline">
                                                    <?php echo Form::radio('backup_type','daily',($Preferences->backup_type=="daily") ? true : false , array('id' => 'backup_type1','class'=>'custom-control-input')); ?>

                                                    <div
                                                        class="custom-control-label"><?php echo e(trans('backLang.backupType1')); ?></div>
                                                </label>

                                                <label class="custom-control custom-radio custom-control-inline">
                                                    <?php echo Form::radio('backup_type','weakly',($Preferences->backup_type=="weakly") ? true : false , array('id' => 'backup_type2','class'=>'custom-control-input')); ?>

                                                    <div
                                                        class="custom-control-label"><?php echo e(trans('backLang.backupType2')); ?></div>
                                                </label>

                                                <label class="custom-control custom-radio custom-control-inline">
                                                    <?php echo Form::radio('backup_type','monthly',($Preferences->backup_type=="monthly") ? true : false , array('id' => 'backup_type3','class'=>'custom-control-input')); ?>

                                                    <div
                                                        class="custom-control-label"><?php echo e(trans('backLang.backupType3')); ?></div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label class="custom-switch">
                                            <?php echo Form::checkbox('backup_ftp','1',$Preferences->backup_ftp ? true : false , array('id' => 'backup_ftp','class'=>'custom-switch-input')); ?>

                                            <span class="custom-switch-indicator"></span>
                                            <span
                                                class="custom-switch-description"> <?php echo e(trans('backLang.backupUploadToFTP')); ?> </span>
                                        </label>
                                    </div>
                                </div>
                            </div>

                            <button type="submit"
                                    class="btn btn-primary">  <?php echo trans('backLang.save'); ?> <?php echo e(trans('backLang.backupSettings')); ?> </button>
                        </div>
                    </div>
                </div>
            </div>
            <?php echo e(Form::close()); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush("after-styles"); ?>
    <link rel="stylesheet" href="<?php echo e(asset('back/plugins/multi-select/css/multi-select.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startPush("after-scripts"); ?>
    <script src="<?php echo e(asset('back/plugins/bootstrap-multiselect/bootstrap-multiselect.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<?php $__env->startSection("page-script"); ?>
    <script type="text/javascript">
        $(document).ready(function () {
            $('#backup_type_0').click(function () {
                if ($(this).is(':checked')) {
                    $("#backup_types_div").css("display", "block");
                    $("#backup_type1").trigger('click');
                } else {
                    $("#backup_types_div").css("display", "none");
                    $("#backup_type0").trigger('click');
                }
            });

            $('#create_backup_btn').click(function () {
                swal({
                    title: "<?php echo e(trans("backLang.generateNewBackup")); ?>",
                    text: "<?php echo e(trans("backLang.BackupTitleDesc")); ?>",
                    type: "input",
                    showCancelButton: true,
                    closeOnConfirm: false,
                    animation: "slide-from-top",
                    inputPlaceholder: "<?php echo e(trans("backLang.BackupTitle")); ?>",
                    inputValue: "",
                    confirmButtonText: "<?php echo e(trans("backLang.generateNewBackup")); ?>",
                    cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                    showLoaderOnConfirm: true,
                }, function (inputValue) {
                    if (inputValue === false) return false;
                    if (inputValue === "") {
                        swal.showInputError("<?php echo e(trans("backLang.BackupTitleDesc")); ?>");
                        return false
                    }
                    $("#backup_title").val(inputValue);
                    $("#backup_file").val('');
                    var formData = $("#create_backup_form").serialize();
                    var xhr = $.ajax({
                        type: "POST",
                        url: "<?php echo route("AppBackupStore"); ?>",
                        data: formData,
                        success: function (result) {
                            var obj_result = jQuery.parseJSON(result);
                            $('#backups_table').DataTable().ajax.reload();
                            if (obj_result.stat == 'success') {
                                swal({
                                    title: "<span class='text-success'><?php echo e(trans("backLang.BackupSuccess")); ?></span>",
                                    text: inputValue + "<br>[ <a href='" + obj_result.download_url + "'><strong><?php echo e(trans("backLang.downloadFile")); ?></strong></a> ]",
                                    html: true,
                                    type: "success",
                                    confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                    confirmButtonColor: "#acacac",
                                });
                            } else {
                                swal({
                                    title: "<span class='text-danger'><?php echo e(trans("backLang.erorr")); ?></span>",
                                    text: "",
                                    html: true,
                                    type: "error",
                                    confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                    confirmButtonColor: "#acacac",
                                });
                            }
                        }
                    });
                    //console.log(xhr);

                });
            });

            var table_name = "#backups_table";
            var table_paginate = "<?php echo e(DeviceTrust::settings('BACKEND_PAGINATION')); ?>";
            var dataTable = $(table_name).DataTable({
                "processing": true,
                "serverSide": true,
                "searching": false,
                "responsive": true,
                "pageLength": table_paginate,
                "ajax": {
                    "url": "<?php echo e(route('AppBackupList')); ?>",
                    "dataType": "json",
                    "type": "POST",
                    "data": function (data) {
                        data._token = "<?php echo e(csrf_token()); ?>";
                    }

                },
                "dom": '<"dataTables_wrapper"<"row"<"col-sm-12 col-md-9"i><"col-sm-12 col-md-3"l>><"row"<"col-sm-12 col-md-12"r>><"row"t><"row"<"w-p100"p>>>',
                "fnDrawCallback": function () {
                    if ($(table_name + '_paginate .paginate_button').length > 3) {
                        $(table_name + '_paginate')[0].style.display = "block";
                    } else {
                        $(table_name + '_paginate')[0].style.display = "none";
                    }
                },
                <?php if(trans('backLang.boxCode') =="ar"): ?>
                "language": {
                    <?php echo trans("backLang.dataTablesTranslation"); ?>

                },
                <?php endif; ?>
                "columns": [
                    {"data": "title"},
                    {"data": "file"},
                    {"data": "created_at"},
                    {"data": "options", "orderable": false}
                ],
                "order": [[2, "desc"]]

            });
            $.fn.dataTable.ext.errMode = 'none';
        });

        function edit_row(rfile, rtitle) {
            swal({
                title: "<?php echo e(trans("backLang.BackupTitle")); ?>",
                text: "",
                type: "input",
                showCancelButton: true,
                closeOnConfirm: false,
                animation: "slide-from-top",
                inputPlaceholder: "<?php echo e(trans("backLang.BackupTitle")); ?>",
                inputValue: rtitle,
                confirmButtonText: "<?php echo e(trans("backLang.edit")); ?>",
                cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                showLoaderOnConfirm: true,
            }, function (inputValue) {
                if (inputValue === false) return false;
                if (inputValue === "") {
                    swal.showInputError("<?php echo e(trans("backLang.BackupTitleDesc")); ?>");
                    return false
                }
                $("#backup_title").val(inputValue);
                $("#backup_file").val(rfile);
                var formData = $("#create_backup_form").serialize();
                $.ajax({
                    type: "POST",
                    url: "<?php echo route("AppBackupUpdate"); ?>",
                    data: formData,
                    success: function (result) {
                        var obj_result = jQuery.parseJSON(result);
                        $('#backups_table').DataTable().ajax.reload();
                        if (obj_result.stat == 'success') {
                            swal({
                                title: "<span class='text-success'><?php echo e(trans("backLang.saveDone")); ?></span>",
                                text: "",
                                html: true,
                                type: "success",
                                confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                confirmButtonColor: "#acacac",
                            });
                        } else {
                            swal({
                                title: "<span class='text-danger'><?php echo e(trans("backLang.erorr")); ?></span>",
                                text: "",
                                html: true,
                                type: "error",
                                confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                confirmButtonColor: "#acacac",
                            });
                        }
                    }
                });

            });
        }

        function restore_row(rid) {
            swal({
                title: "<?php echo e(trans("backLang.restore")); ?>",
                text: "<?php echo e(trans("backLang.BackupRestoreConfirm")); ?>",
                type: "info",
                showCancelButton: true,
                closeOnConfirm: false,
                animation: "slide-from-top",
                confirmButtonText: "<?php echo e(trans("backLang.restore")); ?>",
                cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                showLoaderOnConfirm: true,
                confirmButtonColor: "#46b8da",
            }, function () {
                var xhr = $.ajax({
                    type: "GET",
                    url: "<?php echo route("AppBackupRestore"); ?>/" + rid,
                    success: function (result) {
                        var obj_result = jQuery.parseJSON(result);
                        if (obj_result.stat == 'success') {
                            swal({
                                title: "<span class='text-success'><?php echo e(trans("backLang.BackupRestored")); ?></span>",
                                html: true,
                                type: "success",
                                confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                confirmButtonColor: "#acacac",
                            });

                        } else {
                            swal({
                                title: "<span class='text-danger'><?php echo e(trans("backLang.erorr")); ?></span>",
                                html: true,
                                type: "error",
                                confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                confirmButtonColor: "#acacac",
                            });
                        }
                        $('#backups_table').DataTable().ajax.reload();
                    }
                });
                console.log(xhr);

            });
        }

        function delete_row(rid) {
            swal({
                title: "<?php echo e(trans("backLang.confirmationDeleteMsg")); ?>",
                type: "error",
                showCancelButton: true,
                closeOnConfirm: false,
                animation: "slide-from-top",
                confirmButtonText: "<?php echo e(trans("backLang.delete")); ?>",
                cancelButtonText: "<?php echo e(trans("backLang.cancel")); ?>",
                showLoaderOnConfirm: true,
                confirmButtonColor: "#F27474",
            }, function () {
                $.ajax({
                    type: "GET",
                    url: "<?php echo route("AppBackupDestroy"); ?>/" + rid,
                    success: function (result) {
                        var obj_result = jQuery.parseJSON(result);
                        if (obj_result.stat == 'success') {
                            swal({
                                title: "<span class='text-success'><?php echo e(trans("backLang.deleteDone")); ?></span>",
                                html: true,
                                type: "success",
                                confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                confirmButtonColor: "#acacac",
                                timer: 5000,
                            });
                        } else {
                            swal({
                                title: "<span class='text-danger'><?php echo e(trans("backLang.erorr")); ?></span>",
                                html: true,
                                type: "error",
                                confirmButtonText: "<?php echo e(trans("backLang.close")); ?>",
                                confirmButtonColor: "#acacac",
                            });
                        }
                        $('#backups_table').DataTable().ajax.reload();
                    }
                });

            });
        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/albodxwu/public_html/smartfordesign.net/acc-demo/core/resources/views/back/preferences/backup.blade.php ENDPATH**/ ?>