<?php $__env->startSection('title', trans('backLang.loans')); ?>
<?php $__env->startSection("content"); ?>
    <style>
        @media  print {
            @page  {
                size: landscape
            }
        }
    </style>
    <div class="container">
        <?php echo Helper::PrintHeaderAndFooter("")["header"]; ?>

        <table class="responsive-table center-table">
            <caption>
                <h1><?php echo trans('backLang.loans'); ?></h1>
                <?php if($request->search_word !=""): ?>
                    <label><?php echo e(trans('backLang.searchFor')); ?></label>
                    <strong><?php echo $request->search_word; ?></strong>
                <?php endif; ?>
                <?php if($request->search_cat_id !=""): ?>
                    <label><?php echo e(trans('backLang.tribe')); ?></label>
                    <strong><?php echo Helper::Category($request->search_cat_id); ?></strong>
                <?php endif; ?>

                <?php if($request->search_status !=""): ?>
                    <?php
                    if ($request->search_status == 1) {
                        $loan_status_title = trans('backLang.approved');
                    } elseif ($request->search_status == -1) {
                        $loan_status_title = trans('backLang.notApproved');
                    } else {
                        $loan_status_title = trans('backLang.pending');
                    }
                    ?>
                    <label><?php echo e(trans('backLang.loanStatus')); ?></label>
                    <strong><?php echo $loan_status_title; ?></strong>
                <?php endif; ?>

                <?php if($request->search_start !=""): ?>
                    <label><?php echo e(trans('backLang.fromDate')); ?></label>
                    <strong><?php echo $request->search_start; ?></strong>
                <?php endif; ?>
                <?php if($request->search_end !=""): ?>
                    <label><?php echo e(trans('backLang.toDate')); ?></label>
                    <strong><?php echo $request->search_end; ?></strong>
                <?php endif; ?>
                <?php if($request->search_user !=""): ?>
                    <label><?php echo e(trans('backLang.user')); ?></label>
                    <strong><?php echo Helper::usernameById($request->search_user); ?></strong>
                <?php endif; ?>
            </caption>
            <thead>
            <th><?php echo e(trans('backLang.recordId')); ?></th>
            <th><?php echo e(trans('backLang.date')); ?></th>
            <th><?php echo e(trans('backLang.beneficiaryName')); ?></th>
            <th><?php echo e(trans('backLang.loansCategory')); ?></th>
            <th><?php echo e(trans('backLang.amount')); ?></th>
            <th><?php echo e(trans('backLang.loanInstalmentCount')); ?></th>
            <th><?php echo e(trans('backLang.paid')); ?></th>
            <th><?php echo e(trans('backLang.unpaid')); ?></th>
            <th><?php echo e(trans('backLang.status')); ?></th>
            </thead>
            <tbody>
            <?php if(count($Loans) >0): ?>
                <?php $__currentLoopData = $Loans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Loan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                    if ($Loan->status == 1) {
                        $loan_status_title = "<span class=\"text-success\"><i class=\"fe fe-check-circle\"></i> " . trans('backLang.approved') . "</span>";
                    } elseif ($Loan->status == -1) {
                        $loan_status_title = "<span class=\"text-danger\"><i class=\"fe fe-x-circle\"></i> " . trans('backLang.notApproved') . "</span>";
                    } else {
                        $loan_status_title = "<span class=\"text-info\"><i class=\"fe fe-clock\"></i> " . trans('backLang.pending') . "</span>";
                    }
                    $paid_amount = $Loan->installments()->where("paid_status", true)->sum("amount");
                    $unpaid = $Loan->total - $paid_amount;
                    ?>
                    <tr>
                        <td><?php echo e($Loan->id); ?></td>
                        <td><?php echo e(date(Helper::Preferences("date_format"), strtotime($Loan->date)) . " " . ((@$Loan->date_type) ? trans("backLang.H") : trans("backLang.M"))); ?></td>
                        <td><?php echo e($Loan->name); ?></td>
                        <td><?php echo Helper::Category($Loan->cat_id); ?></td>
                        <td><?php echo e(number_format($Loan->total, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$DefaultCurrency->symbol); ?></td>
                        <td><?php echo e($Loan->instalments_count); ?></td>
                        <td><?php echo e((($paid_amount >0)? number_format($paid_amount, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$DefaultCurrency->symbol:"-")); ?></td>
                        <td><?php echo e((number_format($unpaid, Helper::Preferences("decimal_round"), Helper::Preferences("decimal_symbol"), Helper::Preferences("thousand_symbol")) . " " . @$DefaultCurrency->symbol)); ?></td>
                        <td><?php echo $loan_status_title; ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <tr>
                    <td colspan="9">
                        <small><?php echo e(trans("backLang.noData")); ?></small>
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>
        <?php echo Helper::PrintHeaderAndFooter("")["footer"]; ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layouts.print', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mondi/Mondi_files/2- WORK/Code/PHP/FekraIT/accounting8/resources/views/back/accounting/loans/print.blade.php ENDPATH**/ ?>